EXPECTED = {'EUTRA-InterNodeDefinitions': {'extensibility-implied': False,
                                'imports': {'EUTRA-RRC-Definitions': ['AntennaInfoCommon',
                                                                      'AntennaInfoDedicated-v10i0',
                                                                      'ARFCN-ValueEUTRA',
                                                                      'ARFCN-ValueEUTRA-v9e0',
                                                                      'ARFCN-ValueEUTRA-r9',
                                                                      'CellIdentity',
                                                                      'C-RNTI',
                                                                      'DL-DCCH-Message',
                                                                      'DRB-Identity',
                                                                      'DRB-ToReleaseList',
                                                                      'FreqBandIndicator-r11',
                                                                      'InDeviceCoexIndication-r11',
                                                                      'LWA-Config-r13',
                                                                      'MasterInformationBlock',
                                                                      'maxBands',
                                                                      'maxFreq',
                                                                      'maxDRB',
                                                                      'maxSCell-r10',
                                                                      'maxSCell-r13',
                                                                      'maxServCell-r10',
                                                                      'maxServCell-r13',
                                                                      'MBMSInterestIndication-r11',
                                                                      'MeasConfig',
                                                                      'MeasGapConfig',
                                                                      'MeasGapConfigPerCC-List-r14',
                                                                      'MeasResultForRSSI-r13',
                                                                      'MeasResultListWLAN-r13',
                                                                      'OtherConfig-r9',
                                                                      'PhysCellId',
                                                                      'P-Max',
                                                                      'PowerCoordinationInfo-r12',
                                                                      'SidelinkUEInformation-r12',
                                                                      'SL-CommConfig-r12',
                                                                      'SL-DiscConfig-r12',
                                                                      'RadioResourceConfigDedicated',
                                                                      'RCLWI-Configuration-r13',
                                                                      'RSRP-Range',
                                                                      'RSRQ-Range',
                                                                      'RSRQ-Range-v1250',
                                                                      'RS-SINR-Range-r13',
                                                                      'SCellToAddModList-r10',
                                                                      'SCellToAddModListExt-r13',
                                                                      'SCG-ConfigPartSCG-r12',
                                                                      'SecurityAlgorithmConfig',
                                                                      'SCellIndex-r10',
                                                                      'SCellIndex-r13',
                                                                      'SCellToReleaseList-r10',
                                                                      'SCellToReleaseListExt-r13',
                                                                      'ServCellIndex-r10',
                                                                      'ServCellIndex-r13',
                                                                      'ShortMAC-I',
                                                                      'MeasResultSSTD-r13',
                                                                      'SL-V2X-ConfigDedicated-r14',
                                                                      'SystemInformationBlockType1',
                                                                      'SystemInformationBlockType1-v890-IEs',
                                                                      'SystemInformationBlockType2',
                                                                      'UEAssistanceInformation-r11',
                                                                      'UECapabilityInformation',
                                                                      'UE-CapabilityRAT-ContainerList',
                                                                      'UE-RadioPagingInfo-r12',
                                                                      'WLANConnectionStatusReport-r13',
                                                                      'WLAN-OffloadConfig-r12']},
                                'object-classes': {},
                                'object-sets': {},
                                'tags': 'AUTOMATIC',
                                'types': {'AS-Config': {'members': [{'name': 'sourceMeasConfig',
                                                                     'type': 'MeasConfig'},
                                                                    {'name': 'sourceRadioResourceConfig',
                                                                     'type': 'RadioResourceConfigDedicated'},
                                                                    {'name': 'sourceSecurityAlgorithmConfig',
                                                                     'type': 'SecurityAlgorithmConfig'},
                                                                    {'name': 'sourceUE-Identity',
                                                                     'type': 'C-RNTI'},
                                                                    {'name': 'sourceMasterInformationBlock',
                                                                     'type': 'MasterInformationBlock'},
                                                                    {'name': 'sourceSystemInformationBlockType1',
                                                                     'type': 'SystemInformationBlockType1'},
                                                                    {'name': 'sourceSystemInformationBlockType2',
                                                                     'type': 'SystemInformationBlockType2'},
                                                                    {'name': 'antennaInfoCommon',
                                                                     'type': 'AntennaInfoCommon'},
                                                                    {'name': 'sourceDl-CarrierFreq',
                                                                     'type': 'ARFCN-ValueEUTRA'},
                                                                    '...',
                                                                    {'name': 'sourceSystemInformationBlockType1Ext',
                                                                     'optional': True,
                                                                     'type': 'OCTET '
                                                                             'STRING'},
                                                                    {'name': 'sourceOtherConfig-r9',
                                                                     'type': 'OtherConfig-r9'},
                                                                    {'name': 'sourceSCellConfigList-r10',
                                                                     'optional': True,
                                                                     'type': 'SCellToAddModList-r10'},
                                                                    {'name': 'sourceConfigSCG-r12',
                                                                     'optional': True,
                                                                     'type': 'SCG-Config-r12'}],
                                                        'type': 'SEQUENCE'},
                                          'AS-Config-v10j0': {'members': [{'name': 'antennaInfoDedicatedPCell-v10i0',
                                                                           'optional': True,
                                                                           'type': 'AntennaInfoDedicated-v10i0'}],
                                                              'type': 'SEQUENCE'},
                                          'AS-Config-v1250': {'members': [{'name': 'sourceWlan-OffloadConfig-r12',
                                                                           'optional': True,
                                                                           'type': 'WLAN-OffloadConfig-r12'},
                                                                          {'name': 'sourceSL-CommConfig-r12',
                                                                           'optional': True,
                                                                           'type': 'SL-CommConfig-r12'},
                                                                          {'name': 'sourceSL-DiscConfig-r12',
                                                                           'optional': True,
                                                                           'type': 'SL-DiscConfig-r12'}],
                                                              'type': 'SEQUENCE'},
                                          'AS-Config-v1320': {'members': [{'name': 'sourceSCellConfigList-r13',
                                                                           'optional': True,
                                                                           'type': 'SCellToAddModListExt-r13'},
                                                                          {'name': 'sourceRCLWI-Configuration-r13',
                                                                           'optional': True,
                                                                           'type': 'RCLWI-Configuration-r13'}],
                                                              'type': 'SEQUENCE'},
                                          'AS-Config-v1430': {'members': [{'name': 'sourceSL-V2X-CommConfig-r14',
                                                                           'optional': True,
                                                                           'type': 'SL-V2X-ConfigDedicated-r14'},
                                                                          {'name': 'sourceLWA-Config-r14',
                                                                           'optional': True,
                                                                           'type': 'LWA-Config-r13'},
                                                                          {'name': 'sourceWLAN-MeasResult-r14',
                                                                           'optional': True,
                                                                           'type': 'MeasResultListWLAN-r13'}],
                                                              'type': 'SEQUENCE'},
                                          'AS-Config-v9e0': {'members': [{'name': 'sourceDl-CarrierFreq-v9e0',
                                                                          'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                             'type': 'SEQUENCE'},
                                          'AS-Context': {'members': [{'name': 'reestablishmentInfo',
                                                                      'optional': True,
                                                                      'type': 'ReestablishmentInfo'}],
                                                         'type': 'SEQUENCE'},
                                          'AS-Context-v1130': {'members': [{'name': 'idc-Indication-r11',
                                                                            'optional': True,
                                                                            'type': 'OCTET '
                                                                                    'STRING'},
                                                                           {'name': 'mbmsInterestIndication-r11',
                                                                            'optional': True,
                                                                            'type': 'OCTET '
                                                                                    'STRING'},
                                                                           {'name': 'powerPrefIndication-r11',
                                                                            'optional': True,
                                                                            'type': 'OCTET '
                                                                                    'STRING'},
                                                                           '...',
                                                                           {'name': 'sidelinkUEInformation-r12',
                                                                            'optional': True,
                                                                            'type': 'OCTET '
                                                                                    'STRING'}],
                                                               'type': 'SEQUENCE'},
                                          'AS-Context-v1320': {'members': [{'name': 'wlanConnectionStatusReport-r13',
                                                                            'optional': True,
                                                                            'type': 'OCTET '
                                                                                    'STRING'}],
                                                               'type': 'SEQUENCE'},
                                          'AdditionalReestabInfo': {'members': [{'name': 'cellIdentity',
                                                                                 'type': 'CellIdentity'},
                                                                                {'name': 'key-eNodeB-Star',
                                                                                 'type': 'Key-eNodeB-Star'},
                                                                                {'name': 'shortMAC-I',
                                                                                 'type': 'ShortMAC-I'}],
                                                                    'type': 'SEQUENCE'},
                                          'AdditionalReestabInfoList': {'element': {'type': 'AdditionalReestabInfo'},
                                                                        'size': [(1,
                                                                                  'maxReestabInfo')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                          'CandidateCellInfo-r10': {'members': [{'name': 'physCellId-r10',
                                                                                 'type': 'PhysCellId'},
                                                                                {'name': 'dl-CarrierFreq-r10',
                                                                                 'type': 'ARFCN-ValueEUTRA'},
                                                                                {'name': 'rsrpResult-r10',
                                                                                 'optional': True,
                                                                                 'type': 'RSRP-Range'},
                                                                                {'name': 'rsrqResult-r10',
                                                                                 'optional': True,
                                                                                 'type': 'RSRQ-Range'},
                                                                                '...',
                                                                                {'name': 'dl-CarrierFreq-v1090',
                                                                                 'optional': True,
                                                                                 'type': 'ARFCN-ValueEUTRA-v9e0'},
                                                                                {'name': 'rsrqResult-v1250',
                                                                                 'optional': True,
                                                                                 'type': 'RSRQ-Range-v1250'},
                                                                                {'name': 'rs-sinr-Result-r13',
                                                                                 'optional': True,
                                                                                 'type': 'RS-SINR-Range-r13'}],
                                                                    'type': 'SEQUENCE'},
                                          'CandidateCellInfoList-r10': {'element': {'type': 'CandidateCellInfo-r10'},
                                                                        'size': [(1,
                                                                                  'maxFreq')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                          'Cell-ToAddMod-r12': {'members': [{'name': 'sCellIndex-r12',
                                                                             'type': 'SCellIndex-r10'},
                                                                            {'members': [{'name': 'physCellId-r12',
                                                                                          'type': 'PhysCellId'},
                                                                                         {'name': 'dl-CarrierFreq-r12',
                                                                                          'type': 'ARFCN-ValueEUTRA-r9'}],
                                                                             'name': 'cellIdentification-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'rsrpResult-r12',
                                                                                          'type': 'RSRP-Range'},
                                                                                         {'name': 'rsrqResult-r12',
                                                                                          'type': 'RSRQ-Range'}],
                                                                             'name': 'measResultCellToAdd-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            '...',
                                                                            {'name': 'sCellIndex-r13',
                                                                             'optional': True,
                                                                             'type': 'SCellIndex-r13'},
                                                                            {'members': [{'name': 'rs-sinr-Result-r13',
                                                                                          'type': 'RS-SINR-Range-r13'}],
                                                                             'name': 'measResultCellToAdd-v1310',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'SEQUENCE'},
                                          'DRB-InfoListSCG-r12': {'element': {'type': 'DRB-InfoSCG-r12'},
                                                                  'size': [(1,
                                                                            'maxDRB')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                          'DRB-InfoSCG-r12': {'members': [{'name': 'eps-BearerIdentity-r12',
                                                                           'optional': True,
                                                                           'restricted-to': [(0,
                                                                                              15)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'drb-Identity-r12',
                                                                           'type': 'DRB-Identity'},
                                                                          {'name': 'drb-Type-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'split',
                                                                                      1: 'scg'}},
                                                                          '...'],
                                                              'type': 'SEQUENCE'},
                                          'HandoverCommand': {'members': [{'members': [{'members': [{'name': 'handoverCommand-r8',
                                                                                                     'type': 'HandoverCommand-r8-IEs'},
                                                                                                    {'name': 'spare7',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare6',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare5',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare4',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare3',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare2',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare1',
                                                                                                     'type': 'NULL'}],
                                                                                        'name': 'c1',
                                                                                        'type': 'CHOICE'},
                                                                                       {'members': [],
                                                                                        'name': 'criticalExtensionsFuture',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'criticalExtensions',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                          'HandoverCommand-r8-IEs': {'members': [{'name': 'handoverCommandMessage',
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'members': [],
                                                                                  'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'}],
                                                                     'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation': {'members': [{'members': [{'members': [{'name': 'handoverPreparationInformation-r8',
                                                                                                                    'type': 'HandoverPreparationInformation-r8-IEs'},
                                                                                                                   {'name': 'spare7',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare6',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare5',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare4',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare3',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare2',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare1',
                                                                                                                    'type': 'NULL'}],
                                                                                                       'name': 'c1',
                                                                                                       'type': 'CHOICE'},
                                                                                                      {'members': [],
                                                                                                       'name': 'criticalExtensionsFuture',
                                                                                                       'type': 'SEQUENCE'}],
                                                                                          'name': 'criticalExtensions',
                                                                                          'type': 'CHOICE'}],
                                                                             'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-r8-IEs': {'members': [{'name': 'ue-RadioAccessCapabilityInfo',
                                                                                                 'type': 'UE-CapabilityRAT-ContainerList'},
                                                                                                {'name': 'as-Config',
                                                                                                 'optional': True,
                                                                                                 'type': 'AS-Config'},
                                                                                                {'name': 'rrm-Config',
                                                                                                 'optional': True,
                                                                                                 'type': 'RRM-Config'},
                                                                                                {'name': 'as-Context',
                                                                                                 'optional': True,
                                                                                                 'type': 'AS-Context'},
                                                                                                {'name': 'nonCriticalExtension',
                                                                                                 'optional': True,
                                                                                                 'type': 'HandoverPreparationInformation-v920-IEs'}],
                                                                                    'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v10j0-IEs': {'members': [{'name': 'as-Config-v10j0',
                                                                                                    'optional': True,
                                                                                                    'type': 'AS-Config-v10j0'},
                                                                                                   {'members': [],
                                                                                                    'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v1130-IEs': {'members': [{'name': 'as-Context-v1130',
                                                                                                    'optional': True,
                                                                                                    'type': 'AS-Context-v1130'},
                                                                                                   {'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'HandoverPreparationInformation-v1250-IEs'}],
                                                                                       'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v1250-IEs': {'members': [{'name': 'ue-SupportedEARFCN-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                                   {'name': 'as-Config-v1250',
                                                                                                    'optional': True,
                                                                                                    'type': 'AS-Config-v1250'},
                                                                                                   {'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'HandoverPreparationInformation-v1320-IEs'}],
                                                                                       'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v1320-IEs': {'members': [{'name': 'as-Config-v1320',
                                                                                                    'optional': True,
                                                                                                    'type': 'AS-Config-v1320'},
                                                                                                   {'name': 'as-Context-v1320',
                                                                                                    'optional': True,
                                                                                                    'type': 'AS-Context-v1320'},
                                                                                                   {'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'HandoverPreparationInformation-v1430-IEs'}],
                                                                                       'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v1430-IEs': {'members': [{'name': 'as-Config-v1430',
                                                                                                    'optional': True,
                                                                                                    'type': 'AS-Config-v1430'},
                                                                                                   {'name': 'makeBeforeBreakReq-r14',
                                                                                                    'optional': True,
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'true'}},
                                                                                                   {'members': [],
                                                                                                    'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v920-IEs': {'members': [{'name': 'ue-ConfigRelease-r9',
                                                                                                   'optional': True,
                                                                                                   'type': 'ENUMERATED',
                                                                                                   'values': {0: 'rel9',
                                                                                                              1: 'rel10',
                                                                                                              2: 'rel11',
                                                                                                              3: 'rel12',
                                                                                                              4: 'v10j0',
                                                                                                              5: 'v11e0',
                                                                                                              6: 'v1280',
                                                                                                              7: 'rel13',
                                                                                                              8: '...',
                                                                                                              9: 'rel14'}},
                                                                                                  {'name': 'nonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'HandoverPreparationInformation-v9d0-IEs'}],
                                                                                      'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v9d0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'OCTET '
                                                                                                           'STRING'},
                                                                                                  {'name': 'nonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'HandoverPreparationInformation-v9e0-IEs'}],
                                                                                      'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v9e0-IEs': {'members': [{'name': 'as-Config-v9e0',
                                                                                                   'optional': True,
                                                                                                   'type': 'AS-Config-v9e0'},
                                                                                                  {'name': 'nonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'HandoverPreparationInformation-v1130-IEs'}],
                                                                                      'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-v9j0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'OCTET '
                                                                                                           'STRING'},
                                                                                                  {'name': 'nonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'HandoverPreparationInformation-v10j0-IEs'}],
                                                                                      'type': 'SEQUENCE'},
                                          'Key-eNodeB-Star': {'size': [256],
                                                              'type': 'BIT '
                                                                      'STRING'},
                                          'MeasResultListRSSI-SCG-r13': {'element': {'type': 'MeasResultRSSI-SCG-r13'},
                                                                         'size': [(1,
                                                                                   'maxServCell-r13')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                          'MeasResultRSSI-SCG-r13': {'members': [{'name': 'servCellId-r13',
                                                                                  'type': 'ServCellIndex-r13'},
                                                                                 {'name': 'measResultForRSSI-r13',
                                                                                  'type': 'MeasResultForRSSI-r13'}],
                                                                     'type': 'SEQUENCE'},
                                          'MeasResultServCellListSCG-Ext-r13': {'element': {'type': 'MeasResultServCellSCG-r12'},
                                                                                'size': [(1,
                                                                                          'maxServCell-r13')],
                                                                                'type': 'SEQUENCE '
                                                                                        'OF'},
                                          'MeasResultServCellListSCG-r12': {'element': {'type': 'MeasResultServCellSCG-r12'},
                                                                            'size': [(1,
                                                                                      'maxServCell-r10')],
                                                                            'type': 'SEQUENCE '
                                                                                    'OF'},
                                          'MeasResultServCellSCG-r12': {'members': [{'name': 'servCellId-r12',
                                                                                     'type': 'ServCellIndex-r10'},
                                                                                    {'members': [{'name': 'rsrpResultSCell-r12',
                                                                                                  'type': 'RSRP-Range'},
                                                                                                 {'name': 'rsrqResultSCell-r12',
                                                                                                  'type': 'RSRQ-Range'}],
                                                                                     'name': 'measResultSCell-r12',
                                                                                     'type': 'SEQUENCE'},
                                                                                    '...',
                                                                                    {'name': 'servCellId-r13',
                                                                                     'optional': True,
                                                                                     'type': 'ServCellIndex-r13'},
                                                                                    {'members': [{'name': 'rs-sinr-ResultSCell-r13',
                                                                                                  'type': 'RS-SINR-Range-r13'}],
                                                                                     'name': 'measResultSCell-v1310',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                          'RRM-Config': {'members': [{'name': 'ue-InactiveTime',
                                                                      'optional': True,
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 's1',
                                                                                 1: 's2',
                                                                                 2: 's3',
                                                                                 3: 's5',
                                                                                 4: 's7',
                                                                                 5: 's10',
                                                                                 6: 's15',
                                                                                 7: 's20',
                                                                                 8: 's25',
                                                                                 9: 's30',
                                                                                 10: 's40',
                                                                                 11: 's50',
                                                                                 12: 'min1',
                                                                                 13: 'min1s20c',
                                                                                 14: 'min1s40',
                                                                                 15: 'min2',
                                                                                 16: 'min2s30',
                                                                                 17: 'min3',
                                                                                 18: 'min3s30',
                                                                                 19: 'min4',
                                                                                 20: 'min5',
                                                                                 21: 'min6',
                                                                                 22: 'min7',
                                                                                 23: 'min8',
                                                                                 24: 'min9',
                                                                                 25: 'min10',
                                                                                 26: 'min12',
                                                                                 27: 'min14',
                                                                                 28: 'min17',
                                                                                 29: 'min20',
                                                                                 30: 'min24',
                                                                                 31: 'min28',
                                                                                 32: 'min33',
                                                                                 33: 'min38',
                                                                                 34: 'min44',
                                                                                 35: 'min50',
                                                                                 36: 'hr1',
                                                                                 37: 'hr1min30',
                                                                                 38: 'hr2',
                                                                                 39: 'hr2min30',
                                                                                 40: 'hr3',
                                                                                 41: 'hr3min30',
                                                                                 42: 'hr4',
                                                                                 43: 'hr5',
                                                                                 44: 'hr6',
                                                                                 45: 'hr8',
                                                                                 46: 'hr10',
                                                                                 47: 'hr13',
                                                                                 48: 'hr16',
                                                                                 49: 'hr20',
                                                                                 50: 'day1',
                                                                                 51: 'day1hr12',
                                                                                 52: 'day2',
                                                                                 53: 'day2hr12',
                                                                                 54: 'day3',
                                                                                 55: 'day4',
                                                                                 56: 'day5',
                                                                                 57: 'day7',
                                                                                 58: 'day10',
                                                                                 59: 'day14',
                                                                                 60: 'day19',
                                                                                 61: 'day24',
                                                                                 62: 'day30',
                                                                                 63: 'dayMoreThan30'}},
                                                                     '...',
                                                                     {'name': 'candidateCellInfoList-r10',
                                                                      'optional': True,
                                                                      'type': 'CandidateCellInfoList-r10'}],
                                                         'type': 'SEQUENCE'},
                                          'ReestablishmentInfo': {'members': [{'name': 'sourcePhysCellId',
                                                                               'type': 'PhysCellId'},
                                                                              {'name': 'targetCellShortMAC-I',
                                                                               'type': 'ShortMAC-I'},
                                                                              {'name': 'additionalReestabInfoList',
                                                                               'optional': True,
                                                                               'type': 'AdditionalReestabInfoList'},
                                                                              '...'],
                                                                  'type': 'SEQUENCE'},
                                          'SCG-Config-r12': {'members': [{'members': [{'members': [{'name': 'scg-Config-r12',
                                                                                                    'type': 'SCG-Config-r12-IEs'},
                                                                                                   {'name': 'spare7',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare6',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare5',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare4',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare3',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare2',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare1',
                                                                                                    'type': 'NULL'}],
                                                                                       'name': 'c1',
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [],
                                                                                       'name': 'criticalExtensionsFuture',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'criticalExtensions',
                                                                          'type': 'CHOICE'}],
                                                             'type': 'SEQUENCE'},
                                          'SCG-Config-r12-IEs': {'members': [{'name': 'scg-RadioConfig-r12',
                                                                              'optional': True,
                                                                              'type': 'SCG-ConfigPartSCG-r12'},
                                                                             {'members': [],
                                                                              'name': 'nonCriticalExtension',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'SEQUENCE'},
                                          'SCG-ConfigInfo-r12': {'members': [{'members': [{'members': [{'name': 'scg-ConfigInfo-r12',
                                                                                                        'type': 'SCG-ConfigInfo-r12-IEs'},
                                                                                                       {'name': 'spare7',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare6',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare5',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare4',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare3',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare2',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare1',
                                                                                                        'type': 'NULL'}],
                                                                                           'name': 'c1',
                                                                                           'type': 'CHOICE'},
                                                                                          {'members': [],
                                                                                           'name': 'criticalExtensionsFuture',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'criticalExtensions',
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                          'SCG-ConfigInfo-r12-IEs': {'members': [{'name': 'radioResourceConfigDedMCG-r12',
                                                                                  'optional': True,
                                                                                  'type': 'RadioResourceConfigDedicated'},
                                                                                 {'name': 'sCellToAddModListMCG-r12',
                                                                                  'optional': True,
                                                                                  'type': 'SCellToAddModList-r10'},
                                                                                 {'name': 'measGapConfig-r12',
                                                                                  'optional': True,
                                                                                  'type': 'MeasGapConfig'},
                                                                                 {'name': 'powerCoordinationInfo-r12',
                                                                                  'optional': True,
                                                                                  'type': 'PowerCoordinationInfo-r12'},
                                                                                 {'name': 'scg-RadioConfig-r12',
                                                                                  'optional': True,
                                                                                  'type': 'SCG-ConfigPartSCG-r12'},
                                                                                 {'name': 'eutra-CapabilityInfo-r12',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'name': 'scg-ConfigRestrictInfo-r12',
                                                                                  'optional': True,
                                                                                  'type': 'SCG-ConfigRestrictInfo-r12'},
                                                                                 {'name': 'mbmsInterestIndication-r12',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'name': 'measResultServCellListSCG-r12',
                                                                                  'optional': True,
                                                                                  'type': 'MeasResultServCellListSCG-r12'},
                                                                                 {'name': 'drb-ToAddModListSCG-r12',
                                                                                  'optional': True,
                                                                                  'type': 'DRB-InfoListSCG-r12'},
                                                                                 {'name': 'drb-ToReleaseListSCG-r12',
                                                                                  'optional': True,
                                                                                  'type': 'DRB-ToReleaseList'},
                                                                                 {'name': 'sCellToAddModListSCG-r12',
                                                                                  'optional': True,
                                                                                  'type': 'SCellToAddModListSCG-r12'},
                                                                                 {'name': 'sCellToReleaseListSCG-r12',
                                                                                  'optional': True,
                                                                                  'type': 'SCellToReleaseList-r10'},
                                                                                 {'name': 'p-Max-r12',
                                                                                  'optional': True,
                                                                                  'type': 'P-Max'},
                                                                                 {'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'SCG-ConfigInfo-v1310-IEs'}],
                                                                     'type': 'SEQUENCE'},
                                          'SCG-ConfigInfo-v1310-IEs': {'members': [{'name': 'measResultSSTD-r13',
                                                                                    'optional': True,
                                                                                    'type': 'MeasResultSSTD-r13'},
                                                                                   {'name': 'sCellToAddModListMCG-Ext-r13',
                                                                                    'optional': True,
                                                                                    'type': 'SCellToAddModListExt-r13'},
                                                                                   {'name': 'measResultServCellListSCG-Ext-r13',
                                                                                    'optional': True,
                                                                                    'type': 'MeasResultServCellListSCG-Ext-r13'},
                                                                                   {'name': 'sCellToAddModListSCG-Ext-r13',
                                                                                    'optional': True,
                                                                                    'type': 'SCellToAddModListSCG-Ext-r13'},
                                                                                   {'name': 'sCellToReleaseListSCG-Ext-r13',
                                                                                    'optional': True,
                                                                                    'type': 'SCellToReleaseListExt-r13'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SCG-ConfigInfo-v1330-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                          'SCG-ConfigInfo-v1330-IEs': {'members': [{'name': 'measResultListRSSI-SCG-r13',
                                                                                    'optional': True,
                                                                                    'type': 'MeasResultListRSSI-SCG-r13'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SCG-ConfigInfo-v1430-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                          'SCG-ConfigInfo-v1430-IEs': {'members': [{'name': 'makeBeforeBreakSCG-Req-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'name': 'measGapConfigPerCC-List',
                                                                                    'optional': True,
                                                                                    'type': 'MeasGapConfigPerCC-List-r14'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                          'SCG-ConfigRestrictInfo-r12': {'members': [{'name': 'maxSCH-TB-BitsDL-r12',
                                                                                      'restricted-to': [(1,
                                                                                                         100)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'maxSCH-TB-BitsUL-r12',
                                                                                      'restricted-to': [(1,
                                                                                                         100)],
                                                                                      'type': 'INTEGER'}],
                                                                         'type': 'SEQUENCE'},
                                          'SCellToAddModListSCG-Ext-r13': {'element': {'type': 'Cell-ToAddMod-r12'},
                                                                           'size': [(1,
                                                                                     'maxSCell-r13')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                          'SCellToAddModListSCG-r12': {'element': {'type': 'Cell-ToAddMod-r12'},
                                                                       'size': [(1,
                                                                                 'maxSCell-r10')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                          'UEPagingCoverageInformation': {'members': [{'members': [{'members': [{'name': 'uePagingCoverageInformation-r13',
                                                                                                                 'type': 'UEPagingCoverageInformation-r13-IEs'},
                                                                                                                {'name': 'spare7',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare6',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare5',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare4',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare3',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare2',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare1',
                                                                                                                 'type': 'NULL'}],
                                                                                                    'name': 'c1',
                                                                                                    'type': 'CHOICE'},
                                                                                                   {'members': [],
                                                                                                    'name': 'criticalExtensionsFuture',
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'name': 'criticalExtensions',
                                                                                       'type': 'CHOICE'}],
                                                                          'type': 'SEQUENCE'},
                                          'UEPagingCoverageInformation-r13-IEs': {'members': [{'name': 'mpdcch-NumRepetition-r13',
                                                                                               'optional': True,
                                                                                               'restricted-to': [(1,
                                                                                                                  256)],
                                                                                               'type': 'INTEGER'},
                                                                                              {'members': [],
                                                                                               'name': 'nonCriticalExtension',
                                                                                               'optional': True,
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'type': 'SEQUENCE'},
                                          'UERadioAccessCapabilityInformation': {'members': [{'members': [{'members': [{'name': 'ueRadioAccessCapabilityInformation-r8',
                                                                                                                        'type': 'UERadioAccessCapabilityInformation-r8-IEs'},
                                                                                                                       {'name': 'spare7',
                                                                                                                        'type': 'NULL'},
                                                                                                                       {'name': 'spare6',
                                                                                                                        'type': 'NULL'},
                                                                                                                       {'name': 'spare5',
                                                                                                                        'type': 'NULL'},
                                                                                                                       {'name': 'spare4',
                                                                                                                        'type': 'NULL'},
                                                                                                                       {'name': 'spare3',
                                                                                                                        'type': 'NULL'},
                                                                                                                       {'name': 'spare2',
                                                                                                                        'type': 'NULL'},
                                                                                                                       {'name': 'spare1',
                                                                                                                        'type': 'NULL'}],
                                                                                                           'name': 'c1',
                                                                                                           'type': 'CHOICE'},
                                                                                                          {'members': [],
                                                                                                           'name': 'criticalExtensionsFuture',
                                                                                                           'type': 'SEQUENCE'}],
                                                                                              'name': 'criticalExtensions',
                                                                                              'type': 'CHOICE'}],
                                                                                 'type': 'SEQUENCE'},
                                          'UERadioAccessCapabilityInformation-r8-IEs': {'members': [{'name': 'ue-RadioAccessCapabilityInfo',
                                                                                                     'type': 'OCTET '
                                                                                                             'STRING'},
                                                                                                    {'members': [],
                                                                                                     'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'SEQUENCE'}],
                                                                                        'type': 'SEQUENCE'},
                                          'UERadioPagingInformation': {'members': [{'members': [{'members': [{'name': 'ueRadioPagingInformation-r12',
                                                                                                              'type': 'UERadioPagingInformation-r12-IEs'},
                                                                                                             {'name': 'spare7',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare6',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare5',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare4',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare3',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare2',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare1',
                                                                                                              'type': 'NULL'}],
                                                                                                 'name': 'c1',
                                                                                                 'type': 'CHOICE'},
                                                                                                {'members': [],
                                                                                                 'name': 'criticalExtensionsFuture',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'criticalExtensions',
                                                                                    'type': 'CHOICE'}],
                                                                       'type': 'SEQUENCE'},
                                          'UERadioPagingInformation-r12-IEs': {'members': [{'name': 'ue-RadioPagingInfo-r12',
                                                                                            'type': 'OCTET '
                                                                                                    'STRING'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'UERadioPagingInformation-v1310-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                          'UERadioPagingInformation-v1310-IEs': {'members': [{'element': {'type': 'FreqBandIndicator-r11'},
                                                                                              'name': 'supportedBandListEUTRAForPaging-r13',
                                                                                              'optional': True,
                                                                                              'size': [(1,
                                                                                                        'maxBands')],
                                                                                              'type': 'SEQUENCE '
                                                                                                      'OF'},
                                                                                             {'members': [],
                                                                                              'name': 'nonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'type': 'SEQUENCE'}},
                                'values': {'maxReestabInfo': {'type': 'INTEGER',
                                                              'value': 32}}},
 'EUTRA-RRC-Definitions': {'extensibility-implied': False,
                           'imports': {},
                           'object-classes': {},
                           'object-sets': {},
                           'tags': 'AUTOMATIC',
                           'types': {'AC-BarringConfig': {'members': [{'name': 'ac-BarringFactor',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'p00',
                                                                                  1: 'p05',
                                                                                  2: 'p10',
                                                                                  3: 'p15',
                                                                                  4: 'p20',
                                                                                  5: 'p25',
                                                                                  6: 'p30',
                                                                                  7: 'p40',
                                                                                  8: 'p50',
                                                                                  9: 'p60',
                                                                                  10: 'p70',
                                                                                  11: 'p75',
                                                                                  12: 'p80',
                                                                                  13: 'p85',
                                                                                  14: 'p90',
                                                                                  15: 'p95'}},
                                                                      {'name': 'ac-BarringTime',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 's4',
                                                                                  1: 's8',
                                                                                  2: 's16',
                                                                                  3: 's32',
                                                                                  4: 's64',
                                                                                  5: 's128',
                                                                                  6: 's256',
                                                                                  7: 's512'}},
                                                                      {'name': 'ac-BarringForSpecialAC',
                                                                       'size': [5],
                                                                       'type': 'BIT '
                                                                               'STRING'}],
                                                          'type': 'SEQUENCE'},
                                     'AC-BarringConfig1XRTT-r9': {'members': [{'name': 'ac-Barring0to9-r9',
                                                                               'restricted-to': [(0,
                                                                                                  63)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-Barring10-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-Barring11-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-Barring12-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-Barring13-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-Barring14-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-Barring15-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-BarringMsg-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-BarringReg-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'ac-BarringEmg-r9',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'}],
                                                                  'type': 'SEQUENCE'},
                                     'AC-BarringPerPLMN-List-r12': {'element': {'type': 'AC-BarringPerPLMN-r12'},
                                                                    'size': [(1,
                                                                              'maxPLMN-r11')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'AC-BarringPerPLMN-r12': {'members': [{'name': 'plmn-IdentityIndex-r12',
                                                                            'restricted-to': [(1,
                                                                                               'maxPLMN-r11')],
                                                                            'type': 'INTEGER'},
                                                                           {'members': [{'name': 'ac-BarringForEmergency-r12',
                                                                                         'type': 'BOOLEAN'},
                                                                                        {'name': 'ac-BarringForMO-Signalling-r12',
                                                                                         'optional': True,
                                                                                         'type': 'AC-BarringConfig'},
                                                                                        {'name': 'ac-BarringForMO-Data-r12',
                                                                                         'optional': True,
                                                                                         'type': 'AC-BarringConfig'}],
                                                                            'name': 'ac-BarringInfo-r12',
                                                                            'optional': True,
                                                                            'type': 'SEQUENCE'},
                                                                           {'name': 'ac-BarringSkipForMMTELVoice-r12',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'true'}},
                                                                           {'name': 'ac-BarringSkipForMMTELVideo-r12',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'true'}},
                                                                           {'name': 'ac-BarringSkipForSMS-r12',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'true'}},
                                                                           {'name': 'ac-BarringForCSFB-r12',
                                                                            'optional': True,
                                                                            'type': 'AC-BarringConfig'},
                                                                           {'name': 'ssac-BarringForMMTEL-Voice-r12',
                                                                            'optional': True,
                                                                            'type': 'AC-BarringConfig'},
                                                                           {'name': 'ssac-BarringForMMTEL-Video-r12',
                                                                            'optional': True,
                                                                            'type': 'AC-BarringConfig'}],
                                                               'type': 'SEQUENCE'},
                                     'ACDC-BarringForCommon-r13': {'members': [{'name': 'acdc-HPLMNonly-r13',
                                                                                'type': 'BOOLEAN'},
                                                                               {'name': 'barringPerACDC-CategoryList-r13',
                                                                                'type': 'BarringPerACDC-CategoryList-r13'}],
                                                                   'type': 'SEQUENCE'},
                                     'ACDC-BarringPerPLMN-List-r13': {'element': {'type': 'ACDC-BarringPerPLMN-r13'},
                                                                      'size': [(1,
                                                                                'maxPLMN-r11')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'ACDC-BarringPerPLMN-r13': {'members': [{'name': 'plmn-IdentityIndex-r13',
                                                                              'restricted-to': [(1,
                                                                                                 'maxPLMN-r11')],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'acdc-OnlyForHPLMN-r13',
                                                                              'type': 'BOOLEAN'},
                                                                             {'name': 'barringPerACDC-CategoryList-r13',
                                                                              'type': 'BarringPerACDC-CategoryList-r13'}],
                                                                 'type': 'SEQUENCE'},
                                     'ARFCN-ValueCDMA2000': {'restricted-to': [(0,
                                                                                2047)],
                                                             'type': 'INTEGER'},
                                     'ARFCN-ValueEUTRA': {'restricted-to': [(0,
                                                                             'maxEARFCN')],
                                                          'type': 'INTEGER'},
                                     'ARFCN-ValueEUTRA-r9': {'restricted-to': [(0,
                                                                                'maxEARFCN2')],
                                                             'type': 'INTEGER'},
                                     'ARFCN-ValueEUTRA-v9e0': {'restricted-to': [('maxEARFCN-Plus1',
                                                                                  'maxEARFCN2')],
                                                               'type': 'INTEGER'},
                                     'ARFCN-ValueGERAN': {'restricted-to': [(0,
                                                                             1023)],
                                                          'type': 'INTEGER'},
                                     'ARFCN-ValueUTRA': {'restricted-to': [(0,
                                                                            16383)],
                                                         'type': 'INTEGER'},
                                     'AbsoluteTimeInfo-r10': {'size': [48],
                                                              'type': 'BIT '
                                                                      'STRING'},
                                     'AccessStratumRelease': {'type': 'ENUMERATED',
                                                              'values': {0: 'rel8',
                                                                         1: 'rel9',
                                                                         2: 'rel10',
                                                                         3: 'rel11',
                                                                         4: 'rel12',
                                                                         5: 'rel13',
                                                                         6: 'rel14',
                                                                         7: 'spare1',
                                                                         8: '...'}},
                                     'AdditionalSI-Info-r9': {'members': [{'name': 'csg-MemberStatus-r9',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'member'}},
                                                                          {'name': 'csg-Identity-r9',
                                                                           'optional': True,
                                                                           'type': 'CSG-Identity'}],
                                                              'type': 'SEQUENCE'},
                                     'AdditionalSpectrumEmission': {'restricted-to': [(1,
                                                                                       32)],
                                                                    'type': 'INTEGER'},
                                     'AdditionalSpectrumEmission-v10l0': {'restricted-to': [(33,
                                                                                             288)],
                                                                          'type': 'INTEGER'},
                                     'AffectedCarrierFreq-r11': {'members': [{'name': 'carrierFreq-r11',
                                                                              'type': 'MeasObjectId'},
                                                                             {'name': 'interferenceDirection-r11',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'eutra',
                                                                                         1: 'other',
                                                                                         2: 'both',
                                                                                         3: 'spare'}}],
                                                                 'type': 'SEQUENCE'},
                                     'AffectedCarrierFreq-v1310': {'members': [{'name': 'carrierFreq-v1310',
                                                                                'optional': True,
                                                                                'type': 'MeasObjectId-v1310'}],
                                                                   'type': 'SEQUENCE'},
                                     'AffectedCarrierFreqComb-r11': {'element': {'type': 'MeasObjectId'},
                                                                     'size': [(2,
                                                                               'maxServCell-r10')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'AffectedCarrierFreqComb-r13': {'element': {'type': 'MeasObjectId-r13'},
                                                                     'size': [(2,
                                                                               'maxServCell-r13')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'AffectedCarrierFreqCombList-r11': {'element': {'type': 'AffectedCarrierFreqComb-r11'},
                                                                         'size': [(1,
                                                                                   'maxCombIDC-r11')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'AffectedCarrierFreqCombList-r13': {'element': {'type': 'AffectedCarrierFreqComb-r13'},
                                                                         'size': [(1,
                                                                                   'maxCombIDC-r11')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'AffectedCarrierFreqList-r11': {'element': {'type': 'AffectedCarrierFreq-r11'},
                                                                     'size': [(1,
                                                                               'maxFreqIDC-r11')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'AffectedCarrierFreqList-v1310': {'element': {'type': 'AffectedCarrierFreq-v1310'},
                                                                       'size': [(1,
                                                                                 'maxFreqIDC-r11')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'AllowedMeasBandwidth': {'type': 'ENUMERATED',
                                                              'values': {0: 'mbw6',
                                                                         1: 'mbw15',
                                                                         2: 'mbw25',
                                                                         3: 'mbw50',
                                                                         4: 'mbw75',
                                                                         5: 'mbw100'}},
                                     'Alpha-r12': {'type': 'ENUMERATED',
                                                   'values': {0: 'al0',
                                                              1: 'al04',
                                                              2: 'al05',
                                                              3: 'al06',
                                                              4: 'al07',
                                                              5: 'al08',
                                                              6: 'al09',
                                                              7: 'al1'}},
                                     'AltTTT-CellsToAddMod-r12': {'members': [{'name': 'cellIndex-r12',
                                                                               'restricted-to': [(1,
                                                                                                  'maxCellMeas')],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'physCellIdRange-r12',
                                                                               'type': 'PhysCellIdRange'}],
                                                                  'type': 'SEQUENCE'},
                                     'AltTTT-CellsToAddModList-r12': {'element': {'type': 'AltTTT-CellsToAddMod-r12'},
                                                                      'size': [(1,
                                                                                'maxCellMeas')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'AntennaInfoCommon': {'members': [{'name': 'antennaPortsCount',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'an1',
                                                                                   1: 'an2',
                                                                                   2: 'an4',
                                                                                   3: 'spare1'}}],
                                                           'type': 'SEQUENCE'},
                                     'AntennaInfoDedicated': {'members': [{'name': 'transmissionMode',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'tm1',
                                                                                      1: 'tm2',
                                                                                      2: 'tm3',
                                                                                      3: 'tm4',
                                                                                      4: 'tm5',
                                                                                      5: 'tm6',
                                                                                      6: 'tm7',
                                                                                      7: 'tm8-v920'}},
                                                                          {'members': [{'name': 'n2TxAntenna-tm3',
                                                                                        'size': [2],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'n4TxAntenna-tm3',
                                                                                        'size': [4],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'n2TxAntenna-tm4',
                                                                                        'size': [6],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'n4TxAntenna-tm4',
                                                                                        'size': [64],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'n2TxAntenna-tm5',
                                                                                        'size': [4],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'n4TxAntenna-tm5',
                                                                                        'size': [16],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'n2TxAntenna-tm6',
                                                                                        'size': [4],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'n4TxAntenna-tm6',
                                                                                        'size': [16],
                                                                                        'type': 'BIT '
                                                                                                'STRING'}],
                                                                           'name': 'codebookSubsetRestriction',
                                                                           'optional': True,
                                                                           'type': 'CHOICE'},
                                                                          {'members': [{'name': 'release',
                                                                                        'type': 'NULL'},
                                                                                       {'name': 'setup',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'closedLoop',
                                                                                                   1: 'openLoop'}}],
                                                                           'name': 'ue-TransmitAntennaSelection',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'AntennaInfoDedicated-r10': {'members': [{'name': 'transmissionMode-r10',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'tm1',
                                                                                          1: 'tm2',
                                                                                          2: 'tm3',
                                                                                          3: 'tm4',
                                                                                          4: 'tm5',
                                                                                          5: 'tm6',
                                                                                          6: 'tm7',
                                                                                          7: 'tm8-v920',
                                                                                          8: 'tm9-v1020',
                                                                                          9: 'tm10-v1130',
                                                                                          10: 'spare6',
                                                                                          11: 'spare5',
                                                                                          12: 'spare4',
                                                                                          13: 'spare3',
                                                                                          14: 'spare2',
                                                                                          15: 'spare1'}},
                                                                              {'name': 'codebookSubsetRestriction-r10',
                                                                               'optional': True,
                                                                               'type': 'BIT '
                                                                                       'STRING'},
                                                                              {'members': [{'name': 'release',
                                                                                            'type': 'NULL'},
                                                                                           {'name': 'setup',
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'closedLoop',
                                                                                                       1: 'openLoop'}}],
                                                                               'name': 'ue-TransmitAntennaSelection',
                                                                               'type': 'CHOICE'}],
                                                                  'type': 'SEQUENCE'},
                                     'AntennaInfoDedicated-v10i0': {'members': [{'name': 'maxLayersMIMO-r10',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'twoLayers',
                                                                                            1: 'fourLayers',
                                                                                            2: 'eightLayers'}}],
                                                                    'type': 'SEQUENCE'},
                                     'AntennaInfoDedicated-v1250': {'members': [{'name': 'alternativeCodebookEnabledFor4TX-r12',
                                                                                 'type': 'BOOLEAN'}],
                                                                    'type': 'SEQUENCE'},
                                     'AntennaInfoDedicated-v1430': {'members': [{'name': 'ce-UE-TxAntennaSelection-config-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'on'}}],
                                                                    'type': 'SEQUENCE'},
                                     'AntennaInfoDedicated-v920': {'members': [{'members': [{'name': 'n2TxAntenna-tm8-r9',
                                                                                             'size': [6],
                                                                                             'type': 'BIT '
                                                                                                     'STRING'},
                                                                                            {'name': 'n4TxAntenna-tm8-r9',
                                                                                             'size': [32],
                                                                                             'type': 'BIT '
                                                                                                     'STRING'}],
                                                                                'name': 'codebookSubsetRestriction-v920',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'}],
                                                                   'type': 'SEQUENCE'},
                                     'AntennaInfoUL-r10': {'members': [{'name': 'transmissionModeUL-r10',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'tm1',
                                                                                   1: 'tm2',
                                                                                   2: 'spare6',
                                                                                   3: 'spare5',
                                                                                   4: 'spare4',
                                                                                   5: 'spare3',
                                                                                   6: 'spare2',
                                                                                   7: 'spare1'}},
                                                                       {'name': 'fourAntennaPortActivated-r10',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'setup'}}],
                                                           'type': 'SEQUENCE'},
                                     'AreaConfiguration-r10': {'members': [{'name': 'cellGlobalIdList-r10',
                                                                            'type': 'CellGlobalIdList-r10'},
                                                                           {'name': 'trackingAreaCodeList-r10',
                                                                            'type': 'TrackingAreaCodeList-r10'}],
                                                               'type': 'CHOICE'},
                                     'AreaConfiguration-v1130': {'members': [{'name': 'trackingAreaCodeList-v1130',
                                                                              'type': 'TrackingAreaCodeList-v1130'}],
                                                                 'type': 'SEQUENCE'},
                                     'BCCH-BCH-Message': {'members': [{'name': 'message',
                                                                       'type': 'BCCH-BCH-MessageType'}],
                                                          'type': 'SEQUENCE'},
                                     'BCCH-BCH-Message-MBMS': {'members': [{'name': 'message',
                                                                            'type': 'BCCH-BCH-MessageType-MBMS-r14'}],
                                                               'type': 'SEQUENCE'},
                                     'BCCH-BCH-MessageType': {'type': 'MasterInformationBlock'},
                                     'BCCH-BCH-MessageType-MBMS-r14': {'type': 'MasterInformationBlock-MBMS-r14'},
                                     'BCCH-Config': {'members': [{'name': 'modificationPeriodCoeff',
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'n2',
                                                                             1: 'n4',
                                                                             2: 'n8',
                                                                             3: 'n16'}}],
                                                     'type': 'SEQUENCE'},
                                     'BCCH-Config-v1310': {'members': [{'name': 'modificationPeriodCoeff-v1310',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'n64'}}],
                                                           'type': 'SEQUENCE'},
                                     'BCCH-DL-SCH-Message': {'members': [{'name': 'message',
                                                                          'type': 'BCCH-DL-SCH-MessageType'}],
                                                             'type': 'SEQUENCE'},
                                     'BCCH-DL-SCH-Message-BR': {'members': [{'name': 'message',
                                                                             'type': 'BCCH-DL-SCH-MessageType-BR-r13'}],
                                                                'type': 'SEQUENCE'},
                                     'BCCH-DL-SCH-Message-MBMS': {'members': [{'name': 'message',
                                                                               'type': 'BCCH-DL-SCH-MessageType-MBMS-r14'}],
                                                                  'type': 'SEQUENCE'},
                                     'BCCH-DL-SCH-MessageType': {'members': [{'members': [{'name': 'systemInformation',
                                                                                           'type': 'SystemInformation'},
                                                                                          {'name': 'systemInformationBlockType1',
                                                                                           'type': 'SystemInformationBlockType1'}],
                                                                              'name': 'c1',
                                                                              'type': 'CHOICE'},
                                                                             {'members': [],
                                                                              'name': 'messageClassExtension',
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'CHOICE'},
                                     'BCCH-DL-SCH-MessageType-BR-r13': {'members': [{'members': [{'name': 'systemInformation-BR-r13',
                                                                                                  'type': 'SystemInformation-BR-r13'},
                                                                                                 {'name': 'systemInformationBlockType1-BR-r13',
                                                                                                  'type': 'SystemInformationBlockType1-BR-r13'}],
                                                                                     'name': 'c1',
                                                                                     'type': 'CHOICE'},
                                                                                    {'members': [],
                                                                                     'name': 'messageClassExtension',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'CHOICE'},
                                     'BCCH-DL-SCH-MessageType-MBMS-r14': {'members': [{'members': [{'name': 'systemInformation-MBMS-r14',
                                                                                                    'type': 'SystemInformation-MBMS-r14'},
                                                                                                   {'name': 'systemInformationBlockType1-MBMS-r14',
                                                                                                    'type': 'SystemInformationBlockType1-MBMS-r14'}],
                                                                                       'name': 'c1',
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [],
                                                                                       'name': 'messageClassExtension',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'CHOICE'},
                                     'BLER-Range-r12': {'restricted-to': [(0,
                                                                           31)],
                                                        'type': 'INTEGER'},
                                     'BLER-Result-r12': {'members': [{'name': 'bler-r12',
                                                                      'type': 'BLER-Range-r12'},
                                                                     {'members': [{'name': 'n-r12',
                                                                                   'size': [3],
                                                                                   'type': 'BIT '
                                                                                           'STRING'},
                                                                                  {'name': 'm-r12',
                                                                                   'size': [8],
                                                                                   'type': 'BIT '
                                                                                           'STRING'}],
                                                                      'name': 'blocksReceived-r12',
                                                                      'type': 'SEQUENCE'}],
                                                         'type': 'SEQUENCE'},
                                     'BW-Preference-r14': {'members': [{'name': 'dl-Preference-r14',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'mhz1dot4',
                                                                                   1: 'mhz5',
                                                                                   2: 'mhz20'}},
                                                                       {'name': 'ul-Preference-r14',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'mhz1dot4',
                                                                                   1: 'mhz5'}}],
                                                           'type': 'SEQUENCE'},
                                     'BandClassInfoCDMA2000': {'members': [{'name': 'bandClass',
                                                                            'type': 'BandclassCDMA2000'},
                                                                           {'name': 'cellReselectionPriority',
                                                                            'optional': True,
                                                                            'type': 'CellReselectionPriority'},
                                                                           {'name': 'threshX-High',
                                                                            'restricted-to': [(0,
                                                                                               63)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'threshX-Low',
                                                                            'restricted-to': [(0,
                                                                                               63)],
                                                                            'type': 'INTEGER'},
                                                                           '...'],
                                                               'type': 'SEQUENCE'},
                                     'BandClassListCDMA2000': {'element': {'type': 'BandClassInfoCDMA2000'},
                                                               'size': [(1,
                                                                         'maxCDMA-BandClass')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'BandClassPriority1XRTT': {'members': [{'name': 'bandClass',
                                                                             'type': 'BandclassCDMA2000'},
                                                                            {'name': 'cellReselectionPriority',
                                                                             'type': 'CellReselectionPriority'}],
                                                                'type': 'SEQUENCE'},
                                     'BandClassPriorityHRPD': {'members': [{'name': 'bandClass',
                                                                            'type': 'BandclassCDMA2000'},
                                                                           {'name': 'cellReselectionPriority',
                                                                            'type': 'CellReselectionPriority'}],
                                                               'type': 'SEQUENCE'},
                                     'BandClassPriorityList1XRTT': {'element': {'type': 'BandClassPriority1XRTT'},
                                                                    'size': [(1,
                                                                              'maxCDMA-BandClass')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'BandClassPriorityListHRPD': {'element': {'type': 'BandClassPriorityHRPD'},
                                                                   'size': [(1,
                                                                             'maxCDMA-BandClass')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'BandCombination-r14': {'element': {'type': 'BandIndication-r14'},
                                                             'size': [(1,
                                                                       'maxSimultaneousBands-r10')],
                                                             'type': 'SEQUENCE '
                                                                     'OF'},
                                     'BandCombinationList-r14': {'element': {'type': 'BandCombination-r14'},
                                                                 'size': [(1,
                                                                           'maxBandComb-r13')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'BandCombinationListEUTRA-r10': {'element': {'type': 'BandInfoEUTRA'},
                                                                      'size': [(1,
                                                                                'maxBandComb-r10')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'BandCombinationParameters-r10': {'element': {'type': 'BandParameters-r10'},
                                                                       'size': [(1,
                                                                                 'maxSimultaneousBands-r10')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'BandCombinationParameters-r11': {'members': [{'element': {'type': 'BandParameters-r11'},
                                                                                    'name': 'bandParameterList-r11',
                                                                                    'size': [(1,
                                                                                              'maxSimultaneousBands-r10')],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'},
                                                                                   {'name': 'supportedBandwidthCombinationSet-r11',
                                                                                    'optional': True,
                                                                                    'type': 'SupportedBandwidthCombinationSet-r10'},
                                                                                   {'name': 'multipleTimingAdvance-r11',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'simultaneousRx-Tx-r11',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'bandInfoEUTRA-r11',
                                                                                    'type': 'BandInfoEUTRA'},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                     'BandCombinationParameters-r13': {'members': [{'name': 'differentFallbackSupported-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'element': {'type': 'BandParameters-r13'},
                                                                                    'name': 'bandParameterList-r13',
                                                                                    'size': [(1,
                                                                                              'maxSimultaneousBands-r10')],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'},
                                                                                   {'name': 'supportedBandwidthCombinationSet-r13',
                                                                                    'optional': True,
                                                                                    'type': 'SupportedBandwidthCombinationSet-r10'},
                                                                                   {'name': 'multipleTimingAdvance-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'simultaneousRx-Tx-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'bandInfoEUTRA-r13',
                                                                                    'type': 'BandInfoEUTRA'},
                                                                                   {'members': [{'name': 'asynchronous-r13',
                                                                                                 'optional': True,
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'supported'}},
                                                                                                {'members': [{'name': 'threeEntries-r13',
                                                                                                              'size': [3],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'fourEntries-r13',
                                                                                                              'size': [7],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'fiveEntries-r13',
                                                                                                              'size': [15],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'}],
                                                                                                 'name': 'supportedCellGrouping-r13',
                                                                                                 'optional': True,
                                                                                                 'type': 'CHOICE'}],
                                                                                    'name': 'dc-Support-r13',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'name': 'supportedNAICS-2CRS-AP-r13',
                                                                                    'optional': True,
                                                                                    'size': [(1,
                                                                                              'maxNAICS-Entries-r12')],
                                                                                    'type': 'BIT '
                                                                                            'STRING'},
                                                                                   {'name': 'commSupportedBandsPerBC-r13',
                                                                                    'optional': True,
                                                                                    'size': [(1,
                                                                                              'maxBands')],
                                                                                    'type': 'BIT '
                                                                                            'STRING'}],
                                                                       'type': 'SEQUENCE'},
                                     'BandCombinationParameters-v1090': {'element': {'type': 'BandParameters-v1090'},
                                                                         'size': [(1,
                                                                                   'maxSimultaneousBands-r10')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'BandCombinationParameters-v10i0': {'members': [{'element': {'type': 'BandParameters-v10i0'},
                                                                                      'name': 'bandParameterList-v10i0',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxSimultaneousBands-r10')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'}],
                                                                         'type': 'SEQUENCE'},
                                     'BandCombinationParameters-v1130': {'members': [{'name': 'multipleTimingAdvance-r11',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'supported'}},
                                                                                     {'name': 'simultaneousRx-Tx-r11',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'supported'}},
                                                                                     {'element': {'type': 'BandParameters-v1130'},
                                                                                      'name': 'bandParameterList-r11',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxSimultaneousBands-r10')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'},
                                                                                     '...'],
                                                                         'type': 'SEQUENCE'},
                                     'BandCombinationParameters-v1250': {'members': [{'members': [{'name': 'asynchronous-r12',
                                                                                                   'optional': True,
                                                                                                   'type': 'ENUMERATED',
                                                                                                   'values': {0: 'supported'}},
                                                                                                  {'members': [{'name': 'threeEntries-r12',
                                                                                                                'size': [3],
                                                                                                                'type': 'BIT '
                                                                                                                        'STRING'},
                                                                                                               {'name': 'fourEntries-r12',
                                                                                                                'size': [7],
                                                                                                                'type': 'BIT '
                                                                                                                        'STRING'},
                                                                                                               {'name': 'fiveEntries-r12',
                                                                                                                'size': [15],
                                                                                                                'type': 'BIT '
                                                                                                                        'STRING'}],
                                                                                                   'name': 'supportedCellGrouping-r12',
                                                                                                   'optional': True,
                                                                                                   'type': 'CHOICE'}],
                                                                                      'name': 'dc-Support-r12',
                                                                                      'optional': True,
                                                                                      'type': 'SEQUENCE'},
                                                                                     {'name': 'supportedNAICS-2CRS-AP-r12',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxNAICS-Entries-r12')],
                                                                                      'type': 'BIT '
                                                                                              'STRING'},
                                                                                     {'name': 'commSupportedBandsPerBC-r12',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxBands')],
                                                                                      'type': 'BIT '
                                                                                              'STRING'},
                                                                                     '...'],
                                                                         'type': 'SEQUENCE'},
                                     'BandCombinationParameters-v1270': {'members': [{'element': {'type': 'BandParameters-v1270'},
                                                                                      'name': 'bandParameterList-v1270',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxSimultaneousBands-r10')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'}],
                                                                         'type': 'SEQUENCE'},
                                     'BandCombinationParameters-v1320': {'members': [{'element': {'type': 'BandParameters-v1320'},
                                                                                      'name': 'bandParameterList-v1320',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxSimultaneousBands-r10')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'},
                                                                                     {'name': 'additionalRx-Tx-PerformanceReq-r13',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'supported'}}],
                                                                         'type': 'SEQUENCE'},
                                     'BandCombinationParameters-v1430': {'members': [{'element': {'type': 'BandParameters-v1430'},
                                                                                      'name': 'bandParameterList-v1430',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxSimultaneousBands-r10')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'},
                                                                                     {'name': 'v2x-SupportedTxBandCombListPerBC-r14',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxBandComb-r13')],
                                                                                      'type': 'BIT '
                                                                                              'STRING'},
                                                                                     {'name': 'v2x-SupportedRxBandCombListPerBC-r14',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                'maxBandComb-r13')],
                                                                                      'type': 'BIT '
                                                                                              'STRING'}],
                                                                         'type': 'SEQUENCE'},
                                     'BandCombinationParametersExt-r10': {'members': [{'name': 'supportedBandwidthCombinationSet-r10',
                                                                                       'optional': True,
                                                                                       'type': 'SupportedBandwidthCombinationSet-r10'}],
                                                                          'type': 'SEQUENCE'},
                                     'BandIndication-r14': {'members': [{'name': 'bandEUTRA-r14',
                                                                         'type': 'FreqBandIndicator-r11'},
                                                                        {'name': 'ca-BandwidthClassDL-r14',
                                                                         'type': 'CA-BandwidthClass-r10'},
                                                                        {'name': 'ca-BandwidthClassUL-r14',
                                                                         'optional': True,
                                                                         'type': 'CA-BandwidthClass-r10'}],
                                                            'type': 'SEQUENCE'},
                                     'BandIndicatorGERAN': {'type': 'ENUMERATED',
                                                            'values': {0: 'dcs1800',
                                                                       1: 'pcs1900'}},
                                     'BandInfoEUTRA': {'members': [{'name': 'interFreqBandList',
                                                                    'type': 'InterFreqBandList'},
                                                                   {'name': 'interRAT-BandList',
                                                                    'optional': True,
                                                                    'type': 'InterRAT-BandList'}],
                                                       'type': 'SEQUENCE'},
                                     'BandListEUTRA': {'element': {'type': 'BandInfoEUTRA'},
                                                       'size': [(1,
                                                                 'maxBands')],
                                                       'type': 'SEQUENCE OF'},
                                     'BandParameters-r10': {'members': [{'name': 'bandEUTRA-r10',
                                                                         'type': 'FreqBandIndicator'},
                                                                        {'name': 'bandParametersUL-r10',
                                                                         'optional': True,
                                                                         'type': 'BandParametersUL-r10'},
                                                                        {'name': 'bandParametersDL-r10',
                                                                         'optional': True,
                                                                         'type': 'BandParametersDL-r10'}],
                                                            'type': 'SEQUENCE'},
                                     'BandParameters-r11': {'members': [{'name': 'bandEUTRA-r11',
                                                                         'type': 'FreqBandIndicator-r11'},
                                                                        {'name': 'bandParametersUL-r11',
                                                                         'optional': True,
                                                                         'type': 'BandParametersUL-r10'},
                                                                        {'name': 'bandParametersDL-r11',
                                                                         'optional': True,
                                                                         'type': 'BandParametersDL-r10'},
                                                                        {'name': 'supportedCSI-Proc-r11',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'n1',
                                                                                    1: 'n3',
                                                                                    2: 'n4'}}],
                                                            'type': 'SEQUENCE'},
                                     'BandParameters-r13': {'members': [{'name': 'bandEUTRA-r13',
                                                                         'type': 'FreqBandIndicator-r11'},
                                                                        {'name': 'bandParametersUL-r13',
                                                                         'optional': True,
                                                                         'type': 'BandParametersUL-r13'},
                                                                        {'name': 'bandParametersDL-r13',
                                                                         'optional': True,
                                                                         'type': 'BandParametersDL-r13'},
                                                                        {'name': 'supportedCSI-Proc-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'n1',
                                                                                    1: 'n3',
                                                                                    2: 'n4'}}],
                                                            'type': 'SEQUENCE'},
                                     'BandParameters-v1090': {'members': [{'name': 'bandEUTRA-v1090',
                                                                           'optional': True,
                                                                           'type': 'FreqBandIndicator-v9e0'},
                                                                          '...'],
                                                              'type': 'SEQUENCE'},
                                     'BandParameters-v10i0': {'members': [{'element': {'type': 'CA-MIMO-ParametersDL-v10i0'},
                                                                           'name': 'bandParametersDL-v10i0',
                                                                           'size': [(1,
                                                                                     'maxBandwidthClass-r10')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'}],
                                                              'type': 'SEQUENCE'},
                                     'BandParameters-v1130': {'members': [{'name': 'supportedCSI-Proc-r11',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'n1',
                                                                                      1: 'n3',
                                                                                      2: 'n4'}}],
                                                              'type': 'SEQUENCE'},
                                     'BandParameters-v1270': {'members': [{'element': {'type': 'CA-MIMO-ParametersDL-v1270'},
                                                                           'name': 'bandParametersDL-v1270',
                                                                           'size': [(1,
                                                                                     'maxBandwidthClass-r10')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'}],
                                                              'type': 'SEQUENCE'},
                                     'BandParameters-v1320': {'members': [{'name': 'bandParametersDL-v1320',
                                                                           'type': 'MIMO-CA-ParametersPerBoBC-r13'}],
                                                              'type': 'SEQUENCE'},
                                     'BandParameters-v1430': {'members': [{'name': 'bandParametersDL-v1430',
                                                                           'optional': True,
                                                                           'type': 'MIMO-CA-ParametersPerBoBC-v1430'},
                                                                          {'name': 'ul-256QAM-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'element': {'type': 'UL-256QAM-perCC-Info-r14'},
                                                                           'name': 'ul-256QAM-perCC-InfoList-r14',
                                                                           'optional': True,
                                                                           'size': [(2,
                                                                                     'maxServCell-r13')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                                                          {'element': {'type': 'RetuningTimeInfo-r14'},
                                                                           'name': 'retuningTimeInfoBandList-r14',
                                                                           'optional': True,
                                                                           'size': [(1,
                                                                                     'maxSimultaneousBands-r10')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'}],
                                                              'type': 'SEQUENCE'},
                                     'BandParametersDL-r10': {'element': {'type': 'CA-MIMO-ParametersDL-r10'},
                                                              'size': [(1,
                                                                        'maxBandwidthClass-r10')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'BandParametersDL-r13': {'type': 'CA-MIMO-ParametersDL-r13'},
                                     'BandParametersRxSL-r14': {'members': [{'name': 'v2x-BandwidthClassRxSL-r14',
                                                                             'type': 'V2X-BandwidthClassSL-r14'},
                                                                            {'name': 'v2x-HighReception-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'BandParametersTxSL-r14': {'members': [{'name': 'v2x-BandwidthClassTxSL-r14',
                                                                             'type': 'V2X-BandwidthClassSL-r14'},
                                                                            {'name': 'v2x-eNB-Scheduled-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}},
                                                                            {'name': 'v2x-HighPower-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'BandParametersUL-r10': {'element': {'type': 'CA-MIMO-ParametersUL-r10'},
                                                              'size': [(1,
                                                                        'maxBandwidthClass-r10')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'BandParametersUL-r13': {'type': 'CA-MIMO-ParametersUL-r10'},
                                     'BandclassCDMA2000': {'type': 'ENUMERATED',
                                                           'values': {0: 'bc0',
                                                                      1: 'bc1',
                                                                      2: 'bc2',
                                                                      3: 'bc3',
                                                                      4: 'bc4',
                                                                      5: 'bc5',
                                                                      6: 'bc6',
                                                                      7: 'bc7',
                                                                      8: 'bc8',
                                                                      9: 'bc9',
                                                                      10: 'bc10',
                                                                      11: 'bc11',
                                                                      12: 'bc12',
                                                                      13: 'bc13',
                                                                      14: 'bc14',
                                                                      15: 'bc15',
                                                                      16: 'bc16',
                                                                      17: 'bc17',
                                                                      18: 'bc18-v9a0',
                                                                      19: 'bc19-v9a0',
                                                                      20: 'bc20-v9a0',
                                                                      21: 'bc21-v9a0',
                                                                      22: 'spare10',
                                                                      23: 'spare9',
                                                                      24: 'spare8',
                                                                      25: 'spare7',
                                                                      26: 'spare6',
                                                                      27: 'spare5',
                                                                      28: 'spare4',
                                                                      29: 'spare3',
                                                                      30: 'spare2',
                                                                      31: 'spare1',
                                                                      32: '...'}},
                                     'BarringPerACDC-Category-r13': {'members': [{'name': 'acdc-Category-r13',
                                                                                  'restricted-to': [(1,
                                                                                                     'maxACDC-Cat-r13')],
                                                                                  'type': 'INTEGER'},
                                                                                 {'members': [{'name': 'ac-BarringFactor-r13',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'p00',
                                                                                                          1: 'p05',
                                                                                                          2: 'p10',
                                                                                                          3: 'p15',
                                                                                                          4: 'p20',
                                                                                                          5: 'p25',
                                                                                                          6: 'p30',
                                                                                                          7: 'p40',
                                                                                                          8: 'p50',
                                                                                                          9: 'p60',
                                                                                                          10: 'p70',
                                                                                                          11: 'p75',
                                                                                                          12: 'p80',
                                                                                                          13: 'p85',
                                                                                                          14: 'p90',
                                                                                                          15: 'p95'}},
                                                                                              {'name': 'ac-BarringTime-r13',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 's4',
                                                                                                          1: 's8',
                                                                                                          2: 's16',
                                                                                                          3: 's32',
                                                                                                          4: 's64',
                                                                                                          5: 's128',
                                                                                                          6: 's256',
                                                                                                          7: 's512'}}],
                                                                                  'name': 'acdc-BarringConfig-r13',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'}],
                                                                     'type': 'SEQUENCE'},
                                     'BarringPerACDC-CategoryList-r13': {'element': {'type': 'BarringPerACDC-Category-r13'},
                                                                         'size': [(1,
                                                                                   'maxACDC-Cat-r13')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'BlackCellsToAddMod': {'members': [{'name': 'cellIndex',
                                                                         'restricted-to': [(1,
                                                                                            'maxCellMeas')],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'physCellIdRange',
                                                                         'type': 'PhysCellIdRange'}],
                                                            'type': 'SEQUENCE'},
                                     'BlackCellsToAddModList': {'element': {'type': 'BlackCellsToAddMod'},
                                                                'size': [(1,
                                                                          'maxCellMeas')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'C-RNTI': {'size': [16],
                                                'type': 'BIT STRING'},
                                     'CA-BandwidthClass-r10': {'type': 'ENUMERATED',
                                                               'values': {0: 'a',
                                                                          1: 'b',
                                                                          2: 'c',
                                                                          3: 'd',
                                                                          4: 'e',
                                                                          5: 'f',
                                                                          6: '...'}},
                                     'CA-MIMO-ParametersDL-r10': {'members': [{'name': 'ca-BandwidthClassDL-r10',
                                                                               'type': 'CA-BandwidthClass-r10'},
                                                                              {'name': 'supportedMIMO-CapabilityDL-r10',
                                                                               'optional': True,
                                                                               'type': 'MIMO-CapabilityDL-r10'}],
                                                                  'type': 'SEQUENCE'},
                                     'CA-MIMO-ParametersDL-r13': {'members': [{'name': 'ca-BandwidthClassDL-r13',
                                                                               'type': 'CA-BandwidthClass-r10'},
                                                                              {'name': 'supportedMIMO-CapabilityDL-r13',
                                                                               'optional': True,
                                                                               'type': 'MIMO-CapabilityDL-r10'},
                                                                              {'name': 'fourLayerTM3-TM4-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'element': {'type': 'IntraBandContiguousCC-Info-r12'},
                                                                               'name': 'intraBandContiguousCC-InfoList-r13',
                                                                               'size': [(1,
                                                                                         'maxServCell-r13')],
                                                                               'type': 'SEQUENCE '
                                                                                       'OF'}],
                                                                  'type': 'SEQUENCE'},
                                     'CA-MIMO-ParametersDL-v10i0': {'members': [{'name': 'fourLayerTM3-TM4-r10',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'supported'}}],
                                                                    'type': 'SEQUENCE'},
                                     'CA-MIMO-ParametersDL-v1270': {'members': [{'element': {'type': 'IntraBandContiguousCC-Info-r12'},
                                                                                 'name': 'intraBandContiguousCC-InfoList-r12',
                                                                                 'size': [(1,
                                                                                           'maxServCell-r10')],
                                                                                 'type': 'SEQUENCE '
                                                                                         'OF'}],
                                                                    'type': 'SEQUENCE'},
                                     'CA-MIMO-ParametersUL-r10': {'members': [{'name': 'ca-BandwidthClassUL-r10',
                                                                               'type': 'CA-BandwidthClass-r10'},
                                                                              {'name': 'supportedMIMO-CapabilityUL-r10',
                                                                               'optional': True,
                                                                               'type': 'MIMO-CapabilityUL-r10'}],
                                                                  'type': 'SEQUENCE'},
                                     'CDMA2000-Type': {'type': 'ENUMERATED',
                                                       'values': {0: 'type1XRTT',
                                                                  1: 'typeHRPD'}},
                                     'CE-Parameters-r13': {'members': [{'name': 'ce-ModeA-r13',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}},
                                                                       {'name': 'ce-ModeB-r13',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}}],
                                                           'type': 'SEQUENCE'},
                                     'CE-Parameters-v1320': {'members': [{'name': 'intraFreqA3-CE-ModeA-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'intraFreqA3-CE-ModeB-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'intraFreqHO-CE-ModeA-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'intraFreqHO-CE-ModeB-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'CE-Parameters-v1350': {'members': [{'name': 'unicastFrequencyHopping-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'CE-Parameters-v1370': {'members': [{'name': 'tm9-CE-ModeA-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'tm9-CE-ModeB-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'CE-Parameters-v1430': {'members': [{'name': 'ce-SwitchWithoutHO-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'CIOT-EPS-OptimisationInfo-r13': {'element': {'type': 'CIOT-OptimisationPLMN-r13'},
                                                                       'size': [(1,
                                                                                 'maxPLMN-r11')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'CIOT-OptimisationPLMN-r13': {'members': [{'name': 'up-CIoT-EPS-Optimisation-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               {'name': 'cp-CIoT-EPS-Optimisation-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               {'name': 'attachWithoutPDN-Connectivity-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}}],
                                                                   'type': 'SEQUENCE'},
                                     'CQI-ReportAperiodic-r10': {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'members': [{'name': 'cqi-ReportModeAperiodic-r10',
                                                                                           'type': 'CQI-ReportModeAperiodic'},
                                                                                          {'members': [{'name': 'trigger1-r10',
                                                                                                        'size': [8],
                                                                                                        'type': 'BIT '
                                                                                                                'STRING'},
                                                                                                       {'name': 'trigger2-r10',
                                                                                                        'size': [8],
                                                                                                        'type': 'BIT '
                                                                                                                'STRING'}],
                                                                                           'name': 'aperiodicCSI-Trigger-r10',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'setup',
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'CHOICE'},
                                     'CQI-ReportAperiodic-v1250': {'members': [{'name': 'release',
                                                                                'type': 'NULL'},
                                                                               {'members': [{'members': [{'name': 'trigger-SubframeSetIndicator-r12',
                                                                                                          'type': 'ENUMERATED',
                                                                                                          'values': {0: 's1',
                                                                                                                     1: 's2'}},
                                                                                                         {'name': 'trigger1-SubframeSetIndicator-r12',
                                                                                                          'size': [8],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'},
                                                                                                         {'name': 'trigger2-SubframeSetIndicator-r12',
                                                                                                          'size': [8],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'}],
                                                                                             'name': 'aperiodicCSI-Trigger-v1250',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'setup',
                                                                                'type': 'SEQUENCE'}],
                                                                   'type': 'CHOICE'},
                                     'CQI-ReportAperiodic-v1310': {'members': [{'name': 'release',
                                                                                'type': 'NULL'},
                                                                               {'members': [{'members': [{'name': 'trigger1-r13',
                                                                                                          'size': [32],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'},
                                                                                                         {'name': 'trigger2-r13',
                                                                                                          'size': [32],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'},
                                                                                                         {'name': 'trigger3-r13',
                                                                                                          'size': [32],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'},
                                                                                                         {'name': 'trigger4-r13',
                                                                                                          'size': [32],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'},
                                                                                                         {'name': 'trigger5-r13',
                                                                                                          'size': [32],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'},
                                                                                                         {'name': 'trigger6-r13',
                                                                                                          'size': [32],
                                                                                                          'type': 'BIT '
                                                                                                                  'STRING'}],
                                                                                             'name': 'aperiodicCSI-Trigger-v1310',
                                                                                             'optional': True,
                                                                                             'type': 'SEQUENCE'},
                                                                                            {'members': [{'name': 'release',
                                                                                                          'type': 'NULL'},
                                                                                                         {'members': [{'name': 'trigger1-SubframeSetIndicator-r13',
                                                                                                                       'size': [32],
                                                                                                                       'type': 'BIT '
                                                                                                                               'STRING'},
                                                                                                                      {'name': 'trigger2-SubframeSetIndicator-r13',
                                                                                                                       'size': [32],
                                                                                                                       'type': 'BIT '
                                                                                                                               'STRING'},
                                                                                                                      {'name': 'trigger3-SubframeSetIndicator-r13',
                                                                                                                       'size': [32],
                                                                                                                       'type': 'BIT '
                                                                                                                               'STRING'},
                                                                                                                      {'name': 'trigger4-SubframeSetIndicator-r13',
                                                                                                                       'size': [32],
                                                                                                                       'type': 'BIT '
                                                                                                                               'STRING'},
                                                                                                                      {'name': 'trigger5-SubframeSetIndicator-r13',
                                                                                                                       'size': [32],
                                                                                                                       'type': 'BIT '
                                                                                                                               'STRING'},
                                                                                                                      {'name': 'trigger6-SubframeSetIndicator-r13',
                                                                                                                       'size': [32],
                                                                                                                       'type': 'BIT '
                                                                                                                               'STRING'}],
                                                                                                          'name': 'setup',
                                                                                                          'type': 'SEQUENCE'}],
                                                                                             'name': 'aperiodicCSI-Trigger2-r13',
                                                                                             'optional': True,
                                                                                             'type': 'CHOICE'}],
                                                                                'name': 'setup',
                                                                                'type': 'SEQUENCE'}],
                                                                   'type': 'CHOICE'},
                                     'CQI-ReportAperiodicHybrid-r14': {'members': [{'members': [{'members': [{'name': 'trigger1-Indicator-r14',
                                                                                                              'size': [8],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'}],
                                                                                                 'name': 'oneBit-r14',
                                                                                                 'type': 'SEQUENCE'},
                                                                                                {'members': [{'name': 'trigger01-Indicator-r14',
                                                                                                              'size': [8],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger10-Indicator-r14',
                                                                                                              'size': [8],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger11-Indicator-r14',
                                                                                                              'size': [8],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'}],
                                                                                                 'name': 'twoBit-r14',
                                                                                                 'type': 'SEQUENCE'},
                                                                                                {'members': [{'name': 'trigger001-Indicator-r14',
                                                                                                              'size': [32],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger010-Indicator-r14',
                                                                                                              'size': [32],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger011-Indicator-r14',
                                                                                                              'size': [32],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger100-Indicator-r14',
                                                                                                              'size': [32],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger101-Indicator-r14',
                                                                                                              'size': [32],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger110-Indicator-r14',
                                                                                                              'size': [32],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'},
                                                                                                             {'name': 'trigger111-Indicator-r14',
                                                                                                              'size': [32],
                                                                                                              'type': 'BIT '
                                                                                                                      'STRING'}],
                                                                                                 'name': 'threeBit-r14',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'triggers-r14',
                                                                                    'optional': True,
                                                                                    'type': 'CHOICE'}],
                                                                       'type': 'SEQUENCE'},
                                     'CQI-ReportAperiodicProc-r11': {'members': [{'name': 'cqi-ReportModeAperiodic-r11',
                                                                                  'type': 'CQI-ReportModeAperiodic'},
                                                                                 {'name': 'trigger01-r11',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'trigger10-r11',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'trigger11-r11',
                                                                                  'type': 'BOOLEAN'}],
                                                                     'type': 'SEQUENCE'},
                                     'CQI-ReportAperiodicProc-v1310': {'members': [{'name': 'trigger001-r13',
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'trigger010-r13',
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'trigger011-r13',
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'trigger100-r13',
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'trigger101-r13',
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'trigger110-r13',
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'trigger111-r13',
                                                                                    'type': 'BOOLEAN'}],
                                                                       'type': 'SEQUENCE'},
                                     'CQI-ReportBoth-r11': {'members': [{'name': 'csi-IM-ConfigToReleaseList-r11',
                                                                         'optional': True,
                                                                         'type': 'CSI-IM-ConfigToReleaseList-r11'},
                                                                        {'name': 'csi-IM-ConfigToAddModList-r11',
                                                                         'optional': True,
                                                                         'type': 'CSI-IM-ConfigToAddModList-r11'},
                                                                        {'name': 'csi-ProcessToReleaseList-r11',
                                                                         'optional': True,
                                                                         'type': 'CSI-ProcessToReleaseList-r11'},
                                                                        {'name': 'csi-ProcessToAddModList-r11',
                                                                         'optional': True,
                                                                         'type': 'CSI-ProcessToAddModList-r11'}],
                                                            'type': 'SEQUENCE'},
                                     'CQI-ReportBoth-v1250': {'members': [{'name': 'csi-IM-ConfigToReleaseListExt-r12',
                                                                           'optional': True,
                                                                           'type': 'CSI-IM-ConfigId-v1250'},
                                                                          {'name': 'csi-IM-ConfigToAddModListExt-r12',
                                                                           'optional': True,
                                                                           'type': 'CSI-IM-ConfigExt-r12'}],
                                                              'type': 'SEQUENCE'},
                                     'CQI-ReportBoth-v1310': {'members': [{'name': 'csi-IM-ConfigToReleaseListExt-r13',
                                                                           'optional': True,
                                                                           'type': 'CSI-IM-ConfigToReleaseListExt-r13'},
                                                                          {'name': 'csi-IM-ConfigToAddModListExt-r13',
                                                                           'optional': True,
                                                                           'type': 'CSI-IM-ConfigToAddModListExt-r13'}],
                                                              'type': 'SEQUENCE'},
                                     'CQI-ReportBothProc-r11': {'members': [{'name': 'ri-Ref-CSI-ProcessId-r11',
                                                                             'optional': True,
                                                                             'type': 'CSI-ProcessId-r11'},
                                                                            {'name': 'pmi-RI-Report-r11',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'setup'}}],
                                                                'type': 'SEQUENCE'},
                                     'CQI-ReportConfig': {'members': [{'name': 'cqi-ReportModeAperiodic',
                                                                       'optional': True,
                                                                       'type': 'CQI-ReportModeAperiodic'},
                                                                      {'name': 'nomPDSCH-RS-EPRE-Offset',
                                                                       'restricted-to': [(-1,
                                                                                          6)],
                                                                       'type': 'INTEGER'},
                                                                      {'name': 'cqi-ReportPeriodic',
                                                                       'optional': True,
                                                                       'type': 'CQI-ReportPeriodic'}],
                                                          'type': 'SEQUENCE'},
                                     'CQI-ReportConfig-r10': {'members': [{'name': 'cqi-ReportAperiodic-r10',
                                                                           'optional': True,
                                                                           'type': 'CQI-ReportAperiodic-r10'},
                                                                          {'name': 'nomPDSCH-RS-EPRE-Offset',
                                                                           'restricted-to': [(-1,
                                                                                              6)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'cqi-ReportPeriodic-r10',
                                                                           'optional': True,
                                                                           'type': 'CQI-ReportPeriodic-r10'},
                                                                          {'name': 'pmi-RI-Report-r9',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'setup'}},
                                                                          {'members': [{'name': 'release',
                                                                                        'type': 'NULL'},
                                                                                       {'members': [{'name': 'csi-MeasSubframeSet1-r10',
                                                                                                     'type': 'MeasSubframePattern-r10'},
                                                                                                    {'name': 'csi-MeasSubframeSet2-r10',
                                                                                                     'type': 'MeasSubframePattern-r10'}],
                                                                                        'name': 'setup',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'csi-SubframePatternConfig-r10',
                                                                           'optional': True,
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'CQI-ReportConfig-v1130': {'members': [{'name': 'cqi-ReportPeriodic-v1130',
                                                                             'type': 'CQI-ReportPeriodic-v1130'},
                                                                            {'name': 'cqi-ReportBoth-r11',
                                                                             'type': 'CQI-ReportBoth-r11'}],
                                                                'type': 'SEQUENCE'},
                                     'CQI-ReportConfig-v1250': {'members': [{'members': [{'name': 'release',
                                                                                          'type': 'NULL'},
                                                                                         {'members': [{'name': 'csi-MeasSubframeSets-r12',
                                                                                                       'size': [10],
                                                                                                       'type': 'BIT '
                                                                                                               'STRING'}],
                                                                                          'name': 'setup',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'name': 'csi-SubframePatternConfig-r12',
                                                                             'optional': True,
                                                                             'type': 'CHOICE'},
                                                                            {'name': 'cqi-ReportBoth-v1250',
                                                                             'optional': True,
                                                                             'type': 'CQI-ReportBoth-v1250'},
                                                                            {'name': 'cqi-ReportAperiodic-v1250',
                                                                             'optional': True,
                                                                             'type': 'CQI-ReportAperiodic-v1250'},
                                                                            {'name': 'altCQI-Table-r12',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'allSubframes',
                                                                                        1: 'csi-SubframeSet1',
                                                                                        2: 'csi-SubframeSet2',
                                                                                        3: 'spare1'}}],
                                                                'type': 'SEQUENCE'},
                                     'CQI-ReportConfig-v1310': {'members': [{'name': 'cqi-ReportBoth-v1310',
                                                                             'optional': True,
                                                                             'type': 'CQI-ReportBoth-v1310'},
                                                                            {'name': 'cqi-ReportAperiodic-v1310',
                                                                             'optional': True,
                                                                             'type': 'CQI-ReportAperiodic-v1310'},
                                                                            {'name': 'cqi-ReportPeriodic-v1310',
                                                                             'optional': True,
                                                                             'type': 'CQI-ReportPeriodic-v1310'}],
                                                                'type': 'SEQUENCE'},
                                     'CQI-ReportConfig-v1320': {'members': [{'name': 'cqi-ReportPeriodic-v1320',
                                                                             'optional': True,
                                                                             'type': 'CQI-ReportPeriodic-v1320'}],
                                                                'type': 'SEQUENCE'},
                                     'CQI-ReportConfig-v1430': {'members': [{'name': 'cqi-ReportAperiodicHybrid-r14',
                                                                             'optional': True,
                                                                             'type': 'CQI-ReportAperiodicHybrid-r14'}],
                                                                'type': 'SEQUENCE'},
                                     'CQI-ReportConfig-v920': {'members': [{'name': 'cqi-Mask-r9',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'setup'}},
                                                                           {'name': 'pmi-RI-Report-r9',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'setup'}}],
                                                               'type': 'SEQUENCE'},
                                     'CQI-ReportConfigSCell-r10': {'members': [{'name': 'cqi-ReportModeAperiodic-r10',
                                                                                'optional': True,
                                                                                'type': 'CQI-ReportModeAperiodic'},
                                                                               {'name': 'nomPDSCH-RS-EPRE-Offset-r10',
                                                                                'restricted-to': [(-1,
                                                                                                   6)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'cqi-ReportPeriodicSCell-r10',
                                                                                'optional': True,
                                                                                'type': 'CQI-ReportPeriodic-r10'},
                                                                               {'name': 'pmi-RI-Report-r10',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'setup'}}],
                                                                   'type': 'SEQUENCE'},
                                     'CQI-ReportModeAperiodic': {'type': 'ENUMERATED',
                                                                 'values': {0: 'rm12',
                                                                            1: 'rm20',
                                                                            2: 'rm22',
                                                                            3: 'rm30',
                                                                            4: 'rm31',
                                                                            5: 'rm32-v1250',
                                                                            6: 'rm10-v1310',
                                                                            7: 'rm11-v1310'}},
                                     'CQI-ReportPeriodic': {'members': [{'name': 'release',
                                                                         'type': 'NULL'},
                                                                        {'members': [{'name': 'cqi-PUCCH-ResourceIndex',
                                                                                      'restricted-to': [(0,
                                                                                                         1185)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'cqi-pmi-ConfigIndex',
                                                                                      'restricted-to': [(0,
                                                                                                         1023)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'members': [{'name': 'widebandCQI',
                                                                                                   'type': 'NULL'},
                                                                                                  {'members': [{'name': 'k',
                                                                                                                'restricted-to': [(1,
                                                                                                                                   4)],
                                                                                                                'type': 'INTEGER'}],
                                                                                                   'name': 'subbandCQI',
                                                                                                   'type': 'SEQUENCE'}],
                                                                                      'name': 'cqi-FormatIndicatorPeriodic',
                                                                                      'type': 'CHOICE'},
                                                                                     {'name': 'ri-ConfigIndex',
                                                                                      'optional': True,
                                                                                      'restricted-to': [(0,
                                                                                                         1023)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'simultaneousAckNackAndCQI',
                                                                                      'type': 'BOOLEAN'}],
                                                                         'name': 'setup',
                                                                         'type': 'SEQUENCE'}],
                                                            'type': 'CHOICE'},
                                     'CQI-ReportPeriodic-r10': {'members': [{'name': 'release',
                                                                             'type': 'NULL'},
                                                                            {'members': [{'name': 'cqi-PUCCH-ResourceIndex-r10',
                                                                                          'restricted-to': [(0,
                                                                                                             1184)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'cqi-PUCCH-ResourceIndexP1-r10',
                                                                                          'optional': True,
                                                                                          'restricted-to': [(0,
                                                                                                             1184)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'cqi-pmi-ConfigIndex',
                                                                                          'restricted-to': [(0,
                                                                                                             1023)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'members': [{'members': [{'name': 'csi-ReportMode-r10',
                                                                                                                    'optional': True,
                                                                                                                    'type': 'ENUMERATED',
                                                                                                                    'values': {0: 'submode1',
                                                                                                                               1: 'submode2'}}],
                                                                                                       'name': 'widebandCQI-r10',
                                                                                                       'type': 'SEQUENCE'},
                                                                                                      {'members': [{'name': 'k',
                                                                                                                    'restricted-to': [(1,
                                                                                                                                       4)],
                                                                                                                    'type': 'INTEGER'},
                                                                                                                   {'name': 'periodicityFactor-r10',
                                                                                                                    'type': 'ENUMERATED',
                                                                                                                    'values': {0: 'n2',
                                                                                                                               1: 'n4'}}],
                                                                                                       'name': 'subbandCQI-r10',
                                                                                                       'type': 'SEQUENCE'}],
                                                                                          'name': 'cqi-FormatIndicatorPeriodic-r10',
                                                                                          'type': 'CHOICE'},
                                                                                         {'name': 'ri-ConfigIndex',
                                                                                          'optional': True,
                                                                                          'restricted-to': [(0,
                                                                                                             1023)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'simultaneousAckNackAndCQI',
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'cqi-Mask-r9',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'setup'}},
                                                                                         {'members': [{'name': 'release',
                                                                                                       'type': 'NULL'},
                                                                                                      {'members': [{'name': 'cqi-pmi-ConfigIndex2-r10',
                                                                                                                    'restricted-to': [(0,
                                                                                                                                       1023)],
                                                                                                                    'type': 'INTEGER'},
                                                                                                                   {'name': 'ri-ConfigIndex2-r10',
                                                                                                                    'optional': True,
                                                                                                                    'restricted-to': [(0,
                                                                                                                                       1023)],
                                                                                                                    'type': 'INTEGER'}],
                                                                                                       'name': 'setup',
                                                                                                       'type': 'SEQUENCE'}],
                                                                                          'name': 'csi-ConfigIndex-r10',
                                                                                          'optional': True,
                                                                                          'type': 'CHOICE'}],
                                                                             'name': 'setup',
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'CHOICE'},
                                     'CQI-ReportPeriodic-v1130': {'members': [{'name': 'simultaneousAckNackAndCQI-Format3-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'setup'}},
                                                                              {'name': 'cqi-ReportPeriodicProcExtToReleaseList-r11',
                                                                               'optional': True,
                                                                               'type': 'CQI-ReportPeriodicProcExtToReleaseList-r11'},
                                                                              {'name': 'cqi-ReportPeriodicProcExtToAddModList-r11',
                                                                               'optional': True,
                                                                               'type': 'CQI-ReportPeriodicProcExtToAddModList-r11'}],
                                                                  'type': 'SEQUENCE'},
                                     'CQI-ReportPeriodic-v1310': {'members': [{'name': 'cri-ReportConfig-r13',
                                                                               'optional': True,
                                                                               'type': 'CRI-ReportConfig-r13'},
                                                                              {'name': 'simultaneousAckNackAndCQI-Format4-Format5-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'setup'}}],
                                                                  'type': 'SEQUENCE'},
                                     'CQI-ReportPeriodic-v1320': {'members': [{'name': 'periodicityFactorWB-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n2',
                                                                                          1: 'n4'}}],
                                                                  'type': 'SEQUENCE'},
                                     'CQI-ReportPeriodicProcExt-r11': {'members': [{'name': 'cqi-ReportPeriodicProcExtId-r11',
                                                                                    'type': 'CQI-ReportPeriodicProcExtId-r11'},
                                                                                   {'name': 'cqi-pmi-ConfigIndex-r11',
                                                                                    'restricted-to': [(0,
                                                                                                       1023)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'members': [{'members': [{'name': 'csi-ReportMode-r11',
                                                                                                              'optional': True,
                                                                                                              'type': 'ENUMERATED',
                                                                                                              'values': {0: 'submode1',
                                                                                                                         1: 'submode2'}}],
                                                                                                 'name': 'widebandCQI-r11',
                                                                                                 'type': 'SEQUENCE'},
                                                                                                {'members': [{'name': 'k',
                                                                                                              'restricted-to': [(1,
                                                                                                                                 4)],
                                                                                                              'type': 'INTEGER'},
                                                                                                             {'name': 'periodicityFactor-r11',
                                                                                                              'type': 'ENUMERATED',
                                                                                                              'values': {0: 'n2',
                                                                                                                         1: 'n4'}}],
                                                                                                 'name': 'subbandCQI-r11',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'cqi-FormatIndicatorPeriodic-r11',
                                                                                    'type': 'CHOICE'},
                                                                                   {'name': 'ri-ConfigIndex-r11',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       1023)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'members': [{'name': 'release',
                                                                                                 'type': 'NULL'},
                                                                                                {'members': [{'name': 'cqi-pmi-ConfigIndex2-r11',
                                                                                                              'restricted-to': [(0,
                                                                                                                                 1023)],
                                                                                                              'type': 'INTEGER'},
                                                                                                             {'name': 'ri-ConfigIndex2-r11',
                                                                                                              'optional': True,
                                                                                                              'restricted-to': [(0,
                                                                                                                                 1023)],
                                                                                                              'type': 'INTEGER'}],
                                                                                                 'name': 'setup',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'csi-ConfigIndex-r11',
                                                                                    'optional': True,
                                                                                    'type': 'CHOICE'},
                                                                                   '...',
                                                                                   {'name': 'cri-ReportConfig-r13',
                                                                                    'optional': True,
                                                                                    'type': 'CRI-ReportConfig-r13'},
                                                                                   {'name': 'periodicityFactorWB-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'n2',
                                                                                               1: 'n4'}}],
                                                                       'type': 'SEQUENCE'},
                                     'CQI-ReportPeriodicProcExtId-r11': {'restricted-to': [(1,
                                                                                            'maxCQI-ProcExt-r11')],
                                                                         'type': 'INTEGER'},
                                     'CQI-ReportPeriodicProcExtToAddModList-r11': {'element': {'type': 'CQI-ReportPeriodicProcExt-r11'},
                                                                                   'size': [(1,
                                                                                             'maxCQI-ProcExt-r11')],
                                                                                   'type': 'SEQUENCE '
                                                                                           'OF'},
                                     'CQI-ReportPeriodicProcExtToReleaseList-r11': {'element': {'type': 'CQI-ReportPeriodicProcExtId-r11'},
                                                                                    'size': [(1,
                                                                                              'maxCQI-ProcExt-r11')],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'},
                                     'CRI-ConfigIndex-r13': {'restricted-to': [(0,
                                                                                1023)],
                                                             'type': 'INTEGER'},
                                     'CRI-ReportConfig-r13': {'members': [{'name': 'release',
                                                                           'type': 'NULL'},
                                                                          {'members': [{'name': 'cri-ConfigIndex-r13',
                                                                                        'type': 'CRI-ConfigIndex-r13'},
                                                                                       {'name': 'cri-ConfigIndex2-r13',
                                                                                        'optional': True,
                                                                                        'type': 'CRI-ConfigIndex-r13'}],
                                                                           'name': 'setup',
                                                                           'type': 'SEQUENCE'}],
                                                              'type': 'CHOICE'},
                                     'CRS-AssistanceInfo-r11': {'members': [{'name': 'physCellId-r11',
                                                                             'type': 'PhysCellId'},
                                                                            {'name': 'antennaPortsCount-r11',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'an1',
                                                                                        1: 'an2',
                                                                                        2: 'an4',
                                                                                        3: 'spare1'}},
                                                                            {'name': 'mbsfn-SubframeConfigList-r11',
                                                                             'type': 'MBSFN-SubframeConfigList'},
                                                                            '...',
                                                                            {'name': 'mbsfn-SubframeConfigList-v1430',
                                                                             'optional': True,
                                                                             'type': 'MBSFN-SubframeConfigList-v1430'}],
                                                                'type': 'SEQUENCE'},
                                     'CRS-AssistanceInfo-r13': {'members': [{'name': 'physCellId-r13',
                                                                             'type': 'PhysCellId'},
                                                                            {'name': 'antennaPortsCount-r13',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'an1',
                                                                                        1: 'an2',
                                                                                        2: 'an4',
                                                                                        3: 'spare1'}},
                                                                            {'name': 'mbsfn-SubframeConfigList-r13',
                                                                             'optional': True,
                                                                             'type': 'MBSFN-SubframeConfigList'},
                                                                            '...',
                                                                            {'name': 'mbsfn-SubframeConfigList-v1430',
                                                                             'optional': True,
                                                                             'type': 'MBSFN-SubframeConfigList-v1430'}],
                                                                'type': 'SEQUENCE'},
                                     'CRS-AssistanceInfoList-r11': {'element': {'type': 'CRS-AssistanceInfo-r11'},
                                                                    'size': [(1,
                                                                              'maxCellReport')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'CRS-AssistanceInfoList-r13': {'element': {'type': 'CRS-AssistanceInfo-r13'},
                                                                    'size': [(1,
                                                                              'maxCellReport')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'CSFB-RegistrationParam1XRTT': {'members': [{'name': 'sid',
                                                                                  'size': [15],
                                                                                  'type': 'BIT '
                                                                                          'STRING'},
                                                                                 {'name': 'nid',
                                                                                  'size': [16],
                                                                                  'type': 'BIT '
                                                                                          'STRING'},
                                                                                 {'name': 'multipleSID',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'multipleNID',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'homeReg',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'foreignSIDReg',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'foreignNIDReg',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'parameterReg',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'powerUpReg',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'registrationPeriod',
                                                                                  'size': [7],
                                                                                  'type': 'BIT '
                                                                                          'STRING'},
                                                                                 {'name': 'registrationZone',
                                                                                  'size': [12],
                                                                                  'type': 'BIT '
                                                                                          'STRING'},
                                                                                 {'name': 'totalZone',
                                                                                  'size': [3],
                                                                                  'type': 'BIT '
                                                                                          'STRING'},
                                                                                 {'name': 'zoneTimer',
                                                                                  'size': [3],
                                                                                  'type': 'BIT '
                                                                                          'STRING'}],
                                                                     'type': 'SEQUENCE'},
                                     'CSFB-RegistrationParam1XRTT-v920': {'members': [{'name': 'powerDownReg-r9',
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}}],
                                                                          'type': 'SEQUENCE'},
                                     'CSFBParametersRequestCDMA2000': {'members': [{'members': [{'name': 'csfbParametersRequestCDMA2000-r8',
                                                                                                 'type': 'CSFBParametersRequestCDMA2000-r8-IEs'},
                                                                                                {'members': [],
                                                                                                 'name': 'criticalExtensionsFuture',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'criticalExtensions',
                                                                                    'type': 'CHOICE'}],
                                                                       'type': 'SEQUENCE'},
                                     'CSFBParametersRequestCDMA2000-r8-IEs': {'members': [{'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'CSFBParametersRequestCDMA2000-v8a0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'CSFBParametersRequestCDMA2000-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'members': [],
                                                                                             'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'SEQUENCE'}],
                                                                                'type': 'SEQUENCE'},
                                     'CSFBParametersResponseCDMA2000': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                     'type': 'RRC-TransactionIdentifier'},
                                                                                    {'members': [{'name': 'csfbParametersResponseCDMA2000-r8',
                                                                                                  'type': 'CSFBParametersResponseCDMA2000-r8-IEs'},
                                                                                                 {'members': [],
                                                                                                  'name': 'criticalExtensionsFuture',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'criticalExtensions',
                                                                                     'type': 'CHOICE'}],
                                                                        'type': 'SEQUENCE'},
                                     'CSFBParametersResponseCDMA2000-r8-IEs': {'members': [{'name': 'rand',
                                                                                            'type': 'RAND-CDMA2000'},
                                                                                           {'name': 'mobilityParameters',
                                                                                            'type': 'MobilityParametersCDMA2000'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'CSFBParametersResponseCDMA2000-v8a0-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'CSFBParametersResponseCDMA2000-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'OCTET '
                                                                                                      'STRING'},
                                                                                             {'members': [],
                                                                                              'name': 'nonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'type': 'SEQUENCE'},
                                     'CSG-AllowedReportingCells-r9': {'members': [{'name': 'physCellIdRangeUTRA-FDDList-r9',
                                                                                   'optional': True,
                                                                                   'type': 'PhysCellIdRangeUTRA-FDDList-r9'}],
                                                                      'type': 'SEQUENCE'},
                                     'CSG-Identity': {'size': [27],
                                                      'type': 'BIT STRING'},
                                     'CSG-ProximityIndicationParameters-r9': {'members': [{'name': 'intraFreqProximityIndication-r9',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}},
                                                                                          {'name': 'interFreqProximityIndication-r9',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}},
                                                                                          {'name': 'utran-ProximityIndication-r9',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}}],
                                                                              'type': 'SEQUENCE'},
                                     'CSI-IM-Config-r11': {'members': [{'name': 'csi-IM-ConfigId-r11',
                                                                        'type': 'CSI-IM-ConfigId-r11'},
                                                                       {'name': 'resourceConfig-r11',
                                                                        'restricted-to': [(0,
                                                                                           31)],
                                                                        'type': 'INTEGER'},
                                                                       {'name': 'subframeConfig-r11',
                                                                        'restricted-to': [(0,
                                                                                           154)],
                                                                        'type': 'INTEGER'},
                                                                       '...',
                                                                       {'name': 'interferenceMeasRestriction-r13',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'}],
                                                           'type': 'SEQUENCE'},
                                     'CSI-IM-ConfigExt-r12': {'members': [{'name': 'csi-IM-ConfigId-v1250',
                                                                           'type': 'CSI-IM-ConfigId-v1250'},
                                                                          {'name': 'resourceConfig-r12',
                                                                           'restricted-to': [(0,
                                                                                              31)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'subframeConfig-r12',
                                                                           'restricted-to': [(0,
                                                                                              154)],
                                                                           'type': 'INTEGER'},
                                                                          '...',
                                                                          {'name': 'interferenceMeasRestriction-r13',
                                                                           'optional': True,
                                                                           'type': 'BOOLEAN'},
                                                                          {'name': 'csi-IM-ConfigId-v1310',
                                                                           'optional': True,
                                                                           'type': 'CSI-IM-ConfigId-v1310'}],
                                                              'type': 'SEQUENCE'},
                                     'CSI-IM-ConfigId-r11': {'restricted-to': [(1,
                                                                                'maxCSI-IM-r11')],
                                                             'type': 'INTEGER'},
                                     'CSI-IM-ConfigId-r12': {'restricted-to': [(1,
                                                                                'maxCSI-IM-r12')],
                                                             'type': 'INTEGER'},
                                     'CSI-IM-ConfigId-r13': {'restricted-to': [(1,
                                                                                'maxCSI-IM-r13')],
                                                             'type': 'INTEGER'},
                                     'CSI-IM-ConfigId-v1250': {'restricted-to': ['maxCSI-IM-r12'],
                                                               'type': 'INTEGER'},
                                     'CSI-IM-ConfigId-v1310': {'restricted-to': [('minCSI-IM-r13',
                                                                                  'maxCSI-IM-r13')],
                                                               'type': 'INTEGER'},
                                     'CSI-IM-ConfigToAddModList-r11': {'element': {'type': 'CSI-IM-Config-r11'},
                                                                       'size': [(1,
                                                                                 'maxCSI-IM-r11')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'CSI-IM-ConfigToAddModListExt-r13': {'element': {'type': 'CSI-IM-ConfigExt-r12'},
                                                                          'size': [(1,
                                                                                    'maxCSI-IM-v1310')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'CSI-IM-ConfigToReleaseList-r11': {'element': {'type': 'CSI-IM-ConfigId-r11'},
                                                                        'size': [(1,
                                                                                  'maxCSI-IM-r11')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'CSI-IM-ConfigToReleaseListExt-r13': {'element': {'type': 'CSI-IM-ConfigId-v1310'},
                                                                           'size': [(1,
                                                                                     'maxCSI-IM-v1310')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'CSI-Process-r11': {'members': [{'name': 'csi-ProcessId-r11',
                                                                      'type': 'CSI-ProcessId-r11'},
                                                                     {'name': 'csi-RS-ConfigNZPId-r11',
                                                                      'type': 'CSI-RS-ConfigNZPId-r11'},
                                                                     {'name': 'csi-IM-ConfigId-r11',
                                                                      'type': 'CSI-IM-ConfigId-r11'},
                                                                     {'name': 'p-C-AndCBSRList-r11',
                                                                      'type': 'P-C-AndCBSR-Pair-r13a'},
                                                                     {'name': 'cqi-ReportBothProc-r11',
                                                                      'optional': True,
                                                                      'type': 'CQI-ReportBothProc-r11'},
                                                                     {'name': 'cqi-ReportPeriodicProcId-r11',
                                                                      'optional': True,
                                                                      'restricted-to': [(0,
                                                                                         'maxCQI-ProcExt-r11')],
                                                                      'type': 'INTEGER'},
                                                                     {'name': 'cqi-ReportAperiodicProc-r11',
                                                                      'optional': True,
                                                                      'type': 'CQI-ReportAperiodicProc-r11'},
                                                                     '...',
                                                                     {'name': 'alternativeCodebookEnabledFor4TXProc-r12',
                                                                      'optional': True,
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'true'}},
                                                                     {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'element': {'type': 'CSI-IM-ConfigId-r12'},
                                                                                   'name': 'setup',
                                                                                   'size': [(1,
                                                                                             2)],
                                                                                   'type': 'SEQUENCE '
                                                                                           'OF'}],
                                                                      'name': 'csi-IM-ConfigIdList-r12',
                                                                      'optional': True,
                                                                      'type': 'CHOICE'},
                                                                     {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'name': 'setup',
                                                                                   'type': 'CQI-ReportAperiodicProc-r11'}],
                                                                      'name': 'cqi-ReportAperiodicProc2-r12',
                                                                      'optional': True,
                                                                      'type': 'CHOICE'},
                                                                     {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'name': 'setup',
                                                                                   'type': 'CQI-ReportAperiodicProc-v1310'}],
                                                                      'name': 'cqi-ReportAperiodicProc-v1310',
                                                                      'optional': True,
                                                                      'type': 'CHOICE'},
                                                                     {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'name': 'setup',
                                                                                   'type': 'CQI-ReportAperiodicProc-v1310'}],
                                                                      'name': 'cqi-ReportAperiodicProc2-v1310',
                                                                      'optional': True,
                                                                      'type': 'CHOICE'},
                                                                     {'name': 'eMIMO-Type-r13',
                                                                      'optional': True,
                                                                      'type': 'CSI-RS-ConfigEMIMO-r13'},
                                                                     {'name': 'eMIMO-Type-v1430',
                                                                      'optional': True,
                                                                      'type': 'CSI-RS-ConfigEMIMO-v1430'},
                                                                     {'name': 'eMIMO-Hybrid-r14',
                                                                      'optional': True,
                                                                      'type': 'CSI-RS-ConfigEMIMO-Hybrid-r14'},
                                                                     {'name': 'advancedCodebookEnabled-r14',
                                                                      'optional': True,
                                                                      'type': 'BOOLEAN'}],
                                                         'type': 'SEQUENCE'},
                                     'CSI-ProcessId-r11': {'restricted-to': [(1,
                                                                              'maxCSI-Proc-r11')],
                                                           'type': 'INTEGER'},
                                     'CSI-ProcessToAddModList-r11': {'element': {'type': 'CSI-Process-r11'},
                                                                     'size': [(1,
                                                                               'maxCSI-Proc-r11')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'CSI-ProcessToReleaseList-r11': {'element': {'type': 'CSI-ProcessId-r11'},
                                                                      'size': [(1,
                                                                                'maxCSI-Proc-r11')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'CSI-RS-Config-NZP-v1430': {'members': [{'name': 'transmissionComb-r14',
                                                                              'optional': True,
                                                                              'type': 'NZP-TransmissionComb-r14'},
                                                                             {'name': 'frequencyDensity-r14',
                                                                              'optional': True,
                                                                              'type': 'NZP-FrequencyDensity-r14'}],
                                                                 'type': 'SEQUENCE'},
                                     'CSI-RS-Config-r10': {'members': [{'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'name': 'antennaPortsCount-r10',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'an1',
                                                                                                             1: 'an2',
                                                                                                             2: 'an4',
                                                                                                             3: 'an8'}},
                                                                                                 {'name': 'resourceConfig-r10',
                                                                                                  'restricted-to': [(0,
                                                                                                                     31)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'subframeConfig-r10',
                                                                                                  'restricted-to': [(0,
                                                                                                                     154)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'p-C-r10',
                                                                                                  'restricted-to': [(-8,
                                                                                                                     15)],
                                                                                                  'type': 'INTEGER'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'csi-RS-r10',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'name': 'zeroTxPowerCSI-RS-r10',
                                                                        'optional': True,
                                                                        'type': 'ZeroTxPowerCSI-RS-Conf-r12'}],
                                                           'type': 'SEQUENCE'},
                                     'CSI-RS-Config-v1250': {'members': [{'name': 'zeroTxPowerCSI-RS2-r12',
                                                                          'optional': True,
                                                                          'type': 'ZeroTxPowerCSI-RS-Conf-r12'},
                                                                         {'members': [{'name': 'release',
                                                                                       'type': 'NULL'},
                                                                                      {'members': [{'element': {'type': 'ZeroTxPowerCSI-RS-r12'},
                                                                                                    'name': 'zeroTxPowerCSI-RS-List-r12',
                                                                                                    'size': [(1,
                                                                                                              'maxDS-ZTP-CSI-RS-r12')],
                                                                                                    'type': 'SEQUENCE '
                                                                                                            'OF'}],
                                                                                       'name': 'setup',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'ds-ZeroTxPowerCSI-RS-r12',
                                                                          'optional': True,
                                                                          'type': 'CHOICE'}],
                                                             'type': 'SEQUENCE'},
                                     'CSI-RS-Config-v1310': {'members': [{'name': 'eMIMO-Type-r13',
                                                                          'optional': True,
                                                                          'type': 'CSI-RS-ConfigEMIMO-r13'}],
                                                             'type': 'SEQUENCE'},
                                     'CSI-RS-Config-v1430': {'members': [{'name': 'eMIMO-Type-v1430',
                                                                          'optional': True,
                                                                          'type': 'CSI-RS-ConfigEMIMO-v1430'},
                                                                         {'name': 'eMIMO-Hybrid-r14',
                                                                          'optional': True,
                                                                          'type': 'CSI-RS-ConfigEMIMO-Hybrid-r14'},
                                                                         {'name': 'advancedCodebookEnabled-r14',
                                                                          'optional': True,
                                                                          'type': 'BOOLEAN'}],
                                                             'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigBeamformed-r13': {'members': [{'element': {'type': 'CSI-RS-ConfigNZPId-r13'},
                                                                                  'name': 'csi-RS-ConfigNZPIdListExt-r13',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            7)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'element': {'type': 'CSI-IM-ConfigId-r13'},
                                                                                  'name': 'csi-IM-ConfigIdList-r13',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            8)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'element': {'type': 'P-C-AndCBSR-Pair-r13'},
                                                                                  'name': 'p-C-AndCBSR-PerResourceConfigList-r13',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            8)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'element': {'type': 'BOOLEAN'},
                                                                                  'name': 'ace-For4Tx-PerResourceConfigList-r13',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            7)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'name': 'alternativeCodebookEnabledBeamformed-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'channelMeasRestriction-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'on'}}],
                                                                     'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigBeamformed-r14': {'members': [{'element': {'type': 'CSI-RS-ConfigNZPId-r13'},
                                                                                  'name': 'csi-RS-ConfigNZPIdListExt-r14',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            7)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'element': {'type': 'CSI-IM-ConfigId-r13'},
                                                                                  'name': 'csi-IM-ConfigIdList-r14',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            8)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'element': {'type': 'P-C-AndCBSR-Pair-r13'},
                                                                                  'name': 'p-C-AndCBSR-PerResourceConfigList-r14',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            8)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'element': {'type': 'BOOLEAN'},
                                                                                  'name': 'ace-For4Tx-PerResourceConfigList-r14',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            7)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'name': 'alternativeCodebookEnabledBeamformed-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'channelMeasRestriction-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'on'}},
                                                                                 {'element': {'type': 'CSI-RS-ConfigNZP-r11'},
                                                                                  'name': 'csi-RS-ConfigNZP-ApList-r14',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            8)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'name': 'nzp-ResourceConfigOriginal-v1430',
                                                                                  'optional': True,
                                                                                  'type': 'CSI-RS-Config-NZP-v1430'},
                                                                                 {'name': 'csi-RS-NZP-Activation-r14',
                                                                                  'optional': True,
                                                                                  'type': 'CSI-RS-ConfigNZP-Activation-r14'}],
                                                                     'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigBeamformed-v1430': {'members': [{'element': {'type': 'CSI-RS-ConfigNZP-r11'},
                                                                                    'name': 'csi-RS-ConfigNZP-ApList-r14',
                                                                                    'optional': True,
                                                                                    'size': [(1,
                                                                                              8)],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'},
                                                                                   {'name': 'nzp-ResourceConfigOriginal-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'CSI-RS-Config-NZP-v1430'},
                                                                                   {'name': 'csi-RS-NZP-Activation-r14',
                                                                                    'optional': True,
                                                                                    'type': 'CSI-RS-ConfigNZP-Activation-r14'}],
                                                                       'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigEMIMO-Hybrid-r14': {'members': [{'name': 'release',
                                                                                    'type': 'NULL'},
                                                                                   {'members': [{'name': 'periodicityOffsetIndex-r14',
                                                                                                 'optional': True,
                                                                                                 'restricted-to': [(0,
                                                                                                                    1023)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'eMIMO-Type2-r14',
                                                                                                 'optional': True,
                                                                                                 'type': 'CSI-RS-ConfigEMIMO2-r14'}],
                                                                                    'name': 'setup',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'CHOICE'},
                                     'CSI-RS-ConfigEMIMO-r13': {'members': [{'name': 'release',
                                                                             'type': 'NULL'},
                                                                            {'members': [{'name': 'nonPrecoded-r13',
                                                                                          'type': 'CSI-RS-ConfigNonPrecoded-r13'},
                                                                                         {'name': 'beamformed-r13',
                                                                                          'type': 'CSI-RS-ConfigBeamformed-r13'}],
                                                                             'name': 'setup',
                                                                             'type': 'CHOICE'}],
                                                                'type': 'CHOICE'},
                                     'CSI-RS-ConfigEMIMO-v1430': {'members': [{'name': 'release',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'name': 'nonPrecoded-v1430',
                                                                                            'type': 'CSI-RS-ConfigNonPrecoded-v1430'},
                                                                                           {'name': 'beamformed-v1430',
                                                                                            'type': 'CSI-RS-ConfigBeamformed-v1430'}],
                                                                               'name': 'setup',
                                                                               'type': 'CHOICE'}],
                                                                  'type': 'CHOICE'},
                                     'CSI-RS-ConfigEMIMO2-r14': {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'name': 'setup',
                                                                              'type': 'CSI-RS-ConfigBeamformed-r14'}],
                                                                 'type': 'CHOICE'},
                                     'CSI-RS-ConfigNZP-Activation-r14': {'members': [{'name': 'csi-RS-NZP-mode-r14',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'semiPersistent',
                                                                                                 1: 'aperiodic'}},
                                                                                     {'name': 'activatedResources-r14',
                                                                                      'restricted-to': [(0,
                                                                                                         4)],
                                                                                      'type': 'INTEGER'}],
                                                                         'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigNZP-EMIMO-r13': {'members': [{'name': 'release',
                                                                                 'type': 'NULL'},
                                                                                {'members': [{'element': {'type': 'NZP-ResourceConfig-r13'},
                                                                                              'name': 'nzp-resourceConfigList-r13',
                                                                                              'size': [(1,
                                                                                                        2)],
                                                                                              'type': 'SEQUENCE '
                                                                                                      'OF'},
                                                                                             {'name': 'cdmType-r13',
                                                                                              'optional': True,
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'cdm2',
                                                                                                         1: 'cdm4'}}],
                                                                                 'name': 'setup',
                                                                                 'type': 'SEQUENCE'}],
                                                                    'type': 'CHOICE'},
                                     'CSI-RS-ConfigNZP-EMIMO-v1430': {'members': [{'element': {'type': 'NZP-ResourceConfig-r13'},
                                                                                   'name': 'nzp-resourceConfigListExt-r14',
                                                                                   'size': [(0,
                                                                                             4)],
                                                                                   'type': 'SEQUENCE '
                                                                                           'OF'},
                                                                                  {'name': 'cdmType-v1430',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'cdm8'}}],
                                                                      'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigNZP-r11': {'members': [{'name': 'csi-RS-ConfigNZPId-r11',
                                                                           'type': 'CSI-RS-ConfigNZPId-r11'},
                                                                          {'name': 'antennaPortsCount-r11',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'an1',
                                                                                      1: 'an2',
                                                                                      2: 'an4',
                                                                                      3: 'an8'}},
                                                                          {'name': 'resourceConfig-r11',
                                                                           'restricted-to': [(0,
                                                                                              31)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'subframeConfig-r11',
                                                                           'restricted-to': [(0,
                                                                                              154)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'scramblingIdentity-r11',
                                                                           'restricted-to': [(0,
                                                                                              503)],
                                                                           'type': 'INTEGER'},
                                                                          {'members': [{'name': 'qcl-ScramblingIdentity-r11',
                                                                                        'restricted-to': [(0,
                                                                                                           503)],
                                                                                        'type': 'INTEGER'},
                                                                                       {'name': 'crs-PortsCount-r11',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'n1',
                                                                                                   1: 'n2',
                                                                                                   2: 'n4',
                                                                                                   3: 'spare1'}},
                                                                                       {'members': [{'name': 'release',
                                                                                                     'type': 'NULL'},
                                                                                                    {'members': [{'name': 'subframeConfigList',
                                                                                                                  'type': 'MBSFN-SubframeConfigList'}],
                                                                                                     'name': 'setup',
                                                                                                     'type': 'SEQUENCE'}],
                                                                                        'name': 'mbsfn-SubframeConfigList-r11',
                                                                                        'optional': True,
                                                                                        'type': 'CHOICE'}],
                                                                           'name': 'qcl-CRS-Info-r11',
                                                                           'optional': True,
                                                                           'type': 'SEQUENCE'},
                                                                          '...',
                                                                          {'name': 'csi-RS-ConfigNZPId-v1310',
                                                                           'optional': True,
                                                                           'type': 'CSI-RS-ConfigNZPId-v1310'},
                                                                          {'name': 'transmissionComb-r14',
                                                                           'optional': True,
                                                                           'type': 'NZP-TransmissionComb-r14'},
                                                                          {'name': 'frequencyDensity-r14',
                                                                           'optional': True,
                                                                           'type': 'NZP-FrequencyDensity-r14'},
                                                                          {'members': [{'name': 'release',
                                                                                        'type': 'NULL'},
                                                                                       {'members': [{'name': 'subframeConfigList-v1430',
                                                                                                     'type': 'MBSFN-SubframeConfigList-v1430'}],
                                                                                        'name': 'setup',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'mbsfn-SubframeConfigList-v1430',
                                                                           'optional': True,
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigNZPId-r11': {'restricted-to': [(1,
                                                                                   'maxCSI-RS-NZP-r11')],
                                                                'type': 'INTEGER'},
                                     'CSI-RS-ConfigNZPId-r13': {'restricted-to': [(1,
                                                                                   'maxCSI-RS-NZP-r13')],
                                                                'type': 'INTEGER'},
                                     'CSI-RS-ConfigNZPId-v1310': {'restricted-to': [('minCSI-RS-NZP-r13',
                                                                                     'maxCSI-RS-NZP-r13')],
                                                                  'type': 'INTEGER'},
                                     'CSI-RS-ConfigNZPToAddModList-r11': {'element': {'type': 'CSI-RS-ConfigNZP-r11'},
                                                                          'size': [(1,
                                                                                    'maxCSI-RS-NZP-r11')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'CSI-RS-ConfigNZPToAddModListExt-r13': {'element': {'type': 'CSI-RS-ConfigNZP-r11'},
                                                                             'size': [(1,
                                                                                       'maxCSI-RS-NZP-v1310')],
                                                                             'type': 'SEQUENCE '
                                                                                     'OF'},
                                     'CSI-RS-ConfigNZPToReleaseList-r11': {'element': {'type': 'CSI-RS-ConfigNZPId-r11'},
                                                                           'size': [(1,
                                                                                     'maxCSI-RS-NZP-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'CSI-RS-ConfigNZPToReleaseListExt-r13': {'element': {'type': 'CSI-RS-ConfigNZPId-v1310'},
                                                                              'size': [(1,
                                                                                        'maxCSI-RS-NZP-v1310')],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'},
                                     'CSI-RS-ConfigNonPrecoded-r13': {'members': [{'name': 'p-C-AndCBSRList-r13',
                                                                                   'optional': True,
                                                                                   'type': 'P-C-AndCBSR-Pair-r13'},
                                                                                  {'name': 'codebookConfigN1-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'n1',
                                                                                              1: 'n2',
                                                                                              2: 'n3',
                                                                                              3: 'n4',
                                                                                              4: 'n8'}},
                                                                                  {'name': 'codebookConfigN2-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'n1',
                                                                                              1: 'n2',
                                                                                              2: 'n3',
                                                                                              3: 'n4',
                                                                                              4: 'n8'}},
                                                                                  {'name': 'codebookOverSamplingRateConfig-O1-r13',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'n4',
                                                                                              1: 'n8'}},
                                                                                  {'name': 'codebookOverSamplingRateConfig-O2-r13',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'n4',
                                                                                              1: 'n8'}},
                                                                                  {'name': 'codebookConfig-r13',
                                                                                   'restricted-to': [(1,
                                                                                                      4)],
                                                                                   'type': 'INTEGER'},
                                                                                  {'element': {'type': 'CSI-IM-ConfigId-r13'},
                                                                                   'name': 'csi-IM-ConfigIdList-r13',
                                                                                   'optional': True,
                                                                                   'size': [(1,
                                                                                             2)],
                                                                                   'type': 'SEQUENCE '
                                                                                           'OF'},
                                                                                  {'name': 'csi-RS-ConfigNZP-EMIMO-r13',
                                                                                   'optional': True,
                                                                                   'type': 'CSI-RS-ConfigNZP-EMIMO-r13'}],
                                                                      'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigNonPrecoded-v1430': {'members': [{'name': 'csi-RS-ConfigNZP-EMIMO-v1430',
                                                                                     'optional': True,
                                                                                     'type': 'CSI-RS-ConfigNZP-EMIMO-v1430'},
                                                                                    {'name': 'codebookConfigN1-v1430',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'n5',
                                                                                                1: 'n6',
                                                                                                2: 'n7',
                                                                                                3: 'n10',
                                                                                                4: 'n12',
                                                                                                5: 'n14',
                                                                                                6: 'n16'}},
                                                                                    {'name': 'codebookConfigN2-r1430',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'n5',
                                                                                                1: 'n6',
                                                                                                2: 'n7'}},
                                                                                    {'name': 'nzp-ResourceConfigTM9-Original-v1430',
                                                                                     'type': 'CSI-RS-Config-NZP-v1430'}],
                                                                        'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigZP-ApList-r14': {'members': [{'name': 'release',
                                                                                 'type': 'NULL'},
                                                                                {'element': {'type': 'CSI-RS-ConfigZP-r11'},
                                                                                 'name': 'setup',
                                                                                 'size': [(1,
                                                                                           'maxCSI-RS-ZP-r11')],
                                                                                 'type': 'SEQUENCE '
                                                                                         'OF'}],
                                                                    'type': 'CHOICE'},
                                     'CSI-RS-ConfigZP-r11': {'members': [{'name': 'csi-RS-ConfigZPId-r11',
                                                                          'type': 'CSI-RS-ConfigZPId-r11'},
                                                                         {'name': 'resourceConfigList-r11',
                                                                          'size': [16],
                                                                          'type': 'BIT '
                                                                                  'STRING'},
                                                                         {'name': 'subframeConfig-r11',
                                                                          'restricted-to': [(0,
                                                                                             154)],
                                                                          'type': 'INTEGER'},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'CSI-RS-ConfigZPId-r11': {'restricted-to': [(1,
                                                                                  'maxCSI-RS-ZP-r11')],
                                                               'type': 'INTEGER'},
                                     'CSI-RS-ConfigZPToAddModList-r11': {'element': {'type': 'CSI-RS-ConfigZP-r11'},
                                                                         'size': [(1,
                                                                                   'maxCSI-RS-ZP-r11')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'CSI-RS-ConfigZPToReleaseList-r11': {'element': {'type': 'CSI-RS-ConfigZPId-r11'},
                                                                          'size': [(1,
                                                                                    'maxCSI-RS-ZP-r11')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'CSI-RSRP-Range-r12': {'restricted-to': [(0,
                                                                               97)],
                                                            'type': 'INTEGER'},
                                     'CarrierBandwidthEUTRA': {'members': [{'name': 'dl-Bandwidth',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'n6',
                                                                                       1: 'n15',
                                                                                       2: 'n25',
                                                                                       3: 'n50',
                                                                                       4: 'n75',
                                                                                       5: 'n100',
                                                                                       6: 'spare10',
                                                                                       7: 'spare9',
                                                                                       8: 'spare8',
                                                                                       9: 'spare7',
                                                                                       10: 'spare6',
                                                                                       11: 'spare5',
                                                                                       12: 'spare4',
                                                                                       13: 'spare3',
                                                                                       14: 'spare2',
                                                                                       15: 'spare1'}},
                                                                           {'name': 'ul-Bandwidth',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'n6',
                                                                                       1: 'n15',
                                                                                       2: 'n25',
                                                                                       3: 'n50',
                                                                                       4: 'n75',
                                                                                       5: 'n100',
                                                                                       6: 'spare10',
                                                                                       7: 'spare9',
                                                                                       8: 'spare8',
                                                                                       9: 'spare7',
                                                                                       10: 'spare6',
                                                                                       11: 'spare5',
                                                                                       12: 'spare4',
                                                                                       13: 'spare3',
                                                                                       14: 'spare2',
                                                                                       15: 'spare1'}}],
                                                               'type': 'SEQUENCE'},
                                     'CarrierFreqCDMA2000': {'members': [{'name': 'bandClass',
                                                                          'type': 'BandclassCDMA2000'},
                                                                         {'name': 'arfcn',
                                                                          'type': 'ARFCN-ValueCDMA2000'}],
                                                             'type': 'SEQUENCE'},
                                     'CarrierFreqEUTRA': {'members': [{'name': 'dl-CarrierFreq',
                                                                       'type': 'ARFCN-ValueEUTRA'},
                                                                      {'name': 'ul-CarrierFreq',
                                                                       'optional': True,
                                                                       'type': 'ARFCN-ValueEUTRA'}],
                                                          'type': 'SEQUENCE'},
                                     'CarrierFreqEUTRA-v9e0': {'members': [{'name': 'dl-CarrierFreq-v9e0',
                                                                            'type': 'ARFCN-ValueEUTRA-r9'},
                                                                           {'name': 'ul-CarrierFreq-v9e0',
                                                                            'optional': True,
                                                                            'type': 'ARFCN-ValueEUTRA-r9'}],
                                                               'type': 'SEQUENCE'},
                                     'CarrierFreqGERAN': {'members': [{'name': 'arfcn',
                                                                       'type': 'ARFCN-ValueGERAN'},
                                                                      {'name': 'bandIndicator',
                                                                       'type': 'BandIndicatorGERAN'}],
                                                          'type': 'SEQUENCE'},
                                     'CarrierFreqInfoUTRA-FDD-v8h0': {'members': [{'element': {'type': 'FreqBandIndicator-UTRA-FDD'},
                                                                                   'name': 'multiBandInfoList',
                                                                                   'optional': True,
                                                                                   'size': [(1,
                                                                                             'maxMultiBands')],
                                                                                   'type': 'SEQUENCE '
                                                                                           'OF'}],
                                                                      'type': 'SEQUENCE'},
                                     'CarrierFreqInfoUTRA-v1250': {'members': [{'name': 'reducedMeasPerformance-r12',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}}],
                                                                   'type': 'SEQUENCE'},
                                     'CarrierFreqListMBMS-r11': {'element': {'type': 'ARFCN-ValueEUTRA-r9'},
                                                                 'size': [(1,
                                                                           'maxFreqMBMS-r11')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'CarrierFreqListUTRA-FDD': {'element': {'type': 'CarrierFreqUTRA-FDD'},
                                                                 'size': [(1,
                                                                           'maxUTRA-FDD-Carrier')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'CarrierFreqListUTRA-FDD-Ext-r12': {'element': {'type': 'CarrierFreqUTRA-FDD-Ext-r12'},
                                                                         'size': [(1,
                                                                                   'maxUTRA-FDD-Carrier')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'CarrierFreqListUTRA-TDD': {'element': {'type': 'CarrierFreqUTRA-TDD'},
                                                                 'size': [(1,
                                                                           'maxUTRA-TDD-Carrier')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'CarrierFreqListUTRA-TDD-Ext-r12': {'element': {'type': 'CarrierFreqUTRA-TDD-r12'},
                                                                         'size': [(1,
                                                                                   'maxUTRA-TDD-Carrier')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'CarrierFreqListUTRA-TDD-r10': {'element': {'type': 'ARFCN-ValueUTRA'},
                                                                     'size': [(1,
                                                                               'maxFreqUTRA-TDD-r10')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'CarrierFreqUTRA-FDD': {'members': [{'name': 'carrierFreq',
                                                                          'type': 'ARFCN-ValueUTRA'},
                                                                         {'name': 'cellReselectionPriority',
                                                                          'optional': True,
                                                                          'type': 'CellReselectionPriority'},
                                                                         {'name': 'threshX-High',
                                                                          'type': 'ReselectionThreshold'},
                                                                         {'name': 'threshX-Low',
                                                                          'type': 'ReselectionThreshold'},
                                                                         {'name': 'q-RxLevMin',
                                                                          'restricted-to': [(-60,
                                                                                             -13)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'p-MaxUTRA',
                                                                          'restricted-to': [(-50,
                                                                                             33)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'q-QualMin',
                                                                          'restricted-to': [(-24,
                                                                                             0)],
                                                                          'type': 'INTEGER'},
                                                                         '...',
                                                                         {'members': [{'name': 'threshX-HighQ-r9',
                                                                                       'type': 'ReselectionThresholdQ-r9'},
                                                                                      {'name': 'threshX-LowQ-r9',
                                                                                       'type': 'ReselectionThresholdQ-r9'}],
                                                                          'name': 'threshX-Q-r9',
                                                                          'optional': True,
                                                                          'type': 'SEQUENCE'}],
                                                             'type': 'SEQUENCE'},
                                     'CarrierFreqUTRA-FDD-Ext-r12': {'members': [{'name': 'carrierFreq-r12',
                                                                                  'type': 'ARFCN-ValueUTRA'},
                                                                                 {'name': 'cellReselectionPriority-r12',
                                                                                  'optional': True,
                                                                                  'type': 'CellReselectionPriority'},
                                                                                 {'name': 'threshX-High-r12',
                                                                                  'type': 'ReselectionThreshold'},
                                                                                 {'name': 'threshX-Low-r12',
                                                                                  'type': 'ReselectionThreshold'},
                                                                                 {'name': 'q-RxLevMin-r12',
                                                                                  'restricted-to': [(-60,
                                                                                                     -13)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'p-MaxUTRA-r12',
                                                                                  'restricted-to': [(-50,
                                                                                                     33)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'q-QualMin-r12',
                                                                                  'restricted-to': [(-24,
                                                                                                     0)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'members': [{'name': 'threshX-HighQ-r12',
                                                                                               'type': 'ReselectionThresholdQ-r9'},
                                                                                              {'name': 'threshX-LowQ-r12',
                                                                                               'type': 'ReselectionThresholdQ-r9'}],
                                                                                  'name': 'threshX-Q-r12',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'element': {'type': 'FreqBandIndicator-UTRA-FDD'},
                                                                                  'name': 'multiBandInfoList-r12',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            'maxMultiBands')],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'name': 'reducedMeasPerformance-r12',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 '...'],
                                                                     'type': 'SEQUENCE'},
                                     'CarrierFreqUTRA-TDD': {'members': [{'name': 'carrierFreq',
                                                                          'type': 'ARFCN-ValueUTRA'},
                                                                         {'name': 'cellReselectionPriority',
                                                                          'optional': True,
                                                                          'type': 'CellReselectionPriority'},
                                                                         {'name': 'threshX-High',
                                                                          'type': 'ReselectionThreshold'},
                                                                         {'name': 'threshX-Low',
                                                                          'type': 'ReselectionThreshold'},
                                                                         {'name': 'q-RxLevMin',
                                                                          'restricted-to': [(-60,
                                                                                             -13)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'p-MaxUTRA',
                                                                          'restricted-to': [(-50,
                                                                                             33)],
                                                                          'type': 'INTEGER'},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'CarrierFreqUTRA-TDD-r12': {'members': [{'name': 'carrierFreq-r12',
                                                                              'type': 'ARFCN-ValueUTRA'},
                                                                             {'name': 'cellReselectionPriority-r12',
                                                                              'optional': True,
                                                                              'type': 'CellReselectionPriority'},
                                                                             {'name': 'threshX-High-r12',
                                                                              'type': 'ReselectionThreshold'},
                                                                             {'name': 'threshX-Low-r12',
                                                                              'type': 'ReselectionThreshold'},
                                                                             {'name': 'q-RxLevMin-r12',
                                                                              'restricted-to': [(-60,
                                                                                                 -13)],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'p-MaxUTRA-r12',
                                                                              'restricted-to': [(-50,
                                                                                                 33)],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'reducedMeasPerformance-r12',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'true'}},
                                                                             '...'],
                                                                 'type': 'SEQUENCE'},
                                     'CarrierFreqsGERAN': {'members': [{'name': 'startingARFCN',
                                                                        'type': 'ARFCN-ValueGERAN'},
                                                                       {'name': 'bandIndicator',
                                                                        'type': 'BandIndicatorGERAN'},
                                                                       {'members': [{'name': 'explicitListOfARFCNs',
                                                                                     'type': 'ExplicitListOfARFCNs'},
                                                                                    {'members': [{'name': 'arfcn-Spacing',
                                                                                                  'restricted-to': [(1,
                                                                                                                     8)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'numberOfFollowingARFCNs',
                                                                                                  'restricted-to': [(0,
                                                                                                                     31)],
                                                                                                  'type': 'INTEGER'}],
                                                                                     'name': 'equallySpacedARFCNs',
                                                                                     'type': 'SEQUENCE'},
                                                                                    {'name': 'variableBitMapOfARFCNs',
                                                                                     'size': [(1,
                                                                                               16)],
                                                                                     'type': 'OCTET '
                                                                                             'STRING'}],
                                                                        'name': 'followingARFCNs',
                                                                        'type': 'CHOICE'}],
                                                           'type': 'SEQUENCE'},
                                     'CarrierFreqsInfoGERAN': {'members': [{'name': 'carrierFreqs',
                                                                            'type': 'CarrierFreqsGERAN'},
                                                                           {'members': [{'name': 'cellReselectionPriority',
                                                                                         'optional': True,
                                                                                         'type': 'CellReselectionPriority'},
                                                                                        {'name': 'ncc-Permitted',
                                                                                         'size': [8],
                                                                                         'type': 'BIT '
                                                                                                 'STRING'},
                                                                                        {'name': 'q-RxLevMin',
                                                                                         'restricted-to': [(0,
                                                                                                            45)],
                                                                                         'type': 'INTEGER'},
                                                                                        {'name': 'p-MaxGERAN',
                                                                                         'optional': True,
                                                                                         'restricted-to': [(0,
                                                                                                            39)],
                                                                                         'type': 'INTEGER'},
                                                                                        {'name': 'threshX-High',
                                                                                         'type': 'ReselectionThreshold'},
                                                                                        {'name': 'threshX-Low',
                                                                                         'type': 'ReselectionThreshold'}],
                                                                            'name': 'commonInfo',
                                                                            'type': 'SEQUENCE'},
                                                                           '...'],
                                                               'type': 'SEQUENCE'},
                                     'CarrierFreqsInfoListGERAN': {'element': {'type': 'CarrierFreqsInfoGERAN'},
                                                                   'size': [(1,
                                                                             'maxGNFG')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'CellAccessRelatedInfo-r14': {'members': [{'name': 'plmn-IdentityList-r14',
                                                                                'type': 'PLMN-IdentityList'},
                                                                               {'name': 'trackingAreaCode-r14',
                                                                                'type': 'TrackingAreaCode'},
                                                                               {'name': 'cellIdentity-r14',
                                                                                'type': 'CellIdentity'}],
                                                                   'type': 'SEQUENCE'},
                                     'CellChangeOrder': {'members': [{'name': 't304',
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'ms100',
                                                                                 1: 'ms200',
                                                                                 2: 'ms500',
                                                                                 3: 'ms1000',
                                                                                 4: 'ms2000',
                                                                                 5: 'ms4000',
                                                                                 6: 'ms8000',
                                                                                 7: 'ms10000-v1310'}},
                                                                     {'members': [{'members': [{'name': 'physCellId',
                                                                                                'type': 'PhysCellIdGERAN'},
                                                                                               {'name': 'carrierFreq',
                                                                                                'type': 'CarrierFreqGERAN'},
                                                                                               {'name': 'networkControlOrder',
                                                                                                'optional': True,
                                                                                                'size': [2],
                                                                                                'type': 'BIT '
                                                                                                        'STRING'},
                                                                                               {'name': 'systemInformation',
                                                                                                'optional': True,
                                                                                                'type': 'SI-OrPSI-GERAN'}],
                                                                                   'name': 'geran',
                                                                                   'type': 'SEQUENCE'},
                                                                                  '...'],
                                                                      'name': 'targetRAT-Type',
                                                                      'type': 'CHOICE'}],
                                                         'type': 'SEQUENCE'},
                                     'CellGlobalIdCDMA2000': {'members': [{'name': 'cellGlobalId1XRTT',
                                                                           'size': [47],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'cellGlobalIdHRPD',
                                                                           'size': [128],
                                                                           'type': 'BIT '
                                                                                   'STRING'}],
                                                              'type': 'CHOICE'},
                                     'CellGlobalIdEUTRA': {'members': [{'name': 'plmn-Identity',
                                                                        'type': 'PLMN-Identity'},
                                                                       {'name': 'cellIdentity',
                                                                        'type': 'CellIdentity'}],
                                                           'type': 'SEQUENCE'},
                                     'CellGlobalIdGERAN': {'members': [{'name': 'plmn-Identity',
                                                                        'type': 'PLMN-Identity'},
                                                                       {'name': 'locationAreaCode',
                                                                        'size': [16],
                                                                        'type': 'BIT '
                                                                                'STRING'},
                                                                       {'name': 'cellIdentity',
                                                                        'size': [16],
                                                                        'type': 'BIT '
                                                                                'STRING'}],
                                                           'type': 'SEQUENCE'},
                                     'CellGlobalIdList-r10': {'element': {'type': 'CellGlobalIdEUTRA'},
                                                              'size': [(1, 32)],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'CellGlobalIdUTRA': {'members': [{'name': 'plmn-Identity',
                                                                       'type': 'PLMN-Identity'},
                                                                      {'name': 'cellIdentity',
                                                                       'size': [28],
                                                                       'type': 'BIT '
                                                                               'STRING'}],
                                                          'type': 'SEQUENCE'},
                                     'CellIdentity': {'size': [28],
                                                      'type': 'BIT STRING'},
                                     'CellIndex': {'restricted-to': [(1,
                                                                      'maxCellMeas')],
                                                   'type': 'INTEGER'},
                                     'CellIndexList': {'element': {'type': 'CellIndex'},
                                                       'size': [(1,
                                                                 'maxCellMeas')],
                                                       'type': 'SEQUENCE OF'},
                                     'CellInfoGERAN-r9': {'members': [{'name': 'physCellId-r9',
                                                                       'type': 'PhysCellIdGERAN'},
                                                                      {'name': 'carrierFreq-r9',
                                                                       'type': 'CarrierFreqGERAN'},
                                                                      {'name': 'systemInformation-r9',
                                                                       'type': 'SystemInfoListGERAN'}],
                                                          'type': 'SEQUENCE'},
                                     'CellInfoListGERAN-r9': {'element': {'type': 'CellInfoGERAN-r9'},
                                                              'size': [(1,
                                                                        'maxCellInfoGERAN-r9')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'CellInfoListUTRA-FDD-r9': {'element': {'type': 'CellInfoUTRA-FDD-r9'},
                                                                 'size': [(1,
                                                                           'maxCellInfoUTRA-r9')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'CellInfoListUTRA-TDD-r10': {'element': {'type': 'CellInfoUTRA-TDD-r10'},
                                                                  'size': [(1,
                                                                            'maxCellInfoUTRA-r9')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'CellInfoListUTRA-TDD-r9': {'element': {'type': 'CellInfoUTRA-TDD-r9'},
                                                                 'size': [(1,
                                                                           'maxCellInfoUTRA-r9')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'CellInfoUTRA-FDD-r9': {'members': [{'name': 'physCellId-r9',
                                                                          'type': 'PhysCellIdUTRA-FDD'},
                                                                         {'name': 'utra-BCCH-Container-r9',
                                                                          'type': 'OCTET '
                                                                                  'STRING'}],
                                                             'type': 'SEQUENCE'},
                                     'CellInfoUTRA-TDD-r10': {'members': [{'name': 'physCellId-r10',
                                                                           'type': 'PhysCellIdUTRA-TDD'},
                                                                          {'name': 'carrierFreq-r10',
                                                                           'type': 'ARFCN-ValueUTRA'},
                                                                          {'name': 'utra-BCCH-Container-r10',
                                                                           'type': 'OCTET '
                                                                                   'STRING'}],
                                                              'type': 'SEQUENCE'},
                                     'CellInfoUTRA-TDD-r9': {'members': [{'name': 'physCellId-r9',
                                                                          'type': 'PhysCellIdUTRA-TDD'},
                                                                         {'name': 'utra-BCCH-Container-r9',
                                                                          'type': 'OCTET '
                                                                                  'STRING'}],
                                                             'type': 'SEQUENCE'},
                                     'CellReselectionParametersCDMA2000': {'members': [{'name': 'bandClassList',
                                                                                        'type': 'BandClassListCDMA2000'},
                                                                                       {'name': 'neighCellList',
                                                                                        'type': 'NeighCellListCDMA2000'},
                                                                                       {'name': 't-ReselectionCDMA2000',
                                                                                        'type': 'T-Reselection'},
                                                                                       {'name': 't-ReselectionCDMA2000-SF',
                                                                                        'optional': True,
                                                                                        'type': 'SpeedStateScaleFactors'}],
                                                                           'type': 'SEQUENCE'},
                                     'CellReselectionParametersCDMA2000-r11': {'members': [{'name': 'bandClassList',
                                                                                            'type': 'BandClassListCDMA2000'},
                                                                                           {'element': {'type': 'NeighCellCDMA2000-r11'},
                                                                                            'name': 'neighCellList-r11',
                                                                                            'size': [(1,
                                                                                                      16)],
                                                                                            'type': 'SEQUENCE '
                                                                                                    'OF'},
                                                                                           {'name': 't-ReselectionCDMA2000',
                                                                                            'type': 'T-Reselection'},
                                                                                           {'name': 't-ReselectionCDMA2000-SF',
                                                                                            'optional': True,
                                                                                            'type': 'SpeedStateScaleFactors'}],
                                                                               'type': 'SEQUENCE'},
                                     'CellReselectionParametersCDMA2000-v920': {'members': [{'name': 'neighCellList-v920',
                                                                                             'type': 'NeighCellListCDMA2000-v920'}],
                                                                                'type': 'SEQUENCE'},
                                     'CellReselectionPriority': {'restricted-to': [(0,
                                                                                    7)],
                                                                 'type': 'INTEGER'},
                                     'CellReselectionServingFreqInfo-v1310': {'members': [{'name': 'cellReselectionSubPriority-r13',
                                                                                           'type': 'CellReselectionSubPriority-r13'}],
                                                                              'type': 'SEQUENCE'},
                                     'CellReselectionSubPriority-r13': {'type': 'ENUMERATED',
                                                                        'values': {0: 'oDot2',
                                                                                   1: 'oDot4',
                                                                                   2: 'oDot6',
                                                                                   3: 'oDot8'}},
                                     'CellSelectionInfo-v1130': {'members': [{'name': 'q-QualMinWB-r11',
                                                                              'type': 'Q-QualMin-r9'}],
                                                                 'type': 'SEQUENCE'},
                                     'CellSelectionInfo-v1250': {'members': [{'name': 'q-QualMinRSRQ-OnAllSymbols-r12',
                                                                              'type': 'Q-QualMin-r9'}],
                                                                 'type': 'SEQUENCE'},
                                     'CellSelectionInfo-v920': {'members': [{'name': 'q-QualMin-r9',
                                                                             'type': 'Q-QualMin-r9'},
                                                                            {'name': 'q-QualMinOffset-r9',
                                                                             'optional': True,
                                                                             'restricted-to': [(1,
                                                                                                8)],
                                                                             'type': 'INTEGER'}],
                                                                'type': 'SEQUENCE'},
                                     'CellSelectionInfoCE-r13': {'members': [{'name': 'q-RxLevMinCE-r13',
                                                                              'type': 'Q-RxLevMin'},
                                                                             {'name': 'q-QualMinRSRQ-CE-r13',
                                                                              'optional': True,
                                                                              'type': 'Q-QualMin-r9'}],
                                                                 'type': 'SEQUENCE'},
                                     'CellSelectionInfoCE1-r13': {'members': [{'name': 'q-RxLevMinCE1-r13',
                                                                               'type': 'Q-RxLevMin'},
                                                                              {'name': 'q-QualMinRSRQ-CE1-r13',
                                                                               'optional': True,
                                                                               'type': 'Q-QualMin-r9'}],
                                                                  'type': 'SEQUENCE'},
                                     'CellSelectionInfoCE1-v1360': {'members': [{'name': 'delta-RxLevMinCE1-v1360',
                                                                                 'restricted-to': [(-8,
                                                                                                    -1)],
                                                                                 'type': 'INTEGER'}],
                                                                    'type': 'SEQUENCE'},
                                     'CellSelectionInfoNFreq-r13': {'members': [{'name': 'q-RxLevMin-r13',
                                                                                 'type': 'Q-RxLevMin'},
                                                                                {'name': 'q-RxLevMinOffset',
                                                                                 'optional': True,
                                                                                 'restricted-to': [(1,
                                                                                                    8)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'q-Hyst-r13',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'dB0',
                                                                                            1: 'dB1',
                                                                                            2: 'dB2',
                                                                                            3: 'dB3',
                                                                                            4: 'dB4',
                                                                                            5: 'dB5',
                                                                                            6: 'dB6',
                                                                                            7: 'dB8',
                                                                                            8: 'dB10',
                                                                                            9: 'dB12',
                                                                                            10: 'dB14',
                                                                                            11: 'dB16',
                                                                                            12: 'dB18',
                                                                                            13: 'dB20',
                                                                                            14: 'dB22',
                                                                                            15: 'dB24'}},
                                                                                {'name': 'q-RxLevMinReselection-r13',
                                                                                 'type': 'Q-RxLevMin'},
                                                                                {'name': 't-ReselectionEUTRA-r13',
                                                                                 'type': 'T-Reselection'}],
                                                                    'type': 'SEQUENCE'},
                                     'CellsToAddMod': {'members': [{'name': 'cellIndex',
                                                                    'restricted-to': [(1,
                                                                                       'maxCellMeas')],
                                                                    'type': 'INTEGER'},
                                                                   {'name': 'physCellId',
                                                                    'type': 'PhysCellId'},
                                                                   {'name': 'cellIndividualOffset',
                                                                    'type': 'Q-OffsetRange'}],
                                                       'type': 'SEQUENCE'},
                                     'CellsToAddModCDMA2000': {'members': [{'name': 'cellIndex',
                                                                            'restricted-to': [(1,
                                                                                               'maxCellMeas')],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'physCellId',
                                                                            'type': 'PhysCellIdCDMA2000'}],
                                                               'type': 'SEQUENCE'},
                                     'CellsToAddModList': {'element': {'type': 'CellsToAddMod'},
                                                           'size': [(1,
                                                                     'maxCellMeas')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'CellsToAddModListCDMA2000': {'element': {'type': 'CellsToAddModCDMA2000'},
                                                                   'size': [(1,
                                                                             'maxCellMeas')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'CellsToAddModListUTRA-FDD': {'element': {'type': 'CellsToAddModUTRA-FDD'},
                                                                   'size': [(1,
                                                                             'maxCellMeas')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'CellsToAddModListUTRA-TDD': {'element': {'type': 'CellsToAddModUTRA-TDD'},
                                                                   'size': [(1,
                                                                             'maxCellMeas')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'CellsToAddModUTRA-FDD': {'members': [{'name': 'cellIndex',
                                                                            'restricted-to': [(1,
                                                                                               'maxCellMeas')],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'physCellId',
                                                                            'type': 'PhysCellIdUTRA-FDD'}],
                                                               'type': 'SEQUENCE'},
                                     'CellsToAddModUTRA-TDD': {'members': [{'name': 'cellIndex',
                                                                            'restricted-to': [(1,
                                                                                               'maxCellMeas')],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'physCellId',
                                                                            'type': 'PhysCellIdUTRA-TDD'}],
                                                               'type': 'SEQUENCE'},
                                     'CipheringAlgorithm-r12': {'type': 'ENUMERATED',
                                                                'values': {0: 'eea0',
                                                                           1: 'eea1',
                                                                           2: 'eea2',
                                                                           3: 'eea3-v1130',
                                                                           4: 'spare4',
                                                                           5: 'spare3',
                                                                           6: 'spare2',
                                                                           7: 'spare1',
                                                                           8: '...'}},
                                     'CommonSF-AllocPatternList-r14': {'element': {'type': 'MBSFN-SubframeConfig-v1430'},
                                                                       'size': [(1,
                                                                                 'maxMBSFN-Allocations')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'CommonSF-AllocPatternList-r9': {'element': {'type': 'MBSFN-SubframeConfig'},
                                                                      'size': [(1,
                                                                                'maxMBSFN-Allocations')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'ConnEstFailReport-r11': {'members': [{'name': 'failedCellId-r11',
                                                                            'type': 'CellGlobalIdEUTRA'},
                                                                           {'name': 'locationInfo-r11',
                                                                            'optional': True,
                                                                            'type': 'LocationInfo-r10'},
                                                                           {'members': [{'name': 'rsrpResult-r11',
                                                                                         'type': 'RSRP-Range'},
                                                                                        {'name': 'rsrqResult-r11',
                                                                                         'optional': True,
                                                                                         'type': 'RSRQ-Range'}],
                                                                            'name': 'measResultFailedCell-r11',
                                                                            'type': 'SEQUENCE'},
                                                                           {'members': [{'name': 'measResultListEUTRA-r11',
                                                                                         'optional': True,
                                                                                         'type': 'MeasResultList2EUTRA-r9'},
                                                                                        {'name': 'measResultListUTRA-r11',
                                                                                         'optional': True,
                                                                                         'type': 'MeasResultList2UTRA-r9'},
                                                                                        {'name': 'measResultListGERAN-r11',
                                                                                         'optional': True,
                                                                                         'type': 'MeasResultListGERAN'},
                                                                                        {'name': 'measResultsCDMA2000-r11',
                                                                                         'optional': True,
                                                                                         'type': 'MeasResultList2CDMA2000-r9'}],
                                                                            'name': 'measResultNeighCells-r11',
                                                                            'optional': True,
                                                                            'type': 'SEQUENCE'},
                                                                           {'name': 'numberOfPreamblesSent-r11',
                                                                            'type': 'NumberOfPreamblesSent-r11'},
                                                                           {'name': 'contentionDetected-r11',
                                                                            'type': 'BOOLEAN'},
                                                                           {'name': 'maxTxPowerReached-r11',
                                                                            'type': 'BOOLEAN'},
                                                                           {'name': 'timeSinceFailure-r11',
                                                                            'type': 'TimeSinceFailure-r11'},
                                                                           {'name': 'measResultListEUTRA-v1130',
                                                                            'optional': True,
                                                                            'type': 'MeasResultList2EUTRA-v9e0'},
                                                                           '...',
                                                                           {'name': 'measResultFailedCell-v1250',
                                                                            'optional': True,
                                                                            'type': 'RSRQ-Range-v1250'},
                                                                           {'name': 'failedCellRSRQ-Type-r12',
                                                                            'optional': True,
                                                                            'type': 'RSRQ-Type-r12'},
                                                                           {'name': 'measResultListEUTRA-v1250',
                                                                            'optional': True,
                                                                            'type': 'MeasResultList2EUTRA-v1250'},
                                                                           {'name': 'measResultFailedCell-v1360',
                                                                            'optional': True,
                                                                            'type': 'RSRP-Range-v1360'}],
                                                               'type': 'SEQUENCE'},
                                     'CounterCheck': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                   'type': 'RRC-TransactionIdentifier'},
                                                                  {'members': [{'members': [{'name': 'counterCheck-r8',
                                                                                             'type': 'CounterCheck-r8-IEs'},
                                                                                            {'name': 'spare3',
                                                                                             'type': 'NULL'},
                                                                                            {'name': 'spare2',
                                                                                             'type': 'NULL'},
                                                                                            {'name': 'spare1',
                                                                                             'type': 'NULL'}],
                                                                                'name': 'c1',
                                                                                'type': 'CHOICE'},
                                                                               {'members': [],
                                                                                'name': 'criticalExtensionsFuture',
                                                                                'type': 'SEQUENCE'}],
                                                                   'name': 'criticalExtensions',
                                                                   'type': 'CHOICE'}],
                                                      'type': 'SEQUENCE'},
                                     'CounterCheck-r8-IEs': {'members': [{'name': 'drb-CountMSB-InfoList',
                                                                          'type': 'DRB-CountMSB-InfoList'},
                                                                         {'name': 'nonCriticalExtension',
                                                                          'optional': True,
                                                                          'type': 'CounterCheck-v8a0-IEs'}],
                                                             'type': 'SEQUENCE'},
                                     'CounterCheck-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                            'optional': True,
                                                                            'type': 'OCTET '
                                                                                    'STRING'},
                                                                           {'members': [],
                                                                            'name': 'nonCriticalExtension',
                                                                            'optional': True,
                                                                            'type': 'SEQUENCE'}],
                                                               'type': 'SEQUENCE'},
                                     'CounterCheckResponse': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                           'type': 'RRC-TransactionIdentifier'},
                                                                          {'members': [{'name': 'counterCheckResponse-r8',
                                                                                        'type': 'CounterCheckResponse-r8-IEs'},
                                                                                       {'members': [],
                                                                                        'name': 'criticalExtensionsFuture',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'criticalExtensions',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'CounterCheckResponse-r8-IEs': {'members': [{'name': 'drb-CountInfoList',
                                                                                  'type': 'DRB-CountInfoList'},
                                                                                 {'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'CounterCheckResponse-v8a0-IEs'}],
                                                                     'type': 'SEQUENCE'},
                                     'CounterCheckResponse-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'CountingRequestInfo-r10': {'members': [{'name': 'tmgi-r10',
                                                                              'type': 'TMGI-r9'},
                                                                             '...'],
                                                                 'type': 'SEQUENCE'},
                                     'CountingRequestList-r10': {'element': {'type': 'CountingRequestInfo-r10'},
                                                                 'size': [(1,
                                                                           'maxServiceCount')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'CountingResponseInfo-r10': {'members': [{'name': 'countingResponseService-r10',
                                                                               'restricted-to': [(0,
                                                                                                  'maxServiceCount-1')],
                                                                               'type': 'INTEGER'},
                                                                              '...'],
                                                                  'type': 'SEQUENCE'},
                                     'CountingResponseList-r10': {'element': {'type': 'CountingResponseInfo-r10'},
                                                                  'size': [(1,
                                                                            'maxServiceCount')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'CrossCarrierSchedulingConfig-r10': {'members': [{'members': [{'members': [{'name': 'cif-Presence-r10',
                                                                                                                 'type': 'BOOLEAN'}],
                                                                                                    'name': 'own-r10',
                                                                                                    'type': 'SEQUENCE'},
                                                                                                   {'members': [{'name': 'schedulingCellId-r10',
                                                                                                                 'type': 'ServCellIndex-r10'},
                                                                                                                {'name': 'pdsch-Start-r10',
                                                                                                                 'restricted-to': [(1,
                                                                                                                                    4)],
                                                                                                                 'type': 'INTEGER'}],
                                                                                                    'name': 'other-r10',
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'name': 'schedulingCellInfo-r10',
                                                                                       'type': 'CHOICE'}],
                                                                          'type': 'SEQUENCE'},
                                     'CrossCarrierSchedulingConfig-r13': {'members': [{'members': [{'members': [{'name': 'cif-Presence-r13',
                                                                                                                 'type': 'BOOLEAN'}],
                                                                                                    'name': 'own-r13',
                                                                                                    'type': 'SEQUENCE'},
                                                                                                   {'members': [{'name': 'schedulingCellId-r13',
                                                                                                                 'type': 'ServCellIndex-r13'},
                                                                                                                {'name': 'pdsch-Start-r13',
                                                                                                                 'restricted-to': [(1,
                                                                                                                                    4)],
                                                                                                                 'type': 'INTEGER'},
                                                                                                                {'name': 'cif-InSchedulingCell-r13',
                                                                                                                 'restricted-to': [(1,
                                                                                                                                    7)],
                                                                                                                 'type': 'INTEGER'}],
                                                                                                    'name': 'other-r13',
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'name': 'schedulingCellInfo-r13',
                                                                                       'type': 'CHOICE'}],
                                                                          'type': 'SEQUENCE'},
                                     'CrossCarrierSchedulingConfigLAA-UL-r14': {'members': [{'name': 'schedulingCellId-r14',
                                                                                             'type': 'ServCellIndex-r13'},
                                                                                            {'name': 'cif-InSchedulingCell-r14',
                                                                                             'restricted-to': [(1,
                                                                                                                7)],
                                                                                             'type': 'INTEGER'}],
                                                                                'type': 'SEQUENCE'},
                                     'DC-Parameters-r12': {'members': [{'name': 'drb-TypeSplit-r12',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}},
                                                                       {'name': 'drb-TypeSCG-r12',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}}],
                                                           'type': 'SEQUENCE'},
                                     'DC-Parameters-v1310': {'members': [{'name': 'pdcp-TransferSplitUL-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'ue-SSTD-Meas-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'DL-AM-RLC': {'members': [{'name': 't-Reordering',
                                                                'type': 'T-Reordering'},
                                                               {'name': 't-StatusProhibit',
                                                                'type': 'T-StatusProhibit'}],
                                                   'type': 'SEQUENCE'},
                                     'DL-CCCH-Message': {'members': [{'name': 'message',
                                                                      'type': 'DL-CCCH-MessageType'}],
                                                         'type': 'SEQUENCE'},
                                     'DL-CCCH-MessageType': {'members': [{'members': [{'name': 'rrcConnectionReestablishment',
                                                                                       'type': 'RRCConnectionReestablishment'},
                                                                                      {'name': 'rrcConnectionReestablishmentReject',
                                                                                       'type': 'RRCConnectionReestablishmentReject'},
                                                                                      {'name': 'rrcConnectionReject',
                                                                                       'type': 'RRCConnectionReject'},
                                                                                      {'name': 'rrcConnectionSetup',
                                                                                       'type': 'RRCConnectionSetup'}],
                                                                          'name': 'c1',
                                                                          'type': 'CHOICE'},
                                                                         {'members': [],
                                                                          'name': 'messageClassExtension',
                                                                          'type': 'SEQUENCE'}],
                                                             'type': 'CHOICE'},
                                     'DL-DCCH-Message': {'members': [{'name': 'message',
                                                                      'type': 'DL-DCCH-MessageType'}],
                                                         'type': 'SEQUENCE'},
                                     'DL-DCCH-MessageType': {'members': [{'members': [{'name': 'csfbParametersResponseCDMA2000',
                                                                                       'type': 'CSFBParametersResponseCDMA2000'},
                                                                                      {'name': 'dlInformationTransfer',
                                                                                       'type': 'DLInformationTransfer'},
                                                                                      {'name': 'handoverFromEUTRAPreparationRequest',
                                                                                       'type': 'HandoverFromEUTRAPreparationRequest'},
                                                                                      {'name': 'mobilityFromEUTRACommand',
                                                                                       'type': 'MobilityFromEUTRACommand'},
                                                                                      {'name': 'rrcConnectionReconfiguration',
                                                                                       'type': 'RRCConnectionReconfiguration'},
                                                                                      {'name': 'rrcConnectionRelease',
                                                                                       'type': 'RRCConnectionRelease'},
                                                                                      {'name': 'securityModeCommand',
                                                                                       'type': 'SecurityModeCommand'},
                                                                                      {'name': 'ueCapabilityEnquiry',
                                                                                       'type': 'UECapabilityEnquiry'},
                                                                                      {'name': 'counterCheck',
                                                                                       'type': 'CounterCheck'},
                                                                                      {'name': 'ueInformationRequest-r9',
                                                                                       'type': 'UEInformationRequest-r9'},
                                                                                      {'name': 'loggedMeasurementConfiguration-r10',
                                                                                       'type': 'LoggedMeasurementConfiguration-r10'},
                                                                                      {'name': 'rnReconfiguration-r10',
                                                                                       'type': 'RNReconfiguration-r10'},
                                                                                      {'name': 'rrcConnectionResume-r13',
                                                                                       'type': 'RRCConnectionResume-r13'},
                                                                                      {'name': 'spare3',
                                                                                       'type': 'NULL'},
                                                                                      {'name': 'spare2',
                                                                                       'type': 'NULL'},
                                                                                      {'name': 'spare1',
                                                                                       'type': 'NULL'}],
                                                                          'name': 'c1',
                                                                          'type': 'CHOICE'},
                                                                         {'members': [],
                                                                          'name': 'messageClassExtension',
                                                                          'type': 'SEQUENCE'}],
                                                             'type': 'CHOICE'},
                                     'DL-UM-RLC': {'members': [{'name': 'sn-FieldLength',
                                                                'type': 'SN-FieldLength'},
                                                               {'name': 't-Reordering',
                                                                'type': 'T-Reordering'}],
                                                   'type': 'SEQUENCE'},
                                     'DLInformationTransfer': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                            'type': 'RRC-TransactionIdentifier'},
                                                                           {'members': [{'members': [{'name': 'dlInformationTransfer-r8',
                                                                                                      'type': 'DLInformationTransfer-r8-IEs'},
                                                                                                     {'name': 'spare3',
                                                                                                      'type': 'NULL'},
                                                                                                     {'name': 'spare2',
                                                                                                      'type': 'NULL'},
                                                                                                     {'name': 'spare1',
                                                                                                      'type': 'NULL'}],
                                                                                         'name': 'c1',
                                                                                         'type': 'CHOICE'},
                                                                                        {'members': [],
                                                                                         'name': 'criticalExtensionsFuture',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'name': 'criticalExtensions',
                                                                            'type': 'CHOICE'}],
                                                               'type': 'SEQUENCE'},
                                     'DLInformationTransfer-r8-IEs': {'members': [{'members': [{'name': 'dedicatedInfoNAS',
                                                                                                'type': 'DedicatedInfoNAS'},
                                                                                               {'name': 'dedicatedInfoCDMA2000-1XRTT',
                                                                                                'type': 'DedicatedInfoCDMA2000'},
                                                                                               {'name': 'dedicatedInfoCDMA2000-HRPD',
                                                                                                'type': 'DedicatedInfoCDMA2000'}],
                                                                                   'name': 'dedicatedInfoType',
                                                                                   'type': 'CHOICE'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'DLInformationTransfer-v8a0-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'DLInformationTransfer-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'DMRS-Config-r11': {'members': [{'name': 'release',
                                                                      'type': 'NULL'},
                                                                     {'members': [{'name': 'scramblingIdentity-r11',
                                                                                   'restricted-to': [(0,
                                                                                                      503)],
                                                                                   'type': 'INTEGER'},
                                                                                  {'name': 'scramblingIdentity2-r11',
                                                                                   'restricted-to': [(0,
                                                                                                      503)],
                                                                                   'type': 'INTEGER'}],
                                                                      'name': 'setup',
                                                                      'type': 'SEQUENCE'}],
                                                         'type': 'CHOICE'},
                                     'DMRS-Config-v1310': {'members': [{'name': 'dmrs-tableAlt-r13',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'true'}}],
                                                           'type': 'SEQUENCE'},
                                     'DRB-CountInfo': {'members': [{'name': 'drb-Identity',
                                                                    'type': 'DRB-Identity'},
                                                                   {'name': 'count-Uplink',
                                                                    'restricted-to': [(0,
                                                                                       4294967295)],
                                                                    'type': 'INTEGER'},
                                                                   {'name': 'count-Downlink',
                                                                    'restricted-to': [(0,
                                                                                       4294967295)],
                                                                    'type': 'INTEGER'}],
                                                       'type': 'SEQUENCE'},
                                     'DRB-CountInfoList': {'element': {'type': 'DRB-CountInfo'},
                                                           'size': [(0,
                                                                     'maxDRB')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'DRB-CountMSB-Info': {'members': [{'name': 'drb-Identity',
                                                                        'type': 'DRB-Identity'},
                                                                       {'name': 'countMSB-Uplink',
                                                                        'restricted-to': [(0,
                                                                                           33554431)],
                                                                        'type': 'INTEGER'},
                                                                       {'name': 'countMSB-Downlink',
                                                                        'restricted-to': [(0,
                                                                                           33554431)],
                                                                        'type': 'INTEGER'}],
                                                           'type': 'SEQUENCE'},
                                     'DRB-CountMSB-InfoList': {'element': {'type': 'DRB-CountMSB-Info'},
                                                               'size': [(1,
                                                                         'maxDRB')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'DRB-Identity': {'restricted-to': [(1,
                                                                         32)],
                                                      'type': 'INTEGER'},
                                     'DRB-ToAddMod': {'members': [{'name': 'eps-BearerIdentity',
                                                                   'optional': True,
                                                                   'restricted-to': [(0,
                                                                                      15)],
                                                                   'type': 'INTEGER'},
                                                                  {'name': 'drb-Identity',
                                                                   'type': 'DRB-Identity'},
                                                                  {'name': 'pdcp-Config',
                                                                   'optional': True,
                                                                   'type': 'PDCP-Config'},
                                                                  {'name': 'rlc-Config',
                                                                   'optional': True,
                                                                   'type': 'RLC-Config'},
                                                                  {'name': 'logicalChannelIdentity',
                                                                   'optional': True,
                                                                   'restricted-to': [(3,
                                                                                      10)],
                                                                   'type': 'INTEGER'},
                                                                  {'name': 'logicalChannelConfig',
                                                                   'optional': True,
                                                                   'type': 'LogicalChannelConfig'},
                                                                  '...',
                                                                  {'name': 'drb-TypeChange-r12',
                                                                   'optional': True,
                                                                   'type': 'ENUMERATED',
                                                                   'values': {0: 'toMCG'}},
                                                                  {'name': 'rlc-Config-v1250',
                                                                   'optional': True,
                                                                   'type': 'RLC-Config-v1250'},
                                                                  {'name': 'rlc-Config-v1310',
                                                                   'optional': True,
                                                                   'type': 'RLC-Config-v1310'},
                                                                  {'name': 'drb-TypeLWA-r13',
                                                                   'optional': True,
                                                                   'type': 'BOOLEAN'},
                                                                  {'name': 'drb-TypeLWIP-r13',
                                                                   'optional': True,
                                                                   'type': 'ENUMERATED',
                                                                   'values': {0: 'lwip',
                                                                              1: 'lwip-DL-only',
                                                                              2: 'lwip-UL-only',
                                                                              3: 'eutran'}},
                                                                  {'name': 'rlc-Config-v1430',
                                                                   'optional': True,
                                                                   'type': 'RLC-Config-v1430'},
                                                                  {'name': 'lwip-UL-Aggregation-r14',
                                                                   'optional': True,
                                                                   'type': 'BOOLEAN'},
                                                                  {'name': 'lwip-DL-Aggregation-r14',
                                                                   'optional': True,
                                                                   'type': 'BOOLEAN'},
                                                                  {'name': 'lwa-WLAN-AC-r14',
                                                                   'optional': True,
                                                                   'type': 'ENUMERATED',
                                                                   'values': {0: 'ac-bk',
                                                                              1: 'ac-be',
                                                                              2: 'ac-vi',
                                                                              3: 'ac-vo'}}],
                                                      'type': 'SEQUENCE'},
                                     'DRB-ToAddModList': {'element': {'type': 'DRB-ToAddMod'},
                                                          'size': [(1,
                                                                    'maxDRB')],
                                                          'type': 'SEQUENCE '
                                                                  'OF'},
                                     'DRB-ToAddModListSCG-r12': {'element': {'type': 'DRB-ToAddModSCG-r12'},
                                                                 'size': [(1,
                                                                           'maxDRB')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'DRB-ToAddModSCG-r12': {'members': [{'name': 'drb-Identity-r12',
                                                                          'type': 'DRB-Identity'},
                                                                         {'members': [{'name': 'split-r12',
                                                                                       'type': 'NULL'},
                                                                                      {'members': [{'name': 'eps-BearerIdentity-r12',
                                                                                                    'optional': True,
                                                                                                    'restricted-to': [(0,
                                                                                                                       15)],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'pdcp-Config-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'PDCP-Config'}],
                                                                                       'name': 'scg-r12',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'drb-Type-r12',
                                                                          'optional': True,
                                                                          'type': 'CHOICE'},
                                                                         {'name': 'rlc-ConfigSCG-r12',
                                                                          'optional': True,
                                                                          'type': 'RLC-Config'},
                                                                         {'name': 'rlc-Config-v1250',
                                                                          'optional': True,
                                                                          'type': 'RLC-Config-v1250'},
                                                                         {'name': 'logicalChannelIdentitySCG-r12',
                                                                          'optional': True,
                                                                          'restricted-to': [(3,
                                                                                             10)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'logicalChannelConfigSCG-r12',
                                                                          'optional': True,
                                                                          'type': 'LogicalChannelConfig'},
                                                                         '...',
                                                                         {'name': 'rlc-Config-v1430',
                                                                          'optional': True,
                                                                          'type': 'RLC-Config-v1430'}],
                                                             'type': 'SEQUENCE'},
                                     'DRB-ToReleaseList': {'element': {'type': 'DRB-Identity'},
                                                           'size': [(1,
                                                                     'maxDRB')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'DRX-Config': {'members': [{'name': 'release',
                                                                 'type': 'NULL'},
                                                                {'members': [{'name': 'onDurationTimer',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'psf1',
                                                                                         1: 'psf2',
                                                                                         2: 'psf3',
                                                                                         3: 'psf4',
                                                                                         4: 'psf5',
                                                                                         5: 'psf6',
                                                                                         6: 'psf8',
                                                                                         7: 'psf10',
                                                                                         8: 'psf20',
                                                                                         9: 'psf30',
                                                                                         10: 'psf40',
                                                                                         11: 'psf50',
                                                                                         12: 'psf60',
                                                                                         13: 'psf80',
                                                                                         14: 'psf100',
                                                                                         15: 'psf200'}},
                                                                             {'name': 'drx-InactivityTimer',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'psf1',
                                                                                         1: 'psf2',
                                                                                         2: 'psf3',
                                                                                         3: 'psf4',
                                                                                         4: 'psf5',
                                                                                         5: 'psf6',
                                                                                         6: 'psf8',
                                                                                         7: 'psf10',
                                                                                         8: 'psf20',
                                                                                         9: 'psf30',
                                                                                         10: 'psf40',
                                                                                         11: 'psf50',
                                                                                         12: 'psf60',
                                                                                         13: 'psf80',
                                                                                         14: 'psf100',
                                                                                         15: 'psf200',
                                                                                         16: 'psf300',
                                                                                         17: 'psf500',
                                                                                         18: 'psf750',
                                                                                         19: 'psf1280',
                                                                                         20: 'psf1920',
                                                                                         21: 'psf2560',
                                                                                         22: 'psf0-v1020',
                                                                                         23: 'spare9',
                                                                                         24: 'spare8',
                                                                                         25: 'spare7',
                                                                                         26: 'spare6',
                                                                                         27: 'spare5',
                                                                                         28: 'spare4',
                                                                                         29: 'spare3',
                                                                                         30: 'spare2',
                                                                                         31: 'spare1'}},
                                                                             {'name': 'drx-RetransmissionTimer',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'psf1',
                                                                                         1: 'psf2',
                                                                                         2: 'psf4',
                                                                                         3: 'psf6',
                                                                                         4: 'psf8',
                                                                                         5: 'psf16',
                                                                                         6: 'psf24',
                                                                                         7: 'psf33'}},
                                                                             {'members': [{'name': 'sf10',
                                                                                           'restricted-to': [(0,
                                                                                                              9)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf20',
                                                                                           'restricted-to': [(0,
                                                                                                              19)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf32',
                                                                                           'restricted-to': [(0,
                                                                                                              31)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf40',
                                                                                           'restricted-to': [(0,
                                                                                                              39)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf64',
                                                                                           'restricted-to': [(0,
                                                                                                              63)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf80',
                                                                                           'restricted-to': [(0,
                                                                                                              79)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf128',
                                                                                           'restricted-to': [(0,
                                                                                                              127)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf160',
                                                                                           'restricted-to': [(0,
                                                                                                              159)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf256',
                                                                                           'restricted-to': [(0,
                                                                                                              255)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf320',
                                                                                           'restricted-to': [(0,
                                                                                                              319)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf512',
                                                                                           'restricted-to': [(0,
                                                                                                              511)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf640',
                                                                                           'restricted-to': [(0,
                                                                                                              639)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf1024',
                                                                                           'restricted-to': [(0,
                                                                                                              1023)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf1280',
                                                                                           'restricted-to': [(0,
                                                                                                              1279)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf2048',
                                                                                           'restricted-to': [(0,
                                                                                                              2047)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sf2560',
                                                                                           'restricted-to': [(0,
                                                                                                              2559)],
                                                                                           'type': 'INTEGER'}],
                                                                              'name': 'longDRX-CycleStartOffset',
                                                                              'type': 'CHOICE'},
                                                                             {'members': [{'name': 'shortDRX-Cycle',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'sf2',
                                                                                                      1: 'sf5',
                                                                                                      2: 'sf8',
                                                                                                      3: 'sf10',
                                                                                                      4: 'sf16',
                                                                                                      5: 'sf20',
                                                                                                      6: 'sf32',
                                                                                                      7: 'sf40',
                                                                                                      8: 'sf64',
                                                                                                      9: 'sf80',
                                                                                                      10: 'sf128',
                                                                                                      11: 'sf160',
                                                                                                      12: 'sf256',
                                                                                                      13: 'sf320',
                                                                                                      14: 'sf512',
                                                                                                      15: 'sf640'}},
                                                                                          {'name': 'drxShortCycleTimer',
                                                                                           'restricted-to': [(1,
                                                                                                              16)],
                                                                                           'type': 'INTEGER'}],
                                                                              'name': 'shortDRX',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'}],
                                                                 'name': 'setup',
                                                                 'type': 'SEQUENCE'}],
                                                    'type': 'CHOICE'},
                                     'DRX-Config-r13': {'members': [{'name': 'onDurationTimer-v1310',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'psf300',
                                                                                1: 'psf400',
                                                                                2: 'psf500',
                                                                                3: 'psf600',
                                                                                4: 'psf800',
                                                                                5: 'psf1000',
                                                                                6: 'psf1200',
                                                                                7: 'psf1600'}},
                                                                    {'name': 'drx-RetransmissionTimer-v1310',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'psf40',
                                                                                1: 'psf64',
                                                                                2: 'psf80',
                                                                                3: 'psf96',
                                                                                4: 'psf112',
                                                                                5: 'psf128',
                                                                                6: 'psf160',
                                                                                7: 'psf320'}},
                                                                    {'name': 'drx-ULRetransmissionTimer-r13',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'psf0',
                                                                                1: 'psf1',
                                                                                2: 'psf2',
                                                                                3: 'psf4',
                                                                                4: 'psf6',
                                                                                5: 'psf8',
                                                                                6: 'psf16',
                                                                                7: 'psf24',
                                                                                8: 'psf33',
                                                                                9: 'psf40',
                                                                                10: 'psf64',
                                                                                11: 'psf80',
                                                                                12: 'psf96',
                                                                                13: 'psf112',
                                                                                14: 'psf128',
                                                                                15: 'psf160',
                                                                                16: 'psf320'}}],
                                                        'type': 'SEQUENCE'},
                                     'DRX-Config-v1130': {'members': [{'name': 'drx-RetransmissionTimer-v1130',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'psf0-v1130'}},
                                                                      {'members': [{'name': 'sf60-v1130',
                                                                                    'restricted-to': [(0,
                                                                                                       59)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'sf70-v1130',
                                                                                    'restricted-to': [(0,
                                                                                                       69)],
                                                                                    'type': 'INTEGER'}],
                                                                       'name': 'longDRX-CycleStartOffset-v1130',
                                                                       'optional': True,
                                                                       'type': 'CHOICE'},
                                                                      {'name': 'shortDRX-Cycle-v1130',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'sf4-v1130'}}],
                                                          'type': 'SEQUENCE'},
                                     'DRX-Config-v1310': {'members': [{'members': [{'name': 'sf60-v1310',
                                                                                    'restricted-to': [(0,
                                                                                                       59)],
                                                                                    'type': 'INTEGER'}],
                                                                       'name': 'longDRX-CycleStartOffset-v1310',
                                                                       'optional': True,
                                                                       'type': 'SEQUENCE'}],
                                                          'type': 'SEQUENCE'},
                                     'DataBLER-MCH-Result-r12': {'members': [{'name': 'mch-Index-r12',
                                                                              'restricted-to': [(1,
                                                                                                 'maxPMCH-PerMBSFN')],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'dataBLER-Result-r12',
                                                                              'type': 'BLER-Result-r12'}],
                                                                 'type': 'SEQUENCE'},
                                     'DataBLER-MCH-ResultList-r12': {'element': {'type': 'DataBLER-MCH-Result-r12'},
                                                                     'size': [(1,
                                                                               'maxPMCH-PerMBSFN')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'DataInactivityTimer-r14': {'type': 'ENUMERATED',
                                                                 'values': {0: 's1',
                                                                            1: 's2',
                                                                            2: 's3',
                                                                            3: 's5',
                                                                            4: 's7',
                                                                            5: 's10',
                                                                            6: 's15',
                                                                            7: 's20',
                                                                            8: 's40',
                                                                            9: 's50',
                                                                            10: 's60',
                                                                            11: 's80',
                                                                            12: 's100',
                                                                            13: 's120',
                                                                            14: 's150',
                                                                            15: 's180'}},
                                     'DedicatedInfoCDMA2000': {'type': 'OCTET '
                                                                       'STRING'},
                                     'DedicatedInfoNAS': {'type': 'OCTET '
                                                                  'STRING'},
                                     'DelayBudgetReport-r14': {'members': [{'name': 'type1',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'msMinus1280',
                                                                                       1: 'msMinus640',
                                                                                       2: 'msMinus320',
                                                                                       3: 'msMinus160',
                                                                                       4: 'msMinus80',
                                                                                       5: 'msMinus60',
                                                                                       6: 'msMinus40',
                                                                                       7: 'msMinus20',
                                                                                       8: 'ms0',
                                                                                       9: 'ms20',
                                                                                       10: 'ms40',
                                                                                       11: 'ms60',
                                                                                       12: 'ms80',
                                                                                       13: 'ms160',
                                                                                       14: 'ms320',
                                                                                       15: 'ms640',
                                                                                       16: 'ms1280'}},
                                                                           {'name': 'type2',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'msMinus192',
                                                                                       1: 'msMinus168',
                                                                                       2: 'msMinus144',
                                                                                       3: 'msMinus120',
                                                                                       4: 'msMinus96',
                                                                                       5: 'msMinus72',
                                                                                       6: 'msMinus48',
                                                                                       7: 'msMinus24',
                                                                                       8: 'ms0',
                                                                                       9: 'ms24',
                                                                                       10: 'ms48',
                                                                                       11: 'ms72',
                                                                                       12: 'ms96',
                                                                                       13: 'ms120',
                                                                                       14: 'ms144',
                                                                                       15: 'ms168',
                                                                                       16: 'ms192'}}],
                                                               'type': 'CHOICE'},
                                     'DeltaFList-PUCCH': {'members': [{'name': 'deltaF-PUCCH-Format1',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'deltaF-2',
                                                                                  1: 'deltaF0',
                                                                                  2: 'deltaF2'}},
                                                                      {'name': 'deltaF-PUCCH-Format1b',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'deltaF1',
                                                                                  1: 'deltaF3',
                                                                                  2: 'deltaF5'}},
                                                                      {'name': 'deltaF-PUCCH-Format2',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'deltaF-2',
                                                                                  1: 'deltaF0',
                                                                                  2: 'deltaF1',
                                                                                  3: 'deltaF2'}},
                                                                      {'name': 'deltaF-PUCCH-Format2a',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'deltaF-2',
                                                                                  1: 'deltaF0',
                                                                                  2: 'deltaF2'}},
                                                                      {'name': 'deltaF-PUCCH-Format2b',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'deltaF-2',
                                                                                  1: 'deltaF0',
                                                                                  2: 'deltaF2'}}],
                                                          'type': 'SEQUENCE'},
                                     'DeltaTxD-OffsetListPUCCH-r10': {'members': [{'name': 'deltaTxD-OffsetPUCCH-Format1-r10',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'dB0',
                                                                                              1: 'dB-2'}},
                                                                                  {'name': 'deltaTxD-OffsetPUCCH-Format1a1b-r10',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'dB0',
                                                                                              1: 'dB-2'}},
                                                                                  {'name': 'deltaTxD-OffsetPUCCH-Format22a2b-r10',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'dB0',
                                                                                              1: 'dB-2'}},
                                                                                  {'name': 'deltaTxD-OffsetPUCCH-Format3-r10',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'dB0',
                                                                                              1: 'dB-2'}},
                                                                                  '...'],
                                                                      'type': 'SEQUENCE'},
                                     'DeltaTxD-OffsetListPUCCH-v1130': {'members': [{'name': 'deltaTxD-OffsetPUCCH-Format1bCS-r11',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'dB0',
                                                                                                1: 'dB-1'}}],
                                                                        'type': 'SEQUENCE'},
                                     'E-CSFB-r9': {'members': [{'name': 'messageContCDMA2000-1XRTT-r9',
                                                                'optional': True,
                                                                'type': 'OCTET '
                                                                        'STRING'},
                                                               {'name': 'mobilityCDMA2000-HRPD-r9',
                                                                'optional': True,
                                                                'type': 'ENUMERATED',
                                                                'values': {0: 'handover',
                                                                           1: 'redirection'}},
                                                               {'name': 'messageContCDMA2000-HRPD-r9',
                                                                'optional': True,
                                                                'type': 'OCTET '
                                                                        'STRING'},
                                                               {'name': 'redirectCarrierCDMA2000-HRPD-r9',
                                                                'optional': True,
                                                                'type': 'CarrierFreqCDMA2000'}],
                                                   'type': 'SEQUENCE'},
                                     'EAB-Config-r11': {'members': [{'name': 'eab-Category-r11',
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'a',
                                                                                1: 'b',
                                                                                2: 'c'}},
                                                                    {'name': 'eab-BarringBitmap-r11',
                                                                     'size': [10],
                                                                     'type': 'BIT '
                                                                             'STRING'}],
                                                        'type': 'SEQUENCE'},
                                     'EAB-ConfigPLMN-r11': {'members': [{'name': 'eab-Config-r11',
                                                                         'optional': True,
                                                                         'type': 'EAB-Config-r11'}],
                                                            'type': 'SEQUENCE'},
                                     'EIMTA-MainConfig-r12': {'members': [{'name': 'release',
                                                                           'type': 'NULL'},
                                                                          {'members': [{'name': 'eimta-RNTI-r12',
                                                                                        'type': 'C-RNTI'},
                                                                                       {'name': 'eimta-CommandPeriodicity-r12',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'sf10',
                                                                                                   1: 'sf20',
                                                                                                   2: 'sf40',
                                                                                                   3: 'sf80'}},
                                                                                       {'name': 'eimta-CommandSubframeSet-r12',
                                                                                        'size': [10],
                                                                                        'type': 'BIT '
                                                                                                'STRING'}],
                                                                           'name': 'setup',
                                                                           'type': 'SEQUENCE'}],
                                                              'type': 'CHOICE'},
                                     'EIMTA-MainConfigServCell-r12': {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'members': [{'name': 'eimta-UL-DL-ConfigIndex-r12',
                                                                                                'restricted-to': [(1,
                                                                                                                   5)],
                                                                                                'type': 'INTEGER'},
                                                                                               {'name': 'eimta-HARQ-ReferenceConfig-r12',
                                                                                                'type': 'ENUMERATED',
                                                                                                'values': {0: 'sa2',
                                                                                                           1: 'sa4',
                                                                                                           2: 'sa5'}},
                                                                                               {'members': [{'name': 'release',
                                                                                                             'type': 'NULL'},
                                                                                                            {'members': [{'name': 'subframeConfigList-r12',
                                                                                                                          'type': 'MBSFN-SubframeConfigList'}],
                                                                                                             'name': 'setup',
                                                                                                             'type': 'SEQUENCE'}],
                                                                                                'name': 'mbsfn-SubframeConfigList-v1250',
                                                                                                'type': 'CHOICE'}],
                                                                                   'name': 'setup',
                                                                                   'type': 'SEQUENCE'}],
                                                                      'type': 'CHOICE'},
                                     'EPDCCH-Config-r11': {'members': [{'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'members': [{'name': 'release',
                                                                                                               'type': 'NULL'},
                                                                                                              {'members': [{'name': 'subframePattern-r11',
                                                                                                                            'type': 'MeasSubframePattern-r10'}],
                                                                                                               'name': 'setup',
                                                                                                               'type': 'SEQUENCE'}],
                                                                                                  'name': 'subframePatternConfig-r11',
                                                                                                  'optional': True,
                                                                                                  'type': 'CHOICE'},
                                                                                                 {'name': 'startSymbol-r11',
                                                                                                  'optional': True,
                                                                                                  'restricted-to': [(1,
                                                                                                                     4)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'setConfigToReleaseList-r11',
                                                                                                  'optional': True,
                                                                                                  'type': 'EPDCCH-SetConfigToReleaseList-r11'},
                                                                                                 {'name': 'setConfigToAddModList-r11',
                                                                                                  'optional': True,
                                                                                                  'type': 'EPDCCH-SetConfigToAddModList-r11'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'config-r11',
                                                                        'type': 'CHOICE'}],
                                                           'type': 'SEQUENCE'},
                                     'EPDCCH-SetConfig-r11': {'members': [{'name': 'setConfigId-r11',
                                                                           'type': 'EPDCCH-SetConfigId-r11'},
                                                                          {'name': 'transmissionType-r11',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'localised',
                                                                                      1: 'distributed'}},
                                                                          {'members': [{'name': 'numberPRB-Pairs-r11',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'n2',
                                                                                                   1: 'n4',
                                                                                                   2: 'n8'}},
                                                                                       {'name': 'resourceBlockAssignment-r11',
                                                                                        'size': [(4,
                                                                                                  38)],
                                                                                        'type': 'BIT '
                                                                                                'STRING'}],
                                                                           'name': 'resourceBlockAssignment-r11',
                                                                           'type': 'SEQUENCE'},
                                                                          {'name': 'dmrs-ScramblingSequenceInt-r11',
                                                                           'restricted-to': [(0,
                                                                                              503)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'pucch-ResourceStartOffset-r11',
                                                                           'restricted-to': [(0,
                                                                                              2047)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 're-MappingQCL-ConfigId-r11',
                                                                           'optional': True,
                                                                           'type': 'PDSCH-RE-MappingQCL-ConfigId-r11'},
                                                                          '...',
                                                                          {'members': [{'name': 'release',
                                                                                        'type': 'NULL'},
                                                                                       {'name': 'setup',
                                                                                        'type': 'CSI-RS-ConfigZPId-r11'}],
                                                                           'name': 'csi-RS-ConfigZPId2-r12',
                                                                           'optional': True,
                                                                           'type': 'CHOICE'},
                                                                          {'members': [{'name': 'release',
                                                                                        'type': 'NULL'},
                                                                                       {'name': 'setup',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'n6'}}],
                                                                           'name': 'numberPRB-Pairs-v1310',
                                                                           'optional': True,
                                                                           'type': 'CHOICE'},
                                                                          {'members': [{'name': 'release',
                                                                                        'type': 'NULL'},
                                                                                       {'members': [{'name': 'csi-NumRepetitionCE-r13',
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'sf1',
                                                                                                                1: 'sf2',
                                                                                                                2: 'sf4',
                                                                                                                3: 'sf8',
                                                                                                                4: 'sf16',
                                                                                                                5: 'sf32'}},
                                                                                                    {'name': 'mpdcch-pdsch-HoppingConfig-r13',
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'on',
                                                                                                                1: 'off'}},
                                                                                                    {'members': [{'name': 'fdd-r13',
                                                                                                                  'type': 'ENUMERATED',
                                                                                                                  'values': {0: 'v1',
                                                                                                                             1: 'v1dot5',
                                                                                                                             2: 'v2',
                                                                                                                             3: 'v2dot5',
                                                                                                                             4: 'v4',
                                                                                                                             5: 'v5',
                                                                                                                             6: 'v8',
                                                                                                                             7: 'v10'}},
                                                                                                                 {'name': 'tdd-r13',
                                                                                                                  'type': 'ENUMERATED',
                                                                                                                  'values': {0: 'v1',
                                                                                                                             1: 'v2',
                                                                                                                             2: 'v4',
                                                                                                                             3: 'v5',
                                                                                                                             4: 'v8',
                                                                                                                             5: 'v10',
                                                                                                                             6: 'v20',
                                                                                                                             7: 'spare1'}}],
                                                                                                     'name': 'mpdcch-StartSF-UESS-r13',
                                                                                                     'type': 'CHOICE'},
                                                                                                    {'name': 'mpdcch-NumRepetition-r13',
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'r1',
                                                                                                                1: 'r2',
                                                                                                                2: 'r4',
                                                                                                                3: 'r8',
                                                                                                                4: 'r16',
                                                                                                                5: 'r32',
                                                                                                                6: 'r64',
                                                                                                                7: 'r128',
                                                                                                                8: 'r256'}},
                                                                                                    {'name': 'mpdcch-Narrowband-r13',
                                                                                                     'restricted-to': [(1,
                                                                                                                        'maxAvailNarrowBands-r13')],
                                                                                                     'type': 'INTEGER'}],
                                                                                        'name': 'setup',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'mpdcch-config-r13',
                                                                           'optional': True,
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'EPDCCH-SetConfigId-r11': {'restricted-to': [(0,
                                                                                   1)],
                                                                'type': 'INTEGER'},
                                     'EPDCCH-SetConfigToAddModList-r11': {'element': {'type': 'EPDCCH-SetConfig-r11'},
                                                                          'size': [(1,
                                                                                    'maxEPDCCH-Set-r11')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'EPDCCH-SetConfigToReleaseList-r11': {'element': {'type': 'EPDCCH-SetConfigId-r11'},
                                                                           'size': [(1,
                                                                                     'maxEPDCCH-Set-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'Enable256QAM-r14': {'members': [{'name': 'release',
                                                                       'type': 'NULL'},
                                                                      {'members': [{'members': [{'name': 'subframeSet1-DCI-Format0-r14',
                                                                                                 'type': 'BOOLEAN'},
                                                                                                {'name': 'subframeSet1-DCI-Format4-r14',
                                                                                                 'type': 'BOOLEAN'},
                                                                                                {'name': 'subframeSet2-DCI-Format0-r14',
                                                                                                 'type': 'BOOLEAN'},
                                                                                                {'name': 'subframeSet2-DCI-Format4-r14',
                                                                                                 'type': 'BOOLEAN'}],
                                                                                    'name': 'tpc-SubframeSet-Configured-r14',
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'members': [{'name': 'dci-Format0-r14',
                                                                                                 'type': 'BOOLEAN'},
                                                                                                {'name': 'dci-Format4-r14',
                                                                                                 'type': 'BOOLEAN'}],
                                                                                    'name': 'tpc-SubframeSet-NotConfigured-r14',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'name': 'setup',
                                                                       'type': 'CHOICE'}],
                                                          'type': 'CHOICE'},
                                     'EstablishmentCause': {'type': 'ENUMERATED',
                                                            'values': {0: 'emergency',
                                                                       1: 'highPriorityAccess',
                                                                       2: 'mt-Access',
                                                                       3: 'mo-Signalling',
                                                                       4: 'mo-Data',
                                                                       5: 'delayTolerantAccess-v1020',
                                                                       6: 'mo-VoiceCall-v1280',
                                                                       7: 'spare1'}},
                                     'ExplicitListOfARFCNs': {'element': {'type': 'ARFCN-ValueGERAN'},
                                                              'size': [(0, 31)],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'FailureReportSCG-r12': {'members': [{'name': 'failureType-r12',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 't313-Expiry',
                                                                                      1: 'randomAccessProblem',
                                                                                      2: 'rlc-MaxNumRetx',
                                                                                      3: 'scg-ChangeFailure'}},
                                                                          {'name': 'measResultServFreqList-r12',
                                                                           'optional': True,
                                                                           'type': 'MeasResultServFreqList-r10'},
                                                                          {'name': 'measResultNeighCells-r12',
                                                                           'optional': True,
                                                                           'type': 'MeasResultList2EUTRA-r9'},
                                                                          '...',
                                                                          {'name': 'failureType-v1290',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'maxUL-TimingDiff-v1290'}},
                                                                          {'name': 'measResultServFreqListExt-r13',
                                                                           'optional': True,
                                                                           'type': 'MeasResultServFreqListExt-r13'}],
                                                              'type': 'SEQUENCE'},
                                     'FailureReportSCG-v12d0': {'members': [{'name': 'measResultNeighCells-v12d0',
                                                                             'optional': True,
                                                                             'type': 'MeasResultList2EUTRA-v9e0'}],
                                                                'type': 'SEQUENCE'},
                                     'FeMBMS-Unicast-Parameters-r14': {'members': [{'name': 'unicast-fembmsMixedSCell-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'emptyUnicastRegion-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}}],
                                                                       'type': 'SEQUENCE'},
                                     'FilterCoefficient': {'type': 'ENUMERATED',
                                                           'values': {0: 'fc0',
                                                                      1: 'fc1',
                                                                      2: 'fc2',
                                                                      3: 'fc3',
                                                                      4: 'fc4',
                                                                      5: 'fc5',
                                                                      6: 'fc6',
                                                                      7: 'fc7',
                                                                      8: 'fc8',
                                                                      9: 'fc9',
                                                                      10: 'fc11',
                                                                      11: 'fc13',
                                                                      12: 'fc15',
                                                                      13: 'fc17',
                                                                      14: 'fc19',
                                                                      15: 'spare1',
                                                                      16: '...'}},
                                     'Format4-resource-r13': {'members': [{'name': 'startingPRB-format4-r13',
                                                                           'restricted-to': [(0,
                                                                                              109)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'numberOfPRB-format4-r13',
                                                                           'restricted-to': [(0,
                                                                                              7)],
                                                                           'type': 'INTEGER'}],
                                                              'type': 'SEQUENCE'},
                                     'Format5-resource-r13': {'members': [{'name': 'startingPRB-format5-r13',
                                                                           'restricted-to': [(0,
                                                                                              109)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'cdm-index-format5-r13',
                                                                           'restricted-to': [(0,
                                                                                              1)],
                                                                           'type': 'INTEGER'}],
                                                              'type': 'SEQUENCE'},
                                     'FreqBandIndicator': {'restricted-to': [(1,
                                                                              'maxFBI')],
                                                           'type': 'INTEGER'},
                                     'FreqBandIndicator-UTRA-FDD': {'restricted-to': [(1,
                                                                                       86)],
                                                                    'type': 'INTEGER'},
                                     'FreqBandIndicator-r11': {'restricted-to': [(1,
                                                                                  'maxFBI2')],
                                                               'type': 'INTEGER'},
                                     'FreqBandIndicator-v9e0': {'restricted-to': [('maxFBI-Plus1',
                                                                                   'maxFBI2')],
                                                                'type': 'INTEGER'},
                                     'FreqBandIndicatorListEUTRA-r12': {'element': {'type': 'FreqBandIndicator-r11'},
                                                                        'size': [(1,
                                                                                  'maxBands')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'FreqHoppingParameters-r13': {'members': [{'name': 'dummy',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'nb2',
                                                                                           1: 'nb4'}},
                                                                               {'members': [{'name': 'interval-FDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int1',
                                                                                                        1: 'int2',
                                                                                                        2: 'int4',
                                                                                                        3: 'int8'}},
                                                                                            {'name': 'interval-TDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int1',
                                                                                                        1: 'int5',
                                                                                                        2: 'int10',
                                                                                                        3: 'int20'}}],
                                                                                'name': 'dummy2',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'members': [{'name': 'interval-FDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int2',
                                                                                                        1: 'int4',
                                                                                                        2: 'int8',
                                                                                                        3: 'int16'}},
                                                                                            {'name': 'interval-TDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int5',
                                                                                                        1: 'int10',
                                                                                                        2: 'int20',
                                                                                                        3: 'int40'}}],
                                                                                'name': 'dummy3',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'members': [{'name': 'interval-FDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int1',
                                                                                                        1: 'int2',
                                                                                                        2: 'int4',
                                                                                                        3: 'int8'}},
                                                                                            {'name': 'interval-TDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int1',
                                                                                                        1: 'int5',
                                                                                                        2: 'int10',
                                                                                                        3: 'int20'}}],
                                                                                'name': 'interval-ULHoppingConfigCommonModeA-r13',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'members': [{'name': 'interval-FDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int2',
                                                                                                        1: 'int4',
                                                                                                        2: 'int8',
                                                                                                        3: 'int16'}},
                                                                                            {'name': 'interval-TDD-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'int5',
                                                                                                        1: 'int10',
                                                                                                        2: 'int20',
                                                                                                        3: 'int40'}}],
                                                                                'name': 'interval-ULHoppingConfigCommonModeB-r13',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'name': 'dummy4',
                                                                                'optional': True,
                                                                                'restricted-to': [(1,
                                                                                                   'maxAvailNarrowBands-r13')],
                                                                                'type': 'INTEGER'}],
                                                                   'type': 'SEQUENCE'},
                                     'FreqPriorityEUTRA': {'members': [{'name': 'carrierFreq',
                                                                        'type': 'ARFCN-ValueEUTRA'},
                                                                       {'name': 'cellReselectionPriority',
                                                                        'type': 'CellReselectionPriority'}],
                                                           'type': 'SEQUENCE'},
                                     'FreqPriorityEUTRA-r12': {'members': [{'name': 'carrierFreq-r12',
                                                                            'type': 'ARFCN-ValueEUTRA-r9'},
                                                                           {'name': 'cellReselectionPriority-r12',
                                                                            'type': 'CellReselectionPriority'}],
                                                               'type': 'SEQUENCE'},
                                     'FreqPriorityEUTRA-v1310': {'members': [{'name': 'cellReselectionSubPriority-r13',
                                                                              'optional': True,
                                                                              'type': 'CellReselectionSubPriority-r13'}],
                                                                 'type': 'SEQUENCE'},
                                     'FreqPriorityEUTRA-v9e0': {'members': [{'name': 'carrierFreq-v9e0',
                                                                             'optional': True,
                                                                             'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                                'type': 'SEQUENCE'},
                                     'FreqPriorityListEUTRA': {'element': {'type': 'FreqPriorityEUTRA'},
                                                               'size': [(1,
                                                                         'maxFreq')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'FreqPriorityListEUTRA-v1310': {'element': {'type': 'FreqPriorityEUTRA-v1310'},
                                                                     'size': [(1,
                                                                               'maxFreq')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'FreqPriorityListExtEUTRA-r12': {'element': {'type': 'FreqPriorityEUTRA-r12'},
                                                                      'size': [(1,
                                                                                'maxFreq')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'FreqPriorityListExtEUTRA-v1310': {'element': {'type': 'FreqPriorityEUTRA-v1310'},
                                                                        'size': [(1,
                                                                                  'maxFreq')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'FreqPriorityListUTRA-FDD': {'element': {'type': 'FreqPriorityUTRA-FDD'},
                                                                  'size': [(1,
                                                                            'maxUTRA-FDD-Carrier')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'FreqPriorityListUTRA-TDD': {'element': {'type': 'FreqPriorityUTRA-TDD'},
                                                                  'size': [(1,
                                                                            'maxUTRA-TDD-Carrier')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'FreqPriorityUTRA-FDD': {'members': [{'name': 'carrierFreq',
                                                                           'type': 'ARFCN-ValueUTRA'},
                                                                          {'name': 'cellReselectionPriority',
                                                                           'type': 'CellReselectionPriority'}],
                                                              'type': 'SEQUENCE'},
                                     'FreqPriorityUTRA-TDD': {'members': [{'name': 'carrierFreq',
                                                                           'type': 'ARFCN-ValueUTRA'},
                                                                          {'name': 'cellReselectionPriority',
                                                                           'type': 'CellReselectionPriority'}],
                                                              'type': 'SEQUENCE'},
                                     'FreqsPriorityGERAN': {'members': [{'name': 'carrierFreqs',
                                                                         'type': 'CarrierFreqsGERAN'},
                                                                        {'name': 'cellReselectionPriority',
                                                                         'type': 'CellReselectionPriority'}],
                                                            'type': 'SEQUENCE'},
                                     'FreqsPriorityListGERAN': {'element': {'type': 'FreqsPriorityGERAN'},
                                                                'size': [(1,
                                                                          'maxGNFG')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'Handover': {'members': [{'name': 'targetRAT-Type',
                                                               'type': 'ENUMERATED',
                                                               'values': {0: 'utra',
                                                                          1: 'geran',
                                                                          2: 'cdma2000-1XRTT',
                                                                          3: 'cdma2000-HRPD',
                                                                          4: 'spare4',
                                                                          5: 'spare3',
                                                                          6: 'spare2',
                                                                          7: 'spare1',
                                                                          8: '...'}},
                                                              {'name': 'targetRAT-MessageContainer',
                                                               'type': 'OCTET '
                                                                       'STRING'},
                                                              {'name': 'nas-SecurityParamFromEUTRA',
                                                               'optional': True,
                                                               'size': [1],
                                                               'type': 'OCTET '
                                                                       'STRING'},
                                                              {'name': 'systemInformation',
                                                               'optional': True,
                                                               'type': 'SI-OrPSI-GERAN'}],
                                                  'type': 'SEQUENCE'},
                                     'HandoverFromEUTRAPreparationRequest': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                          'type': 'RRC-TransactionIdentifier'},
                                                                                         {'members': [{'members': [{'name': 'handoverFromEUTRAPreparationRequest-r8',
                                                                                                                    'type': 'HandoverFromEUTRAPreparationRequest-r8-IEs'},
                                                                                                                   {'name': 'spare3',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare2',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare1',
                                                                                                                    'type': 'NULL'}],
                                                                                                       'name': 'c1',
                                                                                                       'type': 'CHOICE'},
                                                                                                      {'members': [],
                                                                                                       'name': 'criticalExtensionsFuture',
                                                                                                       'type': 'SEQUENCE'}],
                                                                                          'name': 'criticalExtensions',
                                                                                          'type': 'CHOICE'}],
                                                                             'type': 'SEQUENCE'},
                                     'HandoverFromEUTRAPreparationRequest-r8-IEs': {'members': [{'name': 'cdma2000-Type',
                                                                                                 'type': 'CDMA2000-Type'},
                                                                                                {'name': 'rand',
                                                                                                 'optional': True,
                                                                                                 'type': 'RAND-CDMA2000'},
                                                                                                {'name': 'mobilityParameters',
                                                                                                 'optional': True,
                                                                                                 'type': 'MobilityParametersCDMA2000'},
                                                                                                {'name': 'nonCriticalExtension',
                                                                                                 'optional': True,
                                                                                                 'type': 'HandoverFromEUTRAPreparationRequest-v890-IEs'}],
                                                                                    'type': 'SEQUENCE'},
                                     'HandoverFromEUTRAPreparationRequest-v1020-IEs': {'members': [{'name': 'dualRxTxRedirectIndicator-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'true'}},
                                                                                                   {'name': 'redirectCarrierCDMA2000-1XRTT-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'CarrierFreqCDMA2000'},
                                                                                                   {'members': [],
                                                                                                    'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'type': 'SEQUENCE'},
                                     'HandoverFromEUTRAPreparationRequest-v890-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'OCTET '
                                                                                                           'STRING'},
                                                                                                  {'name': 'nonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'HandoverFromEUTRAPreparationRequest-v920-IEs'}],
                                                                                      'type': 'SEQUENCE'},
                                     'HandoverFromEUTRAPreparationRequest-v920-IEs': {'members': [{'name': 'concurrPrepCDMA2000-HRPD-r9',
                                                                                                   'optional': True,
                                                                                                   'type': 'BOOLEAN'},
                                                                                                  {'name': 'nonCriticalExtension',
                                                                                                   'optional': True,
                                                                                                   'type': 'HandoverFromEUTRAPreparationRequest-v1020-IEs'}],
                                                                                      'type': 'SEQUENCE'},
                                     'HighSpeedConfig-r14': {'members': [{'name': 'highSpeedEnhancedMeasFlag-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}},
                                                                         {'name': 'highSpeedEnhancedDemodulationFlag-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}}],
                                                             'type': 'SEQUENCE'},
                                     'HighSpeedConfigSCell-r14': {'members': [{'name': 'highSpeedEnhancedDemodulationFlag-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'true'}}],
                                                                  'type': 'SEQUENCE'},
                                     'HighSpeedEnhParameters-r14': {'members': [{'name': 'measurementEnhancements-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'supported'}},
                                                                                {'name': 'demodulationEnhancements-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'supported'}},
                                                                                {'name': 'prach-Enhancements-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'supported'}}],
                                                                    'type': 'SEQUENCE'},
                                     'Hysteresis': {'restricted-to': [(0, 30)],
                                                    'type': 'INTEGER'},
                                     'IDC-Config-r11': {'members': [{'name': 'idc-Indication-r11',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'setup'}},
                                                                    {'members': [{'name': 'autonomousDenialSubframes-r11',
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'n2',
                                                                                             1: 'n5',
                                                                                             2: 'n10',
                                                                                             3: 'n15',
                                                                                             4: 'n20',
                                                                                             5: 'n30',
                                                                                             6: 'spare2',
                                                                                             7: 'spare1'}},
                                                                                 {'name': 'autonomousDenialValidity-r11',
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'sf200',
                                                                                             1: 'sf500',
                                                                                             2: 'sf1000',
                                                                                             3: 'sf2000',
                                                                                             4: 'spare4',
                                                                                             5: 'spare3',
                                                                                             6: 'spare2',
                                                                                             7: 'spare1'}}],
                                                                     'name': 'autonomousDenialParameters-r11',
                                                                     'optional': True,
                                                                     'type': 'SEQUENCE'},
                                                                    '...',
                                                                    {'name': 'idc-Indication-UL-CA-r11',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'setup'}},
                                                                    {'name': 'idc-HardwareSharingIndication-r13',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'setup'}}],
                                                        'type': 'SEQUENCE'},
                                     'IDC-SubframePattern-r11': {'members': [{'name': 'subframePatternFDD-r11',
                                                                              'size': [4],
                                                                              'type': 'BIT '
                                                                                      'STRING'},
                                                                             {'members': [{'name': 'subframeConfig0-r11',
                                                                                           'size': [70],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'},
                                                                                          {'name': 'subframeConfig1-5-r11',
                                                                                           'size': [10],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'},
                                                                                          {'name': 'subframeConfig6-r11',
                                                                                           'size': [60],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'}],
                                                                              'name': 'subframePatternTDD-r11',
                                                                              'type': 'CHOICE'},
                                                                             '...'],
                                                                 'type': 'CHOICE'},
                                     'IDC-SubframePatternList-r11': {'element': {'type': 'IDC-SubframePattern-r11'},
                                                                     'size': [(1,
                                                                               'maxSubframePatternIDC-r11')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'IKE-Identity-r13': {'members': [{'name': 'idI-r13',
                                                                       'type': 'OCTET '
                                                                               'STRING'}],
                                                          'type': 'SEQUENCE'},
                                     'IMSI': {'element': {'type': 'IMSI-Digit'},
                                              'size': [(6, 21)],
                                              'type': 'SEQUENCE OF'},
                                     'IMSI-Digit': {'restricted-to': [(0, 9)],
                                                    'type': 'INTEGER'},
                                     'IP-Address-r13': {'members': [{'name': 'ipv4-r13',
                                                                     'size': [32],
                                                                     'type': 'BIT '
                                                                             'STRING'},
                                                                    {'name': 'ipv6-r13',
                                                                     'size': [128],
                                                                     'type': 'BIT '
                                                                             'STRING'}],
                                                        'type': 'CHOICE'},
                                     'IRAT-ParametersCDMA2000-1XRTT': {'members': [{'name': 'supportedBandList1XRTT',
                                                                                    'type': 'SupportedBandList1XRTT'},
                                                                                   {'name': 'tx-Config1XRTT',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'single',
                                                                                               1: 'dual'}},
                                                                                   {'name': 'rx-Config1XRTT',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'single',
                                                                                               1: 'dual'}}],
                                                                       'type': 'SEQUENCE'},
                                     'IRAT-ParametersCDMA2000-1XRTT-v1020': {'members': [{'name': 'e-CSFB-dual-1XRTT-r10',
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'supported'}}],
                                                                             'type': 'SEQUENCE'},
                                     'IRAT-ParametersCDMA2000-1XRTT-v920': {'members': [{'name': 'e-CSFB-1XRTT-r9',
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'supported'}},
                                                                                        {'name': 'e-CSFB-ConcPS-Mob1XRTT-r9',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'supported'}}],
                                                                            'type': 'SEQUENCE'},
                                     'IRAT-ParametersCDMA2000-HRPD': {'members': [{'name': 'supportedBandListHRPD',
                                                                                   'type': 'SupportedBandListHRPD'},
                                                                                  {'name': 'tx-ConfigHRPD',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'single',
                                                                                              1: 'dual'}},
                                                                                  {'name': 'rx-ConfigHRPD',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'single',
                                                                                              1: 'dual'}}],
                                                                      'type': 'SEQUENCE'},
                                     'IRAT-ParametersCDMA2000-v1130': {'members': [{'name': 'cdma2000-NW-Sharing-r11',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}}],
                                                                       'type': 'SEQUENCE'},
                                     'IRAT-ParametersGERAN': {'members': [{'name': 'supportedBandListGERAN',
                                                                           'type': 'SupportedBandListGERAN'},
                                                                          {'name': 'interRAT-PS-HO-ToGERAN',
                                                                           'type': 'BOOLEAN'}],
                                                              'type': 'SEQUENCE'},
                                     'IRAT-ParametersGERAN-v920': {'members': [{'name': 'dtm-r9',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'supported'}},
                                                                               {'name': 'e-RedirectionGERAN-r9',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'supported'}}],
                                                                   'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-FDD': {'members': [{'name': 'supportedBandListUTRA-FDD',
                                                                              'type': 'SupportedBandListUTRA-FDD'}],
                                                                 'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-TDD-v1020': {'members': [{'name': 'e-RedirectionUTRA-TDD-r10',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}}],
                                                                       'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-TDD128': {'members': [{'name': 'supportedBandListUTRA-TDD128',
                                                                                 'type': 'SupportedBandListUTRA-TDD128'}],
                                                                    'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-TDD384': {'members': [{'name': 'supportedBandListUTRA-TDD384',
                                                                                 'type': 'SupportedBandListUTRA-TDD384'}],
                                                                    'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-TDD768': {'members': [{'name': 'supportedBandListUTRA-TDD768',
                                                                                 'type': 'SupportedBandListUTRA-TDD768'}],
                                                                    'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-v920': {'members': [{'name': 'e-RedirectionUTRA-r9',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-v9c0': {'members': [{'name': 'voiceOverPS-HS-UTRA-FDD-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'voiceOverPS-HS-UTRA-TDD128-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'srvcc-FromUTRA-FDD-ToUTRA-FDD-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'srvcc-FromUTRA-FDD-ToGERAN-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'srvcc-FromUTRA-TDD128-ToUTRA-TDD128-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'srvcc-FromUTRA-TDD128-ToGERAN-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'IRAT-ParametersUTRA-v9h0': {'members': [{'name': 'mfbi-UTRA-r9',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'IRAT-ParametersWLAN-r13': {'members': [{'element': {'type': 'WLAN-BandIndicator-r13'},
                                                                              'name': 'supportedBandListWLAN-r13',
                                                                              'optional': True,
                                                                              'size': [(1,
                                                                                        'maxWLAN-Bands-r13')],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'}],
                                                                 'type': 'SEQUENCE'},
                                     'IdleModeMobilityControlInfo': {'members': [{'name': 'freqPriorityListEUTRA',
                                                                                  'optional': True,
                                                                                  'type': 'FreqPriorityListEUTRA'},
                                                                                 {'name': 'freqPriorityListGERAN',
                                                                                  'optional': True,
                                                                                  'type': 'FreqsPriorityListGERAN'},
                                                                                 {'name': 'freqPriorityListUTRA-FDD',
                                                                                  'optional': True,
                                                                                  'type': 'FreqPriorityListUTRA-FDD'},
                                                                                 {'name': 'freqPriorityListUTRA-TDD',
                                                                                  'optional': True,
                                                                                  'type': 'FreqPriorityListUTRA-TDD'},
                                                                                 {'name': 'bandClassPriorityListHRPD',
                                                                                  'optional': True,
                                                                                  'type': 'BandClassPriorityListHRPD'},
                                                                                 {'name': 'bandClassPriorityList1XRTT',
                                                                                  'optional': True,
                                                                                  'type': 'BandClassPriorityList1XRTT'},
                                                                                 {'name': 't320',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'min5',
                                                                                             1: 'min10',
                                                                                             2: 'min20',
                                                                                             3: 'min30',
                                                                                             4: 'min60',
                                                                                             5: 'min120',
                                                                                             6: 'min180',
                                                                                             7: 'spare1'}},
                                                                                 '...',
                                                                                 {'name': 'freqPriorityListExtEUTRA-r12',
                                                                                  'optional': True,
                                                                                  'type': 'FreqPriorityListExtEUTRA-r12'},
                                                                                 {'name': 'freqPriorityListEUTRA-v1310',
                                                                                  'optional': True,
                                                                                  'type': 'FreqPriorityListEUTRA-v1310'},
                                                                                 {'name': 'freqPriorityListExtEUTRA-v1310',
                                                                                  'optional': True,
                                                                                  'type': 'FreqPriorityListExtEUTRA-v1310'}],
                                                                     'type': 'SEQUENCE'},
                                     'IdleModeMobilityControlInfo-v9e0': {'members': [{'element': {'type': 'FreqPriorityEUTRA-v9e0'},
                                                                                       'name': 'freqPriorityListEUTRA-v9e0',
                                                                                       'size': [(1,
                                                                                                 'maxFreq')],
                                                                                       'type': 'SEQUENCE '
                                                                                               'OF'}],
                                                                          'type': 'SEQUENCE'},
                                     'InDeviceCoexIndication-r11': {'members': [{'members': [{'members': [{'name': 'inDeviceCoexIndication-r11',
                                                                                                           'type': 'InDeviceCoexIndication-r11-IEs'},
                                                                                                          {'name': 'spare3',
                                                                                                           'type': 'NULL'},
                                                                                                          {'name': 'spare2',
                                                                                                           'type': 'NULL'},
                                                                                                          {'name': 'spare1',
                                                                                                           'type': 'NULL'}],
                                                                                              'name': 'c1',
                                                                                              'type': 'CHOICE'},
                                                                                             {'members': [],
                                                                                              'name': 'criticalExtensionsFuture',
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'name': 'criticalExtensions',
                                                                                 'type': 'CHOICE'}],
                                                                    'type': 'SEQUENCE'},
                                     'InDeviceCoexIndication-r11-IEs': {'members': [{'name': 'affectedCarrierFreqList-r11',
                                                                                     'optional': True,
                                                                                     'type': 'AffectedCarrierFreqList-r11'},
                                                                                    {'name': 'tdm-AssistanceInfo-r11',
                                                                                     'optional': True,
                                                                                     'type': 'TDM-AssistanceInfo-r11'},
                                                                                    {'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'InDeviceCoexIndication-v11d0-IEs'}],
                                                                        'type': 'SEQUENCE'},
                                     'InDeviceCoexIndication-v11d0-IEs': {'members': [{'members': [{'name': 'affectedCarrierFreqCombList-r11',
                                                                                                    'optional': True,
                                                                                                    'type': 'AffectedCarrierFreqCombList-r11'},
                                                                                                   {'name': 'victimSystemType-r11',
                                                                                                    'type': 'VictimSystemType-r11'}],
                                                                                       'name': 'ul-CA-AssistanceInfo-r11',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'InDeviceCoexIndication-v1310-IEs'}],
                                                                          'type': 'SEQUENCE'},
                                     'InDeviceCoexIndication-v1310-IEs': {'members': [{'name': 'affectedCarrierFreqList-v1310',
                                                                                       'optional': True,
                                                                                       'type': 'AffectedCarrierFreqList-v1310'},
                                                                                      {'name': 'affectedCarrierFreqCombList-r13',
                                                                                       'optional': True,
                                                                                       'type': 'AffectedCarrierFreqCombList-r13'},
                                                                                      {'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'InDeviceCoexIndication-v1360-IEs'}],
                                                                          'type': 'SEQUENCE'},
                                     'InDeviceCoexIndication-v1360-IEs': {'members': [{'name': 'hardwareSharingProblem-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}},
                                                                                      {'members': [],
                                                                                       'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'SEQUENCE'},
                                     'InitialUE-Identity': {'members': [{'name': 's-TMSI',
                                                                         'type': 'S-TMSI'},
                                                                        {'name': 'randomValue',
                                                                         'size': [40],
                                                                         'type': 'BIT '
                                                                                 'STRING'}],
                                                            'type': 'CHOICE'},
                                     'InterFreqBandInfo': {'members': [{'name': 'interFreqNeedForGaps',
                                                                        'type': 'BOOLEAN'}],
                                                           'type': 'SEQUENCE'},
                                     'InterFreqBandList': {'element': {'type': 'InterFreqBandInfo'},
                                                           'size': [(1,
                                                                     'maxBands')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'InterFreqBlackCellList': {'element': {'type': 'PhysCellIdRange'},
                                                                'size': [(1,
                                                                          'maxCellBlack')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'InterFreqCarrierFreqInfo': {'members': [{'name': 'dl-CarrierFreq',
                                                                               'type': 'ARFCN-ValueEUTRA'},
                                                                              {'name': 'q-RxLevMin',
                                                                               'type': 'Q-RxLevMin'},
                                                                              {'name': 'p-Max',
                                                                               'optional': True,
                                                                               'type': 'P-Max'},
                                                                              {'name': 't-ReselectionEUTRA',
                                                                               'type': 'T-Reselection'},
                                                                              {'name': 't-ReselectionEUTRA-SF',
                                                                               'optional': True,
                                                                               'type': 'SpeedStateScaleFactors'},
                                                                              {'name': 'threshX-High',
                                                                               'type': 'ReselectionThreshold'},
                                                                              {'name': 'threshX-Low',
                                                                               'type': 'ReselectionThreshold'},
                                                                              {'name': 'allowedMeasBandwidth',
                                                                               'type': 'AllowedMeasBandwidth'},
                                                                              {'name': 'presenceAntennaPort1',
                                                                               'type': 'PresenceAntennaPort1'},
                                                                              {'name': 'cellReselectionPriority',
                                                                               'optional': True,
                                                                               'type': 'CellReselectionPriority'},
                                                                              {'name': 'neighCellConfig',
                                                                               'type': 'NeighCellConfig'},
                                                                              {'default': 'dB0',
                                                                               'name': 'q-OffsetFreq',
                                                                               'type': 'Q-OffsetRange'},
                                                                              {'name': 'interFreqNeighCellList',
                                                                               'optional': True,
                                                                               'type': 'InterFreqNeighCellList'},
                                                                              {'name': 'interFreqBlackCellList',
                                                                               'optional': True,
                                                                               'type': 'InterFreqBlackCellList'},
                                                                              '...',
                                                                              {'name': 'q-QualMin-r9',
                                                                               'optional': True,
                                                                               'type': 'Q-QualMin-r9'},
                                                                              {'members': [{'name': 'threshX-HighQ-r9',
                                                                                            'type': 'ReselectionThresholdQ-r9'},
                                                                                           {'name': 'threshX-LowQ-r9',
                                                                                            'type': 'ReselectionThresholdQ-r9'}],
                                                                               'name': 'threshX-Q-r9',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'},
                                                                              {'name': 'q-QualMinWB-r11',
                                                                               'optional': True,
                                                                               'type': 'Q-QualMin-r9'}],
                                                                  'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-r12': {'members': [{'name': 'dl-CarrierFreq-r12',
                                                                                   'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                  {'name': 'q-RxLevMin-r12',
                                                                                   'type': 'Q-RxLevMin'},
                                                                                  {'name': 'p-Max-r12',
                                                                                   'optional': True,
                                                                                   'type': 'P-Max'},
                                                                                  {'name': 't-ReselectionEUTRA-r12',
                                                                                   'type': 'T-Reselection'},
                                                                                  {'name': 't-ReselectionEUTRA-SF-r12',
                                                                                   'optional': True,
                                                                                   'type': 'SpeedStateScaleFactors'},
                                                                                  {'name': 'threshX-High-r12',
                                                                                   'type': 'ReselectionThreshold'},
                                                                                  {'name': 'threshX-Low-r12',
                                                                                   'type': 'ReselectionThreshold'},
                                                                                  {'name': 'allowedMeasBandwidth-r12',
                                                                                   'type': 'AllowedMeasBandwidth'},
                                                                                  {'name': 'presenceAntennaPort1-r12',
                                                                                   'type': 'PresenceAntennaPort1'},
                                                                                  {'name': 'cellReselectionPriority-r12',
                                                                                   'optional': True,
                                                                                   'type': 'CellReselectionPriority'},
                                                                                  {'name': 'neighCellConfig-r12',
                                                                                   'type': 'NeighCellConfig'},
                                                                                  {'default': 'dB0',
                                                                                   'name': 'q-OffsetFreq-r12',
                                                                                   'type': 'Q-OffsetRange'},
                                                                                  {'name': 'interFreqNeighCellList-r12',
                                                                                   'optional': True,
                                                                                   'type': 'InterFreqNeighCellList'},
                                                                                  {'name': 'interFreqBlackCellList-r12',
                                                                                   'optional': True,
                                                                                   'type': 'InterFreqBlackCellList'},
                                                                                  {'name': 'q-QualMin-r12',
                                                                                   'optional': True,
                                                                                   'type': 'Q-QualMin-r9'},
                                                                                  {'members': [{'name': 'threshX-HighQ-r12',
                                                                                                'type': 'ReselectionThresholdQ-r9'},
                                                                                               {'name': 'threshX-LowQ-r12',
                                                                                                'type': 'ReselectionThresholdQ-r9'}],
                                                                                   'name': 'threshX-Q-r12',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'},
                                                                                  {'name': 'q-QualMinWB-r12',
                                                                                   'optional': True,
                                                                                   'type': 'Q-QualMin-r9'},
                                                                                  {'name': 'multiBandInfoList-r12',
                                                                                   'optional': True,
                                                                                   'type': 'MultiBandInfoList-r11'},
                                                                                  {'name': 'reducedMeasPerformance-r12',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'true'}},
                                                                                  {'name': 'q-QualMinRSRQ-OnAllSymbols-r12',
                                                                                   'optional': True,
                                                                                   'type': 'Q-QualMin-r9'},
                                                                                  '...'],
                                                                      'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v10j0': {'members': [{'name': 'freqBandInfo-r10',
                                                                                     'optional': True,
                                                                                     'type': 'NS-PmaxList-r10'},
                                                                                    {'name': 'multiBandInfoList-v10j0',
                                                                                     'optional': True,
                                                                                     'type': 'MultiBandInfoList-v10j0'}],
                                                                        'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v10l0': {'members': [{'name': 'freqBandInfo-v10l0',
                                                                                     'optional': True,
                                                                                     'type': 'NS-PmaxList-v10l0'},
                                                                                    {'name': 'multiBandInfoList-v10l0',
                                                                                     'optional': True,
                                                                                     'type': 'MultiBandInfoList-v10l0'}],
                                                                        'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v1250': {'members': [{'name': 'reducedMeasPerformance-r12',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'q-QualMinRSRQ-OnAllSymbols-r12',
                                                                                     'optional': True,
                                                                                     'type': 'Q-QualMin-r9'}],
                                                                        'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v1310': {'members': [{'name': 'cellReselectionSubPriority-r13',
                                                                                     'optional': True,
                                                                                     'type': 'CellReselectionSubPriority-r13'},
                                                                                    {'name': 'redistributionInterFreqInfo-r13',
                                                                                     'optional': True,
                                                                                     'type': 'RedistributionInterFreqInfo-r13'},
                                                                                    {'name': 'cellSelectionInfoCE-r13',
                                                                                     'optional': True,
                                                                                     'type': 'CellSelectionInfoCE-r13'},
                                                                                    {'name': 't-ReselectionEUTRA-CE-r13',
                                                                                     'optional': True,
                                                                                     'type': 'T-ReselectionEUTRA-CE-r13'}],
                                                                        'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v1350': {'members': [{'name': 'cellSelectionInfoCE1-r13',
                                                                                     'optional': True,
                                                                                     'type': 'CellSelectionInfoCE1-r13'}],
                                                                        'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v1360': {'members': [{'name': 'cellSelectionInfoCE1-v1360',
                                                                                     'optional': True,
                                                                                     'type': 'CellSelectionInfoCE1-v1360'}],
                                                                        'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v8h0': {'members': [{'name': 'multiBandInfoList',
                                                                                    'optional': True,
                                                                                    'type': 'MultiBandInfoList'}],
                                                                       'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqInfo-v9e0': {'members': [{'name': 'dl-CarrierFreq-v9e0',
                                                                                    'optional': True,
                                                                                    'type': 'ARFCN-ValueEUTRA-v9e0'},
                                                                                   {'name': 'multiBandInfoList-v9e0',
                                                                                    'optional': True,
                                                                                    'type': 'MultiBandInfoList-v9e0'}],
                                                                       'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqList': {'element': {'type': 'InterFreqCarrierFreqInfo'},
                                                                  'size': [(1,
                                                                            'maxFreq')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'InterFreqCarrierFreqList-v1250': {'element': {'type': 'InterFreqCarrierFreqInfo-v1250'},
                                                                        'size': [(1,
                                                                                  'maxFreq')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'InterFreqCarrierFreqList-v1310': {'element': {'type': 'InterFreqCarrierFreqInfo-v1310'},
                                                                        'size': [(1,
                                                                                  'maxFreq')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'InterFreqCarrierFreqList-v1350': {'element': {'type': 'InterFreqCarrierFreqInfo-v1350'},
                                                                        'size': [(1,
                                                                                  'maxFreq')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'InterFreqCarrierFreqListExt-r12': {'element': {'type': 'InterFreqCarrierFreqInfo-r12'},
                                                                         'size': [(1,
                                                                                   'maxFreq')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'InterFreqCarrierFreqListExt-v1280': {'element': {'type': 'InterFreqCarrierFreqInfo-v10j0'},
                                                                           'size': [(1,
                                                                                     'maxFreq')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'InterFreqCarrierFreqListExt-v1310': {'element': {'type': 'InterFreqCarrierFreqInfo-v1310'},
                                                                           'size': [(1,
                                                                                     'maxFreq')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'InterFreqCarrierFreqListExt-v1350': {'element': {'type': 'InterFreqCarrierFreqInfo-v1350'},
                                                                           'size': [(1,
                                                                                     'maxFreq')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'InterFreqCarrierFreqListExt-v1360': {'element': {'type': 'InterFreqCarrierFreqInfo-v1360'},
                                                                           'size': [(1,
                                                                                     'maxFreq')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'InterFreqNeighCellInfo': {'members': [{'name': 'physCellId',
                                                                             'type': 'PhysCellId'},
                                                                            {'name': 'q-OffsetCell',
                                                                             'type': 'Q-OffsetRange'}],
                                                                'type': 'SEQUENCE'},
                                     'InterFreqNeighCellList': {'element': {'type': 'InterFreqNeighCellInfo'},
                                                                'size': [(1,
                                                                          'maxCellInter')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'InterFreqRSTDMeasurementIndication-r10': {'members': [{'members': [{'members': [{'name': 'interFreqRSTDMeasurementIndication-r10',
                                                                                                                       'type': 'InterFreqRSTDMeasurementIndication-r10-IEs'},
                                                                                                                      {'name': 'spare3',
                                                                                                                       'type': 'NULL'},
                                                                                                                      {'name': 'spare2',
                                                                                                                       'type': 'NULL'},
                                                                                                                      {'name': 'spare1',
                                                                                                                       'type': 'NULL'}],
                                                                                                          'name': 'c1',
                                                                                                          'type': 'CHOICE'},
                                                                                                         {'members': [],
                                                                                                          'name': 'criticalExtensionsFuture',
                                                                                                          'type': 'SEQUENCE'}],
                                                                                             'name': 'criticalExtensions',
                                                                                             'type': 'CHOICE'}],
                                                                                'type': 'SEQUENCE'},
                                     'InterFreqRSTDMeasurementIndication-r10-IEs': {'members': [{'members': [{'members': [{'name': 'rstd-InterFreqInfoList-r10',
                                                                                                                           'type': 'RSTD-InterFreqInfoList-r10'}],
                                                                                                              'name': 'start',
                                                                                                              'type': 'SEQUENCE'},
                                                                                                             {'name': 'stop',
                                                                                                              'type': 'NULL'}],
                                                                                                 'name': 'rstd-InterFreqIndication-r10',
                                                                                                 'type': 'CHOICE'},
                                                                                                {'name': 'lateNonCriticalExtension',
                                                                                                 'optional': True,
                                                                                                 'type': 'OCTET '
                                                                                                         'STRING'},
                                                                                                {'members': [],
                                                                                                 'name': 'nonCriticalExtension',
                                                                                                 'optional': True,
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'type': 'SEQUENCE'},
                                     'InterRAT-BandInfo': {'members': [{'name': 'interRAT-NeedForGaps',
                                                                        'type': 'BOOLEAN'}],
                                                           'type': 'SEQUENCE'},
                                     'InterRAT-BandList': {'element': {'type': 'InterRAT-BandInfo'},
                                                           'size': [(1,
                                                                     'maxBands')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'IntraBandContiguousCC-Info-r12': {'members': [{'name': 'fourLayerTM3-TM4-perCC-r12',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'supported'}},
                                                                                    {'name': 'supportedMIMO-CapabilityDL-r12',
                                                                                     'optional': True,
                                                                                     'type': 'MIMO-CapabilityDL-r10'},
                                                                                    {'name': 'supportedCSI-Proc-r12',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'n1',
                                                                                                1: 'n3',
                                                                                                2: 'n4'}}],
                                                                        'type': 'SEQUENCE'},
                                     'IntraFreqBlackCellList': {'element': {'type': 'PhysCellIdRange'},
                                                                'size': [(1,
                                                                          'maxCellBlack')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'IntraFreqNeighCellInfo': {'members': [{'name': 'physCellId',
                                                                             'type': 'PhysCellId'},
                                                                            {'name': 'q-OffsetCell',
                                                                             'type': 'Q-OffsetRange'},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'IntraFreqNeighCellList': {'element': {'type': 'IntraFreqNeighCellInfo'},
                                                                'size': [(1,
                                                                          'maxCellIntra')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'LAA-Parameters-r13': {'members': [{'name': 'crossCarrierSchedulingLAA-DL-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'csi-RS-DRS-RRM-MeasurementsLAA-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'downlinkLAA-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'endingDwPTS-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'secondSlotStartingPosition-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'tm9-LAA-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'tm10-LAA-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}}],
                                                            'type': 'SEQUENCE'},
                                     'LAA-Parameters-v1430': {'members': [{'name': 'crossCarrierSchedulingLAA-UL-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'uplinkLAA-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'twoStepSchedulingTimingInfo-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'nPlus1',
                                                                                      1: 'nPlus2',
                                                                                      2: 'nPlus3'}},
                                                                          {'name': 'uss-BlindDecodingAdjustment-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'uss-BlindDecodingReduction-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'outOfSequenceGrantHandling-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'LAA-SCellConfiguration-r13': {'members': [{'name': 'subframeStartPosition-r13',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 's0',
                                                                                            1: 's07'}},
                                                                                {'name': 'laa-SCellSubframeConfig-r13',
                                                                                 'size': [8],
                                                                                 'type': 'BIT '
                                                                                         'STRING'}],
                                                                    'type': 'SEQUENCE'},
                                     'LAA-SCellConfiguration-v1430': {'members': [{'members': [{'name': 'release',
                                                                                                'type': 'NULL'},
                                                                                               {'members': [{'name': 'crossCarrierSchedulingConfigLAA-UL-r14',
                                                                                                             'type': 'CrossCarrierSchedulingConfigLAA-UL-r14'}],
                                                                                                'name': 'setup',
                                                                                                'type': 'SEQUENCE'}],
                                                                                   'name': 'crossCarrierSchedulingConfig-UL-r14',
                                                                                   'optional': True,
                                                                                   'type': 'CHOICE'},
                                                                                  {'name': 'lbt-Config-r14',
                                                                                   'optional': True,
                                                                                   'type': 'LBT-Config-r14'},
                                                                                  {'name': 'pdcch-ConfigLAA-r14',
                                                                                   'optional': True,
                                                                                   'type': 'PDCCH-ConfigLAA-r14'},
                                                                                  {'name': 'absenceOfAnyOtherTechnology-r14',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'true'}},
                                                                                  {'name': 'soundingRS-UL-ConfigDedicatedAperiodic-v1430',
                                                                                   'optional': True,
                                                                                   'type': 'SoundingRS-UL-ConfigDedicatedAperiodic-v1430'}],
                                                                      'type': 'SEQUENCE'},
                                     'LBT-Config-r14': {'members': [{'name': 'maxEnergyDetectionThreshold-r14',
                                                                     'restricted-to': [(-85,
                                                                                        -52)],
                                                                     'type': 'INTEGER'},
                                                                    {'name': 'energyDetectionThresholdOffset-r14',
                                                                     'restricted-to': [(-13,
                                                                                        20)],
                                                                     'type': 'INTEGER'}],
                                                        'type': 'CHOICE'},
                                     'LWA-Config-r13': {'members': [{'name': 'lwa-MobilityConfig-r13',
                                                                     'optional': True,
                                                                     'type': 'WLAN-MobilityConfig-r13'},
                                                                    {'name': 'lwa-WT-Counter-r13',
                                                                     'optional': True,
                                                                     'restricted-to': [(0,
                                                                                        65535)],
                                                                     'type': 'INTEGER'},
                                                                    '...',
                                                                    {'name': 'wt-MAC-Address-r14',
                                                                     'optional': True,
                                                                     'size': [6],
                                                                     'type': 'OCTET '
                                                                             'STRING'}],
                                                        'type': 'SEQUENCE'},
                                     'LWA-Configuration-r13': {'members': [{'name': 'release',
                                                                            'type': 'NULL'},
                                                                           {'members': [{'name': 'lwa-Config-r13',
                                                                                         'type': 'LWA-Config-r13'}],
                                                                            'name': 'setup',
                                                                            'type': 'SEQUENCE'}],
                                                               'type': 'CHOICE'},
                                     'LWA-Parameters-r13': {'members': [{'name': 'lwa-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'lwa-SplitBearer-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'wlan-MAC-Address-r13',
                                                                         'optional': True,
                                                                         'size': [6],
                                                                         'type': 'OCTET '
                                                                                 'STRING'},
                                                                        {'name': 'lwa-BufferSize-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}}],
                                                            'type': 'SEQUENCE'},
                                     'LWA-Parameters-v1430': {'members': [{'name': 'lwa-HO-WithoutWT-Change-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'lwa-UL-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'wlan-PeriodicMeas-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'wlan-ReportAnyWLAN-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'wlan-SupportedDataRate-r14',
                                                                           'optional': True,
                                                                           'restricted-to': [(1,
                                                                                              2048)],
                                                                           'type': 'INTEGER'}],
                                                              'type': 'SEQUENCE'},
                                     'LWA-Parameters-v1440': {'members': [{'name': 'lwa-RLC-UM-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'LWIP-Config-r13': {'members': [{'name': 'lwip-MobilityConfig-r13',
                                                                      'optional': True,
                                                                      'type': 'WLAN-MobilityConfig-r13'},
                                                                     {'name': 'tunnelConfigLWIP-r13',
                                                                      'optional': True,
                                                                      'type': 'TunnelConfigLWIP-r13'},
                                                                     '...'],
                                                         'type': 'SEQUENCE'},
                                     'LWIP-Configuration-r13': {'members': [{'name': 'release',
                                                                             'type': 'NULL'},
                                                                            {'members': [{'name': 'lwip-Config-r13',
                                                                                          'type': 'LWIP-Config-r13'}],
                                                                             'name': 'setup',
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'CHOICE'},
                                     'LWIP-Parameters-r13': {'members': [{'name': 'lwip-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'LWIP-Parameters-v1430': {'members': [{'name': 'lwip-Aggregation-DL-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}},
                                                                           {'name': 'lwip-Aggregation-UL-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}}],
                                                               'type': 'SEQUENCE'},
                                     'LocationInfo-r10': {'members': [{'members': [{'name': 'ellipsoid-Point-r10',
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'ellipsoidPointWithAltitude-r10',
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   '...',
                                                                                   {'name': 'ellipsoidPointWithUncertaintyCircle-r11',
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'ellipsoidPointWithUncertaintyEllipse-r11',
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'ellipsoidPointWithAltitudeAndUncertaintyEllipsoid-r11',
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'ellipsoidArc-r11',
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'polygon-r11',
                                                                                    'type': 'OCTET '
                                                                                            'STRING'}],
                                                                       'name': 'locationCoordinates-r10',
                                                                       'type': 'CHOICE'},
                                                                      {'name': 'horizontalVelocity-r10',
                                                                       'optional': True,
                                                                       'type': 'OCTET '
                                                                               'STRING'},
                                                                      {'name': 'gnss-TOD-msec-r10',
                                                                       'optional': True,
                                                                       'type': 'OCTET '
                                                                               'STRING'},
                                                                      '...'],
                                                          'type': 'SEQUENCE'},
                                     'LogMeasInfo-r10': {'members': [{'name': 'locationInfo-r10',
                                                                      'optional': True,
                                                                      'type': 'LocationInfo-r10'},
                                                                     {'name': 'relativeTimeStamp-r10',
                                                                      'restricted-to': [(0,
                                                                                         7200)],
                                                                      'type': 'INTEGER'},
                                                                     {'name': 'servCellIdentity-r10',
                                                                      'type': 'CellGlobalIdEUTRA'},
                                                                     {'members': [{'name': 'rsrpResult-r10',
                                                                                   'type': 'RSRP-Range'},
                                                                                  {'name': 'rsrqResult-r10',
                                                                                   'type': 'RSRQ-Range'}],
                                                                      'name': 'measResultServCell-r10',
                                                                      'type': 'SEQUENCE'},
                                                                     {'members': [{'name': 'measResultListEUTRA-r10',
                                                                                   'optional': True,
                                                                                   'type': 'MeasResultList2EUTRA-r9'},
                                                                                  {'name': 'measResultListUTRA-r10',
                                                                                   'optional': True,
                                                                                   'type': 'MeasResultList2UTRA-r9'},
                                                                                  {'name': 'measResultListGERAN-r10',
                                                                                   'optional': True,
                                                                                   'type': 'MeasResultList2GERAN-r10'},
                                                                                  {'name': 'measResultListCDMA2000-r10',
                                                                                   'optional': True,
                                                                                   'type': 'MeasResultList2CDMA2000-r9'}],
                                                                      'name': 'measResultNeighCells-r10',
                                                                      'optional': True,
                                                                      'type': 'SEQUENCE'},
                                                                     '...',
                                                                     {'name': 'measResultListEUTRA-v1090',
                                                                      'optional': True,
                                                                      'type': 'MeasResultList2EUTRA-v9e0'},
                                                                     {'name': 'measResultListMBSFN-r12',
                                                                      'optional': True,
                                                                      'type': 'MeasResultListMBSFN-r12'},
                                                                     {'name': 'measResultServCell-v1250',
                                                                      'optional': True,
                                                                      'type': 'RSRQ-Range-v1250'},
                                                                     {'name': 'servCellRSRQ-Type-r12',
                                                                      'optional': True,
                                                                      'type': 'RSRQ-Type-r12'},
                                                                     {'name': 'measResultListEUTRA-v1250',
                                                                      'optional': True,
                                                                      'type': 'MeasResultList2EUTRA-v1250'},
                                                                     {'name': 'inDeviceCoexDetected-r13',
                                                                      'optional': True,
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'true'}},
                                                                     {'name': 'measResultServCell-v1360',
                                                                      'optional': True,
                                                                      'type': 'RSRP-Range-v1360'}],
                                                         'type': 'SEQUENCE'},
                                     'LogMeasInfoList-r10': {'element': {'type': 'LogMeasInfo-r10'},
                                                             'size': [(1,
                                                                       'maxLogMeasReport-r10')],
                                                             'type': 'SEQUENCE '
                                                                     'OF'},
                                     'LogMeasReport-r10': {'members': [{'name': 'absoluteTimeStamp-r10',
                                                                        'type': 'AbsoluteTimeInfo-r10'},
                                                                       {'name': 'traceReference-r10',
                                                                        'type': 'TraceReference-r10'},
                                                                       {'name': 'traceRecordingSessionRef-r10',
                                                                        'size': [2],
                                                                        'type': 'OCTET '
                                                                                'STRING'},
                                                                       {'name': 'tce-Id-r10',
                                                                        'size': [1],
                                                                        'type': 'OCTET '
                                                                                'STRING'},
                                                                       {'name': 'logMeasInfoList-r10',
                                                                        'type': 'LogMeasInfoList-r10'},
                                                                       {'name': 'logMeasAvailable-r10',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'true'}},
                                                                       '...'],
                                                           'type': 'SEQUENCE'},
                                     'LoggedMeasurementConfiguration-r10': {'members': [{'members': [{'members': [{'name': 'loggedMeasurementConfiguration-r10',
                                                                                                                   'type': 'LoggedMeasurementConfiguration-r10-IEs'},
                                                                                                                  {'name': 'spare3',
                                                                                                                   'type': 'NULL'},
                                                                                                                  {'name': 'spare2',
                                                                                                                   'type': 'NULL'},
                                                                                                                  {'name': 'spare1',
                                                                                                                   'type': 'NULL'}],
                                                                                                      'name': 'c1',
                                                                                                      'type': 'CHOICE'},
                                                                                                     {'members': [],
                                                                                                      'name': 'criticalExtensionsFuture',
                                                                                                      'type': 'SEQUENCE'}],
                                                                                         'name': 'criticalExtensions',
                                                                                         'type': 'CHOICE'}],
                                                                            'type': 'SEQUENCE'},
                                     'LoggedMeasurementConfiguration-r10-IEs': {'members': [{'name': 'traceReference-r10',
                                                                                             'type': 'TraceReference-r10'},
                                                                                            {'name': 'traceRecordingSessionRef-r10',
                                                                                             'size': [2],
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'name': 'tce-Id-r10',
                                                                                             'size': [1],
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'name': 'absoluteTimeInfo-r10',
                                                                                             'type': 'AbsoluteTimeInfo-r10'},
                                                                                            {'name': 'areaConfiguration-r10',
                                                                                             'optional': True,
                                                                                             'type': 'AreaConfiguration-r10'},
                                                                                            {'name': 'loggingDuration-r10',
                                                                                             'type': 'LoggingDuration-r10'},
                                                                                            {'name': 'loggingInterval-r10',
                                                                                             'type': 'LoggingInterval-r10'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'LoggedMeasurementConfiguration-v1080-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'LoggedMeasurementConfiguration-v1080-IEs': {'members': [{'name': 'lateNonCriticalExtension-r10',
                                                                                               'optional': True,
                                                                                               'type': 'OCTET '
                                                                                                       'STRING'},
                                                                                              {'name': 'nonCriticalExtension',
                                                                                               'optional': True,
                                                                                               'type': 'LoggedMeasurementConfiguration-v1130-IEs'}],
                                                                                  'type': 'SEQUENCE'},
                                     'LoggedMeasurementConfiguration-v1130-IEs': {'members': [{'name': 'plmn-IdentityList-r11',
                                                                                               'optional': True,
                                                                                               'type': 'PLMN-IdentityList3-r11'},
                                                                                              {'name': 'areaConfiguration-v1130',
                                                                                               'optional': True,
                                                                                               'type': 'AreaConfiguration-v1130'},
                                                                                              {'name': 'nonCriticalExtension',
                                                                                               'optional': True,
                                                                                               'type': 'LoggedMeasurementConfiguration-v1250-IEs'}],
                                                                                  'type': 'SEQUENCE'},
                                     'LoggedMeasurementConfiguration-v1250-IEs': {'members': [{'name': 'targetMBSFN-AreaList-r12',
                                                                                               'optional': True,
                                                                                               'type': 'TargetMBSFN-AreaList-r12'},
                                                                                              {'members': [],
                                                                                               'name': 'nonCriticalExtension',
                                                                                               'optional': True,
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'type': 'SEQUENCE'},
                                     'LoggingDuration-r10': {'type': 'ENUMERATED',
                                                             'values': {0: 'min10',
                                                                        1: 'min20',
                                                                        2: 'min40',
                                                                        3: 'min60',
                                                                        4: 'min90',
                                                                        5: 'min120',
                                                                        6: 'spare2',
                                                                        7: 'spare1'}},
                                     'LoggingInterval-r10': {'type': 'ENUMERATED',
                                                             'values': {0: 'ms1280',
                                                                        1: 'ms2560',
                                                                        2: 'ms5120',
                                                                        3: 'ms10240',
                                                                        4: 'ms20480',
                                                                        5: 'ms30720',
                                                                        6: 'ms40960',
                                                                        7: 'ms61440'}},
                                     'LogicalChGroupInfoList-r13': {'element': {'type': 'SL-PriorityList-r13'},
                                                                    'size': [(1,
                                                                              'maxLCG-r13')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'LogicalChannelConfig': {'members': [{'members': [{'name': 'priority',
                                                                                        'restricted-to': [(1,
                                                                                                           16)],
                                                                                        'type': 'INTEGER'},
                                                                                       {'name': 'prioritisedBitRate',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'kBps0',
                                                                                                   1: 'kBps8',
                                                                                                   2: 'kBps16',
                                                                                                   3: 'kBps32',
                                                                                                   4: 'kBps64',
                                                                                                   5: 'kBps128',
                                                                                                   6: 'kBps256',
                                                                                                   7: 'infinity',
                                                                                                   8: 'kBps512-v1020',
                                                                                                   9: 'kBps1024-v1020',
                                                                                                   10: 'kBps2048-v1020',
                                                                                                   11: 'spare5',
                                                                                                   12: 'spare4',
                                                                                                   13: 'spare3',
                                                                                                   14: 'spare2',
                                                                                                   15: 'spare1'}},
                                                                                       {'name': 'bucketSizeDuration',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'ms50',
                                                                                                   1: 'ms100',
                                                                                                   2: 'ms150',
                                                                                                   3: 'ms300',
                                                                                                   4: 'ms500',
                                                                                                   5: 'ms1000',
                                                                                                   6: 'spare2',
                                                                                                   7: 'spare1'}},
                                                                                       {'name': 'logicalChannelGroup',
                                                                                        'optional': True,
                                                                                        'restricted-to': [(0,
                                                                                                           3)],
                                                                                        'type': 'INTEGER'}],
                                                                           'name': 'ul-SpecificParameters',
                                                                           'optional': True,
                                                                           'type': 'SEQUENCE'},
                                                                          '...',
                                                                          {'name': 'logicalChannelSR-Mask-r9',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'setup'}},
                                                                          {'name': 'logicalChannelSR-Prohibit-r12',
                                                                           'optional': True,
                                                                           'type': 'BOOLEAN'},
                                                                          {'name': 'laa-UL-Allowed-r14',
                                                                           'optional': True,
                                                                           'type': 'BOOLEAN'},
                                                                          {'name': 'bitRateQueryProhibitTimer-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 's0',
                                                                                      1: 's0dot4',
                                                                                      2: 's0dot8',
                                                                                      3: 's1dot6',
                                                                                      4: 's3',
                                                                                      5: 's6',
                                                                                      6: 's12',
                                                                                      7: 's30'}}],
                                                              'type': 'SEQUENCE'},
                                     'MAC-MainConfig': {'members': [{'members': [{'name': 'maxHARQ-Tx',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'n1',
                                                                                             1: 'n2',
                                                                                             2: 'n3',
                                                                                             3: 'n4',
                                                                                             4: 'n5',
                                                                                             5: 'n6',
                                                                                             6: 'n7',
                                                                                             7: 'n8',
                                                                                             8: 'n10',
                                                                                             9: 'n12',
                                                                                             10: 'n16',
                                                                                             11: 'n20',
                                                                                             12: 'n24',
                                                                                             13: 'n28',
                                                                                             14: 'spare2',
                                                                                             15: 'spare1'}},
                                                                                 {'name': 'periodicBSR-Timer',
                                                                                  'optional': True,
                                                                                  'type': 'PeriodicBSR-Timer-r12'},
                                                                                 {'name': 'retxBSR-Timer',
                                                                                  'type': 'RetxBSR-Timer-r12'},
                                                                                 {'name': 'ttiBundling',
                                                                                  'type': 'BOOLEAN'}],
                                                                     'name': 'ul-SCH-Config',
                                                                     'optional': True,
                                                                     'type': 'SEQUENCE'},
                                                                    {'name': 'drx-Config',
                                                                     'optional': True,
                                                                     'type': 'DRX-Config'},
                                                                    {'name': 'timeAlignmentTimerDedicated',
                                                                     'type': 'TimeAlignmentTimer'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'periodicPHR-Timer',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'sf10',
                                                                                                          1: 'sf20',
                                                                                                          2: 'sf50',
                                                                                                          3: 'sf100',
                                                                                                          4: 'sf200',
                                                                                                          5: 'sf500',
                                                                                                          6: 'sf1000',
                                                                                                          7: 'infinity'}},
                                                                                              {'name': 'prohibitPHR-Timer',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'sf0',
                                                                                                          1: 'sf10',
                                                                                                          2: 'sf20',
                                                                                                          3: 'sf50',
                                                                                                          4: 'sf100',
                                                                                                          5: 'sf200',
                                                                                                          6: 'sf500',
                                                                                                          7: 'sf1000'}},
                                                                                              {'name': 'dl-PathlossChange',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'dB1',
                                                                                                          1: 'dB3',
                                                                                                          2: 'dB6',
                                                                                                          3: 'infinity'}}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'name': 'phr-Config',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    '...',
                                                                    {'name': 'sr-ProhibitTimer-r9',
                                                                     'optional': True,
                                                                     'restricted-to': [(0,
                                                                                        7)],
                                                                     'type': 'INTEGER'},
                                                                    {'members': [{'name': 'sCellDeactivationTimer-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'rf2',
                                                                                             1: 'rf4',
                                                                                             2: 'rf8',
                                                                                             3: 'rf16',
                                                                                             4: 'rf32',
                                                                                             5: 'rf64',
                                                                                             6: 'rf128',
                                                                                             7: 'spare'}},
                                                                                 {'name': 'extendedBSR-Sizes-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'setup'}},
                                                                                 {'name': 'extendedPHR-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'setup'}}],
                                                                     'name': 'mac-MainConfig-v1020',
                                                                     'optional': True,
                                                                     'type': 'SEQUENCE'},
                                                                    {'name': 'stag-ToReleaseList-r11',
                                                                     'optional': True,
                                                                     'type': 'STAG-ToReleaseList-r11'},
                                                                    {'name': 'stag-ToAddModList-r11',
                                                                     'optional': True,
                                                                     'type': 'STAG-ToAddModList-r11'},
                                                                    {'name': 'drx-Config-v1130',
                                                                     'optional': True,
                                                                     'type': 'DRX-Config-v1130'},
                                                                    {'name': 'e-HARQ-Pattern-r12',
                                                                     'optional': True,
                                                                     'type': 'BOOLEAN'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'phr-ModeOtherCG-r12',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'real',
                                                                                                          1: 'virtual'}}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'name': 'dualConnectivityPHR',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'logicalChannelSR-ProhibitTimer-r12',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'sf20',
                                                                                                          1: 'sf40',
                                                                                                          2: 'sf64',
                                                                                                          3: 'sf128',
                                                                                                          4: 'sf512',
                                                                                                          5: 'sf1024',
                                                                                                          6: 'sf2560',
                                                                                                          7: 'spare1'}}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'name': 'logicalChannelSR-Config-r12',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'name': 'drx-Config-v1310',
                                                                     'optional': True,
                                                                     'type': 'DRX-Config-v1310'},
                                                                    {'name': 'extendedPHR2-r13',
                                                                     'optional': True,
                                                                     'type': 'BOOLEAN'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'sf5120',
                                                                                               'restricted-to': [(0,
                                                                                                                  1)],
                                                                                               'type': 'INTEGER'},
                                                                                              {'name': 'sf10240',
                                                                                               'restricted-to': [(0,
                                                                                                                  3)],
                                                                                               'type': 'INTEGER'}],
                                                                                  'name': 'setup',
                                                                                  'type': 'CHOICE'}],
                                                                     'name': 'eDRX-Config-CycleStartOffset-r13',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'name': 'setup',
                                                                                  'type': 'DRX-Config-r13'}],
                                                                     'name': 'drx-Config-r13',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'skipUplinkTxSPS-r14',
                                                                                               'optional': True,
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'true'}},
                                                                                              {'name': 'skipUplinkTxDynamic-r14',
                                                                                               'optional': True,
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'true'}}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'name': 'skipUplinkTx-r14',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'dataInactivityTimer-r14',
                                                                                               'type': 'DataInactivityTimer-r14'}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'name': 'dataInactivityTimerConfig-r14',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'name': 'rai-Activation-r14',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'true'}}],
                                                        'type': 'SEQUENCE'},
                                     'MAC-MainConfigSCell-r11': {'members': [{'name': 'stag-Id-r11',
                                                                              'optional': True,
                                                                              'type': 'STAG-Id-r11'},
                                                                             '...'],
                                                                 'type': 'SEQUENCE'},
                                     'MAC-MainConfigSL-r12': {'members': [{'name': 'periodic-BSR-TimerSL',
                                                                           'optional': True,
                                                                           'type': 'PeriodicBSR-Timer-r12'},
                                                                          {'name': 'retx-BSR-TimerSL',
                                                                           'type': 'RetxBSR-Timer-r12'}],
                                                              'type': 'SEQUENCE'},
                                     'MAC-Parameters-r12': {'members': [{'name': 'logicalChannelSR-ProhibitTimer-r12',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}},
                                                                        {'name': 'longDRX-Command-r12',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}}],
                                                            'type': 'SEQUENCE'},
                                     'MAC-Parameters-v1310': {'members': [{'name': 'extendedMAC-LengthField-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'extendedLongDRX-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MAC-Parameters-v1430': {'members': [{'name': 'shortSPS-IntervalFDD-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'shortSPS-IntervalTDD-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'skipUplinkDynamic-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'skipUplinkSPS-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'multipleUplinkSPS-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'dataInactMon-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MAC-Parameters-v1440': {'members': [{'name': 'rai-Support-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MBMS-CarrierType-r14': {'members': [{'name': 'carrierType-r14',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'mbms',
                                                                                      1: 'fembmsMixed',
                                                                                      2: 'fembmsDedicated'}},
                                                                          {'name': 'frameOffset-r14',
                                                                           'optional': True,
                                                                           'restricted-to': [(0,
                                                                                              3)],
                                                                           'type': 'INTEGER'}],
                                                              'type': 'SEQUENCE'},
                                     'MBMS-InterFreqCarrierTypeList-r14': {'element': {'type': 'MBMS-CarrierType-r14'},
                                                                           'size': [(1,
                                                                                     'maxFreq')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'MBMS-NotificationConfig-r9': {'members': [{'name': 'notificationRepetitionCoeff-r9',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'n2',
                                                                                            1: 'n4'}},
                                                                                {'name': 'notificationOffset-r9',
                                                                                 'restricted-to': [(0,
                                                                                                    10)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'notificationSF-Index-r9',
                                                                                 'restricted-to': [(1,
                                                                                                    6)],
                                                                                 'type': 'INTEGER'}],
                                                                    'type': 'SEQUENCE'},
                                     'MBMS-NotificationConfig-v1430': {'members': [{'name': 'notificationSF-Index-v1430',
                                                                                    'restricted-to': [(7,
                                                                                                       10)],
                                                                                    'type': 'INTEGER'}],
                                                                       'type': 'SEQUENCE'},
                                     'MBMS-Parameters-r11': {'members': [{'name': 'mbms-SCell-r11',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'mbms-NonServingCell-r11',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'MBMS-Parameters-v1250': {'members': [{'name': 'mbms-AsyncDC-r12',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}}],
                                                               'type': 'SEQUENCE'},
                                     'MBMS-Parameters-v1430': {'members': [{'name': 'fembmsDedicatedCell-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}},
                                                                           {'name': 'fembmsMixedCell-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}},
                                                                           {'name': 'subcarrierSpacingMBMS-khz7dot5-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}},
                                                                           {'name': 'subcarrierSpacingMBMS-khz1dot25-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}}],
                                                               'type': 'SEQUENCE'},
                                     'MBMS-SAI-InterFreq-r11': {'members': [{'name': 'dl-CarrierFreq-r11',
                                                                             'type': 'ARFCN-ValueEUTRA-r9'},
                                                                            {'name': 'mbms-SAI-List-r11',
                                                                             'type': 'MBMS-SAI-List-r11'}],
                                                                'type': 'SEQUENCE'},
                                     'MBMS-SAI-InterFreq-v1140': {'members': [{'name': 'multiBandInfoList-r11',
                                                                               'optional': True,
                                                                               'type': 'MultiBandInfoList-r11'}],
                                                                  'type': 'SEQUENCE'},
                                     'MBMS-SAI-InterFreqList-r11': {'element': {'type': 'MBMS-SAI-InterFreq-r11'},
                                                                    'size': [(1,
                                                                              'maxFreq')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'MBMS-SAI-InterFreqList-v1140': {'element': {'type': 'MBMS-SAI-InterFreq-v1140'},
                                                                      'size': [(1,
                                                                                'maxFreq')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'MBMS-SAI-List-r11': {'element': {'type': 'MBMS-SAI-r11'},
                                                           'size': [(1,
                                                                     'maxSAI-MBMS-r11')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'MBMS-SAI-r11': {'restricted-to': [(0,
                                                                         65535)],
                                                      'type': 'INTEGER'},
                                     'MBMS-ServiceInfo-r13': {'members': [{'name': 'tmgi-r13',
                                                                           'type': 'TMGI-r9'}],
                                                              'type': 'SEQUENCE'},
                                     'MBMS-ServiceList-r13': {'element': {'type': 'MBMS-ServiceInfo-r13'},
                                                              'size': [(0,
                                                                        'maxMBMS-ServiceListPerUE-r13')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'MBMS-SessionInfo-r9': {'members': [{'name': 'tmgi-r9',
                                                                          'type': 'TMGI-r9'},
                                                                         {'name': 'sessionId-r9',
                                                                          'optional': True,
                                                                          'size': [1],
                                                                          'type': 'OCTET '
                                                                                  'STRING'},
                                                                         {'name': 'logicalChannelIdentity-r9',
                                                                          'restricted-to': [(0,
                                                                                             'maxSessionPerPMCH-1')],
                                                                          'type': 'INTEGER'},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'MBMS-SessionInfoList-r9': {'element': {'type': 'MBMS-SessionInfo-r9'},
                                                                 'size': [(0,
                                                                           'maxSessionPerPMCH')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'MBMSCountingRequest-r10': {'members': [{'name': 'countingRequestList-r10',
                                                                              'type': 'CountingRequestList-r10'},
                                                                             {'name': 'lateNonCriticalExtension',
                                                                              'optional': True,
                                                                              'type': 'OCTET '
                                                                                      'STRING'},
                                                                             {'members': [],
                                                                              'name': 'nonCriticalExtension',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'SEQUENCE'},
                                     'MBMSCountingResponse-r10': {'members': [{'members': [{'members': [{'name': 'countingResponse-r10',
                                                                                                         'type': 'MBMSCountingResponse-r10-IEs'},
                                                                                                        {'name': 'spare3',
                                                                                                         'type': 'NULL'},
                                                                                                        {'name': 'spare2',
                                                                                                         'type': 'NULL'},
                                                                                                        {'name': 'spare1',
                                                                                                         'type': 'NULL'}],
                                                                                            'name': 'c1',
                                                                                            'type': 'CHOICE'},
                                                                                           {'members': [],
                                                                                            'name': 'criticalExtensionsFuture',
                                                                                            'type': 'SEQUENCE'}],
                                                                               'name': 'criticalExtensions',
                                                                               'type': 'CHOICE'}],
                                                                  'type': 'SEQUENCE'},
                                     'MBMSCountingResponse-r10-IEs': {'members': [{'name': 'mbsfn-AreaIndex-r10',
                                                                                   'optional': True,
                                                                                   'restricted-to': [(0,
                                                                                                      'maxMBSFN-Area-1')],
                                                                                   'type': 'INTEGER'},
                                                                                  {'name': 'countingResponseList-r10',
                                                                                   'optional': True,
                                                                                   'type': 'CountingResponseList-r10'},
                                                                                  {'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'members': [],
                                                                                   'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'}],
                                                                      'type': 'SEQUENCE'},
                                     'MBMSInterestIndication-r11': {'members': [{'members': [{'members': [{'name': 'interestIndication-r11',
                                                                                                           'type': 'MBMSInterestIndication-r11-IEs'},
                                                                                                          {'name': 'spare3',
                                                                                                           'type': 'NULL'},
                                                                                                          {'name': 'spare2',
                                                                                                           'type': 'NULL'},
                                                                                                          {'name': 'spare1',
                                                                                                           'type': 'NULL'}],
                                                                                              'name': 'c1',
                                                                                              'type': 'CHOICE'},
                                                                                             {'members': [],
                                                                                              'name': 'criticalExtensionsFuture',
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'name': 'criticalExtensions',
                                                                                 'type': 'CHOICE'}],
                                                                    'type': 'SEQUENCE'},
                                     'MBMSInterestIndication-r11-IEs': {'members': [{'name': 'mbms-FreqList-r11',
                                                                                     'optional': True,
                                                                                     'type': 'CarrierFreqListMBMS-r11'},
                                                                                    {'name': 'mbms-Priority-r11',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'MBMSInterestIndication-v1310-IEs'}],
                                                                        'type': 'SEQUENCE'},
                                     'MBMSInterestIndication-v1310-IEs': {'members': [{'name': 'mbms-Services-r13',
                                                                                       'optional': True,
                                                                                       'type': 'MBMS-ServiceList-r13'},
                                                                                      {'members': [],
                                                                                       'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'SEQUENCE'},
                                     'MBMSSessionInfo-r13': {'members': [{'name': 'tmgi-r13',
                                                                          'type': 'TMGI-r9'},
                                                                         {'name': 'sessionId-r13',
                                                                          'optional': True,
                                                                          'size': [1],
                                                                          'type': 'OCTET '
                                                                                  'STRING'}],
                                                             'type': 'SEQUENCE'},
                                     'MBSFN-AreaId-r12': {'restricted-to': [(0,
                                                                             255)],
                                                          'type': 'INTEGER'},
                                     'MBSFN-AreaInfo-r9': {'members': [{'name': 'mbsfn-AreaId-r9',
                                                                        'type': 'MBSFN-AreaId-r12'},
                                                                       {'name': 'non-MBSFNregionLength',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 's1',
                                                                                   1: 's2'}},
                                                                       {'name': 'notificationIndicator-r9',
                                                                        'restricted-to': [(0,
                                                                                           7)],
                                                                        'type': 'INTEGER'},
                                                                       {'members': [{'name': 'mcch-RepetitionPeriod-r9',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'rf32',
                                                                                                1: 'rf64',
                                                                                                2: 'rf128',
                                                                                                3: 'rf256'}},
                                                                                    {'name': 'mcch-Offset-r9',
                                                                                     'restricted-to': [(0,
                                                                                                        10)],
                                                                                     'type': 'INTEGER'},
                                                                                    {'name': 'mcch-ModificationPeriod-r9',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'rf512',
                                                                                                1: 'rf1024'}},
                                                                                    {'name': 'sf-AllocInfo-r9',
                                                                                     'size': [6],
                                                                                     'type': 'BIT '
                                                                                             'STRING'},
                                                                                    {'name': 'signallingMCS-r9',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'n2',
                                                                                                1: 'n7',
                                                                                                2: 'n13',
                                                                                                3: 'n19'}}],
                                                                        'name': 'mcch-Config-r9',
                                                                        'type': 'SEQUENCE'},
                                                                       '...',
                                                                       {'members': [{'name': 'mcch-RepetitionPeriod-v1430',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'rf1',
                                                                                                1: 'rf2',
                                                                                                2: 'rf4',
                                                                                                3: 'rf8',
                                                                                                4: 'rf16'}},
                                                                                    {'name': 'mcch-ModificationPeriod-v1430',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'rf1',
                                                                                                1: 'rf2',
                                                                                                2: 'rf4',
                                                                                                3: 'rf8',
                                                                                                4: 'rf16',
                                                                                                5: 'rf32',
                                                                                                6: 'rf64',
                                                                                                7: 'rf128',
                                                                                                8: 'rf256',
                                                                                                9: 'spare7'}}],
                                                                        'name': 'mcch-Config-r14',
                                                                        'optional': True,
                                                                        'type': 'SEQUENCE'},
                                                                       {'name': 'subcarrierSpacingMBMS-r14',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'khz-7dot5',
                                                                                   1: 'khz-1dot25'}}],
                                                           'type': 'SEQUENCE'},
                                     'MBSFN-AreaInfoList-r9': {'element': {'type': 'MBSFN-AreaInfo-r9'},
                                                               'size': [(1,
                                                                         'maxMBSFN-Area')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'MBSFN-RSRQ-Range-r12': {'restricted-to': [(0,
                                                                                 31)],
                                                              'type': 'INTEGER'},
                                     'MBSFN-SubframeConfig': {'members': [{'name': 'radioframeAllocationPeriod',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'n1',
                                                                                      1: 'n2',
                                                                                      2: 'n4',
                                                                                      3: 'n8',
                                                                                      4: 'n16',
                                                                                      5: 'n32'}},
                                                                          {'name': 'radioframeAllocationOffset',
                                                                           'restricted-to': [(0,
                                                                                              7)],
                                                                           'type': 'INTEGER'},
                                                                          {'members': [{'name': 'oneFrame',
                                                                                        'size': [6],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'fourFrames',
                                                                                        'size': [24],
                                                                                        'type': 'BIT '
                                                                                                'STRING'}],
                                                                           'name': 'subframeAllocation',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'MBSFN-SubframeConfig-v1430': {'members': [{'members': [{'name': 'oneFrame-v1430',
                                                                                              'size': [2],
                                                                                              'type': 'BIT '
                                                                                                      'STRING'},
                                                                                             {'name': 'fourFrames-v1430',
                                                                                              'size': [8],
                                                                                              'type': 'BIT '
                                                                                                      'STRING'}],
                                                                                 'name': 'subframeAllocation-v1430',
                                                                                 'type': 'CHOICE'}],
                                                                    'type': 'SEQUENCE'},
                                     'MBSFN-SubframeConfigList': {'element': {'type': 'MBSFN-SubframeConfig'},
                                                                  'size': [(1,
                                                                            'maxMBSFN-Allocations')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'MBSFN-SubframeConfigList-v1430': {'element': {'type': 'MBSFN-SubframeConfig-v1430'},
                                                                        'size': [(1,
                                                                                  'maxMBSFN-Allocations')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'MBSFNAreaConfiguration-r9': {'members': [{'name': 'commonSF-Alloc-r9',
                                                                                'type': 'CommonSF-AllocPatternList-r9'},
                                                                               {'name': 'commonSF-AllocPeriod-r9',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'rf4',
                                                                                           1: 'rf8',
                                                                                           2: 'rf16',
                                                                                           3: 'rf32',
                                                                                           4: 'rf64',
                                                                                           5: 'rf128',
                                                                                           6: 'rf256'}},
                                                                               {'name': 'pmch-InfoList-r9',
                                                                                'type': 'PMCH-InfoList-r9'},
                                                                               {'name': 'nonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'MBSFNAreaConfiguration-v930-IEs'}],
                                                                   'type': 'SEQUENCE'},
                                     'MBSFNAreaConfiguration-v1250-IEs': {'members': [{'name': 'pmch-InfoListExt-r12',
                                                                                       'optional': True,
                                                                                       'type': 'PMCH-InfoListExt-r12'},
                                                                                      {'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'MBSFNAreaConfiguration-v1430-IEs'}],
                                                                          'type': 'SEQUENCE'},
                                     'MBSFNAreaConfiguration-v1430-IEs': {'members': [{'name': 'commonSF-Alloc-r14',
                                                                                       'type': 'CommonSF-AllocPatternList-r14'},
                                                                                      {'members': [],
                                                                                       'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'SEQUENCE'},
                                     'MBSFNAreaConfiguration-v930-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'MBSFNAreaConfiguration-v1250-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'MCC': {'element': {'type': 'MCC-MNC-Digit'},
                                             'size': [3],
                                             'type': 'SEQUENCE OF'},
                                     'MCC-MNC-Digit': {'restricted-to': [(0,
                                                                          9)],
                                                       'type': 'INTEGER'},
                                     'MCCH-Message': {'members': [{'name': 'message',
                                                                   'type': 'MCCH-MessageType'}],
                                                      'type': 'SEQUENCE'},
                                     'MCCH-MessageType': {'members': [{'members': [{'name': 'mbsfnAreaConfiguration-r9',
                                                                                    'type': 'MBSFNAreaConfiguration-r9'}],
                                                                       'name': 'c1',
                                                                       'type': 'CHOICE'},
                                                                      {'members': [{'members': [{'name': 'mbmsCountingRequest-r10',
                                                                                                 'type': 'MBMSCountingRequest-r10'}],
                                                                                    'name': 'c2',
                                                                                    'type': 'CHOICE'},
                                                                                   {'members': [],
                                                                                    'name': 'messageClassExtension',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'name': 'later',
                                                                       'type': 'CHOICE'}],
                                                          'type': 'CHOICE'},
                                     'MIMO-BeamformedCapabilities-r13': {'members': [{'name': 'k-Max-r13',
                                                                                      'restricted-to': [(1,
                                                                                                         8)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'n-MaxList-r13',
                                                                                      'optional': True,
                                                                                      'size': [(1,
                                                                                                7)],
                                                                                      'type': 'BIT '
                                                                                              'STRING'}],
                                                                         'type': 'SEQUENCE'},
                                     'MIMO-BeamformedCapabilityList-r13': {'element': {'type': 'MIMO-BeamformedCapabilities-r13'},
                                                                           'size': [(1,
                                                                                     'maxCSI-Proc-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'MIMO-CA-ParametersPerBoBC-r13': {'members': [{'name': 'parametersTM9-r13',
                                                                                    'optional': True,
                                                                                    'type': 'MIMO-CA-ParametersPerBoBCPerTM-r13'},
                                                                                   {'name': 'parametersTM10-r13',
                                                                                    'optional': True,
                                                                                    'type': 'MIMO-CA-ParametersPerBoBCPerTM-r13'}],
                                                                       'type': 'SEQUENCE'},
                                     'MIMO-CA-ParametersPerBoBC-v1430': {'members': [{'name': 'parametersTM9-v1430',
                                                                                      'optional': True,
                                                                                      'type': 'MIMO-CA-ParametersPerBoBCPerTM-v1430'},
                                                                                     {'name': 'parametersTM10-v1430',
                                                                                      'optional': True,
                                                                                      'type': 'MIMO-CA-ParametersPerBoBCPerTM-v1430'}],
                                                                         'type': 'SEQUENCE'},
                                     'MIMO-CA-ParametersPerBoBCPerTM-r13': {'members': [{'name': 'nonPrecoded-r13',
                                                                                         'optional': True,
                                                                                         'type': 'MIMO-NonPrecodedCapabilities-r13'},
                                                                                        {'name': 'beamformed-r13',
                                                                                         'optional': True,
                                                                                         'type': 'MIMO-BeamformedCapabilityList-r13'},
                                                                                        {'name': 'dmrs-Enhancements-r13',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'different'}}],
                                                                            'type': 'SEQUENCE'},
                                     'MIMO-CA-ParametersPerBoBCPerTM-v1430': {'members': [{'name': 'csi-ReportingNP-r14',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'different'}},
                                                                                          {'name': 'csi-ReportingAdvanced-r14',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'different'}}],
                                                                              'type': 'SEQUENCE'},
                                     'MIMO-CapabilityDL-r10': {'type': 'ENUMERATED',
                                                               'values': {0: 'twoLayers',
                                                                          1: 'fourLayers',
                                                                          2: 'eightLayers'}},
                                     'MIMO-CapabilityUL-r10': {'type': 'ENUMERATED',
                                                               'values': {0: 'twoLayers',
                                                                          1: 'fourLayers'}},
                                     'MIMO-NonPrecodedCapabilities-r13': {'members': [{'name': 'config1-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'supported'}},
                                                                                      {'name': 'config2-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'supported'}},
                                                                                      {'name': 'config3-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'supported'}},
                                                                                      {'name': 'config4-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'supported'}}],
                                                                          'type': 'SEQUENCE'},
                                     'MIMO-UE-BeamformedCapabilities-r13': {'members': [{'name': 'altCodebook-r13',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'supported'}},
                                                                                        {'name': 'mimo-BeamformedCapabilities-r13',
                                                                                         'type': 'MIMO-BeamformedCapabilityList-r13'}],
                                                                            'type': 'SEQUENCE'},
                                     'MIMO-UE-Parameters-r13': {'members': [{'name': 'parametersTM9-r13',
                                                                             'optional': True,
                                                                             'type': 'MIMO-UE-ParametersPerTM-r13'},
                                                                            {'name': 'parametersTM10-r13',
                                                                             'optional': True,
                                                                             'type': 'MIMO-UE-ParametersPerTM-r13'},
                                                                            {'name': 'srs-EnhancementsTDD-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}},
                                                                            {'name': 'srs-Enhancements-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}},
                                                                            {'name': 'interferenceMeasRestriction-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'MIMO-UE-Parameters-v1430': {'members': [{'name': 'parametersTM9-v1430',
                                                                               'optional': True,
                                                                               'type': 'MIMO-UE-ParametersPerTM-v1430'},
                                                                              {'name': 'parametersTM10-v1430',
                                                                               'optional': True,
                                                                               'type': 'MIMO-UE-ParametersPerTM-v1430'}],
                                                                  'type': 'SEQUENCE'},
                                     'MIMO-UE-ParametersPerTM-r13': {'members': [{'name': 'nonPrecoded-r13',
                                                                                  'optional': True,
                                                                                  'type': 'MIMO-NonPrecodedCapabilities-r13'},
                                                                                 {'name': 'beamformed-r13',
                                                                                  'optional': True,
                                                                                  'type': 'MIMO-UE-BeamformedCapabilities-r13'},
                                                                                 {'name': 'channelMeasRestriction-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'supported'}},
                                                                                 {'name': 'dmrs-Enhancements-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'supported'}},
                                                                                 {'name': 'csi-RS-EnhancementsTDD-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'supported'}}],
                                                                     'type': 'SEQUENCE'},
                                     'MIMO-UE-ParametersPerTM-v1430': {'members': [{'members': [{'name': 'nMaxProc-r14',
                                                                                                 'restricted-to': [(5,
                                                                                                                    32)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'nMaxResource-r14',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'ffs1',
                                                                                                            1: 'ffs2',
                                                                                                            2: 'ffs3',
                                                                                                            3: 'ffs4'}}],
                                                                                    'name': 'nzp-CSI-RS-AperiodicInfo-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'members': [{'name': 'nMaxResource-r14',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'ffs1',
                                                                                                            1: 'ffs2',
                                                                                                            2: 'ffs3',
                                                                                                            3: 'ffs4'}}],
                                                                                    'name': 'nzp-CSI-RS-PeriodicInfo-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'name': 'zp-CSI-RS-AperiodicInfo-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'ul-dmrs-Enhancements-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'densityReductionNP-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'densityReductionBF-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'hybridCSI-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'semiOL-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'csi-ReportingNP-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}},
                                                                                   {'name': 'csi-ReportingAdvanced-r14',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'supported'}}],
                                                                       'type': 'SEQUENCE'},
                                     'MMEC': {'size': [8],
                                              'type': 'BIT STRING'},
                                     'MMTEL-Parameters-r14': {'members': [{'name': 'delayBudgetReporting-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'pusch-Enhancements-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'recommendedBitRate-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'recommendedBitRateQuery-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MNC': {'element': {'type': 'MCC-MNC-Digit'},
                                             'size': [(2, 3)],
                                             'type': 'SEQUENCE OF'},
                                     'MasterInformationBlock': {'members': [{'name': 'dl-Bandwidth',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'n6',
                                                                                        1: 'n15',
                                                                                        2: 'n25',
                                                                                        3: 'n50',
                                                                                        4: 'n75',
                                                                                        5: 'n100'}},
                                                                            {'name': 'phich-Config',
                                                                             'type': 'PHICH-Config'},
                                                                            {'name': 'systemFrameNumber',
                                                                             'size': [8],
                                                                             'type': 'BIT '
                                                                                     'STRING'},
                                                                            {'name': 'schedulingInfoSIB1-BR-r13',
                                                                             'restricted-to': [(0,
                                                                                                31)],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'spare',
                                                                             'size': [5],
                                                                             'type': 'BIT '
                                                                                     'STRING'}],
                                                                'type': 'SEQUENCE'},
                                     'MasterInformationBlock-MBMS-r14': {'members': [{'name': 'dl-Bandwidth-MBMS-r14',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'n6',
                                                                                                 1: 'n15',
                                                                                                 2: 'n25',
                                                                                                 3: 'n50',
                                                                                                 4: 'n75',
                                                                                                 5: 'n100'}},
                                                                                     {'name': 'systemFrameNumber-r14',
                                                                                      'size': [6],
                                                                                      'type': 'BIT '
                                                                                              'STRING'},
                                                                                     {'name': 'additionalNonMBSFNSubframes-r14',
                                                                                      'restricted-to': [(0,
                                                                                                         3)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'spare',
                                                                                      'size': [13],
                                                                                      'type': 'BIT '
                                                                                              'STRING'}],
                                                                         'type': 'SEQUENCE'},
                                     'MeasCSI-RS-Config-r12': {'members': [{'name': 'measCSI-RS-Id-r12',
                                                                            'type': 'MeasCSI-RS-Id-r12'},
                                                                           {'name': 'physCellId-r12',
                                                                            'restricted-to': [(0,
                                                                                               503)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'scramblingIdentity-r12',
                                                                            'restricted-to': [(0,
                                                                                               503)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'resourceConfig-r12',
                                                                            'restricted-to': [(0,
                                                                                               31)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'subframeOffset-r12',
                                                                            'restricted-to': [(0,
                                                                                               4)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'csi-RS-IndividualOffset-r12',
                                                                            'type': 'Q-OffsetRange'},
                                                                           '...'],
                                                               'type': 'SEQUENCE'},
                                     'MeasCSI-RS-Id-r12': {'restricted-to': [(1,
                                                                              'maxCSI-RS-Meas-r12')],
                                                           'type': 'INTEGER'},
                                     'MeasCSI-RS-ToAddModList-r12': {'element': {'type': 'MeasCSI-RS-Config-r12'},
                                                                     'size': [(1,
                                                                               'maxCSI-RS-Meas-r12')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'MeasCSI-RS-ToRemoveList-r12': {'element': {'type': 'MeasCSI-RS-Id-r12'},
                                                                     'size': [(1,
                                                                               'maxCSI-RS-Meas-r12')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'MeasConfig': {'members': [{'name': 'measObjectToRemoveList',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToRemoveList'},
                                                                {'name': 'measObjectToAddModList',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToAddModList'},
                                                                {'name': 'reportConfigToRemoveList',
                                                                 'optional': True,
                                                                 'type': 'ReportConfigToRemoveList'},
                                                                {'name': 'reportConfigToAddModList',
                                                                 'optional': True,
                                                                 'type': 'ReportConfigToAddModList'},
                                                                {'name': 'measIdToRemoveList',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToRemoveList'},
                                                                {'name': 'measIdToAddModList',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModList'},
                                                                {'name': 'quantityConfig',
                                                                 'optional': True,
                                                                 'type': 'QuantityConfig'},
                                                                {'name': 'measGapConfig',
                                                                 'optional': True,
                                                                 'type': 'MeasGapConfig'},
                                                                {'name': 's-Measure',
                                                                 'optional': True,
                                                                 'type': 'RSRP-Range'},
                                                                {'name': 'preRegistrationInfoHRPD',
                                                                 'optional': True,
                                                                 'type': 'PreRegistrationInfoHRPD'},
                                                                {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'members': [{'name': 'mobilityStateParameters',
                                                                                           'type': 'MobilityStateParameters'},
                                                                                          {'name': 'timeToTrigger-SF',
                                                                                           'type': 'SpeedStateScaleFactors'}],
                                                                              'name': 'setup',
                                                                              'type': 'SEQUENCE'}],
                                                                 'name': 'speedStatePars',
                                                                 'optional': True,
                                                                 'type': 'CHOICE'},
                                                                '...',
                                                                {'name': 'measObjectToAddModList-v9e0',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToAddModList-v9e0'},
                                                                {'name': 'allowInterruptions-r11',
                                                                 'optional': True,
                                                                 'type': 'BOOLEAN'},
                                                                {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'name': 'setup',
                                                                              'type': 'MeasScaleFactor-r12'}],
                                                                 'name': 'measScaleFactor-r12',
                                                                 'optional': True,
                                                                 'type': 'CHOICE'},
                                                                {'name': 'measIdToRemoveListExt-r12',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToRemoveListExt-r12'},
                                                                {'name': 'measIdToAddModListExt-r12',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModListExt-r12'},
                                                                {'name': 'measRSRQ-OnAllSymbols-r12',
                                                                 'optional': True,
                                                                 'type': 'BOOLEAN'},
                                                                {'name': 'measObjectToRemoveListExt-r13',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToRemoveListExt-r13'},
                                                                {'name': 'measObjectToAddModListExt-r13',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToAddModListExt-r13'},
                                                                {'name': 'measIdToAddModList-v1310',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModList-v1310'},
                                                                {'name': 'measIdToAddModListExt-v1310',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModListExt-v1310'},
                                                                {'name': 'measGapConfigPerCC-List-r14',
                                                                 'optional': True,
                                                                 'type': 'MeasGapConfigPerCC-List-r14'},
                                                                {'name': 'measGapSharingConfig-r14',
                                                                 'optional': True,
                                                                 'type': 'MeasGapSharingConfig-r14'}],
                                                    'type': 'SEQUENCE'},
                                     'MeasCycleSCell-r10': {'type': 'ENUMERATED',
                                                            'values': {0: 'sf160',
                                                                       1: 'sf256',
                                                                       2: 'sf320',
                                                                       3: 'sf512',
                                                                       4: 'sf640',
                                                                       5: 'sf1024',
                                                                       6: 'sf1280',
                                                                       7: 'spare1'}},
                                     'MeasDS-Config-r12': {'members': [{'name': 'release',
                                                                        'type': 'NULL'},
                                                                       {'members': [{'members': [{'name': 'ms40-r12',
                                                                                                  'restricted-to': [(0,
                                                                                                                     39)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'ms80-r12',
                                                                                                  'restricted-to': [(0,
                                                                                                                     79)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'ms160-r12',
                                                                                                  'restricted-to': [(0,
                                                                                                                     159)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 '...'],
                                                                                     'name': 'dmtc-PeriodOffset-r12',
                                                                                     'type': 'CHOICE'},
                                                                                    {'members': [{'name': 'durationFDD-r12',
                                                                                                  'restricted-to': [(1,
                                                                                                                     'maxDS-Duration-r12')],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'durationTDD-r12',
                                                                                                  'restricted-to': [(2,
                                                                                                                     'maxDS-Duration-r12')],
                                                                                                  'type': 'INTEGER'}],
                                                                                     'name': 'ds-OccasionDuration-r12',
                                                                                     'type': 'CHOICE'},
                                                                                    {'name': 'measCSI-RS-ToRemoveList-r12',
                                                                                     'optional': True,
                                                                                     'type': 'MeasCSI-RS-ToRemoveList-r12'},
                                                                                    {'name': 'measCSI-RS-ToAddModList-r12',
                                                                                     'optional': True,
                                                                                     'type': 'MeasCSI-RS-ToAddModList-r12'},
                                                                                    '...'],
                                                                        'name': 'setup',
                                                                        'type': 'SEQUENCE'}],
                                                           'type': 'CHOICE'},
                                     'MeasGapConfig': {'members': [{'name': 'release',
                                                                    'type': 'NULL'},
                                                                   {'members': [{'members': [{'name': 'gp0',
                                                                                              'restricted-to': [(0,
                                                                                                                 39)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp1',
                                                                                              'restricted-to': [(0,
                                                                                                                 79)],
                                                                                              'type': 'INTEGER'},
                                                                                             '...',
                                                                                             {'name': 'gp2-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 39)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp3-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 79)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-ncsg0-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 39)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-ncsg1-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 79)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-ncsg2-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 39)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-ncsg3-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 79)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-nonUniform1-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 1279)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-nonUniform2-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 2559)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-nonUniform3-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 5119)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'gp-nonUniform4-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 10239)],
                                                                                              'type': 'INTEGER'}],
                                                                                 'name': 'gapOffset',
                                                                                 'type': 'CHOICE'}],
                                                                    'name': 'setup',
                                                                    'type': 'SEQUENCE'}],
                                                       'type': 'CHOICE'},
                                     'MeasGapConfigPerCC-List-r14': {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'measGapConfigToRemoveList-r14',
                                                                                               'optional': True,
                                                                                               'type': 'MeasGapConfigToRemoveList-r14'},
                                                                                              {'name': 'measGapConfigToAddModList-r14',
                                                                                               'optional': True,
                                                                                               'type': 'MeasGapConfigToAddModList-r14'}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'type': 'CHOICE'},
                                     'MeasGapConfigPerCC-r14': {'members': [{'name': 'servCellId-r14',
                                                                             'type': 'ServCellIndex-r13'},
                                                                            {'name': 'measGapConfigCC-r14',
                                                                             'type': 'MeasGapConfig'}],
                                                                'type': 'SEQUENCE'},
                                     'MeasGapConfigToAddModList-r14': {'element': {'type': 'MeasGapConfigPerCC-r14'},
                                                                       'size': [(1,
                                                                                 'maxServCell-r13')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'MeasGapConfigToRemoveList-r14': {'element': {'type': 'ServCellIndex-r13'},
                                                                       'size': [(1,
                                                                                 'maxServCell-r13')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'MeasGapSharingConfig-r14': {'members': [{'name': 'release',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'name': 'measGapSharingScheme-r14',
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'scheme00',
                                                                                                       1: 'scheme01',
                                                                                                       2: 'scheme10',
                                                                                                       3: 'scheme11'}}],
                                                                               'name': 'setup',
                                                                               'type': 'SEQUENCE'}],
                                                                  'type': 'CHOICE'},
                                     'MeasId': {'restricted-to': [(1,
                                                                   'maxMeasId')],
                                                'type': 'INTEGER'},
                                     'MeasId-v1250': {'restricted-to': [('maxMeasId-Plus1',
                                                                         'maxMeasId-r12')],
                                                      'type': 'INTEGER'},
                                     'MeasIdToAddMod': {'members': [{'name': 'measId',
                                                                     'type': 'MeasId'},
                                                                    {'name': 'measObjectId',
                                                                     'type': 'MeasObjectId'},
                                                                    {'name': 'reportConfigId',
                                                                     'type': 'ReportConfigId'}],
                                                        'type': 'SEQUENCE'},
                                     'MeasIdToAddMod-v1310': {'members': [{'name': 'measObjectId-v1310',
                                                                           'optional': True,
                                                                           'type': 'MeasObjectId-v1310'}],
                                                              'type': 'SEQUENCE'},
                                     'MeasIdToAddModExt-r12': {'members': [{'name': 'measId-v1250',
                                                                            'type': 'MeasId-v1250'},
                                                                           {'name': 'measObjectId-r12',
                                                                            'type': 'MeasObjectId'},
                                                                           {'name': 'reportConfigId-r12',
                                                                            'type': 'ReportConfigId'}],
                                                               'type': 'SEQUENCE'},
                                     'MeasIdToAddModList': {'element': {'type': 'MeasIdToAddMod'},
                                                            'size': [(1,
                                                                      'maxMeasId')],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                     'MeasIdToAddModList-v1310': {'element': {'type': 'MeasIdToAddMod-v1310'},
                                                                  'size': [(1,
                                                                            'maxMeasId')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'MeasIdToAddModListExt-r12': {'element': {'type': 'MeasIdToAddModExt-r12'},
                                                                   'size': [(1,
                                                                             'maxMeasId')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'MeasIdToAddModListExt-v1310': {'element': {'type': 'MeasIdToAddMod-v1310'},
                                                                     'size': [(1,
                                                                               'maxMeasId')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'MeasIdToRemoveList': {'element': {'type': 'MeasId'},
                                                            'size': [(1,
                                                                      'maxMeasId')],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                     'MeasIdToRemoveListExt-r12': {'element': {'type': 'MeasId-v1250'},
                                                                   'size': [(1,
                                                                             'maxMeasId')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'MeasObjectCDMA2000': {'members': [{'name': 'cdma2000-Type',
                                                                         'type': 'CDMA2000-Type'},
                                                                        {'name': 'carrierFreq',
                                                                         'type': 'CarrierFreqCDMA2000'},
                                                                        {'name': 'searchWindowSize',
                                                                         'optional': True,
                                                                         'restricted-to': [(0,
                                                                                            15)],
                                                                         'type': 'INTEGER'},
                                                                        {'default': 0,
                                                                         'name': 'offsetFreq',
                                                                         'type': 'Q-OffsetRangeInterRAT'},
                                                                        {'name': 'cellsToRemoveList',
                                                                         'optional': True,
                                                                         'type': 'CellIndexList'},
                                                                        {'name': 'cellsToAddModList',
                                                                         'optional': True,
                                                                         'type': 'CellsToAddModListCDMA2000'},
                                                                        {'name': 'cellForWhichToReportCGI',
                                                                         'optional': True,
                                                                         'type': 'PhysCellIdCDMA2000'},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                     'MeasObjectEUTRA': {'members': [{'name': 'carrierFreq',
                                                                      'type': 'ARFCN-ValueEUTRA'},
                                                                     {'name': 'allowedMeasBandwidth',
                                                                      'type': 'AllowedMeasBandwidth'},
                                                                     {'name': 'presenceAntennaPort1',
                                                                      'type': 'PresenceAntennaPort1'},
                                                                     {'name': 'neighCellConfig',
                                                                      'type': 'NeighCellConfig'},
                                                                     {'default': 'dB0',
                                                                      'name': 'offsetFreq',
                                                                      'type': 'Q-OffsetRange'},
                                                                     {'name': 'cellsToRemoveList',
                                                                      'optional': True,
                                                                      'type': 'CellIndexList'},
                                                                     {'name': 'cellsToAddModList',
                                                                      'optional': True,
                                                                      'type': 'CellsToAddModList'},
                                                                     {'name': 'blackCellsToRemoveList',
                                                                      'optional': True,
                                                                      'type': 'CellIndexList'},
                                                                     {'name': 'blackCellsToAddModList',
                                                                      'optional': True,
                                                                      'type': 'BlackCellsToAddModList'},
                                                                     {'name': 'cellForWhichToReportCGI',
                                                                      'optional': True,
                                                                      'type': 'PhysCellId'},
                                                                     '...',
                                                                     {'name': 'measCycleSCell-r10',
                                                                      'optional': True,
                                                                      'type': 'MeasCycleSCell-r10'},
                                                                     {'name': 'measSubframePatternConfigNeigh-r10',
                                                                      'optional': True,
                                                                      'type': 'MeasSubframePatternConfigNeigh-r10'},
                                                                     {'name': 'widebandRSRQ-Meas-r11',
                                                                      'optional': True,
                                                                      'type': 'BOOLEAN'},
                                                                     {'name': 'altTTT-CellsToRemoveList-r12',
                                                                      'optional': True,
                                                                      'type': 'CellIndexList'},
                                                                     {'name': 'altTTT-CellsToAddModList-r12',
                                                                      'optional': True,
                                                                      'type': 'AltTTT-CellsToAddModList-r12'},
                                                                     {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'name': 'setup',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'ms0',
                                                                                              1: 'ms50',
                                                                                              2: 'ms100',
                                                                                              3: 'ms200',
                                                                                              4: 'ms300',
                                                                                              5: 'ms400',
                                                                                              6: 'ms500',
                                                                                              7: 'ms1000'}}],
                                                                      'name': 't312-r12',
                                                                      'optional': True,
                                                                      'type': 'CHOICE'},
                                                                     {'name': 'reducedMeasPerformance-r12',
                                                                      'optional': True,
                                                                      'type': 'BOOLEAN'},
                                                                     {'name': 'measDS-Config-r12',
                                                                      'optional': True,
                                                                      'type': 'MeasDS-Config-r12'},
                                                                     {'name': 'whiteCellsToRemoveList-r13',
                                                                      'optional': True,
                                                                      'type': 'CellIndexList'},
                                                                     {'name': 'whiteCellsToAddModList-r13',
                                                                      'optional': True,
                                                                      'type': 'WhiteCellsToAddModList-r13'},
                                                                     {'name': 'rmtc-Config-r13',
                                                                      'optional': True,
                                                                      'type': 'RMTC-Config-r13'},
                                                                     {'name': 'carrierFreq-r13',
                                                                      'optional': True,
                                                                      'type': 'ARFCN-ValueEUTRA-v9e0'},
                                                                     {'name': 'tx-ResourcePoolToRemoveList-r14',
                                                                      'optional': True,
                                                                      'type': 'Tx-ResourcePoolMeasList-r14'},
                                                                     {'name': 'tx-ResourcePoolToAddList-r14',
                                                                      'optional': True,
                                                                      'type': 'Tx-ResourcePoolMeasList-r14'},
                                                                     {'name': 'fembms-MixedCarrier-r14',
                                                                      'optional': True,
                                                                      'type': 'BOOLEAN'}],
                                                         'type': 'SEQUENCE'},
                                     'MeasObjectEUTRA-v9e0': {'members': [{'name': 'carrierFreq-v9e0',
                                                                           'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                              'type': 'SEQUENCE'},
                                     'MeasObjectGERAN': {'members': [{'name': 'carrierFreqs',
                                                                      'type': 'CarrierFreqsGERAN'},
                                                                     {'default': 0,
                                                                      'name': 'offsetFreq',
                                                                      'type': 'Q-OffsetRangeInterRAT'},
                                                                     {'default': '0b11111111',
                                                                      'name': 'ncc-Permitted',
                                                                      'size': [8],
                                                                      'type': 'BIT '
                                                                              'STRING'},
                                                                     {'name': 'cellForWhichToReportCGI',
                                                                      'optional': True,
                                                                      'type': 'PhysCellIdGERAN'},
                                                                     '...'],
                                                         'type': 'SEQUENCE'},
                                     'MeasObjectId': {'restricted-to': [(1,
                                                                         'maxObjectId')],
                                                      'type': 'INTEGER'},
                                     'MeasObjectId-r13': {'restricted-to': [(1,
                                                                             'maxObjectId-r13')],
                                                          'type': 'INTEGER'},
                                     'MeasObjectId-v1310': {'restricted-to': [('maxObjectId-Plus1-r13',
                                                                               'maxObjectId-r13')],
                                                            'type': 'INTEGER'},
                                     'MeasObjectToAddMod': {'members': [{'name': 'measObjectId',
                                                                         'type': 'MeasObjectId'},
                                                                        {'members': [{'name': 'measObjectEUTRA',
                                                                                      'type': 'MeasObjectEUTRA'},
                                                                                     {'name': 'measObjectUTRA',
                                                                                      'type': 'MeasObjectUTRA'},
                                                                                     {'name': 'measObjectGERAN',
                                                                                      'type': 'MeasObjectGERAN'},
                                                                                     {'name': 'measObjectCDMA2000',
                                                                                      'type': 'MeasObjectCDMA2000'},
                                                                                     '...',
                                                                                     {'name': 'measObjectWLAN-r13',
                                                                                      'type': 'MeasObjectWLAN-r13'}],
                                                                         'name': 'measObject',
                                                                         'type': 'CHOICE'}],
                                                            'type': 'SEQUENCE'},
                                     'MeasObjectToAddMod-v9e0': {'members': [{'name': 'measObjectEUTRA-v9e0',
                                                                              'optional': True,
                                                                              'type': 'MeasObjectEUTRA-v9e0'}],
                                                                 'type': 'SEQUENCE'},
                                     'MeasObjectToAddModExt-r13': {'members': [{'name': 'measObjectId-r13',
                                                                                'type': 'MeasObjectId-v1310'},
                                                                               {'members': [{'name': 'measObjectEUTRA-r13',
                                                                                             'type': 'MeasObjectEUTRA'},
                                                                                            {'name': 'measObjectUTRA-r13',
                                                                                             'type': 'MeasObjectUTRA'},
                                                                                            {'name': 'measObjectGERAN-r13',
                                                                                             'type': 'MeasObjectGERAN'},
                                                                                            {'name': 'measObjectCDMA2000-r13',
                                                                                             'type': 'MeasObjectCDMA2000'},
                                                                                            '...',
                                                                                            {'name': 'measObjectWLAN-v1320',
                                                                                             'type': 'MeasObjectWLAN-r13'}],
                                                                                'name': 'measObject-r13',
                                                                                'type': 'CHOICE'}],
                                                                   'type': 'SEQUENCE'},
                                     'MeasObjectToAddModList': {'element': {'type': 'MeasObjectToAddMod'},
                                                                'size': [(1,
                                                                          'maxObjectId')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'MeasObjectToAddModList-v9e0': {'element': {'type': 'MeasObjectToAddMod-v9e0'},
                                                                     'size': [(1,
                                                                               'maxObjectId')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'MeasObjectToAddModListExt-r13': {'element': {'type': 'MeasObjectToAddModExt-r13'},
                                                                       'size': [(1,
                                                                                 'maxObjectId')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'MeasObjectToRemoveList': {'element': {'type': 'MeasObjectId'},
                                                                'size': [(1,
                                                                          'maxObjectId')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'MeasObjectToRemoveListExt-r13': {'element': {'type': 'MeasObjectId-v1310'},
                                                                       'size': [(1,
                                                                                 'maxObjectId')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'MeasObjectUTRA': {'members': [{'name': 'carrierFreq',
                                                                     'type': 'ARFCN-ValueUTRA'},
                                                                    {'default': 0,
                                                                     'name': 'offsetFreq',
                                                                     'type': 'Q-OffsetRangeInterRAT'},
                                                                    {'name': 'cellsToRemoveList',
                                                                     'optional': True,
                                                                     'type': 'CellIndexList'},
                                                                    {'members': [{'name': 'cellsToAddModListUTRA-FDD',
                                                                                  'type': 'CellsToAddModListUTRA-FDD'},
                                                                                 {'name': 'cellsToAddModListUTRA-TDD',
                                                                                  'type': 'CellsToAddModListUTRA-TDD'}],
                                                                     'name': 'cellsToAddModList',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'members': [{'name': 'utra-FDD',
                                                                                  'type': 'PhysCellIdUTRA-FDD'},
                                                                                 {'name': 'utra-TDD',
                                                                                  'type': 'PhysCellIdUTRA-TDD'}],
                                                                     'name': 'cellForWhichToReportCGI',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    '...',
                                                                    {'name': 'csg-allowedReportingCells-v930',
                                                                     'optional': True,
                                                                     'type': 'CSG-AllowedReportingCells-r9'},
                                                                    {'name': 'reducedMeasPerformance-r12',
                                                                     'optional': True,
                                                                     'type': 'BOOLEAN'}],
                                                        'type': 'SEQUENCE'},
                                     'MeasObjectWLAN-r13': {'members': [{'members': [{'element': {'type': 'WLAN-BandIndicator-r13'},
                                                                                      'name': 'bandIndicatorListWLAN-r13',
                                                                                      'size': [(1,
                                                                                                'maxWLAN-Bands-r13')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'},
                                                                                     {'element': {'type': 'WLAN-CarrierInfo-r13'},
                                                                                      'name': 'carrierInfoListWLAN-r13',
                                                                                      'size': [(1,
                                                                                                'maxWLAN-CarrierInfo-r13')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'}],
                                                                         'name': 'carrierFreq-r13',
                                                                         'optional': True,
                                                                         'type': 'CHOICE'},
                                                                        {'name': 'wlan-ToAddModList-r13',
                                                                         'optional': True,
                                                                         'type': 'WLAN-Id-List-r13'},
                                                                        {'name': 'wlan-ToRemoveList-r13',
                                                                         'optional': True,
                                                                         'type': 'WLAN-Id-List-r13'},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                     'MeasParameters': {'members': [{'name': 'bandListEUTRA',
                                                                     'type': 'BandListEUTRA'}],
                                                        'type': 'SEQUENCE'},
                                     'MeasParameters-v1020': {'members': [{'name': 'bandCombinationListEUTRA-r10',
                                                                           'type': 'BandCombinationListEUTRA-r10'}],
                                                              'type': 'SEQUENCE'},
                                     'MeasParameters-v1130': {'members': [{'name': 'rsrqMeasWideband-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MeasParameters-v11a0': {'members': [{'name': 'benefitsFromInterruption-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'true'}}],
                                                              'type': 'SEQUENCE'},
                                     'MeasParameters-v1250': {'members': [{'name': 'timerT312-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'alternativeTimeToTrigger-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'incMonEUTRA-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'incMonUTRA-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'extendedMaxMeasId-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'extendedRSRQ-LowerRange-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'rsrq-OnAllSymbols-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'crs-DiscoverySignalsMeas-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'csi-RS-DiscoverySignalsMeas-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MeasParameters-v1310': {'members': [{'name': 'rs-SINR-Meas-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'whiteCellList-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'extendedMaxObjectId-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'ul-PDCP-Delay-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'extendedFreqPriorities-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'multiBandInfoReport-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'rssi-AndChannelOccupancyReporting-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MeasParameters-v1430': {'members': [{'name': 'ceMeasurements-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'ncsg-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'shortMeasurementGap-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'perServingCellMeasurementGap-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'nonUniformGap-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'MeasRSSI-ReportConfig-r13': {'members': [{'name': 'channelOccupancyThreshold-r13',
                                                                                'optional': True,
                                                                                'type': 'RSSI-Range-r13'}],
                                                                   'type': 'SEQUENCE'},
                                     'MeasResult2CDMA2000-r9': {'members': [{'name': 'carrierFreq-r9',
                                                                             'type': 'CarrierFreqCDMA2000'},
                                                                            {'name': 'measResultList-r9',
                                                                             'type': 'MeasResultsCDMA2000'}],
                                                                'type': 'SEQUENCE'},
                                     'MeasResult2EUTRA-r9': {'members': [{'name': 'carrierFreq-r9',
                                                                          'type': 'ARFCN-ValueEUTRA'},
                                                                         {'name': 'measResultList-r9',
                                                                          'type': 'MeasResultListEUTRA'}],
                                                             'type': 'SEQUENCE'},
                                     'MeasResult2EUTRA-v1250': {'members': [{'name': 'rsrq-Type-r12',
                                                                             'optional': True,
                                                                             'type': 'RSRQ-Type-r12'}],
                                                                'type': 'SEQUENCE'},
                                     'MeasResult2EUTRA-v9e0': {'members': [{'name': 'carrierFreq-v9e0',
                                                                            'optional': True,
                                                                            'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                               'type': 'SEQUENCE'},
                                     'MeasResult2UTRA-r9': {'members': [{'name': 'carrierFreq-r9',
                                                                         'type': 'ARFCN-ValueUTRA'},
                                                                        {'name': 'measResultList-r9',
                                                                         'type': 'MeasResultListUTRA'}],
                                                            'type': 'SEQUENCE'},
                                     'MeasResultCBR-r14': {'members': [{'name': 'poolIdentity-r14',
                                                                        'type': 'SL-V2X-TxPoolReportIdentity-r14'},
                                                                       {'name': 'cbr-PSSCH-r14',
                                                                        'type': 'SL-CBR-r14'},
                                                                       {'name': 'cbr-PSCCH-r14',
                                                                        'optional': True,
                                                                        'type': 'SL-CBR-r14'}],
                                                           'type': 'SEQUENCE'},
                                     'MeasResultCDMA2000': {'members': [{'name': 'physCellId',
                                                                         'type': 'PhysCellIdCDMA2000'},
                                                                        {'name': 'cgi-Info',
                                                                         'optional': True,
                                                                         'type': 'CellGlobalIdCDMA2000'},
                                                                        {'members': [{'name': 'pilotPnPhase',
                                                                                      'optional': True,
                                                                                      'restricted-to': [(0,
                                                                                                         32767)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'pilotStrength',
                                                                                      'restricted-to': [(0,
                                                                                                         63)],
                                                                                      'type': 'INTEGER'},
                                                                                     '...'],
                                                                         'name': 'measResult',
                                                                         'type': 'SEQUENCE'}],
                                                            'type': 'SEQUENCE'},
                                     'MeasResultCSI-RS-List-r12': {'element': {'type': 'MeasResultCSI-RS-r12'},
                                                                   'size': [(1,
                                                                             'maxCellReport')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'MeasResultCSI-RS-r12': {'members': [{'name': 'measCSI-RS-Id-r12',
                                                                           'type': 'MeasCSI-RS-Id-r12'},
                                                                          {'name': 'csi-RSRP-Result-r12',
                                                                           'type': 'CSI-RSRP-Range-r12'},
                                                                          '...'],
                                                              'type': 'SEQUENCE'},
                                     'MeasResultEUTRA': {'members': [{'name': 'physCellId',
                                                                      'type': 'PhysCellId'},
                                                                     {'members': [{'name': 'cellGlobalId',
                                                                                   'type': 'CellGlobalIdEUTRA'},
                                                                                  {'name': 'trackingAreaCode',
                                                                                   'type': 'TrackingAreaCode'},
                                                                                  {'name': 'plmn-IdentityList',
                                                                                   'optional': True,
                                                                                   'type': 'PLMN-IdentityList2'}],
                                                                      'name': 'cgi-Info',
                                                                      'optional': True,
                                                                      'type': 'SEQUENCE'},
                                                                     {'members': [{'name': 'rsrpResult',
                                                                                   'optional': True,
                                                                                   'type': 'RSRP-Range'},
                                                                                  {'name': 'rsrqResult',
                                                                                   'optional': True,
                                                                                   'type': 'RSRQ-Range'},
                                                                                  '...',
                                                                                  {'name': 'additionalSI-Info-r9',
                                                                                   'optional': True,
                                                                                   'type': 'AdditionalSI-Info-r9'},
                                                                                  {'name': 'primaryPLMN-Suitable-r12',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'true'}},
                                                                                  {'name': 'measResult-v1250',
                                                                                   'optional': True,
                                                                                   'type': 'RSRQ-Range-v1250'},
                                                                                  {'name': 'rs-sinr-Result-r13',
                                                                                   'optional': True,
                                                                                   'type': 'RS-SINR-Range-r13'},
                                                                                  {'members': [{'name': 'freqBandIndicator-r13',
                                                                                                'optional': True,
                                                                                                'type': 'FreqBandIndicator-r11'},
                                                                                               {'name': 'multiBandInfoList-r13',
                                                                                                'optional': True,
                                                                                                'type': 'MultiBandInfoList-r11'},
                                                                                               {'name': 'freqBandIndicatorPriority-r13',
                                                                                                'optional': True,
                                                                                                'type': 'ENUMERATED',
                                                                                                'values': {0: 'true'}}],
                                                                                   'name': 'cgi-Info-v1310',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'},
                                                                                  {'name': 'measResult-v1360',
                                                                                   'optional': True,
                                                                                   'type': 'RSRP-Range-v1360'}],
                                                                      'name': 'measResult',
                                                                      'type': 'SEQUENCE'}],
                                                         'type': 'SEQUENCE'},
                                     'MeasResultForECID-r9': {'members': [{'name': 'ue-RxTxTimeDiffResult-r9',
                                                                           'restricted-to': [(0,
                                                                                              4095)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'currentSFN-r9',
                                                                           'size': [10],
                                                                           'type': 'BIT '
                                                                                   'STRING'}],
                                                              'type': 'SEQUENCE'},
                                     'MeasResultForRSSI-r13': {'members': [{'name': 'rssi-Result-r13',
                                                                            'type': 'RSSI-Range-r13'},
                                                                           {'name': 'channelOccupancy-r13',
                                                                            'restricted-to': [(0,
                                                                                               100)],
                                                                            'type': 'INTEGER'},
                                                                           '...'],
                                                               'type': 'SEQUENCE'},
                                     'MeasResultGERAN': {'members': [{'name': 'carrierFreq',
                                                                      'type': 'CarrierFreqGERAN'},
                                                                     {'name': 'physCellId',
                                                                      'type': 'PhysCellIdGERAN'},
                                                                     {'members': [{'name': 'cellGlobalId',
                                                                                   'type': 'CellGlobalIdGERAN'},
                                                                                  {'name': 'routingAreaCode',
                                                                                   'optional': True,
                                                                                   'size': [8],
                                                                                   'type': 'BIT '
                                                                                           'STRING'}],
                                                                      'name': 'cgi-Info',
                                                                      'optional': True,
                                                                      'type': 'SEQUENCE'},
                                                                     {'members': [{'name': 'rssi',
                                                                                   'restricted-to': [(0,
                                                                                                      63)],
                                                                                   'type': 'INTEGER'},
                                                                                  '...'],
                                                                      'name': 'measResult',
                                                                      'type': 'SEQUENCE'}],
                                                         'type': 'SEQUENCE'},
                                     'MeasResultList2CDMA2000-r9': {'element': {'type': 'MeasResult2CDMA2000-r9'},
                                                                    'size': [(1,
                                                                              'maxFreq')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'MeasResultList2EUTRA-r9': {'element': {'type': 'MeasResult2EUTRA-r9'},
                                                                 'size': [(1,
                                                                           'maxFreq')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'MeasResultList2EUTRA-v1250': {'element': {'type': 'MeasResult2EUTRA-v1250'},
                                                                    'size': [(1,
                                                                              'maxFreq')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'MeasResultList2EUTRA-v9e0': {'element': {'type': 'MeasResult2EUTRA-v9e0'},
                                                                   'size': [(1,
                                                                             'maxFreq')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'MeasResultList2GERAN-r10': {'element': {'type': 'MeasResultListGERAN'},
                                                                  'size': [(1,
                                                                            'maxCellListGERAN')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'MeasResultList2UTRA-r9': {'element': {'type': 'MeasResult2UTRA-r9'},
                                                                'size': [(1,
                                                                          'maxFreq')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'MeasResultListCBR-r14': {'element': {'type': 'MeasResultCBR-r14'},
                                                               'size': [(1,
                                                                         'maxCBR-Report-r14')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'MeasResultListCDMA2000': {'element': {'type': 'MeasResultCDMA2000'},
                                                                'size': [(1,
                                                                          'maxCellReport')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'MeasResultListEUTRA': {'element': {'type': 'MeasResultEUTRA'},
                                                             'size': [(1,
                                                                       'maxCellReport')],
                                                             'type': 'SEQUENCE '
                                                                     'OF'},
                                     'MeasResultListGERAN': {'element': {'type': 'MeasResultGERAN'},
                                                             'size': [(1,
                                                                       'maxCellReport')],
                                                             'type': 'SEQUENCE '
                                                                     'OF'},
                                     'MeasResultListMBSFN-r12': {'element': {'type': 'MeasResultMBSFN-r12'},
                                                                 'size': [(1,
                                                                           'maxMBSFN-Area')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'MeasResultListUTRA': {'element': {'type': 'MeasResultUTRA'},
                                                            'size': [(1,
                                                                      'maxCellReport')],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                     'MeasResultListWLAN-r13': {'element': {'type': 'MeasResultWLAN-r13'},
                                                                'size': [(1,
                                                                          'maxCellReport')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'MeasResultListWLAN-r14': {'element': {'type': 'MeasResultWLAN-r13'},
                                                                'size': [(1,
                                                                          'maxWLAN-Id-Report-r14')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'MeasResultMBSFN-r12': {'members': [{'members': [{'name': 'mbsfn-AreaId-r12',
                                                                                       'type': 'MBSFN-AreaId-r12'},
                                                                                      {'name': 'carrierFreq-r12',
                                                                                       'type': 'ARFCN-ValueEUTRA-r9'}],
                                                                          'name': 'mbsfn-Area-r12',
                                                                          'type': 'SEQUENCE'},
                                                                         {'name': 'rsrpResultMBSFN-r12',
                                                                          'type': 'RSRP-Range'},
                                                                         {'name': 'rsrqResultMBSFN-r12',
                                                                          'type': 'MBSFN-RSRQ-Range-r12'},
                                                                         {'name': 'signallingBLER-Result-r12',
                                                                          'optional': True,
                                                                          'type': 'BLER-Result-r12'},
                                                                         {'name': 'dataBLER-MCH-ResultList-r12',
                                                                          'optional': True,
                                                                          'type': 'DataBLER-MCH-ResultList-r12'},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'MeasResultSSTD-r13': {'members': [{'name': 'sfn-OffsetResult-r13',
                                                                         'restricted-to': [(0,
                                                                                            1023)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'frameBoundaryOffsetResult-r13',
                                                                         'restricted-to': [(-5,
                                                                                            4)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'subframeBoundaryOffsetResult-r13',
                                                                         'restricted-to': [(0,
                                                                                            127)],
                                                                         'type': 'INTEGER'}],
                                                            'type': 'SEQUENCE'},
                                     'MeasResultServFreq-r10': {'members': [{'name': 'servFreqId-r10',
                                                                             'type': 'ServCellIndex-r10'},
                                                                            {'members': [{'name': 'rsrpResultSCell-r10',
                                                                                          'type': 'RSRP-Range'},
                                                                                         {'name': 'rsrqResultSCell-r10',
                                                                                          'type': 'RSRQ-Range'}],
                                                                             'name': 'measResultSCell-r10',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'physCellId-r10',
                                                                                          'type': 'PhysCellId'},
                                                                                         {'name': 'rsrpResultNCell-r10',
                                                                                          'type': 'RSRP-Range'},
                                                                                         {'name': 'rsrqResultNCell-r10',
                                                                                          'type': 'RSRQ-Range'}],
                                                                             'name': 'measResultBestNeighCell-r10',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            '...',
                                                                            {'name': 'measResultSCell-v1250',
                                                                             'optional': True,
                                                                             'type': 'RSRQ-Range-v1250'},
                                                                            {'name': 'measResultBestNeighCell-v1250',
                                                                             'optional': True,
                                                                             'type': 'RSRQ-Range-v1250'},
                                                                            {'members': [{'name': 'rs-sinr-Result-r13',
                                                                                          'type': 'RS-SINR-Range-r13'}],
                                                                             'name': 'measResultSCell-v1310',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'rs-sinr-Result-r13',
                                                                                          'type': 'RS-SINR-Range-r13'}],
                                                                             'name': 'measResultBestNeighCell-v1310',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'SEQUENCE'},
                                     'MeasResultServFreq-r13': {'members': [{'name': 'servFreqId-r13',
                                                                             'type': 'ServCellIndex-r13'},
                                                                            {'members': [{'name': 'rsrpResultSCell-r13',
                                                                                          'type': 'RSRP-Range'},
                                                                                         {'name': 'rsrqResultSCell-r13',
                                                                                          'type': 'RSRQ-Range-r13'},
                                                                                         {'name': 'rs-sinr-Result-r13',
                                                                                          'optional': True,
                                                                                          'type': 'RS-SINR-Range-r13'}],
                                                                             'name': 'measResultSCell-r13',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'physCellId-r13',
                                                                                          'type': 'PhysCellId'},
                                                                                         {'name': 'rsrpResultNCell-r13',
                                                                                          'type': 'RSRP-Range'},
                                                                                         {'name': 'rsrqResultNCell-r13',
                                                                                          'type': 'RSRQ-Range-r13'},
                                                                                         {'name': 'rs-sinr-Result-r13',
                                                                                          'optional': True,
                                                                                          'type': 'RS-SINR-Range-r13'}],
                                                                             'name': 'measResultBestNeighCell-r13',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            '...',
                                                                            {'members': [{'name': 'rsrpResultNCell-v1360',
                                                                                          'type': 'RSRP-Range-v1360'}],
                                                                             'name': 'measResultBestNeighCell-v1360',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'SEQUENCE'},
                                     'MeasResultServFreqList-r10': {'element': {'type': 'MeasResultServFreq-r10'},
                                                                    'size': [(1,
                                                                              'maxServCell-r10')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'MeasResultServFreqListExt-r13': {'element': {'type': 'MeasResultServFreq-r13'},
                                                                       'size': [(1,
                                                                                 'maxServCell-r13')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'MeasResultUTRA': {'members': [{'members': [{'name': 'fdd',
                                                                                  'type': 'PhysCellIdUTRA-FDD'},
                                                                                 {'name': 'tdd',
                                                                                  'type': 'PhysCellIdUTRA-TDD'}],
                                                                     'name': 'physCellId',
                                                                     'type': 'CHOICE'},
                                                                    {'members': [{'name': 'cellGlobalId',
                                                                                  'type': 'CellGlobalIdUTRA'},
                                                                                 {'name': 'locationAreaCode',
                                                                                  'optional': True,
                                                                                  'size': [16],
                                                                                  'type': 'BIT '
                                                                                          'STRING'},
                                                                                 {'name': 'routingAreaCode',
                                                                                  'optional': True,
                                                                                  'size': [8],
                                                                                  'type': 'BIT '
                                                                                          'STRING'},
                                                                                 {'name': 'plmn-IdentityList',
                                                                                  'optional': True,
                                                                                  'type': 'PLMN-IdentityList2'}],
                                                                     'name': 'cgi-Info',
                                                                     'optional': True,
                                                                     'type': 'SEQUENCE'},
                                                                    {'members': [{'name': 'utra-RSCP',
                                                                                  'optional': True,
                                                                                  'restricted-to': [(-5,
                                                                                                     91)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'utra-EcN0',
                                                                                  'optional': True,
                                                                                  'restricted-to': [(0,
                                                                                                     49)],
                                                                                  'type': 'INTEGER'},
                                                                                 '...',
                                                                                 {'name': 'additionalSI-Info-r9',
                                                                                  'optional': True,
                                                                                  'type': 'AdditionalSI-Info-r9'},
                                                                                 {'name': 'primaryPLMN-Suitable-r12',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}}],
                                                                     'name': 'measResult',
                                                                     'type': 'SEQUENCE'}],
                                                        'type': 'SEQUENCE'},
                                     'MeasResultWLAN-r13': {'members': [{'name': 'wlan-Identifiers-r13',
                                                                         'type': 'WLAN-Identifiers-r12'},
                                                                        {'name': 'carrierInfoWLAN-r13',
                                                                         'optional': True,
                                                                         'type': 'WLAN-CarrierInfo-r13'},
                                                                        {'name': 'bandWLAN-r13',
                                                                         'optional': True,
                                                                         'type': 'WLAN-BandIndicator-r13'},
                                                                        {'name': 'rssiWLAN-r13',
                                                                         'type': 'WLAN-RSSI-Range-r13'},
                                                                        {'name': 'availableAdmissionCapacityWLAN-r13',
                                                                         'optional': True,
                                                                         'restricted-to': [(0,
                                                                                            31250)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'backhaulDL-BandwidthWLAN-r13',
                                                                         'optional': True,
                                                                         'type': 'WLAN-backhaulRate-r12'},
                                                                        {'name': 'backhaulUL-BandwidthWLAN-r13',
                                                                         'optional': True,
                                                                         'type': 'WLAN-backhaulRate-r12'},
                                                                        {'name': 'channelUtilizationWLAN-r13',
                                                                         'optional': True,
                                                                         'restricted-to': [(0,
                                                                                            255)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'stationCountWLAN-r13',
                                                                         'optional': True,
                                                                         'restricted-to': [(0,
                                                                                            65535)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'connectedWLAN-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'true'}},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                     'MeasResults': {'members': [{'name': 'measId',
                                                                  'type': 'MeasId'},
                                                                 {'members': [{'name': 'rsrpResult',
                                                                               'type': 'RSRP-Range'},
                                                                              {'name': 'rsrqResult',
                                                                               'type': 'RSRQ-Range'}],
                                                                  'name': 'measResultPCell',
                                                                  'type': 'SEQUENCE'},
                                                                 {'members': [{'name': 'measResultListEUTRA',
                                                                               'type': 'MeasResultListEUTRA'},
                                                                              {'name': 'measResultListUTRA',
                                                                               'type': 'MeasResultListUTRA'},
                                                                              {'name': 'measResultListGERAN',
                                                                               'type': 'MeasResultListGERAN'},
                                                                              {'name': 'measResultsCDMA2000',
                                                                               'type': 'MeasResultsCDMA2000'},
                                                                              '...'],
                                                                  'name': 'measResultNeighCells',
                                                                  'optional': True,
                                                                  'type': 'CHOICE'},
                                                                 '...',
                                                                 {'name': 'measResultForECID-r9',
                                                                  'optional': True,
                                                                  'type': 'MeasResultForECID-r9'},
                                                                 {'name': 'locationInfo-r10',
                                                                  'optional': True,
                                                                  'type': 'LocationInfo-r10'},
                                                                 {'name': 'measResultServFreqList-r10',
                                                                  'optional': True,
                                                                  'type': 'MeasResultServFreqList-r10'},
                                                                 {'name': 'measId-v1250',
                                                                  'optional': True,
                                                                  'type': 'MeasId-v1250'},
                                                                 {'name': 'measResultPCell-v1250',
                                                                  'optional': True,
                                                                  'type': 'RSRQ-Range-v1250'},
                                                                 {'name': 'measResultCSI-RS-List-r12',
                                                                  'optional': True,
                                                                  'type': 'MeasResultCSI-RS-List-r12'},
                                                                 {'name': 'measResultForRSSI-r13',
                                                                  'optional': True,
                                                                  'type': 'MeasResultForRSSI-r13'},
                                                                 {'name': 'measResultServFreqListExt-r13',
                                                                  'optional': True,
                                                                  'type': 'MeasResultServFreqListExt-r13'},
                                                                 {'name': 'measResultSSTD-r13',
                                                                  'optional': True,
                                                                  'type': 'MeasResultSSTD-r13'},
                                                                 {'members': [{'name': 'rs-sinr-Result-r13',
                                                                               'type': 'RS-SINR-Range-r13'}],
                                                                  'name': 'measResultPCell-v1310',
                                                                  'optional': True,
                                                                  'type': 'SEQUENCE'},
                                                                 {'name': 'ul-PDCP-DelayResultList-r13',
                                                                  'optional': True,
                                                                  'type': 'UL-PDCP-DelayResultList-r13'},
                                                                 {'name': 'measResultListWLAN-r13',
                                                                  'optional': True,
                                                                  'type': 'MeasResultListWLAN-r13'},
                                                                 {'name': 'measResultPCell-v1360',
                                                                  'optional': True,
                                                                  'type': 'RSRP-Range-v1360'},
                                                                 {'name': 'measResultListCBR-r14',
                                                                  'optional': True,
                                                                  'type': 'MeasResultListCBR-r14'},
                                                                 {'name': 'measResultListWLAN-r14',
                                                                  'optional': True,
                                                                  'type': 'MeasResultListWLAN-r14'}],
                                                     'type': 'SEQUENCE'},
                                     'MeasResultsCDMA2000': {'members': [{'name': 'preRegistrationStatusHRPD',
                                                                          'type': 'BOOLEAN'},
                                                                         {'name': 'measResultListCDMA2000',
                                                                          'type': 'MeasResultListCDMA2000'}],
                                                             'type': 'SEQUENCE'},
                                     'MeasScaleFactor-r12': {'type': 'ENUMERATED',
                                                             'values': {0: 'sf-EUTRA-cf1',
                                                                        1: 'sf-EUTRA-cf2'}},
                                     'MeasSubframeCellList-r10': {'element': {'type': 'PhysCellIdRange'},
                                                                  'size': [(1,
                                                                            'maxCellMeas')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'MeasSubframePattern-r10': {'members': [{'name': 'subframePatternFDD-r10',
                                                                              'size': [40],
                                                                              'type': 'BIT '
                                                                                      'STRING'},
                                                                             {'members': [{'name': 'subframeConfig1-5-r10',
                                                                                           'size': [20],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'},
                                                                                          {'name': 'subframeConfig0-r10',
                                                                                           'size': [70],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'},
                                                                                          {'name': 'subframeConfig6-r10',
                                                                                           'size': [60],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'},
                                                                                          '...'],
                                                                              'name': 'subframePatternTDD-r10',
                                                                              'type': 'CHOICE'},
                                                                             '...'],
                                                                 'type': 'CHOICE'},
                                     'MeasSubframePatternConfigNeigh-r10': {'members': [{'name': 'release',
                                                                                         'type': 'NULL'},
                                                                                        {'members': [{'name': 'measSubframePatternNeigh-r10',
                                                                                                      'type': 'MeasSubframePattern-r10'},
                                                                                                     {'name': 'measSubframeCellList-r10',
                                                                                                      'optional': True,
                                                                                                      'type': 'MeasSubframeCellList-r10'}],
                                                                                         'name': 'setup',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'type': 'CHOICE'},
                                     'MeasSubframePatternPCell-r10': {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'name': 'setup',
                                                                                   'type': 'MeasSubframePattern-r10'}],
                                                                      'type': 'CHOICE'},
                                     'MeasurementReport': {'members': [{'members': [{'members': [{'name': 'measurementReport-r8',
                                                                                                  'type': 'MeasurementReport-r8-IEs'},
                                                                                                 {'name': 'spare7',
                                                                                                  'type': 'NULL'},
                                                                                                 {'name': 'spare6',
                                                                                                  'type': 'NULL'},
                                                                                                 {'name': 'spare5',
                                                                                                  'type': 'NULL'},
                                                                                                 {'name': 'spare4',
                                                                                                  'type': 'NULL'},
                                                                                                 {'name': 'spare3',
                                                                                                  'type': 'NULL'},
                                                                                                 {'name': 'spare2',
                                                                                                  'type': 'NULL'},
                                                                                                 {'name': 'spare1',
                                                                                                  'type': 'NULL'}],
                                                                                     'name': 'c1',
                                                                                     'type': 'CHOICE'},
                                                                                    {'members': [],
                                                                                     'name': 'criticalExtensionsFuture',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'criticalExtensions',
                                                                        'type': 'CHOICE'}],
                                                           'type': 'SEQUENCE'},
                                     'MeasurementReport-r8-IEs': {'members': [{'name': 'measResults',
                                                                               'type': 'MeasResults'},
                                                                              {'name': 'nonCriticalExtension',
                                                                               'optional': True,
                                                                               'type': 'MeasurementReport-v8a0-IEs'}],
                                                                  'type': 'SEQUENCE'},
                                     'MeasurementReport-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'OCTET '
                                                                                         'STRING'},
                                                                                {'members': [],
                                                                                 'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'SEQUENCE'}],
                                                                    'type': 'SEQUENCE'},
                                     'MobilityControlInfo': {'members': [{'name': 'targetPhysCellId',
                                                                          'type': 'PhysCellId'},
                                                                         {'name': 'carrierFreq',
                                                                          'optional': True,
                                                                          'type': 'CarrierFreqEUTRA'},
                                                                         {'name': 'carrierBandwidth',
                                                                          'optional': True,
                                                                          'type': 'CarrierBandwidthEUTRA'},
                                                                         {'name': 'additionalSpectrumEmission',
                                                                          'optional': True,
                                                                          'type': 'AdditionalSpectrumEmission'},
                                                                         {'name': 't304',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'ms50',
                                                                                     1: 'ms100',
                                                                                     2: 'ms150',
                                                                                     3: 'ms200',
                                                                                     4: 'ms500',
                                                                                     5: 'ms1000',
                                                                                     6: 'ms2000',
                                                                                     7: 'ms10000-v1310'}},
                                                                         {'name': 'newUE-Identity',
                                                                          'type': 'C-RNTI'},
                                                                         {'name': 'radioResourceConfigCommon',
                                                                          'type': 'RadioResourceConfigCommon'},
                                                                         {'name': 'rach-ConfigDedicated',
                                                                          'optional': True,
                                                                          'type': 'RACH-ConfigDedicated'},
                                                                         '...',
                                                                         {'name': 'carrierFreq-v9e0',
                                                                          'optional': True,
                                                                          'type': 'CarrierFreqEUTRA-v9e0'},
                                                                         {'name': 'drb-ContinueROHC-r11',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}},
                                                                         {'name': 'mobilityControlInfoV2X-r14',
                                                                          'optional': True,
                                                                          'type': 'MobilityControlInfoV2X-r14'},
                                                                         {'name': 'handoverWithoutWT-Change-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'keepLWA-Config',
                                                                                     1: 'sendEndMarker'}},
                                                                         {'name': 'makeBeforeBreak-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}},
                                                                         {'name': 'rach-Skip-r14',
                                                                          'optional': True,
                                                                          'type': 'RACH-Skip-r14'},
                                                                         {'name': 'sameSFN-Indication-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}}],
                                                             'type': 'SEQUENCE'},
                                     'MobilityControlInfo-v10l0': {'members': [{'name': 'additionalSpectrumEmission-v10l0',
                                                                                'optional': True,
                                                                                'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                   'type': 'SEQUENCE'},
                                     'MobilityControlInfoSCG-r12': {'members': [{'name': 't307-r12',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'ms50',
                                                                                            1: 'ms100',
                                                                                            2: 'ms150',
                                                                                            3: 'ms200',
                                                                                            4: 'ms500',
                                                                                            5: 'ms1000',
                                                                                            6: 'ms2000',
                                                                                            7: 'spare1'}},
                                                                                {'name': 'ue-IdentitySCG-r12',
                                                                                 'optional': True,
                                                                                 'type': 'C-RNTI'},
                                                                                {'name': 'rach-ConfigDedicated-r12',
                                                                                 'optional': True,
                                                                                 'type': 'RACH-ConfigDedicated'},
                                                                                {'name': 'cipheringAlgorithmSCG-r12',
                                                                                 'optional': True,
                                                                                 'type': 'CipheringAlgorithm-r12'},
                                                                                '...',
                                                                                {'name': 'makeBeforeBreakSCG-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'true'}},
                                                                                {'name': 'rach-SkipSCG-r14',
                                                                                 'optional': True,
                                                                                 'type': 'RACH-Skip-r14'}],
                                                                    'type': 'SEQUENCE'},
                                     'MobilityControlInfoV2X-r14': {'members': [{'name': 'v2x-CommTxPoolExceptional-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-CommResourcePoolV2X-r14'},
                                                                                {'name': 'v2x-CommRxPool-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-CommRxPoolListV2X-r14'},
                                                                                {'name': 'v2x-CommSyncConfig-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-SyncConfigListV2X-r14'},
                                                                                {'name': 'cbr-MobilityTxConfigList-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-CBR-CommonTxConfigList-r14'}],
                                                                    'type': 'SEQUENCE'},
                                     'MobilityFromEUTRACommand': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                               'type': 'RRC-TransactionIdentifier'},
                                                                              {'members': [{'members': [{'name': 'mobilityFromEUTRACommand-r8',
                                                                                                         'type': 'MobilityFromEUTRACommand-r8-IEs'},
                                                                                                        {'name': 'mobilityFromEUTRACommand-r9',
                                                                                                         'type': 'MobilityFromEUTRACommand-r9-IEs'},
                                                                                                        {'name': 'spare2',
                                                                                                         'type': 'NULL'},
                                                                                                        {'name': 'spare1',
                                                                                                         'type': 'NULL'}],
                                                                                            'name': 'c1',
                                                                                            'type': 'CHOICE'},
                                                                                           {'members': [],
                                                                                            'name': 'criticalExtensionsFuture',
                                                                                            'type': 'SEQUENCE'}],
                                                                               'name': 'criticalExtensions',
                                                                               'type': 'CHOICE'}],
                                                                  'type': 'SEQUENCE'},
                                     'MobilityFromEUTRACommand-r8-IEs': {'members': [{'name': 'cs-FallbackIndicator',
                                                                                      'type': 'BOOLEAN'},
                                                                                     {'members': [{'name': 'handover',
                                                                                                   'type': 'Handover'},
                                                                                                  {'name': 'cellChangeOrder',
                                                                                                   'type': 'CellChangeOrder'}],
                                                                                      'name': 'purpose',
                                                                                      'type': 'CHOICE'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'MobilityFromEUTRACommand-v8a0-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'MobilityFromEUTRACommand-r9-IEs': {'members': [{'name': 'cs-FallbackIndicator',
                                                                                      'type': 'BOOLEAN'},
                                                                                     {'members': [{'name': 'handover',
                                                                                                   'type': 'Handover'},
                                                                                                  {'name': 'cellChangeOrder',
                                                                                                   'type': 'CellChangeOrder'},
                                                                                                  {'name': 'e-CSFB-r9',
                                                                                                   'type': 'E-CSFB-r9'},
                                                                                                  '...'],
                                                                                      'name': 'purpose',
                                                                                      'type': 'CHOICE'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'MobilityFromEUTRACommand-v930-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'MobilityFromEUTRACommand-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'OCTET '
                                                                                                'STRING'},
                                                                                       {'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'MobilityFromEUTRACommand-v8d0-IEs'}],
                                                                           'type': 'SEQUENCE'},
                                     'MobilityFromEUTRACommand-v8d0-IEs': {'members': [{'name': 'bandIndicator',
                                                                                        'optional': True,
                                                                                        'type': 'BandIndicatorGERAN'},
                                                                                       {'members': [],
                                                                                        'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'}],
                                                                           'type': 'SEQUENCE'},
                                     'MobilityFromEUTRACommand-v930-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'OCTET '
                                                                                                'STRING'},
                                                                                       {'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'MobilityFromEUTRACommand-v960-IEs'}],
                                                                           'type': 'SEQUENCE'},
                                     'MobilityFromEUTRACommand-v960-IEs': {'members': [{'name': 'bandIndicator',
                                                                                        'optional': True,
                                                                                        'type': 'BandIndicatorGERAN'},
                                                                                       {'members': [],
                                                                                        'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'}],
                                                                           'type': 'SEQUENCE'},
                                     'MobilityHistoryReport-r12': {'type': 'VisitedCellInfoList-r12'},
                                     'MobilityParameters-r14': {'members': [{'name': 'makeBeforeBreak-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}},
                                                                            {'name': 'rach-Less-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'MobilityParametersCDMA2000': {'type': 'OCTET '
                                                                            'STRING'},
                                     'MobilityStateParameters': {'members': [{'name': 't-Evaluation',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 's30',
                                                                                         1: 's60',
                                                                                         2: 's120',
                                                                                         3: 's180',
                                                                                         4: 's240',
                                                                                         5: 'spare3',
                                                                                         6: 'spare2',
                                                                                         7: 'spare1'}},
                                                                             {'name': 't-HystNormal',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 's30',
                                                                                         1: 's60',
                                                                                         2: 's120',
                                                                                         3: 's180',
                                                                                         4: 's240',
                                                                                         5: 'spare3',
                                                                                         6: 'spare2',
                                                                                         7: 'spare1'}},
                                                                             {'name': 'n-CellChangeMedium',
                                                                              'restricted-to': [(1,
                                                                                                 16)],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'n-CellChangeHigh',
                                                                              'restricted-to': [(1,
                                                                                                 16)],
                                                                              'type': 'INTEGER'}],
                                                                 'type': 'SEQUENCE'},
                                     'MultiBandInfo-v9e0': {'members': [{'name': 'freqBandIndicator-v9e0',
                                                                         'optional': True,
                                                                         'type': 'FreqBandIndicator-v9e0'}],
                                                            'type': 'SEQUENCE'},
                                     'MultiBandInfoList': {'element': {'type': 'FreqBandIndicator'},
                                                           'size': [(1,
                                                                     'maxMultiBands')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'MultiBandInfoList-r11': {'element': {'type': 'FreqBandIndicator-r11'},
                                                               'size': [(1,
                                                                         'maxMultiBands')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'MultiBandInfoList-v10j0': {'element': {'type': 'NS-PmaxList-r10'},
                                                                 'size': [(1,
                                                                           'maxMultiBands')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'MultiBandInfoList-v10l0': {'element': {'type': 'NS-PmaxList-v10l0'},
                                                                 'size': [(1,
                                                                           'maxMultiBands')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'MultiBandInfoList-v9e0': {'element': {'type': 'MultiBandInfo-v9e0'},
                                                                'size': [(1,
                                                                          'maxMultiBands')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'N1PUCCH-AN-CS-r10': {'element': {'restricted-to': [(0,
                                                                                          2047)],
                                                                       'type': 'INTEGER'},
                                                           'size': [(1, 4)],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'N1PUCCH-AN-InfoList-r13': {'element': {'restricted-to': [(0,
                                                                                                2047)],
                                                                             'type': 'INTEGER'},
                                                                 'size': [(1,
                                                                           'maxCE-Level-r13')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'N1PUCCH-AN-PersistentList': {'element': {'restricted-to': [(0,
                                                                                                  2047)],
                                                                               'type': 'INTEGER'},
                                                                   'size': [(1,
                                                                             4)],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'NAICS-AssistanceInfo-r12': {'members': [{'name': 'release',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'name': 'neighCellsToReleaseList-r12',
                                                                                            'optional': True,
                                                                                            'type': 'NeighCellsToReleaseList-r12'},
                                                                                           {'name': 'neighCellsToAddModList-r12',
                                                                                            'optional': True,
                                                                                            'type': 'NeighCellsToAddModList-r12'},
                                                                                           {'name': 'servCellp-a-r12',
                                                                                            'optional': True,
                                                                                            'type': 'P-a'}],
                                                                               'name': 'setup',
                                                                               'type': 'SEQUENCE'}],
                                                                  'type': 'CHOICE'},
                                     'NAICS-Capability-Entry-r12': {'members': [{'name': 'numberOfNAICS-CapableCC-r12',
                                                                                 'restricted-to': [(1,
                                                                                                    5)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'numberOfAggregatedPRB-r12',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'n50',
                                                                                            1: 'n75',
                                                                                            2: 'n100',
                                                                                            3: 'n125',
                                                                                            4: 'n150',
                                                                                            5: 'n175',
                                                                                            6: 'n200',
                                                                                            7: 'n225',
                                                                                            8: 'n250',
                                                                                            9: 'n275',
                                                                                            10: 'n300',
                                                                                            11: 'n350',
                                                                                            12: 'n400',
                                                                                            13: 'n450',
                                                                                            14: 'n500',
                                                                                            15: 'spare'}},
                                                                                '...'],
                                                                    'type': 'SEQUENCE'},
                                     'NAICS-Capability-List-r12': {'element': {'type': 'NAICS-Capability-Entry-r12'},
                                                                   'size': [(1,
                                                                             'maxNAICS-Entries-r12')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'NS-PmaxList-r10': {'element': {'type': 'NS-PmaxValue-r10'},
                                                         'size': [(1,
                                                                   'maxNS-Pmax-r10')],
                                                         'type': 'SEQUENCE OF'},
                                     'NS-PmaxList-v10l0': {'element': {'type': 'NS-PmaxValue-v10l0'},
                                                           'size': [(1,
                                                                     'maxNS-Pmax-r10')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'NS-PmaxValue-r10': {'members': [{'name': 'additionalPmax-r10',
                                                                       'optional': True,
                                                                       'type': 'P-Max'},
                                                                      {'name': 'additionalSpectrumEmission',
                                                                       'type': 'AdditionalSpectrumEmission'}],
                                                          'type': 'SEQUENCE'},
                                     'NS-PmaxValue-v10l0': {'members': [{'name': 'additionalSpectrumEmission-v10l0',
                                                                         'optional': True,
                                                                         'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                            'type': 'SEQUENCE'},
                                     'NZP-FrequencyDensity-r14': {'type': 'ENUMERATED',
                                                                  'values': {0: 'd1',
                                                                             1: 'd2',
                                                                             2: 'd3'}},
                                     'NZP-ResourceConfig-r13': {'members': [{'name': 'resourceConfig-r13',
                                                                             'type': 'ResourceConfig-r13'},
                                                                            '...',
                                                                            {'name': 'transmissionComb-r14',
                                                                             'optional': True,
                                                                             'type': 'NZP-TransmissionComb-r14'},
                                                                            {'name': 'frequencyDensity-r14',
                                                                             'optional': True,
                                                                             'type': 'NZP-FrequencyDensity-r14'}],
                                                                'type': 'SEQUENCE'},
                                     'NZP-TransmissionComb-r14': {'restricted-to': [(0,
                                                                                     2)],
                                                                  'type': 'INTEGER'},
                                     'NeighCellCDMA2000': {'members': [{'name': 'bandClass',
                                                                        'type': 'BandclassCDMA2000'},
                                                                       {'name': 'neighCellsPerFreqList',
                                                                        'type': 'NeighCellsPerBandclassListCDMA2000'}],
                                                           'type': 'SEQUENCE'},
                                     'NeighCellCDMA2000-r11': {'members': [{'name': 'bandClass',
                                                                            'type': 'BandclassCDMA2000'},
                                                                           {'element': {'type': 'NeighCellsPerBandclassCDMA2000-r11'},
                                                                            'name': 'neighFreqInfoList-r11',
                                                                            'size': [(1,
                                                                                      16)],
                                                                            'type': 'SEQUENCE '
                                                                                    'OF'}],
                                                               'type': 'SEQUENCE'},
                                     'NeighCellCDMA2000-v920': {'members': [{'name': 'neighCellsPerFreqList-v920',
                                                                             'type': 'NeighCellsPerBandclassListCDMA2000-v920'}],
                                                                'type': 'SEQUENCE'},
                                     'NeighCellConfig': {'size': [2],
                                                         'type': 'BIT STRING'},
                                     'NeighCellListCDMA2000': {'element': {'type': 'NeighCellCDMA2000'},
                                                               'size': [(1,
                                                                         16)],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'NeighCellListCDMA2000-v920': {'element': {'type': 'NeighCellCDMA2000-v920'},
                                                                    'size': [(1,
                                                                              16)],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'NeighCellSI-AcquisitionParameters-r9': {'members': [{'name': 'intraFreqSI-AcquisitionForHO-r9',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}},
                                                                                          {'name': 'interFreqSI-AcquisitionForHO-r9',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}},
                                                                                          {'name': 'utran-SI-AcquisitionForHO-r9',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}}],
                                                                              'type': 'SEQUENCE'},
                                     'NeighCellsCRS-Info-r11': {'members': [{'name': 'release',
                                                                             'type': 'NULL'},
                                                                            {'name': 'setup',
                                                                             'type': 'CRS-AssistanceInfoList-r11'}],
                                                                'type': 'CHOICE'},
                                     'NeighCellsCRS-Info-r13': {'members': [{'name': 'release',
                                                                             'type': 'NULL'},
                                                                            {'name': 'setup',
                                                                             'type': 'CRS-AssistanceInfoList-r13'}],
                                                                'type': 'CHOICE'},
                                     'NeighCellsInfo-r12': {'members': [{'name': 'physCellId-r12',
                                                                         'type': 'PhysCellId'},
                                                                        {'name': 'p-b-r12',
                                                                         'restricted-to': [(0,
                                                                                            3)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'crs-PortsCount-r12',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'n1',
                                                                                    1: 'n2',
                                                                                    2: 'n4',
                                                                                    3: 'spare'}},
                                                                        {'name': 'mbsfn-SubframeConfig-r12',
                                                                         'optional': True,
                                                                         'type': 'MBSFN-SubframeConfigList'},
                                                                        {'element': {'type': 'P-a'},
                                                                         'name': 'p-aList-r12',
                                                                         'size': [(1,
                                                                                   'maxP-a-PerNeighCell-r12')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                                                        {'name': 'transmissionModeList-r12',
                                                                         'size': [8],
                                                                         'type': 'BIT '
                                                                                 'STRING'},
                                                                        {'name': 'resAllocGranularity-r12',
                                                                         'restricted-to': [(1,
                                                                                            4)],
                                                                         'type': 'INTEGER'},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                     'NeighCellsPerBandclassCDMA2000': {'members': [{'name': 'arfcn',
                                                                                     'type': 'ARFCN-ValueCDMA2000'},
                                                                                    {'name': 'physCellIdList',
                                                                                     'type': 'PhysCellIdListCDMA2000'}],
                                                                        'type': 'SEQUENCE'},
                                     'NeighCellsPerBandclassCDMA2000-r11': {'members': [{'name': 'arfcn',
                                                                                         'type': 'ARFCN-ValueCDMA2000'},
                                                                                        {'element': {'type': 'PhysCellIdCDMA2000'},
                                                                                         'name': 'physCellIdList-r11',
                                                                                         'size': [(1,
                                                                                                   40)],
                                                                                         'type': 'SEQUENCE '
                                                                                                 'OF'}],
                                                                            'type': 'SEQUENCE'},
                                     'NeighCellsPerBandclassCDMA2000-v920': {'members': [{'name': 'physCellIdList-v920',
                                                                                          'type': 'PhysCellIdListCDMA2000-v920'}],
                                                                             'type': 'SEQUENCE'},
                                     'NeighCellsPerBandclassListCDMA2000': {'element': {'type': 'NeighCellsPerBandclassCDMA2000'},
                                                                            'size': [(1,
                                                                                      16)],
                                                                            'type': 'SEQUENCE '
                                                                                    'OF'},
                                     'NeighCellsPerBandclassListCDMA2000-v920': {'element': {'type': 'NeighCellsPerBandclassCDMA2000-v920'},
                                                                                 'size': [(1,
                                                                                           16)],
                                                                                 'type': 'SEQUENCE '
                                                                                         'OF'},
                                     'NeighCellsToAddModList-r12': {'element': {'type': 'NeighCellsInfo-r12'},
                                                                    'size': [(1,
                                                                              'maxNeighCell-r12')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'NeighCellsToReleaseList-r12': {'element': {'type': 'PhysCellId'},
                                                                     'size': [(1,
                                                                               'maxNeighCell-r12')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'NextHopChainingCount': {'restricted-to': [(0,
                                                                                 7)],
                                                              'type': 'INTEGER'},
                                     'NonContiguousUL-RA-WithinCC-List-r10': {'element': {'type': 'NonContiguousUL-RA-WithinCC-r10'},
                                                                              'size': [(1,
                                                                                        'maxBands')],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'},
                                     'NonContiguousUL-RA-WithinCC-r10': {'members': [{'name': 'nonContiguousUL-RA-WithinCC-Info-r10',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'supported'}}],
                                                                         'type': 'SEQUENCE'},
                                     'NonMBSFN-SubframeConfig-r14': {'members': [{'name': 'radioFrameAllocationPeriod-r14',
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'rf4',
                                                                                             1: 'rf8',
                                                                                             2: 'rf16',
                                                                                             3: 'rf32',
                                                                                             4: 'rf64',
                                                                                             5: 'rf128',
                                                                                             6: 'rf512'}},
                                                                                 {'name': 'radioFrameAllocationOffset-r14',
                                                                                  'restricted-to': [(0,
                                                                                                     7)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'subframeAllocation-r14',
                                                                                  'size': [9],
                                                                                  'type': 'BIT '
                                                                                          'STRING'}],
                                                                     'type': 'SEQUENCE'},
                                     'NumberOfPreamblesSent-r11': {'restricted-to': [(1,
                                                                                      200)],
                                                                   'type': 'INTEGER'},
                                     'OTDOA-PositioningCapabilities-r10': {'members': [{'name': 'otdoa-UE-Assisted-r10',
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'supported'}},
                                                                                       {'name': 'interFreqRSTD-Measurement-r10',
                                                                                        'optional': True,
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'supported'}}],
                                                                           'type': 'SEQUENCE'},
                                     'ObtainLocationConfig-r11': {'members': [{'name': 'obtainLocation-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'setup'}}],
                                                                  'type': 'SEQUENCE'},
                                     'Other-Parameters-r11': {'members': [{'name': 'inDeviceCoexInd-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'powerPrefInd-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'ue-Rx-TxTimeDiffMeasurements-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'Other-Parameters-v11d0': {'members': [{'name': 'inDeviceCoexInd-UL-CA-r11',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'Other-Parameters-v1360': {'members': [{'name': 'inDeviceCoexInd-HardwareSharingInd-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'Other-Parameters-v1430': {'members': [{'name': 'bwPrefInd-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}},
                                                                            {'name': 'rlm-ReportSupport-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'OtherConfig-r9': {'members': [{'name': 'reportProximityConfig-r9',
                                                                     'optional': True,
                                                                     'type': 'ReportProximityConfig-r9'},
                                                                    '...',
                                                                    {'name': 'idc-Config-r11',
                                                                     'optional': True,
                                                                     'type': 'IDC-Config-r11'},
                                                                    {'name': 'powerPrefIndicationConfig-r11',
                                                                     'optional': True,
                                                                     'type': 'PowerPrefIndicationConfig-r11'},
                                                                    {'name': 'obtainLocationConfig-r11',
                                                                     'optional': True,
                                                                     'type': 'ObtainLocationConfig-r11'},
                                                                    {'name': 'bw-PreferenceIndicationTimer-r14',
                                                                     'optional': True,
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 's0',
                                                                                1: 's0dot5',
                                                                                2: 's1',
                                                                                3: 's2',
                                                                                4: 's5',
                                                                                5: 's10',
                                                                                6: 's20',
                                                                                7: 's30',
                                                                                8: 's60',
                                                                                9: 's90',
                                                                                10: 's120',
                                                                                11: 's300',
                                                                                12: 's600',
                                                                                13: 'spare3',
                                                                                14: 'spare2',
                                                                                15: 'spare1'}},
                                                                    {'name': 'sps-AssistanceInfoReport-r14',
                                                                     'optional': True,
                                                                     'type': 'BOOLEAN'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'delayBudgetReportingProhibitTimer-r14',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 's0',
                                                                                                          1: 's0dot4',
                                                                                                          2: 's0dot8',
                                                                                                          3: 's1dot6',
                                                                                                          4: 's3',
                                                                                                          5: 's6',
                                                                                                          6: 's12',
                                                                                                          7: 's30'}}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'name': 'delayBudgetReportingConfig-r14',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'},
                                                                    {'members': [{'name': 'release',
                                                                                  'type': 'NULL'},
                                                                                 {'members': [{'name': 'rlmReportTimer-r14',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 's0',
                                                                                                          1: 's0dot5',
                                                                                                          2: 's1',
                                                                                                          3: 's2',
                                                                                                          4: 's5',
                                                                                                          5: 's10',
                                                                                                          6: 's20',
                                                                                                          7: 's30',
                                                                                                          8: 's60',
                                                                                                          9: 's90',
                                                                                                          10: 's120',
                                                                                                          11: 's300',
                                                                                                          12: 's600',
                                                                                                          13: 'spare3',
                                                                                                          14: 'spare2',
                                                                                                          15: 'spare1'}},
                                                                                              {'name': 'rlmReportRep-MPDCCH-r14',
                                                                                               'optional': True,
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'setup'}}],
                                                                                  'name': 'setup',
                                                                                  'type': 'SEQUENCE'}],
                                                                     'name': 'rlm-ReportConfig-r14',
                                                                     'optional': True,
                                                                     'type': 'CHOICE'}],
                                                        'type': 'SEQUENCE'},
                                     'P-C-AndCBSR-Pair-r13': {'element': {'type': 'P-C-AndCBSR-r13'},
                                                              'size': [(1, 2)],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'P-C-AndCBSR-Pair-r13a': {'element': {'type': 'P-C-AndCBSR-r11'},
                                                               'size': [(1, 2)],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'P-C-AndCBSR-r11': {'members': [{'name': 'p-C-r11',
                                                                      'restricted-to': [(-8,
                                                                                         15)],
                                                                      'type': 'INTEGER'},
                                                                     {'name': 'codebookSubsetRestriction-r11',
                                                                      'type': 'BIT '
                                                                              'STRING'}],
                                                         'type': 'SEQUENCE'},
                                     'P-C-AndCBSR-r13': {'members': [{'name': 'p-C-r13',
                                                                      'restricted-to': [(-8,
                                                                                         15)],
                                                                      'type': 'INTEGER'},
                                                                     {'members': [{'members': [{'name': 'codebookSubsetRestriction1-r13',
                                                                                                'type': 'BIT '
                                                                                                        'STRING'},
                                                                                               {'name': 'codebookSubsetRestriction2-r13',
                                                                                                'type': 'BIT '
                                                                                                        'STRING'}],
                                                                                   'name': 'nonPrecoded-r13',
                                                                                   'type': 'SEQUENCE'},
                                                                                  {'members': [{'name': 'codebookSubsetRestriction3-r13',
                                                                                                'type': 'BIT '
                                                                                                        'STRING'}],
                                                                                   'name': 'beamformedK1a-r13',
                                                                                   'type': 'SEQUENCE'},
                                                                                  {'members': [{'name': 'codebookSubsetRestriction-r13',
                                                                                                'type': 'BIT '
                                                                                                        'STRING'}],
                                                                                   'name': 'beamformedKN-r13',
                                                                                   'type': 'SEQUENCE'}],
                                                                      'name': 'cbsr-Selection-r13',
                                                                      'type': 'CHOICE'},
                                                                     '...'],
                                                         'type': 'SEQUENCE'},
                                     'P-Max': {'restricted-to': [(-30, 33)],
                                               'type': 'INTEGER'},
                                     'P-a': {'type': 'ENUMERATED',
                                             'values': {0: 'dB-6',
                                                        1: 'dB-4dot77',
                                                        2: 'dB-3',
                                                        3: 'dB-1dot77',
                                                        4: 'dB0',
                                                        5: 'dB1',
                                                        6: 'dB2',
                                                        7: 'dB3'}},
                                     'P0-SL-r12': {'restricted-to': [(-126,
                                                                      31)],
                                                   'type': 'INTEGER'},
                                     'PCCH-Config': {'members': [{'name': 'defaultPagingCycle',
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'rf32',
                                                                             1: 'rf64',
                                                                             2: 'rf128',
                                                                             3: 'rf256'}},
                                                                 {'name': 'nB',
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'fourT',
                                                                             1: 'twoT',
                                                                             2: 'oneT',
                                                                             3: 'halfT',
                                                                             4: 'quarterT',
                                                                             5: 'oneEighthT',
                                                                             6: 'oneSixteenthT',
                                                                             7: 'oneThirtySecondT'}}],
                                                     'type': 'SEQUENCE'},
                                     'PCCH-Config-v1310': {'members': [{'name': 'paging-narrowBands-r13',
                                                                        'restricted-to': [(1,
                                                                                           'maxAvailNarrowBands-r13')],
                                                                        'type': 'INTEGER'},
                                                                       {'name': 'mpdcch-NumRepetition-Paging-r13',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'r1',
                                                                                   1: 'r2',
                                                                                   2: 'r4',
                                                                                   3: 'r8',
                                                                                   4: 'r16',
                                                                                   5: 'r32',
                                                                                   6: 'r64',
                                                                                   7: 'r128',
                                                                                   8: 'r256'}},
                                                                       {'name': 'nB-v1310',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'one64thT',
                                                                                   1: 'one128thT',
                                                                                   2: 'one256thT'}}],
                                                           'type': 'SEQUENCE'},
                                     'PCCH-Message': {'members': [{'name': 'message',
                                                                   'type': 'PCCH-MessageType'}],
                                                      'type': 'SEQUENCE'},
                                     'PCCH-MessageType': {'members': [{'members': [{'name': 'paging',
                                                                                    'type': 'Paging'}],
                                                                       'name': 'c1',
                                                                       'type': 'CHOICE'},
                                                                      {'members': [],
                                                                       'name': 'messageClassExtension',
                                                                       'type': 'SEQUENCE'}],
                                                          'type': 'CHOICE'},
                                     'PCI-ARFCN-r13': {'members': [{'name': 'physCellId-r13',
                                                                    'type': 'PhysCellId'},
                                                                   {'name': 'carrierFreq-r13',
                                                                    'optional': True,
                                                                    'type': 'ARFCN-ValueEUTRA-r9'}],
                                                       'type': 'SEQUENCE'},
                                     'PDCCH-CandidateReductionValue-r13': {'type': 'ENUMERATED',
                                                                           'values': {0: 'n0',
                                                                                      1: 'n33',
                                                                                      2: 'n66',
                                                                                      3: 'n100'}},
                                     'PDCCH-CandidateReductionValue-r14': {'type': 'ENUMERATED',
                                                                           'values': {0: 'n0',
                                                                                      1: 'n50',
                                                                                      2: 'n100',
                                                                                      3: 'n150'}},
                                     'PDCCH-CandidateReductions-r13': {'members': [{'name': 'release',
                                                                                    'type': 'NULL'},
                                                                                   {'members': [{'name': 'pdcch-candidateReductionAL1-r13',
                                                                                                 'type': 'PDCCH-CandidateReductionValue-r13'},
                                                                                                {'name': 'pdcch-candidateReductionAL2-r13',
                                                                                                 'type': 'PDCCH-CandidateReductionValue-r13'},
                                                                                                {'name': 'pdcch-candidateReductionAL3-r13',
                                                                                                 'type': 'PDCCH-CandidateReductionValue-r13'},
                                                                                                {'name': 'pdcch-candidateReductionAL4-r13',
                                                                                                 'type': 'PDCCH-CandidateReductionValue-r13'},
                                                                                                {'name': 'pdcch-candidateReductionAL5-r13',
                                                                                                 'type': 'PDCCH-CandidateReductionValue-r13'}],
                                                                                    'name': 'setup',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'CHOICE'},
                                     'PDCCH-CandidateReductionsLAA-UL-r14': {'members': [{'name': 'release',
                                                                                          'type': 'NULL'},
                                                                                         {'members': [{'name': 'pdcch-candidateReductionAL1-r14',
                                                                                                       'type': 'PDCCH-CandidateReductionValue-r13'},
                                                                                                      {'name': 'pdcch-candidateReductionAL2-r14',
                                                                                                       'type': 'PDCCH-CandidateReductionValue-r13'},
                                                                                                      {'name': 'pdcch-candidateReductionAL3-r14',
                                                                                                       'type': 'PDCCH-CandidateReductionValue-r14'},
                                                                                                      {'name': 'pdcch-candidateReductionAL4-r14',
                                                                                                       'type': 'PDCCH-CandidateReductionValue-r14'},
                                                                                                      {'name': 'pdcch-candidateReductionAL5-r14',
                                                                                                       'type': 'PDCCH-CandidateReductionValue-r14'}],
                                                                                          'name': 'setup',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'type': 'CHOICE'},
                                     'PDCCH-ConfigLAA-r14': {'members': [{'name': 'maxNumberOfSchedSubframes-Format0B-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'sf2',
                                                                                     1: 'sf3',
                                                                                     2: 'sf4'}},
                                                                         {'name': 'maxNumberOfSchedSubframes-Format4B-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'sf2',
                                                                                     1: 'sf3',
                                                                                     2: 'sf4'}},
                                                                         {'name': 'skipMonitoringDCI-Format0A-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}},
                                                                         {'name': 'skipMonitoringDCI-Format4A-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}},
                                                                         {'name': 'pdcch-CandidateReductions-Format0A-r14',
                                                                          'optional': True,
                                                                          'type': 'PDCCH-CandidateReductions-r13'},
                                                                         {'name': 'pdcch-CandidateReductions-Format4A-r14',
                                                                          'optional': True,
                                                                          'type': 'PDCCH-CandidateReductionsLAA-UL-r14'},
                                                                         {'name': 'pdcch-CandidateReductions-Format0B-r14',
                                                                          'optional': True,
                                                                          'type': 'PDCCH-CandidateReductionsLAA-UL-r14'},
                                                                         {'name': 'pdcch-CandidateReductions-Format4B-r14',
                                                                          'optional': True,
                                                                          'type': 'PDCCH-CandidateReductionsLAA-UL-r14'}],
                                                             'type': 'SEQUENCE'},
                                     'PDCCH-ConfigSCell-r13': {'members': [{'name': 'skipMonitoringDCI-format0-1A-r13',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'true'}}],
                                                               'type': 'SEQUENCE'},
                                     'PDCP-Config': {'members': [{'name': 'discardTimer',
                                                                  'optional': True,
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'ms50',
                                                                             1: 'ms100',
                                                                             2: 'ms150',
                                                                             3: 'ms300',
                                                                             4: 'ms500',
                                                                             5: 'ms750',
                                                                             6: 'ms1500',
                                                                             7: 'infinity'}},
                                                                 {'members': [{'name': 'statusReportRequired',
                                                                               'type': 'BOOLEAN'}],
                                                                  'name': 'rlc-AM',
                                                                  'optional': True,
                                                                  'type': 'SEQUENCE'},
                                                                 {'members': [{'name': 'pdcp-SN-Size',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'len7bits',
                                                                                          1: 'len12bits'}}],
                                                                  'name': 'rlc-UM',
                                                                  'optional': True,
                                                                  'type': 'SEQUENCE'},
                                                                 {'members': [{'name': 'notUsed',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'default': 15,
                                                                                            'name': 'maxCID',
                                                                                            'restricted-to': [(1,
                                                                                                               16383)],
                                                                                            'type': 'INTEGER'},
                                                                                           {'members': [{'name': 'profile0x0001',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0002',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0003',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0004',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0006',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0101',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0102',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0103',
                                                                                                         'type': 'BOOLEAN'},
                                                                                                        {'name': 'profile0x0104',
                                                                                                         'type': 'BOOLEAN'}],
                                                                                            'name': 'profiles',
                                                                                            'type': 'SEQUENCE'},
                                                                                           '...'],
                                                                               'name': 'rohc',
                                                                               'type': 'SEQUENCE'}],
                                                                  'name': 'headerCompression',
                                                                  'type': 'CHOICE'},
                                                                 '...',
                                                                 {'name': 'rn-IntegrityProtection-r10',
                                                                  'optional': True,
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'enabled'}},
                                                                 {'name': 'pdcp-SN-Size-v1130',
                                                                  'optional': True,
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'len15bits'}},
                                                                 {'name': 'ul-DataSplitDRB-ViaSCG-r12',
                                                                  'optional': True,
                                                                  'type': 'BOOLEAN'},
                                                                 {'name': 't-Reordering-r12',
                                                                  'optional': True,
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'ms0',
                                                                             1: 'ms20',
                                                                             2: 'ms40',
                                                                             3: 'ms60',
                                                                             4: 'ms80',
                                                                             5: 'ms100',
                                                                             6: 'ms120',
                                                                             7: 'ms140',
                                                                             8: 'ms160',
                                                                             9: 'ms180',
                                                                             10: 'ms200',
                                                                             11: 'ms220',
                                                                             12: 'ms240',
                                                                             13: 'ms260',
                                                                             14: 'ms280',
                                                                             15: 'ms300',
                                                                             16: 'ms500',
                                                                             17: 'ms750',
                                                                             18: 'spare14',
                                                                             19: 'spare13',
                                                                             20: 'spare12',
                                                                             21: 'spare11',
                                                                             22: 'spare10',
                                                                             23: 'spare9',
                                                                             24: 'spare8',
                                                                             25: 'spare7',
                                                                             26: 'spare6',
                                                                             27: 'spare5',
                                                                             28: 'spare4',
                                                                             29: 'spare3',
                                                                             30: 'spare2',
                                                                             31: 'spare1'}},
                                                                 {'members': [{'name': 'release',
                                                                               'type': 'NULL'},
                                                                              {'name': 'setup',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'b0',
                                                                                          1: 'b100',
                                                                                          2: 'b200',
                                                                                          3: 'b400',
                                                                                          4: 'b800',
                                                                                          5: 'b1600',
                                                                                          6: 'b3200',
                                                                                          7: 'b6400',
                                                                                          8: 'b12800',
                                                                                          9: 'b25600',
                                                                                          10: 'b51200',
                                                                                          11: 'b102400',
                                                                                          12: 'b204800',
                                                                                          13: 'b409600',
                                                                                          14: 'b819200',
                                                                                          15: 'spare1'}}],
                                                                  'name': 'ul-DataSplitThreshold-r13',
                                                                  'optional': True,
                                                                  'type': 'CHOICE'},
                                                                 {'name': 'pdcp-SN-Size-v1310',
                                                                  'optional': True,
                                                                  'type': 'ENUMERATED',
                                                                  'values': {0: 'len18bits'}},
                                                                 {'members': [{'name': 'release',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'name': 'statusPDU-TypeForPolling-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'type1',
                                                                                                       1: 'type2'}},
                                                                                           {'name': 'statusPDU-Periodicity-Type1-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'ms5',
                                                                                                       1: 'ms10',
                                                                                                       2: 'ms20',
                                                                                                       3: 'ms30',
                                                                                                       4: 'ms40',
                                                                                                       5: 'ms50',
                                                                                                       6: 'ms60',
                                                                                                       7: 'ms70',
                                                                                                       8: 'ms80',
                                                                                                       9: 'ms90',
                                                                                                       10: 'ms100',
                                                                                                       11: 'ms150',
                                                                                                       12: 'ms200',
                                                                                                       13: 'ms300',
                                                                                                       14: 'ms500',
                                                                                                       15: 'ms1000',
                                                                                                       16: 'ms2000',
                                                                                                       17: 'ms5000',
                                                                                                       18: 'ms10000',
                                                                                                       19: 'ms20000',
                                                                                                       20: 'ms50000'}},
                                                                                           {'name': 'statusPDU-Periodicity-Type2-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'ms5',
                                                                                                       1: 'ms10',
                                                                                                       2: 'ms20',
                                                                                                       3: 'ms30',
                                                                                                       4: 'ms40',
                                                                                                       5: 'ms50',
                                                                                                       6: 'ms60',
                                                                                                       7: 'ms70',
                                                                                                       8: 'ms80',
                                                                                                       9: 'ms90',
                                                                                                       10: 'ms100',
                                                                                                       11: 'ms150',
                                                                                                       12: 'ms200',
                                                                                                       13: 'ms300',
                                                                                                       14: 'ms500',
                                                                                                       15: 'ms1000',
                                                                                                       16: 'ms2000',
                                                                                                       17: 'ms5000',
                                                                                                       18: 'ms10000',
                                                                                                       19: 'ms20000',
                                                                                                       20: 'ms50000'}},
                                                                                           {'name': 'statusPDU-Periodicity-Offset-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'ms1',
                                                                                                       1: 'ms2',
                                                                                                       2: 'ms5',
                                                                                                       3: 'ms10',
                                                                                                       4: 'ms25',
                                                                                                       5: 'ms50',
                                                                                                       6: 'ms100',
                                                                                                       7: 'ms250',
                                                                                                       8: 'ms500',
                                                                                                       9: 'ms2500',
                                                                                                       10: 'ms5000',
                                                                                                       11: 'ms25000'}}],
                                                                               'name': 'setup',
                                                                               'type': 'SEQUENCE'}],
                                                                  'name': 'statusFeedback-r13',
                                                                  'optional': True,
                                                                  'type': 'CHOICE'},
                                                                 {'members': [{'name': 'release',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'name': 'ul-LWA-DRB-ViaWLAN-r14',
                                                                                            'type': 'BOOLEAN'},
                                                                                           {'name': 'ul-LWA-DataSplitThreshold-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'b0',
                                                                                                       1: 'b100',
                                                                                                       2: 'b200',
                                                                                                       3: 'b400',
                                                                                                       4: 'b800',
                                                                                                       5: 'b1600',
                                                                                                       6: 'b3200',
                                                                                                       7: 'b6400',
                                                                                                       8: 'b12800',
                                                                                                       9: 'b25600',
                                                                                                       10: 'b51200',
                                                                                                       11: 'b102400',
                                                                                                       12: 'b204800',
                                                                                                       13: 'b409600',
                                                                                                       14: 'b819200'}}],
                                                                               'name': 'setup',
                                                                               'type': 'SEQUENCE'}],
                                                                  'name': 'ul-LWA-Config-r14',
                                                                  'optional': True,
                                                                  'type': 'CHOICE'},
                                                                 {'members': [{'name': 'notUsed-r14',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'default': 15,
                                                                                            'name': 'maxCID-r14',
                                                                                            'restricted-to': [(1,
                                                                                                               16383)],
                                                                                            'type': 'INTEGER'},
                                                                                           {'members': [{'name': 'profile0x0006-r14',
                                                                                                         'type': 'BOOLEAN'}],
                                                                                            'name': 'profiles-r14',
                                                                                            'type': 'SEQUENCE'},
                                                                                           '...'],
                                                                               'name': 'rohc-r14',
                                                                               'type': 'SEQUENCE'}],
                                                                  'name': 'uplinkOnlyHeaderCompression-r14',
                                                                  'optional': True,
                                                                  'type': 'CHOICE'}],
                                                     'type': 'SEQUENCE'},
                                     'PDCP-Parameters': {'members': [{'members': [{'name': 'profile0x0001',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0002',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0003',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0004',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0006',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0101',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0102',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0103',
                                                                                   'type': 'BOOLEAN'},
                                                                                  {'name': 'profile0x0104',
                                                                                   'type': 'BOOLEAN'}],
                                                                      'name': 'supportedROHC-Profiles',
                                                                      'type': 'SEQUENCE'},
                                                                     {'default': 'cs16',
                                                                      'name': 'maxNumberROHC-ContextSessions',
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'cs2',
                                                                                 1: 'cs4',
                                                                                 2: 'cs8',
                                                                                 3: 'cs12',
                                                                                 4: 'cs16',
                                                                                 5: 'cs24',
                                                                                 6: 'cs32',
                                                                                 7: 'cs48',
                                                                                 8: 'cs64',
                                                                                 9: 'cs128',
                                                                                 10: 'cs256',
                                                                                 11: 'cs512',
                                                                                 12: 'cs1024',
                                                                                 13: 'cs16384',
                                                                                 14: 'spare2',
                                                                                 15: 'spare1'}},
                                                                     '...'],
                                                         'type': 'SEQUENCE'},
                                     'PDCP-Parameters-v1130': {'members': [{'name': 'pdcp-SN-Extension-r11',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}},
                                                                           {'name': 'supportRohcContextContinue-r11',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}}],
                                                               'type': 'SEQUENCE'},
                                     'PDCP-Parameters-v1310': {'members': [{'name': 'pdcp-SN-Extension-18bits-r13',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}}],
                                                               'type': 'SEQUENCE'},
                                     'PDCP-Parameters-v1430': {'members': [{'members': [{'name': 'profile0x0006-r14',
                                                                                         'type': 'BOOLEAN'}],
                                                                            'name': 'supportedUplinkOnlyROHC-Profiles-r14',
                                                                            'type': 'SEQUENCE'},
                                                                           {'default': 'cs16',
                                                                            'name': 'maxNumberROHC-ContextSessions-r14',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'cs2',
                                                                                       1: 'cs4',
                                                                                       2: 'cs8',
                                                                                       3: 'cs12',
                                                                                       4: 'cs16',
                                                                                       5: 'cs24',
                                                                                       6: 'cs32',
                                                                                       7: 'cs48',
                                                                                       8: 'cs64',
                                                                                       9: 'cs128',
                                                                                       10: 'cs256',
                                                                                       11: 'cs512',
                                                                                       12: 'cs1024',
                                                                                       13: 'cs16384',
                                                                                       14: 'spare2',
                                                                                       15: 'spare1'}}],
                                                               'type': 'SEQUENCE'},
                                     'PDSCH-ConfigCommon': {'members': [{'name': 'referenceSignalPower',
                                                                         'restricted-to': [(-60,
                                                                                            50)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'p-b',
                                                                         'restricted-to': [(0,
                                                                                            3)],
                                                                         'type': 'INTEGER'}],
                                                            'type': 'SEQUENCE'},
                                     'PDSCH-ConfigCommon-v1310': {'members': [{'name': 'pdsch-maxNumRepetitionCEmodeA-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'r16',
                                                                                          1: 'r32'}},
                                                                              {'name': 'pdsch-maxNumRepetitionCEmodeB-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'r192',
                                                                                          1: 'r256',
                                                                                          2: 'r384',
                                                                                          3: 'r512',
                                                                                          4: 'r768',
                                                                                          5: 'r1024',
                                                                                          6: 'r1536',
                                                                                          7: 'r2048'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PDSCH-ConfigDedicated': {'members': [{'name': 'p-a',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'dB-6',
                                                                                       1: 'dB-4dot77',
                                                                                       2: 'dB-3',
                                                                                       3: 'dB-1dot77',
                                                                                       4: 'dB0',
                                                                                       5: 'dB1',
                                                                                       6: 'dB2',
                                                                                       7: 'dB3'}}],
                                                               'type': 'SEQUENCE'},
                                     'PDSCH-ConfigDedicated-v1130': {'members': [{'name': 'dmrs-ConfigPDSCH-r11',
                                                                                  'optional': True,
                                                                                  'type': 'DMRS-Config-r11'},
                                                                                 {'name': 'qcl-Operation',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'typeA',
                                                                                             1: 'typeB'}},
                                                                                 {'name': 're-MappingQCLConfigToReleaseList-r11',
                                                                                  'optional': True,
                                                                                  'type': 'RE-MappingQCLConfigToReleaseList-r11'},
                                                                                 {'name': 're-MappingQCLConfigToAddModList-r11',
                                                                                  'optional': True,
                                                                                  'type': 'RE-MappingQCLConfigToAddModList-r11'}],
                                                                     'type': 'SEQUENCE'},
                                     'PDSCH-ConfigDedicated-v1280': {'members': [{'name': 'tbsIndexAlt-r12',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'a26',
                                                                                             1: 'a33'}}],
                                                                     'type': 'SEQUENCE'},
                                     'PDSCH-ConfigDedicated-v1310': {'members': [{'name': 'dmrs-ConfigPDSCH-v1310',
                                                                                  'optional': True,
                                                                                  'type': 'DMRS-Config-v1310'}],
                                                                     'type': 'SEQUENCE'},
                                     'PDSCH-ConfigDedicated-v1430': {'members': [{'name': 'ce-PDSCH-MaxBandwidth-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'bw5',
                                                                                             1: 'bw20'}},
                                                                                 {'name': 'ce-PDSCH-TenProcesses-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'on'}},
                                                                                 {'name': 'ce-HARQ-AckBundling-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'on'}},
                                                                                 {'name': 'ce-SchedulingEnhancement-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'range1',
                                                                                             1: 'range2'}},
                                                                                 {'name': 'tbsIndexAlt2-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'b33'}}],
                                                                     'type': 'SEQUENCE'},
                                     'PDSCH-ConfigDedicatedSCell-v1430': {'members': [{'name': 'tbsIndexAlt2-r14',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'b33'}}],
                                                                          'type': 'SEQUENCE'},
                                     'PDSCH-RE-MappingQCL-Config-r11': {'members': [{'name': 'pdsch-RE-MappingQCL-ConfigId-r11',
                                                                                     'type': 'PDSCH-RE-MappingQCL-ConfigId-r11'},
                                                                                    {'members': [{'name': 'crs-PortsCount-r11',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'n1',
                                                                                                             1: 'n2',
                                                                                                             2: 'n4',
                                                                                                             3: 'spare1'}},
                                                                                                 {'name': 'crs-FreqShift-r11',
                                                                                                  'restricted-to': [(0,
                                                                                                                     5)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'members': [{'name': 'release',
                                                                                                               'type': 'NULL'},
                                                                                                              {'members': [{'name': 'subframeConfigList',
                                                                                                                            'type': 'MBSFN-SubframeConfigList'}],
                                                                                                               'name': 'setup',
                                                                                                               'type': 'SEQUENCE'}],
                                                                                                  'name': 'mbsfn-SubframeConfigList-r11',
                                                                                                  'optional': True,
                                                                                                  'type': 'CHOICE'},
                                                                                                 {'name': 'pdsch-Start-r11',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'reserved',
                                                                                                             1: 'n1',
                                                                                                             2: 'n2',
                                                                                                             3: 'n3',
                                                                                                             4: 'n4',
                                                                                                             5: 'assigned'}}],
                                                                                     'name': 'optionalSetOfFields-r11',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'},
                                                                                    {'name': 'csi-RS-ConfigZPId-r11',
                                                                                     'type': 'CSI-RS-ConfigZPId-r11'},
                                                                                    {'name': 'qcl-CSI-RS-ConfigNZPId-r11',
                                                                                     'optional': True,
                                                                                     'type': 'CSI-RS-ConfigNZPId-r11'},
                                                                                    '...',
                                                                                    {'members': [{'name': 'release',
                                                                                                  'type': 'NULL'},
                                                                                                 {'members': [{'name': 'subframeConfigList-v1430',
                                                                                                               'type': 'MBSFN-SubframeConfigList-v1430'}],
                                                                                                  'name': 'setup',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'mbsfn-SubframeConfigList-v1430',
                                                                                     'optional': True,
                                                                                     'type': 'CHOICE'}],
                                                                        'type': 'SEQUENCE'},
                                     'PDSCH-RE-MappingQCL-ConfigId-r11': {'restricted-to': [(1,
                                                                                             'maxRE-MapQCL-r11')],
                                                                          'type': 'INTEGER'},
                                     'PHICH-Config': {'members': [{'name': 'phich-Duration',
                                                                   'type': 'ENUMERATED',
                                                                   'values': {0: 'normal',
                                                                              1: 'extended'}},
                                                                  {'name': 'phich-Resource',
                                                                   'type': 'ENUMERATED',
                                                                   'values': {0: 'oneSixth',
                                                                              1: 'half',
                                                                              2: 'one',
                                                                              3: 'two'}}],
                                                      'type': 'SEQUENCE'},
                                     'PLMN-Identity': {'members': [{'name': 'mcc',
                                                                    'optional': True,
                                                                    'type': 'MCC'},
                                                                   {'name': 'mnc',
                                                                    'type': 'MNC'}],
                                                       'type': 'SEQUENCE'},
                                     'PLMN-IdentityInfo': {'members': [{'name': 'plmn-Identity',
                                                                        'type': 'PLMN-Identity'},
                                                                       {'name': 'cellReservedForOperatorUse',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'reserved',
                                                                                   1: 'notReserved'}}],
                                                           'type': 'SEQUENCE'},
                                     'PLMN-IdentityInfo2-r12': {'members': [{'name': 'plmn-Index-r12',
                                                                             'restricted-to': [(1,
                                                                                                'maxPLMN-r11')],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'plmnIdentity-r12',
                                                                             'type': 'PLMN-Identity'}],
                                                                'type': 'CHOICE'},
                                     'PLMN-IdentityList': {'element': {'type': 'PLMN-IdentityInfo'},
                                                           'size': [(1,
                                                                     'maxPLMN-r11')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'PLMN-IdentityList-MBMS-r14': {'element': {'type': 'PLMN-Identity'},
                                                                    'size': [(1,
                                                                              'maxPLMN-r11')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'PLMN-IdentityList2': {'element': {'type': 'PLMN-Identity'},
                                                            'size': [(1, 5)],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                     'PLMN-IdentityList3-r11': {'element': {'type': 'PLMN-Identity'},
                                                                'size': [(1,
                                                                          16)],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'PLMN-IdentityList4-r12': {'element': {'type': 'PLMN-IdentityInfo2-r12'},
                                                                'size': [(1,
                                                                          'maxPLMN-r11')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'PMCH-Config-r12': {'members': [{'name': 'sf-AllocEnd-r12',
                                                                      'restricted-to': [(0,
                                                                                         1535)],
                                                                      'type': 'INTEGER'},
                                                                     {'members': [{'name': 'normal-r12',
                                                                                   'restricted-to': [(0,
                                                                                                      28)],
                                                                                   'type': 'INTEGER'},
                                                                                  {'name': 'higerOrder-r12',
                                                                                   'restricted-to': [(0,
                                                                                                      27)],
                                                                                   'type': 'INTEGER'}],
                                                                      'name': 'dataMCS-r12',
                                                                      'type': 'CHOICE'},
                                                                     {'name': 'mch-SchedulingPeriod-r12',
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'rf4',
                                                                                 1: 'rf8',
                                                                                 2: 'rf16',
                                                                                 3: 'rf32',
                                                                                 4: 'rf64',
                                                                                 5: 'rf128',
                                                                                 6: 'rf256',
                                                                                 7: 'rf512',
                                                                                 8: 'rf1024'}},
                                                                     '...',
                                                                     {'name': 'mch-SchedulingPeriod-v1430',
                                                                      'optional': True,
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'rf1',
                                                                                 1: 'rf2'}}],
                                                         'type': 'SEQUENCE'},
                                     'PMCH-Config-r9': {'members': [{'name': 'sf-AllocEnd-r9',
                                                                     'restricted-to': [(0,
                                                                                        1535)],
                                                                     'type': 'INTEGER'},
                                                                    {'name': 'dataMCS-r9',
                                                                     'restricted-to': [(0,
                                                                                        28)],
                                                                     'type': 'INTEGER'},
                                                                    {'name': 'mch-SchedulingPeriod-r9',
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'rf8',
                                                                                1: 'rf16',
                                                                                2: 'rf32',
                                                                                3: 'rf64',
                                                                                4: 'rf128',
                                                                                5: 'rf256',
                                                                                6: 'rf512',
                                                                                7: 'rf1024'}},
                                                                    '...'],
                                                        'type': 'SEQUENCE'},
                                     'PMCH-Info-r9': {'members': [{'name': 'pmch-Config-r9',
                                                                   'type': 'PMCH-Config-r9'},
                                                                  {'name': 'mbms-SessionInfoList-r9',
                                                                   'type': 'MBMS-SessionInfoList-r9'},
                                                                  '...'],
                                                      'type': 'SEQUENCE'},
                                     'PMCH-InfoExt-r12': {'members': [{'name': 'pmch-Config-r12',
                                                                       'type': 'PMCH-Config-r12'},
                                                                      {'name': 'mbms-SessionInfoList-r12',
                                                                       'type': 'MBMS-SessionInfoList-r9'},
                                                                      '...'],
                                                          'type': 'SEQUENCE'},
                                     'PMCH-InfoList-r9': {'element': {'type': 'PMCH-Info-r9'},
                                                          'size': [(0,
                                                                    'maxPMCH-PerMBSFN')],
                                                          'type': 'SEQUENCE '
                                                                  'OF'},
                                     'PMCH-InfoListExt-r12': {'element': {'type': 'PMCH-InfoExt-r12'},
                                                              'size': [(0,
                                                                        'maxPMCH-PerMBSFN')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'PRACH-Config': {'members': [{'name': 'rootSequenceIndex',
                                                                   'restricted-to': [(0,
                                                                                      837)],
                                                                   'type': 'INTEGER'},
                                                                  {'name': 'prach-ConfigInfo',
                                                                   'optional': True,
                                                                   'type': 'PRACH-ConfigInfo'}],
                                                      'type': 'SEQUENCE'},
                                     'PRACH-Config-v1310': {'members': [{'name': 'rsrp-ThresholdsPrachInfoList-r13',
                                                                         'optional': True,
                                                                         'type': 'RSRP-ThresholdsPrachInfoList-r13'},
                                                                        {'members': [{'name': 'fdd-r13',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'v1',
                                                                                                 1: 'v1dot5',
                                                                                                 2: 'v2',
                                                                                                 3: 'v2dot5',
                                                                                                 4: 'v4',
                                                                                                 5: 'v5',
                                                                                                 6: 'v8',
                                                                                                 7: 'v10'}},
                                                                                     {'name': 'tdd-r13',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'v1',
                                                                                                 1: 'v2',
                                                                                                 2: 'v4',
                                                                                                 3: 'v5',
                                                                                                 4: 'v8',
                                                                                                 5: 'v10',
                                                                                                 6: 'v20',
                                                                                                 7: 'spare'}}],
                                                                         'name': 'mpdcch-startSF-CSS-RA-r13',
                                                                         'optional': True,
                                                                         'type': 'CHOICE'},
                                                                        {'name': 'prach-HoppingOffset-r13',
                                                                         'optional': True,
                                                                         'restricted-to': [(0,
                                                                                            94)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'prach-ParametersListCE-r13',
                                                                         'optional': True,
                                                                         'type': 'PRACH-ParametersListCE-r13'},
                                                                        {'name': 'initial-CE-level-r13',
                                                                         'optional': True,
                                                                         'restricted-to': [(0,
                                                                                            3)],
                                                                         'type': 'INTEGER'}],
                                                            'type': 'SEQUENCE'},
                                     'PRACH-Config-v1430': {'members': [{'name': 'rootSequenceIndexHighSpeed-r14',
                                                                         'restricted-to': [(0,
                                                                                            837)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'zeroCorrelationZoneConfigHighSpeed-r14',
                                                                         'restricted-to': [(0,
                                                                                            12)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'prach-ConfigIndexHighSpeed-r14',
                                                                         'restricted-to': [(0,
                                                                                            63)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'prach-FreqOffsetHighSpeed-r14',
                                                                         'restricted-to': [(0,
                                                                                            94)],
                                                                         'type': 'INTEGER'}],
                                                            'type': 'SEQUENCE'},
                                     'PRACH-ConfigInfo': {'members': [{'name': 'prach-ConfigIndex',
                                                                       'restricted-to': [(0,
                                                                                          63)],
                                                                       'type': 'INTEGER'},
                                                                      {'name': 'highSpeedFlag',
                                                                       'type': 'BOOLEAN'},
                                                                      {'name': 'zeroCorrelationZoneConfig',
                                                                       'restricted-to': [(0,
                                                                                          15)],
                                                                       'type': 'INTEGER'},
                                                                      {'name': 'prach-FreqOffset',
                                                                       'restricted-to': [(0,
                                                                                          94)],
                                                                       'type': 'INTEGER'}],
                                                          'type': 'SEQUENCE'},
                                     'PRACH-ConfigSCell-r10': {'members': [{'name': 'prach-ConfigIndex-r10',
                                                                            'restricted-to': [(0,
                                                                                               63)],
                                                                            'type': 'INTEGER'}],
                                                               'type': 'SEQUENCE'},
                                     'PRACH-ConfigSIB': {'members': [{'name': 'rootSequenceIndex',
                                                                      'restricted-to': [(0,
                                                                                         837)],
                                                                      'type': 'INTEGER'},
                                                                     {'name': 'prach-ConfigInfo',
                                                                      'type': 'PRACH-ConfigInfo'}],
                                                         'type': 'SEQUENCE'},
                                     'PRACH-ConfigSIB-v1310': {'members': [{'name': 'rsrp-ThresholdsPrachInfoList-r13',
                                                                            'type': 'RSRP-ThresholdsPrachInfoList-r13'},
                                                                           {'members': [{'name': 'fdd-r13',
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'v1',
                                                                                                    1: 'v1dot5',
                                                                                                    2: 'v2',
                                                                                                    3: 'v2dot5',
                                                                                                    4: 'v4',
                                                                                                    5: 'v5',
                                                                                                    6: 'v8',
                                                                                                    7: 'v10'}},
                                                                                        {'name': 'tdd-r13',
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'v1',
                                                                                                    1: 'v2',
                                                                                                    2: 'v4',
                                                                                                    3: 'v5',
                                                                                                    4: 'v8',
                                                                                                    5: 'v10',
                                                                                                    6: 'v20',
                                                                                                    7: 'spare'}}],
                                                                            'name': 'mpdcch-startSF-CSS-RA-r13',
                                                                            'optional': True,
                                                                            'type': 'CHOICE'},
                                                                           {'name': 'prach-HoppingOffset-r13',
                                                                            'optional': True,
                                                                            'restricted-to': [(0,
                                                                                               94)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'prach-ParametersListCE-r13',
                                                                            'type': 'PRACH-ParametersListCE-r13'}],
                                                               'type': 'SEQUENCE'},
                                     'PRACH-ParametersCE-r13': {'members': [{'name': 'prach-ConfigIndex-r13',
                                                                             'restricted-to': [(0,
                                                                                                63)],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'prach-FreqOffset-r13',
                                                                             'restricted-to': [(0,
                                                                                                94)],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'prach-StartingSubframe-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'sf2',
                                                                                        1: 'sf4',
                                                                                        2: 'sf8',
                                                                                        3: 'sf16',
                                                                                        4: 'sf32',
                                                                                        5: 'sf64',
                                                                                        6: 'sf128',
                                                                                        7: 'sf256'}},
                                                                            {'name': 'maxNumPreambleAttemptCE-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'n3',
                                                                                        1: 'n4',
                                                                                        2: 'n5',
                                                                                        3: 'n6',
                                                                                        4: 'n7',
                                                                                        5: 'n8',
                                                                                        6: 'n10'}},
                                                                            {'name': 'numRepetitionPerPreambleAttempt-r13',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'n1',
                                                                                        1: 'n2',
                                                                                        2: 'n4',
                                                                                        3: 'n8',
                                                                                        4: 'n16',
                                                                                        5: 'n32',
                                                                                        6: 'n64',
                                                                                        7: 'n128'}},
                                                                            {'element': {'restricted-to': [(1,
                                                                                                            'maxAvailNarrowBands-r13')],
                                                                                         'type': 'INTEGER'},
                                                                             'name': 'mpdcch-NarrowbandsToMonitor-r13',
                                                                             'size': [(1,
                                                                                       2)],
                                                                             'type': 'SEQUENCE '
                                                                                     'OF'},
                                                                            {'name': 'mpdcch-NumRepetition-RA-r13',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'r1',
                                                                                        1: 'r2',
                                                                                        2: 'r4',
                                                                                        3: 'r8',
                                                                                        4: 'r16',
                                                                                        5: 'r32',
                                                                                        6: 'r64',
                                                                                        7: 'r128',
                                                                                        8: 'r256'}},
                                                                            {'name': 'prach-HoppingConfig-r13',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'on',
                                                                                        1: 'off'}}],
                                                                'type': 'SEQUENCE'},
                                     'PRACH-ParametersListCE-r13': {'element': {'type': 'PRACH-ParametersCE-r13'},
                                                                    'size': [(1,
                                                                              'maxCE-Level-r13')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'PSCellToAddMod-r12': {'members': [{'name': 'sCellIndex-r12',
                                                                         'type': 'SCellIndex-r10'},
                                                                        {'members': [{'name': 'physCellId-r12',
                                                                                      'type': 'PhysCellId'},
                                                                                     {'name': 'dl-CarrierFreq-r12',
                                                                                      'type': 'ARFCN-ValueEUTRA-r9'}],
                                                                         'name': 'cellIdentification-r12',
                                                                         'optional': True,
                                                                         'type': 'SEQUENCE'},
                                                                        {'name': 'radioResourceConfigCommonPSCell-r12',
                                                                         'optional': True,
                                                                         'type': 'RadioResourceConfigCommonPSCell-r12'},
                                                                        {'name': 'radioResourceConfigDedicatedPSCell-r12',
                                                                         'optional': True,
                                                                         'type': 'RadioResourceConfigDedicatedPSCell-r12'},
                                                                        '...',
                                                                        {'name': 'antennaInfoDedicatedPSCell-v1280',
                                                                         'optional': True,
                                                                         'type': 'AntennaInfoDedicated-v10i0'},
                                                                        {'name': 'sCellIndex-r13',
                                                                         'optional': True,
                                                                         'type': 'SCellIndex-r13'},
                                                                        {'name': 'radioResourceConfigDedicatedPSCell-v1370',
                                                                         'optional': True,
                                                                         'type': 'RadioResourceConfigDedicatedPSCell-v1370'}],
                                                            'type': 'SEQUENCE'},
                                     'PSCellToAddMod-v12f0': {'members': [{'name': 'radioResourceConfigCommonPSCell-r12',
                                                                           'optional': True,
                                                                           'type': 'RadioResourceConfigCommonPSCell-v12f0'}],
                                                              'type': 'SEQUENCE'},
                                     'PSCellToAddMod-v1440': {'members': [{'name': 'radioResourceConfigCommonPSCell-r14',
                                                                           'optional': True,
                                                                           'type': 'RadioResourceConfigCommonPSCell-v1440'}],
                                                              'type': 'SEQUENCE'},
                                     'PUCCH-ConfigCommon': {'members': [{'name': 'deltaPUCCH-Shift',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'ds1',
                                                                                    1: 'ds2',
                                                                                    2: 'ds3'}},
                                                                        {'name': 'nRB-CQI',
                                                                         'restricted-to': [(0,
                                                                                            98)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'nCS-AN',
                                                                         'restricted-to': [(0,
                                                                                            7)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'n1PUCCH-AN',
                                                                         'restricted-to': [(0,
                                                                                            2047)],
                                                                         'type': 'INTEGER'}],
                                                            'type': 'SEQUENCE'},
                                     'PUCCH-ConfigCommon-v1310': {'members': [{'name': 'n1PUCCH-AN-InfoList-r13',
                                                                               'optional': True,
                                                                               'type': 'N1PUCCH-AN-InfoList-r13'},
                                                                              {'name': 'pucch-NumRepetitionCE-Msg4-Level0-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n1',
                                                                                          1: 'n2',
                                                                                          2: 'n4',
                                                                                          3: 'n8'}},
                                                                              {'name': 'pucch-NumRepetitionCE-Msg4-Level1-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n1',
                                                                                          1: 'n2',
                                                                                          2: 'n4',
                                                                                          3: 'n8'}},
                                                                              {'name': 'pucch-NumRepetitionCE-Msg4-Level2-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n4',
                                                                                          1: 'n8',
                                                                                          2: 'n16',
                                                                                          3: 'n32'}},
                                                                              {'name': 'pucch-NumRepetitionCE-Msg4-Level3-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n4',
                                                                                          1: 'n8',
                                                                                          2: 'n16',
                                                                                          3: 'n32'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PUCCH-ConfigCommon-v1430': {'members': [{'name': 'pucch-NumRepetitionCE-Msg4-Level3-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n64',
                                                                                          1: 'n128'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PUCCH-ConfigDedicated': {'members': [{'members': [{'name': 'release',
                                                                                         'type': 'NULL'},
                                                                                        {'members': [{'name': 'repetitionFactor',
                                                                                                      'type': 'ENUMERATED',
                                                                                                      'values': {0: 'n2',
                                                                                                                 1: 'n4',
                                                                                                                 2: 'n6',
                                                                                                                 3: 'spare1'}},
                                                                                                     {'name': 'n1PUCCH-AN-Rep',
                                                                                                      'restricted-to': [(0,
                                                                                                                         2047)],
                                                                                                      'type': 'INTEGER'}],
                                                                                         'name': 'setup',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'name': 'ackNackRepetition',
                                                                            'type': 'CHOICE'},
                                                                           {'name': 'tdd-AckNackFeedbackMode',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'bundling',
                                                                                       1: 'multiplexing'}}],
                                                               'type': 'SEQUENCE'},
                                     'PUCCH-ConfigDedicated-r13': {'members': [{'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'name': 'repetitionFactor-r13',
                                                                                                          'type': 'ENUMERATED',
                                                                                                          'values': {0: 'n2',
                                                                                                                     1: 'n4',
                                                                                                                     2: 'n6',
                                                                                                                     3: 'spare1'}},
                                                                                                         {'name': 'n1PUCCH-AN-Rep-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             2047)],
                                                                                                          'type': 'INTEGER'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'ackNackRepetition-r13',
                                                                                'type': 'CHOICE'},
                                                                               {'name': 'tdd-AckNackFeedbackMode-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'bundling',
                                                                                           1: 'multiplexing'}},
                                                                               {'members': [{'members': [{'element': {'restricted-to': [(0,
                                                                                                                                         549)],
                                                                                                                      'type': 'INTEGER'},
                                                                                                          'name': 'n3PUCCH-AN-List-r13',
                                                                                                          'optional': True,
                                                                                                          'size': [(1,
                                                                                                                    4)],
                                                                                                          'type': 'SEQUENCE '
                                                                                                                  'OF'},
                                                                                                         {'members': [{'name': 'release',
                                                                                                                       'type': 'NULL'},
                                                                                                                      {'members': [{'element': {'restricted-to': [(0,
                                                                                                                                                                   549)],
                                                                                                                                                'type': 'INTEGER'},
                                                                                                                                    'name': 'n3PUCCH-AN-ListP1-r13',
                                                                                                                                    'size': [(1,
                                                                                                                                              4)],
                                                                                                                                    'type': 'SEQUENCE '
                                                                                                                                            'OF'}],
                                                                                                                       'name': 'setup',
                                                                                                                       'type': 'SEQUENCE'}],
                                                                                                          'name': 'twoAntennaPortActivatedPUCCH-Format3-r13',
                                                                                                          'optional': True,
                                                                                                          'type': 'CHOICE'}],
                                                                                             'name': 'format3-r13',
                                                                                             'type': 'SEQUENCE'},
                                                                                            {'members': [{'members': [{'name': 'release',
                                                                                                                       'type': 'NULL'},
                                                                                                                      {'members': [{'element': {'type': 'N1PUCCH-AN-CS-r10'},
                                                                                                                                    'name': 'n1PUCCH-AN-CS-List-r13',
                                                                                                                                    'size': [(1,
                                                                                                                                              2)],
                                                                                                                                    'type': 'SEQUENCE '
                                                                                                                                            'OF'},
                                                                                                                                   {'element': {'restricted-to': [(0,
                                                                                                                                                                   2047)],
                                                                                                                                                'type': 'INTEGER'},
                                                                                                                                    'name': 'n1PUCCH-AN-CS-ListP1-r13',
                                                                                                                                    'size': [(2,
                                                                                                                                              4)],
                                                                                                                                    'type': 'SEQUENCE '
                                                                                                                                            'OF'}],
                                                                                                                       'name': 'setup',
                                                                                                                       'type': 'SEQUENCE'}],
                                                                                                          'name': 'n1PUCCH-AN-CS-r13',
                                                                                                          'optional': True,
                                                                                                          'type': 'CHOICE'}],
                                                                                             'name': 'channelSelection-r13',
                                                                                             'type': 'SEQUENCE'},
                                                                                            {'members': [{'element': {'type': 'Format4-resource-r13'},
                                                                                                          'name': 'format4-resourceConfiguration-r13',
                                                                                                          'size': [4],
                                                                                                          'type': 'SEQUENCE '
                                                                                                                  'OF'},
                                                                                                         {'element': {'type': 'Format4-resource-r13'},
                                                                                                          'name': 'format4-MultiCSI-resourceConfiguration-r13',
                                                                                                          'optional': True,
                                                                                                          'size': [(1,
                                                                                                                    2)],
                                                                                                          'type': 'SEQUENCE '
                                                                                                                  'OF'}],
                                                                                             'name': 'format4-r13',
                                                                                             'type': 'SEQUENCE'},
                                                                                            {'members': [{'element': {'type': 'Format5-resource-r13'},
                                                                                                          'name': 'format5-resourceConfiguration-r13',
                                                                                                          'size': [4],
                                                                                                          'type': 'SEQUENCE '
                                                                                                                  'OF'},
                                                                                                         {'name': 'format5-MultiCSI-resourceConfiguration-r13',
                                                                                                          'optional': True,
                                                                                                          'type': 'Format5-resource-r13'}],
                                                                                             'name': 'format5-r13',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'pucch-Format-r13',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'name': 'twoAntennaPortActivatedPUCCH-Format1a1b-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               {'name': 'simultaneousPUCCH-PUSCH-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               {'name': 'n1PUCCH-AN-RepP1-r13',
                                                                                'optional': True,
                                                                                'restricted-to': [(0,
                                                                                                   2047)],
                                                                                'type': 'INTEGER'},
                                                                               {'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'name': 'nPUCCH-Identity-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             503)],
                                                                                                          'type': 'INTEGER'},
                                                                                                         {'name': 'n1PUCCH-AN-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             2047)],
                                                                                                          'type': 'INTEGER'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'nPUCCH-Param-r13',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'name': 'nkaPUCCH-AN-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             2047)],
                                                                                                          'type': 'INTEGER'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'nkaPUCCH-Param-r13',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'name': 'spatialBundlingPUCCH-r13',
                                                                                'type': 'BOOLEAN'},
                                                                               {'name': 'spatialBundlingPUSCH-r13',
                                                                                'type': 'BOOLEAN'},
                                                                               {'name': 'harq-TimingTDD-r13',
                                                                                'type': 'BOOLEAN'},
                                                                               {'name': 'codebooksizeDetermination-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'dai',
                                                                                           1: 'cc'}},
                                                                               {'name': 'maximumPayloadCoderate-r13',
                                                                                'optional': True,
                                                                                'restricted-to': [(0,
                                                                                                   7)],
                                                                                'type': 'INTEGER'},
                                                                               {'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'members': [{'name': 'pucch-NumRepetitionCE-format1-r13',
                                                                                                                       'type': 'ENUMERATED',
                                                                                                                       'values': {0: 'r1',
                                                                                                                                  1: 'r2',
                                                                                                                                  2: 'r4',
                                                                                                                                  3: 'r8'}},
                                                                                                                      {'name': 'pucch-NumRepetitionCE-format2-r13',
                                                                                                                       'type': 'ENUMERATED',
                                                                                                                       'values': {0: 'r1',
                                                                                                                                  1: 'r2',
                                                                                                                                  2: 'r4',
                                                                                                                                  3: 'r8'}}],
                                                                                                          'name': 'modeA',
                                                                                                          'type': 'SEQUENCE'},
                                                                                                         {'members': [{'name': 'pucch-NumRepetitionCE-format1-r13',
                                                                                                                       'type': 'ENUMERATED',
                                                                                                                       'values': {0: 'r4',
                                                                                                                                  1: 'r8',
                                                                                                                                  2: 'r16',
                                                                                                                                  3: 'r32'}},
                                                                                                                      {'name': 'pucch-NumRepetitionCE-format2-r13',
                                                                                                                       'type': 'ENUMERATED',
                                                                                                                       'values': {0: 'r4',
                                                                                                                                  1: 'r8',
                                                                                                                                  2: 'r16',
                                                                                                                                  3: 'r32'}}],
                                                                                                          'name': 'modeB',
                                                                                                          'type': 'SEQUENCE'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'CHOICE'}],
                                                                                'name': 'pucch-NumRepetitionCE-r13',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'}],
                                                                   'type': 'SEQUENCE'},
                                     'PUCCH-ConfigDedicated-v1020': {'members': [{'members': [{'name': 'format3-r10',
                                                                                               'type': 'PUCCH-Format3-Conf-r13'},
                                                                                              {'members': [{'members': [{'name': 'release',
                                                                                                                         'type': 'NULL'},
                                                                                                                        {'members': [{'element': {'type': 'N1PUCCH-AN-CS-r10'},
                                                                                                                                      'name': 'n1PUCCH-AN-CS-List-r10',
                                                                                                                                      'size': [(1,
                                                                                                                                                2)],
                                                                                                                                      'type': 'SEQUENCE '
                                                                                                                                              'OF'}],
                                                                                                                         'name': 'setup',
                                                                                                                         'type': 'SEQUENCE'}],
                                                                                                            'name': 'n1PUCCH-AN-CS-r10',
                                                                                                            'optional': True,
                                                                                                            'type': 'CHOICE'}],
                                                                                               'name': 'channelSelection-r10',
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'pucch-Format-r10',
                                                                                  'optional': True,
                                                                                  'type': 'CHOICE'},
                                                                                 {'name': 'twoAntennaPortActivatedPUCCH-Format1a1b-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'simultaneousPUCCH-PUSCH-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'n1PUCCH-AN-RepP1-r10',
                                                                                  'optional': True,
                                                                                  'restricted-to': [(0,
                                                                                                     2047)],
                                                                                  'type': 'INTEGER'}],
                                                                     'type': 'SEQUENCE'},
                                     'PUCCH-ConfigDedicated-v1130': {'members': [{'members': [{'name': 'release',
                                                                                               'type': 'NULL'},
                                                                                              {'members': [{'element': {'restricted-to': [(0,
                                                                                                                                           2047)],
                                                                                                                        'type': 'INTEGER'},
                                                                                                            'name': 'n1PUCCH-AN-CS-ListP1-r11',
                                                                                                            'size': [(2,
                                                                                                                      4)],
                                                                                                            'type': 'SEQUENCE '
                                                                                                                    'OF'}],
                                                                                               'name': 'setup',
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'n1PUCCH-AN-CS-v1130',
                                                                                  'optional': True,
                                                                                  'type': 'CHOICE'},
                                                                                 {'members': [{'name': 'release',
                                                                                               'type': 'NULL'},
                                                                                              {'members': [{'name': 'nPUCCH-Identity-r11',
                                                                                                            'restricted-to': [(0,
                                                                                                                               503)],
                                                                                                            'type': 'INTEGER'},
                                                                                                           {'name': 'n1PUCCH-AN-r11',
                                                                                                            'restricted-to': [(0,
                                                                                                                               2047)],
                                                                                                            'type': 'INTEGER'}],
                                                                                               'name': 'setup',
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'nPUCCH-Param-r11',
                                                                                  'optional': True,
                                                                                  'type': 'CHOICE'}],
                                                                     'type': 'SEQUENCE'},
                                     'PUCCH-ConfigDedicated-v1250': {'members': [{'members': [{'name': 'release',
                                                                                               'type': 'NULL'},
                                                                                              {'members': [{'name': 'nkaPUCCH-AN-r12',
                                                                                                            'restricted-to': [(0,
                                                                                                                               2047)],
                                                                                                            'type': 'INTEGER'}],
                                                                                               'name': 'setup',
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'nkaPUCCH-Param-r12',
                                                                                  'type': 'CHOICE'}],
                                                                     'type': 'SEQUENCE'},
                                     'PUCCH-ConfigDedicated-v1370': {'members': [{'members': [{'name': 'release',
                                                                                               'type': 'NULL'},
                                                                                              {'name': 'setup',
                                                                                               'type': 'PUCCH-Format3-Conf-r13'}],
                                                                                  'name': 'pucch-Format-v1370',
                                                                                  'type': 'CHOICE'}],
                                                                     'type': 'SEQUENCE'},
                                     'PUCCH-ConfigDedicated-v1430': {'members': [{'name': 'pucch-NumRepetitionCE-format1-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'r64',
                                                                                             1: 'r128'}}],
                                                                     'type': 'SEQUENCE'},
                                     'PUCCH-Format3-Conf-r13': {'members': [{'element': {'restricted-to': [(0,
                                                                                                            549)],
                                                                                         'type': 'INTEGER'},
                                                                             'name': 'n3PUCCH-AN-List-r13',
                                                                             'optional': True,
                                                                             'size': [(1,
                                                                                       4)],
                                                                             'type': 'SEQUENCE '
                                                                                     'OF'},
                                                                            {'members': [{'name': 'release',
                                                                                          'type': 'NULL'},
                                                                                         {'members': [{'element': {'restricted-to': [(0,
                                                                                                                                      549)],
                                                                                                                   'type': 'INTEGER'},
                                                                                                       'name': 'n3PUCCH-AN-ListP1-r13',
                                                                                                       'size': [(1,
                                                                                                                 4)],
                                                                                                       'type': 'SEQUENCE '
                                                                                                               'OF'}],
                                                                                          'name': 'setup',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'name': 'twoAntennaPortActivatedPUCCH-Format3-r13',
                                                                             'optional': True,
                                                                             'type': 'CHOICE'}],
                                                                'type': 'SEQUENCE'},
                                     'PUSCH-ConfigCommon': {'members': [{'members': [{'name': 'n-SB',
                                                                                      'restricted-to': [(1,
                                                                                                         4)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'hoppingMode',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'interSubFrame',
                                                                                                 1: 'intraAndInterSubFrame'}},
                                                                                     {'name': 'pusch-HoppingOffset',
                                                                                      'restricted-to': [(0,
                                                                                                         98)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'enable64QAM',
                                                                                      'type': 'BOOLEAN'}],
                                                                         'name': 'pusch-ConfigBasic',
                                                                         'type': 'SEQUENCE'},
                                                                        {'name': 'ul-ReferenceSignalsPUSCH',
                                                                         'type': 'UL-ReferenceSignalsPUSCH'}],
                                                            'type': 'SEQUENCE'},
                                     'PUSCH-ConfigCommon-v1270': {'members': [{'name': 'enable64QAM-v1270',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'true'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PUSCH-ConfigCommon-v1310': {'members': [{'name': 'pusch-maxNumRepetitionCEmodeA-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'r8',
                                                                                          1: 'r16',
                                                                                          2: 'r32'}},
                                                                              {'name': 'pusch-maxNumRepetitionCEmodeB-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'r192',
                                                                                          1: 'r256',
                                                                                          2: 'r384',
                                                                                          3: 'r512',
                                                                                          4: 'r768',
                                                                                          5: 'r1024',
                                                                                          6: 'r1536',
                                                                                          7: 'r2048'}},
                                                                              {'name': 'pusch-HoppingOffset-v1310',
                                                                               'optional': True,
                                                                               'restricted-to': [(1,
                                                                                                  'maxAvailNarrowBands-r13')],
                                                                               'type': 'INTEGER'}],
                                                                  'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicated': {'members': [{'name': 'betaOffset-ACK-Index',
                                                                            'restricted-to': [(0,
                                                                                               15)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'betaOffset-RI-Index',
                                                                            'restricted-to': [(0,
                                                                                               15)],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'betaOffset-CQI-Index',
                                                                            'restricted-to': [(0,
                                                                                               15)],
                                                                            'type': 'INTEGER'}],
                                                               'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicated-r13': {'members': [{'name': 'betaOffset-ACK-Index-r13',
                                                                                'restricted-to': [(0,
                                                                                                   15)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'betaOffset2-ACK-Index-r13',
                                                                                'optional': True,
                                                                                'restricted-to': [(0,
                                                                                                   15)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'betaOffset-RI-Index-r13',
                                                                                'restricted-to': [(0,
                                                                                                   15)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'betaOffset-CQI-Index-r13',
                                                                                'restricted-to': [(0,
                                                                                                   15)],
                                                                                'type': 'INTEGER'},
                                                                               {'members': [{'name': 'betaOffset-ACK-Index-MC-r13',
                                                                                             'restricted-to': [(0,
                                                                                                                15)],
                                                                                             'type': 'INTEGER'},
                                                                                            {'name': 'betaOffset2-ACK-Index-MC-r13',
                                                                                             'optional': True,
                                                                                             'restricted-to': [(0,
                                                                                                                15)],
                                                                                             'type': 'INTEGER'},
                                                                                            {'name': 'betaOffset-RI-Index-MC-r13',
                                                                                             'restricted-to': [(0,
                                                                                                                15)],
                                                                                             'type': 'INTEGER'},
                                                                                            {'name': 'betaOffset-CQI-Index-MC-r13',
                                                                                             'restricted-to': [(0,
                                                                                                                15)],
                                                                                             'type': 'INTEGER'}],
                                                                                'name': 'betaOffsetMC-r13',
                                                                                'optional': True,
                                                                                'type': 'SEQUENCE'},
                                                                               {'name': 'groupHoppingDisabled-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               {'name': 'dmrs-WithOCC-Activated-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               {'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'name': 'nPUSCH-Identity-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             509)],
                                                                                                          'type': 'INTEGER'},
                                                                                                         {'name': 'nDMRS-CSH-Identity-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             509)],
                                                                                                          'type': 'INTEGER'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'pusch-DMRS-r11',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'name': 'betaOffset-ACK-Index-SubframeSet2-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             15)],
                                                                                                          'type': 'INTEGER'},
                                                                                                         {'name': 'betaOffset2-ACK-Index-SubframeSet2-r13',
                                                                                                          'optional': True,
                                                                                                          'restricted-to': [(0,
                                                                                                                             15)],
                                                                                                          'type': 'INTEGER'},
                                                                                                         {'name': 'betaOffset-RI-Index-SubframeSet2-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             15)],
                                                                                                          'type': 'INTEGER'},
                                                                                                         {'name': 'betaOffset-CQI-Index-SubframeSet2-r13',
                                                                                                          'restricted-to': [(0,
                                                                                                                             15)],
                                                                                                          'type': 'INTEGER'},
                                                                                                         {'members': [{'name': 'betaOffset-ACK-Index-MC-SubframeSet2-r13',
                                                                                                                       'restricted-to': [(0,
                                                                                                                                          15)],
                                                                                                                       'type': 'INTEGER'},
                                                                                                                      {'name': 'betaOffset2-ACK-Index-MC-SubframeSet2-r13',
                                                                                                                       'optional': True,
                                                                                                                       'restricted-to': [(0,
                                                                                                                                          15)],
                                                                                                                       'type': 'INTEGER'},
                                                                                                                      {'name': 'betaOffset-RI-Index-MC-SubframeSet2-r13',
                                                                                                                       'restricted-to': [(0,
                                                                                                                                          15)],
                                                                                                                       'type': 'INTEGER'},
                                                                                                                      {'name': 'betaOffset-CQI-Index-MC-SubframeSet2-r13',
                                                                                                                       'restricted-to': [(0,
                                                                                                                                          15)],
                                                                                                                       'type': 'INTEGER'}],
                                                                                                          'name': 'betaOffsetMC-r12',
                                                                                                          'optional': True,
                                                                                                          'type': 'SEQUENCE'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'uciOnPUSCH',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'name': 'pusch-HoppingConfig-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'on'}}],
                                                                   'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicated-v1020': {'members': [{'members': [{'name': 'betaOffset-ACK-Index-MC-r10',
                                                                                               'restricted-to': [(0,
                                                                                                                  15)],
                                                                                               'type': 'INTEGER'},
                                                                                              {'name': 'betaOffset-RI-Index-MC-r10',
                                                                                               'restricted-to': [(0,
                                                                                                                  15)],
                                                                                               'type': 'INTEGER'},
                                                                                              {'name': 'betaOffset-CQI-Index-MC-r10',
                                                                                               'restricted-to': [(0,
                                                                                                                  15)],
                                                                                               'type': 'INTEGER'}],
                                                                                  'name': 'betaOffsetMC-r10',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'name': 'groupHoppingDisabled-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'dmrs-WithOCC-Activated-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}}],
                                                                     'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicated-v1130': {'members': [{'members': [{'name': 'release',
                                                                                               'type': 'NULL'},
                                                                                              {'members': [{'name': 'nPUSCH-Identity-r11',
                                                                                                            'restricted-to': [(0,
                                                                                                                               509)],
                                                                                                            'type': 'INTEGER'},
                                                                                                           {'name': 'nDMRS-CSH-Identity-r11',
                                                                                                            'restricted-to': [(0,
                                                                                                                               509)],
                                                                                                            'type': 'INTEGER'}],
                                                                                               'name': 'setup',
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'pusch-DMRS-r11',
                                                                                  'type': 'CHOICE'}],
                                                                     'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicated-v1250': {'members': [{'members': [{'name': 'release',
                                                                                               'type': 'NULL'},
                                                                                              {'members': [{'name': 'betaOffset-ACK-Index-SubframeSet2-r12',
                                                                                                            'restricted-to': [(0,
                                                                                                                               15)],
                                                                                                            'type': 'INTEGER'},
                                                                                                           {'name': 'betaOffset-RI-Index-SubframeSet2-r12',
                                                                                                            'restricted-to': [(0,
                                                                                                                               15)],
                                                                                                            'type': 'INTEGER'},
                                                                                                           {'name': 'betaOffset-CQI-Index-SubframeSet2-r12',
                                                                                                            'restricted-to': [(0,
                                                                                                                               15)],
                                                                                                            'type': 'INTEGER'},
                                                                                                           {'members': [{'name': 'betaOffset-ACK-Index-MC-SubframeSet2-r12',
                                                                                                                         'restricted-to': [(0,
                                                                                                                                            15)],
                                                                                                                         'type': 'INTEGER'},
                                                                                                                        {'name': 'betaOffset-RI-Index-MC-SubframeSet2-r12',
                                                                                                                         'restricted-to': [(0,
                                                                                                                                            15)],
                                                                                                                         'type': 'INTEGER'},
                                                                                                                        {'name': 'betaOffset-CQI-Index-MC-SubframeSet2-r12',
                                                                                                                         'restricted-to': [(0,
                                                                                                                                            15)],
                                                                                                                         'type': 'INTEGER'}],
                                                                                                            'name': 'betaOffsetMC-r12',
                                                                                                            'optional': True,
                                                                                                            'type': 'SEQUENCE'}],
                                                                                               'name': 'setup',
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'uciOnPUSCH',
                                                                                  'type': 'CHOICE'}],
                                                                     'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicated-v1430': {'members': [{'name': 'ce-PUSCH-NB-MaxTBS-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'on'}},
                                                                                 {'name': 'ce-PUSCH-MaxBandwidth-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'bw5'}},
                                                                                 {'name': 'tdd-PUSCH-UpPTS-r14',
                                                                                  'optional': True,
                                                                                  'type': 'TDD-PUSCH-UpPTS-r14'},
                                                                                 {'name': 'ul-DMRS-IFDMA-r14',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'enable256QAM-r14',
                                                                                  'optional': True,
                                                                                  'type': 'Enable256QAM-r14'}],
                                                                     'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicatedSCell-r10': {'members': [{'name': 'groupHoppingDisabled-r10',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'dmrs-WithOCC-Activated-r10',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}}],
                                                                        'type': 'SEQUENCE'},
                                     'PUSCH-ConfigDedicatedSCell-v1430': {'members': [{'name': 'enable256QAM-r14',
                                                                                       'optional': True,
                                                                                       'type': 'Enable256QAM-r14'}],
                                                                          'type': 'SEQUENCE'},
                                     'PUSCH-EnhancementsConfig-r14': {'members': [{'name': 'release',
                                                                                   'type': 'NULL'},
                                                                                  {'members': [{'name': 'pusch-HoppingOffsetPUSCH-Enh-r14',
                                                                                                'optional': True,
                                                                                                'restricted-to': [(1,
                                                                                                                   100)],
                                                                                                'type': 'INTEGER'},
                                                                                               {'members': [{'name': 'interval-FDD-PUSCH-Enh-r14',
                                                                                                             'type': 'ENUMERATED',
                                                                                                             'values': {0: 'int1',
                                                                                                                        1: 'int2',
                                                                                                                        2: 'int4',
                                                                                                                        3: 'int8'}},
                                                                                                            {'name': 'interval-TDD-PUSCH-Enh-r14',
                                                                                                             'type': 'ENUMERATED',
                                                                                                             'values': {0: 'int1',
                                                                                                                        1: 'int5',
                                                                                                                        2: 'int10',
                                                                                                                        3: 'int20'}}],
                                                                                                'name': 'interval-ULHoppingPUSCH-Enh-r14',
                                                                                                'optional': True,
                                                                                                'type': 'CHOICE'}],
                                                                                   'name': 'setup',
                                                                                   'type': 'SEQUENCE'}],
                                                                      'type': 'CHOICE'},
                                     'Paging': {'members': [{'name': 'pagingRecordList',
                                                             'optional': True,
                                                             'type': 'PagingRecordList'},
                                                            {'name': 'systemInfoModification',
                                                             'optional': True,
                                                             'type': 'ENUMERATED',
                                                             'values': {0: 'true'}},
                                                            {'name': 'etws-Indication',
                                                             'optional': True,
                                                             'type': 'ENUMERATED',
                                                             'values': {0: 'true'}},
                                                            {'name': 'nonCriticalExtension',
                                                             'optional': True,
                                                             'type': 'Paging-v890-IEs'}],
                                                'type': 'SEQUENCE'},
                                     'Paging-v1130-IEs': {'members': [{'name': 'eab-ParamModification-r11',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'true'}},
                                                                      {'name': 'nonCriticalExtension',
                                                                       'optional': True,
                                                                       'type': 'Paging-v1310-IEs'}],
                                                          'type': 'SEQUENCE'},
                                     'Paging-v1310-IEs': {'members': [{'name': 'redistributionIndication-r13',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'true'}},
                                                                      {'name': 'systemInfoModification-eDRX-r13',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'true'}},
                                                                      {'members': [],
                                                                       'name': 'nonCriticalExtension',
                                                                       'optional': True,
                                                                       'type': 'SEQUENCE'}],
                                                          'type': 'SEQUENCE'},
                                     'Paging-v890-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                      'optional': True,
                                                                      'type': 'OCTET '
                                                                              'STRING'},
                                                                     {'name': 'nonCriticalExtension',
                                                                      'optional': True,
                                                                      'type': 'Paging-v920-IEs'}],
                                                         'type': 'SEQUENCE'},
                                     'Paging-v920-IEs': {'members': [{'name': 'cmas-Indication-r9',
                                                                      'optional': True,
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'true'}},
                                                                     {'name': 'nonCriticalExtension',
                                                                      'optional': True,
                                                                      'type': 'Paging-v1130-IEs'}],
                                                         'type': 'SEQUENCE'},
                                     'PagingRecord': {'members': [{'name': 'ue-Identity',
                                                                   'type': 'PagingUE-Identity'},
                                                                  {'name': 'cn-Domain',
                                                                   'type': 'ENUMERATED',
                                                                   'values': {0: 'ps',
                                                                              1: 'cs'}},
                                                                  '...'],
                                                      'type': 'SEQUENCE'},
                                     'PagingRecordList': {'element': {'type': 'PagingRecord'},
                                                          'size': [(1,
                                                                    'maxPageRec')],
                                                          'type': 'SEQUENCE '
                                                                  'OF'},
                                     'PagingUE-Identity': {'members': [{'name': 's-TMSI',
                                                                        'type': 'S-TMSI'},
                                                                       {'name': 'imsi',
                                                                        'type': 'IMSI'},
                                                                       '...'],
                                                           'type': 'CHOICE'},
                                     'ParametersCDMA2000-r11': {'members': [{'members': [{'name': 'explicitValue',
                                                                                          'type': 'SystemTimeInfoCDMA2000'},
                                                                                         {'name': 'defaultValue',
                                                                                          'type': 'NULL'}],
                                                                             'name': 'systemTimeInfo-r11',
                                                                             'optional': True,
                                                                             'type': 'CHOICE'},
                                                                            {'name': 'searchWindowSize-r11',
                                                                             'restricted-to': [(0,
                                                                                                15)],
                                                                             'type': 'INTEGER'},
                                                                            {'members': [{'name': 'preRegistrationInfoHRPD-r11',
                                                                                          'type': 'PreRegistrationInfoHRPD'},
                                                                                         {'name': 'cellReselectionParametersHRPD-r11',
                                                                                          'optional': True,
                                                                                          'type': 'CellReselectionParametersCDMA2000-r11'}],
                                                                             'name': 'parametersHRPD-r11',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'csfb-RegistrationParam1XRTT-r11',
                                                                                          'optional': True,
                                                                                          'type': 'CSFB-RegistrationParam1XRTT'},
                                                                                         {'name': 'csfb-RegistrationParam1XRTT-Ext-r11',
                                                                                          'optional': True,
                                                                                          'type': 'CSFB-RegistrationParam1XRTT-v920'},
                                                                                         {'name': 'longCodeState1XRTT-r11',
                                                                                          'optional': True,
                                                                                          'size': [42],
                                                                                          'type': 'BIT '
                                                                                                  'STRING'},
                                                                                         {'name': 'cellReselectionParameters1XRTT-r11',
                                                                                          'optional': True,
                                                                                          'type': 'CellReselectionParametersCDMA2000-r11'},
                                                                                         {'name': 'ac-BarringConfig1XRTT-r11',
                                                                                          'optional': True,
                                                                                          'type': 'AC-BarringConfig1XRTT-r9'},
                                                                                         {'name': 'csfb-SupportForDualRxUEs-r11',
                                                                                          'optional': True,
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'csfb-DualRxTxSupport-r11',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'true'}}],
                                                                             'name': 'parameters1XRTT-r11',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'PerCC-GapIndication-r14': {'members': [{'name': 'servCellId-r14',
                                                                              'type': 'ServCellIndex-r13'},
                                                                             {'name': 'gapIndication-r14',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'gap',
                                                                                         1: 'ncsg',
                                                                                         2: 'nogap-noNcsg'}}],
                                                                 'type': 'SEQUENCE'},
                                     'PerCC-GapIndicationList-r14': {'element': {'type': 'PerCC-GapIndication-r14'},
                                                                     'size': [(1,
                                                                               'maxServCell-r13')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'PeriodicBSR-Timer-r12': {'type': 'ENUMERATED',
                                                               'values': {0: 'sf5',
                                                                          1: 'sf10',
                                                                          2: 'sf16',
                                                                          3: 'sf20',
                                                                          4: 'sf32',
                                                                          5: 'sf40',
                                                                          6: 'sf64',
                                                                          7: 'sf80',
                                                                          8: 'sf128',
                                                                          9: 'sf160',
                                                                          10: 'sf320',
                                                                          11: 'sf640',
                                                                          12: 'sf1280',
                                                                          13: 'sf2560',
                                                                          14: 'infinity',
                                                                          15: 'spare1'}},
                                     'PhyLayerParameters': {'members': [{'name': 'ue-TxAntennaSelectionSupported',
                                                                         'type': 'BOOLEAN'},
                                                                        {'name': 'ue-SpecificRefSigsSupported',
                                                                         'type': 'BOOLEAN'}],
                                                            'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1020': {'members': [{'name': 'twoAntennaPortsForPUCCH-r10',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'tm9-With-8Tx-FDD-r10',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'pmi-Disabling-r10',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'crossCarrierScheduling-r10',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'simultaneousPUCCH-PUSCH-r10',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'multiClusterPUSCH-WithinCC-r10',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'nonContiguousUL-RA-WithinCC-List-r10',
                                                                               'optional': True,
                                                                               'type': 'NonContiguousUL-RA-WithinCC-List-r10'}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1130': {'members': [{'name': 'crs-InterfHandl-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ePDCCH-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'multiACK-CSI-Reporting-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ss-CCH-InterfHandl-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'tdd-SpecialSubframe-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'txDiv-PUCCH1b-ChSelect-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ul-CoMP-r11',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1170': {'members': [{'name': 'interBandTDD-CA-WithDifferentConfig-r11',
                                                                               'optional': True,
                                                                               'size': [2],
                                                                               'type': 'BIT '
                                                                                       'STRING'}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1250': {'members': [{'name': 'e-HARQ-Pattern-FDD-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'enhanced-4TxCodebook-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'tdd-FDD-CA-PCellDuplex-r12',
                                                                               'optional': True,
                                                                               'size': [2],
                                                                               'type': 'BIT '
                                                                                       'STRING'},
                                                                              {'name': 'phy-TDD-ReConfig-TDD-PCell-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'phy-TDD-ReConfig-FDD-PCell-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'pusch-FeedbackMode-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'pusch-SRS-PowerControl-SubframeSet-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'csi-SubframeSet-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'noResourceRestrictionForTTIBundling-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'discoverySignalsInDeactSCell-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'naics-Capability-List-r12',
                                                                               'optional': True,
                                                                               'type': 'NAICS-Capability-List-r12'}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1280': {'members': [{'name': 'alternativeTBS-Indices-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1310': {'members': [{'name': 'aperiodicCSI-Reporting-r13',
                                                                               'optional': True,
                                                                               'size': [2],
                                                                               'type': 'BIT '
                                                                                       'STRING'},
                                                                              {'name': 'codebook-HARQ-ACK-r13',
                                                                               'optional': True,
                                                                               'size': [2],
                                                                               'type': 'BIT '
                                                                                       'STRING'},
                                                                              {'name': 'crossCarrierScheduling-B5C-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'fdd-HARQ-TimingTDD-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'maxNumberUpdatedCSI-Proc-r13',
                                                                               'optional': True,
                                                                               'restricted-to': [(5,
                                                                                                  32)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'pucch-Format4-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'pucch-Format5-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'pucch-SCell-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'spatialBundling-HARQ-ACK-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'members': [{'name': 'maxNumberDecoding-r13',
                                                                                            'optional': True,
                                                                                            'restricted-to': [(1,
                                                                                                               32)],
                                                                                            'type': 'INTEGER'},
                                                                                           {'name': 'pdcch-CandidateReductions-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'supported'}},
                                                                                           {'name': 'skipMonitoringDCI-Format0-1A-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'supported'}}],
                                                                               'name': 'supportedBlindDecoding-r13',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'},
                                                                              {'name': 'uci-PUSCH-Ext-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'crs-InterfMitigationTM10-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'pdsch-CollisionHandling-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1320': {'members': [{'name': 'mimo-UE-Parameters-r13',
                                                                               'optional': True,
                                                                               'type': 'MIMO-UE-Parameters-r13'}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1330': {'members': [{'name': 'cch-InterfMitigation-RefRecTypeA-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'cch-InterfMitigation-RefRecTypeB-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'cch-InterfMitigation-MaxNumCCs-r13',
                                                                               'optional': True,
                                                                               'restricted-to': [(1,
                                                                                                  'maxServCell-r13')],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'crs-InterfMitigationTM1toTM9-r13',
                                                                               'optional': True,
                                                                               'restricted-to': [(1,
                                                                                                  'maxServCell-r13')],
                                                                               'type': 'INTEGER'}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v1430': {'members': [{'name': 'ce-PUSCH-NB-MaxTBS-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ce-PDSCH-PUSCH-MaxBandwidth-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'bw5',
                                                                                          1: 'bw20'}},
                                                                              {'name': 'ce-HARQ-AckBundling-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ce-PDSCH-TenProcesses-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ce-RetuningSymbols-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n0',
                                                                                          1: 'n1'}},
                                                                              {'name': 'ce-PDSCH-PUSCH-Enhancement-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ce-SchedulingEnhancement-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ce-SRS-Enhancement-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ce-PUCCH-Enhancement-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ce-ClosedLoopTxAntennaSelection-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'tdd-SpecialSubframe-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'tdd-TTI-Bundling-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'dmrs-LessUpPTS-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'mimo-UE-Parameters-v1430',
                                                                               'optional': True,
                                                                               'type': 'MIMO-UE-Parameters-v1430'},
                                                                              {'name': 'alternativeTBS-Index-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'feMBMS-Unicast-Parameters-r14',
                                                                               'optional': True,
                                                                               'type': 'FeMBMS-Unicast-Parameters-r14'}],
                                                                  'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v920': {'members': [{'name': 'enhancedDualLayerFDD-r9',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'supported'}},
                                                                             {'name': 'enhancedDualLayerTDD-r9',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'supported'}}],
                                                                 'type': 'SEQUENCE'},
                                     'PhyLayerParameters-v9d0': {'members': [{'name': 'tm5-FDD-r9',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'supported'}},
                                                                             {'name': 'tm5-TDD-r9',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'supported'}}],
                                                                 'type': 'SEQUENCE'},
                                     'PhysCellId': {'restricted-to': [(0, 503)],
                                                    'type': 'INTEGER'},
                                     'PhysCellIdCDMA2000': {'restricted-to': [(0,
                                                                               'maxPNOffset')],
                                                            'type': 'INTEGER'},
                                     'PhysCellIdGERAN': {'members': [{'name': 'networkColourCode',
                                                                      'size': [3],
                                                                      'type': 'BIT '
                                                                              'STRING'},
                                                                     {'name': 'baseStationColourCode',
                                                                      'size': [3],
                                                                      'type': 'BIT '
                                                                              'STRING'}],
                                                         'type': 'SEQUENCE'},
                                     'PhysCellIdList-r13': {'element': {'type': 'PhysCellId'},
                                                            'size': [(1,
                                                                      'maxSL-DiscCells-r13')],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                     'PhysCellIdListCDMA2000': {'element': {'type': 'PhysCellIdCDMA2000'},
                                                                'size': [(1,
                                                                          16)],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'PhysCellIdListCDMA2000-v920': {'element': {'type': 'PhysCellIdCDMA2000'},
                                                                     'size': [(0,
                                                                               24)],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'PhysCellIdRange': {'members': [{'name': 'start',
                                                                      'type': 'PhysCellId'},
                                                                     {'name': 'range',
                                                                      'optional': True,
                                                                      'type': 'ENUMERATED',
                                                                      'values': {0: 'n4',
                                                                                 1: 'n8',
                                                                                 2: 'n12',
                                                                                 3: 'n16',
                                                                                 4: 'n24',
                                                                                 5: 'n32',
                                                                                 6: 'n48',
                                                                                 7: 'n64',
                                                                                 8: 'n84',
                                                                                 9: 'n96',
                                                                                 10: 'n128',
                                                                                 11: 'n168',
                                                                                 12: 'n252',
                                                                                 13: 'n504',
                                                                                 14: 'spare2',
                                                                                 15: 'spare1'}}],
                                                         'type': 'SEQUENCE'},
                                     'PhysCellIdRangeUTRA-FDD-r9': {'members': [{'name': 'start-r9',
                                                                                 'type': 'PhysCellIdUTRA-FDD'},
                                                                                {'name': 'range-r9',
                                                                                 'optional': True,
                                                                                 'restricted-to': [(2,
                                                                                                    512)],
                                                                                 'type': 'INTEGER'}],
                                                                    'type': 'SEQUENCE'},
                                     'PhysCellIdRangeUTRA-FDDList-r9': {'element': {'type': 'PhysCellIdRangeUTRA-FDD-r9'},
                                                                        'size': [(1,
                                                                                  'maxPhysCellIdRange-r9')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'PhysCellIdUTRA-FDD': {'restricted-to': [(0,
                                                                               511)],
                                                            'type': 'INTEGER'},
                                     'PhysCellIdUTRA-TDD': {'restricted-to': [(0,
                                                                               127)],
                                                            'type': 'INTEGER'},
                                     'PhysicalConfigDedicated': {'members': [{'name': 'pdsch-ConfigDedicated',
                                                                              'optional': True,
                                                                              'type': 'PDSCH-ConfigDedicated'},
                                                                             {'name': 'pucch-ConfigDedicated',
                                                                              'optional': True,
                                                                              'type': 'PUCCH-ConfigDedicated'},
                                                                             {'name': 'pusch-ConfigDedicated',
                                                                              'optional': True,
                                                                              'type': 'PUSCH-ConfigDedicated'},
                                                                             {'name': 'uplinkPowerControlDedicated',
                                                                              'optional': True,
                                                                              'type': 'UplinkPowerControlDedicated'},
                                                                             {'name': 'tpc-PDCCH-ConfigPUCCH',
                                                                              'optional': True,
                                                                              'type': 'TPC-PDCCH-Config'},
                                                                             {'name': 'tpc-PDCCH-ConfigPUSCH',
                                                                              'optional': True,
                                                                              'type': 'TPC-PDCCH-Config'},
                                                                             {'name': 'cqi-ReportConfig',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig'},
                                                                             {'name': 'soundingRS-UL-ConfigDedicated',
                                                                              'optional': True,
                                                                              'type': 'SoundingRS-UL-ConfigDedicated'},
                                                                             {'members': [{'name': 'explicitValue',
                                                                                           'type': 'AntennaInfoDedicated'},
                                                                                          {'name': 'defaultValue',
                                                                                           'type': 'NULL'}],
                                                                              'name': 'antennaInfo',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'name': 'schedulingRequestConfig',
                                                                              'optional': True,
                                                                              'type': 'SchedulingRequestConfig'},
                                                                             '...',
                                                                             {'name': 'cqi-ReportConfig-v920',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig-v920'},
                                                                             {'name': 'antennaInfo-v920',
                                                                              'optional': True,
                                                                              'type': 'AntennaInfoDedicated-v920'},
                                                                             {'members': [{'name': 'explicitValue-r10',
                                                                                           'type': 'AntennaInfoDedicated-r10'},
                                                                                          {'name': 'defaultValue',
                                                                                           'type': 'NULL'}],
                                                                              'name': 'antennaInfo-r10',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'name': 'antennaInfoUL-r10',
                                                                              'optional': True,
                                                                              'type': 'AntennaInfoUL-r10'},
                                                                             {'name': 'cif-Presence-r10',
                                                                              'optional': True,
                                                                              'type': 'BOOLEAN'},
                                                                             {'name': 'cqi-ReportConfig-r10',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig-r10'},
                                                                             {'name': 'csi-RS-Config-r10',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-Config-r10'},
                                                                             {'name': 'pucch-ConfigDedicated-v1020',
                                                                              'optional': True,
                                                                              'type': 'PUCCH-ConfigDedicated-v1020'},
                                                                             {'name': 'pusch-ConfigDedicated-v1020',
                                                                              'optional': True,
                                                                              'type': 'PUSCH-ConfigDedicated-v1020'},
                                                                             {'name': 'schedulingRequestConfig-v1020',
                                                                              'optional': True,
                                                                              'type': 'SchedulingRequestConfig-v1020'},
                                                                             {'name': 'soundingRS-UL-ConfigDedicated-v1020',
                                                                              'optional': True,
                                                                              'type': 'SoundingRS-UL-ConfigDedicated-v1020'},
                                                                             {'name': 'soundingRS-UL-ConfigDedicatedAperiodic-r10',
                                                                              'optional': True,
                                                                              'type': 'SoundingRS-UL-ConfigDedicatedAperiodic-r10'},
                                                                             {'name': 'uplinkPowerControlDedicated-v1020',
                                                                              'optional': True,
                                                                              'type': 'UplinkPowerControlDedicated-v1020'},
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'members': [{'name': 'additionalSpectrumEmissionPCell-r10',
                                                                                                        'type': 'AdditionalSpectrumEmission'}],
                                                                                           'name': 'setup',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'additionalSpectrumEmissionCA-r10',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'name': 'csi-RS-ConfigNZPToReleaseList-r11',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-ConfigNZPToReleaseList-r11'},
                                                                             {'name': 'csi-RS-ConfigNZPToAddModList-r11',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-ConfigNZPToAddModList-r11'},
                                                                             {'name': 'csi-RS-ConfigZPToReleaseList-r11',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-ConfigZPToReleaseList-r11'},
                                                                             {'name': 'csi-RS-ConfigZPToAddModList-r11',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-ConfigZPToAddModList-r11'},
                                                                             {'name': 'epdcch-Config-r11',
                                                                              'optional': True,
                                                                              'type': 'EPDCCH-Config-r11'},
                                                                             {'name': 'pdsch-ConfigDedicated-v1130',
                                                                              'optional': True,
                                                                              'type': 'PDSCH-ConfigDedicated-v1130'},
                                                                             {'name': 'cqi-ReportConfig-v1130',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig-v1130'},
                                                                             {'name': 'pucch-ConfigDedicated-v1130',
                                                                              'optional': True,
                                                                              'type': 'PUCCH-ConfigDedicated-v1130'},
                                                                             {'name': 'pusch-ConfigDedicated-v1130',
                                                                              'optional': True,
                                                                              'type': 'PUSCH-ConfigDedicated-v1130'},
                                                                             {'name': 'uplinkPowerControlDedicated-v1130',
                                                                              'optional': True,
                                                                              'type': 'UplinkPowerControlDedicated-v1130'},
                                                                             {'name': 'antennaInfo-v1250',
                                                                              'optional': True,
                                                                              'type': 'AntennaInfoDedicated-v1250'},
                                                                             {'name': 'eimta-MainConfig-r12',
                                                                              'optional': True,
                                                                              'type': 'EIMTA-MainConfig-r12'},
                                                                             {'name': 'eimta-MainConfigPCell-r12',
                                                                              'optional': True,
                                                                              'type': 'EIMTA-MainConfigServCell-r12'},
                                                                             {'name': 'pucch-ConfigDedicated-v1250',
                                                                              'optional': True,
                                                                              'type': 'PUCCH-ConfigDedicated-v1250'},
                                                                             {'name': 'cqi-ReportConfigPCell-v1250',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig-v1250'},
                                                                             {'name': 'uplinkPowerControlDedicated-v1250',
                                                                              'optional': True,
                                                                              'type': 'UplinkPowerControlDedicated-v1250'},
                                                                             {'name': 'pusch-ConfigDedicated-v1250',
                                                                              'optional': True,
                                                                              'type': 'PUSCH-ConfigDedicated-v1250'},
                                                                             {'name': 'csi-RS-Config-v1250',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-Config-v1250'},
                                                                             {'name': 'pdsch-ConfigDedicated-v1280',
                                                                              'optional': True,
                                                                              'type': 'PDSCH-ConfigDedicated-v1280'},
                                                                             {'name': 'pdsch-ConfigDedicated-v1310',
                                                                              'optional': True,
                                                                              'type': 'PDSCH-ConfigDedicated-v1310'},
                                                                             {'name': 'pucch-ConfigDedicated-r13',
                                                                              'optional': True,
                                                                              'type': 'PUCCH-ConfigDedicated-r13'},
                                                                             {'name': 'pusch-ConfigDedicated-r13',
                                                                              'optional': True,
                                                                              'type': 'PUSCH-ConfigDedicated-r13'},
                                                                             {'name': 'pdcch-CandidateReductions-r13',
                                                                              'optional': True,
                                                                              'type': 'PDCCH-CandidateReductions-r13'},
                                                                             {'name': 'cqi-ReportConfig-v1310',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig-v1310'},
                                                                             {'name': 'soundingRS-UL-ConfigDedicated-v1310',
                                                                              'optional': True,
                                                                              'type': 'SoundingRS-UL-ConfigDedicated-v1310'},
                                                                             {'name': 'soundingRS-UL-ConfigDedicatedUpPTsExt-r13',
                                                                              'optional': True,
                                                                              'type': 'SoundingRS-UL-ConfigDedicatedUpPTsExt-r13'},
                                                                             {'name': 'soundingRS-UL-ConfigDedicatedAperiodic-v1310',
                                                                              'optional': True,
                                                                              'type': 'SoundingRS-UL-ConfigDedicatedAperiodic-v1310'},
                                                                             {'name': 'soundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13',
                                                                              'optional': True,
                                                                              'type': 'SoundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13'},
                                                                             {'name': 'csi-RS-Config-v1310',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-Config-v1310'},
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'name': 'setup',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'ce-ModeA',
                                                                                                      1: 'ce-ModeB'}}],
                                                                              'name': 'ce-Mode-r13',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'name': 'csi-RS-ConfigNZPToAddModListExt-r13',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-ConfigNZPToAddModListExt-r13'},
                                                                             {'name': 'csi-RS-ConfigNZPToReleaseListExt-r13',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-ConfigNZPToReleaseListExt-r13'},
                                                                             {'name': 'cqi-ReportConfig-v1320',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig-v1320'},
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'element': {'type': 'SRS-TPC-PDCCH-Config-r14'},
                                                                                           'name': 'setup',
                                                                                           'size': [(1,
                                                                                                     32)],
                                                                                           'type': 'SEQUENCE '
                                                                                                   'OF'}],
                                                                              'name': 'typeA-SRS-TPC-PDCCH-Group-r14',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'members': [{'name': 'k-max-r14',
                                                                                                        'type': 'ENUMERATED',
                                                                                                        'values': {0: 'l1',
                                                                                                                   1: 'l3'}},
                                                                                                       {'name': 'p-a-must-r14',
                                                                                                        'optional': True,
                                                                                                        'type': 'ENUMERATED',
                                                                                                        'values': {0: 'dB-6',
                                                                                                                   1: 'dB-4dot77',
                                                                                                                   2: 'dB-3',
                                                                                                                   3: 'dB-1dot77',
                                                                                                                   4: 'dB0',
                                                                                                                   5: 'dB1',
                                                                                                                   6: 'dB2',
                                                                                                                   7: 'dB3'}}],
                                                                                           'name': 'setup',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'must-Config-r14',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'name': 'pusch-EnhancementsConfig-r14',
                                                                              'optional': True,
                                                                              'type': 'PUSCH-EnhancementsConfig-r14'},
                                                                             {'name': 'ce-pdsch-pusch-EnhancementConfig-r14',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'on'}},
                                                                             {'name': 'antennaInfo-v1430',
                                                                              'optional': True,
                                                                              'type': 'AntennaInfoDedicated-v1430'},
                                                                             {'name': 'pucch-ConfigDedicated-v1430',
                                                                              'optional': True,
                                                                              'type': 'PUCCH-ConfigDedicated-v1430'},
                                                                             {'name': 'pdsch-ConfigDedicated-v1430',
                                                                              'optional': True,
                                                                              'type': 'PDSCH-ConfigDedicated-v1430'},
                                                                             {'name': 'pusch-ConfigDedicated-v1430',
                                                                              'optional': True,
                                                                              'type': 'PUSCH-ConfigDedicated-v1430'},
                                                                             {'element': {'type': 'SoundingRS-UL-ConfigDedicated'},
                                                                              'name': 'soundingRS-UL-PeriodicConfigDedicatedList-r14',
                                                                              'optional': True,
                                                                              'size': [(1,
                                                                                        2)],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'},
                                                                             {'element': {'type': 'SoundingRS-UL-ConfigDedicatedUpPTsExt-r13'},
                                                                              'name': 'soundingRS-UL-PeriodicConfigDedicatedUpPTsExtList-r14',
                                                                              'optional': True,
                                                                              'size': [(1,
                                                                                        4)],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'},
                                                                             {'element': {'type': 'SoundingRS-UL-ConfigDedicatedAperiodic-r10'},
                                                                              'name': 'soundingRS-UL-AperiodicConfigDedicatedList-r14',
                                                                              'optional': True,
                                                                              'size': [(1,
                                                                                        2)],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'},
                                                                             {'element': {'type': 'SoundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13'},
                                                                              'name': 'soundingRS-UL-ConfigDedicatedApUpPTsExtList-r14',
                                                                              'optional': True,
                                                                              'size': [(1,
                                                                                        4)],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'},
                                                                             {'name': 'csi-RS-Config-v1430',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-Config-v1430'},
                                                                             {'name': 'csi-RS-ConfigZP-ApList-r14',
                                                                              'optional': True,
                                                                              'type': 'CSI-RS-ConfigZP-ApList-r14'},
                                                                             {'name': 'cqi-ReportConfig-v1430',
                                                                              'optional': True,
                                                                              'type': 'CQI-ReportConfig-v1430'},
                                                                             {'name': 'semiOpenLoop-r14',
                                                                              'optional': True,
                                                                              'type': 'BOOLEAN'}],
                                                                 'type': 'SEQUENCE'},
                                     'PhysicalConfigDedicated-v1370': {'members': [{'name': 'pucch-ConfigDedicated-v1370',
                                                                                    'optional': True,
                                                                                    'type': 'PUCCH-ConfigDedicated-v1370'}],
                                                                       'type': 'SEQUENCE'},
                                     'PhysicalConfigDedicatedSCell-r10': {'members': [{'members': [{'name': 'antennaInfo-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'AntennaInfoDedicated-r10'},
                                                                                                   {'name': 'crossCarrierSchedulingConfig-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'CrossCarrierSchedulingConfig-r10'},
                                                                                                   {'name': 'csi-RS-Config-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'CSI-RS-Config-r10'},
                                                                                                   {'name': 'pdsch-ConfigDedicated-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'PDSCH-ConfigDedicated'}],
                                                                                       'name': 'nonUL-Configuration-r10',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'members': [{'name': 'antennaInfoUL-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'AntennaInfoUL-r10'},
                                                                                                   {'name': 'pusch-ConfigDedicatedSCell-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'PUSCH-ConfigDedicatedSCell-r10'},
                                                                                                   {'name': 'uplinkPowerControlDedicatedSCell-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'UplinkPowerControlDedicatedSCell-r10'},
                                                                                                   {'name': 'cqi-ReportConfigSCell-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'CQI-ReportConfigSCell-r10'},
                                                                                                   {'name': 'soundingRS-UL-ConfigDedicated-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'SoundingRS-UL-ConfigDedicated'},
                                                                                                   {'name': 'soundingRS-UL-ConfigDedicated-v1020',
                                                                                                    'optional': True,
                                                                                                    'type': 'SoundingRS-UL-ConfigDedicated-v1020'},
                                                                                                   {'name': 'soundingRS-UL-ConfigDedicatedAperiodic-r10',
                                                                                                    'optional': True,
                                                                                                    'type': 'SoundingRS-UL-ConfigDedicatedAperiodic-r10'}],
                                                                                       'name': 'ul-Configuration-r10',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      '...',
                                                                                      {'name': 'csi-RS-ConfigNZPToReleaseList-r11',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-ConfigNZPToReleaseList-r11'},
                                                                                      {'name': 'csi-RS-ConfigNZPToAddModList-r11',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-ConfigNZPToAddModList-r11'},
                                                                                      {'name': 'csi-RS-ConfigZPToReleaseList-r11',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-ConfigZPToReleaseList-r11'},
                                                                                      {'name': 'csi-RS-ConfigZPToAddModList-r11',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-ConfigZPToAddModList-r11'},
                                                                                      {'name': 'epdcch-Config-r11',
                                                                                       'optional': True,
                                                                                       'type': 'EPDCCH-Config-r11'},
                                                                                      {'name': 'pdsch-ConfigDedicated-v1130',
                                                                                       'optional': True,
                                                                                       'type': 'PDSCH-ConfigDedicated-v1130'},
                                                                                      {'name': 'cqi-ReportConfig-v1130',
                                                                                       'optional': True,
                                                                                       'type': 'CQI-ReportConfig-v1130'},
                                                                                      {'name': 'pusch-ConfigDedicated-v1130',
                                                                                       'optional': True,
                                                                                       'type': 'PUSCH-ConfigDedicated-v1130'},
                                                                                      {'name': 'uplinkPowerControlDedicatedSCell-v1130',
                                                                                       'optional': True,
                                                                                       'type': 'UplinkPowerControlDedicated-v1130'},
                                                                                      {'name': 'antennaInfo-v1250',
                                                                                       'optional': True,
                                                                                       'type': 'AntennaInfoDedicated-v1250'},
                                                                                      {'name': 'eimta-MainConfigSCell-r12',
                                                                                       'optional': True,
                                                                                       'type': 'EIMTA-MainConfigServCell-r12'},
                                                                                      {'name': 'cqi-ReportConfigSCell-v1250',
                                                                                       'optional': True,
                                                                                       'type': 'CQI-ReportConfig-v1250'},
                                                                                      {'name': 'uplinkPowerControlDedicatedSCell-v1250',
                                                                                       'optional': True,
                                                                                       'type': 'UplinkPowerControlDedicated-v1250'},
                                                                                      {'name': 'csi-RS-Config-v1250',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-Config-v1250'},
                                                                                      {'name': 'pdsch-ConfigDedicated-v1280',
                                                                                       'optional': True,
                                                                                       'type': 'PDSCH-ConfigDedicated-v1280'},
                                                                                      {'name': 'pucch-Cell-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}},
                                                                                      {'members': [{'name': 'release',
                                                                                                    'type': 'NULL'},
                                                                                                   {'members': [{'name': 'pucch-ConfigDedicated-r13',
                                                                                                                 'optional': True,
                                                                                                                 'type': 'PUCCH-ConfigDedicated-r13'},
                                                                                                                {'name': 'schedulingRequestConfig-r13',
                                                                                                                 'optional': True,
                                                                                                                 'type': 'SchedulingRequestConfigSCell-r13'},
                                                                                                                {'name': 'tpc-PDCCH-ConfigPUCCH-SCell-r13',
                                                                                                                 'optional': True,
                                                                                                                 'type': 'TPC-PDCCH-ConfigSCell-r13'},
                                                                                                                {'name': 'pusch-ConfigDedicated-r13',
                                                                                                                 'optional': True,
                                                                                                                 'type': 'PUSCH-ConfigDedicated-r13'},
                                                                                                                {'name': 'uplinkPowerControlDedicated-r13',
                                                                                                                 'optional': True,
                                                                                                                 'type': 'UplinkPowerControlDedicatedSCell-v1310'}],
                                                                                                    'name': 'setup',
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'name': 'pucch-SCell',
                                                                                       'optional': True,
                                                                                       'type': 'CHOICE'},
                                                                                      {'name': 'crossCarrierSchedulingConfig-r13',
                                                                                       'optional': True,
                                                                                       'type': 'CrossCarrierSchedulingConfig-r13'},
                                                                                      {'name': 'pdcch-ConfigSCell-r13',
                                                                                       'optional': True,
                                                                                       'type': 'PDCCH-ConfigSCell-r13'},
                                                                                      {'name': 'cqi-ReportConfig-v1310',
                                                                                       'optional': True,
                                                                                       'type': 'CQI-ReportConfig-v1310'},
                                                                                      {'name': 'pdsch-ConfigDedicated-v1310',
                                                                                       'optional': True,
                                                                                       'type': 'PDSCH-ConfigDedicated-v1310'},
                                                                                      {'name': 'soundingRS-UL-ConfigDedicated-v1310',
                                                                                       'optional': True,
                                                                                       'type': 'SoundingRS-UL-ConfigDedicated-v1310'},
                                                                                      {'name': 'soundingRS-UL-ConfigDedicatedUpPTsExt-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SoundingRS-UL-ConfigDedicatedUpPTsExt-r13'},
                                                                                      {'name': 'soundingRS-UL-ConfigDedicatedAperiodic-v1310',
                                                                                       'optional': True,
                                                                                       'type': 'SoundingRS-UL-ConfigDedicatedAperiodic-v1310'},
                                                                                      {'name': 'soundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SoundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13'},
                                                                                      {'name': 'csi-RS-Config-v1310',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-Config-v1310'},
                                                                                      {'name': 'laa-SCellConfiguration-r13',
                                                                                       'optional': True,
                                                                                       'type': 'LAA-SCellConfiguration-r13'},
                                                                                      {'name': 'csi-RS-ConfigNZPToAddModListExt-r13',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-ConfigNZPToAddModListExt-r13'},
                                                                                      {'name': 'csi-RS-ConfigNZPToReleaseListExt-r13',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-ConfigNZPToReleaseListExt-r13'},
                                                                                      {'name': 'cqi-ReportConfig-v1320',
                                                                                       'optional': True,
                                                                                       'type': 'CQI-ReportConfig-v1320'},
                                                                                      {'name': 'laa-SCellConfiguration-v1430',
                                                                                       'optional': True,
                                                                                       'type': 'LAA-SCellConfiguration-v1430'},
                                                                                      {'name': 'typeB-SRS-TPC-PDCCH-Config-r14',
                                                                                       'optional': True,
                                                                                       'type': 'SRS-TPC-PDCCH-Config-r14'},
                                                                                      {'name': 'uplinkPUSCH-LessPowerControlDedicated-v1430',
                                                                                       'optional': True,
                                                                                       'type': 'UplinkPUSCH-LessPowerControlDedicated-v1430'},
                                                                                      {'element': {'type': 'SoundingRS-UL-ConfigDedicated'},
                                                                                       'name': 'soundingRS-UL-PeriodicConfigDedicatedList-r14',
                                                                                       'optional': True,
                                                                                       'size': [(1,
                                                                                                 2)],
                                                                                       'type': 'SEQUENCE '
                                                                                               'OF'},
                                                                                      {'element': {'type': 'SoundingRS-UL-ConfigDedicatedUpPTsExt-r13'},
                                                                                       'name': 'soundingRS-UL-PeriodicConfigDedicatedUpPTsExtList-r14',
                                                                                       'optional': True,
                                                                                       'size': [(1,
                                                                                                 4)],
                                                                                       'type': 'SEQUENCE '
                                                                                               'OF'},
                                                                                      {'element': {'type': 'SoundingRS-AperiodicSet-r14'},
                                                                                       'name': 'soundingRS-UL-AperiodicConfigDedicatedList-r14',
                                                                                       'optional': True,
                                                                                       'size': [(1,
                                                                                                 2)],
                                                                                       'type': 'SEQUENCE '
                                                                                               'OF'},
                                                                                      {'element': {'type': 'SoundingRS-AperiodicSetUpPTsExt-r14'},
                                                                                       'name': 'soundingRS-UL-ConfigDedicatedApUpPTsExtList-r14',
                                                                                       'optional': True,
                                                                                       'size': [(1,
                                                                                                 4)],
                                                                                       'type': 'SEQUENCE '
                                                                                               'OF'},
                                                                                      {'members': [{'name': 'release',
                                                                                                    'type': 'NULL'},
                                                                                                   {'members': [{'name': 'k-max-r14',
                                                                                                                 'type': 'ENUMERATED',
                                                                                                                 'values': {0: 'l1',
                                                                                                                            1: 'l3'}},
                                                                                                                {'name': 'p-a-must-r14',
                                                                                                                 'optional': True,
                                                                                                                 'type': 'ENUMERATED',
                                                                                                                 'values': {0: 'dB-6',
                                                                                                                            1: 'dB-4dot77',
                                                                                                                            2: 'dB-3',
                                                                                                                            3: 'dB-1dot77',
                                                                                                                            4: 'dB0',
                                                                                                                            5: 'dB1',
                                                                                                                            6: 'dB2',
                                                                                                                            7: 'dB3'}}],
                                                                                                    'name': 'setup',
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'name': 'must-Config-r14',
                                                                                       'optional': True,
                                                                                       'type': 'CHOICE'},
                                                                                      {'name': 'pusch-ConfigDedicated-v1430',
                                                                                       'optional': True,
                                                                                       'type': 'PUSCH-ConfigDedicatedSCell-v1430'},
                                                                                      {'name': 'csi-RS-Config-v1430',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-Config-v1430'},
                                                                                      {'name': 'csi-RS-ConfigZP-ApList-r14',
                                                                                       'optional': True,
                                                                                       'type': 'CSI-RS-ConfigZP-ApList-r14'},
                                                                                      {'name': 'cqi-ReportConfig-v1430',
                                                                                       'optional': True,
                                                                                       'type': 'CQI-ReportConfig-v1430'},
                                                                                      {'name': 'semiOpenLoop-r14',
                                                                                       'optional': True,
                                                                                       'type': 'BOOLEAN'},
                                                                                      {'name': 'pdsch-ConfigDedicatedSCell-v1430',
                                                                                       'optional': True,
                                                                                       'type': 'PDSCH-ConfigDedicatedSCell-v1430'}],
                                                                          'type': 'SEQUENCE'},
                                     'PhysicalConfigDedicatedSCell-v1370': {'members': [{'members': [{'name': 'release',
                                                                                                      'type': 'NULL'},
                                                                                                     {'members': [{'name': 'pucch-ConfigDedicated-v1370',
                                                                                                                   'optional': True,
                                                                                                                   'type': 'PUCCH-ConfigDedicated-v1370'}],
                                                                                                      'name': 'setup',
                                                                                                      'type': 'SEQUENCE'}],
                                                                                         'name': 'pucch-SCell-v1370',
                                                                                         'type': 'CHOICE'}],
                                                                            'type': 'SEQUENCE'},
                                     'PollByte': {'type': 'ENUMERATED',
                                                  'values': {0: 'kB25',
                                                             1: 'kB50',
                                                             2: 'kB75',
                                                             3: 'kB100',
                                                             4: 'kB125',
                                                             5: 'kB250',
                                                             6: 'kB375',
                                                             7: 'kB500',
                                                             8: 'kB750',
                                                             9: 'kB1000',
                                                             10: 'kB1250',
                                                             11: 'kB1500',
                                                             12: 'kB2000',
                                                             13: 'kB3000',
                                                             14: 'kBinfinity',
                                                             15: 'spare1'}},
                                     'PollByte-r14': {'type': 'ENUMERATED',
                                                      'values': {0: 'kB1',
                                                                 1: 'kB2',
                                                                 2: 'kB5',
                                                                 3: 'kB8',
                                                                 4: 'kB10',
                                                                 5: 'kB15',
                                                                 6: 'kB3500',
                                                                 7: 'kB4000',
                                                                 8: 'kB4500',
                                                                 9: 'kB5000',
                                                                 10: 'kB5500',
                                                                 11: 'kB6000',
                                                                 12: 'kB6500',
                                                                 13: 'kB7000',
                                                                 14: 'kB7500',
                                                                 15: 'kB8000',
                                                                 16: 'kB9000',
                                                                 17: 'kB10000',
                                                                 18: 'kB11000',
                                                                 19: 'kB12000',
                                                                 20: 'kB13000',
                                                                 21: 'kB14000',
                                                                 22: 'kB15000',
                                                                 23: 'kB16000',
                                                                 24: 'kB17000',
                                                                 25: 'kB18000',
                                                                 26: 'kB19000',
                                                                 27: 'kB20000',
                                                                 28: 'kB25000',
                                                                 29: 'kB30000',
                                                                 30: 'kB35000',
                                                                 31: 'kB40000'}},
                                     'PollPDU': {'type': 'ENUMERATED',
                                                 'values': {0: 'p4',
                                                            1: 'p8',
                                                            2: 'p16',
                                                            3: 'p32',
                                                            4: 'p64',
                                                            5: 'p128',
                                                            6: 'p256',
                                                            7: 'pInfinity'}},
                                     'PollPDU-v1310': {'type': 'ENUMERATED',
                                                       'values': {0: 'p512',
                                                                  1: 'p1024',
                                                                  2: 'p2048',
                                                                  3: 'p4096',
                                                                  4: 'p6144',
                                                                  5: 'p8192',
                                                                  6: 'p12288',
                                                                  7: 'p16384'}},
                                     'PowerCoordinationInfo-r12': {'members': [{'name': 'p-MeNB-r12',
                                                                                'restricted-to': [(1,
                                                                                                   16)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'p-SeNB-r12',
                                                                                'restricted-to': [(1,
                                                                                                   16)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'powerControlMode-r12',
                                                                                'restricted-to': [(1,
                                                                                                   2)],
                                                                                'type': 'INTEGER'}],
                                                                   'type': 'SEQUENCE'},
                                     'PowerPrefIndicationConfig-r11': {'members': [{'name': 'release',
                                                                                    'type': 'NULL'},
                                                                                   {'members': [{'name': 'powerPrefIndicationTimer-r11',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 's0',
                                                                                                            1: 's0dot5',
                                                                                                            2: 's1',
                                                                                                            3: 's2',
                                                                                                            4: 's5',
                                                                                                            5: 's10',
                                                                                                            6: 's20',
                                                                                                            7: 's30',
                                                                                                            8: 's60',
                                                                                                            9: 's90',
                                                                                                            10: 's120',
                                                                                                            11: 's300',
                                                                                                            12: 's600',
                                                                                                            13: 'spare3',
                                                                                                            14: 'spare2',
                                                                                                            15: 'spare1'}}],
                                                                                    'name': 'setup',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'CHOICE'},
                                     'PowerRampingParameters': {'members': [{'name': 'powerRampingStep',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'dB0',
                                                                                        1: 'dB2',
                                                                                        2: 'dB4',
                                                                                        3: 'dB6'}},
                                                                            {'name': 'preambleInitialReceivedTargetPower',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'dBm-120',
                                                                                        1: 'dBm-118',
                                                                                        2: 'dBm-116',
                                                                                        3: 'dBm-114',
                                                                                        4: 'dBm-112',
                                                                                        5: 'dBm-110',
                                                                                        6: 'dBm-108',
                                                                                        7: 'dBm-106',
                                                                                        8: 'dBm-104',
                                                                                        9: 'dBm-102',
                                                                                        10: 'dBm-100',
                                                                                        11: 'dBm-98',
                                                                                        12: 'dBm-96',
                                                                                        13: 'dBm-94',
                                                                                        14: 'dBm-92',
                                                                                        15: 'dBm-90'}}],
                                                                'type': 'SEQUENCE'},
                                     'PreRegistrationInfoHRPD': {'members': [{'name': 'preRegistrationAllowed',
                                                                              'type': 'BOOLEAN'},
                                                                             {'name': 'preRegistrationZoneId',
                                                                              'optional': True,
                                                                              'type': 'PreRegistrationZoneIdHRPD'},
                                                                             {'name': 'secondaryPreRegistrationZoneIdList',
                                                                              'optional': True,
                                                                              'type': 'SecondaryPreRegistrationZoneIdListHRPD'}],
                                                                 'type': 'SEQUENCE'},
                                     'PreRegistrationZoneIdHRPD': {'restricted-to': [(0,
                                                                                      255)],
                                                                   'type': 'INTEGER'},
                                     'PreambleTransMax': {'type': 'ENUMERATED',
                                                          'values': {0: 'n3',
                                                                     1: 'n4',
                                                                     2: 'n5',
                                                                     3: 'n6',
                                                                     4: 'n7',
                                                                     5: 'n8',
                                                                     6: 'n10',
                                                                     7: 'n20',
                                                                     8: 'n50',
                                                                     9: 'n100',
                                                                     10: 'n200'}},
                                     'PresenceAntennaPort1': {'type': 'BOOLEAN'},
                                     'ProximityIndication-r9': {'members': [{'members': [{'members': [{'name': 'proximityIndication-r9',
                                                                                                       'type': 'ProximityIndication-r9-IEs'},
                                                                                                      {'name': 'spare3',
                                                                                                       'type': 'NULL'},
                                                                                                      {'name': 'spare2',
                                                                                                       'type': 'NULL'},
                                                                                                      {'name': 'spare1',
                                                                                                       'type': 'NULL'}],
                                                                                          'name': 'c1',
                                                                                          'type': 'CHOICE'},
                                                                                         {'members': [],
                                                                                          'name': 'criticalExtensionsFuture',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'name': 'criticalExtensions',
                                                                             'type': 'CHOICE'}],
                                                                'type': 'SEQUENCE'},
                                     'ProximityIndication-r9-IEs': {'members': [{'name': 'type-r9',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'entering',
                                                                                            1: 'leaving'}},
                                                                                {'members': [{'name': 'eutra-r9',
                                                                                              'type': 'ARFCN-ValueEUTRA'},
                                                                                             {'name': 'utra-r9',
                                                                                              'type': 'ARFCN-ValueUTRA'},
                                                                                             '...',
                                                                                             {'name': 'eutra2-v9e0',
                                                                                              'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                                                 'name': 'carrierFreq-r9',
                                                                                 'type': 'CHOICE'},
                                                                                {'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'ProximityIndication-v930-IEs'}],
                                                                    'type': 'SEQUENCE'},
                                     'ProximityIndication-v930-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'members': [],
                                                                                   'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'}],
                                                                      'type': 'SEQUENCE'},
                                     'Q-OffsetRange': {'type': 'ENUMERATED',
                                                       'values': {0: 'dB-24',
                                                                  1: 'dB-22',
                                                                  2: 'dB-20',
                                                                  3: 'dB-18',
                                                                  4: 'dB-16',
                                                                  5: 'dB-14',
                                                                  6: 'dB-12',
                                                                  7: 'dB-10',
                                                                  8: 'dB-8',
                                                                  9: 'dB-6',
                                                                  10: 'dB-5',
                                                                  11: 'dB-4',
                                                                  12: 'dB-3',
                                                                  13: 'dB-2',
                                                                  14: 'dB-1',
                                                                  15: 'dB0',
                                                                  16: 'dB1',
                                                                  17: 'dB2',
                                                                  18: 'dB3',
                                                                  19: 'dB4',
                                                                  20: 'dB5',
                                                                  21: 'dB6',
                                                                  22: 'dB8',
                                                                  23: 'dB10',
                                                                  24: 'dB12',
                                                                  25: 'dB14',
                                                                  26: 'dB16',
                                                                  27: 'dB18',
                                                                  28: 'dB20',
                                                                  29: 'dB22',
                                                                  30: 'dB24'}},
                                     'Q-OffsetRangeInterRAT': {'restricted-to': [(-15,
                                                                                  15)],
                                                               'type': 'INTEGER'},
                                     'Q-QualMin-r9': {'restricted-to': [(-34,
                                                                         -3)],
                                                      'type': 'INTEGER'},
                                     'Q-RxLevMin': {'restricted-to': [(-70,
                                                                       -22)],
                                                    'type': 'INTEGER'},
                                     'QuantityConfig': {'members': [{'name': 'quantityConfigEUTRA',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigEUTRA'},
                                                                    {'name': 'quantityConfigUTRA',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigUTRA'},
                                                                    {'name': 'quantityConfigGERAN',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigGERAN'},
                                                                    {'name': 'quantityConfigCDMA2000',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigCDMA2000'},
                                                                    '...',
                                                                    {'name': 'quantityConfigUTRA-v1020',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigUTRA-v1020'},
                                                                    {'name': 'quantityConfigEUTRA-v1250',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigEUTRA-v1250'},
                                                                    {'name': 'quantityConfigEUTRA-v1310',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigEUTRA-v1310'},
                                                                    {'name': 'quantityConfigWLAN-r13',
                                                                     'optional': True,
                                                                     'type': 'QuantityConfigWLAN-r13'}],
                                                        'type': 'SEQUENCE'},
                                     'QuantityConfigCDMA2000': {'members': [{'name': 'measQuantityCDMA2000',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'pilotStrength',
                                                                                        1: 'pilotPnPhaseAndPilotStrength'}}],
                                                                'type': 'SEQUENCE'},
                                     'QuantityConfigEUTRA': {'members': [{'default': 'fc4',
                                                                          'name': 'filterCoefficientRSRP',
                                                                          'type': 'FilterCoefficient'},
                                                                         {'default': 'fc4',
                                                                          'name': 'filterCoefficientRSRQ',
                                                                          'type': 'FilterCoefficient'}],
                                                             'type': 'SEQUENCE'},
                                     'QuantityConfigEUTRA-v1250': {'members': [{'name': 'filterCoefficientCSI-RSRP-r12',
                                                                                'optional': True,
                                                                                'type': 'FilterCoefficient'}],
                                                                   'type': 'SEQUENCE'},
                                     'QuantityConfigEUTRA-v1310': {'members': [{'default': 'fc4',
                                                                                'name': 'filterCoefficientRS-SINR-r13',
                                                                                'type': 'FilterCoefficient'}],
                                                                   'type': 'SEQUENCE'},
                                     'QuantityConfigGERAN': {'members': [{'name': 'measQuantityGERAN',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'rssi'}},
                                                                         {'default': 'fc2',
                                                                          'name': 'filterCoefficient',
                                                                          'type': 'FilterCoefficient'}],
                                                             'type': 'SEQUENCE'},
                                     'QuantityConfigUTRA': {'members': [{'name': 'measQuantityUTRA-FDD',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'cpich-RSCP',
                                                                                    1: 'cpich-EcN0'}},
                                                                        {'name': 'measQuantityUTRA-TDD',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'pccpch-RSCP'}},
                                                                        {'default': 'fc4',
                                                                         'name': 'filterCoefficient',
                                                                         'type': 'FilterCoefficient'}],
                                                            'type': 'SEQUENCE'},
                                     'QuantityConfigUTRA-v1020': {'members': [{'default': 'fc4',
                                                                               'name': 'filterCoefficient2-FDD-r10',
                                                                               'type': 'FilterCoefficient'}],
                                                                  'type': 'SEQUENCE'},
                                     'QuantityConfigWLAN-r13': {'members': [{'name': 'measQuantityWLAN-r13',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'rssiWLAN'}},
                                                                            {'default': 'fc4',
                                                                             'name': 'filterCoefficient-r13',
                                                                             'type': 'FilterCoefficient'}],
                                                                'type': 'SEQUENCE'},
                                     'RACH-CE-LevelInfo-r13': {'members': [{'members': [{'name': 'firstPreamble-r13',
                                                                                         'restricted-to': [(0,
                                                                                                            63)],
                                                                                         'type': 'INTEGER'},
                                                                                        {'name': 'lastPreamble-r13',
                                                                                         'restricted-to': [(0,
                                                                                                            63)],
                                                                                         'type': 'INTEGER'}],
                                                                            'name': 'preambleMappingInfo-r13',
                                                                            'type': 'SEQUENCE'},
                                                                           {'name': 'ra-ResponseWindowSize-r13',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'sf20',
                                                                                       1: 'sf50',
                                                                                       2: 'sf80',
                                                                                       3: 'sf120',
                                                                                       4: 'sf180',
                                                                                       5: 'sf240',
                                                                                       6: 'sf320',
                                                                                       7: 'sf400'}},
                                                                           {'name': 'mac-ContentionResolutionTimer-r13',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'sf80',
                                                                                       1: 'sf100',
                                                                                       2: 'sf120',
                                                                                       3: 'sf160',
                                                                                       4: 'sf200',
                                                                                       5: 'sf240',
                                                                                       6: 'sf480',
                                                                                       7: 'sf960'}},
                                                                           {'name': 'rar-HoppingConfig-r13',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'on',
                                                                                       1: 'off'}},
                                                                           '...'],
                                                               'type': 'SEQUENCE'},
                                     'RACH-CE-LevelInfoList-r13': {'element': {'type': 'RACH-CE-LevelInfo-r13'},
                                                                   'size': [(1,
                                                                             'maxCE-Level-r13')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'RACH-ConfigCommon': {'members': [{'members': [{'name': 'numberOfRA-Preambles',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'n4',
                                                                                                1: 'n8',
                                                                                                2: 'n12',
                                                                                                3: 'n16',
                                                                                                4: 'n20',
                                                                                                5: 'n24',
                                                                                                6: 'n28',
                                                                                                7: 'n32',
                                                                                                8: 'n36',
                                                                                                9: 'n40',
                                                                                                10: 'n44',
                                                                                                11: 'n48',
                                                                                                12: 'n52',
                                                                                                13: 'n56',
                                                                                                14: 'n60',
                                                                                                15: 'n64'}},
                                                                                    {'members': [{'name': 'sizeOfRA-PreamblesGroupA',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'n4',
                                                                                                             1: 'n8',
                                                                                                             2: 'n12',
                                                                                                             3: 'n16',
                                                                                                             4: 'n20',
                                                                                                             5: 'n24',
                                                                                                             6: 'n28',
                                                                                                             7: 'n32',
                                                                                                             8: 'n36',
                                                                                                             9: 'n40',
                                                                                                             10: 'n44',
                                                                                                             11: 'n48',
                                                                                                             12: 'n52',
                                                                                                             13: 'n56',
                                                                                                             14: 'n60'}},
                                                                                                 {'name': 'messageSizeGroupA',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'b56',
                                                                                                             1: 'b144',
                                                                                                             2: 'b208',
                                                                                                             3: 'b256'}},
                                                                                                 {'name': 'messagePowerOffsetGroupB',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'minusinfinity',
                                                                                                             1: 'dB0',
                                                                                                             2: 'dB5',
                                                                                                             3: 'dB8',
                                                                                                             4: 'dB10',
                                                                                                             5: 'dB12',
                                                                                                             6: 'dB15',
                                                                                                             7: 'dB18'}},
                                                                                                 '...'],
                                                                                     'name': 'preamblesGroupAConfig',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'preambleInfo',
                                                                        'type': 'SEQUENCE'},
                                                                       {'name': 'powerRampingParameters',
                                                                        'type': 'PowerRampingParameters'},
                                                                       {'members': [{'name': 'preambleTransMax',
                                                                                     'type': 'PreambleTransMax'},
                                                                                    {'name': 'ra-ResponseWindowSize',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'sf2',
                                                                                                1: 'sf3',
                                                                                                2: 'sf4',
                                                                                                3: 'sf5',
                                                                                                4: 'sf6',
                                                                                                5: 'sf7',
                                                                                                6: 'sf8',
                                                                                                7: 'sf10'}},
                                                                                    {'name': 'mac-ContentionResolutionTimer',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'sf8',
                                                                                                1: 'sf16',
                                                                                                2: 'sf24',
                                                                                                3: 'sf32',
                                                                                                4: 'sf40',
                                                                                                5: 'sf48',
                                                                                                6: 'sf56',
                                                                                                7: 'sf64'}}],
                                                                        'name': 'ra-SupervisionInfo',
                                                                        'type': 'SEQUENCE'},
                                                                       {'name': 'maxHARQ-Msg3Tx',
                                                                        'restricted-to': [(1,
                                                                                           8)],
                                                                        'type': 'INTEGER'},
                                                                       '...',
                                                                       {'name': 'preambleTransMax-CE-r13',
                                                                        'optional': True,
                                                                        'type': 'PreambleTransMax'},
                                                                       {'name': 'rach-CE-LevelInfoList-r13',
                                                                        'optional': True,
                                                                        'type': 'RACH-CE-LevelInfoList-r13'}],
                                                           'type': 'SEQUENCE'},
                                     'RACH-ConfigCommon-v1250': {'members': [{'members': [{'name': 'connEstFailCount-r12',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'n1',
                                                                                                      1: 'n2',
                                                                                                      2: 'n3',
                                                                                                      3: 'n4'}},
                                                                                          {'name': 'connEstFailOffsetValidity-r12',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 's30',
                                                                                                      1: 's60',
                                                                                                      2: 's120',
                                                                                                      3: 's240',
                                                                                                      4: 's300',
                                                                                                      5: 's420',
                                                                                                      6: 's600',
                                                                                                      7: 's900'}},
                                                                                          {'name': 'connEstFailOffset-r12',
                                                                                           'optional': True,
                                                                                           'restricted-to': [(0,
                                                                                                              15)],
                                                                                           'type': 'INTEGER'}],
                                                                              'name': 'txFailParams-r12',
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'SEQUENCE'},
                                     'RACH-ConfigCommonSCell-r11': {'members': [{'name': 'powerRampingParameters-r11',
                                                                                 'type': 'PowerRampingParameters'},
                                                                                {'members': [{'name': 'preambleTransMax-r11',
                                                                                              'type': 'PreambleTransMax'}],
                                                                                 'name': 'ra-SupervisionInfo-r11',
                                                                                 'type': 'SEQUENCE'},
                                                                                '...'],
                                                                    'type': 'SEQUENCE'},
                                     'RACH-ConfigDedicated': {'members': [{'name': 'ra-PreambleIndex',
                                                                           'restricted-to': [(0,
                                                                                              63)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'ra-PRACH-MaskIndex',
                                                                           'restricted-to': [(0,
                                                                                              15)],
                                                                           'type': 'INTEGER'}],
                                                              'type': 'SEQUENCE'},
                                     'RACH-Skip-r14': {'members': [{'members': [{'name': 'ta0-r14',
                                                                                 'type': 'NULL'},
                                                                                {'name': 'mcg-PTAG-r14',
                                                                                 'type': 'NULL'},
                                                                                {'name': 'scg-PTAG-r14',
                                                                                 'type': 'NULL'},
                                                                                {'name': 'mcg-STAG-r14',
                                                                                 'type': 'STAG-Id-r11'},
                                                                                {'name': 'scg-STAG-r14',
                                                                                 'type': 'STAG-Id-r11'}],
                                                                    'name': 'targetTA-r14',
                                                                    'type': 'CHOICE'},
                                                                   {'members': [{'name': 'numberOfConfUL-Processes-r14',
                                                                                 'restricted-to': [(1,
                                                                                                    8)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'ul-SchedInterval-r14',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'sf2',
                                                                                            1: 'sf5',
                                                                                            2: 'sf10'}},
                                                                                {'name': 'ul-StartSubframe-r14',
                                                                                 'restricted-to': [(0,
                                                                                                    9)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'ul-Grant-r14',
                                                                                 'size': [16],
                                                                                 'type': 'BIT '
                                                                                         'STRING'}],
                                                                    'name': 'ul-ConfigInfo-r14',
                                                                    'optional': True,
                                                                    'type': 'SEQUENCE'}],
                                                       'type': 'SEQUENCE'},
                                     'RAND-CDMA2000': {'size': [32],
                                                       'type': 'BIT STRING'},
                                     'RAT-Type': {'type': 'ENUMERATED',
                                                  'values': {0: 'eutra',
                                                             1: 'utra',
                                                             2: 'geran-cs',
                                                             3: 'geran-ps',
                                                             4: 'cdma2000-1XRTT',
                                                             5: 'spare3',
                                                             6: 'spare2',
                                                             7: 'spare1',
                                                             8: '...'}},
                                     'RCLWI-Config-r13': {'members': [{'members': [{'members': [{'name': 'mobilityConfig-r13',
                                                                                                 'type': 'WLAN-Id-List-r12'}],
                                                                                    'name': 'steerToWLAN-r13',
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'name': 'steerToLTE-r13',
                                                                                    'type': 'NULL'}],
                                                                       'name': 'command',
                                                                       'type': 'CHOICE'},
                                                                      '...'],
                                                          'type': 'SEQUENCE'},
                                     'RCLWI-Configuration-r13': {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'members': [{'name': 'rclwi-Config-r13',
                                                                                           'type': 'RCLWI-Config-r13'}],
                                                                              'name': 'setup',
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'CHOICE'},
                                     'RE-MappingQCLConfigToAddModList-r11': {'element': {'type': 'PDSCH-RE-MappingQCL-Config-r11'},
                                                                             'size': [(1,
                                                                                       'maxRE-MapQCL-r11')],
                                                                             'type': 'SEQUENCE '
                                                                                     'OF'},
                                     'RE-MappingQCLConfigToReleaseList-r11': {'element': {'type': 'PDSCH-RE-MappingQCL-ConfigId-r11'},
                                                                              'size': [(1,
                                                                                        'maxRE-MapQCL-r11')],
                                                                              'type': 'SEQUENCE '
                                                                                      'OF'},
                                     'RF-Parameters': {'members': [{'name': 'supportedBandListEUTRA',
                                                                    'type': 'SupportedBandListEUTRA'}],
                                                       'type': 'SEQUENCE'},
                                     'RF-Parameters-v1020': {'members': [{'name': 'supportedBandCombination-r10',
                                                                          'type': 'SupportedBandCombination-r10'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1060': {'members': [{'name': 'supportedBandCombinationExt-r10',
                                                                          'type': 'SupportedBandCombinationExt-r10'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1090': {'members': [{'name': 'supportedBandCombination-v1090',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombination-v1090'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v10f0': {'members': [{'name': 'modifiedMPR-Behavior-r10',
                                                                          'optional': True,
                                                                          'size': [32],
                                                                          'type': 'BIT '
                                                                                  'STRING'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v10i0': {'members': [{'name': 'supportedBandCombination-v10i0',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombination-v10i0'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v10j0': {'members': [{'name': 'multiNS-Pmax-r10',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1130': {'members': [{'name': 'supportedBandCombination-v1130',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombination-v1130'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1180': {'members': [{'name': 'freqBandRetrieval-r11',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'element': {'type': 'FreqBandIndicator-r11'},
                                                                          'name': 'requestedBands-r11',
                                                                          'optional': True,
                                                                          'size': [(1,
                                                                                    'maxBands')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                                                         {'name': 'supportedBandCombinationAdd-r11',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationAdd-r11'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v11d0': {'members': [{'name': 'supportedBandCombinationAdd-v11d0',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationAdd-v11d0'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1250': {'members': [{'name': 'supportedBandListEUTRA-v1250',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandListEUTRA-v1250'},
                                                                         {'name': 'supportedBandCombination-v1250',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombination-v1250'},
                                                                         {'name': 'supportedBandCombinationAdd-v1250',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationAdd-v1250'},
                                                                         {'name': 'freqBandPriorityAdjustment-r12',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1270': {'members': [{'name': 'supportedBandCombination-v1270',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombination-v1270'},
                                                                         {'name': 'supportedBandCombinationAdd-v1270',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationAdd-v1270'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v12b0': {'members': [{'name': 'maxLayersMIMO-Indication-r12',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1310': {'members': [{'members': [{'name': 'reducedIntNonContCombRequested-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}},
                                                                                      {'name': 'requestedCCsDL-r13',
                                                                                       'optional': True,
                                                                                       'restricted-to': [(2,
                                                                                                          32)],
                                                                                       'type': 'INTEGER'},
                                                                                      {'name': 'requestedCCsUL-r13',
                                                                                       'optional': True,
                                                                                       'restricted-to': [(2,
                                                                                                          32)],
                                                                                       'type': 'INTEGER'},
                                                                                      {'name': 'skipFallbackCombRequested-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}}],
                                                                          'name': 'eNB-RequestedParameters-r13',
                                                                          'optional': True,
                                                                          'type': 'SEQUENCE'},
                                                                         {'name': 'maximumCCsRetrieval-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'skipFallbackCombinations-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'reducedIntNonContComb-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'supportedBandListEUTRA-v1310',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandListEUTRA-v1310'},
                                                                         {'name': 'supportedBandCombinationReduced-r13',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationReduced-r13'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1320': {'members': [{'name': 'supportedBandListEUTRA-v1320',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandListEUTRA-v1320'},
                                                                         {'name': 'supportedBandCombination-v1320',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombination-v1320'},
                                                                         {'name': 'supportedBandCombinationAdd-v1320',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationAdd-v1320'},
                                                                         {'name': 'supportedBandCombinationReduced-v1320',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationReduced-v1320'}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v1430': {'members': [{'name': 'supportedBandCombination-v1430',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombination-v1430'},
                                                                         {'name': 'supportedBandCombinationAdd-v1430',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationAdd-v1430'},
                                                                         {'name': 'supportedBandCombinationReduced-v1430',
                                                                          'optional': True,
                                                                          'type': 'SupportedBandCombinationReduced-v1430'},
                                                                         {'members': [{'name': 'requestedDiffFallbackCombList-r14',
                                                                                       'type': 'BandCombinationList-r14'}],
                                                                          'name': 'eNB-RequestedParameters-v1430',
                                                                          'optional': True,
                                                                          'type': 'SEQUENCE'},
                                                                         {'name': 'diffFallbackCombReport-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'RF-Parameters-v9e0': {'members': [{'name': 'supportedBandListEUTRA-v9e0',
                                                                         'optional': True,
                                                                         'type': 'SupportedBandListEUTRA-v9e0'}],
                                                            'type': 'SEQUENCE'},
                                     'RLC-Config': {'members': [{'members': [{'name': 'ul-AM-RLC',
                                                                              'type': 'UL-AM-RLC'},
                                                                             {'name': 'dl-AM-RLC',
                                                                              'type': 'DL-AM-RLC'}],
                                                                 'name': 'am',
                                                                 'type': 'SEQUENCE'},
                                                                {'members': [{'name': 'ul-UM-RLC',
                                                                              'type': 'UL-UM-RLC'},
                                                                             {'name': 'dl-UM-RLC',
                                                                              'type': 'DL-UM-RLC'}],
                                                                 'name': 'um-Bi-Directional',
                                                                 'type': 'SEQUENCE'},
                                                                {'members': [{'name': 'ul-UM-RLC',
                                                                              'type': 'UL-UM-RLC'}],
                                                                 'name': 'um-Uni-Directional-UL',
                                                                 'type': 'SEQUENCE'},
                                                                {'members': [{'name': 'dl-UM-RLC',
                                                                              'type': 'DL-UM-RLC'}],
                                                                 'name': 'um-Uni-Directional-DL',
                                                                 'type': 'SEQUENCE'},
                                                                '...'],
                                                    'type': 'CHOICE'},
                                     'RLC-Config-v1250': {'members': [{'name': 'ul-extended-RLC-LI-Field-r12',
                                                                       'type': 'BOOLEAN'},
                                                                      {'name': 'dl-extended-RLC-LI-Field-r12',
                                                                       'type': 'BOOLEAN'}],
                                                          'type': 'SEQUENCE'},
                                     'RLC-Config-v1310': {'members': [{'name': 'ul-extended-RLC-AM-SN-r13',
                                                                       'type': 'BOOLEAN'},
                                                                      {'name': 'dl-extended-RLC-AM-SN-r13',
                                                                       'type': 'BOOLEAN'},
                                                                      {'name': 'pollPDU-v1310',
                                                                       'optional': True,
                                                                       'type': 'PollPDU-v1310'}],
                                                          'type': 'SEQUENCE'},
                                     'RLC-Config-v1430': {'members': [{'name': 'release',
                                                                       'type': 'NULL'},
                                                                      {'members': [{'name': 'pollByte-r14',
                                                                                    'type': 'PollByte-r14'}],
                                                                       'name': 'setup',
                                                                       'type': 'SEQUENCE'}],
                                                          'type': 'CHOICE'},
                                     'RLC-Parameters-r12': {'members': [{'name': 'extended-RLC-LI-Field-r12',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'supported'}}],
                                                            'type': 'SEQUENCE'},
                                     'RLC-Parameters-v1310': {'members': [{'name': 'extendedRLC-SN-SO-Field-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'RLC-Parameters-v1430': {'members': [{'name': 'extendedPollByte-r14',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'RLF-Report-r9': {'members': [{'members': [{'name': 'rsrpResult-r9',
                                                                                 'type': 'RSRP-Range'},
                                                                                {'name': 'rsrqResult-r9',
                                                                                 'optional': True,
                                                                                 'type': 'RSRQ-Range'}],
                                                                    'name': 'measResultLastServCell-r9',
                                                                    'type': 'SEQUENCE'},
                                                                   {'members': [{'name': 'measResultListEUTRA-r9',
                                                                                 'optional': True,
                                                                                 'type': 'MeasResultList2EUTRA-r9'},
                                                                                {'name': 'measResultListUTRA-r9',
                                                                                 'optional': True,
                                                                                 'type': 'MeasResultList2UTRA-r9'},
                                                                                {'name': 'measResultListGERAN-r9',
                                                                                 'optional': True,
                                                                                 'type': 'MeasResultListGERAN'},
                                                                                {'name': 'measResultsCDMA2000-r9',
                                                                                 'optional': True,
                                                                                 'type': 'MeasResultList2CDMA2000-r9'}],
                                                                    'name': 'measResultNeighCells-r9',
                                                                    'optional': True,
                                                                    'type': 'SEQUENCE'},
                                                                   '...',
                                                                   {'name': 'locationInfo-r10',
                                                                    'optional': True,
                                                                    'type': 'LocationInfo-r10'},
                                                                   {'members': [{'name': 'cellGlobalId-r10',
                                                                                 'type': 'CellGlobalIdEUTRA'},
                                                                                {'members': [{'name': 'physCellId-r10',
                                                                                              'type': 'PhysCellId'},
                                                                                             {'name': 'carrierFreq-r10',
                                                                                              'type': 'ARFCN-ValueEUTRA'}],
                                                                                 'name': 'pci-arfcn-r10',
                                                                                 'type': 'SEQUENCE'}],
                                                                    'name': 'failedPCellId-r10',
                                                                    'optional': True,
                                                                    'type': 'CHOICE'},
                                                                   {'name': 'reestablishmentCellId-r10',
                                                                    'optional': True,
                                                                    'type': 'CellGlobalIdEUTRA'},
                                                                   {'name': 'timeConnFailure-r10',
                                                                    'optional': True,
                                                                    'restricted-to': [(0,
                                                                                       1023)],
                                                                    'type': 'INTEGER'},
                                                                   {'name': 'connectionFailureType-r10',
                                                                    'optional': True,
                                                                    'type': 'ENUMERATED',
                                                                    'values': {0: 'rlf',
                                                                               1: 'hof'}},
                                                                   {'name': 'previousPCellId-r10',
                                                                    'optional': True,
                                                                    'type': 'CellGlobalIdEUTRA'},
                                                                   {'members': [{'name': 'carrierFreq-v1090',
                                                                                 'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                                    'name': 'failedPCellId-v1090',
                                                                    'optional': True,
                                                                    'type': 'SEQUENCE'},
                                                                   {'members': [{'name': 'c-RNTI-r11',
                                                                                 'type': 'C-RNTI'},
                                                                                {'name': 'rlf-Cause-r11',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 't310-Expiry',
                                                                                            1: 'randomAccessProblem',
                                                                                            2: 'rlc-MaxNumRetx',
                                                                                            3: 't312-Expiry-r12'}},
                                                                                {'name': 'timeSinceFailure-r11',
                                                                                 'type': 'TimeSinceFailure-r11'}],
                                                                    'name': 'basicFields-r11',
                                                                    'optional': True,
                                                                    'type': 'SEQUENCE'},
                                                                   {'members': [{'name': 'carrierFreq-r11',
                                                                                 'type': 'ARFCN-ValueUTRA'},
                                                                                {'members': [{'name': 'fdd-r11',
                                                                                              'type': 'PhysCellIdUTRA-FDD'},
                                                                                             {'name': 'tdd-r11',
                                                                                              'type': 'PhysCellIdUTRA-TDD'}],
                                                                                 'name': 'physCellId-r11',
                                                                                 'type': 'CHOICE'},
                                                                                {'name': 'cellGlobalId-r11',
                                                                                 'optional': True,
                                                                                 'type': 'CellGlobalIdUTRA'}],
                                                                    'name': 'previousUTRA-CellId-r11',
                                                                    'optional': True,
                                                                    'type': 'SEQUENCE'},
                                                                   {'members': [{'name': 'carrierFreq-r11',
                                                                                 'type': 'ARFCN-ValueUTRA'},
                                                                                {'members': [{'name': 'fdd-r11',
                                                                                              'type': 'PhysCellIdUTRA-FDD'},
                                                                                             {'name': 'tdd-r11',
                                                                                              'type': 'PhysCellIdUTRA-TDD'}],
                                                                                 'name': 'physCellId-r11',
                                                                                 'type': 'CHOICE'}],
                                                                    'name': 'selectedUTRA-CellId-r11',
                                                                    'optional': True,
                                                                    'type': 'SEQUENCE'},
                                                                   {'members': [{'name': 'tac-FailedPCell-r12',
                                                                                 'type': 'TrackingAreaCode'}],
                                                                    'name': 'failedPCellId-v1250',
                                                                    'optional': True,
                                                                    'type': 'SEQUENCE'},
                                                                   {'name': 'measResultLastServCell-v1250',
                                                                    'optional': True,
                                                                    'type': 'RSRQ-Range-v1250'},
                                                                   {'name': 'lastServCellRSRQ-Type-r12',
                                                                    'optional': True,
                                                                    'type': 'RSRQ-Type-r12'},
                                                                   {'name': 'measResultListEUTRA-v1250',
                                                                    'optional': True,
                                                                    'type': 'MeasResultList2EUTRA-v1250'},
                                                                   {'name': 'drb-EstablishedWithQCI-1-r13',
                                                                    'optional': True,
                                                                    'type': 'ENUMERATED',
                                                                    'values': {0: 'qci1'}},
                                                                   {'name': 'measResultLastServCell-v1360',
                                                                    'optional': True,
                                                                    'type': 'RSRP-Range-v1360'}],
                                                       'type': 'SEQUENCE'},
                                     'RLF-Report-v9e0': {'members': [{'name': 'measResultListEUTRA-v9e0',
                                                                      'type': 'MeasResultList2EUTRA-v9e0'}],
                                                         'type': 'SEQUENCE'},
                                     'RLF-TimersAndConstants-r13': {'members': [{'name': 'release',
                                                                                 'type': 'NULL'},
                                                                                {'members': [{'name': 't301-v1310',
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'ms2500',
                                                                                                         1: 'ms3000',
                                                                                                         2: 'ms3500',
                                                                                                         3: 'ms4000',
                                                                                                         4: 'ms5000',
                                                                                                         5: 'ms6000',
                                                                                                         6: 'ms8000',
                                                                                                         7: 'ms10000'}},
                                                                                             '...',
                                                                                             {'name': 't310-v1330',
                                                                                              'optional': True,
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'ms4000',
                                                                                                         1: 'ms6000'}}],
                                                                                 'name': 'setup',
                                                                                 'type': 'SEQUENCE'}],
                                                                    'type': 'CHOICE'},
                                     'RLF-TimersAndConstants-r9': {'members': [{'name': 'release',
                                                                                'type': 'NULL'},
                                                                               {'members': [{'name': 't301-r9',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'ms100',
                                                                                                        1: 'ms200',
                                                                                                        2: 'ms300',
                                                                                                        3: 'ms400',
                                                                                                        4: 'ms600',
                                                                                                        5: 'ms1000',
                                                                                                        6: 'ms1500',
                                                                                                        7: 'ms2000'}},
                                                                                            {'name': 't310-r9',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'ms0',
                                                                                                        1: 'ms50',
                                                                                                        2: 'ms100',
                                                                                                        3: 'ms200',
                                                                                                        4: 'ms500',
                                                                                                        5: 'ms1000',
                                                                                                        6: 'ms2000'}},
                                                                                            {'name': 'n310-r9',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'n1',
                                                                                                        1: 'n2',
                                                                                                        2: 'n3',
                                                                                                        3: 'n4',
                                                                                                        4: 'n6',
                                                                                                        5: 'n8',
                                                                                                        6: 'n10',
                                                                                                        7: 'n20'}},
                                                                                            {'name': 't311-r9',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'ms1000',
                                                                                                        1: 'ms3000',
                                                                                                        2: 'ms5000',
                                                                                                        3: 'ms10000',
                                                                                                        4: 'ms15000',
                                                                                                        5: 'ms20000',
                                                                                                        6: 'ms30000'}},
                                                                                            {'name': 'n311-r9',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'n1',
                                                                                                        1: 'n2',
                                                                                                        2: 'n3',
                                                                                                        3: 'n4',
                                                                                                        4: 'n5',
                                                                                                        5: 'n6',
                                                                                                        6: 'n8',
                                                                                                        7: 'n10'}},
                                                                                            '...'],
                                                                                'name': 'setup',
                                                                                'type': 'SEQUENCE'}],
                                                                   'type': 'CHOICE'},
                                     'RLF-TimersAndConstantsSCG-r12': {'members': [{'name': 'release',
                                                                                    'type': 'NULL'},
                                                                                   {'members': [{'name': 't313-r12',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'ms0',
                                                                                                            1: 'ms50',
                                                                                                            2: 'ms100',
                                                                                                            3: 'ms200',
                                                                                                            4: 'ms500',
                                                                                                            5: 'ms1000',
                                                                                                            6: 'ms2000'}},
                                                                                                {'name': 'n313-r12',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'n1',
                                                                                                            1: 'n2',
                                                                                                            2: 'n3',
                                                                                                            3: 'n4',
                                                                                                            4: 'n6',
                                                                                                            5: 'n8',
                                                                                                            6: 'n10',
                                                                                                            7: 'n20'}},
                                                                                                {'name': 'n314-r12',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'n1',
                                                                                                            1: 'n2',
                                                                                                            2: 'n3',
                                                                                                            3: 'n4',
                                                                                                            4: 'n5',
                                                                                                            5: 'n6',
                                                                                                            6: 'n8',
                                                                                                            7: 'n10'}},
                                                                                                '...'],
                                                                                    'name': 'setup',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'CHOICE'},
                                     'RMTC-Config-r13': {'members': [{'name': 'release',
                                                                      'type': 'NULL'},
                                                                     {'members': [{'name': 'rmtc-Period-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'ms40',
                                                                                              1: 'ms80',
                                                                                              2: 'ms160',
                                                                                              3: 'ms320',
                                                                                              4: 'ms640'}},
                                                                                  {'name': 'rmtc-SubframeOffset-r13',
                                                                                   'optional': True,
                                                                                   'restricted-to': [(0,
                                                                                                      639)],
                                                                                   'type': 'INTEGER'},
                                                                                  {'name': 'measDuration-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'sym1',
                                                                                              1: 'sym14',
                                                                                              2: 'sym28',
                                                                                              3: 'sym42',
                                                                                              4: 'sym70'}},
                                                                                  '...'],
                                                                      'name': 'setup',
                                                                      'type': 'SEQUENCE'}],
                                                         'type': 'CHOICE'},
                                     'RN-SubframeConfig-r10': {'members': [{'members': [{'name': 'subframeConfigPatternFDD-r10',
                                                                                         'size': [8],
                                                                                         'type': 'BIT '
                                                                                                 'STRING'},
                                                                                        {'name': 'subframeConfigPatternTDD-r10',
                                                                                         'restricted-to': [(0,
                                                                                                            31)],
                                                                                         'type': 'INTEGER'}],
                                                                            'name': 'subframeConfigPattern-r10',
                                                                            'optional': True,
                                                                            'type': 'CHOICE'},
                                                                           {'members': [{'name': 'resourceAllocationType-r10',
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'type0',
                                                                                                    1: 'type1',
                                                                                                    2: 'type2Localized',
                                                                                                    3: 'type2Distributed',
                                                                                                    4: 'spare4',
                                                                                                    5: 'spare3',
                                                                                                    6: 'spare2',
                                                                                                    7: 'spare1'}},
                                                                                        {'members': [{'members': [{'name': 'nrb6-r10',
                                                                                                                   'size': [6],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb15-r10',
                                                                                                                   'size': [8],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb25-r10',
                                                                                                                   'size': [13],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb50-r10',
                                                                                                                   'size': [17],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb75-r10',
                                                                                                                   'size': [19],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb100-r10',
                                                                                                                   'size': [25],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'}],
                                                                                                      'name': 'type01-r10',
                                                                                                      'type': 'CHOICE'},
                                                                                                     {'members': [{'name': 'nrb6-r10',
                                                                                                                   'size': [5],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb15-r10',
                                                                                                                   'size': [7],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb25-r10',
                                                                                                                   'size': [9],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb50-r10',
                                                                                                                   'size': [11],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb75-r10',
                                                                                                                   'size': [12],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'},
                                                                                                                  {'name': 'nrb100-r10',
                                                                                                                   'size': [13],
                                                                                                                   'type': 'BIT '
                                                                                                                           'STRING'}],
                                                                                                      'name': 'type2-r10',
                                                                                                      'type': 'CHOICE'},
                                                                                                     '...'],
                                                                                         'name': 'resourceBlockAssignment-r10',
                                                                                         'type': 'CHOICE'},
                                                                                        {'members': [{'name': 'interleaving-r10',
                                                                                                      'type': 'ENUMERATED',
                                                                                                      'values': {0: 'crs'}},
                                                                                                     {'name': 'noInterleaving-r10',
                                                                                                      'type': 'ENUMERATED',
                                                                                                      'values': {0: 'crs',
                                                                                                                 1: 'dmrs'}}],
                                                                                         'name': 'demodulationRS-r10',
                                                                                         'type': 'CHOICE'},
                                                                                        {'name': 'pdsch-Start-r10',
                                                                                         'restricted-to': [(1,
                                                                                                            3)],
                                                                                         'type': 'INTEGER'},
                                                                                        {'members': [{'members': [{'members': [{'element': {'restricted-to': [(0,
                                                                                                                                                               2047)],
                                                                                                                                            'type': 'INTEGER'},
                                                                                                                                'name': 'n1PUCCH-AN-List-r10',
                                                                                                                                'size': [(1,
                                                                                                                                          4)],
                                                                                                                                'type': 'SEQUENCE '
                                                                                                                                        'OF'}],
                                                                                                                   'name': 'channelSelectionMultiplexingBundling',
                                                                                                                   'type': 'SEQUENCE'},
                                                                                                                  {'members': [{'name': 'n1PUCCH-AN-P0-r10',
                                                                                                                                'restricted-to': [(0,
                                                                                                                                                   2047)],
                                                                                                                                'type': 'INTEGER'},
                                                                                                                               {'name': 'n1PUCCH-AN-P1-r10',
                                                                                                                                'optional': True,
                                                                                                                                'restricted-to': [(0,
                                                                                                                                                   2047)],
                                                                                                                                'type': 'INTEGER'}],
                                                                                                                   'name': 'fallbackForFormat3',
                                                                                                                   'type': 'SEQUENCE'}],
                                                                                                      'name': 'tdd',
                                                                                                      'type': 'CHOICE'},
                                                                                                     {'members': [{'name': 'n1PUCCH-AN-P0-r10',
                                                                                                                   'restricted-to': [(0,
                                                                                                                                      2047)],
                                                                                                                   'type': 'INTEGER'},
                                                                                                                  {'name': 'n1PUCCH-AN-P1-r10',
                                                                                                                   'optional': True,
                                                                                                                   'restricted-to': [(0,
                                                                                                                                      2047)],
                                                                                                                   'type': 'INTEGER'}],
                                                                                                      'name': 'fdd',
                                                                                                      'type': 'SEQUENCE'}],
                                                                                         'name': 'pucch-Config-r10',
                                                                                         'type': 'CHOICE'},
                                                                                        '...'],
                                                                            'name': 'rpdcch-Config-r10',
                                                                            'optional': True,
                                                                            'type': 'SEQUENCE'},
                                                                           '...'],
                                                               'type': 'SEQUENCE'},
                                     'RN-SystemInfo-r10': {'members': [{'name': 'systemInformationBlockType1-r10',
                                                                        'optional': True,
                                                                        'type': 'OCTET '
                                                                                'STRING'},
                                                                       {'name': 'systemInformationBlockType2-r10',
                                                                        'optional': True,
                                                                        'type': 'SystemInformationBlockType2'},
                                                                       '...'],
                                                           'type': 'SEQUENCE'},
                                     'RNReconfiguration-r10': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                            'type': 'RRC-TransactionIdentifier'},
                                                                           {'members': [{'members': [{'name': 'rnReconfiguration-r10',
                                                                                                      'type': 'RNReconfiguration-r10-IEs'},
                                                                                                     {'name': 'spare3',
                                                                                                      'type': 'NULL'},
                                                                                                     {'name': 'spare2',
                                                                                                      'type': 'NULL'},
                                                                                                     {'name': 'spare1',
                                                                                                      'type': 'NULL'}],
                                                                                         'name': 'c1',
                                                                                         'type': 'CHOICE'},
                                                                                        {'members': [],
                                                                                         'name': 'criticalExtensionsFuture',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'name': 'criticalExtensions',
                                                                            'type': 'CHOICE'}],
                                                               'type': 'SEQUENCE'},
                                     'RNReconfiguration-r10-IEs': {'members': [{'name': 'rn-SystemInfo-r10',
                                                                                'optional': True,
                                                                                'type': 'RN-SystemInfo-r10'},
                                                                               {'name': 'rn-SubframeConfig-r10',
                                                                                'optional': True,
                                                                                'type': 'RN-SubframeConfig-r10'},
                                                                               {'name': 'lateNonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'OCTET '
                                                                                        'STRING'},
                                                                               {'members': [],
                                                                                'name': 'nonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'SEQUENCE'}],
                                                                   'type': 'SEQUENCE'},
                                     'RNReconfigurationComplete-r10': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                    'type': 'RRC-TransactionIdentifier'},
                                                                                   {'members': [{'members': [{'name': 'rnReconfigurationComplete-r10',
                                                                                                              'type': 'RNReconfigurationComplete-r10-IEs'},
                                                                                                             {'name': 'spare3',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare2',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare1',
                                                                                                              'type': 'NULL'}],
                                                                                                 'name': 'c1',
                                                                                                 'type': 'CHOICE'},
                                                                                                {'members': [],
                                                                                                 'name': 'criticalExtensionsFuture',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'criticalExtensions',
                                                                                    'type': 'CHOICE'}],
                                                                       'type': 'SEQUENCE'},
                                     'RNReconfigurationComplete-r10-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'OCTET '
                                                                                                'STRING'},
                                                                                       {'members': [],
                                                                                        'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'}],
                                                                           'type': 'SEQUENCE'},
                                     'RRC-TransactionIdentifier': {'restricted-to': [(0,
                                                                                      3)],
                                                                   'type': 'INTEGER'},
                                     'RRCConnectionReconfiguration': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                   'type': 'RRC-TransactionIdentifier'},
                                                                                  {'members': [{'members': [{'name': 'rrcConnectionReconfiguration-r8',
                                                                                                             'type': 'RRCConnectionReconfiguration-r8-IEs'},
                                                                                                            {'name': 'spare7',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare6',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare5',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare4',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare3',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare2',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare1',
                                                                                                             'type': 'NULL'}],
                                                                                                'name': 'c1',
                                                                                                'type': 'CHOICE'},
                                                                                               {'members': [],
                                                                                                'name': 'criticalExtensionsFuture',
                                                                                                'type': 'SEQUENCE'}],
                                                                                   'name': 'criticalExtensions',
                                                                                   'type': 'CHOICE'}],
                                                                      'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-r8-IEs': {'members': [{'name': 'measConfig',
                                                                                          'optional': True,
                                                                                          'type': 'MeasConfig'},
                                                                                         {'name': 'mobilityControlInfo',
                                                                                          'optional': True,
                                                                                          'type': 'MobilityControlInfo'},
                                                                                         {'element': {'type': 'DedicatedInfoNAS'},
                                                                                          'name': 'dedicatedInfoNASList',
                                                                                          'optional': True,
                                                                                          'size': [(1,
                                                                                                    'maxDRB')],
                                                                                          'type': 'SEQUENCE '
                                                                                                  'OF'},
                                                                                         {'name': 'radioResourceConfigDedicated',
                                                                                          'optional': True,
                                                                                          'type': 'RadioResourceConfigDedicated'},
                                                                                         {'name': 'securityConfigHO',
                                                                                          'optional': True,
                                                                                          'type': 'SecurityConfigHO'},
                                                                                         {'name': 'nonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'RRCConnectionReconfiguration-v890-IEs'}],
                                                                             'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v1020-IEs': {'members': [{'name': 'sCellToReleaseList-r10',
                                                                                             'optional': True,
                                                                                             'type': 'SCellToReleaseList-r10'},
                                                                                            {'name': 'sCellToAddModList-r10',
                                                                                             'optional': True,
                                                                                             'type': 'SCellToAddModList-r10'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'RRCConnectionReconfiguration-v1130-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v10i0-IEs': {'members': [{'name': 'antennaInfoDedicatedPCell-v10i0',
                                                                                             'optional': True,
                                                                                             'type': 'AntennaInfoDedicated-v10i0'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'RRCConnectionReconfiguration-v10l0-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v10l0-IEs': {'members': [{'name': 'mobilityControlInfo-v10l0',
                                                                                             'optional': True,
                                                                                             'type': 'MobilityControlInfo-v10l0'},
                                                                                            {'name': 'sCellToAddModList-v10l0',
                                                                                             'optional': True,
                                                                                             'type': 'SCellToAddModList-v10l0'},
                                                                                            {'name': 'lateNonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'RRCConnectionReconfiguration-v12f0-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v1130-IEs': {'members': [{'name': 'systemInformationBlockType1Dedicated-r11',
                                                                                             'optional': True,
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'RRCConnectionReconfiguration-v1250-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v1250-IEs': {'members': [{'members': [{'name': 'release',
                                                                                                          'type': 'NULL'},
                                                                                                         {'members': [{'name': 'wlan-OffloadConfigDedicated-r12',
                                                                                                                       'type': 'WLAN-OffloadConfig-r12'},
                                                                                                                      {'name': 't350-r12',
                                                                                                                       'optional': True,
                                                                                                                       'type': 'ENUMERATED',
                                                                                                                       'values': {0: 'min5',
                                                                                                                                  1: 'min10',
                                                                                                                                  2: 'min20',
                                                                                                                                  3: 'min30',
                                                                                                                                  4: 'min60',
                                                                                                                                  5: 'min120',
                                                                                                                                  6: 'min180',
                                                                                                                                  7: 'spare1'}}],
                                                                                                          'name': 'setup',
                                                                                                          'type': 'SEQUENCE'}],
                                                                                             'name': 'wlan-OffloadInfo-r12',
                                                                                             'optional': True,
                                                                                             'type': 'CHOICE'},
                                                                                            {'name': 'scg-Configuration-r12',
                                                                                             'optional': True,
                                                                                             'type': 'SCG-Configuration-r12'},
                                                                                            {'name': 'sl-SyncTxControl-r12',
                                                                                             'optional': True,
                                                                                             'type': 'SL-SyncTxControl-r12'},
                                                                                            {'name': 'sl-DiscConfig-r12',
                                                                                             'optional': True,
                                                                                             'type': 'SL-DiscConfig-r12'},
                                                                                            {'name': 'sl-CommConfig-r12',
                                                                                             'optional': True,
                                                                                             'type': 'SL-CommConfig-r12'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'RRCConnectionReconfiguration-v1310-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v12f0-IEs': {'members': [{'name': 'scg-Configuration-v12f0',
                                                                                             'optional': True,
                                                                                             'type': 'SCG-Configuration-v12f0'},
                                                                                            {'name': 'lateNonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'RRCConnectionReconfiguration-v1370-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v1310-IEs': {'members': [{'name': 'sCellToReleaseListExt-r13',
                                                                                             'optional': True,
                                                                                             'type': 'SCellToReleaseListExt-r13'},
                                                                                            {'name': 'sCellToAddModListExt-r13',
                                                                                             'optional': True,
                                                                                             'type': 'SCellToAddModListExt-r13'},
                                                                                            {'name': 'lwa-Configuration-r13',
                                                                                             'optional': True,
                                                                                             'type': 'LWA-Configuration-r13'},
                                                                                            {'name': 'lwip-Configuration-r13',
                                                                                             'optional': True,
                                                                                             'type': 'LWIP-Configuration-r13'},
                                                                                            {'name': 'rclwi-Configuration-r13',
                                                                                             'optional': True,
                                                                                             'type': 'RCLWI-Configuration-r13'},
                                                                                            {'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'RRCConnectionReconfiguration-v1430-IEs'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v1370-IEs': {'members': [{'name': 'radioResourceConfigDedicated-v1370',
                                                                                             'optional': True,
                                                                                             'type': 'RadioResourceConfigDedicated-v1370'},
                                                                                            {'name': 'sCellToAddModListExt-v1370',
                                                                                             'optional': True,
                                                                                             'type': 'SCellToAddModListExt-v1370'},
                                                                                            {'members': [],
                                                                                             'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'SEQUENCE'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v1430-IEs': {'members': [{'name': 'sl-V2X-ConfigDedicated-r14',
                                                                                             'optional': True,
                                                                                             'type': 'SL-V2X-ConfigDedicated-r14'},
                                                                                            {'name': 'sCellToAddModListExt-v1430',
                                                                                             'optional': True,
                                                                                             'type': 'SCellToAddModListExt-v1430'},
                                                                                            {'name': 'perCC-GapIndicationRequest-r14',
                                                                                             'optional': True,
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'true'}},
                                                                                            {'name': 'systemInformationBlockType2Dedicated-r14',
                                                                                             'optional': True,
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'members': [],
                                                                                             'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'SEQUENCE'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v890-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'OCTET '
                                                                                                    'STRING'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'RRCConnectionReconfiguration-v920-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v8m0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'OCTET '
                                                                                                    'STRING'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'RRCConnectionReconfiguration-v10i0-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-v920-IEs': {'members': [{'name': 'otherConfig-r9',
                                                                                            'optional': True,
                                                                                            'type': 'OtherConfig-r9'},
                                                                                           {'name': 'fullConfig-r9',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'true'}},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'RRCConnectionReconfiguration-v1020-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                           'type': 'RRC-TransactionIdentifier'},
                                                                                          {'members': [{'name': 'rrcConnectionReconfigurationComplete-r8',
                                                                                                        'type': 'RRCConnectionReconfigurationComplete-r8-IEs'},
                                                                                                       {'members': [],
                                                                                                        'name': 'criticalExtensionsFuture',
                                                                                                        'type': 'SEQUENCE'}],
                                                                                           'name': 'criticalExtensions',
                                                                                           'type': 'CHOICE'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-r8-IEs': {'members': [{'name': 'nonCriticalExtension',
                                                                                                  'optional': True,
                                                                                                  'type': 'RRCConnectionReconfigurationComplete-v8a0-IEs'}],
                                                                                     'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-v1020-IEs': {'members': [{'name': 'rlf-InfoAvailable-r10',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'true'}},
                                                                                                    {'name': 'logMeasAvailable-r10',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'true'}},
                                                                                                    {'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'RRCConnectionReconfigurationComplete-v1130-IEs'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-v1130-IEs': {'members': [{'name': 'connEstFailInfoAvailable-r11',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'true'}},
                                                                                                    {'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'RRCConnectionReconfigurationComplete-v1250-IEs'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-v1250-IEs': {'members': [{'name': 'logMeasAvailableMBSFN-r12',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'true'}},
                                                                                                    {'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'RRCConnectionReconfigurationComplete-v1430-IEs'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-v1430-IEs': {'members': [{'name': 'perCC-GapIndicationList-r14',
                                                                                                     'optional': True,
                                                                                                     'type': 'PerCC-GapIndicationList-r14'},
                                                                                                    {'name': 'numFreqEffective-r14',
                                                                                                     'optional': True,
                                                                                                     'restricted-to': [(1,
                                                                                                                        12)],
                                                                                                     'type': 'INTEGER'},
                                                                                                    {'name': 'numFreqEffectiveReduced-r14',
                                                                                                     'optional': True,
                                                                                                     'restricted-to': [(1,
                                                                                                                        12)],
                                                                                                     'type': 'INTEGER'},
                                                                                                    {'members': [],
                                                                                                     'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'SEQUENCE'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'OCTET '
                                                                                                            'STRING'},
                                                                                                   {'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'RRCConnectionReconfigurationComplete-v1020-IEs'}],
                                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishment': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                   'type': 'RRC-TransactionIdentifier'},
                                                                                  {'members': [{'members': [{'name': 'rrcConnectionReestablishment-r8',
                                                                                                             'type': 'RRCConnectionReestablishment-r8-IEs'},
                                                                                                            {'name': 'spare7',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare6',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare5',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare4',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare3',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare2',
                                                                                                             'type': 'NULL'},
                                                                                                            {'name': 'spare1',
                                                                                                             'type': 'NULL'}],
                                                                                                'name': 'c1',
                                                                                                'type': 'CHOICE'},
                                                                                               {'members': [],
                                                                                                'name': 'criticalExtensionsFuture',
                                                                                                'type': 'SEQUENCE'}],
                                                                                   'name': 'criticalExtensions',
                                                                                   'type': 'CHOICE'}],
                                                                      'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishment-r8-IEs': {'members': [{'name': 'radioResourceConfigDedicated',
                                                                                          'type': 'RadioResourceConfigDedicated'},
                                                                                         {'name': 'nextHopChainingCount',
                                                                                          'type': 'NextHopChainingCount'},
                                                                                         {'name': 'nonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'RRCConnectionReestablishment-v8a0-IEs'}],
                                                                             'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishment-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'OCTET '
                                                                                                    'STRING'},
                                                                                           {'members': [],
                                                                                            'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'}],
                                                                               'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                           'type': 'RRC-TransactionIdentifier'},
                                                                                          {'members': [{'name': 'rrcConnectionReestablishmentComplete-r8',
                                                                                                        'type': 'RRCConnectionReestablishmentComplete-r8-IEs'},
                                                                                                       {'members': [],
                                                                                                        'name': 'criticalExtensionsFuture',
                                                                                                        'type': 'SEQUENCE'}],
                                                                                           'name': 'criticalExtensions',
                                                                                           'type': 'CHOICE'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-r8-IEs': {'members': [{'name': 'nonCriticalExtension',
                                                                                                  'optional': True,
                                                                                                  'type': 'RRCConnectionReestablishmentComplete-v920-IEs'}],
                                                                                     'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-v1020-IEs': {'members': [{'name': 'logMeasAvailable-r10',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'true'}},
                                                                                                    {'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'RRCConnectionReestablishmentComplete-v1130-IEs'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-v1130-IEs': {'members': [{'name': 'connEstFailInfoAvailable-r11',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'true'}},
                                                                                                    {'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'RRCConnectionReestablishmentComplete-v1250-IEs'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-v1250-IEs': {'members': [{'name': 'logMeasAvailableMBSFN-r12',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'true'}},
                                                                                                    {'members': [],
                                                                                                     'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'SEQUENCE'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'OCTET '
                                                                                                            'STRING'},
                                                                                                   {'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'RRCConnectionReestablishmentComplete-v1020-IEs'}],
                                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-v920-IEs': {'members': [{'name': 'rlf-InfoAvailable-r9',
                                                                                                    'optional': True,
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'true'}},
                                                                                                   {'name': 'nonCriticalExtension',
                                                                                                    'optional': True,
                                                                                                    'type': 'RRCConnectionReestablishmentComplete-v8a0-IEs'}],
                                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentReject': {'members': [{'members': [{'name': 'rrcConnectionReestablishmentReject-r8',
                                                                                                      'type': 'RRCConnectionReestablishmentReject-r8-IEs'},
                                                                                                     {'members': [],
                                                                                                      'name': 'criticalExtensionsFuture',
                                                                                                      'type': 'SEQUENCE'}],
                                                                                         'name': 'criticalExtensions',
                                                                                         'type': 'CHOICE'}],
                                                                            'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentReject-r8-IEs': {'members': [{'name': 'nonCriticalExtension',
                                                                                                'optional': True,
                                                                                                'type': 'RRCConnectionReestablishmentReject-v8a0-IEs'}],
                                                                                   'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentReject-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                  'optional': True,
                                                                                                  'type': 'OCTET '
                                                                                                          'STRING'},
                                                                                                 {'members': [],
                                                                                                  'name': 'nonCriticalExtension',
                                                                                                  'optional': True,
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentRequest': {'members': [{'members': [{'name': 'rrcConnectionReestablishmentRequest-r8',
                                                                                                       'type': 'RRCConnectionReestablishmentRequest-r8-IEs'},
                                                                                                      {'members': [],
                                                                                                       'name': 'criticalExtensionsFuture',
                                                                                                       'type': 'SEQUENCE'}],
                                                                                          'name': 'criticalExtensions',
                                                                                          'type': 'CHOICE'}],
                                                                             'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentRequest-r8-IEs': {'members': [{'name': 'ue-Identity',
                                                                                                 'type': 'ReestabUE-Identity'},
                                                                                                {'name': 'reestablishmentCause',
                                                                                                 'type': 'ReestablishmentCause'},
                                                                                                {'name': 'spare',
                                                                                                 'size': [2],
                                                                                                 'type': 'BIT '
                                                                                                         'STRING'}],
                                                                                    'type': 'SEQUENCE'},
                                     'RRCConnectionReject': {'members': [{'members': [{'members': [{'name': 'rrcConnectionReject-r8',
                                                                                                    'type': 'RRCConnectionReject-r8-IEs'},
                                                                                                   {'name': 'spare3',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare2',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare1',
                                                                                                    'type': 'NULL'}],
                                                                                       'name': 'c1',
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [],
                                                                                       'name': 'criticalExtensionsFuture',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'criticalExtensions',
                                                                          'type': 'CHOICE'}],
                                                             'type': 'SEQUENCE'},
                                     'RRCConnectionReject-r8-IEs': {'members': [{'name': 'waitTime',
                                                                                 'restricted-to': [(1,
                                                                                                    16)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'RRCConnectionReject-v8a0-IEs'}],
                                                                    'type': 'SEQUENCE'},
                                     'RRCConnectionReject-v1020-IEs': {'members': [{'name': 'extendedWaitTime-r10',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(1,
                                                                                                       1800)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'RRCConnectionReject-v1130-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionReject-v1130-IEs': {'members': [{'members': [{'name': 'deprioritisationType-r11',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'frequency',
                                                                                                            1: 'e-utra'}},
                                                                                                {'name': 'deprioritisationTimer-r11',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'min5',
                                                                                                            1: 'min10',
                                                                                                            2: 'min15',
                                                                                                            3: 'min30'}}],
                                                                                    'name': 'deprioritisationReq-r11',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'RRCConnectionReject-v1320-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionReject-v1320-IEs': {'members': [{'name': 'rrc-SuspendIndication-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionReject-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'RRCConnectionReject-v1020-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'RRCConnectionRelease': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                           'type': 'RRC-TransactionIdentifier'},
                                                                          {'members': [{'members': [{'name': 'rrcConnectionRelease-r8',
                                                                                                     'type': 'RRCConnectionRelease-r8-IEs'},
                                                                                                    {'name': 'spare3',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare2',
                                                                                                     'type': 'NULL'},
                                                                                                    {'name': 'spare1',
                                                                                                     'type': 'NULL'}],
                                                                                        'name': 'c1',
                                                                                        'type': 'CHOICE'},
                                                                                       {'members': [],
                                                                                        'name': 'criticalExtensionsFuture',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'criticalExtensions',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-r8-IEs': {'members': [{'name': 'releaseCause',
                                                                                  'type': 'ReleaseCause'},
                                                                                 {'name': 'redirectedCarrierInfo',
                                                                                  'optional': True,
                                                                                  'type': 'RedirectedCarrierInfo'},
                                                                                 {'name': 'idleModeMobilityControlInfo',
                                                                                  'optional': True,
                                                                                  'type': 'IdleModeMobilityControlInfo'},
                                                                                 {'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'RRCConnectionRelease-v890-IEs'}],
                                                                     'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-v1020-IEs': {'members': [{'name': 'extendedWaitTime-r10',
                                                                                     'optional': True,
                                                                                     'restricted-to': [(1,
                                                                                                        1800)],
                                                                                     'type': 'INTEGER'},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'RRCConnectionRelease-v1320-IEs'}],
                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-v1320-IEs': {'members': [{'name': 'resumeIdentity-r13',
                                                                                     'optional': True,
                                                                                     'type': 'ResumeIdentity-r13'},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-v890-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'RRCConnectionRelease-v920-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-v920-IEs': {'members': [{'members': [{'name': 'geran-r9',
                                                                                                 'type': 'CellInfoListGERAN-r9'},
                                                                                                {'name': 'utra-FDD-r9',
                                                                                                 'type': 'CellInfoListUTRA-FDD-r9'},
                                                                                                {'name': 'utra-TDD-r9',
                                                                                                 'type': 'CellInfoListUTRA-TDD-r9'},
                                                                                                '...',
                                                                                                {'name': 'utra-TDD-r10',
                                                                                                 'type': 'CellInfoListUTRA-TDD-r10'}],
                                                                                    'name': 'cellInfoList-r9',
                                                                                    'optional': True,
                                                                                    'type': 'CHOICE'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'RRCConnectionRelease-v1020-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-v9e0-IEs': {'members': [{'name': 'redirectedCarrierInfo-v9e0',
                                                                                    'optional': True,
                                                                                    'type': 'RedirectedCarrierInfo-v9e0'},
                                                                                   {'name': 'idleModeMobilityControlInfo-v9e0',
                                                                                    'optional': True,
                                                                                    'type': 'IdleModeMobilityControlInfo-v9e0'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionRequest': {'members': [{'members': [{'name': 'rrcConnectionRequest-r8',
                                                                                        'type': 'RRCConnectionRequest-r8-IEs'},
                                                                                       {'members': [],
                                                                                        'name': 'criticalExtensionsFuture',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'criticalExtensions',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionRequest-r8-IEs': {'members': [{'name': 'ue-Identity',
                                                                                  'type': 'InitialUE-Identity'},
                                                                                 {'name': 'establishmentCause',
                                                                                  'type': 'EstablishmentCause'},
                                                                                 {'name': 'spare',
                                                                                  'size': [1],
                                                                                  'type': 'BIT '
                                                                                          'STRING'}],
                                                                     'type': 'SEQUENCE'},
                                     'RRCConnectionResume-r13': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                              'type': 'RRC-TransactionIdentifier'},
                                                                             {'members': [{'members': [{'name': 'rrcConnectionResume-r13',
                                                                                                        'type': 'RRCConnectionResume-r13-IEs'},
                                                                                                       {'name': 'spare3',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare2',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare1',
                                                                                                        'type': 'NULL'}],
                                                                                           'name': 'c1',
                                                                                           'type': 'CHOICE'},
                                                                                          {'members': [],
                                                                                           'name': 'criticalExtensionsFuture',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'criticalExtensions',
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                     'RRCConnectionResume-r13-IEs': {'members': [{'name': 'radioResourceConfigDedicated-r13',
                                                                                  'optional': True,
                                                                                  'type': 'RadioResourceConfigDedicated'},
                                                                                 {'name': 'nextHopChainingCount-r13',
                                                                                  'type': 'NextHopChainingCount'},
                                                                                 {'name': 'measConfig-r13',
                                                                                  'optional': True,
                                                                                  'type': 'MeasConfig'},
                                                                                 {'name': 'antennaInfoDedicatedPCell-r13',
                                                                                  'optional': True,
                                                                                  'type': 'AntennaInfoDedicated-v10i0'},
                                                                                 {'name': 'drb-ContinueROHC-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'name': 'rrcConnectionResume-v1430-IEs',
                                                                                  'optional': True,
                                                                                  'type': 'RRCConnectionResume-v1430-IEs'}],
                                                                     'type': 'SEQUENCE'},
                                     'RRCConnectionResume-v1430-IEs': {'members': [{'name': 'otherConfig-r14',
                                                                                    'optional': True,
                                                                                    'type': 'OtherConfig-r9'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionResumeComplete-r13': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                      'type': 'RRC-TransactionIdentifier'},
                                                                                     {'members': [{'name': 'rrcConnectionResumeComplete-r13',
                                                                                                   'type': 'RRCConnectionResumeComplete-r13-IEs'},
                                                                                                  {'members': [],
                                                                                                   'name': 'criticalExtensionsFuture',
                                                                                                   'type': 'SEQUENCE'}],
                                                                                      'name': 'criticalExtensions',
                                                                                      'type': 'CHOICE'}],
                                                                         'type': 'SEQUENCE'},
                                     'RRCConnectionResumeComplete-r13-IEs': {'members': [{'name': 'selectedPLMN-Identity-r13',
                                                                                          'optional': True,
                                                                                          'restricted-to': [(1,
                                                                                                             'maxPLMN-r11')],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'dedicatedInfoNAS-r13',
                                                                                          'optional': True,
                                                                                          'type': 'DedicatedInfoNAS'},
                                                                                         {'name': 'rlf-InfoAvailable-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'true'}},
                                                                                         {'name': 'logMeasAvailable-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'true'}},
                                                                                         {'name': 'connEstFailInfoAvailable-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'true'}},
                                                                                         {'name': 'mobilityState-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'normal',
                                                                                                     1: 'medium',
                                                                                                     2: 'high',
                                                                                                     3: 'spare'}},
                                                                                         {'name': 'mobilityHistoryAvail-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'true'}},
                                                                                         {'name': 'logMeasAvailableMBSFN-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'true'}},
                                                                                         {'name': 'lateNonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'OCTET '
                                                                                                  'STRING'},
                                                                                         {'members': [],
                                                                                          'name': 'nonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'SEQUENCE'}],
                                                                             'type': 'SEQUENCE'},
                                     'RRCConnectionResumeRequest-r13': {'members': [{'members': [{'name': 'rrcConnectionResumeRequest-r13',
                                                                                                  'type': 'RRCConnectionResumeRequest-r13-IEs'},
                                                                                                 {'members': [],
                                                                                                  'name': 'criticalExtensionsFuture',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'criticalExtensions',
                                                                                     'type': 'CHOICE'}],
                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionResumeRequest-r13-IEs': {'members': [{'members': [{'name': 'resumeID-r13',
                                                                                                      'type': 'ResumeIdentity-r13'},
                                                                                                     {'name': 'truncatedResumeID-r13',
                                                                                                      'size': [24],
                                                                                                      'type': 'BIT '
                                                                                                              'STRING'}],
                                                                                         'name': 'resumeIdentity-r13',
                                                                                         'type': 'CHOICE'},
                                                                                        {'name': 'shortResumeMAC-I-r13',
                                                                                         'size': [16],
                                                                                         'type': 'BIT '
                                                                                                 'STRING'},
                                                                                        {'name': 'resumeCause-r13',
                                                                                         'type': 'ResumeCause'},
                                                                                        {'name': 'spare',
                                                                                         'size': [1],
                                                                                         'type': 'BIT '
                                                                                                 'STRING'}],
                                                                            'type': 'SEQUENCE'},
                                     'RRCConnectionSetup': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                         'type': 'RRC-TransactionIdentifier'},
                                                                        {'members': [{'members': [{'name': 'rrcConnectionSetup-r8',
                                                                                                   'type': 'RRCConnectionSetup-r8-IEs'},
                                                                                                  {'name': 'spare7',
                                                                                                   'type': 'NULL'},
                                                                                                  {'name': 'spare6',
                                                                                                   'type': 'NULL'},
                                                                                                  {'name': 'spare5',
                                                                                                   'type': 'NULL'},
                                                                                                  {'name': 'spare4',
                                                                                                   'type': 'NULL'},
                                                                                                  {'name': 'spare3',
                                                                                                   'type': 'NULL'},
                                                                                                  {'name': 'spare2',
                                                                                                   'type': 'NULL'},
                                                                                                  {'name': 'spare1',
                                                                                                   'type': 'NULL'}],
                                                                                      'name': 'c1',
                                                                                      'type': 'CHOICE'},
                                                                                     {'members': [],
                                                                                      'name': 'criticalExtensionsFuture',
                                                                                      'type': 'SEQUENCE'}],
                                                                         'name': 'criticalExtensions',
                                                                         'type': 'CHOICE'}],
                                                            'type': 'SEQUENCE'},
                                     'RRCConnectionSetup-r8-IEs': {'members': [{'name': 'radioResourceConfigDedicated',
                                                                                'type': 'RadioResourceConfigDedicated'},
                                                                               {'name': 'nonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'RRCConnectionSetup-v8a0-IEs'}],
                                                                   'type': 'SEQUENCE'},
                                     'RRCConnectionSetup-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'members': [],
                                                                                  'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'}],
                                                                     'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                 'type': 'RRC-TransactionIdentifier'},
                                                                                {'members': [{'members': [{'name': 'rrcConnectionSetupComplete-r8',
                                                                                                           'type': 'RRCConnectionSetupComplete-r8-IEs'},
                                                                                                          {'name': 'spare3',
                                                                                                           'type': 'NULL'},
                                                                                                          {'name': 'spare2',
                                                                                                           'type': 'NULL'},
                                                                                                          {'name': 'spare1',
                                                                                                           'type': 'NULL'}],
                                                                                              'name': 'c1',
                                                                                              'type': 'CHOICE'},
                                                                                             {'members': [],
                                                                                              'name': 'criticalExtensionsFuture',
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'name': 'criticalExtensions',
                                                                                 'type': 'CHOICE'}],
                                                                    'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-r8-IEs': {'members': [{'name': 'selectedPLMN-Identity',
                                                                                        'restricted-to': [(1,
                                                                                                           'maxPLMN-r11')],
                                                                                        'type': 'INTEGER'},
                                                                                       {'name': 'registeredMME',
                                                                                        'optional': True,
                                                                                        'type': 'RegisteredMME'},
                                                                                       {'name': 'dedicatedInfoNAS',
                                                                                        'type': 'DedicatedInfoNAS'},
                                                                                       {'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'RRCConnectionSetupComplete-v8a0-IEs'}],
                                                                           'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-v1020-IEs': {'members': [{'name': 'gummei-Type-r10',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'native',
                                                                                                      1: 'mapped'}},
                                                                                          {'name': 'rlf-InfoAvailable-r10',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'logMeasAvailable-r10',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'rn-SubframeConfigReq-r10',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'required',
                                                                                                      1: 'notRequired'}},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'RRCConnectionSetupComplete-v1130-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-v1130-IEs': {'members': [{'name': 'connEstFailInfoAvailable-r11',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'RRCConnectionSetupComplete-v1250-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-v1250-IEs': {'members': [{'name': 'mobilityState-r12',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'normal',
                                                                                                      1: 'medium',
                                                                                                      2: 'high',
                                                                                                      3: 'spare'}},
                                                                                          {'name': 'mobilityHistoryAvail-r12',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'logMeasAvailableMBSFN-r12',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'RRCConnectionSetupComplete-v1320-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-v1320-IEs': {'members': [{'name': 'ce-ModeB-r13',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}},
                                                                                          {'name': 's-TMSI-r13',
                                                                                           'optional': True,
                                                                                           'type': 'S-TMSI'},
                                                                                          {'name': 'attachWithoutPDN-Connectivity-r13',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'up-CIoT-EPS-Optimisation-r13',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'cp-CIoT-EPS-Optimisation-r13',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'RRCConnectionSetupComplete-v1330-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-v1330-IEs': {'members': [{'name': 'ue-CE-NeedULGaps-r13',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'RRCConnectionSetupComplete-v1430-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-v1430-IEs': {'members': [{'name': 'dcn-ID-r14',
                                                                                           'optional': True,
                                                                                           'restricted-to': [(0,
                                                                                                              65535)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'members': [],
                                                                                           'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'OCTET '
                                                                                                  'STRING'},
                                                                                         {'name': 'nonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'RRCConnectionSetupComplete-v1020-IEs'}],
                                                                             'type': 'SEQUENCE'},
                                     'RS-SINR-Range-r13': {'restricted-to': [(0,
                                                                              127)],
                                                           'type': 'INTEGER'},
                                     'RSRP-Range': {'restricted-to': [(0, 97)],
                                                    'type': 'INTEGER'},
                                     'RSRP-Range-v1360': {'restricted-to': [(-17,
                                                                             -1)],
                                                          'type': 'INTEGER'},
                                     'RSRP-RangeSL-r12': {'restricted-to': [(0,
                                                                             13)],
                                                          'type': 'INTEGER'},
                                     'RSRP-RangeSL2-r12': {'restricted-to': [(0,
                                                                              7)],
                                                           'type': 'INTEGER'},
                                     'RSRP-RangeSL3-r12': {'restricted-to': [(0,
                                                                              11)],
                                                           'type': 'INTEGER'},
                                     'RSRP-RangeSL4-r13': {'restricted-to': [(0,
                                                                              49)],
                                                           'type': 'INTEGER'},
                                     'RSRP-ThresholdsPrachInfoList-r13': {'element': {'type': 'RSRP-Range'},
                                                                          'size': [(1,
                                                                                    3)],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'RSRQ-Range': {'restricted-to': [(0, 34)],
                                                    'type': 'INTEGER'},
                                     'RSRQ-Range-r13': {'restricted-to': [(-30,
                                                                           46)],
                                                        'type': 'INTEGER'},
                                     'RSRQ-Range-v1250': {'restricted-to': [(-30,
                                                                             46)],
                                                          'type': 'INTEGER'},
                                     'RSRQ-RangeConfig-r12': {'members': [{'name': 'release',
                                                                           'type': 'NULL'},
                                                                          {'name': 'setup',
                                                                           'type': 'RSRQ-Range-v1250'}],
                                                              'type': 'CHOICE'},
                                     'RSRQ-Type-r12': {'members': [{'name': 'allSymbols-r12',
                                                                    'type': 'BOOLEAN'},
                                                                   {'name': 'wideBand-r12',
                                                                    'type': 'BOOLEAN'}],
                                                       'type': 'SEQUENCE'},
                                     'RSSI-Range-r13': {'restricted-to': [(0,
                                                                           76)],
                                                        'type': 'INTEGER'},
                                     'RSTD-InterFreqInfo-r10': {'members': [{'name': 'carrierFreq-r10',
                                                                             'type': 'ARFCN-ValueEUTRA'},
                                                                            {'name': 'measPRS-Offset-r10',
                                                                             'restricted-to': [(0,
                                                                                                39)],
                                                                             'type': 'INTEGER'},
                                                                            '...',
                                                                            {'name': 'carrierFreq-v1090',
                                                                             'optional': True,
                                                                             'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                                'type': 'SEQUENCE'},
                                     'RSTD-InterFreqInfoList-r10': {'element': {'type': 'RSTD-InterFreqInfo-r10'},
                                                                    'size': [(1,
                                                                              'maxRSTD-Freq-r10')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'RadioResourceConfigCommon': {'members': [{'name': 'rach-ConfigCommon',
                                                                                'optional': True,
                                                                                'type': 'RACH-ConfigCommon'},
                                                                               {'name': 'prach-Config',
                                                                                'type': 'PRACH-Config'},
                                                                               {'name': 'pdsch-ConfigCommon',
                                                                                'optional': True,
                                                                                'type': 'PDSCH-ConfigCommon'},
                                                                               {'name': 'pusch-ConfigCommon',
                                                                                'type': 'PUSCH-ConfigCommon'},
                                                                               {'name': 'phich-Config',
                                                                                'optional': True,
                                                                                'type': 'PHICH-Config'},
                                                                               {'name': 'pucch-ConfigCommon',
                                                                                'optional': True,
                                                                                'type': 'PUCCH-ConfigCommon'},
                                                                               {'name': 'soundingRS-UL-ConfigCommon',
                                                                                'optional': True,
                                                                                'type': 'SoundingRS-UL-ConfigCommon'},
                                                                               {'name': 'uplinkPowerControlCommon',
                                                                                'optional': True,
                                                                                'type': 'UplinkPowerControlCommon'},
                                                                               {'name': 'antennaInfoCommon',
                                                                                'optional': True,
                                                                                'type': 'AntennaInfoCommon'},
                                                                               {'name': 'p-Max',
                                                                                'optional': True,
                                                                                'type': 'P-Max'},
                                                                               {'name': 'tdd-Config',
                                                                                'optional': True,
                                                                                'type': 'TDD-Config'},
                                                                               {'name': 'ul-CyclicPrefixLength',
                                                                                'type': 'UL-CyclicPrefixLength'},
                                                                               '...',
                                                                               {'name': 'uplinkPowerControlCommon-v1020',
                                                                                'optional': True,
                                                                                'type': 'UplinkPowerControlCommon-v1020'},
                                                                               {'name': 'tdd-Config-v1130',
                                                                                'optional': True,
                                                                                'type': 'TDD-Config-v1130'},
                                                                               {'name': 'pusch-ConfigCommon-v1270',
                                                                                'optional': True,
                                                                                'type': 'PUSCH-ConfigCommon-v1270'},
                                                                               {'name': 'prach-Config-v1310',
                                                                                'optional': True,
                                                                                'type': 'PRACH-Config-v1310'},
                                                                               {'name': 'freqHoppingParameters-r13',
                                                                                'optional': True,
                                                                                'type': 'FreqHoppingParameters-r13'},
                                                                               {'name': 'pdsch-ConfigCommon-v1310',
                                                                                'optional': True,
                                                                                'type': 'PDSCH-ConfigCommon-v1310'},
                                                                               {'name': 'pucch-ConfigCommon-v1310',
                                                                                'optional': True,
                                                                                'type': 'PUCCH-ConfigCommon-v1310'},
                                                                               {'name': 'pusch-ConfigCommon-v1310',
                                                                                'optional': True,
                                                                                'type': 'PUSCH-ConfigCommon-v1310'},
                                                                               {'name': 'uplinkPowerControlCommon-v1310',
                                                                                'optional': True,
                                                                                'type': 'UplinkPowerControlCommon-v1310'},
                                                                               {'name': 'highSpeedConfig-r14',
                                                                                'optional': True,
                                                                                'type': 'HighSpeedConfig-r14'},
                                                                               {'name': 'prach-Config-v1430',
                                                                                'optional': True,
                                                                                'type': 'PRACH-Config-v1430'},
                                                                               {'name': 'pucch-ConfigCommon-v1430',
                                                                                'optional': True,
                                                                                'type': 'PUCCH-ConfigCommon-v1430'},
                                                                               {'name': 'tdd-Config-v1430',
                                                                                'optional': True,
                                                                                'type': 'TDD-Config-v1430'}],
                                                                   'type': 'SEQUENCE'},
                                     'RadioResourceConfigCommonPSCell-r12': {'members': [{'name': 'basicFields-r12',
                                                                                          'type': 'RadioResourceConfigCommonSCell-r10'},
                                                                                         {'name': 'pucch-ConfigCommon-r12',
                                                                                          'type': 'PUCCH-ConfigCommon'},
                                                                                         {'name': 'rach-ConfigCommon-r12',
                                                                                          'type': 'RACH-ConfigCommon'},
                                                                                         {'name': 'uplinkPowerControlCommonPSCell-r12',
                                                                                          'type': 'UplinkPowerControlCommonPSCell-r12'},
                                                                                         '...',
                                                                                         {'name': 'uplinkPowerControlCommonPSCell-v1310',
                                                                                          'optional': True,
                                                                                          'type': 'UplinkPowerControlCommon-v1310'}],
                                                                             'type': 'SEQUENCE'},
                                     'RadioResourceConfigCommonPSCell-v12f0': {'members': [{'name': 'basicFields-v12f0',
                                                                                            'type': 'RadioResourceConfigCommonSCell-v10l0'}],
                                                                               'type': 'SEQUENCE'},
                                     'RadioResourceConfigCommonPSCell-v1440': {'members': [{'name': 'basicFields-v1440',
                                                                                            'type': 'RadioResourceConfigCommonSCell-v1440'}],
                                                                               'type': 'SEQUENCE'},
                                     'RadioResourceConfigCommonSCell-r10': {'members': [{'members': [{'name': 'dl-Bandwidth-r10',
                                                                                                      'type': 'ENUMERATED',
                                                                                                      'values': {0: 'n6',
                                                                                                                 1: 'n15',
                                                                                                                 2: 'n25',
                                                                                                                 3: 'n50',
                                                                                                                 4: 'n75',
                                                                                                                 5: 'n100'}},
                                                                                                     {'name': 'antennaInfoCommon-r10',
                                                                                                      'type': 'AntennaInfoCommon'},
                                                                                                     {'name': 'mbsfn-SubframeConfigList-r10',
                                                                                                      'optional': True,
                                                                                                      'type': 'MBSFN-SubframeConfigList'},
                                                                                                     {'name': 'phich-Config-r10',
                                                                                                      'type': 'PHICH-Config'},
                                                                                                     {'name': 'pdsch-ConfigCommon-r10',
                                                                                                      'type': 'PDSCH-ConfigCommon'},
                                                                                                     {'name': 'tdd-Config-r10',
                                                                                                      'optional': True,
                                                                                                      'type': 'TDD-Config'}],
                                                                                         'name': 'nonUL-Configuration-r10',
                                                                                         'type': 'SEQUENCE'},
                                                                                        {'members': [{'members': [{'name': 'ul-CarrierFreq-r10',
                                                                                                                   'optional': True,
                                                                                                                   'type': 'ARFCN-ValueEUTRA'},
                                                                                                                  {'name': 'ul-Bandwidth-r10',
                                                                                                                   'optional': True,
                                                                                                                   'type': 'ENUMERATED',
                                                                                                                   'values': {0: 'n6',
                                                                                                                              1: 'n15',
                                                                                                                              2: 'n25',
                                                                                                                              3: 'n50',
                                                                                                                              4: 'n75',
                                                                                                                              5: 'n100'}},
                                                                                                                  {'name': 'additionalSpectrumEmissionSCell-r10',
                                                                                                                   'type': 'AdditionalSpectrumEmission'}],
                                                                                                      'name': 'ul-FreqInfo-r10',
                                                                                                      'type': 'SEQUENCE'},
                                                                                                     {'name': 'p-Max-r10',
                                                                                                      'optional': True,
                                                                                                      'type': 'P-Max'},
                                                                                                     {'name': 'uplinkPowerControlCommonSCell-r10',
                                                                                                      'type': 'UplinkPowerControlCommonSCell-r10'},
                                                                                                     {'name': 'soundingRS-UL-ConfigCommon-r10',
                                                                                                      'type': 'SoundingRS-UL-ConfigCommon'},
                                                                                                     {'name': 'ul-CyclicPrefixLength-r10',
                                                                                                      'type': 'UL-CyclicPrefixLength'},
                                                                                                     {'name': 'prach-ConfigSCell-r10',
                                                                                                      'optional': True,
                                                                                                      'type': 'PRACH-ConfigSCell-r10'},
                                                                                                     {'name': 'pusch-ConfigCommon-r10',
                                                                                                      'type': 'PUSCH-ConfigCommon'}],
                                                                                         'name': 'ul-Configuration-r10',
                                                                                         'optional': True,
                                                                                         'type': 'SEQUENCE'},
                                                                                        '...',
                                                                                        {'name': 'ul-CarrierFreq-v1090',
                                                                                         'optional': True,
                                                                                         'type': 'ARFCN-ValueEUTRA-v9e0'},
                                                                                        {'name': 'rach-ConfigCommonSCell-r11',
                                                                                         'optional': True,
                                                                                         'type': 'RACH-ConfigCommonSCell-r11'},
                                                                                        {'name': 'prach-ConfigSCell-r11',
                                                                                         'optional': True,
                                                                                         'type': 'PRACH-Config'},
                                                                                        {'name': 'tdd-Config-v1130',
                                                                                         'optional': True,
                                                                                         'type': 'TDD-Config-v1130'},
                                                                                        {'name': 'uplinkPowerControlCommonSCell-v1130',
                                                                                         'optional': True,
                                                                                         'type': 'UplinkPowerControlCommonSCell-v1130'},
                                                                                        {'name': 'pusch-ConfigCommon-v1270',
                                                                                         'optional': True,
                                                                                         'type': 'PUSCH-ConfigCommon-v1270'},
                                                                                        {'name': 'pucch-ConfigCommon-r13',
                                                                                         'optional': True,
                                                                                         'type': 'PUCCH-ConfigCommon'},
                                                                                        {'name': 'uplinkPowerControlCommonSCell-v1310',
                                                                                         'optional': True,
                                                                                         'type': 'UplinkPowerControlCommonSCell-v1310'},
                                                                                        {'name': 'highSpeedConfigSCell-r14',
                                                                                         'optional': True,
                                                                                         'type': 'HighSpeedConfigSCell-r14'},
                                                                                        {'name': 'prach-Config-v1430',
                                                                                         'optional': True,
                                                                                         'type': 'PRACH-Config-v1430'},
                                                                                        {'members': [{'members': [{'name': 'ul-CarrierFreq-r14',
                                                                                                                   'optional': True,
                                                                                                                   'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                                                  {'name': 'ul-Bandwidth-r14',
                                                                                                                   'optional': True,
                                                                                                                   'type': 'ENUMERATED',
                                                                                                                   'values': {0: 'n6',
                                                                                                                              1: 'n15',
                                                                                                                              2: 'n25',
                                                                                                                              3: 'n50',
                                                                                                                              4: 'n75',
                                                                                                                              5: 'n100'}},
                                                                                                                  {'name': 'additionalSpectrumEmissionSCell-r14',
                                                                                                                   'type': 'AdditionalSpectrumEmission'}],
                                                                                                      'name': 'ul-FreqInfo-r14',
                                                                                                      'type': 'SEQUENCE'},
                                                                                                     {'name': 'p-Max-r14',
                                                                                                      'optional': True,
                                                                                                      'type': 'P-Max'},
                                                                                                     {'name': 'soundingRS-UL-ConfigCommon-r14',
                                                                                                      'type': 'SoundingRS-UL-ConfigCommon'},
                                                                                                     {'name': 'ul-CyclicPrefixLength-r14',
                                                                                                      'type': 'UL-CyclicPrefixLength'},
                                                                                                     {'name': 'prach-ConfigSCell-r14',
                                                                                                      'optional': True,
                                                                                                      'type': 'PRACH-ConfigSCell-r10'},
                                                                                                     {'name': 'uplinkPowerControlCommonPUSCH-LessCell-v1430',
                                                                                                      'optional': True,
                                                                                                      'type': 'UplinkPowerControlCommonPUSCH-LessCell-v1430'}],
                                                                                         'name': 'ul-Configuration-r14',
                                                                                         'optional': True,
                                                                                         'type': 'SEQUENCE'},
                                                                                        {'name': 'harq-ReferenceConfig-r14',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'sa2',
                                                                                                    1: 'sa4',
                                                                                                    2: 'sa5'}},
                                                                                        {'name': 'soundingRS-FlexibleTiming-r14',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'true'}},
                                                                                        {'name': 'mbsfn-SubframeConfigList-v1430',
                                                                                         'optional': True,
                                                                                         'type': 'MBSFN-SubframeConfigList-v1430'}],
                                                                            'type': 'SEQUENCE'},
                                     'RadioResourceConfigCommonSCell-v10l0': {'members': [{'members': [{'name': 'additionalSpectrumEmissionSCell-v10l0',
                                                                                                        'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                                           'name': 'ul-Configuration-v10l0',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'},
                                     'RadioResourceConfigCommonSCell-v1440': {'members': [{'members': [{'members': [{'name': 'additionalSpectrumEmissionSCell-v1440',
                                                                                                                     'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                                                        'name': 'ul-FreqInfo-v1440',
                                                                                                        'type': 'SEQUENCE'}],
                                                                                           'name': 'ul-Configuration-v1440',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'},
                                     'RadioResourceConfigCommonSIB': {'members': [{'name': 'rach-ConfigCommon',
                                                                                   'type': 'RACH-ConfigCommon'},
                                                                                  {'name': 'bcch-Config',
                                                                                   'type': 'BCCH-Config'},
                                                                                  {'name': 'pcch-Config',
                                                                                   'type': 'PCCH-Config'},
                                                                                  {'name': 'prach-Config',
                                                                                   'type': 'PRACH-ConfigSIB'},
                                                                                  {'name': 'pdsch-ConfigCommon',
                                                                                   'type': 'PDSCH-ConfigCommon'},
                                                                                  {'name': 'pusch-ConfigCommon',
                                                                                   'type': 'PUSCH-ConfigCommon'},
                                                                                  {'name': 'pucch-ConfigCommon',
                                                                                   'type': 'PUCCH-ConfigCommon'},
                                                                                  {'name': 'soundingRS-UL-ConfigCommon',
                                                                                   'type': 'SoundingRS-UL-ConfigCommon'},
                                                                                  {'name': 'uplinkPowerControlCommon',
                                                                                   'type': 'UplinkPowerControlCommon'},
                                                                                  {'name': 'ul-CyclicPrefixLength',
                                                                                   'type': 'UL-CyclicPrefixLength'},
                                                                                  '...',
                                                                                  {'name': 'uplinkPowerControlCommon-v1020',
                                                                                   'optional': True,
                                                                                   'type': 'UplinkPowerControlCommon-v1020'},
                                                                                  {'name': 'rach-ConfigCommon-v1250',
                                                                                   'optional': True,
                                                                                   'type': 'RACH-ConfigCommon-v1250'},
                                                                                  {'name': 'pusch-ConfigCommon-v1270',
                                                                                   'optional': True,
                                                                                   'type': 'PUSCH-ConfigCommon-v1270'},
                                                                                  {'name': 'bcch-Config-v1310',
                                                                                   'optional': True,
                                                                                   'type': 'BCCH-Config-v1310'},
                                                                                  {'name': 'pcch-Config-v1310',
                                                                                   'optional': True,
                                                                                   'type': 'PCCH-Config-v1310'},
                                                                                  {'name': 'freqHoppingParameters-r13',
                                                                                   'optional': True,
                                                                                   'type': 'FreqHoppingParameters-r13'},
                                                                                  {'name': 'pdsch-ConfigCommon-v1310',
                                                                                   'optional': True,
                                                                                   'type': 'PDSCH-ConfigCommon-v1310'},
                                                                                  {'name': 'pusch-ConfigCommon-v1310',
                                                                                   'optional': True,
                                                                                   'type': 'PUSCH-ConfigCommon-v1310'},
                                                                                  {'name': 'prach-ConfigCommon-v1310',
                                                                                   'optional': True,
                                                                                   'type': 'PRACH-ConfigSIB-v1310'},
                                                                                  {'name': 'pucch-ConfigCommon-v1310',
                                                                                   'optional': True,
                                                                                   'type': 'PUCCH-ConfigCommon-v1310'},
                                                                                  {'name': 'highSpeedConfig-r14',
                                                                                   'optional': True,
                                                                                   'type': 'HighSpeedConfig-r14'},
                                                                                  {'name': 'prach-Config-v1430',
                                                                                   'optional': True,
                                                                                   'type': 'PRACH-Config-v1430'},
                                                                                  {'name': 'pucch-ConfigCommon-v1430',
                                                                                   'optional': True,
                                                                                   'type': 'PUCCH-ConfigCommon-v1430'}],
                                                                      'type': 'SEQUENCE'},
                                     'RadioResourceConfigDedicated': {'members': [{'name': 'srb-ToAddModList',
                                                                                   'optional': True,
                                                                                   'type': 'SRB-ToAddModList'},
                                                                                  {'name': 'drb-ToAddModList',
                                                                                   'optional': True,
                                                                                   'type': 'DRB-ToAddModList'},
                                                                                  {'name': 'drb-ToReleaseList',
                                                                                   'optional': True,
                                                                                   'type': 'DRB-ToReleaseList'},
                                                                                  {'members': [{'name': 'explicitValue',
                                                                                                'type': 'MAC-MainConfig'},
                                                                                               {'name': 'defaultValue',
                                                                                                'type': 'NULL'}],
                                                                                   'name': 'mac-MainConfig',
                                                                                   'optional': True,
                                                                                   'type': 'CHOICE'},
                                                                                  {'name': 'sps-Config',
                                                                                   'optional': True,
                                                                                   'type': 'SPS-Config'},
                                                                                  {'name': 'physicalConfigDedicated',
                                                                                   'optional': True,
                                                                                   'type': 'PhysicalConfigDedicated'},
                                                                                  '...',
                                                                                  {'name': 'rlf-TimersAndConstants-r9',
                                                                                   'optional': True,
                                                                                   'type': 'RLF-TimersAndConstants-r9'},
                                                                                  {'name': 'measSubframePatternPCell-r10',
                                                                                   'optional': True,
                                                                                   'type': 'MeasSubframePatternPCell-r10'},
                                                                                  {'name': 'neighCellsCRS-Info-r11',
                                                                                   'optional': True,
                                                                                   'type': 'NeighCellsCRS-Info-r11'},
                                                                                  {'name': 'naics-Info-r12',
                                                                                   'optional': True,
                                                                                   'type': 'NAICS-AssistanceInfo-r12'},
                                                                                  {'name': 'neighCellsCRS-Info-r13',
                                                                                   'optional': True,
                                                                                   'type': 'NeighCellsCRS-Info-r13'},
                                                                                  {'name': 'rlf-TimersAndConstants-r13',
                                                                                   'optional': True,
                                                                                   'type': 'RLF-TimersAndConstants-r13'},
                                                                                  {'name': 'sps-Config-v1430',
                                                                                   'optional': True,
                                                                                   'type': 'SPS-Config-v1430'}],
                                                                      'type': 'SEQUENCE'},
                                     'RadioResourceConfigDedicated-v1370': {'members': [{'name': 'physicalConfigDedicated-v1370',
                                                                                         'optional': True,
                                                                                         'type': 'PhysicalConfigDedicated-v1370'}],
                                                                            'type': 'SEQUENCE'},
                                     'RadioResourceConfigDedicatedPSCell-r12': {'members': [{'name': 'physicalConfigDedicatedPSCell-r12',
                                                                                             'optional': True,
                                                                                             'type': 'PhysicalConfigDedicated'},
                                                                                            {'name': 'sps-Config-r12',
                                                                                             'optional': True,
                                                                                             'type': 'SPS-Config'},
                                                                                            {'name': 'naics-Info-r12',
                                                                                             'optional': True,
                                                                                             'type': 'NAICS-AssistanceInfo-r12'},
                                                                                            '...',
                                                                                            {'name': 'neighCellsCRS-InfoPSCell-r13',
                                                                                             'optional': True,
                                                                                             'type': 'NeighCellsCRS-Info-r13'},
                                                                                            {'name': 'sps-Config-v1430',
                                                                                             'optional': True,
                                                                                             'type': 'SPS-Config-v1430'}],
                                                                                'type': 'SEQUENCE'},
                                     'RadioResourceConfigDedicatedPSCell-v1370': {'members': [{'name': 'physicalConfigDedicatedPSCell-v1370',
                                                                                               'optional': True,
                                                                                               'type': 'PhysicalConfigDedicated-v1370'}],
                                                                                  'type': 'SEQUENCE'},
                                     'RadioResourceConfigDedicatedSCG-r12': {'members': [{'name': 'drb-ToAddModListSCG-r12',
                                                                                          'optional': True,
                                                                                          'type': 'DRB-ToAddModListSCG-r12'},
                                                                                         {'name': 'mac-MainConfigSCG-r12',
                                                                                          'optional': True,
                                                                                          'type': 'MAC-MainConfig'},
                                                                                         {'name': 'rlf-TimersAndConstantsSCG-r12',
                                                                                          'optional': True,
                                                                                          'type': 'RLF-TimersAndConstantsSCG-r12'},
                                                                                         '...'],
                                                                             'type': 'SEQUENCE'},
                                     'RadioResourceConfigDedicatedSCell-r10': {'members': [{'name': 'physicalConfigDedicatedSCell-r10',
                                                                                            'optional': True,
                                                                                            'type': 'PhysicalConfigDedicatedSCell-r10'},
                                                                                           '...',
                                                                                           {'name': 'mac-MainConfigSCell-r11',
                                                                                            'optional': True,
                                                                                            'type': 'MAC-MainConfigSCell-r11'},
                                                                                           {'name': 'naics-Info-r12',
                                                                                            'optional': True,
                                                                                            'type': 'NAICS-AssistanceInfo-r12'},
                                                                                           {'name': 'neighCellsCRS-InfoSCell-r13',
                                                                                            'optional': True,
                                                                                            'type': 'NeighCellsCRS-Info-r13'},
                                                                                           {'name': 'physicalConfigDedicatedSCell-v1370',
                                                                                            'optional': True,
                                                                                            'type': 'PhysicalConfigDedicatedSCell-v1370'}],
                                                                               'type': 'SEQUENCE'},
                                     'RedirectedCarrierInfo': {'members': [{'name': 'eutra',
                                                                            'type': 'ARFCN-ValueEUTRA'},
                                                                           {'name': 'geran',
                                                                            'type': 'CarrierFreqsGERAN'},
                                                                           {'name': 'utra-FDD',
                                                                            'type': 'ARFCN-ValueUTRA'},
                                                                           {'name': 'utra-TDD',
                                                                            'type': 'ARFCN-ValueUTRA'},
                                                                           {'name': 'cdma2000-HRPD',
                                                                            'type': 'CarrierFreqCDMA2000'},
                                                                           {'name': 'cdma2000-1xRTT',
                                                                            'type': 'CarrierFreqCDMA2000'},
                                                                           '...',
                                                                           {'name': 'utra-TDD-r10',
                                                                            'type': 'CarrierFreqListUTRA-TDD-r10'}],
                                                               'type': 'CHOICE'},
                                     'RedirectedCarrierInfo-v9e0': {'members': [{'name': 'eutra-v9e0',
                                                                                 'type': 'ARFCN-ValueEUTRA-v9e0'}],
                                                                    'type': 'SEQUENCE'},
                                     'RedistributionFactor-r13': {'restricted-to': [(1,
                                                                                     10)],
                                                                  'type': 'INTEGER'},
                                     'RedistributionInterFreqInfo-r13': {'members': [{'name': 'redistributionFactorFreq-r13',
                                                                                      'optional': True,
                                                                                      'type': 'RedistributionFactor-r13'},
                                                                                     {'name': 'redistributionNeighCellList-r13',
                                                                                      'optional': True,
                                                                                      'type': 'RedistributionNeighCellList-r13'}],
                                                                         'type': 'SEQUENCE'},
                                     'RedistributionNeighCell-r13': {'members': [{'name': 'physCellId-r13',
                                                                                  'type': 'PhysCellId'},
                                                                                 {'name': 'redistributionFactorCell-r13',
                                                                                  'type': 'RedistributionFactor-r13'}],
                                                                     'type': 'SEQUENCE'},
                                     'RedistributionNeighCellList-r13': {'element': {'type': 'RedistributionNeighCell-r13'},
                                                                         'size': [(1,
                                                                                   'maxCellInter')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'RedistributionServingInfo-r13': {'members': [{'name': 'redistributionFactorServing-r13',
                                                                                    'restricted-to': [(0,
                                                                                                       10)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'redistributionFactorCell-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'name': 't360-r13',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'min4',
                                                                                               1: 'min8',
                                                                                               2: 'min16',
                                                                                               3: 'min32',
                                                                                               4: 'infinity',
                                                                                               5: 'spare3',
                                                                                               6: 'spare2',
                                                                                               7: 'spare1'}},
                                                                                   {'name': 'redistrOnPagingOnly-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}}],
                                                                       'type': 'SEQUENCE'},
                                     'ReestabUE-Identity': {'members': [{'name': 'c-RNTI',
                                                                         'type': 'C-RNTI'},
                                                                        {'name': 'physCellId',
                                                                         'type': 'PhysCellId'},
                                                                        {'name': 'shortMAC-I',
                                                                         'type': 'ShortMAC-I'}],
                                                            'type': 'SEQUENCE'},
                                     'ReestablishmentCause': {'type': 'ENUMERATED',
                                                              'values': {0: 'reconfigurationFailure',
                                                                         1: 'handoverFailure',
                                                                         2: 'otherFailure',
                                                                         3: 'spare1'}},
                                     'RegisteredMME': {'members': [{'name': 'plmn-Identity',
                                                                    'optional': True,
                                                                    'type': 'PLMN-Identity'},
                                                                   {'name': 'mmegi',
                                                                    'size': [16],
                                                                    'type': 'BIT '
                                                                            'STRING'},
                                                                   {'name': 'mmec',
                                                                    'type': 'MMEC'}],
                                                       'type': 'SEQUENCE'},
                                     'ReleaseCause': {'type': 'ENUMERATED',
                                                      'values': {0: 'loadBalancingTAUrequired',
                                                                 1: 'other',
                                                                 2: 'cs-FallbackHighPriority-v1020',
                                                                 3: 'rrc-Suspend-v1320'}},
                                     'ReportConfigEUTRA': {'members': [{'members': [{'members': [{'members': [{'members': [{'name': 'a1-Threshold',
                                                                                                                            'type': 'ThresholdEUTRA'}],
                                                                                                               'name': 'eventA1',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'a2-Threshold',
                                                                                                                            'type': 'ThresholdEUTRA'}],
                                                                                                               'name': 'eventA2',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'a3-Offset',
                                                                                                                            'restricted-to': [(-30,
                                                                                                                                               30)],
                                                                                                                            'type': 'INTEGER'},
                                                                                                                           {'name': 'reportOnLeave',
                                                                                                                            'type': 'BOOLEAN'}],
                                                                                                               'name': 'eventA3',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'a4-Threshold',
                                                                                                                            'type': 'ThresholdEUTRA'}],
                                                                                                               'name': 'eventA4',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'a5-Threshold1',
                                                                                                                            'type': 'ThresholdEUTRA'},
                                                                                                                           {'name': 'a5-Threshold2',
                                                                                                                            'type': 'ThresholdEUTRA'}],
                                                                                                               'name': 'eventA5',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              '...',
                                                                                                              {'members': [{'name': 'a6-Offset-r10',
                                                                                                                            'restricted-to': [(-30,
                                                                                                                                               30)],
                                                                                                                            'type': 'INTEGER'},
                                                                                                                           {'name': 'a6-ReportOnLeave-r10',
                                                                                                                            'type': 'BOOLEAN'}],
                                                                                                               'name': 'eventA6-r10',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'c1-Threshold-r12',
                                                                                                                            'type': 'ThresholdEUTRA-v1250'},
                                                                                                                           {'name': 'c1-ReportOnLeave-r12',
                                                                                                                            'type': 'BOOLEAN'}],
                                                                                                               'name': 'eventC1-r12',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'c2-RefCSI-RS-r12',
                                                                                                                            'type': 'MeasCSI-RS-Id-r12'},
                                                                                                                           {'name': 'c2-Offset-r12',
                                                                                                                            'restricted-to': [(-30,
                                                                                                                                               30)],
                                                                                                                            'type': 'INTEGER'},
                                                                                                                           {'name': 'c2-ReportOnLeave-r12',
                                                                                                                            'type': 'BOOLEAN'}],
                                                                                                               'name': 'eventC2-r12',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'v1-Threshold-r14',
                                                                                                                            'type': 'SL-CBR-r14'}],
                                                                                                               'name': 'eventV1-r14',
                                                                                                               'type': 'SEQUENCE'},
                                                                                                              {'members': [{'name': 'v2-Threshold-r14',
                                                                                                                            'type': 'SL-CBR-r14'}],
                                                                                                               'name': 'eventV2-r14',
                                                                                                               'type': 'SEQUENCE'}],
                                                                                                  'name': 'eventId',
                                                                                                  'type': 'CHOICE'},
                                                                                                 {'name': 'hysteresis',
                                                                                                  'type': 'Hysteresis'},
                                                                                                 {'name': 'timeToTrigger',
                                                                                                  'type': 'TimeToTrigger'}],
                                                                                     'name': 'event',
                                                                                     'type': 'SEQUENCE'},
                                                                                    {'members': [{'name': 'purpose',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'reportStrongestCells',
                                                                                                             1: 'reportCGI'}}],
                                                                                     'name': 'periodical',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'triggerType',
                                                                        'type': 'CHOICE'},
                                                                       {'name': 'triggerQuantity',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'rsrp',
                                                                                   1: 'rsrq'}},
                                                                       {'name': 'reportQuantity',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'sameAsTriggerQuantity',
                                                                                   1: 'both'}},
                                                                       {'name': 'maxReportCells',
                                                                        'restricted-to': [(1,
                                                                                           'maxCellReport')],
                                                                        'type': 'INTEGER'},
                                                                       {'name': 'reportInterval',
                                                                        'type': 'ReportInterval'},
                                                                       {'name': 'reportAmount',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'r1',
                                                                                   1: 'r2',
                                                                                   2: 'r4',
                                                                                   3: 'r8',
                                                                                   4: 'r16',
                                                                                   5: 'r32',
                                                                                   6: 'r64',
                                                                                   7: 'infinity'}},
                                                                       '...',
                                                                       {'name': 'si-RequestForHO-r9',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'setup'}},
                                                                       {'name': 'ue-RxTxTimeDiffPeriodical-r9',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'setup'}},
                                                                       {'name': 'includeLocationInfo-r10',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'true'}},
                                                                       {'name': 'reportAddNeighMeas-r10',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'setup'}},
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'name': 'setup',
                                                                                     'type': 'TimeToTrigger'}],
                                                                        'name': 'alternativeTimeToTrigger-r12',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'name': 'useT312-r12',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'name': 'usePSCell-r12',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'name': 'aN-Threshold1-v1250',
                                                                        'optional': True,
                                                                        'type': 'RSRQ-RangeConfig-r12'},
                                                                       {'name': 'a5-Threshold2-v1250',
                                                                        'optional': True,
                                                                        'type': 'RSRQ-RangeConfig-r12'},
                                                                       {'name': 'reportStrongestCSI-RSs-r12',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'name': 'reportCRS-Meas-r12',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'name': 'triggerQuantityCSI-RS-r12',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'name': 'reportSSTD-Meas-r13',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'name': 'triggerQuantity-v1310',
                                                                                                  'optional': True,
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'sinr'}},
                                                                                                 {'name': 'aN-Threshold1-r13',
                                                                                                  'optional': True,
                                                                                                  'type': 'RS-SINR-Range-r13'},
                                                                                                 {'name': 'a5-Threshold2-r13',
                                                                                                  'optional': True,
                                                                                                  'type': 'RS-SINR-Range-r13'},
                                                                                                 {'name': 'reportQuantity-v1310',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'rsrpANDsinr',
                                                                                                             1: 'rsrqANDsinr',
                                                                                                             2: 'all'}}],
                                                                                     'name': 'setup',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'rs-sinr-Config-r13',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'name': 'useWhiteCellList-r13',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'name': 'measRSSI-ReportConfig-r13',
                                                                        'optional': True,
                                                                        'type': 'MeasRSSI-ReportConfig-r13'},
                                                                       {'name': 'includeMultiBandInfo-r13',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'true'}},
                                                                       {'name': 'ul-DelayConfig-r13',
                                                                        'optional': True,
                                                                        'type': 'UL-DelayConfig-r13'},
                                                                       {'name': 'ue-RxTxTimeDiffPeriodicalTDD-r13',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'name': 'purpose-v1430',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'reportLocation',
                                                                                   1: 'sidelink',
                                                                                   2: 'spare2',
                                                                                   3: 'spare1'}}],
                                                           'type': 'SEQUENCE'},
                                     'ReportConfigId': {'restricted-to': [(1,
                                                                           'maxReportConfigId')],
                                                        'type': 'INTEGER'},
                                     'ReportConfigInterRAT': {'members': [{'members': [{'members': [{'members': [{'members': [{'members': [{'name': 'b1-ThresholdUTRA',
                                                                                                                                            'type': 'ThresholdUTRA'},
                                                                                                                                           {'name': 'b1-ThresholdGERAN',
                                                                                                                                            'type': 'ThresholdGERAN'},
                                                                                                                                           {'name': 'b1-ThresholdCDMA2000',
                                                                                                                                            'type': 'ThresholdCDMA2000'}],
                                                                                                                               'name': 'b1-Threshold',
                                                                                                                               'type': 'CHOICE'}],
                                                                                                                  'name': 'eventB1',
                                                                                                                  'type': 'SEQUENCE'},
                                                                                                                 {'members': [{'name': 'b2-Threshold1',
                                                                                                                               'type': 'ThresholdEUTRA'},
                                                                                                                              {'members': [{'name': 'b2-Threshold2UTRA',
                                                                                                                                            'type': 'ThresholdUTRA'},
                                                                                                                                           {'name': 'b2-Threshold2GERAN',
                                                                                                                                            'type': 'ThresholdGERAN'},
                                                                                                                                           {'name': 'b2-Threshold2CDMA2000',
                                                                                                                                            'type': 'ThresholdCDMA2000'}],
                                                                                                                               'name': 'b2-Threshold2',
                                                                                                                               'type': 'CHOICE'}],
                                                                                                                  'name': 'eventB2',
                                                                                                                  'type': 'SEQUENCE'},
                                                                                                                 '...',
                                                                                                                 {'members': [{'name': 'w1-Threshold-r13',
                                                                                                                               'type': 'WLAN-RSSI-Range-r13'}],
                                                                                                                  'name': 'eventW1-r13',
                                                                                                                  'type': 'SEQUENCE'},
                                                                                                                 {'members': [{'name': 'w2-Threshold1-r13',
                                                                                                                               'type': 'WLAN-RSSI-Range-r13'},
                                                                                                                              {'name': 'w2-Threshold2-r13',
                                                                                                                               'type': 'WLAN-RSSI-Range-r13'}],
                                                                                                                  'name': 'eventW2-r13',
                                                                                                                  'type': 'SEQUENCE'},
                                                                                                                 {'members': [{'name': 'w3-Threshold-r13',
                                                                                                                               'type': 'WLAN-RSSI-Range-r13'}],
                                                                                                                  'name': 'eventW3-r13',
                                                                                                                  'type': 'SEQUENCE'}],
                                                                                                     'name': 'eventId',
                                                                                                     'type': 'CHOICE'},
                                                                                                    {'name': 'hysteresis',
                                                                                                     'type': 'Hysteresis'},
                                                                                                    {'name': 'timeToTrigger',
                                                                                                     'type': 'TimeToTrigger'}],
                                                                                        'name': 'event',
                                                                                        'type': 'SEQUENCE'},
                                                                                       {'members': [{'name': 'purpose',
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'reportStrongestCells',
                                                                                                                1: 'reportStrongestCellsForSON',
                                                                                                                2: 'reportCGI'}}],
                                                                                        'name': 'periodical',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'triggerType',
                                                                           'type': 'CHOICE'},
                                                                          {'name': 'maxReportCells',
                                                                           'restricted-to': [(1,
                                                                                              'maxCellReport')],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'reportInterval',
                                                                           'type': 'ReportInterval'},
                                                                          {'name': 'reportAmount',
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'r1',
                                                                                      1: 'r2',
                                                                                      2: 'r4',
                                                                                      3: 'r8',
                                                                                      4: 'r16',
                                                                                      5: 'r32',
                                                                                      6: 'r64',
                                                                                      7: 'infinity'}},
                                                                          '...',
                                                                          {'name': 'si-RequestForHO-r9',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'setup'}},
                                                                          {'name': 'reportQuantityUTRA-FDD-r10',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'both'}},
                                                                          {'name': 'includeLocationInfo-r11',
                                                                           'optional': True,
                                                                           'type': 'BOOLEAN'},
                                                                          {'members': [{'name': 'release',
                                                                                        'type': 'NULL'},
                                                                                       {'name': 'setup',
                                                                                        'type': 'RSRQ-Range-v1250'}],
                                                                           'name': 'b2-Threshold1-v1250',
                                                                           'optional': True,
                                                                           'type': 'CHOICE'},
                                                                          {'name': 'reportQuantityWLAN-r13',
                                                                           'optional': True,
                                                                           'type': 'ReportQuantityWLAN-r13'},
                                                                          {'name': 'reportAnyWLAN-r14',
                                                                           'optional': True,
                                                                           'type': 'BOOLEAN'}],
                                                              'type': 'SEQUENCE'},
                                     'ReportConfigToAddMod': {'members': [{'name': 'reportConfigId',
                                                                           'type': 'ReportConfigId'},
                                                                          {'members': [{'name': 'reportConfigEUTRA',
                                                                                        'type': 'ReportConfigEUTRA'},
                                                                                       {'name': 'reportConfigInterRAT',
                                                                                        'type': 'ReportConfigInterRAT'}],
                                                                           'name': 'reportConfig',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'ReportConfigToAddModList': {'element': {'type': 'ReportConfigToAddMod'},
                                                                  'size': [(1,
                                                                            'maxReportConfigId')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'ReportConfigToRemoveList': {'element': {'type': 'ReportConfigId'},
                                                                  'size': [(1,
                                                                            'maxReportConfigId')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'ReportInterval': {'type': 'ENUMERATED',
                                                        'values': {0: 'ms120',
                                                                   1: 'ms240',
                                                                   2: 'ms480',
                                                                   3: 'ms640',
                                                                   4: 'ms1024',
                                                                   5: 'ms2048',
                                                                   6: 'ms5120',
                                                                   7: 'ms10240',
                                                                   8: 'min1',
                                                                   9: 'min6',
                                                                   10: 'min12',
                                                                   11: 'min30',
                                                                   12: 'min60',
                                                                   13: 'spare3',
                                                                   14: 'spare2',
                                                                   15: 'spare1'}},
                                     'ReportProximityConfig-r9': {'members': [{'name': 'proximityIndicationEUTRA-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'enabled'}},
                                                                              {'name': 'proximityIndicationUTRA-r9',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'enabled'}}],
                                                                  'type': 'SEQUENCE'},
                                     'ReportQuantityWLAN-r13': {'members': [{'name': 'bandRequestWLAN-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            {'name': 'carrierInfoRequestWLAN-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            {'name': 'availableAdmissionCapacityRequestWLAN-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            {'name': 'backhaulDL-BandwidthRequestWLAN-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            {'name': 'backhaulUL-BandwidthRequestWLAN-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            {'name': 'channelUtilizationRequestWLAN-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            {'name': 'stationCountRequestWLAN-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'ReselectionInfoRelay-r13': {'members': [{'name': 'q-RxLevMin-r13',
                                                                               'type': 'Q-RxLevMin'},
                                                                              {'name': 'filterCoefficient-r13',
                                                                               'type': 'FilterCoefficient'},
                                                                              {'name': 'minHyst-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'dB0',
                                                                                          1: 'dB3',
                                                                                          2: 'dB6',
                                                                                          3: 'dB9',
                                                                                          4: 'dB12',
                                                                                          5: 'dBinf'}}],
                                                                  'type': 'SEQUENCE'},
                                     'ReselectionThreshold': {'restricted-to': [(0,
                                                                                 31)],
                                                              'type': 'INTEGER'},
                                     'ReselectionThresholdQ-r9': {'restricted-to': [(0,
                                                                                     31)],
                                                                  'type': 'INTEGER'},
                                     'ResourceConfig-r13': {'restricted-to': [(0,
                                                                               31)],
                                                            'type': 'INTEGER'},
                                     'ResumeCause': {'type': 'ENUMERATED',
                                                     'values': {0: 'emergency',
                                                                1: 'highPriorityAccess',
                                                                2: 'mt-Access',
                                                                3: 'mo-Signalling',
                                                                4: 'mo-Data',
                                                                5: 'delayTolerantAccess-v1020',
                                                                6: 'mo-VoiceCall-v1280',
                                                                7: 'spare1'}},
                                     'ResumeIdentity-r13': {'size': [40],
                                                            'type': 'BIT '
                                                                    'STRING'},
                                     'RetuningTimeInfo-r14': {'members': [{'members': [{'name': 'rf-RetuningTimeDL-r14',
                                                                                        'optional': True,
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'n0',
                                                                                                   1: 'n0dot5',
                                                                                                   2: 'n1',
                                                                                                   3: 'n1dot5',
                                                                                                   4: 'n2',
                                                                                                   5: 'n2dot5',
                                                                                                   6: 'n3',
                                                                                                   7: 'n3dot5',
                                                                                                   8: 'n4',
                                                                                                   9: 'n4dot5',
                                                                                                   10: 'n5',
                                                                                                   11: 'n5dot5',
                                                                                                   12: 'n6',
                                                                                                   13: 'n6dot5',
                                                                                                   14: 'n7',
                                                                                                   15: 'spare1'}},
                                                                                       {'name': 'rf-RetuningTimeUL-r14',
                                                                                        'optional': True,
                                                                                        'type': 'ENUMERATED',
                                                                                        'values': {0: 'n0',
                                                                                                   1: 'n0dot5',
                                                                                                   2: 'n1',
                                                                                                   3: 'n1dot5',
                                                                                                   4: 'n2',
                                                                                                   5: 'n2dot5',
                                                                                                   6: 'n3',
                                                                                                   7: 'n3dot5',
                                                                                                   8: 'n4',
                                                                                                   9: 'n4dot5',
                                                                                                   10: 'n5',
                                                                                                   11: 'n5dot5',
                                                                                                   12: 'n6',
                                                                                                   13: 'n6dot5',
                                                                                                   14: 'n7',
                                                                                                   15: 'spare1'}}],
                                                                           'name': 'retuningInfo',
                                                                           'type': 'SEQUENCE'}],
                                                              'type': 'SEQUENCE'},
                                     'RetxBSR-Timer-r12': {'type': 'ENUMERATED',
                                                           'values': {0: 'sf320',
                                                                      1: 'sf640',
                                                                      2: 'sf1280',
                                                                      3: 'sf2560',
                                                                      4: 'sf5120',
                                                                      5: 'sf10240',
                                                                      6: 'spare2',
                                                                      7: 'spare1'}},
                                     'S-TMSI': {'members': [{'name': 'mmec',
                                                             'type': 'MMEC'},
                                                            {'name': 'm-TMSI',
                                                             'size': [32],
                                                             'type': 'BIT '
                                                                     'STRING'}],
                                                'type': 'SEQUENCE'},
                                     'SC-MCCH-Message-r13': {'members': [{'name': 'message',
                                                                          'type': 'SC-MCCH-MessageType-r13'}],
                                                             'type': 'SEQUENCE'},
                                     'SC-MCCH-MessageType-r13': {'members': [{'members': [{'name': 'scptmConfiguration-r13',
                                                                                           'type': 'SCPTMConfiguration-r13'}],
                                                                              'name': 'c1',
                                                                              'type': 'CHOICE'},
                                                                             {'members': [{'members': [{'name': 'scptmConfiguration-BR-r14',
                                                                                                        'type': 'SCPTMConfiguration-BR-r14'},
                                                                                                       {'name': 'spare',
                                                                                                        'type': 'NULL'}],
                                                                                           'name': 'c2',
                                                                                           'type': 'CHOICE'},
                                                                                          {'members': [],
                                                                                           'name': 'messageClassExtensionFuture-r14',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'messageClassExtension',
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'CHOICE'},
                                     'SC-MCCH-SchedulingInfo-r14': {'members': [{'name': 'onDurationTimerSCPTM-r14',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'psf10',
                                                                                            1: 'psf20',
                                                                                            2: 'psf100',
                                                                                            3: 'psf300',
                                                                                            4: 'psf500',
                                                                                            5: 'psf1000',
                                                                                            6: 'psf1200',
                                                                                            7: 'psf1600'}},
                                                                                {'name': 'drx-InactivityTimerSCPTM-r14',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'psf0',
                                                                                            1: 'psf1',
                                                                                            2: 'psf2',
                                                                                            3: 'psf4',
                                                                                            4: 'psf8',
                                                                                            5: 'psf16',
                                                                                            6: 'psf32',
                                                                                            7: 'psf64',
                                                                                            8: 'psf128',
                                                                                            9: 'psf256',
                                                                                            10: 'ps512',
                                                                                            11: 'psf1024',
                                                                                            12: 'psf2048',
                                                                                            13: 'psf4096',
                                                                                            14: 'psf8192',
                                                                                            15: 'psf16384'}},
                                                                                {'members': [{'name': 'sf10',
                                                                                              'restricted-to': [(0,
                                                                                                                 9)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf20',
                                                                                              'restricted-to': [(0,
                                                                                                                 19)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf32',
                                                                                              'restricted-to': [(0,
                                                                                                                 31)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf40',
                                                                                              'restricted-to': [(0,
                                                                                                                 39)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf64',
                                                                                              'restricted-to': [(0,
                                                                                                                 63)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf80',
                                                                                              'restricted-to': [(0,
                                                                                                                 79)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf128',
                                                                                              'restricted-to': [(0,
                                                                                                                 127)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf160',
                                                                                              'restricted-to': [(0,
                                                                                                                 159)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf256',
                                                                                              'restricted-to': [(0,
                                                                                                                 255)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf320',
                                                                                              'restricted-to': [(0,
                                                                                                                 319)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf512',
                                                                                              'restricted-to': [(0,
                                                                                                                 511)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf640',
                                                                                              'restricted-to': [(0,
                                                                                                                 639)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf1024',
                                                                                              'restricted-to': [(0,
                                                                                                                 1023)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf2048',
                                                                                              'restricted-to': [(0,
                                                                                                                 2047)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf4096',
                                                                                              'restricted-to': [(0,
                                                                                                                 4095)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf8192',
                                                                                              'restricted-to': [(0,
                                                                                                                 8191)],
                                                                                              'type': 'INTEGER'}],
                                                                                 'name': 'schedulingPeriodStartOffsetSCPTM-r14',
                                                                                 'type': 'CHOICE'},
                                                                                '...'],
                                                                    'type': 'SEQUENCE'},
                                     'SC-MTCH-Info-BR-r14': {'members': [{'name': 'sc-mtch-CarrierFreq-r14',
                                                                          'type': 'ARFCN-ValueEUTRA-r9'},
                                                                         {'name': 'mbmsSessionInfo-r14',
                                                                          'type': 'MBMSSessionInfo-r13'},
                                                                         {'name': 'g-RNTI-r14',
                                                                          'size': [16],
                                                                          'type': 'BIT '
                                                                                  'STRING'},
                                                                         {'name': 'sc-mtch-schedulingInfo-r14',
                                                                          'optional': True,
                                                                          'type': 'SC-MTCH-SchedulingInfo-BR-r14'},
                                                                         {'name': 'sc-mtch-neighbourCell-r14',
                                                                          'optional': True,
                                                                          'size': ['maxNeighCell-SCPTM-r13'],
                                                                          'type': 'BIT '
                                                                                  'STRING'},
                                                                         {'name': 'mpdcch-Narrowband-SC-MTCH-r14',
                                                                          'restricted-to': [(1,
                                                                                             'maxAvailNarrowBands-r13')],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'mpdcch-NumRepetition-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'r1',
                                                                                     1: 'r2',
                                                                                     2: 'r4',
                                                                                     3: 'r8',
                                                                                     4: 'r16',
                                                                                     5: 'r32',
                                                                                     6: 'r64',
                                                                                     7: 'r128',
                                                                                     8: 'r256'}},
                                                                         {'members': [{'name': 'fdd-r14',
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'v1',
                                                                                                  1: 'v1dot5',
                                                                                                  2: 'v2',
                                                                                                  3: 'v2dot5',
                                                                                                  4: 'v4',
                                                                                                  5: 'v5',
                                                                                                  6: 'v8',
                                                                                                  7: 'v10'}},
                                                                                      {'name': 'tdd-r14',
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'v1',
                                                                                                  1: 'v2',
                                                                                                  2: 'v4',
                                                                                                  3: 'v5',
                                                                                                  4: 'v8',
                                                                                                  5: 'v10',
                                                                                                  6: 'v20'}}],
                                                                          'name': 'mpdcch-StartSF-SC-MTCH-r14',
                                                                          'type': 'CHOICE'},
                                                                         {'name': 'mpdcch-PDSCH-HoppingConfig-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'on',
                                                                                     1: 'off'}},
                                                                         {'name': 'mpdcch-PDSCH-CEmodeConfig-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'ce-ModeA',
                                                                                     1: 'ce-ModeB'}},
                                                                         {'name': 'mpdcch-PDSCH-MaxBandwidth-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'bw1dot4',
                                                                                     1: 'bw5'}},
                                                                         {'name': 'mpdcch-Offset-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'zero',
                                                                                     1: 'oneEighth',
                                                                                     2: 'oneQuarter',
                                                                                     3: 'threeEighth',
                                                                                     4: 'oneHalf',
                                                                                     5: 'fiveEighth',
                                                                                     6: 'threeQuarter',
                                                                                     7: 'sevenEighth'}},
                                                                         {'name': 'p-a-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'dB-6',
                                                                                     1: 'dB-4dot77',
                                                                                     2: 'dB-3',
                                                                                     3: 'dB-1dot77',
                                                                                     4: 'dB0',
                                                                                     5: 'dB1',
                                                                                     6: 'dB2',
                                                                                     7: 'dB3'}},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'SC-MTCH-Info-r13': {'members': [{'name': 'mbmsSessionInfo-r13',
                                                                       'type': 'MBMSSessionInfo-r13'},
                                                                      {'name': 'g-RNTI-r13',
                                                                       'size': [16],
                                                                       'type': 'BIT '
                                                                               'STRING'},
                                                                      {'name': 'sc-mtch-schedulingInfo-r13',
                                                                       'optional': True,
                                                                       'type': 'SC-MTCH-SchedulingInfo-r13'},
                                                                      {'name': 'sc-mtch-neighbourCell-r13',
                                                                       'optional': True,
                                                                       'size': ['maxNeighCell-SCPTM-r13'],
                                                                       'type': 'BIT '
                                                                               'STRING'},
                                                                      '...',
                                                                      {'name': 'p-a-r13',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'dB-6',
                                                                                  1: 'dB-4dot77',
                                                                                  2: 'dB-3',
                                                                                  3: 'dB-1dot77',
                                                                                  4: 'dB0',
                                                                                  5: 'dB1',
                                                                                  6: 'dB2',
                                                                                  7: 'dB3'}}],
                                                          'type': 'SEQUENCE'},
                                     'SC-MTCH-InfoList-BR-r14': {'element': {'type': 'SC-MTCH-Info-BR-r14'},
                                                                 'size': [(0,
                                                                           'maxSC-MTCH-BR-r14')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'SC-MTCH-InfoList-r13': {'element': {'type': 'SC-MTCH-Info-r13'},
                                                              'size': [(0,
                                                                        'maxSC-MTCH-r13')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'SC-MTCH-SchedulingInfo-BR-r14': {'members': [{'name': 'onDurationTimerSCPTM-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'psf300',
                                                                                               1: 'psf400',
                                                                                               2: 'psf500',
                                                                                               3: 'psf600',
                                                                                               4: 'psf800',
                                                                                               5: 'psf1000',
                                                                                               6: 'psf1200',
                                                                                               7: 'psf1600'}},
                                                                                   {'name': 'drx-InactivityTimerSCPTM-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'psf0',
                                                                                               1: 'psf1',
                                                                                               2: 'psf2',
                                                                                               3: 'psf4',
                                                                                               4: 'psf8',
                                                                                               5: 'psf16',
                                                                                               6: 'psf32',
                                                                                               7: 'psf64',
                                                                                               8: 'psf128',
                                                                                               9: 'psf256',
                                                                                               10: 'ps512',
                                                                                               11: 'psf1024',
                                                                                               12: 'psf2048',
                                                                                               13: 'psf4096',
                                                                                               14: 'psf8192',
                                                                                               15: 'psf16384'}},
                                                                                   {'members': [{'name': 'sf10',
                                                                                                 'restricted-to': [(0,
                                                                                                                    9)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf20',
                                                                                                 'restricted-to': [(0,
                                                                                                                    19)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf32',
                                                                                                 'restricted-to': [(0,
                                                                                                                    31)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf40',
                                                                                                 'restricted-to': [(0,
                                                                                                                    39)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf64',
                                                                                                 'restricted-to': [(0,
                                                                                                                    63)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf80',
                                                                                                 'restricted-to': [(0,
                                                                                                                    79)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf128',
                                                                                                 'restricted-to': [(0,
                                                                                                                    127)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf160',
                                                                                                 'restricted-to': [(0,
                                                                                                                    159)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf256',
                                                                                                 'restricted-to': [(0,
                                                                                                                    255)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf320',
                                                                                                 'restricted-to': [(0,
                                                                                                                    319)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf512',
                                                                                                 'restricted-to': [(0,
                                                                                                                    511)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf640',
                                                                                                 'restricted-to': [(0,
                                                                                                                    639)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf1024',
                                                                                                 'restricted-to': [(0,
                                                                                                                    1023)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf2048',
                                                                                                 'restricted-to': [(0,
                                                                                                                    2047)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf4096',
                                                                                                 'restricted-to': [(0,
                                                                                                                    4095)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf8192',
                                                                                                 'restricted-to': [(0,
                                                                                                                    8191)],
                                                                                                 'type': 'INTEGER'}],
                                                                                    'name': 'schedulingPeriodStartOffsetSCPTM-r14',
                                                                                    'type': 'CHOICE'},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                     'SC-MTCH-SchedulingInfo-r13': {'members': [{'name': 'onDurationTimerSCPTM-r13',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'psf1',
                                                                                            1: 'psf2',
                                                                                            2: 'psf3',
                                                                                            3: 'psf4',
                                                                                            4: 'psf5',
                                                                                            5: 'psf6',
                                                                                            6: 'psf8',
                                                                                            7: 'psf10',
                                                                                            8: 'psf20',
                                                                                            9: 'psf30',
                                                                                            10: 'psf40',
                                                                                            11: 'psf50',
                                                                                            12: 'psf60',
                                                                                            13: 'psf80',
                                                                                            14: 'psf100',
                                                                                            15: 'psf200'}},
                                                                                {'name': 'drx-InactivityTimerSCPTM-r13',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'psf0',
                                                                                            1: 'psf1',
                                                                                            2: 'psf2',
                                                                                            3: 'psf4',
                                                                                            4: 'psf8',
                                                                                            5: 'psf10',
                                                                                            6: 'psf20',
                                                                                            7: 'psf40',
                                                                                            8: 'psf80',
                                                                                            9: 'psf160',
                                                                                            10: 'ps320',
                                                                                            11: 'psf640',
                                                                                            12: 'psf960',
                                                                                            13: 'psf1280',
                                                                                            14: 'psf1920',
                                                                                            15: 'psf2560'}},
                                                                                {'members': [{'name': 'sf10',
                                                                                              'restricted-to': [(0,
                                                                                                                 9)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf20',
                                                                                              'restricted-to': [(0,
                                                                                                                 19)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf32',
                                                                                              'restricted-to': [(0,
                                                                                                                 31)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf40',
                                                                                              'restricted-to': [(0,
                                                                                                                 39)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf64',
                                                                                              'restricted-to': [(0,
                                                                                                                 63)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf80',
                                                                                              'restricted-to': [(0,
                                                                                                                 79)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf128',
                                                                                              'restricted-to': [(0,
                                                                                                                 127)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf160',
                                                                                              'restricted-to': [(0,
                                                                                                                 159)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf256',
                                                                                              'restricted-to': [(0,
                                                                                                                 255)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf320',
                                                                                              'restricted-to': [(0,
                                                                                                                 319)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf512',
                                                                                              'restricted-to': [(0,
                                                                                                                 511)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf640',
                                                                                              'restricted-to': [(0,
                                                                                                                 639)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf1024',
                                                                                              'restricted-to': [(0,
                                                                                                                 1023)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf2048',
                                                                                              'restricted-to': [(0,
                                                                                                                 2048)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf4096',
                                                                                              'restricted-to': [(0,
                                                                                                                 4096)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sf8192',
                                                                                              'restricted-to': [(0,
                                                                                                                 8192)],
                                                                                              'type': 'INTEGER'}],
                                                                                 'name': 'schedulingPeriodStartOffsetSCPTM-r13',
                                                                                 'type': 'CHOICE'},
                                                                                '...'],
                                                                    'type': 'SEQUENCE'},
                                     'SCG-ConfigPartSCG-r12': {'members': [{'name': 'radioResourceConfigDedicatedSCG-r12',
                                                                            'optional': True,
                                                                            'type': 'RadioResourceConfigDedicatedSCG-r12'},
                                                                           {'name': 'sCellToReleaseListSCG-r12',
                                                                            'optional': True,
                                                                            'type': 'SCellToReleaseList-r10'},
                                                                           {'name': 'pSCellToAddMod-r12',
                                                                            'optional': True,
                                                                            'type': 'PSCellToAddMod-r12'},
                                                                           {'name': 'sCellToAddModListSCG-r12',
                                                                            'optional': True,
                                                                            'type': 'SCellToAddModList-r10'},
                                                                           {'name': 'mobilityControlInfoSCG-r12',
                                                                            'optional': True,
                                                                            'type': 'MobilityControlInfoSCG-r12'},
                                                                           '...',
                                                                           {'name': 'sCellToReleaseListSCG-Ext-r13',
                                                                            'optional': True,
                                                                            'type': 'SCellToReleaseListExt-r13'},
                                                                           {'name': 'sCellToAddModListSCG-Ext-r13',
                                                                            'optional': True,
                                                                            'type': 'SCellToAddModListExt-r13'},
                                                                           {'name': 'sCellToAddModListSCG-Ext-v1370',
                                                                            'optional': True,
                                                                            'type': 'SCellToAddModListExt-v1370'},
                                                                           {'name': 'pSCellToAddMod-v1440',
                                                                            'optional': True,
                                                                            'type': 'PSCellToAddMod-v1440'}],
                                                               'type': 'SEQUENCE'},
                                     'SCG-ConfigPartSCG-v12f0': {'members': [{'name': 'pSCellToAddMod-v12f0',
                                                                              'optional': True,
                                                                              'type': 'PSCellToAddMod-v12f0'},
                                                                             {'name': 'sCellToAddModListSCG-v12f0',
                                                                              'optional': True,
                                                                              'type': 'SCellToAddModList-v10l0'}],
                                                                 'type': 'SEQUENCE'},
                                     'SCG-Configuration-r12': {'members': [{'name': 'release',
                                                                            'type': 'NULL'},
                                                                           {'members': [{'members': [{'name': 'scg-Counter-r12',
                                                                                                      'optional': True,
                                                                                                      'restricted-to': [(0,
                                                                                                                         65535)],
                                                                                                      'type': 'INTEGER'},
                                                                                                     {'name': 'powerCoordinationInfo-r12',
                                                                                                      'optional': True,
                                                                                                      'type': 'PowerCoordinationInfo-r12'},
                                                                                                     '...'],
                                                                                         'name': 'scg-ConfigPartMCG-r12',
                                                                                         'optional': True,
                                                                                         'type': 'SEQUENCE'},
                                                                                        {'name': 'scg-ConfigPartSCG-r12',
                                                                                         'optional': True,
                                                                                         'type': 'SCG-ConfigPartSCG-r12'}],
                                                                            'name': 'setup',
                                                                            'type': 'SEQUENCE'}],
                                                               'type': 'CHOICE'},
                                     'SCG-Configuration-v12f0': {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'members': [{'name': 'scg-ConfigPartSCG-v12f0',
                                                                                           'optional': True,
                                                                                           'type': 'SCG-ConfigPartSCG-v12f0'}],
                                                                              'name': 'setup',
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'CHOICE'},
                                     'SCGFailureInformation-r12': {'members': [{'members': [{'members': [{'name': 'scgFailureInformation-r12',
                                                                                                          'type': 'SCGFailureInformation-r12-IEs'},
                                                                                                         {'name': 'spare3',
                                                                                                          'type': 'NULL'},
                                                                                                         {'name': 'spare2',
                                                                                                          'type': 'NULL'},
                                                                                                         {'name': 'spare1',
                                                                                                          'type': 'NULL'}],
                                                                                             'name': 'c1',
                                                                                             'type': 'CHOICE'},
                                                                                            {'members': [],
                                                                                             'name': 'criticalExtensionsFuture',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'criticalExtensions',
                                                                                'type': 'CHOICE'}],
                                                                   'type': 'SEQUENCE'},
                                     'SCGFailureInformation-r12-IEs': {'members': [{'name': 'failureReportSCG-r12',
                                                                                    'optional': True,
                                                                                    'type': 'FailureReportSCG-r12'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SCGFailureInformation-v1310-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'SCGFailureInformation-v12d0-IEs': {'members': [{'name': 'failureReportSCG-v12d0',
                                                                                      'optional': True,
                                                                                      'type': 'FailureReportSCG-v12d0'},
                                                                                     {'members': [],
                                                                                      'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'SEQUENCE'}],
                                                                         'type': 'SEQUENCE'},
                                     'SCGFailureInformation-v1310-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     {'members': [],
                                                                                      'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'SEQUENCE'}],
                                                                         'type': 'SEQUENCE'},
                                     'SCPTM-NeighbourCellList-r13': {'element': {'type': 'PCI-ARFCN-r13'},
                                                                     'size': [(1,
                                                                               'maxNeighCell-SCPTM-r13')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'SCPTM-Parameters-r13': {'members': [{'name': 'scptm-ParallelReception-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'scptm-SCell-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'scptm-NonServingCell-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'scptm-AsyncDC-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'SCPTMConfiguration-BR-r14': {'members': [{'name': 'sc-mtch-InfoList-r14',
                                                                                'type': 'SC-MTCH-InfoList-BR-r14'},
                                                                               {'name': 'scptm-NeighbourCellList-r14',
                                                                                'optional': True,
                                                                                'type': 'SCPTM-NeighbourCellList-r13'},
                                                                               {'name': 'p-b-r14',
                                                                                'optional': True,
                                                                                'restricted-to': [(0,
                                                                                                   3)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'lateNonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'OCTET '
                                                                                        'STRING'},
                                                                               {'members': [],
                                                                                'name': 'nonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'SEQUENCE'}],
                                                                   'type': 'SEQUENCE'},
                                     'SCPTMConfiguration-r13': {'members': [{'name': 'sc-mtch-InfoList-r13',
                                                                             'type': 'SC-MTCH-InfoList-r13'},
                                                                            {'name': 'scptm-NeighbourCellList-r13',
                                                                             'optional': True,
                                                                             'type': 'SCPTM-NeighbourCellList-r13'},
                                                                            {'name': 'lateNonCriticalExtension',
                                                                             'optional': True,
                                                                             'type': 'OCTET '
                                                                                     'STRING'},
                                                                            {'name': 'nonCriticalExtension',
                                                                             'optional': True,
                                                                             'type': 'SCPTMConfiguration-v1340'}],
                                                                'type': 'SEQUENCE'},
                                     'SCPTMConfiguration-v1340': {'members': [{'name': 'p-b-r13',
                                                                               'optional': True,
                                                                               'restricted-to': [(0,
                                                                                                  3)],
                                                                               'type': 'INTEGER'},
                                                                              {'members': [],
                                                                               'name': 'nonCriticalExtension',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'}],
                                                                  'type': 'SEQUENCE'},
                                     'SCellIndex-r10': {'restricted-to': [(1,
                                                                           7)],
                                                        'type': 'INTEGER'},
                                     'SCellIndex-r13': {'restricted-to': [(1,
                                                                           31)],
                                                        'type': 'INTEGER'},
                                     'SCellToAddMod-r10': {'members': [{'name': 'sCellIndex-r10',
                                                                        'type': 'SCellIndex-r10'},
                                                                       {'members': [{'name': 'physCellId-r10',
                                                                                     'type': 'PhysCellId'},
                                                                                    {'name': 'dl-CarrierFreq-r10',
                                                                                     'type': 'ARFCN-ValueEUTRA'}],
                                                                        'name': 'cellIdentification-r10',
                                                                        'optional': True,
                                                                        'type': 'SEQUENCE'},
                                                                       {'name': 'radioResourceConfigCommonSCell-r10',
                                                                        'optional': True,
                                                                        'type': 'RadioResourceConfigCommonSCell-r10'},
                                                                       {'name': 'radioResourceConfigDedicatedSCell-r10',
                                                                        'optional': True,
                                                                        'type': 'RadioResourceConfigDedicatedSCell-r10'},
                                                                       '...',
                                                                       {'name': 'dl-CarrierFreq-v1090',
                                                                        'optional': True,
                                                                        'type': 'ARFCN-ValueEUTRA-v9e0'},
                                                                       {'name': 'antennaInfoDedicatedSCell-v10i0',
                                                                        'optional': True,
                                                                        'type': 'AntennaInfoDedicated-v10i0'},
                                                                       {'name': 'srs-SwitchFromServCellIndex-r14',
                                                                        'optional': True,
                                                                        'restricted-to': [(0,
                                                                                           31)],
                                                                        'type': 'INTEGER'}],
                                                           'type': 'SEQUENCE'},
                                     'SCellToAddMod-v10l0': {'members': [{'name': 'radioResourceConfigCommonSCell-v10l0',
                                                                          'optional': True,
                                                                          'type': 'RadioResourceConfigCommonSCell-v10l0'}],
                                                             'type': 'SEQUENCE'},
                                     'SCellToAddModExt-r13': {'members': [{'name': 'sCellIndex-r13',
                                                                           'type': 'SCellIndex-r13'},
                                                                          {'members': [{'name': 'physCellId-r13',
                                                                                        'type': 'PhysCellId'},
                                                                                       {'name': 'dl-CarrierFreq-r13',
                                                                                        'type': 'ARFCN-ValueEUTRA-r9'}],
                                                                           'name': 'cellIdentification-r13',
                                                                           'optional': True,
                                                                           'type': 'SEQUENCE'},
                                                                          {'name': 'radioResourceConfigCommonSCell-r13',
                                                                           'optional': True,
                                                                           'type': 'RadioResourceConfigCommonSCell-r10'},
                                                                          {'name': 'radioResourceConfigDedicatedSCell-r13',
                                                                           'optional': True,
                                                                           'type': 'RadioResourceConfigDedicatedSCell-r10'},
                                                                          {'name': 'antennaInfoDedicatedSCell-r13',
                                                                           'optional': True,
                                                                           'type': 'AntennaInfoDedicated-v10i0'}],
                                                              'type': 'SEQUENCE'},
                                     'SCellToAddModExt-v1370': {'members': [{'name': 'radioResourceConfigCommonSCell-v1370',
                                                                             'optional': True,
                                                                             'type': 'RadioResourceConfigCommonSCell-v10l0'}],
                                                                'type': 'SEQUENCE'},
                                     'SCellToAddModExt-v1430': {'members': [{'name': 'srs-SwitchFromServCellIndex-r14',
                                                                             'optional': True,
                                                                             'restricted-to': [(0,
                                                                                                31)],
                                                                             'type': 'INTEGER'},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'SCellToAddModList-r10': {'element': {'type': 'SCellToAddMod-r10'},
                                                               'size': [(1,
                                                                         'maxSCell-r10')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SCellToAddModList-v10l0': {'element': {'type': 'SCellToAddMod-v10l0'},
                                                                 'size': [(1,
                                                                           'maxSCell-r10')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'SCellToAddModListExt-r13': {'element': {'type': 'SCellToAddModExt-r13'},
                                                                  'size': [(1,
                                                                            'maxSCell-r13')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SCellToAddModListExt-v1370': {'element': {'type': 'SCellToAddModExt-v1370'},
                                                                    'size': [(1,
                                                                              'maxSCell-r13')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SCellToAddModListExt-v1430': {'element': {'type': 'SCellToAddModExt-v1430'},
                                                                    'size': [(1,
                                                                              'maxSCell-r13')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SCellToReleaseList-r10': {'element': {'type': 'SCellIndex-r10'},
                                                                'size': [(1,
                                                                          'maxSCell-r10')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'SCellToReleaseListExt-r13': {'element': {'type': 'SCellIndex-r13'},
                                                                   'size': [(1,
                                                                             'maxSCell-r13')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'SI-OrPSI-GERAN': {'members': [{'name': 'si',
                                                                     'type': 'SystemInfoListGERAN'},
                                                                    {'name': 'psi',
                                                                     'type': 'SystemInfoListGERAN'}],
                                                        'type': 'CHOICE'},
                                     'SIB-MappingInfo': {'element': {'type': 'SIB-Type'},
                                                         'size': [(0,
                                                                   'maxSIB-1')],
                                                         'type': 'SEQUENCE OF'},
                                     'SIB-MappingInfo-MBMS-r14': {'element': {'type': 'SIB-Type-MBMS-r14'},
                                                                  'size': [(0,
                                                                            'maxSIB-1')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SIB-Type': {'type': 'ENUMERATED',
                                                  'values': {0: 'sibType3',
                                                             1: 'sibType4',
                                                             2: 'sibType5',
                                                             3: 'sibType6',
                                                             4: 'sibType7',
                                                             5: 'sibType8',
                                                             6: 'sibType9',
                                                             7: 'sibType10',
                                                             8: 'sibType11',
                                                             9: 'sibType12-v920',
                                                             10: 'sibType13-v920',
                                                             11: 'sibType14-v1130',
                                                             12: 'sibType15-v1130',
                                                             13: 'sibType16-v1130',
                                                             14: 'sibType17-v1250',
                                                             15: 'sibType18-v1250',
                                                             16: '...',
                                                             17: 'sibType19-v1250',
                                                             18: 'sibType20-v1310',
                                                             19: 'sibType21-v1430'}},
                                     'SIB-Type-MBMS-r14': {'type': 'ENUMERATED',
                                                           'values': {0: 'sibType10',
                                                                      1: 'sibType11',
                                                                      2: 'sibType12-v920',
                                                                      3: 'sibType13-v920',
                                                                      4: 'sibType15-v1130',
                                                                      5: 'sibType16-v1130',
                                                                      6: '...'}},
                                     'SIB8-PerPLMN-List-r11': {'element': {'type': 'SIB8-PerPLMN-r11'},
                                                               'size': [(1,
                                                                         'maxPLMN-r11')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SIB8-PerPLMN-r11': {'members': [{'name': 'plmn-Identity-r11',
                                                                       'restricted-to': [(1,
                                                                                          'maxPLMN-r11')],
                                                                       'type': 'INTEGER'},
                                                                      {'members': [{'name': 'explicitValue',
                                                                                    'type': 'ParametersCDMA2000-r11'},
                                                                                   {'name': 'defaultValue',
                                                                                    'type': 'NULL'}],
                                                                       'name': 'parametersCDMA2000-r11',
                                                                       'type': 'CHOICE'}],
                                                          'type': 'SEQUENCE'},
                                     'SL-AnchorCarrierFreqList-V2X-r14': {'element': {'type': 'ARFCN-ValueEUTRA-r9'},
                                                                          'size': [(1,
                                                                                    'maxFreqV2X-r14')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'SL-CBR-CommonTxConfigList-r14': {'members': [{'element': {'type': 'SL-CBR-Levels-Config-r14'},
                                                                                    'name': 'cbr-RangeCommonConfigList-r14',
                                                                                    'size': [(1,
                                                                                              'maxSL-V2X-CBRConfig-r14')],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'},
                                                                                   {'element': {'type': 'SL-CBR-PSSCH-TxConfig-r14'},
                                                                                    'name': 'sl-CBR-PSSCH-TxConfigList-r14',
                                                                                    'size': [(1,
                                                                                              'maxSL-V2X-TxConfig-r14')],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'}],
                                                                       'type': 'SEQUENCE'},
                                     'SL-CBR-Levels-Config-r14': {'element': {'type': 'SL-CBR-r14'},
                                                                  'size': [(1,
                                                                            'maxCBR-Level-r14')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SL-CBR-PPPP-TxConfigList-r14': {'element': {'type': 'SL-PPPP-TxConfigIndex-r14'},
                                                                      'size': [(1,
                                                                                8)],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SL-CBR-PSSCH-TxConfig-r14': {'members': [{'name': 'cr-Limit-r14',
                                                                                'restricted-to': [(0,
                                                                                                   10000)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'tx-Parameters-r14',
                                                                                'type': 'SL-PSSCH-TxParameters-r14'}],
                                                                   'type': 'SEQUENCE'},
                                     'SL-CBR-r14': {'restricted-to': [(0, 100)],
                                                    'type': 'INTEGER'},
                                     'SL-CP-Len-r12': {'type': 'ENUMERATED',
                                                       'values': {0: 'normal',
                                                                  1: 'extended'}},
                                     'SL-CarrierFreqInfo-r12': {'members': [{'name': 'carrierFreq-r12',
                                                                             'type': 'ARFCN-ValueEUTRA-r9'},
                                                                            {'name': 'plmn-IdentityList-r12',
                                                                             'optional': True,
                                                                             'type': 'PLMN-IdentityList4-r12'}],
                                                                'type': 'SEQUENCE'},
                                     'SL-CarrierFreqInfo-v1310': {'members': [{'name': 'discResourcesNonPS-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-ResourcesInterFreq-r13'},
                                                                              {'name': 'discResourcesPS-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-ResourcesInterFreq-r13'},
                                                                              {'name': 'discConfigOther-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-DiscConfigOtherInterFreq-r13'},
                                                                              '...'],
                                                                  'type': 'SEQUENCE'},
                                     'SL-CarrierFreqInfoList-r12': {'element': {'type': 'SL-CarrierFreqInfo-r12'},
                                                                    'size': [(1,
                                                                              'maxFreq')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SL-CarrierFreqInfoList-v1310': {'element': {'type': 'SL-CarrierFreqInfo-v1310'},
                                                                      'size': [(1,
                                                                                'maxFreq')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SL-CommConfig-r12': {'members': [{'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'members': [{'name': 'sl-RNTI-r12',
                                                                                                               'type': 'C-RNTI'},
                                                                                                              {'name': 'mac-MainConfig-r12',
                                                                                                               'type': 'MAC-MainConfigSL-r12'},
                                                                                                              {'name': 'sc-CommTxConfig-r12',
                                                                                                               'type': 'SL-CommResourcePool-r12'},
                                                                                                              {'name': 'mcs-r12',
                                                                                                               'optional': True,
                                                                                                               'restricted-to': [(0,
                                                                                                                                  28)],
                                                                                                               'type': 'INTEGER'}],
                                                                                                  'name': 'scheduled-r12',
                                                                                                  'type': 'SEQUENCE'},
                                                                                                 {'members': [{'members': [{'name': 'poolToReleaseList-r12',
                                                                                                                            'optional': True,
                                                                                                                            'type': 'SL-TxPoolToReleaseList-r12'},
                                                                                                                           {'name': 'poolToAddModList-r12',
                                                                                                                            'optional': True,
                                                                                                                            'type': 'SL-CommTxPoolToAddModList-r12'}],
                                                                                                               'name': 'commTxPoolNormalDedicated-r12',
                                                                                                               'type': 'SEQUENCE'}],
                                                                                                  'name': 'ue-Selected-r12',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'CHOICE'}],
                                                                        'name': 'commTxResources-r12',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       '...',
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'members': [{'name': 'logicalChGroupInfoList-r13',
                                                                                                               'type': 'LogicalChGroupInfoList-r13'},
                                                                                                              {'name': 'multipleTx-r13',
                                                                                                               'type': 'BOOLEAN'}],
                                                                                                  'name': 'scheduled-v1310',
                                                                                                  'type': 'SEQUENCE'},
                                                                                                 {'members': [{'members': [{'name': 'poolToReleaseListExt-r13',
                                                                                                                            'optional': True,
                                                                                                                            'type': 'SL-TxPoolToReleaseListExt-r13'},
                                                                                                                           {'name': 'poolToAddModListExt-r13',
                                                                                                                            'optional': True,
                                                                                                                            'type': 'SL-CommTxPoolToAddModListExt-r13'}],
                                                                                                               'name': 'commTxPoolNormalDedicatedExt-r13',
                                                                                                               'type': 'SEQUENCE'}],
                                                                                                  'name': 'ue-Selected-v1310',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'CHOICE'}],
                                                                        'name': 'commTxResources-v1310',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'name': 'commTxAllowRelayDedicated-r13',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'}],
                                                           'type': 'SEQUENCE'},
                                     'SL-CommResourcePool-r12': {'members': [{'name': 'sc-CP-Len-r12',
                                                                              'type': 'SL-CP-Len-r12'},
                                                                             {'name': 'sc-Period-r12',
                                                                              'type': 'SL-PeriodComm-r12'},
                                                                             {'name': 'sc-TF-ResourceConfig-r12',
                                                                              'type': 'SL-TF-ResourceConfig-r12'},
                                                                             {'name': 'data-CP-Len-r12',
                                                                              'type': 'SL-CP-Len-r12'},
                                                                             {'name': 'dataHoppingConfig-r12',
                                                                              'type': 'SL-HoppingConfigComm-r12'},
                                                                             {'members': [{'name': 'data-TF-ResourceConfig-r12',
                                                                                           'type': 'SL-TF-ResourceConfig-r12'},
                                                                                          {'name': 'trpt-Subset-r12',
                                                                                           'optional': True,
                                                                                           'type': 'SL-TRPT-Subset-r12'}],
                                                                              'name': 'ue-SelectedResourceConfig-r12',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'},
                                                                             {'members': [{'name': 'tdd-Config-r12',
                                                                                           'optional': True,
                                                                                           'type': 'TDD-Config'},
                                                                                          {'name': 'syncConfigIndex-r12',
                                                                                           'restricted-to': [(0,
                                                                                                              15)],
                                                                                           'type': 'INTEGER'}],
                                                                              'name': 'rxParametersNCell-r12',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'},
                                                                             {'members': [{'name': 'sc-TxParameters-r12',
                                                                                           'type': 'SL-TxParameters-r12'},
                                                                                          {'name': 'dataTxParameters-r12',
                                                                                           'type': 'SL-TxParameters-r12'}],
                                                                              'name': 'txParameters-r12',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'},
                                                                             '...',
                                                                             {'name': 'priorityList-r13',
                                                                              'optional': True,
                                                                              'type': 'SL-PriorityList-r13'}],
                                                                 'type': 'SEQUENCE'},
                                     'SL-CommResourcePoolV2X-r14': {'members': [{'name': 'sl-OffsetIndicator-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-OffsetIndicator-r12'},
                                                                                {'name': 'sl-Subframe-r14',
                                                                                 'type': 'SubframeBitmapSL-r14'},
                                                                                {'name': 'adjacencyPSCCH-PSSCH-r14',
                                                                                 'type': 'BOOLEAN'},
                                                                                {'name': 'sizeSubchannel-r14',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'n4',
                                                                                            1: 'n5',
                                                                                            2: 'n6',
                                                                                            3: 'n8',
                                                                                            4: 'n9',
                                                                                            5: 'n10',
                                                                                            6: 'n12',
                                                                                            7: 'n15',
                                                                                            8: 'n16',
                                                                                            9: 'n18',
                                                                                            10: 'n20',
                                                                                            11: 'n25',
                                                                                            12: 'n30',
                                                                                            13: 'n48',
                                                                                            14: 'n50',
                                                                                            15: 'n72',
                                                                                            16: 'n75',
                                                                                            17: 'n96',
                                                                                            18: 'n100',
                                                                                            19: 'spare13',
                                                                                            20: 'spare12',
                                                                                            21: 'spare11',
                                                                                            22: 'spare10',
                                                                                            23: 'spare9',
                                                                                            24: 'spare8',
                                                                                            25: 'spare7',
                                                                                            26: 'spare6',
                                                                                            27: 'spare5',
                                                                                            28: 'spare4',
                                                                                            29: 'spare3',
                                                                                            30: 'spare2',
                                                                                            31: 'spare1'}},
                                                                                {'name': 'numSubchannel-r14',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'n1',
                                                                                            1: 'n3',
                                                                                            2: 'n5',
                                                                                            3: 'n8',
                                                                                            4: 'n10',
                                                                                            5: 'n15',
                                                                                            6: 'n20',
                                                                                            7: 'spare1'}},
                                                                                {'name': 'startRB-Subchannel-r14',
                                                                                 'restricted-to': [(0,
                                                                                                    99)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'startRB-PSCCH-Pool-r14',
                                                                                 'optional': True,
                                                                                 'restricted-to': [(0,
                                                                                                    99)],
                                                                                 'type': 'INTEGER'},
                                                                                {'members': [{'name': 'tdd-Config-r14',
                                                                                              'optional': True,
                                                                                              'type': 'TDD-Config'},
                                                                                             {'name': 'syncConfigIndex-r14',
                                                                                              'restricted-to': [(0,
                                                                                                                 15)],
                                                                                              'type': 'INTEGER'}],
                                                                                 'name': 'rxParametersNCell-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SEQUENCE'},
                                                                                {'name': 'dataTxParameters-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-TxParameters-r12'},
                                                                                {'name': 'zoneID-r14',
                                                                                 'optional': True,
                                                                                 'restricted-to': [(0,
                                                                                                    7)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'threshS-RSSI-CBR-r14',
                                                                                 'optional': True,
                                                                                 'restricted-to': [(0,
                                                                                                    45)],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'poolReportId-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-V2X-TxPoolReportIdentity-r14'},
                                                                                {'name': 'cbr-pssch-TxConfigList-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-CBR-PPPP-TxConfigList-r14'},
                                                                                {'name': 'resourceSelectionConfigP2X-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-P2X-ResourceSelectionConfig-r14'},
                                                                                {'name': 'syncAllowed-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-SyncAllowed-r14'},
                                                                                {'name': 'restrictResourceReservationPeriod-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-RestrictResourceReservationPeriodList-r14'},
                                                                                '...'],
                                                                    'type': 'SEQUENCE'},
                                     'SL-CommRxPoolList-r12': {'element': {'type': 'SL-CommResourcePool-r12'},
                                                               'size': [(1,
                                                                         'maxSL-RxPool-r12')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SL-CommRxPoolListV2X-r14': {'element': {'type': 'SL-CommResourcePoolV2X-r14'},
                                                                  'size': [(1,
                                                                            'maxSL-V2X-RxPool-r14')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SL-CommTxPoolList-r12': {'element': {'type': 'SL-CommResourcePool-r12'},
                                                               'size': [(1,
                                                                         'maxSL-TxPool-r12')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SL-CommTxPoolListExt-r13': {'element': {'type': 'SL-CommResourcePool-r12'},
                                                                  'size': [(1,
                                                                            'maxSL-TxPool-v1310')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SL-CommTxPoolListV2X-r14': {'element': {'type': 'SL-CommResourcePoolV2X-r14'},
                                                                  'size': [(1,
                                                                            'maxSL-V2X-TxPool-r14')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SL-CommTxPoolSensingConfig-r14': {'members': [{'name': 'pssch-TxConfigList-r14',
                                                                                     'type': 'SL-PSSCH-TxConfigList-r14'},
                                                                                    {'name': 'thresPSSCH-RSRP-List-r14',
                                                                                     'type': 'SL-ThresPSSCH-RSRP-List-r14'},
                                                                                    {'name': 'restrictResourceReservationPeriod-r14',
                                                                                     'optional': True,
                                                                                     'type': 'SL-RestrictResourceReservationPeriodList-r14'},
                                                                                    {'name': 'probResourceKeep-r14',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'v0',
                                                                                                1: 'v0dot2',
                                                                                                2: 'v0dot4',
                                                                                                3: 'v0dot6',
                                                                                                4: 'v0dot8',
                                                                                                5: 'spare3',
                                                                                                6: 'spare2',
                                                                                                7: 'spare1'}},
                                                                                    {'members': [{'name': 'minNumCandidateSF-r14',
                                                                                                  'restricted-to': [(1,
                                                                                                                     13)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'gapCandidateSensing-r14',
                                                                                                  'size': [10],
                                                                                                  'type': 'BIT '
                                                                                                          'STRING'}],
                                                                                     'name': 'p2x-SensingConfig-r14',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'},
                                                                                    {'name': 'sl-ReselectAfter-r14',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'n1',
                                                                                                1: 'n2',
                                                                                                2: 'n3',
                                                                                                3: 'n4',
                                                                                                4: 'n5',
                                                                                                5: 'n6',
                                                                                                6: 'n7',
                                                                                                7: 'n8',
                                                                                                8: 'n9',
                                                                                                9: 'spare7',
                                                                                                10: 'spare6',
                                                                                                11: 'spare5',
                                                                                                12: 'spare4',
                                                                                                13: 'spare3',
                                                                                                14: 'spare2',
                                                                                                15: 'spare1'}}],
                                                                        'type': 'SEQUENCE'},
                                     'SL-CommTxPoolToAddMod-r12': {'members': [{'name': 'poolIdentity-r12',
                                                                                'type': 'SL-TxPoolIdentity-r12'},
                                                                               {'name': 'pool-r12',
                                                                                'type': 'SL-CommResourcePool-r12'}],
                                                                   'type': 'SEQUENCE'},
                                     'SL-CommTxPoolToAddModExt-r13': {'members': [{'name': 'poolIdentity-v1310',
                                                                                   'type': 'SL-TxPoolIdentity-v1310'},
                                                                                  {'name': 'pool-r13',
                                                                                   'type': 'SL-CommResourcePool-r12'}],
                                                                      'type': 'SEQUENCE'},
                                     'SL-CommTxPoolToAddModList-r12': {'element': {'type': 'SL-CommTxPoolToAddMod-r12'},
                                                                       'size': [(1,
                                                                                 'maxSL-TxPool-r12')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SL-CommTxPoolToAddModListExt-r13': {'element': {'type': 'SL-CommTxPoolToAddModExt-r13'},
                                                                          'size': [(1,
                                                                                    'maxSL-TxPool-v1310')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'SL-CommTxResourceReq-r12': {'members': [{'name': 'carrierFreq-r12',
                                                                               'optional': True,
                                                                               'type': 'ARFCN-ValueEUTRA-r9'},
                                                                              {'name': 'destinationInfoList-r12',
                                                                               'type': 'SL-DestinationInfoList-r12'}],
                                                                  'type': 'SEQUENCE'},
                                     'SL-DestinationIdentity-r12': {'size': [24],
                                                                    'type': 'BIT '
                                                                            'STRING'},
                                     'SL-DestinationInfoList-r12': {'element': {'type': 'SL-DestinationIdentity-r12'},
                                                                    'size': [(1,
                                                                              'maxSL-Dest-r12')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SL-DiscConfig-r12': {'members': [{'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'members': [{'name': 'discTxConfig-r12',
                                                                                                               'optional': True,
                                                                                                               'type': 'SL-DiscResourcePool-r12'},
                                                                                                              {'name': 'discTF-IndexList-r12',
                                                                                                               'optional': True,
                                                                                                               'type': 'SL-TF-IndexPairList-r12'},
                                                                                                              {'name': 'discHoppingConfig-r12',
                                                                                                               'optional': True,
                                                                                                               'type': 'SL-HoppingConfigDisc-r12'}],
                                                                                                  'name': 'scheduled-r12',
                                                                                                  'type': 'SEQUENCE'},
                                                                                                 {'members': [{'members': [{'name': 'poolToReleaseList-r12',
                                                                                                                            'optional': True,
                                                                                                                            'type': 'SL-TxPoolToReleaseList-r12'},
                                                                                                                           {'name': 'poolToAddModList-r12',
                                                                                                                            'optional': True,
                                                                                                                            'type': 'SL-DiscTxPoolToAddModList-r12'}],
                                                                                                               'name': 'discTxPoolDedicated-r12',
                                                                                                               'optional': True,
                                                                                                               'type': 'SEQUENCE'}],
                                                                                                  'name': 'ue-Selected-r12',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'CHOICE'}],
                                                                        'name': 'discTxResources-r12',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       '...',
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'name': 'discTF-IndexList-r12b',
                                                                                                  'type': 'SL-TF-IndexPairList-r12b'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'discTF-IndexList-v1260',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'name': 'scheduled-r13',
                                                                                                  'type': 'SL-DiscTxConfigScheduled-r13'},
                                                                                                 {'members': [{'name': 'discTxPoolPS-Dedicated-r13',
                                                                                                               'type': 'SL-DiscTxPoolDedicated-r13'}],
                                                                                                  'name': 'ue-Selected-r13',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'CHOICE'}],
                                                                        'name': 'discTxResourcesPS-r13',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'members': [{'name': 'discTxCarrierFreq-r13',
                                                                                                  'optional': True,
                                                                                                  'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                                 {'name': 'discTxRefCarrierDedicated-r13',
                                                                                                  'optional': True,
                                                                                                  'type': 'SL-DiscTxRefCarrierDedicated-r13'},
                                                                                                 {'name': 'discTxInfoInterFreqListAdd-r13',
                                                                                                  'optional': True,
                                                                                                  'type': 'SL-DiscTxInfoInterFreqListAdd-r13'}],
                                                                                     'name': 'setup',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'discTxInterFreqInfo-r13',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'name': 'gapRequestsAllowedDedicated-r13',
                                                                        'optional': True,
                                                                        'type': 'BOOLEAN'},
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'name': 'setup',
                                                                                     'type': 'SL-GapConfig-r13'}],
                                                                        'name': 'discRxGapConfig-r13',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'name': 'setup',
                                                                                     'type': 'SL-GapConfig-r13'}],
                                                                        'name': 'discTxGapConfig-r13',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'},
                                                                       {'members': [{'name': 'release',
                                                                                     'type': 'NULL'},
                                                                                    {'name': 'setup',
                                                                                     'type': 'SL-DiscSysInfoToReportFreqList-r13'}],
                                                                        'name': 'discSysInfoToReportConfig-r13',
                                                                        'optional': True,
                                                                        'type': 'CHOICE'}],
                                                           'type': 'SEQUENCE'},
                                     'SL-DiscConfigOtherInterFreq-r13': {'members': [{'name': 'txPowerInfo-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SL-DiscTxPowerInfoList-r12'},
                                                                                     {'name': 'refCarrierCommon-r13',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'pCell'}},
                                                                                     {'name': 'discSyncConfig-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SL-SyncConfigListNFreq-r13'},
                                                                                     {'name': 'discCellSelectionInfo-r13',
                                                                                      'optional': True,
                                                                                      'type': 'CellSelectionInfoNFreq-r13'}],
                                                                         'type': 'SEQUENCE'},
                                     'SL-DiscConfigRelayUE-r13': {'members': [{'name': 'threshHigh-r13',
                                                                               'optional': True,
                                                                               'type': 'RSRP-RangeSL4-r13'},
                                                                              {'name': 'threshLow-r13',
                                                                               'optional': True,
                                                                               'type': 'RSRP-RangeSL4-r13'},
                                                                              {'name': 'hystMax-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'dB0',
                                                                                          1: 'dB3',
                                                                                          2: 'dB6',
                                                                                          3: 'dB9',
                                                                                          4: 'dB12',
                                                                                          5: 'dBinf'}},
                                                                              {'name': 'hystMin-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'dB0',
                                                                                          1: 'dB3',
                                                                                          2: 'dB6',
                                                                                          3: 'dB9',
                                                                                          4: 'dB12'}}],
                                                                  'type': 'SEQUENCE'},
                                     'SL-DiscConfigRemoteUE-r13': {'members': [{'name': 'threshHigh-r13',
                                                                                'optional': True,
                                                                                'type': 'RSRP-RangeSL4-r13'},
                                                                               {'name': 'hystMax-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'dB0',
                                                                                           1: 'dB3',
                                                                                           2: 'dB6',
                                                                                           3: 'dB9',
                                                                                           4: 'dB12'}},
                                                                               {'name': 'reselectionInfoIC-r13',
                                                                                'type': 'ReselectionInfoRelay-r13'}],
                                                                   'type': 'SEQUENCE'},
                                     'SL-DiscResourcePool-r12': {'members': [{'name': 'cp-Len-r12',
                                                                              'type': 'SL-CP-Len-r12'},
                                                                             {'name': 'discPeriod-r12',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'rf32',
                                                                                         1: 'rf64',
                                                                                         2: 'rf128',
                                                                                         3: 'rf256',
                                                                                         4: 'rf512',
                                                                                         5: 'rf1024',
                                                                                         6: 'rf16-v1310',
                                                                                         7: 'spare'}},
                                                                             {'name': 'numRetx-r12',
                                                                              'restricted-to': [(0,
                                                                                                 3)],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'numRepetition-r12',
                                                                              'restricted-to': [(1,
                                                                                                 50)],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'tf-ResourceConfig-r12',
                                                                              'type': 'SL-TF-ResourceConfig-r12'},
                                                                             {'members': [{'name': 'txParametersGeneral-r12',
                                                                                           'type': 'SL-TxParameters-r12'},
                                                                                          {'members': [{'members': [{'name': 'rsrpBased-r12',
                                                                                                                     'type': 'SL-PoolSelectionConfig-r12'},
                                                                                                                    {'name': 'random-r12',
                                                                                                                     'type': 'NULL'}],
                                                                                                        'name': 'poolSelection-r12',
                                                                                                        'type': 'CHOICE'},
                                                                                                       {'name': 'txProbability-r12',
                                                                                                        'type': 'ENUMERATED',
                                                                                                        'values': {0: 'p25',
                                                                                                                   1: 'p50',
                                                                                                                   2: 'p75',
                                                                                                                   3: 'p100'}}],
                                                                                           'name': 'ue-SelectedResourceConfig-r12',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'txParameters-r12',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'},
                                                                             {'members': [{'name': 'tdd-Config-r12',
                                                                                           'optional': True,
                                                                                           'type': 'TDD-Config'},
                                                                                          {'name': 'syncConfigIndex-r12',
                                                                                           'restricted-to': [(0,
                                                                                                              15)],
                                                                                           'type': 'INTEGER'}],
                                                                              'name': 'rxParameters-r12',
                                                                              'optional': True,
                                                                              'type': 'SEQUENCE'},
                                                                             '...',
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'name': 'setup',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'rf4',
                                                                                                      1: 'rf6',
                                                                                                      2: 'rf7',
                                                                                                      3: 'rf8',
                                                                                                      4: 'rf12',
                                                                                                      5: 'rf14',
                                                                                                      6: 'rf24',
                                                                                                      7: 'rf28'}}],
                                                                              'name': 'discPeriod-v1310',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'members': [{'name': 'physCellId-r13',
                                                                                                        'type': 'PhysCellIdList-r13'}],
                                                                                           'name': 'setup',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'rxParamsAddNeighFreq-r13',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'members': [{'name': 'physCellId-r13',
                                                                                                        'type': 'PhysCellIdList-r13'},
                                                                                                       {'name': 'p-Max',
                                                                                                        'optional': True,
                                                                                                        'type': 'P-Max'},
                                                                                                       {'name': 'tdd-Config-r13',
                                                                                                        'optional': True,
                                                                                                        'type': 'TDD-Config'},
                                                                                                       {'name': 'tdd-Config-v1130',
                                                                                                        'optional': True,
                                                                                                        'type': 'TDD-Config-v1130'},
                                                                                                       {'members': [{'name': 'ul-CarrierFreq',
                                                                                                                     'optional': True,
                                                                                                                     'type': 'ARFCN-ValueEUTRA'},
                                                                                                                    {'name': 'ul-Bandwidth',
                                                                                                                     'optional': True,
                                                                                                                     'type': 'ENUMERATED',
                                                                                                                     'values': {0: 'n6',
                                                                                                                                1: 'n15',
                                                                                                                                2: 'n25',
                                                                                                                                3: 'n50',
                                                                                                                                4: 'n75',
                                                                                                                                5: 'n100'}},
                                                                                                                    {'name': 'additionalSpectrumEmission',
                                                                                                                     'type': 'AdditionalSpectrumEmission'}],
                                                                                                        'name': 'freqInfo',
                                                                                                        'type': 'SEQUENCE'},
                                                                                                       {'name': 'referenceSignalPower',
                                                                                                        'restricted-to': [(-60,
                                                                                                                           50)],
                                                                                                        'type': 'INTEGER'},
                                                                                                       {'name': 'syncConfigIndex-r13',
                                                                                                        'optional': True,
                                                                                                        'restricted-to': [(0,
                                                                                                                           15)],
                                                                                                        'type': 'INTEGER'}],
                                                                                           'name': 'setup',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'txParamsAddNeighFreq-r13',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'},
                                                                             {'members': [{'name': 'release',
                                                                                           'type': 'NULL'},
                                                                                          {'members': [{'members': [{'name': 'additionalSpectrumEmission-v1370',
                                                                                                                     'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                                                        'name': 'freqInfo-v1370',
                                                                                                        'type': 'SEQUENCE'}],
                                                                                           'name': 'setup',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'txParamsAddNeighFreq-v1370',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                     'SL-DiscRxPoolList-r12': {'element': {'type': 'SL-DiscResourcePool-r12'},
                                                               'size': [(1,
                                                                         'maxSL-RxPool-r12')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SL-DiscSysInfoReport-r13': {'members': [{'name': 'plmn-IdentityList-r13',
                                                                               'optional': True,
                                                                               'type': 'PLMN-IdentityList'},
                                                                              {'name': 'cellIdentity-13',
                                                                               'optional': True,
                                                                               'type': 'CellIdentity'},
                                                                              {'name': 'carrierFreqInfo-13',
                                                                               'optional': True,
                                                                               'type': 'ARFCN-ValueEUTRA-r9'},
                                                                              {'name': 'discRxResources-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-DiscRxPoolList-r12'},
                                                                              {'name': 'discTxPoolCommon-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-DiscTxPoolList-r12'},
                                                                              {'name': 'discTxPowerInfo-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-DiscTxPowerInfoList-r12'},
                                                                              {'name': 'discSyncConfig-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-SyncConfigNFreq-r13'},
                                                                              {'members': [{'name': 'q-RxLevMin-r13',
                                                                                            'type': 'Q-RxLevMin'},
                                                                                           {'name': 'q-RxLevMinOffset-r13',
                                                                                            'optional': True,
                                                                                            'restricted-to': [(1,
                                                                                                               8)],
                                                                                            'type': 'INTEGER'}],
                                                                               'name': 'discCellSelectionInfo-r13',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'},
                                                                              {'members': [{'name': 'q-Hyst-r13',
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'dB0',
                                                                                                       1: 'dB1',
                                                                                                       2: 'dB2',
                                                                                                       3: 'dB3',
                                                                                                       4: 'dB4',
                                                                                                       5: 'dB5',
                                                                                                       6: 'dB6',
                                                                                                       7: 'dB8',
                                                                                                       8: 'dB10',
                                                                                                       9: 'dB12',
                                                                                                       10: 'dB14',
                                                                                                       11: 'dB16',
                                                                                                       12: 'dB18',
                                                                                                       13: 'dB20',
                                                                                                       14: 'dB22',
                                                                                                       15: 'dB24'}},
                                                                                           {'name': 'q-RxLevMin-r13',
                                                                                            'type': 'Q-RxLevMin'},
                                                                                           {'name': 't-ReselectionEUTRA-r13',
                                                                                            'type': 'T-Reselection'}],
                                                                               'name': 'cellReselectionInfo-r13',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'},
                                                                              {'name': 'tdd-Config-r13',
                                                                               'optional': True,
                                                                               'type': 'TDD-Config'},
                                                                              {'members': [{'name': 'ul-CarrierFreq-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ARFCN-ValueEUTRA'},
                                                                                           {'name': 'ul-Bandwidth-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'n6',
                                                                                                       1: 'n15',
                                                                                                       2: 'n25',
                                                                                                       3: 'n50',
                                                                                                       4: 'n75',
                                                                                                       5: 'n100'}},
                                                                                           {'name': 'additionalSpectrumEmission-r13',
                                                                                            'optional': True,
                                                                                            'type': 'AdditionalSpectrumEmission'}],
                                                                               'name': 'freqInfo-r13',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'},
                                                                              {'name': 'p-Max-r13',
                                                                               'optional': True,
                                                                               'type': 'P-Max'},
                                                                              {'name': 'referenceSignalPower-r13',
                                                                               'optional': True,
                                                                               'restricted-to': [(-60,
                                                                                                  50)],
                                                                               'type': 'INTEGER'},
                                                                              '...',
                                                                              {'members': [{'name': 'additionalSpectrumEmission-v1370',
                                                                                            'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                               'name': 'freqInfo-v1370',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'}],
                                                                  'type': 'SEQUENCE'},
                                     'SL-DiscSysInfoReportFreqList-r13': {'element': {'type': 'SL-DiscSysInfoReport-r13'},
                                                                          'size': [(1,
                                                                                    'maxSL-DiscSysInfoReportFreq-r13')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'SL-DiscSysInfoToReportFreqList-r13': {'element': {'type': 'ARFCN-ValueEUTRA-r9'},
                                                                            'size': [(1,
                                                                                      'maxFreq')],
                                                                            'type': 'SEQUENCE '
                                                                                    'OF'},
                                     'SL-DiscTxConfigScheduled-r13': {'members': [{'name': 'discTxConfig-r13',
                                                                                   'optional': True,
                                                                                   'type': 'SL-DiscResourcePool-r12'},
                                                                                  {'name': 'discTF-IndexList-r13',
                                                                                   'optional': True,
                                                                                   'type': 'SL-TF-IndexPairList-r12b'},
                                                                                  {'name': 'discHoppingConfig-r13',
                                                                                   'optional': True,
                                                                                   'type': 'SL-HoppingConfigDisc-r12'},
                                                                                  '...'],
                                                                      'type': 'SEQUENCE'},
                                     'SL-DiscTxInfoInterFreqListAdd-r13': {'members': [{'element': {'type': 'SL-DiscTxResourceInfoPerFreq-r13'},
                                                                                        'name': 'discTxFreqToAddModList-r13',
                                                                                        'optional': True,
                                                                                        'size': [(1,
                                                                                                  'maxFreq')],
                                                                                        'type': 'SEQUENCE '
                                                                                                'OF'},
                                                                                       {'element': {'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                        'name': 'discTxFreqToReleaseList-r13',
                                                                                        'optional': True,
                                                                                        'size': [(1,
                                                                                                  'maxFreq')],
                                                                                        'type': 'SEQUENCE '
                                                                                                'OF'},
                                                                                       '...'],
                                                                           'type': 'SEQUENCE'},
                                     'SL-DiscTxPoolDedicated-r13': {'members': [{'name': 'poolToReleaseList-r13',
                                                                                 'optional': True,
                                                                                 'type': 'SL-TxPoolToReleaseList-r12'},
                                                                                {'name': 'poolToAddModList-r13',
                                                                                 'optional': True,
                                                                                 'type': 'SL-DiscTxPoolToAddModList-r12'}],
                                                                    'type': 'SEQUENCE'},
                                     'SL-DiscTxPoolList-r12': {'element': {'type': 'SL-DiscResourcePool-r12'},
                                                               'size': [(1,
                                                                         'maxSL-TxPool-r12')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SL-DiscTxPoolToAddMod-r12': {'members': [{'name': 'poolIdentity-r12',
                                                                                'type': 'SL-TxPoolIdentity-r12'},
                                                                               {'name': 'pool-r12',
                                                                                'type': 'SL-DiscResourcePool-r12'}],
                                                                   'type': 'SEQUENCE'},
                                     'SL-DiscTxPoolToAddModList-r12': {'element': {'type': 'SL-DiscTxPoolToAddMod-r12'},
                                                                       'size': [(1,
                                                                                 'maxSL-TxPool-r12')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SL-DiscTxPowerInfo-r12': {'members': [{'name': 'discMaxTxPower-r12',
                                                                             'type': 'P-Max'},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'SL-DiscTxPowerInfoList-r12': {'element': {'type': 'SL-DiscTxPowerInfo-r12'},
                                                                    'size': ['maxSL-DiscPowerClass-r12'],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SL-DiscTxRefCarrierDedicated-r13': {'members': [{'name': 'pCell',
                                                                                       'type': 'NULL'},
                                                                                      {'name': 'sCell',
                                                                                       'type': 'SCellIndex-r10'}],
                                                                          'type': 'CHOICE'},
                                     'SL-DiscTxResource-r13': {'members': [{'name': 'release',
                                                                            'type': 'NULL'},
                                                                           {'members': [{'name': 'scheduled-r13',
                                                                                         'type': 'SL-DiscTxConfigScheduled-r13'},
                                                                                        {'name': 'ue-Selected-r13',
                                                                                         'type': 'SL-DiscTxPoolDedicated-r13'}],
                                                                            'name': 'setup',
                                                                            'type': 'CHOICE'}],
                                                               'type': 'CHOICE'},
                                     'SL-DiscTxResourceInfoPerFreq-r13': {'members': [{'name': 'discTxCarrierFreq-r13',
                                                                                       'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                      {'name': 'discTxResources-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SL-DiscTxResource-r13'},
                                                                                      {'name': 'discTxResourcesPS-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SL-DiscTxResource-r13'},
                                                                                      {'name': 'discTxRefCarrierDedicated-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SL-DiscTxRefCarrierDedicated-r13'},
                                                                                      {'name': 'discCellSelectionInfo-r13',
                                                                                       'optional': True,
                                                                                       'type': 'CellSelectionInfoNFreq-r13'},
                                                                                      '...'],
                                                                          'type': 'SEQUENCE'},
                                     'SL-DiscTxResourceReq-r13': {'members': [{'name': 'carrierFreqDiscTx-r13',
                                                                               'optional': True,
                                                                               'restricted-to': [(1,
                                                                                                  'maxFreq')],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'discTxResourceReq-r13',
                                                                               'restricted-to': [(1,
                                                                                                  63)],
                                                                               'type': 'INTEGER'}],
                                                                  'type': 'SEQUENCE'},
                                     'SL-DiscTxResourceReqPerFreqList-r13': {'element': {'type': 'SL-DiscTxResourceReq-r13'},
                                                                             'size': [(1,
                                                                                       'maxFreq')],
                                                                             'type': 'SEQUENCE '
                                                                                     'OF'},
                                     'SL-DiscTxResourcesInterFreq-r13': {'members': [{'name': 'acquireSI-FromCarrier-r13',
                                                                                      'type': 'NULL'},
                                                                                     {'name': 'discTxPoolCommon-r13',
                                                                                      'type': 'SL-DiscTxPoolList-r12'},
                                                                                     {'name': 'requestDedicated-r13',
                                                                                      'type': 'NULL'},
                                                                                     {'name': 'noTxOnCarrier-r13',
                                                                                      'type': 'NULL'}],
                                                                         'type': 'CHOICE'},
                                     'SL-GapConfig-r13': {'members': [{'name': 'gapPatternList-r13',
                                                                       'type': 'SL-GapPatternList-r13'}],
                                                          'type': 'SEQUENCE'},
                                     'SL-GapFreqInfo-r13': {'members': [{'name': 'carrierFreq-r13',
                                                                         'optional': True,
                                                                         'type': 'ARFCN-ValueEUTRA-r9'},
                                                                        {'name': 'gapPatternList-r13',
                                                                         'type': 'SL-GapPatternList-r13'}],
                                                            'type': 'SEQUENCE'},
                                     'SL-GapPattern-r13': {'members': [{'name': 'gapPeriod-r13',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'sf40',
                                                                                   1: 'sf60',
                                                                                   2: 'sf70',
                                                                                   3: 'sf80',
                                                                                   4: 'sf120',
                                                                                   5: 'sf140',
                                                                                   6: 'sf160',
                                                                                   7: 'sf240',
                                                                                   8: 'sf280',
                                                                                   9: 'sf320',
                                                                                   10: 'sf640',
                                                                                   11: 'sf1280',
                                                                                   12: 'sf2560',
                                                                                   13: 'sf5120',
                                                                                   14: 'sf10240'}},
                                                                       {'name': 'gapOffset-r12',
                                                                        'type': 'SL-OffsetIndicator-r12'},
                                                                       {'name': 'gapSubframeBitmap-r13',
                                                                        'size': [(1,
                                                                                  10240)],
                                                                        'type': 'BIT '
                                                                                'STRING'},
                                                                       '...'],
                                                           'type': 'SEQUENCE'},
                                     'SL-GapPatternList-r13': {'element': {'type': 'SL-GapPattern-r13'},
                                                               'size': [(1,
                                                                         'maxSL-GP-r13')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SL-GapRequest-r13': {'element': {'type': 'SL-GapFreqInfo-r13'},
                                                           'size': [(1,
                                                                     'maxFreq')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                     'SL-HoppingConfigComm-r12': {'members': [{'name': 'hoppingParameter-r12',
                                                                               'restricted-to': [(0,
                                                                                                  504)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'numSubbands-r12',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'ns1',
                                                                                          1: 'ns2',
                                                                                          2: 'ns4'}},
                                                                              {'name': 'rb-Offset-r12',
                                                                               'restricted-to': [(0,
                                                                                                  110)],
                                                                               'type': 'INTEGER'}],
                                                                  'type': 'SEQUENCE'},
                                     'SL-HoppingConfigDisc-r12': {'members': [{'name': 'a-r12',
                                                                               'restricted-to': [(1,
                                                                                                  200)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'b-r12',
                                                                               'restricted-to': [(1,
                                                                                                  10)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'c-r12',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n1',
                                                                                          1: 'n5'}}],
                                                                  'type': 'SEQUENCE'},
                                     'SL-InterFreqInfoListV2X-r14': {'element': {'type': 'SL-InterFreqInfoV2X-r14'},
                                                                     'size': [(0,
                                                                               'maxFreqV2X-1-r14')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'SL-InterFreqInfoV2X-r14': {'members': [{'name': 'plmn-IdentityList-r14',
                                                                              'optional': True,
                                                                              'type': 'PLMN-IdentityList'},
                                                                             {'name': 'v2x-CommCarrierFreq-r14',
                                                                              'type': 'ARFCN-ValueEUTRA-r9'},
                                                                             {'name': 'sl-MaxTxPower-r14',
                                                                              'optional': True,
                                                                              'type': 'P-Max'},
                                                                             {'name': 'sl-Bandwidth-r14',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'n6',
                                                                                         1: 'n15',
                                                                                         2: 'n25',
                                                                                         3: 'n50',
                                                                                         4: 'n75',
                                                                                         5: 'n100'}},
                                                                             {'name': 'v2x-SchedulingPool-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-CommResourcePoolV2X-r14'},
                                                                             {'name': 'v2x-UE-ConfigList-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-V2X-UE-ConfigList-r14'},
                                                                             '...',
                                                                             {'members': [{'name': 'additionalSpectrumEmission-r14',
                                                                                           'type': 'AdditionalSpectrumEmission'},
                                                                                          {'name': 'additionalSpectrumEmission-v1440',
                                                                                           'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                              'name': 'additionalSpectrumEmissionV2X-r14',
                                                                              'optional': True,
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                     'SL-OffsetIndicator-r12': {'members': [{'name': 'small-r12',
                                                                             'restricted-to': [(0,
                                                                                                319)],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'large-r12',
                                                                             'restricted-to': [(0,
                                                                                                10239)],
                                                                             'type': 'INTEGER'}],
                                                                'type': 'CHOICE'},
                                     'SL-OffsetIndicatorSync-r12': {'restricted-to': [(0,
                                                                                       39)],
                                                                    'type': 'INTEGER'},
                                     'SL-OffsetIndicatorSync-r14': {'restricted-to': [(0,
                                                                                       159)],
                                                                    'type': 'INTEGER'},
                                     'SL-OffsetIndicatorSync-v1430': {'restricted-to': [(40,
                                                                                         159)],
                                                                      'type': 'INTEGER'},
                                     'SL-P2X-ResourceSelectionConfig-r14': {'members': [{'name': 'partialSensing-r14',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'true'}},
                                                                                        {'name': 'randomSelection-r14',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'true'}}],
                                                                            'type': 'SEQUENCE'},
                                     'SL-PPPP-TxConfigIndex-r14': {'members': [{'name': 'priorityThreshold-r14',
                                                                                'type': 'SL-Priority-r13'},
                                                                               {'name': 'defaultTxConfigIndex-r14',
                                                                                'restricted-to': [(0,
                                                                                                   'maxCBR-Level-1-r14')],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'cbr-ConfigIndex-r14',
                                                                                'restricted-to': [(0,
                                                                                                   'maxSL-V2X-CBRConfig-1-r14')],
                                                                                'type': 'INTEGER'},
                                                                               {'element': {'type': 'Tx-ConfigIndex-r14'},
                                                                                'name': 'tx-ConfigIndexList-r14',
                                                                                'size': [(1,
                                                                                          'maxCBR-Level-r14')],
                                                                                'type': 'SEQUENCE '
                                                                                        'OF'}],
                                                                   'type': 'SEQUENCE'},
                                     'SL-PSSCH-TxConfig-r14': {'members': [{'name': 'typeTxSync-r14',
                                                                            'optional': True,
                                                                            'type': 'SL-TypeTxSync-r14'},
                                                                           {'name': 'thresUE-Speed-r14',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'kmph60',
                                                                                       1: 'kmph80',
                                                                                       2: 'kmph100',
                                                                                       3: 'kmph120',
                                                                                       4: 'kmph140',
                                                                                       5: 'kmph160',
                                                                                       6: 'kmph180',
                                                                                       7: 'kmph200'}},
                                                                           {'name': 'parametersAboveThres-r14',
                                                                            'type': 'SL-PSSCH-TxParameters-r14'},
                                                                           {'name': 'parametersBelowThres-r14',
                                                                            'type': 'SL-PSSCH-TxParameters-r14'},
                                                                           '...'],
                                                               'type': 'SEQUENCE'},
                                     'SL-PSSCH-TxConfigList-r14': {'element': {'type': 'SL-PSSCH-TxConfig-r14'},
                                                                   'size': [(1,
                                                                             'maxPSSCH-TxConfig-r14')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'SL-PSSCH-TxParameters-r14': {'members': [{'name': 'minMCS-PSSCH-r14',
                                                                                'restricted-to': [(0,
                                                                                                   31)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'maxMCS-PSSCH-r14',
                                                                                'restricted-to': [(0,
                                                                                                   31)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'minSubChannel-NumberPSSCH-r14',
                                                                                'restricted-to': [(1,
                                                                                                   20)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'maxSubchannel-NumberPSSCH-r14',
                                                                                'restricted-to': [(1,
                                                                                                   20)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'allowedRetxNumberPSSCH-r14',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'n0',
                                                                                           1: 'n1',
                                                                                           2: 'both',
                                                                                           3: 'spare1'}},
                                                                               {'name': 'maxTxPower-r14',
                                                                                'optional': True,
                                                                                'type': 'SL-TxPower-r14'}],
                                                                   'type': 'SEQUENCE'},
                                     'SL-Parameters-r12': {'members': [{'name': 'commSimultaneousTx-r12',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}},
                                                                       {'name': 'commSupportedBands-r12',
                                                                        'optional': True,
                                                                        'type': 'FreqBandIndicatorListEUTRA-r12'},
                                                                       {'name': 'discSupportedBands-r12',
                                                                        'optional': True,
                                                                        'type': 'SupportedBandInfoList-r12'},
                                                                       {'name': 'discScheduledResourceAlloc-r12',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}},
                                                                       {'name': 'disc-UE-SelectedResourceAlloc-r12',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}},
                                                                       {'name': 'disc-SLSS-r12',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}},
                                                                       {'name': 'discSupportedProc-r12',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'n50',
                                                                                   1: 'n400'}}],
                                                           'type': 'SEQUENCE'},
                                     'SL-Parameters-v1310': {'members': [{'name': 'discSysInfoReporting-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'commMultipleTx-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'discInterFreqTx-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'discPeriodicSLSS-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}}],
                                                             'type': 'SEQUENCE'},
                                     'SL-Parameters-v1430': {'members': [{'name': 'zoneBasedPoolSelection-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'ue-AutonomousWithFullSensing-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'ue-AutonomousWithPartialSensing-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'sl-CongestionControl-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'v2x-TxWithShortResvInterval-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'v2x-numberTxRxTiming-r14',
                                                                          'optional': True,
                                                                          'restricted-to': [(1,
                                                                                             16)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'v2x-nonAdjacentPSCCH-PSSCH-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'slss-TxRx-r14',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'supported'}},
                                                                         {'name': 'v2x-SupportedBandCombinationList-r14',
                                                                          'optional': True,
                                                                          'type': 'V2X-SupportedBandCombination-r14'}],
                                                             'type': 'SEQUENCE'},
                                     'SL-PeriodComm-r12': {'type': 'ENUMERATED',
                                                           'values': {0: 'sf40',
                                                                      1: 'sf60',
                                                                      2: 'sf70',
                                                                      3: 'sf80',
                                                                      4: 'sf120',
                                                                      5: 'sf140',
                                                                      6: 'sf160',
                                                                      7: 'sf240',
                                                                      8: 'sf280',
                                                                      9: 'sf320',
                                                                      10: 'spare6',
                                                                      11: 'spare5',
                                                                      12: 'spare4',
                                                                      13: 'spare3',
                                                                      14: 'spare2',
                                                                      15: 'spare'}},
                                     'SL-PoolSelectionConfig-r12': {'members': [{'name': 'threshLow-r12',
                                                                                 'type': 'RSRP-RangeSL2-r12'},
                                                                                {'name': 'threshHigh-r12',
                                                                                 'type': 'RSRP-RangeSL2-r12'}],
                                                                    'type': 'SEQUENCE'},
                                     'SL-Priority-r13': {'restricted-to': [(1,
                                                                            8)],
                                                         'type': 'INTEGER'},
                                     'SL-PriorityList-r13': {'element': {'type': 'SL-Priority-r13'},
                                                             'size': [(1,
                                                                       'maxSL-Prio-r13')],
                                                             'type': 'SEQUENCE '
                                                                     'OF'},
                                     'SL-ResourcesInterFreq-r13': {'members': [{'name': 'discRxResourcesInterFreq-r13',
                                                                                'optional': True,
                                                                                'type': 'SL-DiscRxPoolList-r12'},
                                                                               {'name': 'discTxResourcesInterFreq-r13',
                                                                                'optional': True,
                                                                                'type': 'SL-DiscTxResourcesInterFreq-r13'}],
                                                                   'type': 'SEQUENCE'},
                                     'SL-RestrictResourceReservationPeriod-r14': {'type': 'ENUMERATED',
                                                                                  'values': {0: 'v0dot2',
                                                                                             1: 'v0dot5',
                                                                                             2: 'v1',
                                                                                             3: 'v2',
                                                                                             4: 'v3',
                                                                                             5: 'v4',
                                                                                             6: 'v5',
                                                                                             7: 'v6',
                                                                                             8: 'v7',
                                                                                             9: 'v8',
                                                                                             10: 'v9',
                                                                                             11: 'v10',
                                                                                             12: 'spare4',
                                                                                             13: 'spare3',
                                                                                             14: 'spare2',
                                                                                             15: 'spare1'}},
                                     'SL-RestrictResourceReservationPeriodList-r14': {'element': {'type': 'SL-RestrictResourceReservationPeriod-r14'},
                                                                                      'size': [(1,
                                                                                                'maxReservationPeriod-r14')],
                                                                                      'type': 'SEQUENCE '
                                                                                              'OF'},
                                     'SL-SyncAllowed-r14': {'members': [{'name': 'gnss-Sync-r14',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'true'}},
                                                                        {'name': 'enb-Sync-r14',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'true'}},
                                                                        {'name': 'ue-Sync-r14',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'true'}}],
                                                            'type': 'SEQUENCE'},
                                     'SL-SyncConfig-r12': {'members': [{'name': 'syncCP-Len-r12',
                                                                        'type': 'SL-CP-Len-r12'},
                                                                       {'name': 'syncOffsetIndicator-r12',
                                                                        'type': 'SL-OffsetIndicatorSync-r12'},
                                                                       {'name': 'slssid-r12',
                                                                        'type': 'SLSSID-r12'},
                                                                       {'members': [{'name': 'syncTxParameters-r12',
                                                                                     'type': 'SL-TxParameters-r12'},
                                                                                    {'name': 'syncTxThreshIC-r12',
                                                                                     'type': 'RSRP-RangeSL-r12'},
                                                                                    {'name': 'syncInfoReserved-r12',
                                                                                     'optional': True,
                                                                                     'size': [19],
                                                                                     'type': 'BIT '
                                                                                             'STRING'}],
                                                                        'name': 'txParameters-r12',
                                                                        'optional': True,
                                                                        'type': 'SEQUENCE'},
                                                                       {'members': [{'name': 'physCellId-r12',
                                                                                     'type': 'PhysCellId'},
                                                                                    {'name': 'discSyncWindow-r12',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'w1',
                                                                                                1: 'w2'}}],
                                                                        'name': 'rxParamsNCell-r12',
                                                                        'optional': True,
                                                                        'type': 'SEQUENCE'},
                                                                       '...',
                                                                       {'name': 'syncTxPeriodic-r13',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'true'}},
                                                                       {'name': 'syncOffsetIndicator-v1430',
                                                                        'optional': True,
                                                                        'type': 'SL-OffsetIndicatorSync-v1430'},
                                                                       {'name': 'gnss-Sync-r14',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'true'}}],
                                                           'type': 'SEQUENCE'},
                                     'SL-SyncConfigList-r12': {'element': {'type': 'SL-SyncConfig-r12'},
                                                               'size': [(1,
                                                                         'maxSL-SyncConfig-r12')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SL-SyncConfigListNFreq-r13': {'element': {'type': 'SL-SyncConfigNFreq-r13'},
                                                                    'size': [(1,
                                                                              'maxSL-SyncConfig-r12')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SL-SyncConfigListNFreqV2X-r14': {'element': {'type': 'SL-SyncConfigNFreq-r13'},
                                                                       'size': [(1,
                                                                                 'maxSL-V2X-SyncConfig-r14')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SL-SyncConfigListV2X-r14': {'element': {'type': 'SL-SyncConfig-r12'},
                                                                  'size': [(1,
                                                                            'maxSL-V2X-SyncConfig-r14')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SL-SyncConfigNFreq-r13': {'members': [{'members': [{'name': 'syncCP-Len-r13',
                                                                                          'type': 'SL-CP-Len-r12'},
                                                                                         {'name': 'syncOffsetIndicator-r13',
                                                                                          'type': 'SL-OffsetIndicatorSync-r12'},
                                                                                         {'name': 'slssid-r13',
                                                                                          'type': 'SLSSID-r12'}],
                                                                             'name': 'asyncParameters-r13',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'syncTxParameters-r13',
                                                                                          'type': 'SL-TxParameters-r12'},
                                                                                         {'name': 'syncTxThreshIC-r13',
                                                                                          'type': 'RSRP-RangeSL-r12'},
                                                                                         {'name': 'syncInfoReserved-r13',
                                                                                          'optional': True,
                                                                                          'size': [19],
                                                                                          'type': 'BIT '
                                                                                                  'STRING'},
                                                                                         {'name': 'syncTxPeriodic-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'true'}}],
                                                                             'name': 'txParameters-r13',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'discSyncWindow-r13',
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'w1',
                                                                                                     1: 'w2'}}],
                                                                             'name': 'rxParameters-r13',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            '...',
                                                                            {'name': 'syncOffsetIndicator-v1430',
                                                                             'optional': True,
                                                                             'type': 'SL-OffsetIndicatorSync-v1430'},
                                                                            {'name': 'gnss-Sync-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}}],
                                                                'type': 'SEQUENCE'},
                                     'SL-SyncTxControl-r12': {'members': [{'name': 'networkControlledSyncTx-r12',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'on',
                                                                                      1: 'off'}}],
                                                              'type': 'SEQUENCE'},
                                     'SL-TF-IndexPair-r12': {'members': [{'name': 'discSF-Index-r12',
                                                                          'optional': True,
                                                                          'restricted-to': [(1,
                                                                                             200)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'discPRB-Index-r12',
                                                                          'optional': True,
                                                                          'restricted-to': [(1,
                                                                                             50)],
                                                                          'type': 'INTEGER'}],
                                                             'type': 'SEQUENCE'},
                                     'SL-TF-IndexPair-r12b': {'members': [{'name': 'discSF-Index-r12b',
                                                                           'optional': True,
                                                                           'restricted-to': [(0,
                                                                                              209)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'discPRB-Index-r12b',
                                                                           'optional': True,
                                                                           'restricted-to': [(0,
                                                                                              49)],
                                                                           'type': 'INTEGER'}],
                                                              'type': 'SEQUENCE'},
                                     'SL-TF-IndexPairList-r12': {'element': {'type': 'SL-TF-IndexPair-r12'},
                                                                 'size': [(1,
                                                                           'maxSL-TF-IndexPair-r12')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'SL-TF-IndexPairList-r12b': {'element': {'type': 'SL-TF-IndexPair-r12b'},
                                                                  'size': [(1,
                                                                            'maxSL-TF-IndexPair-r12')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SL-TF-ResourceConfig-r12': {'members': [{'name': 'prb-Num-r12',
                                                                               'restricted-to': [(1,
                                                                                                  100)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'prb-Start-r12',
                                                                               'restricted-to': [(0,
                                                                                                  99)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'prb-End-r12',
                                                                               'restricted-to': [(0,
                                                                                                  99)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'offsetIndicator-r12',
                                                                               'type': 'SL-OffsetIndicator-r12'},
                                                                              {'name': 'subframeBitmap-r12',
                                                                               'type': 'SubframeBitmapSL-r12'}],
                                                                  'type': 'SEQUENCE'},
                                     'SL-TRPT-Subset-r12': {'size': [(3, 5)],
                                                            'type': 'BIT '
                                                                    'STRING'},
                                     'SL-ThresPSSCH-RSRP-List-r14': {'element': {'type': 'SL-ThresPSSCH-RSRP-r14'},
                                                                     'size': [64],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'SL-ThresPSSCH-RSRP-r14': {'restricted-to': [(0,
                                                                                   66)],
                                                                'type': 'INTEGER'},
                                     'SL-TxParameters-r12': {'members': [{'name': 'alpha-r12',
                                                                          'type': 'Alpha-r12'},
                                                                         {'name': 'p0-r12',
                                                                          'type': 'P0-SL-r12'}],
                                                             'type': 'SEQUENCE'},
                                     'SL-TxPoolIdentity-r12': {'restricted-to': [(1,
                                                                                  'maxSL-TxPool-r12')],
                                                               'type': 'INTEGER'},
                                     'SL-TxPoolIdentity-v1310': {'restricted-to': [('maxSL-TxPool-r12Plus1-r13',
                                                                                    'maxSL-TxPool-r13')],
                                                                 'type': 'INTEGER'},
                                     'SL-TxPoolToAddMod-r14': {'members': [{'name': 'poolIdentity-r14',
                                                                            'type': 'SL-V2X-TxPoolIdentity-r14'},
                                                                           {'name': 'pool-r14',
                                                                            'type': 'SL-CommResourcePoolV2X-r14'}],
                                                               'type': 'SEQUENCE'},
                                     'SL-TxPoolToAddModListV2X-r14': {'element': {'type': 'SL-TxPoolToAddMod-r14'},
                                                                      'size': [(1,
                                                                                'maxSL-V2X-TxPool-r14')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SL-TxPoolToReleaseList-r12': {'element': {'type': 'SL-TxPoolIdentity-r12'},
                                                                    'size': [(1,
                                                                              'maxSL-TxPool-r12')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SL-TxPoolToReleaseListExt-r13': {'element': {'type': 'SL-TxPoolIdentity-v1310'},
                                                                       'size': [(1,
                                                                                 'maxSL-TxPool-v1310')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SL-TxPoolToReleaseListV2X-r14': {'element': {'type': 'SL-V2X-TxPoolIdentity-r14'},
                                                                       'size': [(1,
                                                                                 'maxSL-V2X-TxPool-r14')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SL-TxPower-r14': {'members': [{'name': 'minusinfinity-r14',
                                                                     'type': 'NULL'},
                                                                    {'name': 'txPower-r14',
                                                                     'restricted-to': [(-41,
                                                                                        31)],
                                                                     'type': 'INTEGER'}],
                                                        'type': 'CHOICE'},
                                     'SL-TypeTxSync-r14': {'type': 'ENUMERATED',
                                                           'values': {0: 'gnss',
                                                                      1: 'enb',
                                                                      2: 'ue'}},
                                     'SL-V2X-CommFreqList-r14': {'element': {'restricted-to': [(0,
                                                                                                'maxFreqV2X-1-r14')],
                                                                             'type': 'INTEGER'},
                                                                 'size': [(1,
                                                                           'maxFreqV2X-r14')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'SL-V2X-CommTxFreqList-r14': {'element': {'type': 'SL-V2X-CommTxResourceReq-r14'},
                                                                   'size': [(1,
                                                                             'maxFreqV2X-r14')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'SL-V2X-CommTxResourceReq-r14': {'members': [{'name': 'carrierFreqCommTx-r14',
                                                                                   'optional': True,
                                                                                   'restricted-to': [(0,
                                                                                                      'maxFreqV2X-1-r14')],
                                                                                   'type': 'INTEGER'},
                                                                                  {'name': 'v2x-TypeTxSync-r14',
                                                                                   'optional': True,
                                                                                   'type': 'SL-TypeTxSync-r14'},
                                                                                  {'name': 'v2x-DestinationInfoList-r14',
                                                                                   'optional': True,
                                                                                   'type': 'SL-DestinationInfoList-r12'}],
                                                                      'type': 'SEQUENCE'},
                                     'SL-V2X-ConfigCommon-r14': {'members': [{'name': 'v2x-CommRxPool-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-CommRxPoolListV2X-r14'},
                                                                             {'name': 'v2x-CommTxPoolNormalCommon-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-CommTxPoolListV2X-r14'},
                                                                             {'name': 'p2x-CommTxPoolNormalCommon-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-CommTxPoolListV2X-r14'},
                                                                             {'name': 'v2x-CommTxPoolExceptional-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-CommResourcePoolV2X-r14'},
                                                                             {'name': 'v2x-SyncConfig-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-SyncConfigListV2X-r14'},
                                                                             {'name': 'v2x-InterFreqInfoList-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-InterFreqInfoListV2X-r14'},
                                                                             {'name': 'v2x-ResourceSelectionConfig-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-CommTxPoolSensingConfig-r14'},
                                                                             {'name': 'zoneConfig-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-ZoneConfig-r14'},
                                                                             {'name': 'typeTxSync-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-TypeTxSync-r14'},
                                                                             {'name': 'thresSL-TxPrioritization-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-Priority-r13'},
                                                                             {'name': 'anchorCarrierFreqList-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-AnchorCarrierFreqList-V2X-r14'},
                                                                             {'name': 'offsetDFN-r14',
                                                                              'optional': True,
                                                                              'restricted-to': [(0,
                                                                                                 1000)],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'cbr-CommonTxConfigList-r14',
                                                                              'optional': True,
                                                                              'type': 'SL-CBR-CommonTxConfigList-r14'}],
                                                                 'type': 'SEQUENCE'},
                                     'SL-V2X-ConfigDedicated-r14': {'members': [{'members': [{'name': 'release',
                                                                                              'type': 'NULL'},
                                                                                             {'members': [{'members': [{'name': 'sl-V-RNTI-r14',
                                                                                                                        'type': 'C-RNTI'},
                                                                                                                       {'name': 'mac-MainConfig-r14',
                                                                                                                        'type': 'MAC-MainConfigSL-r12'},
                                                                                                                       {'name': 'v2x-SchedulingPool-r14',
                                                                                                                        'optional': True,
                                                                                                                        'type': 'SL-CommResourcePoolV2X-r14'},
                                                                                                                       {'name': 'mcs-r14',
                                                                                                                        'optional': True,
                                                                                                                        'restricted-to': [(0,
                                                                                                                                           31)],
                                                                                                                        'type': 'INTEGER'},
                                                                                                                       {'name': 'logicalChGroupInfoList-r14',
                                                                                                                        'type': 'LogicalChGroupInfoList-r13'}],
                                                                                                           'name': 'scheduled-r14',
                                                                                                           'type': 'SEQUENCE'},
                                                                                                          {'members': [{'members': [{'name': 'poolToReleaseList-r14',
                                                                                                                                     'optional': True,
                                                                                                                                     'type': 'SL-TxPoolToReleaseListV2X-r14'},
                                                                                                                                    {'name': 'poolToAddModList-r14',
                                                                                                                                     'optional': True,
                                                                                                                                     'type': 'SL-TxPoolToAddModListV2X-r14'},
                                                                                                                                    {'name': 'v2x-CommTxPoolSensingConfig-r14',
                                                                                                                                     'optional': True,
                                                                                                                                     'type': 'SL-CommTxPoolSensingConfig-r14'}],
                                                                                                                        'name': 'v2x-CommTxPoolNormalDedicated-r14',
                                                                                                                        'type': 'SEQUENCE'}],
                                                                                                           'name': 'ue-Selected-r14',
                                                                                                           'type': 'SEQUENCE'}],
                                                                                              'name': 'setup',
                                                                                              'type': 'CHOICE'}],
                                                                                 'name': 'commTxResources-r14',
                                                                                 'optional': True,
                                                                                 'type': 'CHOICE'},
                                                                                {'name': 'v2x-InterFreqInfoList-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-InterFreqInfoListV2X-r14'},
                                                                                {'name': 'thresSL-TxPrioritization-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-Priority-r13'},
                                                                                {'name': 'typeTxSync-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-TypeTxSync-r14'},
                                                                                {'name': 'cbr-DedicatedTxConfigList-r14',
                                                                                 'optional': True,
                                                                                 'type': 'SL-CBR-CommonTxConfigList-r14'},
                                                                                '...'],
                                                                    'type': 'SEQUENCE'},
                                     'SL-V2X-InterFreqUE-Config-r14': {'members': [{'name': 'physCellIdList-r14',
                                                                                    'optional': True,
                                                                                    'type': 'PhysCellIdList-r13'},
                                                                                   {'name': 'typeTxSync-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-TypeTxSync-r14'},
                                                                                   {'name': 'v2x-SyncConfig-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-SyncConfigListNFreqV2X-r14'},
                                                                                   {'name': 'v2x-CommRxPool-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CommRxPoolListV2X-r14'},
                                                                                   {'name': 'v2x-CommTxPoolNormal-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CommTxPoolListV2X-r14'},
                                                                                   {'name': 'p2x-CommTxPoolNormal-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CommTxPoolListV2X-r14'},
                                                                                   {'name': 'v2x-CommTxPoolExceptional-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CommResourcePoolV2X-r14'},
                                                                                   {'name': 'v2x-ResourceSelectionConfig-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CommTxPoolSensingConfig-r14'},
                                                                                   {'name': 'zoneConfig-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-ZoneConfig-r14'},
                                                                                   {'name': 'offsetDFN-r14',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       1000)],
                                                                                    'type': 'INTEGER'},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                     'SL-V2X-TxPoolIdentity-r14': {'restricted-to': [(1,
                                                                                      'maxSL-V2X-TxPool-r14')],
                                                                   'type': 'INTEGER'},
                                     'SL-V2X-TxPoolReportIdentity-r14': {'restricted-to': [(1,
                                                                                            'maxSL-PoolToMeasure-r14')],
                                                                         'type': 'INTEGER'},
                                     'SL-V2X-UE-ConfigList-r14': {'element': {'type': 'SL-V2X-InterFreqUE-Config-r14'},
                                                                  'size': [(1,
                                                                            'maxCellIntra')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SL-ZoneConfig-r14': {'members': [{'name': 'zoneLength-r14',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'm5',
                                                                                   1: 'm10',
                                                                                   2: 'm20',
                                                                                   3: 'm50',
                                                                                   4: 'm100',
                                                                                   5: 'm200',
                                                                                   6: 'm500',
                                                                                   7: 'spare1'}},
                                                                       {'name': 'zoneWidth-r14',
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'm5',
                                                                                   1: 'm10',
                                                                                   2: 'm20',
                                                                                   3: 'm50',
                                                                                   4: 'm100',
                                                                                   5: 'm200',
                                                                                   6: 'm500',
                                                                                   7: 'spare1'}},
                                                                       {'name': 'zoneIdLongiMod-r14',
                                                                        'restricted-to': [(1,
                                                                                           4)],
                                                                        'type': 'INTEGER'},
                                                                       {'name': 'zoneIdLatiMod-r14',
                                                                        'restricted-to': [(1,
                                                                                           4)],
                                                                        'type': 'INTEGER'}],
                                                           'type': 'SEQUENCE'},
                                     'SLSSID-r12': {'restricted-to': [(0, 167)],
                                                    'type': 'INTEGER'},
                                     'SN-FieldLength': {'type': 'ENUMERATED',
                                                        'values': {0: 'size5',
                                                                   1: 'size10'}},
                                     'SON-Parameters-r9': {'members': [{'name': 'rach-Report-r9',
                                                                        'optional': True,
                                                                        'type': 'ENUMERATED',
                                                                        'values': {0: 'supported'}}],
                                                           'type': 'SEQUENCE'},
                                     'SPS-Config': {'members': [{'name': 'semiPersistSchedC-RNTI',
                                                                 'optional': True,
                                                                 'type': 'C-RNTI'},
                                                                {'name': 'sps-ConfigDL',
                                                                 'optional': True,
                                                                 'type': 'SPS-ConfigDL'},
                                                                {'name': 'sps-ConfigUL',
                                                                 'optional': True,
                                                                 'type': 'SPS-ConfigUL'}],
                                                    'type': 'SEQUENCE'},
                                     'SPS-Config-v1430': {'members': [{'name': 'ul-SPS-V-RNTI-r14',
                                                                       'optional': True,
                                                                       'type': 'C-RNTI'},
                                                                      {'name': 'sl-SPS-V-RNTI-r14',
                                                                       'optional': True,
                                                                       'type': 'C-RNTI'},
                                                                      {'name': 'sps-ConfigUL-ToAddModList-r14',
                                                                       'optional': True,
                                                                       'type': 'SPS-ConfigUL-ToAddModList-r14'},
                                                                      {'name': 'sps-ConfigUL-ToReleaseList-r14',
                                                                       'optional': True,
                                                                       'type': 'SPS-ConfigUL-ToReleaseList-r14'},
                                                                      {'name': 'sps-ConfigSL-ToAddModList-r14',
                                                                       'optional': True,
                                                                       'type': 'SPS-ConfigSL-ToAddModList-r14'},
                                                                      {'name': 'sps-ConfigSL-ToReleaseList-r14',
                                                                       'optional': True,
                                                                       'type': 'SPS-ConfigSL-ToReleaseList-r14'}],
                                                          'type': 'SEQUENCE'},
                                     'SPS-ConfigDL': {'members': [{'name': 'release',
                                                                   'type': 'NULL'},
                                                                  {'members': [{'name': 'semiPersistSchedIntervalDL',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'sf10',
                                                                                           1: 'sf20',
                                                                                           2: 'sf32',
                                                                                           3: 'sf40',
                                                                                           4: 'sf64',
                                                                                           5: 'sf80',
                                                                                           6: 'sf128',
                                                                                           7: 'sf160',
                                                                                           8: 'sf320',
                                                                                           9: 'sf640',
                                                                                           10: 'spare6',
                                                                                           11: 'spare5',
                                                                                           12: 'spare4',
                                                                                           13: 'spare3',
                                                                                           14: 'spare2',
                                                                                           15: 'spare1'}},
                                                                               {'name': 'numberOfConfSPS-Processes',
                                                                                'restricted-to': [(1,
                                                                                                   8)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'n1PUCCH-AN-PersistentList',
                                                                                'type': 'N1PUCCH-AN-PersistentList'},
                                                                               '...',
                                                                               {'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'name': 'n1PUCCH-AN-PersistentListP1-r10',
                                                                                                          'type': 'N1PUCCH-AN-PersistentList'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'twoAntennaPortActivated-r10',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'}],
                                                                   'name': 'setup',
                                                                   'type': 'SEQUENCE'}],
                                                      'type': 'CHOICE'},
                                     'SPS-ConfigIndex-r14': {'restricted-to': [(1,
                                                                                'maxConfigSPS-r14')],
                                                             'type': 'INTEGER'},
                                     'SPS-ConfigSL-ToAddModList-r14': {'element': {'type': 'SPS-ConfigSL-r14'},
                                                                       'size': [(1,
                                                                                 'maxConfigSPS-r14')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SPS-ConfigSL-ToReleaseList-r14': {'element': {'type': 'SPS-ConfigIndex-r14'},
                                                                        'size': [(1,
                                                                                  'maxConfigSPS-r14')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SPS-ConfigSL-r14': {'members': [{'name': 'sps-ConfigIndex-r14',
                                                                       'type': 'SPS-ConfigIndex-r14'},
                                                                      {'name': 'semiPersistSchedIntervalSL-r14',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'sf20',
                                                                                  1: 'sf50',
                                                                                  2: 'sf100',
                                                                                  3: 'sf200',
                                                                                  4: 'sf300',
                                                                                  5: 'sf400',
                                                                                  6: 'sf500',
                                                                                  7: 'sf600',
                                                                                  8: 'sf700',
                                                                                  9: 'sf800',
                                                                                  10: 'sf900',
                                                                                  11: 'sf1000',
                                                                                  12: 'spare4',
                                                                                  13: 'spare3',
                                                                                  14: 'spare2',
                                                                                  15: 'spare1'}}],
                                                          'type': 'SEQUENCE'},
                                     'SPS-ConfigUL': {'members': [{'name': 'release',
                                                                   'type': 'NULL'},
                                                                  {'members': [{'name': 'semiPersistSchedIntervalUL',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'sf10',
                                                                                           1: 'sf20',
                                                                                           2: 'sf32',
                                                                                           3: 'sf40',
                                                                                           4: 'sf64',
                                                                                           5: 'sf80',
                                                                                           6: 'sf128',
                                                                                           7: 'sf160',
                                                                                           8: 'sf320',
                                                                                           9: 'sf640',
                                                                                           10: 'sf1-v1430',
                                                                                           11: 'sf2-v1430',
                                                                                           12: 'sf3-v1430',
                                                                                           13: 'sf4-v1430',
                                                                                           14: 'sf5-v1430',
                                                                                           15: 'spare1'}},
                                                                               {'name': 'implicitReleaseAfter',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'e2',
                                                                                           1: 'e3',
                                                                                           2: 'e4',
                                                                                           3: 'e8'}},
                                                                               {'members': [{'name': 'p0-NominalPUSCH-Persistent',
                                                                                             'restricted-to': [(-126,
                                                                                                                24)],
                                                                                             'type': 'INTEGER'},
                                                                                            {'name': 'p0-UE-PUSCH-Persistent',
                                                                                             'restricted-to': [(-8,
                                                                                                                7)],
                                                                                             'type': 'INTEGER'}],
                                                                                'name': 'p0-Persistent',
                                                                                'optional': True,
                                                                                'type': 'SEQUENCE'},
                                                                               {'name': 'twoIntervalsConfig',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               '...',
                                                                               {'members': [{'name': 'release',
                                                                                             'type': 'NULL'},
                                                                                            {'members': [{'name': 'p0-NominalPUSCH-PersistentSubframeSet2-r12',
                                                                                                          'restricted-to': [(-126,
                                                                                                                             24)],
                                                                                                          'type': 'INTEGER'},
                                                                                                         {'name': 'p0-UE-PUSCH-PersistentSubframeSet2-r12',
                                                                                                          'restricted-to': [(-8,
                                                                                                                             7)],
                                                                                                          'type': 'INTEGER'}],
                                                                                             'name': 'setup',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'p0-PersistentSubframeSet2-r12',
                                                                                'optional': True,
                                                                                'type': 'CHOICE'},
                                                                               {'name': 'numberOfConfUlSPS-Processes-r13',
                                                                                'optional': True,
                                                                                'restricted-to': [(1,
                                                                                                   8)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'fixedRV-NonAdaptive-r14',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}},
                                                                               {'name': 'sps-ConfigIndex-r14',
                                                                                'optional': True,
                                                                                'type': 'SPS-ConfigIndex-r14'},
                                                                               {'name': 'semiPersistSchedIntervalUL-v1430',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'sf50',
                                                                                           1: 'sf100',
                                                                                           2: 'sf200',
                                                                                           3: 'sf300',
                                                                                           4: 'sf400',
                                                                                           5: 'sf500',
                                                                                           6: 'sf600',
                                                                                           7: 'sf700',
                                                                                           8: 'sf800',
                                                                                           9: 'sf900',
                                                                                           10: 'sf1000',
                                                                                           11: 'spare5',
                                                                                           12: 'spare4',
                                                                                           13: 'spare3',
                                                                                           14: 'spare2',
                                                                                           15: 'spare1'}}],
                                                                   'name': 'setup',
                                                                   'type': 'SEQUENCE'}],
                                                      'type': 'CHOICE'},
                                     'SPS-ConfigUL-ToAddModList-r14': {'element': {'type': 'SPS-ConfigUL'},
                                                                       'size': [(1,
                                                                                 'maxConfigSPS-r14')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SPS-ConfigUL-ToReleaseList-r14': {'element': {'type': 'SPS-ConfigIndex-r14'},
                                                                        'size': [(1,
                                                                                  'maxConfigSPS-r14')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SRB-ToAddMod': {'members': [{'name': 'srb-Identity',
                                                                   'restricted-to': [(1,
                                                                                      2)],
                                                                   'type': 'INTEGER'},
                                                                  {'members': [{'name': 'explicitValue',
                                                                                'type': 'RLC-Config'},
                                                                               {'name': 'defaultValue',
                                                                                'type': 'NULL'}],
                                                                   'name': 'rlc-Config',
                                                                   'optional': True,
                                                                   'type': 'CHOICE'},
                                                                  {'members': [{'name': 'explicitValue',
                                                                                'type': 'LogicalChannelConfig'},
                                                                               {'name': 'defaultValue',
                                                                                'type': 'NULL'}],
                                                                   'name': 'logicalChannelConfig',
                                                                   'optional': True,
                                                                   'type': 'CHOICE'},
                                                                  '...'],
                                                      'type': 'SEQUENCE'},
                                     'SRB-ToAddModList': {'element': {'type': 'SRB-ToAddMod'},
                                                          'size': [(1, 2)],
                                                          'type': 'SEQUENCE '
                                                                  'OF'},
                                     'SRS-AntennaPort': {'type': 'ENUMERATED',
                                                         'values': {0: 'an1',
                                                                    1: 'an2',
                                                                    2: 'an4',
                                                                    3: 'spare1'}},
                                     'SRS-CC-SetIndex-r14': {'members': [{'name': 'cc-SetIndex-r14',
                                                                          'restricted-to': [(0,
                                                                                             3)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'cc-IndexInOneCC-Set-r14',
                                                                          'restricted-to': [(0,
                                                                                             7)],
                                                                          'type': 'INTEGER'}],
                                                             'type': 'SEQUENCE'},
                                     'SRS-ConfigAp-r10': {'members': [{'name': 'srs-AntennaPortAp-r10',
                                                                       'type': 'SRS-AntennaPort'},
                                                                      {'name': 'srs-BandwidthAp-r10',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'bw0',
                                                                                  1: 'bw1',
                                                                                  2: 'bw2',
                                                                                  3: 'bw3'}},
                                                                      {'name': 'freqDomainPositionAp-r10',
                                                                       'restricted-to': [(0,
                                                                                          23)],
                                                                       'type': 'INTEGER'},
                                                                      {'name': 'transmissionCombAp-r10',
                                                                       'restricted-to': [(0,
                                                                                          1)],
                                                                       'type': 'INTEGER'},
                                                                      {'name': 'cyclicShiftAp-r10',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'cs0',
                                                                                  1: 'cs1',
                                                                                  2: 'cs2',
                                                                                  3: 'cs3',
                                                                                  4: 'cs4',
                                                                                  5: 'cs5',
                                                                                  6: 'cs6',
                                                                                  7: 'cs7'}}],
                                                          'type': 'SEQUENCE'},
                                     'SRS-ConfigAp-r13': {'members': [{'name': 'srs-AntennaPortAp-r13',
                                                                       'type': 'SRS-AntennaPort'},
                                                                      {'name': 'srs-BandwidthAp-r13',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'bw0',
                                                                                  1: 'bw1',
                                                                                  2: 'bw2',
                                                                                  3: 'bw3'}},
                                                                      {'name': 'freqDomainPositionAp-r13',
                                                                       'restricted-to': [(0,
                                                                                          23)],
                                                                       'type': 'INTEGER'},
                                                                      {'name': 'transmissionCombAp-r13',
                                                                       'restricted-to': [(0,
                                                                                          3)],
                                                                       'type': 'INTEGER'},
                                                                      {'name': 'cyclicShiftAp-r13',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'cs0',
                                                                                  1: 'cs1',
                                                                                  2: 'cs2',
                                                                                  3: 'cs3',
                                                                                  4: 'cs4',
                                                                                  5: 'cs5',
                                                                                  6: 'cs6',
                                                                                  7: 'cs7',
                                                                                  8: 'cs8',
                                                                                  9: 'cs9',
                                                                                  10: 'cs10',
                                                                                  11: 'cs11'}},
                                                                      {'name': 'transmissionCombNum-r13',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'n2',
                                                                                  1: 'n4'}}],
                                                          'type': 'SEQUENCE'},
                                     'SRS-ConfigAp-v1310': {'members': [{'name': 'transmissionCombAp-v1310',
                                                                         'optional': True,
                                                                         'restricted-to': [(2,
                                                                                            3)],
                                                                         'type': 'INTEGER'},
                                                                        {'name': 'cyclicShiftAp-v1310',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'cs8',
                                                                                    1: 'cs9',
                                                                                    2: 'cs10',
                                                                                    3: 'cs11'}},
                                                                        {'name': 'transmissionCombNum-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'n2',
                                                                                    1: 'n4'}}],
                                                            'type': 'SEQUENCE'},
                                     'SRS-TPC-PDCCH-Config-r14': {'members': [{'name': 'release',
                                                                               'type': 'NULL'},
                                                                              {'members': [{'name': 'srs-TPC-RNTI-r14',
                                                                                            'size': [16],
                                                                                            'type': 'BIT '
                                                                                                    'STRING'},
                                                                                           {'name': 'startingBitOfFormat3B-r14',
                                                                                            'restricted-to': [(0,
                                                                                                               31)],
                                                                                            'type': 'INTEGER'},
                                                                                           {'name': 'fieldTypeFormat3B-r14',
                                                                                            'restricted-to': [(1,
                                                                                                               4)],
                                                                                            'type': 'INTEGER'},
                                                                                           {'element': {'type': 'SRS-CC-SetIndex-r14'},
                                                                                            'name': 'srs-CC-SetIndexlist-r14',
                                                                                            'optional': True,
                                                                                            'size': [(1,
                                                                                                      4)],
                                                                                            'type': 'SEQUENCE '
                                                                                                    'OF'}],
                                                                               'name': 'setup',
                                                                               'type': 'SEQUENCE'}],
                                                                  'type': 'CHOICE'},
                                     'STAG-Id-r11': {'restricted-to': [(1,
                                                                        'maxSTAG-r11')],
                                                     'type': 'INTEGER'},
                                     'STAG-ToAddMod-r11': {'members': [{'name': 'stag-Id-r11',
                                                                        'type': 'STAG-Id-r11'},
                                                                       {'name': 'timeAlignmentTimerSTAG-r11',
                                                                        'type': 'TimeAlignmentTimer'},
                                                                       '...'],
                                                           'type': 'SEQUENCE'},
                                     'STAG-ToAddModList-r11': {'element': {'type': 'STAG-ToAddMod-r11'},
                                                               'size': [(1,
                                                                         'maxSTAG-r11')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'STAG-ToReleaseList-r11': {'element': {'type': 'STAG-Id-r11'},
                                                                'size': [(1,
                                                                          'maxSTAG-r11')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'SchedulingInfo': {'members': [{'name': 'si-Periodicity',
                                                                     'type': 'ENUMERATED',
                                                                     'values': {0: 'rf8',
                                                                                1: 'rf16',
                                                                                2: 'rf32',
                                                                                3: 'rf64',
                                                                                4: 'rf128',
                                                                                5: 'rf256',
                                                                                6: 'rf512'}},
                                                                    {'name': 'sib-MappingInfo',
                                                                     'type': 'SIB-MappingInfo'}],
                                                        'type': 'SEQUENCE'},
                                     'SchedulingInfo-BR-r13': {'members': [{'name': 'si-Narrowband-r13',
                                                                            'restricted-to': [(1,
                                                                                               'maxAvailNarrowBands-r13')],
                                                                            'type': 'INTEGER'},
                                                                           {'name': 'si-TBS-r13',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'b152',
                                                                                       1: 'b208',
                                                                                       2: 'b256',
                                                                                       3: 'b328',
                                                                                       4: 'b408',
                                                                                       5: 'b504',
                                                                                       6: 'b600',
                                                                                       7: 'b712',
                                                                                       8: 'b808',
                                                                                       9: 'b936'}}],
                                                               'type': 'SEQUENCE'},
                                     'SchedulingInfo-MBMS-r14': {'members': [{'name': 'si-Periodicity-r14',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'rf16',
                                                                                         1: 'rf32',
                                                                                         2: 'rf64',
                                                                                         3: 'rf128',
                                                                                         4: 'rf256',
                                                                                         5: 'rf512'}},
                                                                             {'name': 'sib-MappingInfo-r14',
                                                                              'type': 'SIB-MappingInfo-MBMS-r14'}],
                                                                 'type': 'SEQUENCE'},
                                     'SchedulingInfoList': {'element': {'type': 'SchedulingInfo'},
                                                            'size': [(1,
                                                                      'maxSI-Message')],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                     'SchedulingInfoList-BR-r13': {'element': {'type': 'SchedulingInfo-BR-r13'},
                                                                   'size': [(1,
                                                                             'maxSI-Message')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'SchedulingInfoList-MBMS-r14': {'element': {'type': 'SchedulingInfo-MBMS-r14'},
                                                                     'size': [(1,
                                                                               'maxSI-Message')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'SchedulingRequestConfig': {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'members': [{'name': 'sr-PUCCH-ResourceIndex',
                                                                                           'restricted-to': [(0,
                                                                                                              2047)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'sr-ConfigIndex',
                                                                                           'restricted-to': [(0,
                                                                                                              157)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'dsr-TransMax',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'n4',
                                                                                                      1: 'n8',
                                                                                                      2: 'n16',
                                                                                                      3: 'n32',
                                                                                                      4: 'n64',
                                                                                                      5: 'spare3',
                                                                                                      6: 'spare2',
                                                                                                      7: 'spare1'}}],
                                                                              'name': 'setup',
                                                                              'type': 'SEQUENCE'}],
                                                                 'type': 'CHOICE'},
                                     'SchedulingRequestConfig-v1020': {'members': [{'name': 'sr-PUCCH-ResourceIndexP1-r10',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       2047)],
                                                                                    'type': 'INTEGER'}],
                                                                       'type': 'SEQUENCE'},
                                     'SchedulingRequestConfigSCell-r13': {'members': [{'name': 'release',
                                                                                       'type': 'NULL'},
                                                                                      {'members': [{'name': 'sr-PUCCH-ResourceIndex-r13',
                                                                                                    'restricted-to': [(0,
                                                                                                                       2047)],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'sr-PUCCH-ResourceIndexP1-r13',
                                                                                                    'optional': True,
                                                                                                    'restricted-to': [(0,
                                                                                                                       2047)],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'sr-ConfigIndex-r13',
                                                                                                    'restricted-to': [(0,
                                                                                                                       157)],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'dsr-TransMax-r13',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'n4',
                                                                                                               1: 'n8',
                                                                                                               2: 'n16',
                                                                                                               3: 'n32',
                                                                                                               4: 'n64',
                                                                                                               5: 'spare3',
                                                                                                               6: 'spare2',
                                                                                                               7: 'spare1'}}],
                                                                                       'name': 'setup',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'CHOICE'},
                                     'SecondaryPreRegistrationZoneIdListHRPD': {'element': {'type': 'PreRegistrationZoneIdHRPD'},
                                                                                'size': [(1,
                                                                                          2)],
                                                                                'type': 'SEQUENCE '
                                                                                        'OF'},
                                     'SecurityAlgorithmConfig': {'members': [{'name': 'cipheringAlgorithm',
                                                                              'type': 'CipheringAlgorithm-r12'},
                                                                             {'name': 'integrityProtAlgorithm',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'eia0-v920',
                                                                                         1: 'eia1',
                                                                                         2: 'eia2',
                                                                                         3: 'eia3-v1130',
                                                                                         4: 'spare4',
                                                                                         5: 'spare3',
                                                                                         6: 'spare2',
                                                                                         7: 'spare1',
                                                                                         8: '...'}}],
                                                                 'type': 'SEQUENCE'},
                                     'SecurityConfigHO': {'members': [{'members': [{'members': [{'name': 'securityAlgorithmConfig',
                                                                                                 'optional': True,
                                                                                                 'type': 'SecurityAlgorithmConfig'},
                                                                                                {'name': 'keyChangeIndicator',
                                                                                                 'type': 'BOOLEAN'},
                                                                                                {'name': 'nextHopChainingCount',
                                                                                                 'type': 'NextHopChainingCount'}],
                                                                                    'name': 'intraLTE',
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'members': [{'name': 'securityAlgorithmConfig',
                                                                                                 'type': 'SecurityAlgorithmConfig'},
                                                                                                {'name': 'nas-SecurityParamToEUTRA',
                                                                                                 'size': [6],
                                                                                                 'type': 'OCTET '
                                                                                                         'STRING'}],
                                                                                    'name': 'interRAT',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'name': 'handoverType',
                                                                       'type': 'CHOICE'},
                                                                      '...'],
                                                          'type': 'SEQUENCE'},
                                     'SecurityConfigSMC': {'members': [{'name': 'securityAlgorithmConfig',
                                                                        'type': 'SecurityAlgorithmConfig'},
                                                                       '...'],
                                                           'type': 'SEQUENCE'},
                                     'SecurityModeCommand': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                          'type': 'RRC-TransactionIdentifier'},
                                                                         {'members': [{'members': [{'name': 'securityModeCommand-r8',
                                                                                                    'type': 'SecurityModeCommand-r8-IEs'},
                                                                                                   {'name': 'spare3',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare2',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare1',
                                                                                                    'type': 'NULL'}],
                                                                                       'name': 'c1',
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [],
                                                                                       'name': 'criticalExtensionsFuture',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'criticalExtensions',
                                                                          'type': 'CHOICE'}],
                                                             'type': 'SEQUENCE'},
                                     'SecurityModeCommand-r8-IEs': {'members': [{'name': 'securityConfigSMC',
                                                                                 'type': 'SecurityConfigSMC'},
                                                                                {'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'SecurityModeCommand-v8a0-IEs'}],
                                                                    'type': 'SEQUENCE'},
                                     'SecurityModeCommand-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'members': [],
                                                                                   'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'}],
                                                                      'type': 'SEQUENCE'},
                                     'SecurityModeComplete': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                           'type': 'RRC-TransactionIdentifier'},
                                                                          {'members': [{'name': 'securityModeComplete-r8',
                                                                                        'type': 'SecurityModeComplete-r8-IEs'},
                                                                                       {'members': [],
                                                                                        'name': 'criticalExtensionsFuture',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'criticalExtensions',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'SecurityModeComplete-r8-IEs': {'members': [{'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'SecurityModeComplete-v8a0-IEs'}],
                                                                     'type': 'SEQUENCE'},
                                     'SecurityModeComplete-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'SecurityModeFailure': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                          'type': 'RRC-TransactionIdentifier'},
                                                                         {'members': [{'name': 'securityModeFailure-r8',
                                                                                       'type': 'SecurityModeFailure-r8-IEs'},
                                                                                      {'members': [],
                                                                                       'name': 'criticalExtensionsFuture',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'criticalExtensions',
                                                                          'type': 'CHOICE'}],
                                                             'type': 'SEQUENCE'},
                                     'SecurityModeFailure-r8-IEs': {'members': [{'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'SecurityModeFailure-v8a0-IEs'}],
                                                                    'type': 'SEQUENCE'},
                                     'SecurityModeFailure-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'members': [],
                                                                                   'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'}],
                                                                      'type': 'SEQUENCE'},
                                     'ServCellIndex-r10': {'restricted-to': [(0,
                                                                              7)],
                                                           'type': 'INTEGER'},
                                     'ServCellIndex-r13': {'restricted-to': [(0,
                                                                              31)],
                                                           'type': 'INTEGER'},
                                     'ShortMAC-I': {'size': [16],
                                                    'type': 'BIT STRING'},
                                     'SidelinkUEInformation-r12': {'members': [{'members': [{'members': [{'name': 'sidelinkUEInformation-r12',
                                                                                                          'type': 'SidelinkUEInformation-r12-IEs'},
                                                                                                         {'name': 'spare3',
                                                                                                          'type': 'NULL'},
                                                                                                         {'name': 'spare2',
                                                                                                          'type': 'NULL'},
                                                                                                         {'name': 'spare1',
                                                                                                          'type': 'NULL'}],
                                                                                             'name': 'c1',
                                                                                             'type': 'CHOICE'},
                                                                                            {'members': [],
                                                                                             'name': 'criticalExtensionsFuture',
                                                                                             'type': 'SEQUENCE'}],
                                                                                'name': 'criticalExtensions',
                                                                                'type': 'CHOICE'}],
                                                                   'type': 'SEQUENCE'},
                                     'SidelinkUEInformation-r12-IEs': {'members': [{'name': 'commRxInterestedFreq-r12',
                                                                                    'optional': True,
                                                                                    'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                   {'name': 'commTxResourceReq-r12',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CommTxResourceReq-r12'},
                                                                                   {'name': 'discRxInterest-r12',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'name': 'discTxResourceReq-r12',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(1,
                                                                                                       63)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SidelinkUEInformation-v1310-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'SidelinkUEInformation-v1310-IEs': {'members': [{'name': 'commTxResourceReqUC-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SL-CommTxResourceReq-r12'},
                                                                                     {'members': [{'name': 'commTxResourceReqRelay-r13',
                                                                                                   'optional': True,
                                                                                                   'type': 'SL-CommTxResourceReq-r12'},
                                                                                                  {'name': 'commTxResourceReqRelayUC-r13',
                                                                                                   'optional': True,
                                                                                                   'type': 'SL-CommTxResourceReq-r12'},
                                                                                                  {'name': 'ue-Type-r13',
                                                                                                   'type': 'ENUMERATED',
                                                                                                   'values': {0: 'relayUE',
                                                                                                              1: 'remoteUE'}}],
                                                                                      'name': 'commTxResourceInfoReqRelay-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SEQUENCE'},
                                                                                     {'members': [{'name': 'carrierFreqDiscTx-r13',
                                                                                                   'optional': True,
                                                                                                   'restricted-to': [(1,
                                                                                                                      'maxFreq')],
                                                                                                   'type': 'INTEGER'},
                                                                                                  {'name': 'discTxResourceReqAddFreq-r13',
                                                                                                   'optional': True,
                                                                                                   'type': 'SL-DiscTxResourceReqPerFreqList-r13'}],
                                                                                      'name': 'discTxResourceReq-v1310',
                                                                                      'optional': True,
                                                                                      'type': 'SEQUENCE'},
                                                                                     {'name': 'discTxResourceReqPS-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SL-DiscTxResourceReq-r13'},
                                                                                     {'name': 'discRxGapReq-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SL-GapRequest-r13'},
                                                                                     {'name': 'discTxGapReq-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SL-GapRequest-r13'},
                                                                                     {'name': 'discSysInfoReportFreqList-r13',
                                                                                      'optional': True,
                                                                                      'type': 'SL-DiscSysInfoReportFreqList-r13'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'SidelinkUEInformation-v1430-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'SidelinkUEInformation-v1430-IEs': {'members': [{'name': 'v2x-CommRxInterestedFreqList-r14',
                                                                                      'optional': True,
                                                                                      'type': 'SL-V2X-CommFreqList-r14'},
                                                                                     {'name': 'p2x-CommTxType-r14',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'true'}},
                                                                                     {'name': 'v2x-CommTxResourceReq-r14',
                                                                                      'optional': True,
                                                                                      'type': 'SL-V2X-CommTxFreqList-r14'},
                                                                                     {'members': [],
                                                                                      'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'SEQUENCE'}],
                                                                         'type': 'SEQUENCE'},
                                     'SoundingRS-AperiodicSet-r14': {'members': [{'element': {'type': 'SRS-CC-SetIndex-r14'},
                                                                                  'name': 'srs-CC-SetIndexList-r14',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            4)],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'name': 'soundingRS-UL-ConfigDedicatedAperiodic-r14',
                                                                                  'type': 'SoundingRS-UL-ConfigDedicatedAperiodic-r10'}],
                                                                     'type': 'SEQUENCE'},
                                     'SoundingRS-AperiodicSetUpPTsExt-r14': {'members': [{'element': {'type': 'SRS-CC-SetIndex-r14'},
                                                                                          'name': 'srs-CC-SetIndexList-r14',
                                                                                          'optional': True,
                                                                                          'size': [(1,
                                                                                                    4)],
                                                                                          'type': 'SEQUENCE '
                                                                                                  'OF'},
                                                                                         {'name': 'soundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r14',
                                                                                          'type': 'SoundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13'}],
                                                                             'type': 'SEQUENCE'},
                                     'SoundingRS-UL-ConfigCommon': {'members': [{'name': 'release',
                                                                                 'type': 'NULL'},
                                                                                {'members': [{'name': 'srs-BandwidthConfig',
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'bw0',
                                                                                                         1: 'bw1',
                                                                                                         2: 'bw2',
                                                                                                         3: 'bw3',
                                                                                                         4: 'bw4',
                                                                                                         5: 'bw5',
                                                                                                         6: 'bw6',
                                                                                                         7: 'bw7'}},
                                                                                             {'name': 'srs-SubframeConfig',
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'sc0',
                                                                                                         1: 'sc1',
                                                                                                         2: 'sc2',
                                                                                                         3: 'sc3',
                                                                                                         4: 'sc4',
                                                                                                         5: 'sc5',
                                                                                                         6: 'sc6',
                                                                                                         7: 'sc7',
                                                                                                         8: 'sc8',
                                                                                                         9: 'sc9',
                                                                                                         10: 'sc10',
                                                                                                         11: 'sc11',
                                                                                                         12: 'sc12',
                                                                                                         13: 'sc13',
                                                                                                         14: 'sc14',
                                                                                                         15: 'sc15'}},
                                                                                             {'name': 'ackNackSRS-SimultaneousTransmission',
                                                                                              'type': 'BOOLEAN'},
                                                                                             {'name': 'srs-MaxUpPts',
                                                                                              'optional': True,
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'true'}}],
                                                                                 'name': 'setup',
                                                                                 'type': 'SEQUENCE'}],
                                                                    'type': 'CHOICE'},
                                     'SoundingRS-UL-ConfigDedicated': {'members': [{'name': 'release',
                                                                                    'type': 'NULL'},
                                                                                   {'members': [{'name': 'srs-Bandwidth',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'bw0',
                                                                                                            1: 'bw1',
                                                                                                            2: 'bw2',
                                                                                                            3: 'bw3'}},
                                                                                                {'name': 'srs-HoppingBandwidth',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'hbw0',
                                                                                                            1: 'hbw1',
                                                                                                            2: 'hbw2',
                                                                                                            3: 'hbw3'}},
                                                                                                {'name': 'freqDomainPosition',
                                                                                                 'restricted-to': [(0,
                                                                                                                    23)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'duration',
                                                                                                 'type': 'BOOLEAN'},
                                                                                                {'name': 'srs-ConfigIndex',
                                                                                                 'restricted-to': [(0,
                                                                                                                    1023)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'transmissionComb',
                                                                                                 'restricted-to': [(0,
                                                                                                                    1)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'cyclicShift',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'cs0',
                                                                                                            1: 'cs1',
                                                                                                            2: 'cs2',
                                                                                                            3: 'cs3',
                                                                                                            4: 'cs4',
                                                                                                            5: 'cs5',
                                                                                                            6: 'cs6',
                                                                                                            7: 'cs7'}}],
                                                                                    'name': 'setup',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'CHOICE'},
                                     'SoundingRS-UL-ConfigDedicated-v1020': {'members': [{'name': 'srs-AntennaPort-r10',
                                                                                          'type': 'SRS-AntennaPort'}],
                                                                             'type': 'SEQUENCE'},
                                     'SoundingRS-UL-ConfigDedicated-v1310': {'members': [{'name': 'release',
                                                                                          'type': 'NULL'},
                                                                                         {'members': [{'name': 'transmissionComb-v1310',
                                                                                                       'optional': True,
                                                                                                       'restricted-to': [(2,
                                                                                                                          3)],
                                                                                                       'type': 'INTEGER'},
                                                                                                      {'name': 'cyclicShift-v1310',
                                                                                                       'optional': True,
                                                                                                       'type': 'ENUMERATED',
                                                                                                       'values': {0: 'cs8',
                                                                                                                  1: 'cs9',
                                                                                                                  2: 'cs10',
                                                                                                                  3: 'cs11'}},
                                                                                                      {'name': 'transmissionCombNum-r13',
                                                                                                       'optional': True,
                                                                                                       'type': 'ENUMERATED',
                                                                                                       'values': {0: 'n2',
                                                                                                                  1: 'n4'}}],
                                                                                          'name': 'setup',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'type': 'CHOICE'},
                                     'SoundingRS-UL-ConfigDedicatedAperiodic-r10': {'members': [{'name': 'release',
                                                                                                 'type': 'NULL'},
                                                                                                {'members': [{'name': 'srs-ConfigIndexAp-r10',
                                                                                                              'restricted-to': [(0,
                                                                                                                                 31)],
                                                                                                              'type': 'INTEGER'},
                                                                                                             {'element': {'type': 'SRS-ConfigAp-r10'},
                                                                                                              'name': 'srs-ConfigApDCI-Format4-r10',
                                                                                                              'optional': True,
                                                                                                              'size': [(1,
                                                                                                                        3)],
                                                                                                              'type': 'SEQUENCE '
                                                                                                                      'OF'},
                                                                                                             {'members': [{'name': 'release',
                                                                                                                           'type': 'NULL'},
                                                                                                                          {'members': [{'name': 'srs-ConfigApDCI-Format0-r10',
                                                                                                                                        'type': 'SRS-ConfigAp-r10'},
                                                                                                                                       {'name': 'srs-ConfigApDCI-Format1a2b2c-r10',
                                                                                                                                        'type': 'SRS-ConfigAp-r10'},
                                                                                                                                       '...'],
                                                                                                                           'name': 'setup',
                                                                                                                           'type': 'SEQUENCE'}],
                                                                                                              'name': 'srs-ActivateAp-r10',
                                                                                                              'optional': True,
                                                                                                              'type': 'CHOICE'}],
                                                                                                 'name': 'setup',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'type': 'CHOICE'},
                                     'SoundingRS-UL-ConfigDedicatedAperiodic-v1310': {'members': [{'name': 'release',
                                                                                                   'type': 'NULL'},
                                                                                                  {'members': [{'element': {'type': 'SRS-ConfigAp-v1310'},
                                                                                                                'name': 'srs-ConfigApDCI-Format4-v1310',
                                                                                                                'optional': True,
                                                                                                                'size': [(1,
                                                                                                                          3)],
                                                                                                                'type': 'SEQUENCE '
                                                                                                                        'OF'},
                                                                                                               {'members': [{'name': 'release',
                                                                                                                             'type': 'NULL'},
                                                                                                                            {'members': [{'name': 'srs-ConfigApDCI-Format0-v1310',
                                                                                                                                          'optional': True,
                                                                                                                                          'type': 'SRS-ConfigAp-v1310'},
                                                                                                                                         {'name': 'srs-ConfigApDCI-Format1a2b2c-v1310',
                                                                                                                                          'optional': True,
                                                                                                                                          'type': 'SRS-ConfigAp-v1310'}],
                                                                                                                             'name': 'setup',
                                                                                                                             'type': 'SEQUENCE'}],
                                                                                                                'name': 'srs-ActivateAp-v1310',
                                                                                                                'optional': True,
                                                                                                                'type': 'CHOICE'}],
                                                                                                   'name': 'setup',
                                                                                                   'type': 'SEQUENCE'}],
                                                                                      'type': 'CHOICE'},
                                     'SoundingRS-UL-ConfigDedicatedAperiodic-v1430': {'members': [{'name': 'release',
                                                                                                   'type': 'NULL'},
                                                                                                  {'members': [{'name': 'srs-SubframeIndication-r14',
                                                                                                                'optional': True,
                                                                                                                'restricted-to': [(1,
                                                                                                                                   4)],
                                                                                                                'type': 'INTEGER'}],
                                                                                                   'name': 'setup',
                                                                                                   'type': 'SEQUENCE'}],
                                                                                      'type': 'CHOICE'},
                                     'SoundingRS-UL-ConfigDedicatedAperiodicUpPTsExt-r13': {'members': [{'name': 'release',
                                                                                                         'type': 'NULL'},
                                                                                                        {'members': [{'name': 'srs-UpPtsAdd-r13',
                                                                                                                      'type': 'ENUMERATED',
                                                                                                                      'values': {0: 'sym2',
                                                                                                                                 1: 'sym4'}},
                                                                                                                     {'name': 'srs-ConfigIndexAp-r13',
                                                                                                                      'restricted-to': [(0,
                                                                                                                                         31)],
                                                                                                                      'type': 'INTEGER'},
                                                                                                                     {'element': {'type': 'SRS-ConfigAp-r13'},
                                                                                                                      'name': 'srs-ConfigApDCI-Format4-r13',
                                                                                                                      'optional': True,
                                                                                                                      'size': [(1,
                                                                                                                                3)],
                                                                                                                      'type': 'SEQUENCE '
                                                                                                                              'OF'},
                                                                                                                     {'members': [{'name': 'release',
                                                                                                                                   'type': 'NULL'},
                                                                                                                                  {'members': [{'name': 'srs-ConfigApDCI-Format0-r13',
                                                                                                                                                'type': 'SRS-ConfigAp-r13'},
                                                                                                                                               {'name': 'srs-ConfigApDCI-Format1a2b2c-r13',
                                                                                                                                                'type': 'SRS-ConfigAp-r13'}],
                                                                                                                                   'name': 'setup',
                                                                                                                                   'type': 'SEQUENCE'}],
                                                                                                                      'name': 'srs-ActivateAp-r13',
                                                                                                                      'optional': True,
                                                                                                                      'type': 'CHOICE'}],
                                                                                                         'name': 'setup',
                                                                                                         'type': 'SEQUENCE'}],
                                                                                            'type': 'CHOICE'},
                                     'SoundingRS-UL-ConfigDedicatedUpPTsExt-r13': {'members': [{'name': 'release',
                                                                                                'type': 'NULL'},
                                                                                               {'members': [{'name': 'srs-UpPtsAdd-r13',
                                                                                                             'type': 'ENUMERATED',
                                                                                                             'values': {0: 'sym2',
                                                                                                                        1: 'sym4'}},
                                                                                                            {'name': 'srs-Bandwidth-r13',
                                                                                                             'type': 'ENUMERATED',
                                                                                                             'values': {0: 'bw0',
                                                                                                                        1: 'bw1',
                                                                                                                        2: 'bw2',
                                                                                                                        3: 'bw3'}},
                                                                                                            {'name': 'srs-HoppingBandwidth-r13',
                                                                                                             'type': 'ENUMERATED',
                                                                                                             'values': {0: 'hbw0',
                                                                                                                        1: 'hbw1',
                                                                                                                        2: 'hbw2',
                                                                                                                        3: 'hbw3'}},
                                                                                                            {'name': 'freqDomainPosition-r13',
                                                                                                             'restricted-to': [(0,
                                                                                                                                23)],
                                                                                                             'type': 'INTEGER'},
                                                                                                            {'name': 'duration-r13',
                                                                                                             'type': 'BOOLEAN'},
                                                                                                            {'name': 'srs-ConfigIndex-r13',
                                                                                                             'restricted-to': [(0,
                                                                                                                                1023)],
                                                                                                             'type': 'INTEGER'},
                                                                                                            {'name': 'transmissionComb-r13',
                                                                                                             'restricted-to': [(0,
                                                                                                                                3)],
                                                                                                             'type': 'INTEGER'},
                                                                                                            {'name': 'cyclicShift-r13',
                                                                                                             'type': 'ENUMERATED',
                                                                                                             'values': {0: 'cs0',
                                                                                                                        1: 'cs1',
                                                                                                                        2: 'cs2',
                                                                                                                        3: 'cs3',
                                                                                                                        4: 'cs4',
                                                                                                                        5: 'cs5',
                                                                                                                        6: 'cs6',
                                                                                                                        7: 'cs7',
                                                                                                                        8: 'cs8',
                                                                                                                        9: 'cs9',
                                                                                                                        10: 'cs10',
                                                                                                                        11: 'cs11'}},
                                                                                                            {'name': 'srs-AntennaPort-r13',
                                                                                                             'type': 'SRS-AntennaPort'},
                                                                                                            {'name': 'transmissionCombNum-r13',
                                                                                                             'type': 'ENUMERATED',
                                                                                                             'values': {0: 'n2',
                                                                                                                        1: 'n4'}}],
                                                                                                'name': 'setup',
                                                                                                'type': 'SEQUENCE'}],
                                                                                   'type': 'CHOICE'},
                                     'SpeedStateScaleFactors': {'members': [{'name': 'sf-Medium',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'oDot25',
                                                                                        1: 'oDot5',
                                                                                        2: 'oDot75',
                                                                                        3: 'lDot0'}},
                                                                            {'name': 'sf-High',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'oDot25',
                                                                                        1: 'oDot5',
                                                                                        2: 'oDot75',
                                                                                        3: 'lDot0'}}],
                                                                'type': 'SEQUENCE'},
                                     'SubframeBitmapSL-r12': {'members': [{'name': 'bs4-r12',
                                                                           'size': [4],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs8-r12',
                                                                           'size': [8],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs12-r12',
                                                                           'size': [12],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs16-r12',
                                                                           'size': [16],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs30-r12',
                                                                           'size': [30],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs40-r12',
                                                                           'size': [40],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs42-r12',
                                                                           'size': [42],
                                                                           'type': 'BIT '
                                                                                   'STRING'}],
                                                              'type': 'CHOICE'},
                                     'SubframeBitmapSL-r14': {'members': [{'name': 'bs10-r14',
                                                                           'size': [10],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs16-r14',
                                                                           'size': [16],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs20-r14',
                                                                           'size': [20],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs30-r14',
                                                                           'size': [30],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs40-r14',
                                                                           'size': [40],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs50-r14',
                                                                           'size': [50],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs60-r14',
                                                                           'size': [60],
                                                                           'type': 'BIT '
                                                                                   'STRING'},
                                                                          {'name': 'bs100-r14',
                                                                           'size': [100],
                                                                           'type': 'BIT '
                                                                                   'STRING'}],
                                                              'type': 'CHOICE'},
                                     'SupportedBandCombination-r10': {'element': {'type': 'BandCombinationParameters-r10'},
                                                                      'size': [(1,
                                                                                'maxBandComb-r10')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SupportedBandCombination-v1090': {'element': {'type': 'BandCombinationParameters-v1090'},
                                                                        'size': [(1,
                                                                                  'maxBandComb-r10')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SupportedBandCombination-v10i0': {'element': {'type': 'BandCombinationParameters-v10i0'},
                                                                        'size': [(1,
                                                                                  'maxBandComb-r10')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SupportedBandCombination-v1130': {'element': {'type': 'BandCombinationParameters-v1130'},
                                                                        'size': [(1,
                                                                                  'maxBandComb-r10')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SupportedBandCombination-v1250': {'element': {'type': 'BandCombinationParameters-v1250'},
                                                                        'size': [(1,
                                                                                  'maxBandComb-r10')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SupportedBandCombination-v1270': {'element': {'type': 'BandCombinationParameters-v1270'},
                                                                        'size': [(1,
                                                                                  'maxBandComb-r10')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SupportedBandCombination-v1320': {'element': {'type': 'BandCombinationParameters-v1320'},
                                                                        'size': [(1,
                                                                                  'maxBandComb-r10')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SupportedBandCombination-v1430': {'element': {'type': 'BandCombinationParameters-v1430'},
                                                                        'size': [(1,
                                                                                  'maxBandComb-r10')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SupportedBandCombinationAdd-r11': {'element': {'type': 'BandCombinationParameters-r11'},
                                                                         'size': [(1,
                                                                                   'maxBandComb-r11')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'SupportedBandCombinationAdd-v11d0': {'element': {'type': 'BandCombinationParameters-v10i0'},
                                                                           'size': [(1,
                                                                                     'maxBandComb-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'SupportedBandCombinationAdd-v1250': {'element': {'type': 'BandCombinationParameters-v1250'},
                                                                           'size': [(1,
                                                                                     'maxBandComb-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'SupportedBandCombinationAdd-v1270': {'element': {'type': 'BandCombinationParameters-v1270'},
                                                                           'size': [(1,
                                                                                     'maxBandComb-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'SupportedBandCombinationAdd-v1320': {'element': {'type': 'BandCombinationParameters-v1320'},
                                                                           'size': [(1,
                                                                                     'maxBandComb-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'SupportedBandCombinationAdd-v1430': {'element': {'type': 'BandCombinationParameters-v1430'},
                                                                           'size': [(1,
                                                                                     'maxBandComb-r11')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'SupportedBandCombinationExt-r10': {'element': {'type': 'BandCombinationParametersExt-r10'},
                                                                         'size': [(1,
                                                                                   'maxBandComb-r10')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'SupportedBandCombinationReduced-r13': {'element': {'type': 'BandCombinationParameters-r13'},
                                                                             'size': [(1,
                                                                                       'maxBandComb-r13')],
                                                                             'type': 'SEQUENCE '
                                                                                     'OF'},
                                     'SupportedBandCombinationReduced-v1320': {'element': {'type': 'BandCombinationParameters-v1320'},
                                                                               'size': [(1,
                                                                                         'maxBandComb-r13')],
                                                                               'type': 'SEQUENCE '
                                                                                       'OF'},
                                     'SupportedBandCombinationReduced-v1430': {'element': {'type': 'BandCombinationParameters-v1430'},
                                                                               'size': [(1,
                                                                                         'maxBandComb-r13')],
                                                                               'type': 'SEQUENCE '
                                                                                       'OF'},
                                     'SupportedBandEUTRA': {'members': [{'name': 'bandEUTRA',
                                                                         'type': 'FreqBandIndicator'},
                                                                        {'name': 'halfDuplex',
                                                                         'type': 'BOOLEAN'}],
                                                            'type': 'SEQUENCE'},
                                     'SupportedBandEUTRA-v1250': {'members': [{'name': 'dl-256QAM-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ul-64QAM-r12',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'SupportedBandEUTRA-v1310': {'members': [{'name': 'ue-PowerClass-5-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'SupportedBandEUTRA-v1320': {'members': [{'name': 'intraFreq-CE-NeedForGaps-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}},
                                                                              {'name': 'ue-PowerClass-N-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'class1',
                                                                                          1: 'class2',
                                                                                          2: 'class4'}}],
                                                                  'type': 'SEQUENCE'},
                                     'SupportedBandEUTRA-v9e0': {'members': [{'name': 'bandEUTRA-v9e0',
                                                                              'optional': True,
                                                                              'type': 'FreqBandIndicator-v9e0'}],
                                                                 'type': 'SEQUENCE'},
                                     'SupportedBandGERAN': {'type': 'ENUMERATED',
                                                            'values': {0: 'gsm450',
                                                                       1: 'gsm480',
                                                                       2: 'gsm710',
                                                                       3: 'gsm750',
                                                                       4: 'gsm810',
                                                                       5: 'gsm850',
                                                                       6: 'gsm900P',
                                                                       7: 'gsm900E',
                                                                       8: 'gsm900R',
                                                                       9: 'gsm1800',
                                                                       10: 'gsm1900',
                                                                       11: 'spare5',
                                                                       12: 'spare4',
                                                                       13: 'spare3',
                                                                       14: 'spare2',
                                                                       15: 'spare1',
                                                                       16: '...'}},
                                     'SupportedBandInfo-r12': {'members': [{'name': 'support-r12',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}}],
                                                               'type': 'SEQUENCE'},
                                     'SupportedBandInfoList-r12': {'element': {'type': 'SupportedBandInfo-r12'},
                                                                   'size': [(1,
                                                                             'maxBands')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'SupportedBandList1XRTT': {'element': {'type': 'BandclassCDMA2000'},
                                                                'size': [(1,
                                                                          'maxCDMA-BandClass')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'SupportedBandListEUTRA': {'element': {'type': 'SupportedBandEUTRA'},
                                                                'size': [(1,
                                                                          'maxBands')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'SupportedBandListEUTRA-v1250': {'element': {'type': 'SupportedBandEUTRA-v1250'},
                                                                      'size': [(1,
                                                                                'maxBands')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SupportedBandListEUTRA-v1310': {'element': {'type': 'SupportedBandEUTRA-v1310'},
                                                                      'size': [(1,
                                                                                'maxBands')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SupportedBandListEUTRA-v1320': {'element': {'type': 'SupportedBandEUTRA-v1320'},
                                                                      'size': [(1,
                                                                                'maxBands')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SupportedBandListEUTRA-v9e0': {'element': {'type': 'SupportedBandEUTRA-v9e0'},
                                                                     'size': [(1,
                                                                               'maxBands')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'SupportedBandListGERAN': {'element': {'type': 'SupportedBandGERAN'},
                                                                'size': [(1,
                                                                          'maxBands')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'SupportedBandListHRPD': {'element': {'type': 'BandclassCDMA2000'},
                                                               'size': [(1,
                                                                         'maxCDMA-BandClass')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                     'SupportedBandListUTRA-FDD': {'element': {'type': 'SupportedBandUTRA-FDD'},
                                                                   'size': [(1,
                                                                             'maxBands')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'SupportedBandListUTRA-TDD128': {'element': {'type': 'SupportedBandUTRA-TDD128'},
                                                                      'size': [(1,
                                                                                'maxBands')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SupportedBandListUTRA-TDD384': {'element': {'type': 'SupportedBandUTRA-TDD384'},
                                                                      'size': [(1,
                                                                                'maxBands')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SupportedBandListUTRA-TDD768': {'element': {'type': 'SupportedBandUTRA-TDD768'},
                                                                      'size': [(1,
                                                                                'maxBands')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'SupportedBandUTRA-FDD': {'type': 'ENUMERATED',
                                                               'values': {0: 'bandI',
                                                                          1: 'bandII',
                                                                          2: 'bandIII',
                                                                          3: 'bandIV',
                                                                          4: 'bandV',
                                                                          5: 'bandVI',
                                                                          6: 'bandVII',
                                                                          7: 'bandVIII',
                                                                          8: 'bandIX',
                                                                          9: 'bandX',
                                                                          10: 'bandXI',
                                                                          11: 'bandXII',
                                                                          12: 'bandXIII',
                                                                          13: 'bandXIV',
                                                                          14: 'bandXV',
                                                                          15: 'bandXVI',
                                                                          16: '...',
                                                                          17: 'bandXVII-8a0',
                                                                          18: 'bandXVIII-8a0',
                                                                          19: 'bandXIX-8a0',
                                                                          20: 'bandXX-8a0',
                                                                          21: 'bandXXI-8a0',
                                                                          22: 'bandXXII-8a0',
                                                                          23: 'bandXXIII-8a0',
                                                                          24: 'bandXXIV-8a0',
                                                                          25: 'bandXXV-8a0',
                                                                          26: 'bandXXVI-8a0',
                                                                          27: 'bandXXVII-8a0',
                                                                          28: 'bandXXVIII-8a0',
                                                                          29: 'bandXXIX-8a0',
                                                                          30: 'bandXXX-8a0',
                                                                          31: 'bandXXXI-8a0',
                                                                          32: 'bandXXXII-8a0'}},
                                     'SupportedBandUTRA-TDD128': {'type': 'ENUMERATED',
                                                                  'values': {0: 'a',
                                                                             1: 'b',
                                                                             2: 'c',
                                                                             3: 'd',
                                                                             4: 'e',
                                                                             5: 'f',
                                                                             6: 'g',
                                                                             7: 'h',
                                                                             8: 'i',
                                                                             9: 'j',
                                                                             10: 'k',
                                                                             11: 'l',
                                                                             12: 'm',
                                                                             13: 'n',
                                                                             14: 'o',
                                                                             15: 'p',
                                                                             16: '...'}},
                                     'SupportedBandUTRA-TDD384': {'type': 'ENUMERATED',
                                                                  'values': {0: 'a',
                                                                             1: 'b',
                                                                             2: 'c',
                                                                             3: 'd',
                                                                             4: 'e',
                                                                             5: 'f',
                                                                             6: 'g',
                                                                             7: 'h',
                                                                             8: 'i',
                                                                             9: 'j',
                                                                             10: 'k',
                                                                             11: 'l',
                                                                             12: 'm',
                                                                             13: 'n',
                                                                             14: 'o',
                                                                             15: 'p',
                                                                             16: '...'}},
                                     'SupportedBandUTRA-TDD768': {'type': 'ENUMERATED',
                                                                  'values': {0: 'a',
                                                                             1: 'b',
                                                                             2: 'c',
                                                                             3: 'd',
                                                                             4: 'e',
                                                                             5: 'f',
                                                                             6: 'g',
                                                                             7: 'h',
                                                                             8: 'i',
                                                                             9: 'j',
                                                                             10: 'k',
                                                                             11: 'l',
                                                                             12: 'm',
                                                                             13: 'n',
                                                                             14: 'o',
                                                                             15: 'p',
                                                                             16: '...'}},
                                     'SupportedBandwidthCombinationSet-r10': {'size': [(1,
                                                                                        'maxBandwidthCombSet-r10')],
                                                                              'type': 'BIT '
                                                                                      'STRING'},
                                     'SystemInfoListGERAN': {'element': {'size': [(1,
                                                                                   23)],
                                                                         'type': 'OCTET '
                                                                                 'STRING'},
                                                             'size': [(1,
                                                                       'maxGERAN-SI')],
                                                             'type': 'SEQUENCE '
                                                                     'OF'},
                                     'SystemInfoValueTagList-r13': {'element': {'type': 'SystemInfoValueTagSI-r13'},
                                                                    'size': [(1,
                                                                              'maxSI-Message')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'SystemInfoValueTagSI-r13': {'restricted-to': [(0,
                                                                                     3)],
                                                                  'type': 'INTEGER'},
                                     'SystemInformation': {'members': [{'members': [{'name': 'systemInformation-r8',
                                                                                     'type': 'SystemInformation-r8-IEs'},
                                                                                    {'members': [],
                                                                                     'name': 'criticalExtensionsFuture',
                                                                                     'type': 'SEQUENCE'}],
                                                                        'name': 'criticalExtensions',
                                                                        'type': 'CHOICE'}],
                                                           'type': 'SEQUENCE'},
                                     'SystemInformation-BR-r13': {'type': 'SystemInformation'},
                                     'SystemInformation-MBMS-r14': {'type': 'SystemInformation'},
                                     'SystemInformation-r8-IEs': {'members': [{'element': {'members': [{'name': 'sib2',
                                                                                                        'type': 'SystemInformationBlockType2'},
                                                                                                       {'name': 'sib3',
                                                                                                        'type': 'SystemInformationBlockType3'},
                                                                                                       {'name': 'sib4',
                                                                                                        'type': 'SystemInformationBlockType4'},
                                                                                                       {'name': 'sib5',
                                                                                                        'type': 'SystemInformationBlockType5'},
                                                                                                       {'name': 'sib6',
                                                                                                        'type': 'SystemInformationBlockType6'},
                                                                                                       {'name': 'sib7',
                                                                                                        'type': 'SystemInformationBlockType7'},
                                                                                                       {'name': 'sib8',
                                                                                                        'type': 'SystemInformationBlockType8'},
                                                                                                       {'name': 'sib9',
                                                                                                        'type': 'SystemInformationBlockType9'},
                                                                                                       {'name': 'sib10',
                                                                                                        'type': 'SystemInformationBlockType10'},
                                                                                                       {'name': 'sib11',
                                                                                                        'type': 'SystemInformationBlockType11'},
                                                                                                       '...',
                                                                                                       {'name': 'sib12-v920',
                                                                                                        'type': 'SystemInformationBlockType12-r9'},
                                                                                                       {'name': 'sib13-v920',
                                                                                                        'type': 'SystemInformationBlockType13-r9'},
                                                                                                       {'name': 'sib14-v1130',
                                                                                                        'type': 'SystemInformationBlockType14-r11'},
                                                                                                       {'name': 'sib15-v1130',
                                                                                                        'type': 'SystemInformationBlockType15-r11'},
                                                                                                       {'name': 'sib16-v1130',
                                                                                                        'type': 'SystemInformationBlockType16-r11'},
                                                                                                       {'name': 'sib17-v1250',
                                                                                                        'type': 'SystemInformationBlockType17-r12'},
                                                                                                       {'name': 'sib18-v1250',
                                                                                                        'type': 'SystemInformationBlockType18-r12'},
                                                                                                       {'name': 'sib19-v1250',
                                                                                                        'type': 'SystemInformationBlockType19-r12'},
                                                                                                       {'name': 'sib20-v1310',
                                                                                                        'type': 'SystemInformationBlockType20-r13'},
                                                                                                       {'name': 'sib21-v1430',
                                                                                                        'type': 'SystemInformationBlockType21-r14'}],
                                                                                           'type': 'CHOICE'},
                                                                               'name': 'sib-TypeAndInfo',
                                                                               'size': [(1,
                                                                                         'maxSIB')],
                                                                               'type': 'SEQUENCE '
                                                                                       'OF'},
                                                                              {'name': 'nonCriticalExtension',
                                                                               'optional': True,
                                                                               'type': 'SystemInformation-v8a0-IEs'}],
                                                                  'type': 'SEQUENCE'},
                                     'SystemInformation-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'OCTET '
                                                                                         'STRING'},
                                                                                {'members': [],
                                                                                 'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'SEQUENCE'}],
                                                                    'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1': {'members': [{'members': [{'name': 'plmn-IdentityList',
                                                                                               'type': 'PLMN-IdentityList'},
                                                                                              {'name': 'trackingAreaCode',
                                                                                               'type': 'TrackingAreaCode'},
                                                                                              {'name': 'cellIdentity',
                                                                                               'type': 'CellIdentity'},
                                                                                              {'name': 'cellBarred',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'barred',
                                                                                                          1: 'notBarred'}},
                                                                                              {'name': 'intraFreqReselection',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'allowed',
                                                                                                          1: 'notAllowed'}},
                                                                                              {'name': 'csg-Indication',
                                                                                               'type': 'BOOLEAN'},
                                                                                              {'name': 'csg-Identity',
                                                                                               'optional': True,
                                                                                               'type': 'CSG-Identity'}],
                                                                                  'name': 'cellAccessRelatedInfo',
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'members': [{'name': 'q-RxLevMin',
                                                                                               'type': 'Q-RxLevMin'},
                                                                                              {'name': 'q-RxLevMinOffset',
                                                                                               'optional': True,
                                                                                               'restricted-to': [(1,
                                                                                                                  8)],
                                                                                               'type': 'INTEGER'}],
                                                                                  'name': 'cellSelectionInfo',
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'name': 'p-Max',
                                                                                  'optional': True,
                                                                                  'type': 'P-Max'},
                                                                                 {'name': 'freqBandIndicator',
                                                                                  'type': 'FreqBandIndicator'},
                                                                                 {'name': 'schedulingInfoList',
                                                                                  'type': 'SchedulingInfoList'},
                                                                                 {'name': 'tdd-Config',
                                                                                  'optional': True,
                                                                                  'type': 'TDD-Config'},
                                                                                 {'name': 'si-WindowLength',
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'ms1',
                                                                                             1: 'ms2',
                                                                                             2: 'ms5',
                                                                                             3: 'ms10',
                                                                                             4: 'ms15',
                                                                                             5: 'ms20',
                                                                                             6: 'ms40'}},
                                                                                 {'name': 'systemInfoValueTag',
                                                                                  'restricted-to': [(0,
                                                                                                     31)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'SystemInformationBlockType1-v890-IEs'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-BR-r13': {'type': 'SystemInformationBlockType1'},
                                     'SystemInformationBlockType1-MBMS-r14': {'members': [{'members': [{'name': 'plmn-IdentityList-r14',
                                                                                                        'type': 'PLMN-IdentityList-MBMS-r14'},
                                                                                                       {'name': 'trackingAreaCode-r14',
                                                                                                        'type': 'TrackingAreaCode'},
                                                                                                       {'name': 'cellIdentity-r14',
                                                                                                        'type': 'CellIdentity'}],
                                                                                           'name': 'cellAccessRelatedInfo-r14',
                                                                                           'type': 'SEQUENCE'},
                                                                                          {'name': 'freqBandIndicator-r14',
                                                                                           'type': 'FreqBandIndicator-r11'},
                                                                                          {'name': 'multiBandInfoList-r14',
                                                                                           'optional': True,
                                                                                           'type': 'MultiBandInfoList-r11'},
                                                                                          {'name': 'schedulingInfoList-MBMS-r14',
                                                                                           'type': 'SchedulingInfoList-MBMS-r14'},
                                                                                          {'name': 'si-WindowLength-r14',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'ms1',
                                                                                                      1: 'ms2',
                                                                                                      2: 'ms5',
                                                                                                      3: 'ms10',
                                                                                                      4: 'ms15',
                                                                                                      5: 'ms20',
                                                                                                      6: 'ms40',
                                                                                                      7: 'ms80'}},
                                                                                          {'name': 'systemInfoValueTag-r14',
                                                                                           'restricted-to': [(0,
                                                                                                              31)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'nonMBSFN-SubframeConfig-r14',
                                                                                           'optional': True,
                                                                                           'type': 'NonMBSFN-SubframeConfig-r14'},
                                                                                          {'name': 'pdsch-ConfigCommon-r14',
                                                                                           'type': 'PDSCH-ConfigCommon'},
                                                                                          {'name': 'systemInformationBlockType13-r14',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType13-r9'},
                                                                                          {'element': {'type': 'CellAccessRelatedInfo-r14'},
                                                                                           'name': 'cellAccessRelatedInfoList-r14',
                                                                                           'optional': True,
                                                                                           'size': [(1,
                                                                                                     'maxPLMN-1-r14')],
                                                                                           'type': 'SEQUENCE '
                                                                                                   'OF'},
                                                                                          {'members': [],
                                                                                           'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v10j0-IEs': {'members': [{'name': 'freqBandInfo-r10',
                                                                                            'optional': True,
                                                                                            'type': 'NS-PmaxList-r10'},
                                                                                           {'name': 'multiBandInfoList-v10j0',
                                                                                            'optional': True,
                                                                                            'type': 'MultiBandInfoList-v10j0'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType1-v10l0-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v10l0-IEs': {'members': [{'name': 'freqBandInfo-v10l0',
                                                                                            'optional': True,
                                                                                            'type': 'NS-PmaxList-v10l0'},
                                                                                           {'name': 'multiBandInfoList-v10l0',
                                                                                            'optional': True,
                                                                                            'type': 'MultiBandInfoList-v10l0'},
                                                                                           {'members': [],
                                                                                            'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v1130-IEs': {'members': [{'name': 'tdd-Config-v1130',
                                                                                            'optional': True,
                                                                                            'type': 'TDD-Config-v1130'},
                                                                                           {'name': 'cellSelectionInfo-v1130',
                                                                                            'optional': True,
                                                                                            'type': 'CellSelectionInfo-v1130'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType1-v1250-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v1250-IEs': {'members': [{'members': [{'name': 'category0Allowed-r12',
                                                                                                         'optional': True,
                                                                                                         'type': 'ENUMERATED',
                                                                                                         'values': {0: 'true'}}],
                                                                                            'name': 'cellAccessRelatedInfo-v1250',
                                                                                            'type': 'SEQUENCE'},
                                                                                           {'name': 'cellSelectionInfo-v1250',
                                                                                            'optional': True,
                                                                                            'type': 'CellSelectionInfo-v1250'},
                                                                                           {'name': 'freqBandIndicatorPriority-r12',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'true'}},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType1-v1310-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v1310-IEs': {'members': [{'name': 'hyperSFN-r13',
                                                                                            'optional': True,
                                                                                            'size': [10],
                                                                                            'type': 'BIT '
                                                                                                    'STRING'},
                                                                                           {'name': 'eDRX-Allowed-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'true'}},
                                                                                           {'name': 'cellSelectionInfoCE-r13',
                                                                                            'optional': True,
                                                                                            'type': 'CellSelectionInfoCE-r13'},
                                                                                           {'members': [{'name': 'si-WindowLength-BR-r13',
                                                                                                         'type': 'ENUMERATED',
                                                                                                         'values': {0: 'ms20',
                                                                                                                    1: 'ms40',
                                                                                                                    2: 'ms60',
                                                                                                                    3: 'ms80',
                                                                                                                    4: 'ms120',
                                                                                                                    5: 'ms160',
                                                                                                                    6: 'ms200',
                                                                                                                    7: 'spare'}},
                                                                                                        {'name': 'si-RepetitionPattern-r13',
                                                                                                         'type': 'ENUMERATED',
                                                                                                         'values': {0: 'everyRF',
                                                                                                                    1: 'every2ndRF',
                                                                                                                    2: 'every4thRF',
                                                                                                                    3: 'every8thRF'}},
                                                                                                        {'name': 'schedulingInfoList-BR-r13',
                                                                                                         'optional': True,
                                                                                                         'type': 'SchedulingInfoList-BR-r13'},
                                                                                                        {'members': [{'name': 'subframePattern10-r13',
                                                                                                                      'size': [10],
                                                                                                                      'type': 'BIT '
                                                                                                                              'STRING'},
                                                                                                                     {'name': 'subframePattern40-r13',
                                                                                                                      'size': [40],
                                                                                                                      'type': 'BIT '
                                                                                                                              'STRING'}],
                                                                                                         'name': 'fdd-DownlinkOrTddSubframeBitmapBR-r13',
                                                                                                         'optional': True,
                                                                                                         'type': 'CHOICE'},
                                                                                                        {'name': 'fdd-UplinkSubframeBitmapBR-r13',
                                                                                                         'optional': True,
                                                                                                         'size': [10],
                                                                                                         'type': 'BIT '
                                                                                                                 'STRING'},
                                                                                                        {'name': 'startSymbolBR-r13',
                                                                                                         'restricted-to': [(1,
                                                                                                                            4)],
                                                                                                         'type': 'INTEGER'},
                                                                                                        {'name': 'si-HoppingConfigCommon-r13',
                                                                                                         'type': 'ENUMERATED',
                                                                                                         'values': {0: 'on',
                                                                                                                    1: 'off'}},
                                                                                                        {'name': 'si-ValidityTime-r13',
                                                                                                         'optional': True,
                                                                                                         'type': 'ENUMERATED',
                                                                                                         'values': {0: 'true'}},
                                                                                                        {'name': 'systemInfoValueTagList-r13',
                                                                                                         'optional': True,
                                                                                                         'type': 'SystemInfoValueTagList-r13'}],
                                                                                            'name': 'bandwidthReducedAccessRelatedInfo-r13',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType1-v1320-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v1320-IEs': {'members': [{'members': [{'name': 'mpdcch-pdsch-HoppingNB-r13',
                                                                                                         'optional': True,
                                                                                                         'type': 'ENUMERATED',
                                                                                                         'values': {0: 'nb2',
                                                                                                                    1: 'nb4'}},
                                                                                                        {'members': [{'name': 'interval-FDD-r13',
                                                                                                                      'type': 'ENUMERATED',
                                                                                                                      'values': {0: 'int1',
                                                                                                                                 1: 'int2',
                                                                                                                                 2: 'int4',
                                                                                                                                 3: 'int8'}},
                                                                                                                     {'name': 'interval-TDD-r13',
                                                                                                                      'type': 'ENUMERATED',
                                                                                                                      'values': {0: 'int1',
                                                                                                                                 1: 'int5',
                                                                                                                                 2: 'int10',
                                                                                                                                 3: 'int20'}}],
                                                                                                         'name': 'interval-DLHoppingConfigCommonModeA-r13',
                                                                                                         'optional': True,
                                                                                                         'type': 'CHOICE'},
                                                                                                        {'members': [{'name': 'interval-FDD-r13',
                                                                                                                      'type': 'ENUMERATED',
                                                                                                                      'values': {0: 'int2',
                                                                                                                                 1: 'int4',
                                                                                                                                 2: 'int8',
                                                                                                                                 3: 'int16'}},
                                                                                                                     {'name': 'interval-TDD-r13',
                                                                                                                      'type': 'ENUMERATED',
                                                                                                                      'values': {0: 'int5',
                                                                                                                                 1: 'int10',
                                                                                                                                 2: 'int20',
                                                                                                                                 3: 'int40'}}],
                                                                                                         'name': 'interval-DLHoppingConfigCommonModeB-r13',
                                                                                                         'optional': True,
                                                                                                         'type': 'CHOICE'},
                                                                                                        {'name': 'mpdcch-pdsch-HoppingOffset-r13',
                                                                                                         'optional': True,
                                                                                                         'restricted-to': [(1,
                                                                                                                            'maxAvailNarrowBands-r13')],
                                                                                                         'type': 'INTEGER'}],
                                                                                            'name': 'freqHoppingParametersDL-r13',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType1-v1350-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v1350-IEs': {'members': [{'name': 'cellSelectionInfoCE1-r13',
                                                                                            'optional': True,
                                                                                            'type': 'CellSelectionInfoCE1-r13'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType1-v1360-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v1360-IEs': {'members': [{'name': 'cellSelectionInfoCE1-v1360',
                                                                                            'optional': True,
                                                                                            'type': 'CellSelectionInfoCE1-v1360'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType1-v1430-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v1430-IEs': {'members': [{'name': 'eCallOverIMS-Support-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'true'}},
                                                                                           {'name': 'tdd-Config-v1430',
                                                                                            'optional': True,
                                                                                            'type': 'TDD-Config-v1430'},
                                                                                           {'element': {'type': 'CellAccessRelatedInfo-r14'},
                                                                                            'name': 'cellAccessRelatedInfoList-r14',
                                                                                            'optional': True,
                                                                                            'size': [(1,
                                                                                                      'maxPLMN-1-r14')],
                                                                                            'type': 'SEQUENCE '
                                                                                                    'OF'},
                                                                                           {'members': [],
                                                                                            'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v890-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'OCTET '
                                                                                                   'STRING'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType1-v920-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v8h0-IEs': {'members': [{'name': 'multiBandInfoList',
                                                                                           'optional': True,
                                                                                           'type': 'MultiBandInfoList'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType1-v9e0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v920-IEs': {'members': [{'name': 'ims-EmergencySupport-r9',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'true'}},
                                                                                          {'name': 'cellSelectionInfo-v920',
                                                                                           'optional': True,
                                                                                           'type': 'CellSelectionInfo-v920'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType1-v1130-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-v9e0-IEs': {'members': [{'name': 'freqBandIndicator-v9e0',
                                                                                           'optional': True,
                                                                                           'type': 'FreqBandIndicator-v9e0'},
                                                                                          {'name': 'multiBandInfoList-v9e0',
                                                                                           'optional': True,
                                                                                           'type': 'MultiBandInfoList-v9e0'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType1-v10j0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType10': {'members': [{'name': 'messageIdentifier',
                                                                                   'size': [16],
                                                                                   'type': 'BIT '
                                                                                           'STRING'},
                                                                                  {'name': 'serialNumber',
                                                                                   'size': [16],
                                                                                   'type': 'BIT '
                                                                                           'STRING'},
                                                                                  {'name': 'warningType',
                                                                                   'size': [2],
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'name': 'dummy',
                                                                                   'optional': True,
                                                                                   'size': [50],
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  '...',
                                                                                  {'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'}],
                                                                      'type': 'SEQUENCE'},
                                     'SystemInformationBlockType11': {'members': [{'name': 'messageIdentifier',
                                                                                   'size': [16],
                                                                                   'type': 'BIT '
                                                                                           'STRING'},
                                                                                  {'name': 'serialNumber',
                                                                                   'size': [16],
                                                                                   'type': 'BIT '
                                                                                           'STRING'},
                                                                                  {'name': 'warningMessageSegmentType',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'notLastSegment',
                                                                                              1: 'lastSegment'}},
                                                                                  {'name': 'warningMessageSegmentNumber',
                                                                                   'restricted-to': [(0,
                                                                                                      63)],
                                                                                   'type': 'INTEGER'},
                                                                                  {'name': 'warningMessageSegment',
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'name': 'dataCodingScheme',
                                                                                   'optional': True,
                                                                                   'size': [1],
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  '...',
                                                                                  {'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'}],
                                                                      'type': 'SEQUENCE'},
                                     'SystemInformationBlockType12-r9': {'members': [{'name': 'messageIdentifier-r9',
                                                                                      'size': [16],
                                                                                      'type': 'BIT '
                                                                                              'STRING'},
                                                                                     {'name': 'serialNumber-r9',
                                                                                      'size': [16],
                                                                                      'type': 'BIT '
                                                                                              'STRING'},
                                                                                     {'name': 'warningMessageSegmentType-r9',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'notLastSegment',
                                                                                                 1: 'lastSegment'}},
                                                                                     {'name': 'warningMessageSegmentNumber-r9',
                                                                                      'restricted-to': [(0,
                                                                                                         63)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'warningMessageSegment-r9',
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     {'name': 'dataCodingScheme-r9',
                                                                                      'optional': True,
                                                                                      'size': [1],
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     {'name': 'lateNonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     '...'],
                                                                         'type': 'SEQUENCE'},
                                     'SystemInformationBlockType13-r9': {'members': [{'name': 'mbsfn-AreaInfoList-r9',
                                                                                      'type': 'MBSFN-AreaInfoList-r9'},
                                                                                     {'name': 'notificationConfig-r9',
                                                                                      'type': 'MBMS-NotificationConfig-r9'},
                                                                                     {'name': 'lateNonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     '...',
                                                                                     {'name': 'notificationConfig-v1430',
                                                                                      'optional': True,
                                                                                      'type': 'MBMS-NotificationConfig-v1430'}],
                                                                         'type': 'SEQUENCE'},
                                     'SystemInformationBlockType14-r11': {'members': [{'members': [{'name': 'eab-Common-r11',
                                                                                                    'type': 'EAB-Config-r11'},
                                                                                                   {'element': {'type': 'EAB-ConfigPLMN-r11'},
                                                                                                    'name': 'eab-PerPLMN-List-r11',
                                                                                                    'size': [(1,
                                                                                                              'maxPLMN-r11')],
                                                                                                    'type': 'SEQUENCE '
                                                                                                            'OF'}],
                                                                                       'name': 'eab-Param-r11',
                                                                                       'optional': True,
                                                                                       'type': 'CHOICE'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...'],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType15-r11': {'members': [{'name': 'mbms-SAI-IntraFreq-r11',
                                                                                       'optional': True,
                                                                                       'type': 'MBMS-SAI-List-r11'},
                                                                                      {'name': 'mbms-SAI-InterFreqList-r11',
                                                                                       'optional': True,
                                                                                       'type': 'MBMS-SAI-InterFreqList-r11'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...',
                                                                                      {'name': 'mbms-SAI-InterFreqList-v1140',
                                                                                       'optional': True,
                                                                                       'type': 'MBMS-SAI-InterFreqList-v1140'},
                                                                                      {'name': 'mbms-IntraFreqCarrierType-r14',
                                                                                       'optional': True,
                                                                                       'type': 'MBMS-CarrierType-r14'},
                                                                                      {'name': 'mbms-InterFreqCarrierTypeList-r14',
                                                                                       'optional': True,
                                                                                       'type': 'MBMS-InterFreqCarrierTypeList-r14'}],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType16-r11': {'members': [{'members': [{'name': 'timeInfoUTC-r11',
                                                                                                    'restricted-to': [(0,
                                                                                                                       549755813887)],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'dayLightSavingTime-r11',
                                                                                                    'optional': True,
                                                                                                    'size': [2],
                                                                                                    'type': 'BIT '
                                                                                                            'STRING'},
                                                                                                   {'name': 'leapSeconds-r11',
                                                                                                    'optional': True,
                                                                                                    'restricted-to': [(-127,
                                                                                                                       128)],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'localTimeOffset-r11',
                                                                                                    'optional': True,
                                                                                                    'restricted-to': [(-63,
                                                                                                                       64)],
                                                                                                    'type': 'INTEGER'}],
                                                                                       'name': 'timeInfo-r11',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...'],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType17-r12': {'members': [{'element': {'type': 'WLAN-OffloadInfoPerPLMN-r12'},
                                                                                       'name': 'wlan-OffloadInfoPerPLMN-List-r12',
                                                                                       'optional': True,
                                                                                       'size': [(1,
                                                                                                 'maxPLMN-r11')],
                                                                                       'type': 'SEQUENCE '
                                                                                               'OF'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...'],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType18-r12': {'members': [{'members': [{'name': 'commRxPool-r12',
                                                                                                    'type': 'SL-CommRxPoolList-r12'},
                                                                                                   {'name': 'commTxPoolNormalCommon-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-CommTxPoolList-r12'},
                                                                                                   {'name': 'commTxPoolExceptional-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-CommTxPoolList-r12'},
                                                                                                   {'name': 'commSyncConfig-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-SyncConfigList-r12'}],
                                                                                       'name': 'commConfig-r12',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...',
                                                                                      {'name': 'commTxPoolNormalCommonExt-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SL-CommTxPoolListExt-r13'},
                                                                                      {'name': 'commTxResourceUC-ReqAllowed-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}},
                                                                                      {'name': 'commTxAllowRelayCommon-r13',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}}],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType19-r12': {'members': [{'members': [{'name': 'discRxPool-r12',
                                                                                                    'type': 'SL-DiscRxPoolList-r12'},
                                                                                                   {'name': 'discTxPoolCommon-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-DiscTxPoolList-r12'},
                                                                                                   {'name': 'discTxPowerInfo-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-DiscTxPowerInfoList-r12'},
                                                                                                   {'name': 'discSyncConfig-r12',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-SyncConfigList-r12'}],
                                                                                       'name': 'discConfig-r12',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'name': 'discInterFreqList-r12',
                                                                                       'optional': True,
                                                                                       'type': 'SL-CarrierFreqInfoList-r12'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...',
                                                                                      {'members': [{'name': 'discInterFreqList-v1310',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-CarrierFreqInfoList-v1310'},
                                                                                                   {'name': 'gapRequestsAllowedCommon',
                                                                                                    'optional': True,
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'true'}}],
                                                                                       'name': 'discConfig-v1310',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'members': [{'name': 'relayUE-Config-r13',
                                                                                                    'type': 'SL-DiscConfigRelayUE-r13'},
                                                                                                   {'name': 'remoteUE-Config-r13',
                                                                                                    'type': 'SL-DiscConfigRemoteUE-r13'}],
                                                                                       'name': 'discConfigRelay-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'members': [{'name': 'discRxPoolPS-r13',
                                                                                                    'type': 'SL-DiscRxPoolList-r12'},
                                                                                                   {'name': 'discTxPoolPS-Common-r13',
                                                                                                    'optional': True,
                                                                                                    'type': 'SL-DiscTxPoolList-r12'}],
                                                                                       'name': 'discConfigPS-13',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType2': {'members': [{'members': [{'name': 'ac-BarringForEmergency',
                                                                                               'type': 'BOOLEAN'},
                                                                                              {'name': 'ac-BarringForMO-Signalling',
                                                                                               'optional': True,
                                                                                               'type': 'AC-BarringConfig'},
                                                                                              {'name': 'ac-BarringForMO-Data',
                                                                                               'optional': True,
                                                                                               'type': 'AC-BarringConfig'}],
                                                                                  'name': 'ac-BarringInfo',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'name': 'radioResourceConfigCommon',
                                                                                  'type': 'RadioResourceConfigCommonSIB'},
                                                                                 {'name': 'ue-TimersAndConstants',
                                                                                  'type': 'UE-TimersAndConstants'},
                                                                                 {'members': [{'name': 'ul-CarrierFreq',
                                                                                               'optional': True,
                                                                                               'type': 'ARFCN-ValueEUTRA'},
                                                                                              {'name': 'ul-Bandwidth',
                                                                                               'optional': True,
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'n6',
                                                                                                          1: 'n15',
                                                                                                          2: 'n25',
                                                                                                          3: 'n50',
                                                                                                          4: 'n75',
                                                                                                          5: 'n100'}},
                                                                                              {'name': 'additionalSpectrumEmission',
                                                                                               'type': 'AdditionalSpectrumEmission'}],
                                                                                  'name': 'freqInfo',
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'name': 'mbsfn-SubframeConfigList',
                                                                                  'optional': True,
                                                                                  'type': 'MBSFN-SubframeConfigList'},
                                                                                 {'name': 'timeAlignmentTimerCommon',
                                                                                  'type': 'TimeAlignmentTimer'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'name': 'ssac-BarringForMMTEL-Voice-r9',
                                                                                  'optional': True,
                                                                                  'type': 'AC-BarringConfig'},
                                                                                 {'name': 'ssac-BarringForMMTEL-Video-r9',
                                                                                  'optional': True,
                                                                                  'type': 'AC-BarringConfig'},
                                                                                 {'name': 'ac-BarringForCSFB-r10',
                                                                                  'optional': True,
                                                                                  'type': 'AC-BarringConfig'},
                                                                                 {'name': 'ac-BarringSkipForMMTELVoice-r12',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'ac-BarringSkipForMMTELVideo-r12',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'ac-BarringSkipForSMS-r12',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'ac-BarringPerPLMN-List-r12',
                                                                                  'optional': True,
                                                                                  'type': 'AC-BarringPerPLMN-List-r12'},
                                                                                 {'name': 'voiceServiceCauseIndication-r12',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'acdc-BarringForCommon-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ACDC-BarringForCommon-r13'},
                                                                                 {'name': 'acdc-BarringPerPLMN-List-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ACDC-BarringPerPLMN-List-r13'},
                                                                                 {'name': 'udt-RestrictingForCommon-r13',
                                                                                  'optional': True,
                                                                                  'type': 'UDT-Restricting-r13'},
                                                                                 {'name': 'udt-RestrictingPerPLMN-List-r13',
                                                                                  'optional': True,
                                                                                  'type': 'UDT-RestrictingPerPLMN-List-r13'},
                                                                                 {'name': 'cIoT-EPS-OptimisationInfo-r13',
                                                                                  'optional': True,
                                                                                  'type': 'CIOT-EPS-OptimisationInfo-r13'},
                                                                                 {'name': 'useFullResumeID-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'unicastFreqHoppingInd-r13',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'mbsfn-SubframeConfigList-v1430',
                                                                                  'optional': True,
                                                                                  'type': 'MBSFN-SubframeConfigList-v1430'},
                                                                                 {'name': 'videoServiceCauseIndication-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType2-v10l0-IEs': {'members': [{'members': [{'name': 'additionalSpectrumEmission-v10l0',
                                                                                                         'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                                            'name': 'freqInfo-v10l0',
                                                                                            'type': 'SEQUENCE'},
                                                                                           {'element': {'type': 'AdditionalSpectrumEmission-v10l0'},
                                                                                            'name': 'multiBandInfoList-v10l0',
                                                                                            'size': [(1,
                                                                                                      'maxMultiBands')],
                                                                                            'type': 'SEQUENCE '
                                                                                                    'OF'},
                                                                                           {'members': [],
                                                                                            'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType2-v8h0-IEs': {'members': [{'element': {'type': 'AdditionalSpectrumEmission'},
                                                                                           'name': 'multiBandInfoList',
                                                                                           'optional': True,
                                                                                           'size': [(1,
                                                                                                     'maxMultiBands')],
                                                                                           'type': 'SEQUENCE '
                                                                                                   'OF'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType2-v9e0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType2-v9e0-IEs': {'members': [{'name': 'ul-CarrierFreq-v9e0',
                                                                                           'optional': True,
                                                                                           'type': 'ARFCN-ValueEUTRA-v9e0'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType2-v9i0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType2-v9i0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'OCTET '
                                                                                                   'STRING'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType2-v10l0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType20-r13': {'members': [{'name': 'sc-mcch-RepetitionPeriod-r13',
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'rf2',
                                                                                                  1: 'rf4',
                                                                                                  2: 'rf8',
                                                                                                  3: 'rf16',
                                                                                                  4: 'rf32',
                                                                                                  5: 'rf64',
                                                                                                  6: 'rf128',
                                                                                                  7: 'rf256'}},
                                                                                      {'name': 'sc-mcch-Offset-r13',
                                                                                       'restricted-to': [(0,
                                                                                                          10)],
                                                                                       'type': 'INTEGER'},
                                                                                      {'name': 'sc-mcch-FirstSubframe-r13',
                                                                                       'restricted-to': [(0,
                                                                                                          9)],
                                                                                       'type': 'INTEGER'},
                                                                                      {'name': 'sc-mcch-duration-r13',
                                                                                       'optional': True,
                                                                                       'restricted-to': [(2,
                                                                                                          9)],
                                                                                       'type': 'INTEGER'},
                                                                                      {'name': 'sc-mcch-ModificationPeriod-r13',
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'rf2',
                                                                                                  1: 'rf4',
                                                                                                  2: 'rf8',
                                                                                                  3: 'rf16',
                                                                                                  4: 'rf32',
                                                                                                  5: 'rf64',
                                                                                                  6: 'rf128',
                                                                                                  7: 'rf256',
                                                                                                  8: 'rf512',
                                                                                                  9: 'rf1024',
                                                                                                  10: 'r2048',
                                                                                                  11: 'rf4096',
                                                                                                  12: 'rf8192',
                                                                                                  13: 'rf16384',
                                                                                                  14: 'rf32768',
                                                                                                  15: 'rf65536'}},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...',
                                                                                      {'members': [{'name': 'sc-mcch-RepetitionPeriod-v1430',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'rf1'}},
                                                                                                   {'name': 'sc-mcch-ModificationPeriod-v1430',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'rf1'}},
                                                                                                   {'name': 'mpdcch-Narrowband-SC-MCCH-r14',
                                                                                                    'restricted-to': [(1,
                                                                                                                       'maxAvailNarrowBands-r13')],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'mpdcch-NumRepetition-SC-MCCH-r14',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'r1',
                                                                                                               1: 'r2',
                                                                                                               2: 'r4',
                                                                                                               3: 'r8',
                                                                                                               4: 'r16',
                                                                                                               5: 'r32',
                                                                                                               6: 'r64',
                                                                                                               7: 'r128',
                                                                                                               8: 'r256'}},
                                                                                                   {'members': [{'name': 'fdd-r14',
                                                                                                                 'type': 'ENUMERATED',
                                                                                                                 'values': {0: 'v1',
                                                                                                                            1: 'v1dot5',
                                                                                                                            2: 'v2',
                                                                                                                            3: 'v2dot5',
                                                                                                                            4: 'v4',
                                                                                                                            5: 'v5',
                                                                                                                            6: 'v8',
                                                                                                                            7: 'v10'}},
                                                                                                                {'name': 'tdd-r14',
                                                                                                                 'type': 'ENUMERATED',
                                                                                                                 'values': {0: 'v1',
                                                                                                                            1: 'v2',
                                                                                                                            2: 'v4',
                                                                                                                            3: 'v5',
                                                                                                                            4: 'v8',
                                                                                                                            5: 'v10',
                                                                                                                            6: 'v20'}}],
                                                                                                    'name': 'mpdcch-StartSF-SC-MCCH-r14',
                                                                                                    'type': 'CHOICE'},
                                                                                                   {'name': 'mpdcch-PDSCH-HoppingConfig-SC-MCCH-r14',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'off',
                                                                                                               1: 'ce-ModeA',
                                                                                                               2: 'ce-ModeB'}},
                                                                                                   {'name': 'sc-mcch-CarrierFreq-r14',
                                                                                                    'type': 'ARFCN-ValueEUTRA-r9'},
                                                                                                   {'name': 'sc-mcch-Offset-BR-r14',
                                                                                                    'restricted-to': [(0,
                                                                                                                       10)],
                                                                                                    'type': 'INTEGER'},
                                                                                                   {'name': 'sc-mcch-RepetitionPeriod-BR-r14',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'rf32',
                                                                                                               1: 'rf128',
                                                                                                               2: 'rf512',
                                                                                                               3: 'rf1024',
                                                                                                               4: 'rf2048',
                                                                                                               5: 'rf4096',
                                                                                                               6: 'rf8192',
                                                                                                               7: 'rf16384'}},
                                                                                                   {'name': 'sc-mcch-ModificationPeriod-BR-r14',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'rf32',
                                                                                                               1: 'rf128',
                                                                                                               2: 'rf256',
                                                                                                               3: 'rf512',
                                                                                                               4: 'rf1024',
                                                                                                               5: 'rf2048',
                                                                                                               6: 'rf4096',
                                                                                                               7: 'rf8192',
                                                                                                               8: 'rf16384',
                                                                                                               9: 'rf32768',
                                                                                                               10: 'rf65536',
                                                                                                               11: 'rf131072',
                                                                                                               12: 'rf262144',
                                                                                                               13: 'rf524288',
                                                                                                               14: 'rf1048576'}}],
                                                                                       'name': 'br-BCCH-Config-r14',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      {'name': 'sc-mcch-SchedulingInfo-r14',
                                                                                       'optional': True,
                                                                                       'type': 'SC-MCCH-SchedulingInfo-r14'},
                                                                                      {'name': 'pdsch-maxNumRepetitionCEmodeA-SC-MTCH-r14',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'r16',
                                                                                                  1: 'r32'}},
                                                                                      {'name': 'pdsch-maxNumRepetitionCEmodeB-SC-MTCH-r14',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'r192',
                                                                                                  1: 'r256',
                                                                                                  2: 'r384',
                                                                                                  3: 'r512',
                                                                                                  4: 'r768',
                                                                                                  5: 'r1024',
                                                                                                  6: 'r1536',
                                                                                                  7: 'r2048'}}],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType21-r14': {'members': [{'name': 'sl-V2X-ConfigCommon-r14',
                                                                                       'optional': True,
                                                                                       'type': 'SL-V2X-ConfigCommon-r14'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      '...'],
                                                                          'type': 'SEQUENCE'},
                                     'SystemInformationBlockType3': {'members': [{'members': [{'name': 'q-Hyst',
                                                                                               'type': 'ENUMERATED',
                                                                                               'values': {0: 'dB0',
                                                                                                          1: 'dB1',
                                                                                                          2: 'dB2',
                                                                                                          3: 'dB3',
                                                                                                          4: 'dB4',
                                                                                                          5: 'dB5',
                                                                                                          6: 'dB6',
                                                                                                          7: 'dB8',
                                                                                                          8: 'dB10',
                                                                                                          9: 'dB12',
                                                                                                          10: 'dB14',
                                                                                                          11: 'dB16',
                                                                                                          12: 'dB18',
                                                                                                          13: 'dB20',
                                                                                                          14: 'dB22',
                                                                                                          15: 'dB24'}},
                                                                                              {'members': [{'name': 'mobilityStateParameters',
                                                                                                            'type': 'MobilityStateParameters'},
                                                                                                           {'members': [{'name': 'sf-Medium',
                                                                                                                         'type': 'ENUMERATED',
                                                                                                                         'values': {0: 'dB-6',
                                                                                                                                    1: 'dB-4',
                                                                                                                                    2: 'dB-2',
                                                                                                                                    3: 'dB0'}},
                                                                                                                        {'name': 'sf-High',
                                                                                                                         'type': 'ENUMERATED',
                                                                                                                         'values': {0: 'dB-6',
                                                                                                                                    1: 'dB-4',
                                                                                                                                    2: 'dB-2',
                                                                                                                                    3: 'dB0'}}],
                                                                                                            'name': 'q-HystSF',
                                                                                                            'type': 'SEQUENCE'}],
                                                                                               'name': 'speedStateReselectionPars',
                                                                                               'optional': True,
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'cellReselectionInfoCommon',
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'members': [{'name': 's-NonIntraSearch',
                                                                                               'optional': True,
                                                                                               'type': 'ReselectionThreshold'},
                                                                                              {'name': 'threshServingLow',
                                                                                               'type': 'ReselectionThreshold'},
                                                                                              {'name': 'cellReselectionPriority',
                                                                                               'type': 'CellReselectionPriority'}],
                                                                                  'name': 'cellReselectionServingFreqInfo',
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'members': [{'name': 'q-RxLevMin',
                                                                                               'type': 'Q-RxLevMin'},
                                                                                              {'name': 'p-Max',
                                                                                               'optional': True,
                                                                                               'type': 'P-Max'},
                                                                                              {'name': 's-IntraSearch',
                                                                                               'optional': True,
                                                                                               'type': 'ReselectionThreshold'},
                                                                                              {'name': 'allowedMeasBandwidth',
                                                                                               'optional': True,
                                                                                               'type': 'AllowedMeasBandwidth'},
                                                                                              {'name': 'presenceAntennaPort1',
                                                                                               'type': 'PresenceAntennaPort1'},
                                                                                              {'name': 'neighCellConfig',
                                                                                               'type': 'NeighCellConfig'},
                                                                                              {'name': 't-ReselectionEUTRA',
                                                                                               'type': 'T-Reselection'},
                                                                                              {'name': 't-ReselectionEUTRA-SF',
                                                                                               'optional': True,
                                                                                               'type': 'SpeedStateScaleFactors'}],
                                                                                  'name': 'intraFreqCellReselectionInfo',
                                                                                  'type': 'SEQUENCE'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'members': [{'name': 's-IntraSearchP-r9',
                                                                                               'type': 'ReselectionThreshold'},
                                                                                              {'name': 's-IntraSearchQ-r9',
                                                                                               'type': 'ReselectionThresholdQ-r9'}],
                                                                                  'name': 's-IntraSearch-v920',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'members': [{'name': 's-NonIntraSearchP-r9',
                                                                                               'type': 'ReselectionThreshold'},
                                                                                              {'name': 's-NonIntraSearchQ-r9',
                                                                                               'type': 'ReselectionThresholdQ-r9'}],
                                                                                  'name': 's-NonIntraSearch-v920',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'name': 'q-QualMin-r9',
                                                                                  'optional': True,
                                                                                  'type': 'Q-QualMin-r9'},
                                                                                 {'name': 'threshServingLowQ-r9',
                                                                                  'optional': True,
                                                                                  'type': 'ReselectionThresholdQ-r9'},
                                                                                 {'name': 'q-QualMinWB-r11',
                                                                                  'optional': True,
                                                                                  'type': 'Q-QualMin-r9'},
                                                                                 {'name': 'q-QualMinRSRQ-OnAllSymbols-r12',
                                                                                  'optional': True,
                                                                                  'type': 'Q-QualMin-r9'},
                                                                                 {'name': 'cellReselectionServingFreqInfo-v1310',
                                                                                  'optional': True,
                                                                                  'type': 'CellReselectionServingFreqInfo-v1310'},
                                                                                 {'name': 'redistributionServingInfo-r13',
                                                                                  'optional': True,
                                                                                  'type': 'RedistributionServingInfo-r13'},
                                                                                 {'name': 'cellSelectionInfoCE-r13',
                                                                                  'optional': True,
                                                                                  'type': 'CellSelectionInfoCE-r13'},
                                                                                 {'name': 't-ReselectionEUTRA-CE-r13',
                                                                                  'optional': True,
                                                                                  'type': 'T-ReselectionEUTRA-CE-r13'},
                                                                                 {'name': 'cellSelectionInfoCE1-r13',
                                                                                  'optional': True,
                                                                                  'type': 'CellSelectionInfoCE1-r13'},
                                                                                 {'name': 'cellSelectionInfoCE1-v1360',
                                                                                  'optional': True,
                                                                                  'type': 'CellSelectionInfoCE1-v1360'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType3-v10j0-IEs': {'members': [{'name': 'freqBandInfo-r10',
                                                                                            'optional': True,
                                                                                            'type': 'NS-PmaxList-r10'},
                                                                                           {'name': 'multiBandInfoList-v10j0',
                                                                                            'optional': True,
                                                                                            'type': 'MultiBandInfoList-v10j0'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType3-v10l0-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType3-v10l0-IEs': {'members': [{'name': 'freqBandInfo-v10l0',
                                                                                            'optional': True,
                                                                                            'type': 'NS-PmaxList-v10l0'},
                                                                                           {'name': 'multiBandInfoList-v10l0',
                                                                                            'optional': True,
                                                                                            'type': 'MultiBandInfoList-v10l0'},
                                                                                           {'members': [],
                                                                                            'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType4': {'members': [{'name': 'intraFreqNeighCellList',
                                                                                  'optional': True,
                                                                                  'type': 'IntraFreqNeighCellList'},
                                                                                 {'name': 'intraFreqBlackCellList',
                                                                                  'optional': True,
                                                                                  'type': 'IntraFreqBlackCellList'},
                                                                                 {'name': 'csg-PhysCellIdRange',
                                                                                  'optional': True,
                                                                                  'type': 'PhysCellIdRange'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType5': {'members': [{'name': 'interFreqCarrierFreqList',
                                                                                  'type': 'InterFreqCarrierFreqList'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'name': 'interFreqCarrierFreqList-v1250',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqList-v1250'},
                                                                                 {'name': 'interFreqCarrierFreqListExt-r12',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqListExt-r12'},
                                                                                 {'name': 'interFreqCarrierFreqListExt-v1280',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqListExt-v1280'},
                                                                                 {'name': 'interFreqCarrierFreqList-v1310',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqList-v1310'},
                                                                                 {'name': 'interFreqCarrierFreqListExt-v1310',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqListExt-v1310'},
                                                                                 {'name': 'interFreqCarrierFreqList-v1350',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqList-v1350'},
                                                                                 {'name': 'interFreqCarrierFreqListExt-v1350',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqListExt-v1350'},
                                                                                 {'name': 'interFreqCarrierFreqListExt-v1360',
                                                                                  'optional': True,
                                                                                  'type': 'InterFreqCarrierFreqListExt-v1360'},
                                                                                 {'name': 'scptm-FreqOffset-r14',
                                                                                  'optional': True,
                                                                                  'restricted-to': [(1,
                                                                                                     8)],
                                                                                  'type': 'INTEGER'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType5-v10j0-IEs': {'members': [{'element': {'type': 'InterFreqCarrierFreqInfo-v10j0'},
                                                                                            'name': 'interFreqCarrierFreqList-v10j0',
                                                                                            'optional': True,
                                                                                            'size': [(1,
                                                                                                      'maxFreq')],
                                                                                            'type': 'SEQUENCE '
                                                                                                    'OF'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SystemInformationBlockType5-v10l0-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType5-v10l0-IEs': {'members': [{'element': {'type': 'InterFreqCarrierFreqInfo-v10l0'},
                                                                                            'name': 'interFreqCarrierFreqList-v10l0',
                                                                                            'optional': True,
                                                                                            'size': [(1,
                                                                                                      'maxFreq')],
                                                                                            'type': 'SEQUENCE '
                                                                                                    'OF'},
                                                                                           {'members': [],
                                                                                            'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'SEQUENCE'}],
                                                                               'type': 'SEQUENCE'},
                                     'SystemInformationBlockType5-v8h0-IEs': {'members': [{'element': {'type': 'InterFreqCarrierFreqInfo-v8h0'},
                                                                                           'name': 'interFreqCarrierFreqList-v8h0',
                                                                                           'optional': True,
                                                                                           'size': [(1,
                                                                                                     'maxFreq')],
                                                                                           'type': 'SEQUENCE '
                                                                                                   'OF'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType5-v9e0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType5-v9e0-IEs': {'members': [{'element': {'type': 'InterFreqCarrierFreqInfo-v9e0'},
                                                                                           'name': 'interFreqCarrierFreqList-v9e0',
                                                                                           'optional': True,
                                                                                           'size': [(1,
                                                                                                     'maxFreq')],
                                                                                           'type': 'SEQUENCE '
                                                                                                   'OF'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType5-v10j0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType6': {'members': [{'name': 'carrierFreqListUTRA-FDD',
                                                                                  'optional': True,
                                                                                  'type': 'CarrierFreqListUTRA-FDD'},
                                                                                 {'name': 'carrierFreqListUTRA-TDD',
                                                                                  'optional': True,
                                                                                  'type': 'CarrierFreqListUTRA-TDD'},
                                                                                 {'name': 't-ReselectionUTRA',
                                                                                  'type': 'T-Reselection'},
                                                                                 {'name': 't-ReselectionUTRA-SF',
                                                                                  'optional': True,
                                                                                  'type': 'SpeedStateScaleFactors'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'element': {'type': 'CarrierFreqInfoUTRA-v1250'},
                                                                                  'name': 'carrierFreqListUTRA-FDD-v1250',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            'maxUTRA-FDD-Carrier')],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'element': {'type': 'CarrierFreqInfoUTRA-v1250'},
                                                                                  'name': 'carrierFreqListUTRA-TDD-v1250',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            'maxUTRA-TDD-Carrier')],
                                                                                  'type': 'SEQUENCE '
                                                                                          'OF'},
                                                                                 {'name': 'carrierFreqListUTRA-FDD-Ext-r12',
                                                                                  'optional': True,
                                                                                  'type': 'CarrierFreqListUTRA-FDD-Ext-r12'},
                                                                                 {'name': 'carrierFreqListUTRA-TDD-Ext-r12',
                                                                                  'optional': True,
                                                                                  'type': 'CarrierFreqListUTRA-TDD-Ext-r12'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType6-v8h0-IEs': {'members': [{'element': {'type': 'CarrierFreqInfoUTRA-FDD-v8h0'},
                                                                                           'name': 'carrierFreqListUTRA-FDD-v8h0',
                                                                                           'optional': True,
                                                                                           'size': [(1,
                                                                                                     'maxUTRA-FDD-Carrier')],
                                                                                           'type': 'SEQUENCE '
                                                                                                   'OF'},
                                                                                          {'members': [],
                                                                                           'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType7': {'members': [{'name': 't-ReselectionGERAN',
                                                                                  'type': 'T-Reselection'},
                                                                                 {'name': 't-ReselectionGERAN-SF',
                                                                                  'optional': True,
                                                                                  'type': 'SpeedStateScaleFactors'},
                                                                                 {'name': 'carrierFreqsInfoList',
                                                                                  'optional': True,
                                                                                  'type': 'CarrierFreqsInfoListGERAN'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType8': {'members': [{'name': 'systemTimeInfo',
                                                                                  'optional': True,
                                                                                  'type': 'SystemTimeInfoCDMA2000'},
                                                                                 {'name': 'searchWindowSize',
                                                                                  'optional': True,
                                                                                  'restricted-to': [(0,
                                                                                                     15)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'members': [{'name': 'preRegistrationInfoHRPD',
                                                                                               'type': 'PreRegistrationInfoHRPD'},
                                                                                              {'name': 'cellReselectionParametersHRPD',
                                                                                               'optional': True,
                                                                                               'type': 'CellReselectionParametersCDMA2000'}],
                                                                                  'name': 'parametersHRPD',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'members': [{'name': 'csfb-RegistrationParam1XRTT',
                                                                                               'optional': True,
                                                                                               'type': 'CSFB-RegistrationParam1XRTT'},
                                                                                              {'name': 'longCodeState1XRTT',
                                                                                               'optional': True,
                                                                                               'size': [42],
                                                                                               'type': 'BIT '
                                                                                                       'STRING'},
                                                                                              {'name': 'cellReselectionParameters1XRTT',
                                                                                               'optional': True,
                                                                                               'type': 'CellReselectionParametersCDMA2000'}],
                                                                                  'name': 'parameters1XRTT',
                                                                                  'optional': True,
                                                                                  'type': 'SEQUENCE'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 {'name': 'csfb-SupportForDualRxUEs-r9',
                                                                                  'optional': True,
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'cellReselectionParametersHRPD-v920',
                                                                                  'optional': True,
                                                                                  'type': 'CellReselectionParametersCDMA2000-v920'},
                                                                                 {'name': 'cellReselectionParameters1XRTT-v920',
                                                                                  'optional': True,
                                                                                  'type': 'CellReselectionParametersCDMA2000-v920'},
                                                                                 {'name': 'csfb-RegistrationParam1XRTT-v920',
                                                                                  'optional': True,
                                                                                  'type': 'CSFB-RegistrationParam1XRTT-v920'},
                                                                                 {'name': 'ac-BarringConfig1XRTT-r9',
                                                                                  'optional': True,
                                                                                  'type': 'AC-BarringConfig1XRTT-r9'},
                                                                                 {'name': 'csfb-DualRxTxSupport-r10',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'true'}},
                                                                                 {'name': 'sib8-PerPLMN-List-r11',
                                                                                  'optional': True,
                                                                                  'type': 'SIB8-PerPLMN-List-r11'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemInformationBlockType9': {'members': [{'name': 'hnb-Name',
                                                                                  'optional': True,
                                                                                  'size': [(1,
                                                                                            48)],
                                                                                  'type': 'OCTET '
                                                                                          'STRING'},
                                                                                 '...',
                                                                                 {'name': 'lateNonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'OCTET '
                                                                                          'STRING'}],
                                                                     'type': 'SEQUENCE'},
                                     'SystemTimeInfoCDMA2000': {'members': [{'name': 'cdma-EUTRA-Synchronisation',
                                                                             'type': 'BOOLEAN'},
                                                                            {'members': [{'name': 'synchronousSystemTime',
                                                                                          'size': [39],
                                                                                          'type': 'BIT '
                                                                                                  'STRING'},
                                                                                         {'name': 'asynchronousSystemTime',
                                                                                          'size': [49],
                                                                                          'type': 'BIT '
                                                                                                  'STRING'}],
                                                                             'name': 'cdma-SystemTime',
                                                                             'type': 'CHOICE'}],
                                                                'type': 'SEQUENCE'},
                                     'T-PollRetransmit': {'type': 'ENUMERATED',
                                                          'values': {0: 'ms5',
                                                                     1: 'ms10',
                                                                     2: 'ms15',
                                                                     3: 'ms20',
                                                                     4: 'ms25',
                                                                     5: 'ms30',
                                                                     6: 'ms35',
                                                                     7: 'ms40',
                                                                     8: 'ms45',
                                                                     9: 'ms50',
                                                                     10: 'ms55',
                                                                     11: 'ms60',
                                                                     12: 'ms65',
                                                                     13: 'ms70',
                                                                     14: 'ms75',
                                                                     15: 'ms80',
                                                                     16: 'ms85',
                                                                     17: 'ms90',
                                                                     18: 'ms95',
                                                                     19: 'ms100',
                                                                     20: 'ms105',
                                                                     21: 'ms110',
                                                                     22: 'ms115',
                                                                     23: 'ms120',
                                                                     24: 'ms125',
                                                                     25: 'ms130',
                                                                     26: 'ms135',
                                                                     27: 'ms140',
                                                                     28: 'ms145',
                                                                     29: 'ms150',
                                                                     30: 'ms155',
                                                                     31: 'ms160',
                                                                     32: 'ms165',
                                                                     33: 'ms170',
                                                                     34: 'ms175',
                                                                     35: 'ms180',
                                                                     36: 'ms185',
                                                                     37: 'ms190',
                                                                     38: 'ms195',
                                                                     39: 'ms200',
                                                                     40: 'ms205',
                                                                     41: 'ms210',
                                                                     42: 'ms215',
                                                                     43: 'ms220',
                                                                     44: 'ms225',
                                                                     45: 'ms230',
                                                                     46: 'ms235',
                                                                     47: 'ms240',
                                                                     48: 'ms245',
                                                                     49: 'ms250',
                                                                     50: 'ms300',
                                                                     51: 'ms350',
                                                                     52: 'ms400',
                                                                     53: 'ms450',
                                                                     54: 'ms500',
                                                                     55: 'ms800-v1310',
                                                                     56: 'ms1000-v1310',
                                                                     57: 'ms2000-v1310',
                                                                     58: 'ms4000-v1310',
                                                                     59: 'spare5',
                                                                     60: 'spare4',
                                                                     61: 'spare3',
                                                                     62: 'spare2',
                                                                     63: 'spare1'}},
                                     'T-Reordering': {'type': 'ENUMERATED',
                                                      'values': {0: 'ms0',
                                                                 1: 'ms5',
                                                                 2: 'ms10',
                                                                 3: 'ms15',
                                                                 4: 'ms20',
                                                                 5: 'ms25',
                                                                 6: 'ms30',
                                                                 7: 'ms35',
                                                                 8: 'ms40',
                                                                 9: 'ms45',
                                                                 10: 'ms50',
                                                                 11: 'ms55',
                                                                 12: 'ms60',
                                                                 13: 'ms65',
                                                                 14: 'ms70',
                                                                 15: 'ms75',
                                                                 16: 'ms80',
                                                                 17: 'ms85',
                                                                 18: 'ms90',
                                                                 19: 'ms95',
                                                                 20: 'ms100',
                                                                 21: 'ms110',
                                                                 22: 'ms120',
                                                                 23: 'ms130',
                                                                 24: 'ms140',
                                                                 25: 'ms150',
                                                                 26: 'ms160',
                                                                 27: 'ms170',
                                                                 28: 'ms180',
                                                                 29: 'ms190',
                                                                 30: 'ms200',
                                                                 31: 'ms1600-v1310'}},
                                     'T-Reselection': {'restricted-to': [(0,
                                                                          7)],
                                                       'type': 'INTEGER'},
                                     'T-ReselectionEUTRA-CE-r13': {'restricted-to': [(0,
                                                                                      15)],
                                                                   'type': 'INTEGER'},
                                     'T-StatusProhibit': {'type': 'ENUMERATED',
                                                          'values': {0: 'ms0',
                                                                     1: 'ms5',
                                                                     2: 'ms10',
                                                                     3: 'ms15',
                                                                     4: 'ms20',
                                                                     5: 'ms25',
                                                                     6: 'ms30',
                                                                     7: 'ms35',
                                                                     8: 'ms40',
                                                                     9: 'ms45',
                                                                     10: 'ms50',
                                                                     11: 'ms55',
                                                                     12: 'ms60',
                                                                     13: 'ms65',
                                                                     14: 'ms70',
                                                                     15: 'ms75',
                                                                     16: 'ms80',
                                                                     17: 'ms85',
                                                                     18: 'ms90',
                                                                     19: 'ms95',
                                                                     20: 'ms100',
                                                                     21: 'ms105',
                                                                     22: 'ms110',
                                                                     23: 'ms115',
                                                                     24: 'ms120',
                                                                     25: 'ms125',
                                                                     26: 'ms130',
                                                                     27: 'ms135',
                                                                     28: 'ms140',
                                                                     29: 'ms145',
                                                                     30: 'ms150',
                                                                     31: 'ms155',
                                                                     32: 'ms160',
                                                                     33: 'ms165',
                                                                     34: 'ms170',
                                                                     35: 'ms175',
                                                                     36: 'ms180',
                                                                     37: 'ms185',
                                                                     38: 'ms190',
                                                                     39: 'ms195',
                                                                     40: 'ms200',
                                                                     41: 'ms205',
                                                                     42: 'ms210',
                                                                     43: 'ms215',
                                                                     44: 'ms220',
                                                                     45: 'ms225',
                                                                     46: 'ms230',
                                                                     47: 'ms235',
                                                                     48: 'ms240',
                                                                     49: 'ms245',
                                                                     50: 'ms250',
                                                                     51: 'ms300',
                                                                     52: 'ms350',
                                                                     53: 'ms400',
                                                                     54: 'ms450',
                                                                     55: 'ms500',
                                                                     56: 'ms800-v1310',
                                                                     57: 'ms1000-v1310',
                                                                     58: 'ms1200-v1310',
                                                                     59: 'ms1600-v1310',
                                                                     60: 'ms2000-v1310',
                                                                     61: 'ms2400-v1310',
                                                                     62: 'spare2',
                                                                     63: 'spare1'}},
                                     'TDD-Config': {'members': [{'name': 'subframeAssignment',
                                                                 'type': 'ENUMERATED',
                                                                 'values': {0: 'sa0',
                                                                            1: 'sa1',
                                                                            2: 'sa2',
                                                                            3: 'sa3',
                                                                            4: 'sa4',
                                                                            5: 'sa5',
                                                                            6: 'sa6'}},
                                                                {'name': 'specialSubframePatterns',
                                                                 'type': 'ENUMERATED',
                                                                 'values': {0: 'ssp0',
                                                                            1: 'ssp1',
                                                                            2: 'ssp2',
                                                                            3: 'ssp3',
                                                                            4: 'ssp4',
                                                                            5: 'ssp5',
                                                                            6: 'ssp6',
                                                                            7: 'ssp7',
                                                                            8: 'ssp8'}}],
                                                    'type': 'SEQUENCE'},
                                     'TDD-Config-v1130': {'members': [{'name': 'specialSubframePatterns-v1130',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'ssp7',
                                                                                  1: 'ssp9'}}],
                                                          'type': 'SEQUENCE'},
                                     'TDD-Config-v1430': {'members': [{'name': 'specialSubframePatterns-v1430',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'ssp10'}}],
                                                          'type': 'SEQUENCE'},
                                     'TDD-ConfigSL-r12': {'members': [{'name': 'subframeAssignmentSL-r12',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'none',
                                                                                  1: 'sa0',
                                                                                  2: 'sa1',
                                                                                  3: 'sa2',
                                                                                  4: 'sa3',
                                                                                  5: 'sa4',
                                                                                  6: 'sa5',
                                                                                  7: 'sa6'}}],
                                                          'type': 'SEQUENCE'},
                                     'TDD-PUSCH-UpPTS-r14': {'members': [{'name': 'release',
                                                                          'type': 'NULL'},
                                                                         {'members': [{'name': 'symPUSCH-UpPTS-r14',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'sym1',
                                                                                                  1: 'sym2',
                                                                                                  2: 'sym3',
                                                                                                  3: 'sym4',
                                                                                                  4: 'sym5',
                                                                                                  5: 'sym6'}},
                                                                                      {'name': 'dmrs-LessUpPTS-Config-r14',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'true'}}],
                                                                          'name': 'setup',
                                                                          'type': 'SEQUENCE'}],
                                                             'type': 'CHOICE'},
                                     'TDM-AssistanceInfo-r11': {'members': [{'members': [{'name': 'drx-CycleLength-r11',
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'sf40',
                                                                                                     1: 'sf64',
                                                                                                     2: 'sf80',
                                                                                                     3: 'sf128',
                                                                                                     4: 'sf160',
                                                                                                     5: 'sf256',
                                                                                                     6: 'spare2',
                                                                                                     7: 'spare1'}},
                                                                                         {'name': 'drx-Offset-r11',
                                                                                          'optional': True,
                                                                                          'restricted-to': [(0,
                                                                                                             255)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'drx-ActiveTime-r11',
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'sf20',
                                                                                                     1: 'sf30',
                                                                                                     2: 'sf40',
                                                                                                     3: 'sf60',
                                                                                                     4: 'sf80',
                                                                                                     5: 'sf100',
                                                                                                     6: 'spare2',
                                                                                                     7: 'spare1'}}],
                                                                             'name': 'drx-AssistanceInfo-r11',
                                                                             'type': 'SEQUENCE'},
                                                                            {'name': 'idc-SubframePatternList-r11',
                                                                             'type': 'IDC-SubframePatternList-r11'},
                                                                            '...'],
                                                                'type': 'CHOICE'},
                                     'TMGI-r9': {'members': [{'members': [{'name': 'plmn-Index-r9',
                                                                           'restricted-to': [(1,
                                                                                              'maxPLMN-r11')],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'explicitValue-r9',
                                                                           'type': 'PLMN-Identity'}],
                                                              'name': 'plmn-Id-r9',
                                                              'type': 'CHOICE'},
                                                             {'name': 'serviceId-r9',
                                                              'size': [3],
                                                              'type': 'OCTET '
                                                                      'STRING'}],
                                                 'type': 'SEQUENCE'},
                                     'TPC-Index': {'members': [{'name': 'indexOfFormat3',
                                                                'restricted-to': [(1,
                                                                                   15)],
                                                                'type': 'INTEGER'},
                                                               {'name': 'indexOfFormat3A',
                                                                'restricted-to': [(1,
                                                                                   31)],
                                                                'type': 'INTEGER'}],
                                                   'type': 'CHOICE'},
                                     'TPC-PDCCH-Config': {'members': [{'name': 'release',
                                                                       'type': 'NULL'},
                                                                      {'members': [{'name': 'tpc-RNTI',
                                                                                    'size': [16],
                                                                                    'type': 'BIT '
                                                                                            'STRING'},
                                                                                   {'name': 'tpc-Index',
                                                                                    'type': 'TPC-Index'}],
                                                                       'name': 'setup',
                                                                       'type': 'SEQUENCE'}],
                                                          'type': 'CHOICE'},
                                     'TPC-PDCCH-ConfigSCell-r13': {'members': [{'name': 'release',
                                                                                'type': 'NULL'},
                                                                               {'members': [{'name': 'tpc-Index-PUCCH-SCell-r13',
                                                                                             'type': 'TPC-Index'}],
                                                                                'name': 'setup',
                                                                                'type': 'SEQUENCE'}],
                                                                   'type': 'CHOICE'},
                                     'TargetMBSFN-Area-r12': {'members': [{'name': 'mbsfn-AreaId-r12',
                                                                           'optional': True,
                                                                           'type': 'MBSFN-AreaId-r12'},
                                                                          {'name': 'carrierFreq-r12',
                                                                           'type': 'ARFCN-ValueEUTRA-r9'},
                                                                          '...'],
                                                              'type': 'SEQUENCE'},
                                     'TargetMBSFN-AreaList-r12': {'element': {'type': 'TargetMBSFN-Area-r12'},
                                                                  'size': [(0,
                                                                            'maxMBSFN-Area')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'ThresholdCDMA2000': {'restricted-to': [(0,
                                                                              63)],
                                                           'type': 'INTEGER'},
                                     'ThresholdEUTRA': {'members': [{'name': 'threshold-RSRP',
                                                                     'type': 'RSRP-Range'},
                                                                    {'name': 'threshold-RSRQ',
                                                                     'type': 'RSRQ-Range'}],
                                                        'type': 'CHOICE'},
                                     'ThresholdEUTRA-v1250': {'type': 'CSI-RSRP-Range-r12'},
                                     'ThresholdGERAN': {'restricted-to': [(0,
                                                                           63)],
                                                        'type': 'INTEGER'},
                                     'ThresholdUTRA': {'members': [{'name': 'utra-RSCP',
                                                                    'restricted-to': [(-5,
                                                                                       91)],
                                                                    'type': 'INTEGER'},
                                                                   {'name': 'utra-EcN0',
                                                                    'restricted-to': [(0,
                                                                                       49)],
                                                                    'type': 'INTEGER'}],
                                                       'type': 'CHOICE'},
                                     'TimeAlignmentTimer': {'type': 'ENUMERATED',
                                                            'values': {0: 'sf500',
                                                                       1: 'sf750',
                                                                       2: 'sf1280',
                                                                       3: 'sf1920',
                                                                       4: 'sf2560',
                                                                       5: 'sf5120',
                                                                       6: 'sf10240',
                                                                       7: 'infinity'}},
                                     'TimeSinceFailure-r11': {'restricted-to': [(0,
                                                                                 172800)],
                                                              'type': 'INTEGER'},
                                     'TimeToTrigger': {'type': 'ENUMERATED',
                                                       'values': {0: 'ms0',
                                                                  1: 'ms40',
                                                                  2: 'ms64',
                                                                  3: 'ms80',
                                                                  4: 'ms100',
                                                                  5: 'ms128',
                                                                  6: 'ms160',
                                                                  7: 'ms256',
                                                                  8: 'ms320',
                                                                  9: 'ms480',
                                                                  10: 'ms512',
                                                                  11: 'ms640',
                                                                  12: 'ms1024',
                                                                  13: 'ms1280',
                                                                  14: 'ms2560',
                                                                  15: 'ms5120'}},
                                     'TraceReference-r10': {'members': [{'name': 'plmn-Identity-r10',
                                                                         'type': 'PLMN-Identity'},
                                                                        {'name': 'traceId-r10',
                                                                         'size': [3],
                                                                         'type': 'OCTET '
                                                                                 'STRING'}],
                                                            'type': 'SEQUENCE'},
                                     'TrackingAreaCode': {'size': [16],
                                                          'type': 'BIT STRING'},
                                     'TrackingAreaCodeList-r10': {'element': {'type': 'TrackingAreaCode'},
                                                                  'size': [(1,
                                                                            8)],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'TrackingAreaCodeList-v1130': {'members': [{'element': {'type': 'PLMN-Identity'},
                                                                                 'name': 'plmn-Identity-perTAC-List-r11',
                                                                                 'size': [(1,
                                                                                           8)],
                                                                                 'type': 'SEQUENCE '
                                                                                         'OF'}],
                                                                    'type': 'SEQUENCE'},
                                     'TrafficPatternInfo-r14': {'members': [{'name': 'trafficPeriodicity-r14',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'sf20',
                                                                                        1: 'sf50',
                                                                                        2: 'sf100',
                                                                                        3: 'sf200',
                                                                                        4: 'sf300',
                                                                                        5: 'sf400',
                                                                                        6: 'sf500',
                                                                                        7: 'sf600',
                                                                                        8: 'sf700',
                                                                                        9: 'sf800',
                                                                                        10: 'sf900',
                                                                                        11: 'sf1000'}},
                                                                            {'name': 'timingOffset-r14',
                                                                             'restricted-to': [(0,
                                                                                                10239)],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'priorityInfoSL-r14',
                                                                             'optional': True,
                                                                             'type': 'SL-Priority-r13'},
                                                                            {'name': 'logicalChannelIdentityUL-r14',
                                                                             'optional': True,
                                                                             'restricted-to': [(3,
                                                                                                10)],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'messageSize-r14',
                                                                             'size': [6],
                                                                             'type': 'BIT '
                                                                                     'STRING'}],
                                                                'type': 'SEQUENCE'},
                                     'TrafficPatternInfoList-r14': {'element': {'type': 'TrafficPatternInfo-r14'},
                                                                    'size': [(1,
                                                                              'maxTrafficPattern-r14')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'TunnelConfigLWIP-r13': {'members': [{'name': 'ip-Address-r13',
                                                                           'type': 'IP-Address-r13'},
                                                                          {'name': 'ike-Identity-r13',
                                                                           'type': 'IKE-Identity-r13'},
                                                                          '...',
                                                                          {'name': 'lwip-Counter-r13',
                                                                           'optional': True,
                                                                           'restricted-to': [(0,
                                                                                              65535)],
                                                                           'type': 'INTEGER'}],
                                                              'type': 'SEQUENCE'},
                                     'Tx-ConfigIndex-r14': {'restricted-to': [(0,
                                                                               'maxSL-V2X-TxConfig-1-r14')],
                                                            'type': 'INTEGER'},
                                     'Tx-ResourcePoolMeasList-r14': {'element': {'type': 'SL-V2X-TxPoolReportIdentity-r14'},
                                                                     'size': [(1,
                                                                               'maxSL-PoolToMeasure-r14')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'UDT-Restricting-r13': {'members': [{'name': 'udt-Restricting-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}},
                                                                         {'name': 'udt-RestrictingTime-r13',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 's4',
                                                                                     1: 's8',
                                                                                     2: 's16',
                                                                                     3: 's32',
                                                                                     4: 's64',
                                                                                     5: 's128',
                                                                                     6: 's256',
                                                                                     7: 's512'}}],
                                                             'type': 'SEQUENCE'},
                                     'UDT-RestrictingPerPLMN-List-r13': {'element': {'type': 'UDT-RestrictingPerPLMN-r13'},
                                                                         'size': [(1,
                                                                                   'maxPLMN-r11')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'UDT-RestrictingPerPLMN-r13': {'members': [{'name': 'plmn-IdentityIndex-r13',
                                                                                 'restricted-to': [(1,
                                                                                                    'maxPLMN-r11')],
                                                                                 'type': 'INTEGER'},
                                                                                {'name': 'udt-Restricting-r13',
                                                                                 'optional': True,
                                                                                 'type': 'UDT-Restricting-r13'}],
                                                                    'type': 'SEQUENCE'},
                                     'UE-BasedNetwPerfMeasParameters-r10': {'members': [{'name': 'loggedMeasurementsIdle-r10',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'supported'}},
                                                                                        {'name': 'standaloneGNSS-Location-r10',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'supported'}}],
                                                                            'type': 'SEQUENCE'},
                                     'UE-BasedNetwPerfMeasParameters-v1250': {'members': [{'name': 'loggedMBSFNMeasurements-r12',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-BasedNetwPerfMeasParameters-v1430': {'members': [{'name': 'locationReport-r14',
                                                                                           'optional': True,
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'supported'}}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-CapabilityRAT-Container': {'members': [{'name': 'rat-Type',
                                                                                 'type': 'RAT-Type'},
                                                                                {'name': 'ueCapabilityRAT-Container',
                                                                                 'type': 'OCTET '
                                                                                         'STRING'}],
                                                                    'type': 'SEQUENCE'},
                                     'UE-CapabilityRAT-ContainerList': {'element': {'type': 'UE-CapabilityRAT-Container'},
                                                                        'size': [(0,
                                                                                  'maxRAT-Capabilities')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'UE-CapabilityRequest': {'element': {'type': 'RAT-Type'},
                                                              'size': [(1,
                                                                        'maxRAT-Capabilities')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'UE-EUTRA-Capability': {'members': [{'name': 'accessStratumRelease',
                                                                          'type': 'AccessStratumRelease'},
                                                                         {'name': 'ue-Category',
                                                                          'restricted-to': [(1,
                                                                                             5)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'pdcp-Parameters',
                                                                          'type': 'PDCP-Parameters'},
                                                                         {'name': 'phyLayerParameters',
                                                                          'type': 'PhyLayerParameters'},
                                                                         {'name': 'rf-Parameters',
                                                                          'type': 'RF-Parameters'},
                                                                         {'name': 'measParameters',
                                                                          'type': 'MeasParameters'},
                                                                         {'name': 'featureGroupIndicators',
                                                                          'optional': True,
                                                                          'size': [32],
                                                                          'type': 'BIT '
                                                                                  'STRING'},
                                                                         {'members': [{'name': 'utraFDD',
                                                                                       'optional': True,
                                                                                       'type': 'IRAT-ParametersUTRA-FDD'},
                                                                                      {'name': 'utraTDD128',
                                                                                       'optional': True,
                                                                                       'type': 'IRAT-ParametersUTRA-TDD128'},
                                                                                      {'name': 'utraTDD384',
                                                                                       'optional': True,
                                                                                       'type': 'IRAT-ParametersUTRA-TDD384'},
                                                                                      {'name': 'utraTDD768',
                                                                                       'optional': True,
                                                                                       'type': 'IRAT-ParametersUTRA-TDD768'},
                                                                                      {'name': 'geran',
                                                                                       'optional': True,
                                                                                       'type': 'IRAT-ParametersGERAN'},
                                                                                      {'name': 'cdma2000-HRPD',
                                                                                       'optional': True,
                                                                                       'type': 'IRAT-ParametersCDMA2000-HRPD'},
                                                                                      {'name': 'cdma2000-1xRTT',
                                                                                       'optional': True,
                                                                                       'type': 'IRAT-ParametersCDMA2000-1XRTT'}],
                                                                          'name': 'interRAT-Parameters',
                                                                          'type': 'SEQUENCE'},
                                                                         {'name': 'nonCriticalExtension',
                                                                          'optional': True,
                                                                          'type': 'UE-EUTRA-Capability-v920-IEs'}],
                                                             'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1020-IEs': {'members': [{'name': 'ue-Category-v1020',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(6,
                                                                                                       8)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'phyLayerParameters-v1020',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1020'},
                                                                                   {'name': 'rf-Parameters-v1020',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1020'},
                                                                                   {'name': 'measParameters-v1020',
                                                                                    'optional': True,
                                                                                    'type': 'MeasParameters-v1020'},
                                                                                   {'name': 'featureGroupIndRel10-r10',
                                                                                    'optional': True,
                                                                                    'size': [32],
                                                                                    'type': 'BIT '
                                                                                            'STRING'},
                                                                                   {'name': 'interRAT-ParametersCDMA2000-v1020',
                                                                                    'optional': True,
                                                                                    'type': 'IRAT-ParametersCDMA2000-1XRTT-v1020'},
                                                                                   {'name': 'ue-BasedNetwPerfMeasParameters-r10',
                                                                                    'optional': True,
                                                                                    'type': 'UE-BasedNetwPerfMeasParameters-r10'},
                                                                                   {'name': 'interRAT-ParametersUTRA-TDD-v1020',
                                                                                    'optional': True,
                                                                                    'type': 'IRAT-ParametersUTRA-TDD-v1020'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1060-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1060-IEs': {'members': [{'name': 'fdd-Add-UE-EUTRA-Capabilities-v1060',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1060'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1060',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1060'},
                                                                                   {'name': 'rf-Parameters-v1060',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1060'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1090-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1090-IEs': {'members': [{'name': 'rf-Parameters-v1090',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1090'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1130-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v10c0-IEs': {'members': [{'name': 'otdoa-PositioningCapabilities-r10',
                                                                                    'optional': True,
                                                                                    'type': 'OTDOA-PositioningCapabilities-r10'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v10f0-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v10f0-IEs': {'members': [{'name': 'rf-Parameters-v10f0',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v10f0'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v10i0-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v10i0-IEs': {'members': [{'name': 'rf-Parameters-v10i0',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v10i0'},
                                                                                   {'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v11d0-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v10j0-IEs': {'members': [{'name': 'rf-Parameters-v10j0',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v10j0'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1130-IEs': {'members': [{'name': 'pdcp-Parameters-v1130',
                                                                                    'type': 'PDCP-Parameters-v1130'},
                                                                                   {'name': 'phyLayerParameters-v1130',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1130'},
                                                                                   {'name': 'rf-Parameters-v1130',
                                                                                    'type': 'RF-Parameters-v1130'},
                                                                                   {'name': 'measParameters-v1130',
                                                                                    'type': 'MeasParameters-v1130'},
                                                                                   {'name': 'interRAT-ParametersCDMA2000-v1130',
                                                                                    'type': 'IRAT-ParametersCDMA2000-v1130'},
                                                                                   {'name': 'otherParameters-r11',
                                                                                    'type': 'Other-Parameters-r11'},
                                                                                   {'name': 'fdd-Add-UE-EUTRA-Capabilities-v1130',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1130'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1130',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1130'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1170-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1170-IEs': {'members': [{'name': 'phyLayerParameters-v1170',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1170'},
                                                                                   {'name': 'ue-Category-v1170',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(9,
                                                                                                       10)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1180-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1180-IEs': {'members': [{'name': 'rf-Parameters-v1180',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1180'},
                                                                                   {'name': 'mbms-Parameters-r11',
                                                                                    'optional': True,
                                                                                    'type': 'MBMS-Parameters-r11'},
                                                                                   {'name': 'fdd-Add-UE-EUTRA-Capabilities-v1180',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1180'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1180',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1180'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v11a0-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v11a0-IEs': {'members': [{'name': 'ue-Category-v11a0',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(11,
                                                                                                       12)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'measParameters-v11a0',
                                                                                    'optional': True,
                                                                                    'type': 'MeasParameters-v11a0'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1250-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v11d0-IEs': {'members': [{'name': 'rf-Parameters-v11d0',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v11d0'},
                                                                                   {'name': 'otherParameters-v11d0',
                                                                                    'optional': True,
                                                                                    'type': 'Other-Parameters-v11d0'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v11x0-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v11x0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v12b0-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1250-IEs': {'members': [{'name': 'phyLayerParameters-v1250',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1250'},
                                                                                   {'name': 'rf-Parameters-v1250',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1250'},
                                                                                   {'name': 'rlc-Parameters-r12',
                                                                                    'optional': True,
                                                                                    'type': 'RLC-Parameters-r12'},
                                                                                   {'name': 'ue-BasedNetwPerfMeasParameters-v1250',
                                                                                    'optional': True,
                                                                                    'type': 'UE-BasedNetwPerfMeasParameters-v1250'},
                                                                                   {'name': 'ue-CategoryDL-r12',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       14)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'ue-CategoryUL-r12',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       13)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'wlan-IW-Parameters-r12',
                                                                                    'optional': True,
                                                                                    'type': 'WLAN-IW-Parameters-r12'},
                                                                                   {'name': 'measParameters-v1250',
                                                                                    'optional': True,
                                                                                    'type': 'MeasParameters-v1250'},
                                                                                   {'name': 'dc-Parameters-r12',
                                                                                    'optional': True,
                                                                                    'type': 'DC-Parameters-r12'},
                                                                                   {'name': 'mbms-Parameters-v1250',
                                                                                    'optional': True,
                                                                                    'type': 'MBMS-Parameters-v1250'},
                                                                                   {'name': 'mac-Parameters-r12',
                                                                                    'optional': True,
                                                                                    'type': 'MAC-Parameters-r12'},
                                                                                   {'name': 'fdd-Add-UE-EUTRA-Capabilities-v1250',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1250'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1250',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1250'},
                                                                                   {'name': 'sl-Parameters-r12',
                                                                                    'optional': True,
                                                                                    'type': 'SL-Parameters-r12'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1260-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1260-IEs': {'members': [{'name': 'ue-CategoryDL-v1260',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(15,
                                                                                                       16)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1270-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1270-IEs': {'members': [{'name': 'rf-Parameters-v1270',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1270'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1280-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1280-IEs': {'members': [{'name': 'phyLayerParameters-v1280',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1280'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1310-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v12b0-IEs': {'members': [{'name': 'rf-Parameters-v12b0',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v12b0'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v12x0-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v12x0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1370-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1310-IEs': {'members': [{'name': 'ue-CategoryDL-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'n17',
                                                                                               1: 'm1'}},
                                                                                   {'name': 'ue-CategoryUL-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'n14',
                                                                                               1: 'm1'}},
                                                                                   {'name': 'pdcp-Parameters-v1310',
                                                                                    'type': 'PDCP-Parameters-v1310'},
                                                                                   {'name': 'rlc-Parameters-v1310',
                                                                                    'type': 'RLC-Parameters-v1310'},
                                                                                   {'name': 'mac-Parameters-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'MAC-Parameters-v1310'},
                                                                                   {'name': 'phyLayerParameters-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1310'},
                                                                                   {'name': 'rf-Parameters-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1310'},
                                                                                   {'name': 'measParameters-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'MeasParameters-v1310'},
                                                                                   {'name': 'dc-Parameters-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'DC-Parameters-v1310'},
                                                                                   {'name': 'sl-Parameters-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'SL-Parameters-v1310'},
                                                                                   {'name': 'scptm-Parameters-r13',
                                                                                    'optional': True,
                                                                                    'type': 'SCPTM-Parameters-r13'},
                                                                                   {'name': 'ce-Parameters-r13',
                                                                                    'optional': True,
                                                                                    'type': 'CE-Parameters-r13'},
                                                                                   {'name': 'interRAT-ParametersWLAN-r13',
                                                                                    'type': 'IRAT-ParametersWLAN-r13'},
                                                                                   {'name': 'laa-Parameters-r13',
                                                                                    'optional': True,
                                                                                    'type': 'LAA-Parameters-r13'},
                                                                                   {'name': 'lwa-Parameters-r13',
                                                                                    'optional': True,
                                                                                    'type': 'LWA-Parameters-r13'},
                                                                                   {'name': 'wlan-IW-Parameters-v1310',
                                                                                    'type': 'WLAN-IW-Parameters-v1310'},
                                                                                   {'name': 'lwip-Parameters-r13',
                                                                                    'type': 'LWIP-Parameters-r13'},
                                                                                   {'name': 'fdd-Add-UE-EUTRA-Capabilities-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1310'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1310',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1310'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1320-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1320-IEs': {'members': [{'name': 'ce-Parameters-v1320',
                                                                                    'optional': True,
                                                                                    'type': 'CE-Parameters-v1320'},
                                                                                   {'name': 'phyLayerParameters-v1320',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1320'},
                                                                                   {'name': 'rf-Parameters-v1320',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1320'},
                                                                                   {'name': 'fdd-Add-UE-EUTRA-Capabilities-v1320',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1320'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1320',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1320'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1330-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1330-IEs': {'members': [{'name': 'ue-CategoryDL-v1330',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(18,
                                                                                                       19)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'phyLayerParameters-v1330',
                                                                                    'optional': True,
                                                                                    'type': 'PhyLayerParameters-v1330'},
                                                                                   {'name': 'ue-CE-NeedULGaps-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1340-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1340-IEs': {'members': [{'name': 'ue-CategoryUL-v1340',
                                                                                    'optional': True,
                                                                                    'restricted-to': [15],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1350-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1350-IEs': {'members': [{'name': 'ue-CategoryDL-v1350',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'oneBis'}},
                                                                                   {'name': 'ue-CategoryUL-v1350',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'oneBis'}},
                                                                                   {'name': 'ce-Parameters-v1350',
                                                                                    'type': 'CE-Parameters-v1350'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1360-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1360-IEs': {'members': [{'name': 'other-Parameters-v1360',
                                                                                    'optional': True,
                                                                                    'type': 'Other-Parameters-v1360'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1430-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1370-IEs': {'members': [{'name': 'ce-Parameters-v1370',
                                                                                    'optional': True,
                                                                                    'type': 'CE-Parameters-v1370'},
                                                                                   {'name': 'fdd-Add-UE-EUTRA-Capabilities-v1370',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1370'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1370',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1370'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1430-IEs': {'members': [{'name': 'phyLayerParameters-v1430',
                                                                                    'type': 'PhyLayerParameters-v1430'},
                                                                                   {'name': 'ue-CategoryDL-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'm2'}},
                                                                                   {'name': 'ue-CategoryUL-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'n16',
                                                                                               1: 'n17',
                                                                                               2: 'n18',
                                                                                               3: 'n19',
                                                                                               4: 'n20',
                                                                                               5: 'm2'}},
                                                                                   {'name': 'ue-CategoryUL-v1430b',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'n21'}},
                                                                                   {'name': 'mac-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'MAC-Parameters-v1430'},
                                                                                   {'name': 'measParameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'MeasParameters-v1430'},
                                                                                   {'name': 'pdcp-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'PDCP-Parameters-v1430'},
                                                                                   {'name': 'rlc-Parameters-v1430',
                                                                                    'type': 'RLC-Parameters-v1430'},
                                                                                   {'name': 'rf-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'RF-Parameters-v1430'},
                                                                                   {'name': 'laa-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'LAA-Parameters-v1430'},
                                                                                   {'name': 'lwa-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'LWA-Parameters-v1430'},
                                                                                   {'name': 'lwip-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'LWIP-Parameters-v1430'},
                                                                                   {'name': 'otherParameters-v1430',
                                                                                    'type': 'Other-Parameters-v1430'},
                                                                                   {'name': 'mmtel-Parameters-r14',
                                                                                    'optional': True,
                                                                                    'type': 'MMTEL-Parameters-r14'},
                                                                                   {'name': 'mobilityParameters-r14',
                                                                                    'optional': True,
                                                                                    'type': 'MobilityParameters-r14'},
                                                                                   {'name': 'ce-Parameters-v1430',
                                                                                    'type': 'CE-Parameters-v1430'},
                                                                                   {'name': 'fdd-Add-UE-EUTRA-Capabilities-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1430'},
                                                                                   {'name': 'tdd-Add-UE-EUTRA-Capabilities-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-CapabilityAddXDD-Mode-v1430'},
                                                                                   {'name': 'mbms-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'MBMS-Parameters-v1430'},
                                                                                   {'name': 'sl-Parameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'SL-Parameters-v1430'},
                                                                                   {'name': 'ue-BasedNetwPerfMeasParameters-v1430',
                                                                                    'optional': True,
                                                                                    'type': 'UE-BasedNetwPerfMeasParameters-v1430'},
                                                                                   {'name': 'highSpeedEnhParameters-r14',
                                                                                    'optional': True,
                                                                                    'type': 'HighSpeedEnhParameters-r14'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UE-EUTRA-Capability-v1440-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v1440-IEs': {'members': [{'name': 'lwa-Parameters-v1440',
                                                                                    'type': 'LWA-Parameters-v1440'},
                                                                                   {'name': 'mac-Parameters-v1440',
                                                                                    'type': 'MAC-Parameters-v1440'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v920-IEs': {'members': [{'name': 'phyLayerParameters-v920',
                                                                                   'type': 'PhyLayerParameters-v920'},
                                                                                  {'name': 'interRAT-ParametersGERAN-v920',
                                                                                   'type': 'IRAT-ParametersGERAN-v920'},
                                                                                  {'name': 'interRAT-ParametersUTRA-v920',
                                                                                   'optional': True,
                                                                                   'type': 'IRAT-ParametersUTRA-v920'},
                                                                                  {'name': 'interRAT-ParametersCDMA2000-v920',
                                                                                   'optional': True,
                                                                                   'type': 'IRAT-ParametersCDMA2000-1XRTT-v920'},
                                                                                  {'name': 'deviceType-r9',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'noBenFromBatConsumpOpt'}},
                                                                                  {'name': 'csg-ProximityIndicationParameters-r9',
                                                                                   'type': 'CSG-ProximityIndicationParameters-r9'},
                                                                                  {'name': 'neighCellSI-AcquisitionParameters-r9',
                                                                                   'type': 'NeighCellSI-AcquisitionParameters-r9'},
                                                                                  {'name': 'son-Parameters-r9',
                                                                                   'type': 'SON-Parameters-r9'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-Capability-v940-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v940-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-Capability-v1020-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v9a0-IEs': {'members': [{'name': 'featureGroupIndRel9Add-r9',
                                                                                   'optional': True,
                                                                                   'size': [32],
                                                                                   'type': 'BIT '
                                                                                           'STRING'},
                                                                                  {'name': 'fdd-Add-UE-EUTRA-Capabilities-r9',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-CapabilityAddXDD-Mode-r9'},
                                                                                  {'name': 'tdd-Add-UE-EUTRA-Capabilities-r9',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-CapabilityAddXDD-Mode-r9'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-Capability-v9c0-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v9c0-IEs': {'members': [{'name': 'interRAT-ParametersUTRA-v9c0',
                                                                                   'optional': True,
                                                                                   'type': 'IRAT-ParametersUTRA-v9c0'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-Capability-v9d0-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v9d0-IEs': {'members': [{'name': 'phyLayerParameters-v9d0',
                                                                                   'optional': True,
                                                                                   'type': 'PhyLayerParameters-v9d0'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-Capability-v9e0-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v9e0-IEs': {'members': [{'name': 'rf-Parameters-v9e0',
                                                                                   'optional': True,
                                                                                   'type': 'RF-Parameters-v9e0'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-Capability-v9h0-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UE-EUTRA-Capability-v9h0-IEs': {'members': [{'name': 'interRAT-ParametersUTRA-v9h0',
                                                                                   'optional': True,
                                                                                   'type': 'IRAT-ParametersUTRA-v9h0'},
                                                                                  {'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UE-EUTRA-Capability-v10c0-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-r9': {'members': [{'name': 'phyLayerParameters-r9',
                                                                                        'optional': True,
                                                                                        'type': 'PhyLayerParameters'},
                                                                                       {'name': 'featureGroupIndicators-r9',
                                                                                        'optional': True,
                                                                                        'size': [32],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'featureGroupIndRel9Add-r9',
                                                                                        'optional': True,
                                                                                        'size': [32],
                                                                                        'type': 'BIT '
                                                                                                'STRING'},
                                                                                       {'name': 'interRAT-ParametersGERAN-r9',
                                                                                        'optional': True,
                                                                                        'type': 'IRAT-ParametersGERAN'},
                                                                                       {'name': 'interRAT-ParametersUTRA-r9',
                                                                                        'optional': True,
                                                                                        'type': 'IRAT-ParametersUTRA-v920'},
                                                                                       {'name': 'interRAT-ParametersCDMA2000-r9',
                                                                                        'optional': True,
                                                                                        'type': 'IRAT-ParametersCDMA2000-1XRTT-v920'},
                                                                                       {'name': 'neighCellSI-AcquisitionParameters-r9',
                                                                                        'optional': True,
                                                                                        'type': 'NeighCellSI-AcquisitionParameters-r9'},
                                                                                       '...'],
                                                                           'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1060': {'members': [{'name': 'phyLayerParameters-v1060',
                                                                                           'optional': True,
                                                                                           'type': 'PhyLayerParameters-v1020'},
                                                                                          {'name': 'featureGroupIndRel10-v1060',
                                                                                           'optional': True,
                                                                                           'size': [32],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'},
                                                                                          {'name': 'interRAT-ParametersCDMA2000-v1060',
                                                                                           'optional': True,
                                                                                           'type': 'IRAT-ParametersCDMA2000-1XRTT-v1020'},
                                                                                          {'name': 'interRAT-ParametersUTRA-TDD-v1060',
                                                                                           'optional': True,
                                                                                           'type': 'IRAT-ParametersUTRA-TDD-v1020'},
                                                                                          '...',
                                                                                          {'name': 'otdoa-PositioningCapabilities-r10',
                                                                                           'optional': True,
                                                                                           'type': 'OTDOA-PositioningCapabilities-r10'}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1130': {'members': [{'name': 'phyLayerParameters-v1130',
                                                                                           'optional': True,
                                                                                           'type': 'PhyLayerParameters-v1130'},
                                                                                          {'name': 'measParameters-v1130',
                                                                                           'optional': True,
                                                                                           'type': 'MeasParameters-v1130'},
                                                                                          {'name': 'otherParameters-r11',
                                                                                           'optional': True,
                                                                                           'type': 'Other-Parameters-r11'},
                                                                                          '...'],
                                                                              'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1180': {'members': [{'name': 'mbms-Parameters-r11',
                                                                                           'type': 'MBMS-Parameters-r11'}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1250': {'members': [{'name': 'phyLayerParameters-v1250',
                                                                                           'optional': True,
                                                                                           'type': 'PhyLayerParameters-v1250'},
                                                                                          {'name': 'measParameters-v1250',
                                                                                           'optional': True,
                                                                                           'type': 'MeasParameters-v1250'}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1310': {'members': [{'name': 'phyLayerParameters-v1310',
                                                                                           'optional': True,
                                                                                           'type': 'PhyLayerParameters-v1310'}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1320': {'members': [{'name': 'phyLayerParameters-v1320',
                                                                                           'optional': True,
                                                                                           'type': 'PhyLayerParameters-v1320'},
                                                                                          {'name': 'scptm-Parameters-r13',
                                                                                           'optional': True,
                                                                                           'type': 'SCPTM-Parameters-r13'}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1370': {'members': [{'name': 'ce-Parameters-v1370',
                                                                                           'optional': True,
                                                                                           'type': 'CE-Parameters-v1370'}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-EUTRA-CapabilityAddXDD-Mode-v1430': {'members': [{'name': 'phyLayerParameters-v1430',
                                                                                           'optional': True,
                                                                                           'type': 'PhyLayerParameters-v1430'},
                                                                                          {'name': 'mmtel-Parameters-r14',
                                                                                           'optional': True,
                                                                                           'type': 'MMTEL-Parameters-r14'}],
                                                                              'type': 'SEQUENCE'},
                                     'UE-RadioPagingInfo-r12': {'members': [{'name': 'ue-Category-v1250',
                                                                             'optional': True,
                                                                             'restricted-to': [0],
                                                                             'type': 'INTEGER'},
                                                                            '...',
                                                                            {'name': 'ue-CategoryDL-v1310',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'm1'}},
                                                                            {'name': 'ce-ModeA-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}},
                                                                            {'name': 'ce-ModeB-r13',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'true'}}],
                                                                'type': 'SEQUENCE'},
                                     'UE-TimersAndConstants': {'members': [{'name': 't300',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'ms100',
                                                                                       1: 'ms200',
                                                                                       2: 'ms300',
                                                                                       3: 'ms400',
                                                                                       4: 'ms600',
                                                                                       5: 'ms1000',
                                                                                       6: 'ms1500',
                                                                                       7: 'ms2000'}},
                                                                           {'name': 't301',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'ms100',
                                                                                       1: 'ms200',
                                                                                       2: 'ms300',
                                                                                       3: 'ms400',
                                                                                       4: 'ms600',
                                                                                       5: 'ms1000',
                                                                                       6: 'ms1500',
                                                                                       7: 'ms2000'}},
                                                                           {'name': 't310',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'ms0',
                                                                                       1: 'ms50',
                                                                                       2: 'ms100',
                                                                                       3: 'ms200',
                                                                                       4: 'ms500',
                                                                                       5: 'ms1000',
                                                                                       6: 'ms2000'}},
                                                                           {'name': 'n310',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'n1',
                                                                                       1: 'n2',
                                                                                       2: 'n3',
                                                                                       3: 'n4',
                                                                                       4: 'n6',
                                                                                       5: 'n8',
                                                                                       6: 'n10',
                                                                                       7: 'n20'}},
                                                                           {'name': 't311',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'ms1000',
                                                                                       1: 'ms3000',
                                                                                       2: 'ms5000',
                                                                                       3: 'ms10000',
                                                                                       4: 'ms15000',
                                                                                       5: 'ms20000',
                                                                                       6: 'ms30000'}},
                                                                           {'name': 'n311',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'n1',
                                                                                       1: 'n2',
                                                                                       2: 'n3',
                                                                                       3: 'n4',
                                                                                       4: 'n5',
                                                                                       5: 'n6',
                                                                                       6: 'n8',
                                                                                       7: 'n10'}},
                                                                           '...',
                                                                           {'name': 't300-v1310',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'ms2500',
                                                                                       1: 'ms3000',
                                                                                       2: 'ms3500',
                                                                                       3: 'ms4000',
                                                                                       4: 'ms5000',
                                                                                       5: 'ms6000',
                                                                                       6: 'ms8000',
                                                                                       7: 'ms10000'}},
                                                                           {'name': 't301-v1310',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'ms2500',
                                                                                       1: 'ms3000',
                                                                                       2: 'ms3500',
                                                                                       3: 'ms4000',
                                                                                       4: 'ms5000',
                                                                                       5: 'ms6000',
                                                                                       6: 'ms8000',
                                                                                       7: 'ms10000'}},
                                                                           {'name': 't310-v1330',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'ms4000',
                                                                                       1: 'ms6000'}}],
                                                               'type': 'SEQUENCE'},
                                     'UEAssistanceInformation-r11': {'members': [{'members': [{'members': [{'name': 'ueAssistanceInformation-r11',
                                                                                                            'type': 'UEAssistanceInformation-r11-IEs'},
                                                                                                           {'name': 'spare3',
                                                                                                            'type': 'NULL'},
                                                                                                           {'name': 'spare2',
                                                                                                            'type': 'NULL'},
                                                                                                           {'name': 'spare1',
                                                                                                            'type': 'NULL'}],
                                                                                               'name': 'c1',
                                                                                               'type': 'CHOICE'},
                                                                                              {'members': [],
                                                                                               'name': 'criticalExtensionsFuture',
                                                                                               'type': 'SEQUENCE'}],
                                                                                  'name': 'criticalExtensions',
                                                                                  'type': 'CHOICE'}],
                                                                     'type': 'SEQUENCE'},
                                     'UEAssistanceInformation-r11-IEs': {'members': [{'name': 'powerPrefIndication-r11',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'normal',
                                                                                                 1: 'lowPowerConsumption'}},
                                                                                     {'name': 'lateNonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'UEAssistanceInformation-v1430-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'UEAssistanceInformation-v1430-IEs': {'members': [{'name': 'bw-Preference-r14',
                                                                                        'optional': True,
                                                                                        'type': 'BW-Preference-r14'},
                                                                                       {'members': [{'name': 'trafficPatternInfoListSL-r14',
                                                                                                     'optional': True,
                                                                                                     'type': 'TrafficPatternInfoList-r14'},
                                                                                                    {'name': 'trafficPatternInfoListUL-r14',
                                                                                                     'optional': True,
                                                                                                     'type': 'TrafficPatternInfoList-r14'}],
                                                                                        'name': 'sps-AssistanceInformation-r14',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'},
                                                                                       {'members': [{'name': 'rlm-Event-r14',
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'earlyOutOfSync',
                                                                                                                1: 'earlyInSync'}},
                                                                                                    {'name': 'excessRep-MPDCCH-r14',
                                                                                                     'optional': True,
                                                                                                     'type': 'ENUMERATED',
                                                                                                     'values': {0: 'excessRep1',
                                                                                                                1: 'excessRep2'}}],
                                                                                        'name': 'rlm-Report-r14',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'},
                                                                                       {'name': 'delayBudgetReport-r14',
                                                                                        'optional': True,
                                                                                        'type': 'DelayBudgetReport-r14'},
                                                                                       {'members': [],
                                                                                        'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'}],
                                                                           'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                          'type': 'RRC-TransactionIdentifier'},
                                                                         {'members': [{'members': [{'name': 'ueCapabilityEnquiry-r8',
                                                                                                    'type': 'UECapabilityEnquiry-r8-IEs'},
                                                                                                   {'name': 'spare3',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare2',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare1',
                                                                                                    'type': 'NULL'}],
                                                                                       'name': 'c1',
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [],
                                                                                       'name': 'criticalExtensionsFuture',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'criticalExtensions',
                                                                          'type': 'CHOICE'}],
                                                             'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry-r8-IEs': {'members': [{'name': 'ue-CapabilityRequest',
                                                                                 'type': 'UE-CapabilityRequest'},
                                                                                {'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'UECapabilityEnquiry-v8a0-IEs'}],
                                                                    'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry-v1180-IEs': {'members': [{'element': {'type': 'FreqBandIndicator-r11'},
                                                                                    'name': 'requestedFrequencyBands-r11',
                                                                                    'optional': True,
                                                                                    'size': [(1,
                                                                                              16)],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UECapabilityEnquiry-v1310-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry-v1310-IEs': {'members': [{'name': 'requestReducedFormat-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'name': 'requestSkipFallbackComb-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'name': 'requestedMaxCCsDL-r13',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(2,
                                                                                                       32)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'requestedMaxCCsUL-r13',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(2,
                                                                                                       32)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'requestReducedIntNonContComb-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UECapabilityEnquiry-v1430-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry-v1430-IEs': {'members': [{'name': 'requestDiffFallbackCombList-r14',
                                                                                    'optional': True,
                                                                                    'type': 'BandCombinationList-r14'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UECapabilityEnquiry-v1180-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UECapabilityInformation': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                              'type': 'RRC-TransactionIdentifier'},
                                                                             {'members': [{'members': [{'name': 'ueCapabilityInformation-r8',
                                                                                                        'type': 'UECapabilityInformation-r8-IEs'},
                                                                                                       {'name': 'spare7',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare6',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare5',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare4',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare3',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare2',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare1',
                                                                                                        'type': 'NULL'}],
                                                                                           'name': 'c1',
                                                                                           'type': 'CHOICE'},
                                                                                          {'members': [],
                                                                                           'name': 'criticalExtensionsFuture',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'criticalExtensions',
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                     'UECapabilityInformation-r8-IEs': {'members': [{'name': 'ue-CapabilityRAT-ContainerList',
                                                                                     'type': 'UE-CapabilityRAT-ContainerList'},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'UECapabilityInformation-v8a0-IEs'}],
                                                                        'type': 'SEQUENCE'},
                                     'UECapabilityInformation-v1250-IEs': {'members': [{'name': 'ue-RadioPagingInfo-r12',
                                                                                        'optional': True,
                                                                                        'type': 'UE-RadioPagingInfo-r12'},
                                                                                       {'members': [],
                                                                                        'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'}],
                                                                           'type': 'SEQUENCE'},
                                     'UECapabilityInformation-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      {'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'UECapabilityInformation-v1250-IEs'}],
                                                                          'type': 'SEQUENCE'},
                                     'UEInformationRequest-r9': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                              'type': 'RRC-TransactionIdentifier'},
                                                                             {'members': [{'members': [{'name': 'ueInformationRequest-r9',
                                                                                                        'type': 'UEInformationRequest-r9-IEs'},
                                                                                                       {'name': 'spare3',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare2',
                                                                                                        'type': 'NULL'},
                                                                                                       {'name': 'spare1',
                                                                                                        'type': 'NULL'}],
                                                                                           'name': 'c1',
                                                                                           'type': 'CHOICE'},
                                                                                          {'members': [],
                                                                                           'name': 'criticalExtensionsFuture',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'criticalExtensions',
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                     'UEInformationRequest-r9-IEs': {'members': [{'name': 'rach-ReportReq-r9',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'rlf-ReportReq-r9',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'nonCriticalExtension',
                                                                                  'optional': True,
                                                                                  'type': 'UEInformationRequest-v930-IEs'}],
                                                                     'type': 'SEQUENCE'},
                                     'UEInformationRequest-v1020-IEs': {'members': [{'name': 'logMeasReportReq-r10',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'UEInformationRequest-v1130-IEs'}],
                                                                        'type': 'SEQUENCE'},
                                     'UEInformationRequest-v1130-IEs': {'members': [{'name': 'connEstFailReportReq-r11',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'UEInformationRequest-v1250-IEs'}],
                                                                        'type': 'SEQUENCE'},
                                     'UEInformationRequest-v1250-IEs': {'members': [{'name': 'mobilityHistoryReportReq-r12',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'UEInformationRequest-v930-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'UEInformationRequest-v1020-IEs'}],
                                                                       'type': 'SEQUENCE'},
                                     'UEInformationResponse-r9': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                               'type': 'RRC-TransactionIdentifier'},
                                                                              {'members': [{'members': [{'name': 'ueInformationResponse-r9',
                                                                                                         'type': 'UEInformationResponse-r9-IEs'},
                                                                                                        {'name': 'spare3',
                                                                                                         'type': 'NULL'},
                                                                                                        {'name': 'spare2',
                                                                                                         'type': 'NULL'},
                                                                                                        {'name': 'spare1',
                                                                                                         'type': 'NULL'}],
                                                                                            'name': 'c1',
                                                                                            'type': 'CHOICE'},
                                                                                           {'members': [],
                                                                                            'name': 'criticalExtensionsFuture',
                                                                                            'type': 'SEQUENCE'}],
                                                                               'name': 'criticalExtensions',
                                                                               'type': 'CHOICE'}],
                                                                  'type': 'SEQUENCE'},
                                     'UEInformationResponse-r9-IEs': {'members': [{'members': [{'name': 'numberOfPreamblesSent-r9',
                                                                                                'type': 'NumberOfPreamblesSent-r11'},
                                                                                               {'name': 'contentionDetected-r9',
                                                                                                'type': 'BOOLEAN'}],
                                                                                   'name': 'rach-Report-r9',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'},
                                                                                  {'name': 'rlf-Report-r9',
                                                                                   'optional': True,
                                                                                   'type': 'RLF-Report-r9'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'UEInformationResponse-v930-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'UEInformationResponse-v1020-IEs': {'members': [{'name': 'logMeasReport-r10',
                                                                                      'optional': True,
                                                                                      'type': 'LogMeasReport-r10'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'UEInformationResponse-v1130-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'UEInformationResponse-v1130-IEs': {'members': [{'name': 'connEstFailReport-r11',
                                                                                      'optional': True,
                                                                                      'type': 'ConnEstFailReport-r11'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'UEInformationResponse-v1250-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'UEInformationResponse-v1250-IEs': {'members': [{'name': 'mobilityHistoryReport-r12',
                                                                                      'optional': True,
                                                                                      'type': 'MobilityHistoryReport-r12'},
                                                                                     {'members': [],
                                                                                      'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'SEQUENCE'}],
                                                                         'type': 'SEQUENCE'},
                                     'UEInformationResponse-v930-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'UEInformationResponse-v1020-IEs'}],
                                                                        'type': 'SEQUENCE'},
                                     'UEInformationResponse-v9e0-IEs': {'members': [{'name': 'rlf-Report-v9e0',
                                                                                     'optional': True,
                                                                                     'type': 'RLF-Report-v9e0'},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'UL-256QAM-perCC-Info-r14': {'members': [{'name': 'ul-256QAM-perCC-r14',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'UL-AM-RLC': {'members': [{'name': 't-PollRetransmit',
                                                                'type': 'T-PollRetransmit'},
                                                               {'name': 'pollPDU',
                                                                'type': 'PollPDU'},
                                                               {'name': 'pollByte',
                                                                'type': 'PollByte'},
                                                               {'name': 'maxRetxThreshold',
                                                                'type': 'ENUMERATED',
                                                                'values': {0: 't1',
                                                                           1: 't2',
                                                                           2: 't3',
                                                                           3: 't4',
                                                                           4: 't6',
                                                                           5: 't8',
                                                                           6: 't16',
                                                                           7: 't32'}}],
                                                   'type': 'SEQUENCE'},
                                     'UL-CCCH-Message': {'members': [{'name': 'message',
                                                                      'type': 'UL-CCCH-MessageType'}],
                                                         'type': 'SEQUENCE'},
                                     'UL-CCCH-MessageType': {'members': [{'members': [{'name': 'rrcConnectionReestablishmentRequest',
                                                                                       'type': 'RRCConnectionReestablishmentRequest'},
                                                                                      {'name': 'rrcConnectionRequest',
                                                                                       'type': 'RRCConnectionRequest'}],
                                                                          'name': 'c1',
                                                                          'type': 'CHOICE'},
                                                                         {'members': [{'members': [{'name': 'rrcConnectionResumeRequest-r13',
                                                                                                    'type': 'RRCConnectionResumeRequest-r13'}],
                                                                                       'name': 'c2',
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [],
                                                                                       'name': 'messageClassExtensionFuture-r13',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'messageClassExtension',
                                                                          'type': 'CHOICE'}],
                                                             'type': 'CHOICE'},
                                     'UL-CyclicPrefixLength': {'type': 'ENUMERATED',
                                                               'values': {0: 'len1',
                                                                          1: 'len2'}},
                                     'UL-DCCH-Message': {'members': [{'name': 'message',
                                                                      'type': 'UL-DCCH-MessageType'}],
                                                         'type': 'SEQUENCE'},
                                     'UL-DCCH-MessageType': {'members': [{'members': [{'name': 'csfbParametersRequestCDMA2000',
                                                                                       'type': 'CSFBParametersRequestCDMA2000'},
                                                                                      {'name': 'measurementReport',
                                                                                       'type': 'MeasurementReport'},
                                                                                      {'name': 'rrcConnectionReconfigurationComplete',
                                                                                       'type': 'RRCConnectionReconfigurationComplete'},
                                                                                      {'name': 'rrcConnectionReestablishmentComplete',
                                                                                       'type': 'RRCConnectionReestablishmentComplete'},
                                                                                      {'name': 'rrcConnectionSetupComplete',
                                                                                       'type': 'RRCConnectionSetupComplete'},
                                                                                      {'name': 'securityModeComplete',
                                                                                       'type': 'SecurityModeComplete'},
                                                                                      {'name': 'securityModeFailure',
                                                                                       'type': 'SecurityModeFailure'},
                                                                                      {'name': 'ueCapabilityInformation',
                                                                                       'type': 'UECapabilityInformation'},
                                                                                      {'name': 'ulHandoverPreparationTransfer',
                                                                                       'type': 'ULHandoverPreparationTransfer'},
                                                                                      {'name': 'ulInformationTransfer',
                                                                                       'type': 'ULInformationTransfer'},
                                                                                      {'name': 'counterCheckResponse',
                                                                                       'type': 'CounterCheckResponse'},
                                                                                      {'name': 'ueInformationResponse-r9',
                                                                                       'type': 'UEInformationResponse-r9'},
                                                                                      {'name': 'proximityIndication-r9',
                                                                                       'type': 'ProximityIndication-r9'},
                                                                                      {'name': 'rnReconfigurationComplete-r10',
                                                                                       'type': 'RNReconfigurationComplete-r10'},
                                                                                      {'name': 'mbmsCountingResponse-r10',
                                                                                       'type': 'MBMSCountingResponse-r10'},
                                                                                      {'name': 'interFreqRSTDMeasurementIndication-r10',
                                                                                       'type': 'InterFreqRSTDMeasurementIndication-r10'}],
                                                                          'name': 'c1',
                                                                          'type': 'CHOICE'},
                                                                         {'members': [{'members': [{'name': 'ueAssistanceInformation-r11',
                                                                                                    'type': 'UEAssistanceInformation-r11'},
                                                                                                   {'name': 'inDeviceCoexIndication-r11',
                                                                                                    'type': 'InDeviceCoexIndication-r11'},
                                                                                                   {'name': 'mbmsInterestIndication-r11',
                                                                                                    'type': 'MBMSInterestIndication-r11'},
                                                                                                   {'name': 'scgFailureInformation-r12',
                                                                                                    'type': 'SCGFailureInformation-r12'},
                                                                                                   {'name': 'sidelinkUEInformation-r12',
                                                                                                    'type': 'SidelinkUEInformation-r12'},
                                                                                                   {'name': 'wlanConnectionStatusReport-r13',
                                                                                                    'type': 'WLANConnectionStatusReport-r13'},
                                                                                                   {'name': 'rrcConnectionResumeComplete-r13',
                                                                                                    'type': 'RRCConnectionResumeComplete-r13'},
                                                                                                   {'name': 'spare9',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare8',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare7',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare6',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare5',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare4',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare3',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare2',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'spare1',
                                                                                                    'type': 'NULL'}],
                                                                                       'name': 'c2',
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [],
                                                                                       'name': 'messageClassExtensionFuture-r11',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'messageClassExtension',
                                                                          'type': 'CHOICE'}],
                                                             'type': 'CHOICE'},
                                     'UL-DelayConfig-r13': {'members': [{'name': 'release',
                                                                         'type': 'NULL'},
                                                                        {'members': [{'name': 'delayThreshold-r13',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'ms30',
                                                                                                 1: 'ms40',
                                                                                                 2: 'ms50',
                                                                                                 3: 'ms60',
                                                                                                 4: 'ms70',
                                                                                                 5: 'ms80',
                                                                                                 6: 'ms90',
                                                                                                 7: 'ms100',
                                                                                                 8: 'ms150',
                                                                                                 9: 'ms300',
                                                                                                 10: 'ms500',
                                                                                                 11: 'ms750',
                                                                                                 12: 'spare4',
                                                                                                 13: 'spare3',
                                                                                                 14: 'spare2',
                                                                                                 15: 'spare1'}}],
                                                                         'name': 'setup',
                                                                         'type': 'SEQUENCE'}],
                                                            'type': 'CHOICE'},
                                     'UL-PDCP-DelayResult-r13': {'members': [{'name': 'qci-Id-r13',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'qci1',
                                                                                         1: 'qci2',
                                                                                         2: 'qci3',
                                                                                         3: 'qci4',
                                                                                         4: 'spare4',
                                                                                         5: 'spare3',
                                                                                         6: 'spare2',
                                                                                         7: 'spare1'}},
                                                                             {'name': 'excessDelay-r13',
                                                                              'restricted-to': [(0,
                                                                                                 31)],
                                                                              'type': 'INTEGER'},
                                                                             '...'],
                                                                 'type': 'SEQUENCE'},
                                     'UL-PDCP-DelayResultList-r13': {'element': {'type': 'UL-PDCP-DelayResult-r13'},
                                                                     'size': [(1,
                                                                               'maxQCI-r13')],
                                                                     'type': 'SEQUENCE '
                                                                             'OF'},
                                     'UL-ReferenceSignalsPUSCH': {'members': [{'name': 'groupHoppingEnabled',
                                                                               'type': 'BOOLEAN'},
                                                                              {'name': 'groupAssignmentPUSCH',
                                                                               'restricted-to': [(0,
                                                                                                  29)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'sequenceHoppingEnabled',
                                                                               'type': 'BOOLEAN'},
                                                                              {'name': 'cyclicShift',
                                                                               'restricted-to': [(0,
                                                                                                  7)],
                                                                               'type': 'INTEGER'}],
                                                                  'type': 'SEQUENCE'},
                                     'UL-UM-RLC': {'members': [{'name': 'sn-FieldLength',
                                                                'type': 'SN-FieldLength'}],
                                                   'type': 'SEQUENCE'},
                                     'ULHandoverPreparationTransfer': {'members': [{'members': [{'members': [{'name': 'ulHandoverPreparationTransfer-r8',
                                                                                                              'type': 'ULHandoverPreparationTransfer-r8-IEs'},
                                                                                                             {'name': 'spare3',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare2',
                                                                                                              'type': 'NULL'},
                                                                                                             {'name': 'spare1',
                                                                                                              'type': 'NULL'}],
                                                                                                 'name': 'c1',
                                                                                                 'type': 'CHOICE'},
                                                                                                {'members': [],
                                                                                                 'name': 'criticalExtensionsFuture',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'criticalExtensions',
                                                                                    'type': 'CHOICE'}],
                                                                       'type': 'SEQUENCE'},
                                     'ULHandoverPreparationTransfer-r8-IEs': {'members': [{'name': 'cdma2000-Type',
                                                                                           'type': 'CDMA2000-Type'},
                                                                                          {'name': 'meid',
                                                                                           'optional': True,
                                                                                           'size': [56],
                                                                                           'type': 'BIT '
                                                                                                   'STRING'},
                                                                                          {'name': 'dedicatedInfo',
                                                                                           'type': 'DedicatedInfoCDMA2000'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'ULHandoverPreparationTransfer-v8a0-IEs'}],
                                                                              'type': 'SEQUENCE'},
                                     'ULHandoverPreparationTransfer-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'members': [],
                                                                                             'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'SEQUENCE'}],
                                                                                'type': 'SEQUENCE'},
                                     'ULInformationTransfer': {'members': [{'members': [{'members': [{'name': 'ulInformationTransfer-r8',
                                                                                                      'type': 'ULInformationTransfer-r8-IEs'},
                                                                                                     {'name': 'spare3',
                                                                                                      'type': 'NULL'},
                                                                                                     {'name': 'spare2',
                                                                                                      'type': 'NULL'},
                                                                                                     {'name': 'spare1',
                                                                                                      'type': 'NULL'}],
                                                                                         'name': 'c1',
                                                                                         'type': 'CHOICE'},
                                                                                        {'members': [],
                                                                                         'name': 'criticalExtensionsFuture',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'name': 'criticalExtensions',
                                                                            'type': 'CHOICE'}],
                                                               'type': 'SEQUENCE'},
                                     'ULInformationTransfer-r8-IEs': {'members': [{'members': [{'name': 'dedicatedInfoNAS',
                                                                                                'type': 'DedicatedInfoNAS'},
                                                                                               {'name': 'dedicatedInfoCDMA2000-1XRTT',
                                                                                                'type': 'DedicatedInfoCDMA2000'},
                                                                                               {'name': 'dedicatedInfoCDMA2000-HRPD',
                                                                                                'type': 'DedicatedInfoCDMA2000'}],
                                                                                   'name': 'dedicatedInfoType',
                                                                                   'type': 'CHOICE'},
                                                                                  {'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'ULInformationTransfer-v8a0-IEs'}],
                                                                      'type': 'SEQUENCE'},
                                     'ULInformationTransfer-v8a0-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'UplinkPUSCH-LessPowerControlDedicated-v1430': {'members': [{'name': 'p0-UE-PeriodicSRS-r14',
                                                                                                  'optional': True,
                                                                                                  'restricted-to': [(-8,
                                                                                                                     7)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'p0-UE-AperiodicSRS-r14',
                                                                                                  'optional': True,
                                                                                                  'restricted-to': [(-8,
                                                                                                                     7)],
                                                                                                  'type': 'INTEGER'},
                                                                                                 {'name': 'accumulationEnabled-r14',
                                                                                                  'type': 'BOOLEAN'}],
                                                                                     'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommon': {'members': [{'name': 'p0-NominalPUSCH',
                                                                               'restricted-to': [(-126,
                                                                                                  24)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'alpha',
                                                                               'type': 'Alpha-r12'},
                                                                              {'name': 'p0-NominalPUCCH',
                                                                               'restricted-to': [(-127,
                                                                                                  -96)],
                                                                               'type': 'INTEGER'},
                                                                              {'name': 'deltaFList-PUCCH',
                                                                               'type': 'DeltaFList-PUCCH'},
                                                                              {'name': 'deltaPreambleMsg3',
                                                                               'restricted-to': [(-1,
                                                                                                  6)],
                                                                               'type': 'INTEGER'}],
                                                                  'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommon-v1020': {'members': [{'name': 'deltaF-PUCCH-Format3-r10',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'deltaF-1',
                                                                                                1: 'deltaF0',
                                                                                                2: 'deltaF1',
                                                                                                3: 'deltaF2',
                                                                                                4: 'deltaF3',
                                                                                                5: 'deltaF4',
                                                                                                6: 'deltaF5',
                                                                                                7: 'deltaF6'}},
                                                                                    {'name': 'deltaF-PUCCH-Format1bCS-r10',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'deltaF1',
                                                                                                1: 'deltaF2',
                                                                                                2: 'spare2',
                                                                                                3: 'spare1'}}],
                                                                        'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommon-v1310': {'members': [{'name': 'deltaF-PUCCH-Format4-r13',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'deltaF16',
                                                                                                1: 'deltaF15',
                                                                                                2: 'deltaF14',
                                                                                                3: 'deltaF13',
                                                                                                4: 'deltaF12',
                                                                                                5: 'deltaF11',
                                                                                                6: 'deltaF10',
                                                                                                7: 'spare1'}},
                                                                                    {'name': 'deltaF-PUCCH-Format5-13',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'deltaF13',
                                                                                                1: 'deltaF12',
                                                                                                2: 'deltaF11',
                                                                                                3: 'deltaF10',
                                                                                                4: 'deltaF9',
                                                                                                5: 'deltaF8',
                                                                                                6: 'deltaF7',
                                                                                                7: 'spare1'}}],
                                                                        'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommonPSCell-r12': {'members': [{'name': 'deltaF-PUCCH-Format3-r12',
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'deltaF-1',
                                                                                                    1: 'deltaF0',
                                                                                                    2: 'deltaF1',
                                                                                                    3: 'deltaF2',
                                                                                                    4: 'deltaF3',
                                                                                                    5: 'deltaF4',
                                                                                                    6: 'deltaF5',
                                                                                                    7: 'deltaF6'}},
                                                                                        {'name': 'deltaF-PUCCH-Format1bCS-r12',
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'deltaF1',
                                                                                                    1: 'deltaF2',
                                                                                                    2: 'spare2',
                                                                                                    3: 'spare1'}},
                                                                                        {'name': 'p0-NominalPUCCH-r12',
                                                                                         'restricted-to': [(-127,
                                                                                                            -96)],
                                                                                         'type': 'INTEGER'},
                                                                                        {'name': 'deltaFList-PUCCH-r12',
                                                                                         'type': 'DeltaFList-PUCCH'}],
                                                                            'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommonPUSCH-LessCell-v1430': {'members': [{'name': 'p0-Nominal-PeriodicSRS-r14',
                                                                                                   'optional': True,
                                                                                                   'restricted-to': [(-126,
                                                                                                                      24)],
                                                                                                   'type': 'INTEGER'},
                                                                                                  {'name': 'p0-Nominal-AperiodicSRS-r14',
                                                                                                   'optional': True,
                                                                                                   'restricted-to': [(-126,
                                                                                                                      24)],
                                                                                                   'type': 'INTEGER'},
                                                                                                  {'name': 'alpha-SRS-r14',
                                                                                                   'optional': True,
                                                                                                   'type': 'Alpha-r12'}],
                                                                                      'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommonSCell-r10': {'members': [{'name': 'p0-NominalPUSCH-r10',
                                                                                        'restricted-to': [(-126,
                                                                                                           24)],
                                                                                        'type': 'INTEGER'},
                                                                                       {'name': 'alpha-r10',
                                                                                        'type': 'Alpha-r12'}],
                                                                           'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommonSCell-v1130': {'members': [{'name': 'deltaPreambleMsg3-r11',
                                                                                          'restricted-to': [(-1,
                                                                                                             6)],
                                                                                          'type': 'INTEGER'}],
                                                                             'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommonSCell-v1310': {'members': [{'name': 'p0-NominalPUCCH',
                                                                                          'restricted-to': [(-127,
                                                                                                             -96)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'deltaFList-PUCCH',
                                                                                          'type': 'DeltaFList-PUCCH'},
                                                                                         {'name': 'deltaF-PUCCH-Format3-r12',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'deltaF-1',
                                                                                                     1: 'deltaF0',
                                                                                                     2: 'deltaF1',
                                                                                                     3: 'deltaF2',
                                                                                                     4: 'deltaF3',
                                                                                                     5: 'deltaF4',
                                                                                                     6: 'deltaF5',
                                                                                                     7: 'deltaF6'}},
                                                                                         {'name': 'deltaF-PUCCH-Format1bCS-r12',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'deltaF1',
                                                                                                     1: 'deltaF2',
                                                                                                     2: 'spare2',
                                                                                                     3: 'spare1'}},
                                                                                         {'name': 'deltaF-PUCCH-Format4-r13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'deltaF16',
                                                                                                     1: 'deltaF15',
                                                                                                     2: 'deltaF14',
                                                                                                     3: 'deltaF13',
                                                                                                     4: 'deltaF12',
                                                                                                     5: 'deltaF11',
                                                                                                     6: 'deltaF10',
                                                                                                     7: 'spare1'}},
                                                                                         {'name': 'deltaF-PUCCH-Format5-13',
                                                                                          'optional': True,
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'deltaF13',
                                                                                                     1: 'deltaF12',
                                                                                                     2: 'deltaF11',
                                                                                                     3: 'deltaF10',
                                                                                                     4: 'deltaF9',
                                                                                                     5: 'deltaF8',
                                                                                                     6: 'deltaF7',
                                                                                                     7: 'spare1'}}],
                                                                             'type': 'SEQUENCE'},
                                     'UplinkPowerControlDedicated': {'members': [{'name': 'p0-UE-PUSCH',
                                                                                  'restricted-to': [(-8,
                                                                                                     7)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'deltaMCS-Enabled',
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'en0',
                                                                                             1: 'en1'}},
                                                                                 {'name': 'accumulationEnabled',
                                                                                  'type': 'BOOLEAN'},
                                                                                 {'name': 'p0-UE-PUCCH',
                                                                                  'restricted-to': [(-8,
                                                                                                     7)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'pSRS-Offset',
                                                                                  'restricted-to': [(0,
                                                                                                     15)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'default': 'fc4',
                                                                                  'name': 'filterCoefficient',
                                                                                  'type': 'FilterCoefficient'}],
                                                                     'type': 'SEQUENCE'},
                                     'UplinkPowerControlDedicated-v1020': {'members': [{'name': 'deltaTxD-OffsetListPUCCH-r10',
                                                                                        'optional': True,
                                                                                        'type': 'DeltaTxD-OffsetListPUCCH-r10'},
                                                                                       {'name': 'pSRS-OffsetAp-r10',
                                                                                        'optional': True,
                                                                                        'restricted-to': [(0,
                                                                                                           15)],
                                                                                        'type': 'INTEGER'}],
                                                                           'type': 'SEQUENCE'},
                                     'UplinkPowerControlDedicated-v1130': {'members': [{'name': 'pSRS-Offset-v1130',
                                                                                        'optional': True,
                                                                                        'restricted-to': [(16,
                                                                                                           31)],
                                                                                        'type': 'INTEGER'},
                                                                                       {'name': 'pSRS-OffsetAp-v1130',
                                                                                        'optional': True,
                                                                                        'restricted-to': [(16,
                                                                                                           31)],
                                                                                        'type': 'INTEGER'},
                                                                                       {'name': 'deltaTxD-OffsetListPUCCH-v1130',
                                                                                        'optional': True,
                                                                                        'type': 'DeltaTxD-OffsetListPUCCH-v1130'}],
                                                                           'type': 'SEQUENCE'},
                                     'UplinkPowerControlDedicated-v1250': {'members': [{'members': [{'name': 'release',
                                                                                                     'type': 'NULL'},
                                                                                                    {'members': [{'name': 'tpc-SubframeSet-r12',
                                                                                                                  'size': [10],
                                                                                                                  'type': 'BIT '
                                                                                                                          'STRING'},
                                                                                                                 {'name': 'p0-NominalPUSCH-SubframeSet2-r12',
                                                                                                                  'restricted-to': [(-126,
                                                                                                                                     24)],
                                                                                                                  'type': 'INTEGER'},
                                                                                                                 {'name': 'alpha-SubframeSet2-r12',
                                                                                                                  'type': 'Alpha-r12'},
                                                                                                                 {'name': 'p0-UE-PUSCH-SubframeSet2-r12',
                                                                                                                  'restricted-to': [(-8,
                                                                                                                                     7)],
                                                                                                                  'type': 'INTEGER'}],
                                                                                                     'name': 'setup',
                                                                                                     'type': 'SEQUENCE'}],
                                                                                        'name': 'set2PowerControlParameter',
                                                                                        'type': 'CHOICE'}],
                                                                           'type': 'SEQUENCE'},
                                     'UplinkPowerControlDedicatedSCell-r10': {'members': [{'name': 'p0-UE-PUSCH-r10',
                                                                                           'restricted-to': [(-8,
                                                                                                              7)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'deltaMCS-Enabled-r10',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'en0',
                                                                                                      1: 'en1'}},
                                                                                          {'name': 'accumulationEnabled-r10',
                                                                                           'type': 'BOOLEAN'},
                                                                                          {'name': 'pSRS-Offset-r10',
                                                                                           'restricted-to': [(0,
                                                                                                              15)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'name': 'pSRS-OffsetAp-r10',
                                                                                           'optional': True,
                                                                                           'restricted-to': [(0,
                                                                                                              15)],
                                                                                           'type': 'INTEGER'},
                                                                                          {'default': 'fc4',
                                                                                           'name': 'filterCoefficient-r10',
                                                                                           'type': 'FilterCoefficient'},
                                                                                          {'name': 'pathlossReferenceLinking-r10',
                                                                                           'type': 'ENUMERATED',
                                                                                           'values': {0: 'pCell',
                                                                                                      1: 'sCell'}}],
                                                                              'type': 'SEQUENCE'},
                                     'UplinkPowerControlDedicatedSCell-v1310': {'members': [{'name': 'p0-UE-PUCCH',
                                                                                             'restricted-to': [(-8,
                                                                                                                7)],
                                                                                             'type': 'INTEGER'},
                                                                                            {'name': 'deltaTxD-OffsetListPUCCH-r10',
                                                                                             'optional': True,
                                                                                             'type': 'DeltaTxD-OffsetListPUCCH-r10'}],
                                                                                'type': 'SEQUENCE'},
                                     'V2X-BandCombinationParameters-r14': {'element': {'type': 'V2X-BandParameters-r14'},
                                                                           'size': [(1,
                                                                                     'maxSimultaneousBands-r10')],
                                                                           'type': 'SEQUENCE '
                                                                                   'OF'},
                                     'V2X-BandParameters-r14': {'members': [{'name': 'v2x-FreqBandEUTRA-r14',
                                                                             'type': 'FreqBandIndicator-r11'},
                                                                            {'name': 'bandParametersTxSL-r14',
                                                                             'optional': True,
                                                                             'type': 'BandParametersTxSL-r14'},
                                                                            {'name': 'bandParametersRxSL-r14',
                                                                             'optional': True,
                                                                             'type': 'BandParametersRxSL-r14'}],
                                                                'type': 'SEQUENCE'},
                                     'V2X-BandwidthClass-r14': {'type': 'ENUMERATED',
                                                                'values': {0: 'a',
                                                                           1: 'b',
                                                                           2: 'c',
                                                                           3: 'd',
                                                                           4: 'e',
                                                                           5: 'f',
                                                                           6: '...'}},
                                     'V2X-BandwidthClassSL-r14': {'element': {'type': 'V2X-BandwidthClass-r14'},
                                                                  'size': [(1,
                                                                            'maxBandwidthClass-r10')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'V2X-SupportedBandCombination-r14': {'element': {'type': 'V2X-BandCombinationParameters-r14'},
                                                                          'size': [(1,
                                                                                    'maxBandComb-r13')],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                     'VictimSystemType-r11': {'members': [{'name': 'gps-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'true'}},
                                                                          {'name': 'glonass-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'true'}},
                                                                          {'name': 'bds-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'true'}},
                                                                          {'name': 'galileo-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'true'}},
                                                                          {'name': 'wlan-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'true'}},
                                                                          {'name': 'bluetooth-r11',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'true'}}],
                                                              'type': 'SEQUENCE'},
                                     'VisitedCellInfo-r12': {'members': [{'members': [{'name': 'cellGlobalId-r12',
                                                                                       'type': 'CellGlobalIdEUTRA'},
                                                                                      {'members': [{'name': 'physCellId-r12',
                                                                                                    'type': 'PhysCellId'},
                                                                                                   {'name': 'carrierFreq-r12',
                                                                                                    'type': 'ARFCN-ValueEUTRA-r9'}],
                                                                                       'name': 'pci-arfcn-r12',
                                                                                       'type': 'SEQUENCE'}],
                                                                          'name': 'visitedCellId-r12',
                                                                          'optional': True,
                                                                          'type': 'CHOICE'},
                                                                         {'name': 'timeSpent-r12',
                                                                          'restricted-to': [(0,
                                                                                             4095)],
                                                                          'type': 'INTEGER'},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'VisitedCellInfoList-r12': {'element': {'type': 'VisitedCellInfo-r12'},
                                                                 'size': [(1,
                                                                           'maxCellHistory-r12')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'WLAN-BandIndicator-r13': {'type': 'ENUMERATED',
                                                                'values': {0: 'band2dot4',
                                                                           1: 'band5',
                                                                           2: 'band60-v1430',
                                                                           3: 'spare5',
                                                                           4: 'spare4',
                                                                           5: 'spare3',
                                                                           6: 'spare2',
                                                                           7: 'spare1',
                                                                           8: '...'}},
                                     'WLAN-CarrierInfo-r13': {'members': [{'name': 'operatingClass-r13',
                                                                           'optional': True,
                                                                           'restricted-to': [(0,
                                                                                              255)],
                                                                           'type': 'INTEGER'},
                                                                          {'name': 'countryCode-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'unitedStates',
                                                                                      1: 'europe',
                                                                                      2: 'japan',
                                                                                      3: 'global',
                                                                                      4: '...'}},
                                                                          {'name': 'channelNumbers-r13',
                                                                           'optional': True,
                                                                           'type': 'WLAN-ChannelList-r13'},
                                                                          '...'],
                                                              'type': 'SEQUENCE'},
                                     'WLAN-Channel-r13': {'restricted-to': [(0,
                                                                             255)],
                                                          'type': 'INTEGER'},
                                     'WLAN-ChannelList-r13': {'element': {'type': 'WLAN-Channel-r13'},
                                                              'size': [(1,
                                                                        'maxWLAN-Channels-r13')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'WLAN-IW-Parameters-r12': {'members': [{'name': 'wlan-IW-RAN-Rules-r12',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}},
                                                                            {'name': 'wlan-IW-ANDSF-Policies-r12',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'WLAN-IW-Parameters-v1310': {'members': [{'name': 'rclwi-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'supported'}}],
                                                                  'type': 'SEQUENCE'},
                                     'WLAN-Id-List-r12': {'element': {'type': 'WLAN-Identifiers-r12'},
                                                          'size': [(1,
                                                                    'maxWLAN-Id-r12')],
                                                          'type': 'SEQUENCE '
                                                                  'OF'},
                                     'WLAN-Id-List-r13': {'element': {'type': 'WLAN-Identifiers-r12'},
                                                          'size': [(1,
                                                                    'maxWLAN-Id-r13')],
                                                          'type': 'SEQUENCE '
                                                                  'OF'},
                                     'WLAN-Identifiers-r12': {'members': [{'name': 'ssid-r12',
                                                                           'optional': True,
                                                                           'size': [(1,
                                                                                     32)],
                                                                           'type': 'OCTET '
                                                                                   'STRING'},
                                                                          {'name': 'bssid-r12',
                                                                           'optional': True,
                                                                           'size': [6],
                                                                           'type': 'OCTET '
                                                                                   'STRING'},
                                                                          {'name': 'hessid-r12',
                                                                           'optional': True,
                                                                           'size': [6],
                                                                           'type': 'OCTET '
                                                                                   'STRING'},
                                                                          '...'],
                                                              'type': 'SEQUENCE'},
                                     'WLAN-MobilityConfig-r13': {'members': [{'name': 'wlan-ToReleaseList-r13',
                                                                              'optional': True,
                                                                              'type': 'WLAN-Id-List-r13'},
                                                                             {'name': 'wlan-ToAddList-r13',
                                                                              'optional': True,
                                                                              'type': 'WLAN-Id-List-r13'},
                                                                             {'name': 'associationTimer-r13',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 's10',
                                                                                         1: 's30',
                                                                                         2: 's60',
                                                                                         3: 's120',
                                                                                         4: 's240'}},
                                                                             {'name': 'successReportRequested-r13',
                                                                              'optional': True,
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'true'}},
                                                                             '...',
                                                                             {'name': 'wlan-SuspendConfig-r14',
                                                                              'optional': True,
                                                                              'type': 'WLAN-SuspendConfig-r14'}],
                                                                 'type': 'SEQUENCE'},
                                     'WLAN-OffloadConfig-r12': {'members': [{'members': [{'name': 'thresholdRSRP-Low-r12',
                                                                                          'type': 'RSRP-Range'},
                                                                                         {'name': 'thresholdRSRP-High-r12',
                                                                                          'type': 'RSRP-Range'}],
                                                                             'name': 'thresholdRSRP-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'thresholdRSRQ-Low-r12',
                                                                                          'type': 'RSRQ-Range'},
                                                                                         {'name': 'thresholdRSRQ-High-r12',
                                                                                          'type': 'RSRQ-Range'}],
                                                                             'name': 'thresholdRSRQ-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'thresholdRSRQ-OnAllSymbolsWithWB-Low-r12',
                                                                                          'type': 'RSRQ-Range'},
                                                                                         {'name': 'thresholdRSRQ-OnAllSymbolsWithWB-High-r12',
                                                                                          'type': 'RSRQ-Range'}],
                                                                             'name': 'thresholdRSRQ-OnAllSymbolsWithWB-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'thresholdRSRQ-OnAllSymbolsLow-r12',
                                                                                          'type': 'RSRQ-Range'},
                                                                                         {'name': 'thresholdRSRQ-OnAllSymbolsHigh-r12',
                                                                                          'type': 'RSRQ-Range'}],
                                                                             'name': 'thresholdRSRQ-OnAllSymbols-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'thresholdRSRQ-WB-Low-r12',
                                                                                          'type': 'RSRQ-Range'},
                                                                                         {'name': 'thresholdRSRQ-WB-High-r12',
                                                                                          'type': 'RSRQ-Range'}],
                                                                             'name': 'thresholdRSRQ-WB-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'thresholdChannelUtilizationLow-r12',
                                                                                          'restricted-to': [(0,
                                                                                                             255)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'thresholdChannelUtilizationHigh-r12',
                                                                                          'restricted-to': [(0,
                                                                                                             255)],
                                                                                          'type': 'INTEGER'}],
                                                                             'name': 'thresholdChannelUtilization-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'thresholdBackhaulDL-BandwidthLow-r12',
                                                                                          'type': 'WLAN-backhaulRate-r12'},
                                                                                         {'name': 'thresholdBackhaulDL-BandwidthHigh-r12',
                                                                                          'type': 'WLAN-backhaulRate-r12'},
                                                                                         {'name': 'thresholdBackhaulUL-BandwidthLow-r12',
                                                                                          'type': 'WLAN-backhaulRate-r12'},
                                                                                         {'name': 'thresholdBackhaulUL-BandwidthHigh-r12',
                                                                                          'type': 'WLAN-backhaulRate-r12'}],
                                                                             'name': 'thresholdBackhaul-Bandwidth-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'members': [{'name': 'thresholdWLAN-RSSI-Low-r12',
                                                                                          'restricted-to': [(0,
                                                                                                             255)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'thresholdWLAN-RSSI-High-r12',
                                                                                          'restricted-to': [(0,
                                                                                                             255)],
                                                                                          'type': 'INTEGER'}],
                                                                             'name': 'thresholdWLAN-RSSI-r12',
                                                                             'optional': True,
                                                                             'type': 'SEQUENCE'},
                                                                            {'name': 'offloadPreferenceIndicator-r12',
                                                                             'optional': True,
                                                                             'size': [16],
                                                                             'type': 'BIT '
                                                                                     'STRING'},
                                                                            {'name': 't-SteeringWLAN-r12',
                                                                             'optional': True,
                                                                             'type': 'T-Reselection'},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'WLAN-OffloadInfoPerPLMN-r12': {'members': [{'name': 'wlan-OffloadConfigCommon-r12',
                                                                                  'optional': True,
                                                                                  'type': 'WLAN-OffloadConfig-r12'},
                                                                                 {'name': 'wlan-Id-List-r12',
                                                                                  'optional': True,
                                                                                  'type': 'WLAN-Id-List-r12'},
                                                                                 '...'],
                                                                     'type': 'SEQUENCE'},
                                     'WLAN-RSSI-Range-r13': {'restricted-to': [(0,
                                                                                141)],
                                                             'type': 'INTEGER'},
                                     'WLAN-Status-r13': {'type': 'ENUMERATED',
                                                         'values': {0: 'successfulAssociation',
                                                                    1: 'failureWlanRadioLink',
                                                                    2: 'failureWlanUnavailable',
                                                                    3: 'failureTimeout'}},
                                     'WLAN-Status-v1430': {'type': 'ENUMERATED',
                                                           'values': {0: 'suspended',
                                                                      1: 'resumed'}},
                                     'WLAN-SuspendConfig-r14': {'members': [{'name': 'wlan-SuspendResumeAllowed-r14',
                                                                             'optional': True,
                                                                             'type': 'BOOLEAN'},
                                                                            {'name': 'wlan-SuspendTriggersStatusReport-r14',
                                                                             'optional': True,
                                                                             'type': 'BOOLEAN'}],
                                                                'type': 'SEQUENCE'},
                                     'WLAN-backhaulRate-r12': {'type': 'ENUMERATED',
                                                               'values': {0: 'r0',
                                                                          1: 'r4',
                                                                          2: 'r8',
                                                                          3: 'r16',
                                                                          4: 'r32',
                                                                          5: 'r64',
                                                                          6: 'r128',
                                                                          7: 'r256',
                                                                          8: 'r512',
                                                                          9: 'r1024',
                                                                          10: 'r2048',
                                                                          11: 'r4096',
                                                                          12: 'r8192',
                                                                          13: 'r16384',
                                                                          14: 'r32768',
                                                                          15: 'r65536',
                                                                          16: 'r131072',
                                                                          17: 'r262144',
                                                                          18: 'r524288',
                                                                          19: 'r1048576',
                                                                          20: 'r2097152',
                                                                          21: 'r4194304',
                                                                          22: 'r8388608',
                                                                          23: 'r16777216',
                                                                          24: 'r33554432',
                                                                          25: 'r67108864',
                                                                          26: 'r134217728',
                                                                          27: 'r268435456',
                                                                          28: 'r536870912',
                                                                          29: 'r1073741824',
                                                                          30: 'r2147483648',
                                                                          31: 'r4294967296'}},
                                     'WLANConnectionStatusReport-r13': {'members': [{'members': [{'members': [{'name': 'wlanConnectionStatusReport-r13',
                                                                                                               'type': 'WLANConnectionStatusReport-r13-IEs'},
                                                                                                              {'name': 'spare3',
                                                                                                               'type': 'NULL'},
                                                                                                              {'name': 'spare2',
                                                                                                               'type': 'NULL'},
                                                                                                              {'name': 'spare1',
                                                                                                               'type': 'NULL'}],
                                                                                                  'name': 'c1',
                                                                                                  'type': 'CHOICE'},
                                                                                                 {'members': [],
                                                                                                  'name': 'criticalExtensionsFuture',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'criticalExtensions',
                                                                                     'type': 'CHOICE'}],
                                                                        'type': 'SEQUENCE'},
                                     'WLANConnectionStatusReport-r13-IEs': {'members': [{'name': 'wlan-Status-r13',
                                                                                         'type': 'WLAN-Status-r13'},
                                                                                        {'name': 'lateNonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'OCTET '
                                                                                                 'STRING'},
                                                                                        {'name': 'nonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'WLANConnectionStatusReport-v1430-IEs'}],
                                                                            'type': 'SEQUENCE'},
                                     'WLANConnectionStatusReport-v1430-IEs': {'members': [{'name': 'wlan-Status-v1430',
                                                                                           'type': 'WLAN-Status-v1430'},
                                                                                          {'members': [],
                                                                                           'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'},
                                     'WhiteCellsToAddMod-r13': {'members': [{'name': 'cellIndex-r13',
                                                                             'restricted-to': [(1,
                                                                                                'maxCellMeas')],
                                                                             'type': 'INTEGER'},
                                                                            {'name': 'physCellIdRange-r13',
                                                                             'type': 'PhysCellIdRange'}],
                                                                'type': 'SEQUENCE'},
                                     'WhiteCellsToAddModList-r13': {'element': {'type': 'WhiteCellsToAddMod-r13'},
                                                                    'size': [(1,
                                                                              'maxCellMeas')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'ZeroTxPowerCSI-RS-Conf-r12': {'members': [{'name': 'release',
                                                                                 'type': 'NULL'},
                                                                                {'name': 'setup',
                                                                                 'type': 'ZeroTxPowerCSI-RS-r12'}],
                                                                    'type': 'CHOICE'},
                                     'ZeroTxPowerCSI-RS-r12': {'members': [{'name': 'zeroTxPowerResourceConfigList-r12',
                                                                            'size': [16],
                                                                            'type': 'BIT '
                                                                                    'STRING'},
                                                                           {'name': 'zeroTxPowerSubframeConfig-r12',
                                                                            'restricted-to': [(0,
                                                                                               154)],
                                                                            'type': 'INTEGER'}],
                                                               'type': 'SEQUENCE'}},
                           'values': {'maxACDC-Cat-r13': {'type': 'INTEGER',
                                                          'value': 16},
                                      'maxAvailNarrowBands-r13': {'type': 'INTEGER',
                                                                  'value': 16},
                                      'maxBandComb-r10': {'type': 'INTEGER',
                                                          'value': 128},
                                      'maxBandComb-r11': {'type': 'INTEGER',
                                                          'value': 256},
                                      'maxBandComb-r13': {'type': 'INTEGER',
                                                          'value': 384},
                                      'maxBands': {'type': 'INTEGER',
                                                   'value': 64},
                                      'maxBandwidthClass-r10': {'type': 'INTEGER',
                                                                'value': 16},
                                      'maxBandwidthCombSet-r10': {'type': 'INTEGER',
                                                                  'value': 32},
                                      'maxCBR-Level-1-r14': {'type': 'INTEGER',
                                                             'value': 15},
                                      'maxCBR-Level-r14': {'type': 'INTEGER',
                                                           'value': 16},
                                      'maxCBR-Report-r14': {'type': 'INTEGER',
                                                            'value': 72},
                                      'maxCDMA-BandClass': {'type': 'INTEGER',
                                                            'value': 32},
                                      'maxCE-Level-r13': {'type': 'INTEGER',
                                                          'value': 4},
                                      'maxCQI-ProcExt-r11': {'type': 'INTEGER',
                                                             'value': 3},
                                      'maxCSI-IM-r11': {'type': 'INTEGER',
                                                        'value': 3},
                                      'maxCSI-IM-r12': {'type': 'INTEGER',
                                                        'value': 4},
                                      'maxCSI-IM-r13': {'type': 'INTEGER',
                                                        'value': 24},
                                      'maxCSI-IM-v1310': {'type': 'INTEGER',
                                                          'value': 20},
                                      'maxCSI-Proc-r11': {'type': 'INTEGER',
                                                          'value': 4},
                                      'maxCSI-RS-Meas-r12': {'type': 'INTEGER',
                                                             'value': 96},
                                      'maxCSI-RS-NZP-r11': {'type': 'INTEGER',
                                                            'value': 3},
                                      'maxCSI-RS-NZP-r13': {'type': 'INTEGER',
                                                            'value': 24},
                                      'maxCSI-RS-NZP-v1310': {'type': 'INTEGER',
                                                              'value': 21},
                                      'maxCSI-RS-ZP-r11': {'type': 'INTEGER',
                                                           'value': 4},
                                      'maxCellBlack': {'type': 'INTEGER',
                                                       'value': 16},
                                      'maxCellHistory-r12': {'type': 'INTEGER',
                                                             'value': 16},
                                      'maxCellInfoGERAN-r9': {'type': 'INTEGER',
                                                              'value': 32},
                                      'maxCellInfoUTRA-r9': {'type': 'INTEGER',
                                                             'value': 16},
                                      'maxCellInter': {'type': 'INTEGER',
                                                       'value': 16},
                                      'maxCellIntra': {'type': 'INTEGER',
                                                       'value': 16},
                                      'maxCellListGERAN': {'type': 'INTEGER',
                                                           'value': 3},
                                      'maxCellMeas': {'type': 'INTEGER',
                                                      'value': 32},
                                      'maxCellReport': {'type': 'INTEGER',
                                                        'value': 8},
                                      'maxCombIDC-r11': {'type': 'INTEGER',
                                                         'value': 128},
                                      'maxConfigSPS-r14': {'type': 'INTEGER',
                                                           'value': 8},
                                      'maxDRB': {'type': 'INTEGER',
                                                 'value': 11},
                                      'maxDS-Duration-r12': {'type': 'INTEGER',
                                                             'value': 5},
                                      'maxDS-ZTP-CSI-RS-r12': {'type': 'INTEGER',
                                                               'value': 5},
                                      'maxEARFCN': {'type': 'INTEGER',
                                                    'value': 65535},
                                      'maxEARFCN-Plus1': {'type': 'INTEGER',
                                                          'value': 65536},
                                      'maxEARFCN2': {'type': 'INTEGER',
                                                     'value': 262143},
                                      'maxEPDCCH-Set-r11': {'type': 'INTEGER',
                                                            'value': 2},
                                      'maxFBI': {'type': 'INTEGER',
                                                 'value': 64},
                                      'maxFBI-Plus1': {'type': 'INTEGER',
                                                       'value': 65},
                                      'maxFBI2': {'type': 'INTEGER',
                                                  'value': 256},
                                      'maxFreq': {'type': 'INTEGER',
                                                  'value': 8},
                                      'maxFreqIDC-r11': {'type': 'INTEGER',
                                                         'value': 32},
                                      'maxFreqMBMS-r11': {'type': 'INTEGER',
                                                          'value': 5},
                                      'maxFreqUTRA-TDD-r10': {'type': 'INTEGER',
                                                              'value': 6},
                                      'maxFreqV2X-1-r14': {'type': 'INTEGER',
                                                           'value': 7},
                                      'maxFreqV2X-r14': {'type': 'INTEGER',
                                                         'value': 8},
                                      'maxGERAN-SI': {'type': 'INTEGER',
                                                      'value': 10},
                                      'maxGNFG': {'type': 'INTEGER',
                                                  'value': 16},
                                      'maxLCG-r13': {'type': 'INTEGER',
                                                     'value': 4},
                                      'maxLogMeasReport-r10': {'type': 'INTEGER',
                                                               'value': 520},
                                      'maxMBMS-ServiceListPerUE-r13': {'type': 'INTEGER',
                                                                       'value': 15},
                                      'maxMBSFN-Allocations': {'type': 'INTEGER',
                                                               'value': 8},
                                      'maxMBSFN-Area': {'type': 'INTEGER',
                                                        'value': 8},
                                      'maxMBSFN-Area-1': {'type': 'INTEGER',
                                                          'value': 7},
                                      'maxMeasId': {'type': 'INTEGER',
                                                    'value': 32},
                                      'maxMeasId-Plus1': {'type': 'INTEGER',
                                                          'value': 33},
                                      'maxMeasId-r12': {'type': 'INTEGER',
                                                        'value': 64},
                                      'maxMultiBands': {'type': 'INTEGER',
                                                        'value': 8},
                                      'maxNAICS-Entries-r12': {'type': 'INTEGER',
                                                               'value': 8},
                                      'maxNS-Pmax-r10': {'type': 'INTEGER',
                                                         'value': 8},
                                      'maxNeighCell-SCPTM-r13': {'type': 'INTEGER',
                                                                 'value': 8},
                                      'maxNeighCell-r12': {'type': 'INTEGER',
                                                           'value': 8},
                                      'maxObjectId': {'type': 'INTEGER',
                                                      'value': 32},
                                      'maxObjectId-Plus1-r13': {'type': 'INTEGER',
                                                                'value': 33},
                                      'maxObjectId-r13': {'type': 'INTEGER',
                                                          'value': 64},
                                      'maxP-a-PerNeighCell-r12': {'type': 'INTEGER',
                                                                  'value': 3},
                                      'maxPLMN-1-r14': {'type': 'INTEGER',
                                                        'value': 5},
                                      'maxPLMN-r11': {'type': 'INTEGER',
                                                      'value': 6},
                                      'maxPMCH-PerMBSFN': {'type': 'INTEGER',
                                                           'value': 15},
                                      'maxPNOffset': {'type': 'INTEGER',
                                                      'value': 511},
                                      'maxPSSCH-TxConfig-r14': {'type': 'INTEGER',
                                                                'value': 16},
                                      'maxPageRec': {'type': 'INTEGER',
                                                     'value': 16},
                                      'maxPhysCellIdRange-r9': {'type': 'INTEGER',
                                                                'value': 4},
                                      'maxQCI-r13': {'type': 'INTEGER',
                                                     'value': 6},
                                      'maxRAT-Capabilities': {'type': 'INTEGER',
                                                              'value': 8},
                                      'maxRE-MapQCL-r11': {'type': 'INTEGER',
                                                           'value': 4},
                                      'maxRSTD-Freq-r10': {'type': 'INTEGER',
                                                           'value': 3},
                                      'maxReportConfigId': {'type': 'INTEGER',
                                                            'value': 32},
                                      'maxReservationPeriod-r14': {'type': 'INTEGER',
                                                                   'value': 16},
                                      'maxSAI-MBMS-r11': {'type': 'INTEGER',
                                                          'value': 64},
                                      'maxSC-MTCH-BR-r14': {'type': 'INTEGER',
                                                            'value': 128},
                                      'maxSC-MTCH-r13': {'type': 'INTEGER',
                                                         'value': 1023},
                                      'maxSCell-r10': {'type': 'INTEGER',
                                                       'value': 4},
                                      'maxSCell-r13': {'type': 'INTEGER',
                                                       'value': 31},
                                      'maxSI-Message': {'type': 'INTEGER',
                                                        'value': 32},
                                      'maxSIB': {'type': 'INTEGER',
                                                 'value': 32},
                                      'maxSIB-1': {'type': 'INTEGER',
                                                   'value': 31},
                                      'maxSL-CommRxPoolNFreq-r13': {'type': 'INTEGER',
                                                                    'value': 32},
                                      'maxSL-CommRxPoolPreconf-v1310': {'type': 'INTEGER',
                                                                        'value': 12},
                                      'maxSL-CommTxPoolPreconf-v1310': {'type': 'INTEGER',
                                                                        'value': 7},
                                      'maxSL-Dest-r12': {'type': 'INTEGER',
                                                         'value': 16},
                                      'maxSL-DiscCells-r13': {'type': 'INTEGER',
                                                              'value': 16},
                                      'maxSL-DiscPowerClass-r12': {'type': 'INTEGER',
                                                                   'value': 3},
                                      'maxSL-DiscRxPoolPreconf-r13': {'type': 'INTEGER',
                                                                      'value': 16},
                                      'maxSL-DiscSysInfoReportFreq-r13': {'type': 'INTEGER',
                                                                          'value': 8},
                                      'maxSL-DiscTxPoolPreconf-r13': {'type': 'INTEGER',
                                                                      'value': 4},
                                      'maxSL-GP-r13': {'type': 'INTEGER',
                                                       'value': 8},
                                      'maxSL-PoolToMeasure-r14': {'type': 'INTEGER',
                                                                  'value': 72},
                                      'maxSL-Prio-r13': {'type': 'INTEGER',
                                                         'value': 8},
                                      'maxSL-RxPool-r12': {'type': 'INTEGER',
                                                           'value': 16},
                                      'maxSL-SyncConfig-r12': {'type': 'INTEGER',
                                                               'value': 16},
                                      'maxSL-TF-IndexPair-r12': {'type': 'INTEGER',
                                                                 'value': 64},
                                      'maxSL-TxPool-r12': {'type': 'INTEGER',
                                                           'value': 4},
                                      'maxSL-TxPool-r12Plus1-r13': {'type': 'INTEGER',
                                                                    'value': 5},
                                      'maxSL-TxPool-r13': {'type': 'INTEGER',
                                                           'value': 8},
                                      'maxSL-TxPool-v1310': {'type': 'INTEGER',
                                                             'value': 4},
                                      'maxSL-V2X-CBRConfig-1-r14': {'type': 'INTEGER',
                                                                    'value': 3},
                                      'maxSL-V2X-CBRConfig-r14': {'type': 'INTEGER',
                                                                  'value': 4},
                                      'maxSL-V2X-CBRConfig2-1-r14': {'type': 'INTEGER',
                                                                     'value': 7},
                                      'maxSL-V2X-CBRConfig2-r14': {'type': 'INTEGER',
                                                                   'value': 8},
                                      'maxSL-V2X-RxPool-r14': {'type': 'INTEGER',
                                                               'value': 16},
                                      'maxSL-V2X-RxPoolPreconf-r14': {'type': 'INTEGER',
                                                                      'value': 16},
                                      'maxSL-V2X-SyncConfig-r14': {'type': 'INTEGER',
                                                                   'value': 16},
                                      'maxSL-V2X-TxConfig-1-r14': {'type': 'INTEGER',
                                                                   'value': 63},
                                      'maxSL-V2X-TxConfig-r14': {'type': 'INTEGER',
                                                                 'value': 64},
                                      'maxSL-V2X-TxConfig2-1-r14': {'type': 'INTEGER',
                                                                    'value': 127},
                                      'maxSL-V2X-TxConfig2-r14': {'type': 'INTEGER',
                                                                  'value': 128},
                                      'maxSL-V2X-TxPool-r14': {'type': 'INTEGER',
                                                               'value': 8},
                                      'maxSL-V2X-TxPoolPreconf-r14': {'type': 'INTEGER',
                                                                      'value': 8},
                                      'maxSTAG-r11': {'type': 'INTEGER',
                                                      'value': 3},
                                      'maxServCell-r10': {'type': 'INTEGER',
                                                          'value': 5},
                                      'maxServCell-r13': {'type': 'INTEGER',
                                                          'value': 32},
                                      'maxServiceCount': {'type': 'INTEGER',
                                                          'value': 16},
                                      'maxServiceCount-1': {'type': 'INTEGER',
                                                            'value': 15},
                                      'maxSessionPerPMCH': {'type': 'INTEGER',
                                                            'value': 29},
                                      'maxSessionPerPMCH-1': {'type': 'INTEGER',
                                                              'value': 28},
                                      'maxSimultaneousBands-r10': {'type': 'INTEGER',
                                                                   'value': 64},
                                      'maxSubframePatternIDC-r11': {'type': 'INTEGER',
                                                                    'value': 8},
                                      'maxTrafficPattern-r14': {'type': 'INTEGER',
                                                                'value': 8},
                                      'maxUTRA-FDD-Carrier': {'type': 'INTEGER',
                                                              'value': 16},
                                      'maxUTRA-TDD-Carrier': {'type': 'INTEGER',
                                                              'value': 16},
                                      'maxWLAN-Bands-r13': {'type': 'INTEGER',
                                                            'value': 8},
                                      'maxWLAN-CarrierInfo-r13': {'type': 'INTEGER',
                                                                  'value': 8},
                                      'maxWLAN-Channels-r13': {'type': 'INTEGER',
                                                               'value': 16},
                                      'maxWLAN-Id-Report-r14': {'type': 'INTEGER',
                                                                'value': 32},
                                      'maxWLAN-Id-r12': {'type': 'INTEGER',
                                                         'value': 16},
                                      'maxWLAN-Id-r13': {'type': 'INTEGER',
                                                         'value': 32},
                                      'minCSI-IM-r13': {'type': 'INTEGER',
                                                        'value': 5},
                                      'minCSI-RS-NZP-r13': {'type': 'INTEGER',
                                                            'value': 4}}},
 'EUTRA-Sidelink-Preconf': {'extensibility-implied': False,
                            'imports': {'EUTRA-RRC-Definitions': ['AdditionalSpectrumEmission',
                                                                  'AdditionalSpectrumEmission-v10l0',
                                                                  'ARFCN-ValueEUTRA-r9',
                                                                  'FilterCoefficient',
                                                                  'maxCBR-Level-r14',
                                                                  'maxCBR-Level-1-r14',
                                                                  'maxFreq',
                                                                  'maxFreqV2X-r14',
                                                                  'maxSL-TxPool-r12',
                                                                  'maxSL-CommRxPoolPreconf-v1310',
                                                                  'maxSL-CommTxPoolPreconf-v1310',
                                                                  'maxSL-DiscRxPoolPreconf-r13',
                                                                  'maxSL-DiscTxPoolPreconf-r13',
                                                                  'maxSL-V2X-CBRConfig2-r14',
                                                                  'maxSL-V2X-CBRConfig2-1-r14',
                                                                  'maxSL-V2X-RxPoolPreconf-r14',
                                                                  'maxSL-V2X-TxConfig2-r14',
                                                                  'maxSL-V2X-TxConfig2-1-r14',
                                                                  'maxSL-V2X-TxPoolPreconf-r14',
                                                                  'P-Max',
                                                                  'ReselectionInfoRelay-r13',
                                                                  'SL-AnchorCarrierFreqList-V2X-r14',
                                                                  'SL-CBR-Levels-Config-r14',
                                                                  'SL-CBR-PSSCH-TxConfig-r14',
                                                                  'SL-CommTxPoolSensingConfig-r14',
                                                                  'SL-CP-Len-r12',
                                                                  'SL-HoppingConfigComm-r12',
                                                                  'SL-OffsetIndicator-r12',
                                                                  'SL-OffsetIndicatorSync-r12',
                                                                  'SL-OffsetIndicatorSync-v1430',
                                                                  'SL-PeriodComm-r12',
                                                                  'RSRP-RangeSL3-r12',
                                                                  'SL-PriorityList-r13',
                                                                  'SL-TF-ResourceConfig-r12',
                                                                  'SL-TRPT-Subset-r12',
                                                                  'SL-TxParameters-r12',
                                                                  'SL-ZoneConfig-r14',
                                                                  'P0-SL-r12',
                                                                  'TDD-ConfigSL-r12',
                                                                  'SubframeBitmapSL-r14',
                                                                  'SL-P2X-ResourceSelectionConfig-r14',
                                                                  'SL-RestrictResourceReservationPeriodList-r14',
                                                                  'SL-SyncAllowed-r14',
                                                                  'SL-OffsetIndicatorSync-r14',
                                                                  'SL-Priority-r13']},
                            'object-classes': {},
                            'object-sets': {},
                            'tags': 'AUTOMATIC',
                            'types': {'SL-CBR-PPPP-TxPreconfigList-r14': {'element': {'type': 'SL-PPPP-TxPreconfigIndex-r14'},
                                                                          'size': [(1,
                                                                                    8)],
                                                                          'type': 'SEQUENCE '
                                                                                  'OF'},
                                      'SL-CBR-PreconfigTxConfigList-r14': {'members': [{'element': {'type': 'SL-CBR-Levels-Config-r14'},
                                                                                        'name': 'cbr-RangeCommonConfigList-r14',
                                                                                        'size': [(1,
                                                                                                  'maxSL-V2X-CBRConfig2-r14')],
                                                                                        'type': 'SEQUENCE '
                                                                                                'OF'},
                                                                                       {'element': {'type': 'SL-CBR-PSSCH-TxConfig-r14'},
                                                                                        'name': 'sl-CBR-PSSCH-TxConfigList-r14',
                                                                                        'size': [(1,
                                                                                                  'maxSL-V2X-TxConfig2-r14')],
                                                                                        'type': 'SEQUENCE '
                                                                                                'OF'}],
                                                                           'type': 'SEQUENCE'},
                                      'SL-PPPP-TxPreconfigIndex-r14': {'members': [{'name': 'priorityThreshold-r14',
                                                                                    'type': 'SL-Priority-r13'},
                                                                                   {'name': 'defaultTxConfigIndex-r14',
                                                                                    'restricted-to': [(0,
                                                                                                       'maxCBR-Level-1-r14')],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'cbr-ConfigIndex-r14',
                                                                                    'restricted-to': [(0,
                                                                                                       'maxSL-V2X-CBRConfig2-1-r14')],
                                                                                    'type': 'INTEGER'},
                                                                                   {'element': {'type': 'Tx-PreconfigIndex-r14'},
                                                                                    'name': 'tx-ConfigIndexList-r14',
                                                                                    'size': [(1,
                                                                                              'maxCBR-Level-r14')],
                                                                                    'type': 'SEQUENCE '
                                                                                            'OF'}],
                                                                       'type': 'SEQUENCE'},
                                      'SL-PreconfigCommPool-r12': {'members': [{'name': 'sc-CP-Len-r12',
                                                                                'type': 'SL-CP-Len-r12'},
                                                                               {'name': 'sc-Period-r12',
                                                                                'type': 'SL-PeriodComm-r12'},
                                                                               {'name': 'sc-TF-ResourceConfig-r12',
                                                                                'type': 'SL-TF-ResourceConfig-r12'},
                                                                               {'name': 'sc-TxParameters-r12',
                                                                                'type': 'P0-SL-r12'},
                                                                               {'name': 'data-CP-Len-r12',
                                                                                'type': 'SL-CP-Len-r12'},
                                                                               {'name': 'data-TF-ResourceConfig-r12',
                                                                                'type': 'SL-TF-ResourceConfig-r12'},
                                                                               {'name': 'dataHoppingConfig-r12',
                                                                                'type': 'SL-HoppingConfigComm-r12'},
                                                                               {'name': 'dataTxParameters-r12',
                                                                                'type': 'P0-SL-r12'},
                                                                               {'name': 'trpt-Subset-r12',
                                                                                'type': 'SL-TRPT-Subset-r12'},
                                                                               '...',
                                                                               {'name': 'priorityList-r13',
                                                                                'optional': True,
                                                                                'type': 'SL-PriorityList-r13'}],
                                                                   'type': 'SEQUENCE'},
                                      'SL-PreconfigCommPoolList4-r12': {'element': {'type': 'SL-PreconfigCommPool-r12'},
                                                                        'size': [(1,
                                                                                  'maxSL-TxPool-r12')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                      'SL-PreconfigCommRxPoolList-r13': {'element': {'type': 'SL-PreconfigCommPool-r12'},
                                                                         'size': [(1,
                                                                                   'maxSL-CommRxPoolPreconf-v1310')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                      'SL-PreconfigCommTxPoolList-r13': {'element': {'type': 'SL-PreconfigCommPool-r12'},
                                                                         'size': [(1,
                                                                                   'maxSL-CommTxPoolPreconf-v1310')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                      'SL-PreconfigDiscPool-r13': {'members': [{'name': 'cp-Len-r13',
                                                                                'type': 'SL-CP-Len-r12'},
                                                                               {'name': 'discPeriod-r13',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'rf4',
                                                                                           1: 'rf6',
                                                                                           2: 'rf7',
                                                                                           3: 'rf8',
                                                                                           4: 'rf12',
                                                                                           5: 'rf14',
                                                                                           6: 'rf16',
                                                                                           7: 'rf24',
                                                                                           8: 'rf28',
                                                                                           9: 'rf32',
                                                                                           10: 'rf64',
                                                                                           11: 'rf128',
                                                                                           12: 'rf256',
                                                                                           13: 'rf512',
                                                                                           14: 'rf1024',
                                                                                           15: 'spare'}},
                                                                               {'name': 'numRetx-r13',
                                                                                'restricted-to': [(0,
                                                                                                   3)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'numRepetition-r13',
                                                                                'restricted-to': [(1,
                                                                                                   50)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'tf-ResourceConfig-r13',
                                                                                'type': 'SL-TF-ResourceConfig-r12'},
                                                                               {'members': [{'name': 'txParametersGeneral-r13',
                                                                                             'type': 'P0-SL-r12'},
                                                                                            {'name': 'txProbability-r13',
                                                                                             'type': 'ENUMERATED',
                                                                                             'values': {0: 'p25',
                                                                                                        1: 'p50',
                                                                                                        2: 'p75',
                                                                                                        3: 'p100'}}],
                                                                                'name': 'txParameters-r13',
                                                                                'optional': True,
                                                                                'type': 'SEQUENCE'},
                                                                               '...'],
                                                                   'type': 'SEQUENCE'},
                                      'SL-PreconfigDiscRxPoolList-r13': {'element': {'type': 'SL-PreconfigDiscPool-r13'},
                                                                         'size': [(1,
                                                                                   'maxSL-DiscRxPoolPreconf-r13')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                      'SL-PreconfigDiscTxPoolList-r13': {'element': {'type': 'SL-PreconfigDiscPool-r13'},
                                                                         'size': [(1,
                                                                                   'maxSL-DiscTxPoolPreconf-r13')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                      'SL-PreconfigGeneral-r12': {'members': [{'members': [{'name': 'profile0x0001-r12',
                                                                                            'type': 'BOOLEAN'},
                                                                                           {'name': 'profile0x0002-r12',
                                                                                            'type': 'BOOLEAN'},
                                                                                           {'name': 'profile0x0004-r12',
                                                                                            'type': 'BOOLEAN'},
                                                                                           {'name': 'profile0x0006-r12',
                                                                                            'type': 'BOOLEAN'},
                                                                                           {'name': 'profile0x0101-r12',
                                                                                            'type': 'BOOLEAN'},
                                                                                           {'name': 'profile0x0102-r12',
                                                                                            'type': 'BOOLEAN'},
                                                                                           {'name': 'profile0x0104-r12',
                                                                                            'type': 'BOOLEAN'}],
                                                                               'name': 'rohc-Profiles-r12',
                                                                               'type': 'SEQUENCE'},
                                                                              {'name': 'carrierFreq-r12',
                                                                               'type': 'ARFCN-ValueEUTRA-r9'},
                                                                              {'name': 'maxTxPower-r12',
                                                                               'type': 'P-Max'},
                                                                              {'name': 'additionalSpectrumEmission-r12',
                                                                               'type': 'AdditionalSpectrumEmission'},
                                                                              {'name': 'sl-bandwidth-r12',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n6',
                                                                                          1: 'n15',
                                                                                          2: 'n25',
                                                                                          3: 'n50',
                                                                                          4: 'n75',
                                                                                          5: 'n100'}},
                                                                              {'name': 'tdd-ConfigSL-r12',
                                                                               'type': 'TDD-ConfigSL-r12'},
                                                                              {'name': 'reserved-r12',
                                                                               'size': [19],
                                                                               'type': 'BIT '
                                                                                       'STRING'},
                                                                              '...',
                                                                              {'name': 'additionalSpectrumEmission-v1440',
                                                                               'optional': True,
                                                                               'type': 'AdditionalSpectrumEmission-v10l0'}],
                                                                  'type': 'SEQUENCE'},
                                      'SL-PreconfigRelay-r13': {'members': [{'name': 'reselectionInfoOoC-r13',
                                                                             'type': 'ReselectionInfoRelay-r13'}],
                                                                'type': 'SEQUENCE'},
                                      'SL-PreconfigSync-r12': {'members': [{'name': 'syncCP-Len-r12',
                                                                            'type': 'SL-CP-Len-r12'},
                                                                           {'name': 'syncOffsetIndicator1-r12',
                                                                            'type': 'SL-OffsetIndicatorSync-r12'},
                                                                           {'name': 'syncOffsetIndicator2-r12',
                                                                            'type': 'SL-OffsetIndicatorSync-r12'},
                                                                           {'name': 'syncTxParameters-r12',
                                                                            'type': 'P0-SL-r12'},
                                                                           {'name': 'syncTxThreshOoC-r12',
                                                                            'type': 'RSRP-RangeSL3-r12'},
                                                                           {'name': 'filterCoefficient-r12',
                                                                            'type': 'FilterCoefficient'},
                                                                           {'name': 'syncRefMinHyst-r12',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'dB0',
                                                                                       1: 'dB3',
                                                                                       2: 'dB6',
                                                                                       3: 'dB9',
                                                                                       4: 'dB12'}},
                                                                           {'name': 'syncRefDiffHyst-r12',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'dB0',
                                                                                       1: 'dB3',
                                                                                       2: 'dB6',
                                                                                       3: 'dB9',
                                                                                       4: 'dB12',
                                                                                       5: 'dBinf'}},
                                                                           '...',
                                                                           {'name': 'syncTxPeriodic-r13',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'true'}}],
                                                               'type': 'SEQUENCE'},
                                      'SL-PreconfigV2X-RxPoolList-r14': {'element': {'type': 'SL-V2X-PreconfigCommPool-r14'},
                                                                         'size': [(1,
                                                                                   'maxSL-V2X-RxPoolPreconf-r14')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                      'SL-PreconfigV2X-Sync-r14': {'members': [{'name': 'syncOffsetIndicators-r14',
                                                                                'type': 'SL-V2X-SyncOffsetIndicators-r14'},
                                                                               {'name': 'syncTxParameters-r14',
                                                                                'type': 'P0-SL-r12'},
                                                                               {'name': 'syncTxThreshOoC-r14',
                                                                                'type': 'RSRP-RangeSL3-r12'},
                                                                               {'name': 'filterCoefficient-r14',
                                                                                'type': 'FilterCoefficient'},
                                                                               {'name': 'syncRefMinHyst-r14',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'dB0',
                                                                                           1: 'dB3',
                                                                                           2: 'dB6',
                                                                                           3: 'dB9',
                                                                                           4: 'dB12'}},
                                                                               {'name': 'syncRefDiffHyst-r14',
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'dB0',
                                                                                           1: 'dB3',
                                                                                           2: 'dB6',
                                                                                           3: 'dB9',
                                                                                           4: 'dB12',
                                                                                           5: 'dBinf'}},
                                                                               '...'],
                                                                   'type': 'SEQUENCE'},
                                      'SL-PreconfigV2X-TxPoolList-r14': {'element': {'type': 'SL-V2X-PreconfigCommPool-r14'},
                                                                         'size': [(1,
                                                                                   'maxSL-V2X-TxPoolPreconf-r14')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                      'SL-Preconfiguration-r12': {'members': [{'name': 'preconfigGeneral-r12',
                                                                               'type': 'SL-PreconfigGeneral-r12'},
                                                                              {'name': 'preconfigSync-r12',
                                                                               'type': 'SL-PreconfigSync-r12'},
                                                                              {'name': 'preconfigComm-r12',
                                                                               'type': 'SL-PreconfigCommPoolList4-r12'},
                                                                              '...',
                                                                              {'members': [{'name': 'commRxPoolList-r13',
                                                                                            'type': 'SL-PreconfigCommRxPoolList-r13'},
                                                                                           {'name': 'commTxPoolList-r13',
                                                                                            'optional': True,
                                                                                            'type': 'SL-PreconfigCommTxPoolList-r13'}],
                                                                               'name': 'preconfigComm-v1310',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'},
                                                                              {'members': [{'name': 'discRxPoolList-r13',
                                                                                            'type': 'SL-PreconfigDiscRxPoolList-r13'},
                                                                                           {'name': 'discTxPoolList-r13',
                                                                                            'optional': True,
                                                                                            'type': 'SL-PreconfigDiscTxPoolList-r13'}],
                                                                               'name': 'preconfigDisc-r13',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'},
                                                                              {'name': 'preconfigRelay-r13',
                                                                               'optional': True,
                                                                               'type': 'SL-PreconfigRelay-r13'}],
                                                                  'type': 'SEQUENCE'},
                                      'SL-V2X-PreconfigCommPool-r14': {'members': [{'name': 'sl-OffsetIndicator-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-OffsetIndicator-r12'},
                                                                                   {'name': 'sl-Subframe-r14',
                                                                                    'type': 'SubframeBitmapSL-r14'},
                                                                                   {'name': 'adjacencyPSCCH-PSSCH-r14',
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'sizeSubchannel-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'n4',
                                                                                               1: 'n5',
                                                                                               2: 'n6',
                                                                                               3: 'n8',
                                                                                               4: 'n9',
                                                                                               5: 'n10',
                                                                                               6: 'n12',
                                                                                               7: 'n15',
                                                                                               8: 'n16',
                                                                                               9: 'n18',
                                                                                               10: 'n20',
                                                                                               11: 'n25',
                                                                                               12: 'n30',
                                                                                               13: 'n48',
                                                                                               14: 'n50',
                                                                                               15: 'n72',
                                                                                               16: 'n75',
                                                                                               17: 'n96',
                                                                                               18: 'n100',
                                                                                               19: 'spare13',
                                                                                               20: 'spare12',
                                                                                               21: 'spare11',
                                                                                               22: 'spare10',
                                                                                               23: 'spare9',
                                                                                               24: 'spare8',
                                                                                               25: 'spare7',
                                                                                               26: 'spare6',
                                                                                               27: 'spare5',
                                                                                               28: 'spare4',
                                                                                               29: 'spare3',
                                                                                               30: 'spare2',
                                                                                               31: 'spare1'}},
                                                                                   {'name': 'numSubchannel-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'n1',
                                                                                               1: 'n3',
                                                                                               2: 'n5',
                                                                                               3: 'n8',
                                                                                               4: 'n10',
                                                                                               5: 'n15',
                                                                                               6: 'n20',
                                                                                               7: 'spare1'}},
                                                                                   {'name': 'startRB-Subchannel-r14',
                                                                                    'restricted-to': [(0,
                                                                                                       99)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'startRB-PSCCH-Pool-r14',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       99)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'dataTxParameters-r14',
                                                                                    'type': 'P0-SL-r12'},
                                                                                   {'name': 'zoneID-r14',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       7)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'threshS-RSSI-CBR-r14',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       45)],
                                                                                    'type': 'INTEGER'},
                                                                                   {'name': 'cbr-pssch-TxConfigList-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CBR-PPPP-TxPreconfigList-r14'},
                                                                                   {'name': 'resourceSelectionConfigP2X-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-P2X-ResourceSelectionConfig-r14'},
                                                                                   {'name': 'syncAllowed-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-SyncAllowed-r14'},
                                                                                   {'name': 'restrictResourceReservationPeriod-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-RestrictResourceReservationPeriodList-r14'},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                      'SL-V2X-PreconfigFreqInfo-r14': {'members': [{'name': 'v2x-CommPreconfigGeneral-r14',
                                                                                    'type': 'SL-PreconfigGeneral-r12'},
                                                                                   {'name': 'v2x-CommPreconfigSync-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-PreconfigV2X-Sync-r14'},
                                                                                   {'name': 'v2x-CommRxPoolList-r14',
                                                                                    'type': 'SL-PreconfigV2X-RxPoolList-r14'},
                                                                                   {'name': 'v2x-CommTxPoolList-r14',
                                                                                    'type': 'SL-PreconfigV2X-TxPoolList-r14'},
                                                                                   {'name': 'p2x-CommTxPoolList-r14',
                                                                                    'type': 'SL-PreconfigV2X-TxPoolList-r14'},
                                                                                   {'name': 'v2x-ResourceSelectionConfig-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-CommTxPoolSensingConfig-r14'},
                                                                                   {'name': 'zoneConfig-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-ZoneConfig-r14'},
                                                                                   {'name': 'syncPriority-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'gnss',
                                                                                               1: 'enb'}},
                                                                                   {'name': 'thresSL-TxPrioritization-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SL-Priority-r13'},
                                                                                   {'name': 'offsetDFN-r14',
                                                                                    'optional': True,
                                                                                    'restricted-to': [(0,
                                                                                                       1000)],
                                                                                    'type': 'INTEGER'},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                      'SL-V2X-PreconfigFreqList-r14': {'element': {'type': 'SL-V2X-PreconfigFreqInfo-r14'},
                                                                       'size': [(1,
                                                                                 'maxFreqV2X-r14')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                      'SL-V2X-Preconfiguration-r14': {'members': [{'name': 'v2x-PreconfigFreqList-r14',
                                                                                   'type': 'SL-V2X-PreconfigFreqList-r14'},
                                                                                  {'name': 'anchorCarrierFreqList-r14',
                                                                                   'optional': True,
                                                                                   'type': 'SL-AnchorCarrierFreqList-V2X-r14'},
                                                                                  {'name': 'cbr-PreconfigList-r14',
                                                                                   'optional': True,
                                                                                   'type': 'SL-CBR-PreconfigTxConfigList-r14'},
                                                                                  '...'],
                                                                      'type': 'SEQUENCE'},
                                      'SL-V2X-SyncOffsetIndicators-r14': {'members': [{'name': 'syncOffsetIndicator1-r14',
                                                                                       'type': 'SL-OffsetIndicatorSync-r14'},
                                                                                      {'name': 'syncOffsetIndicator2-r14',
                                                                                       'type': 'SL-OffsetIndicatorSync-r14'},
                                                                                      {'name': 'syncOffsetIndicator3-r14',
                                                                                       'optional': True,
                                                                                       'type': 'SL-OffsetIndicatorSync-r14'}],
                                                                          'type': 'SEQUENCE'},
                                      'Tx-PreconfigIndex-r14': {'restricted-to': [(0,
                                                                                   'maxSL-V2X-TxConfig2-1-r14')],
                                                                'type': 'INTEGER'}},
                            'values': {}},
 'EUTRA-UE-Variables': {'extensibility-implied': False,
                        'imports': {'EUTRA-RRC-Definitions': ['AbsoluteTimeInfo-r10',
                                                              'AreaConfiguration-r10',
                                                              'AreaConfiguration-v1130',
                                                              'CarrierFreqGERAN',
                                                              'CellIdentity',
                                                              'ConnEstFailReport-r11',
                                                              'SpeedStateScaleFactors',
                                                              'C-RNTI',
                                                              'LoggingDuration-r10',
                                                              'LoggingInterval-r10',
                                                              'LogMeasInfo-r10',
                                                              'MeasCSI-RS-Id-r12',
                                                              'MeasId',
                                                              'MeasId-v1250',
                                                              'MeasIdToAddModList',
                                                              'MeasIdToAddModListExt-r12',
                                                              'MeasIdToAddModList-v1310',
                                                              'MeasIdToAddModListExt-v1310',
                                                              'MeasObjectToAddModList',
                                                              'MeasObjectToAddModList-v9e0',
                                                              'MeasObjectToAddModListExt-r13',
                                                              'MeasScaleFactor-r12',
                                                              'MobilityStateParameters',
                                                              'NeighCellConfig',
                                                              'PhysCellId',
                                                              'PhysCellIdCDMA2000',
                                                              'PhysCellIdGERAN',
                                                              'PhysCellIdUTRA-FDD',
                                                              'PhysCellIdUTRA-TDD',
                                                              'PLMN-Identity',
                                                              'PLMN-IdentityList3-r11',
                                                              'QuantityConfig',
                                                              'ReportConfigToAddModList',
                                                              'RLF-Report-r9',
                                                              'TargetMBSFN-AreaList-r12',
                                                              'TraceReference-r10',
                                                              'Tx-ResourcePoolMeasList-r14',
                                                              'VisitedCellInfoList-r12',
                                                              'maxCellMeas',
                                                              'maxCSI-RS-Meas-r12',
                                                              'maxMeasId',
                                                              'maxMeasId-r12',
                                                              'UL-DelayConfig-r13',
                                                              'WLAN-CarrierInfo-r13',
                                                              'WLAN-Identifiers-r12',
                                                              'WLAN-Id-List-r13',
                                                              'WLAN-Status-r13',
                                                              'WLAN-Status-v1430',
                                                              'WLAN-SuspendConfig-r14']},
                        'object-classes': {},
                        'object-sets': {},
                        'tags': 'AUTOMATIC',
                        'types': {'CSI-RS-TriggeredList-r12': {'element': {'type': 'MeasCSI-RS-Id-r12'},
                                                               'size': [(1,
                                                                         'maxCSI-RS-Meas-r12')],
                                                               'type': 'SEQUENCE '
                                                                       'OF'},
                                  'CellsTriggeredList': {'element': {'members': [{'name': 'physCellIdEUTRA',
                                                                                  'type': 'PhysCellId'},
                                                                                 {'members': [{'name': 'fdd',
                                                                                               'type': 'PhysCellIdUTRA-FDD'},
                                                                                              {'name': 'tdd',
                                                                                               'type': 'PhysCellIdUTRA-TDD'}],
                                                                                  'name': 'physCellIdUTRA',
                                                                                  'type': 'CHOICE'},
                                                                                 {'members': [{'name': 'carrierFreq',
                                                                                               'type': 'CarrierFreqGERAN'},
                                                                                              {'name': 'physCellId',
                                                                                               'type': 'PhysCellIdGERAN'}],
                                                                                  'name': 'physCellIdGERAN',
                                                                                  'type': 'SEQUENCE'},
                                                                                 {'name': 'physCellIdCDMA2000',
                                                                                  'type': 'PhysCellIdCDMA2000'},
                                                                                 {'name': 'wlan-Identifiers-r13',
                                                                                  'type': 'WLAN-Identifiers-r12'}],
                                                                     'type': 'CHOICE'},
                                                         'size': [(1,
                                                                   'maxCellMeas')],
                                                         'type': 'SEQUENCE OF'},
                                  'LogMeasInfoList2-r10': {'element': {'type': 'LogMeasInfo-r10'},
                                                           'size': [(1,
                                                                     'maxLogMeas-r10')],
                                                           'type': 'SEQUENCE '
                                                                   'OF'},
                                  'VarConnEstFailReport-r11': {'members': [{'name': 'connEstFailReport-r11',
                                                                            'type': 'ConnEstFailReport-r11'},
                                                                           {'name': 'plmn-Identity-r11',
                                                                            'type': 'PLMN-Identity'}],
                                                               'type': 'SEQUENCE'},
                                  'VarLogMeasConfig-r10': {'members': [{'name': 'areaConfiguration-r10',
                                                                        'optional': True,
                                                                        'type': 'AreaConfiguration-r10'},
                                                                       {'name': 'loggingDuration-r10',
                                                                        'type': 'LoggingDuration-r10'},
                                                                       {'name': 'loggingInterval-r10',
                                                                        'type': 'LoggingInterval-r10'}],
                                                           'type': 'SEQUENCE'},
                                  'VarLogMeasConfig-r11': {'members': [{'name': 'areaConfiguration-r10',
                                                                        'optional': True,
                                                                        'type': 'AreaConfiguration-r10'},
                                                                       {'name': 'areaConfiguration-v1130',
                                                                        'optional': True,
                                                                        'type': 'AreaConfiguration-v1130'},
                                                                       {'name': 'loggingDuration-r10',
                                                                        'type': 'LoggingDuration-r10'},
                                                                       {'name': 'loggingInterval-r10',
                                                                        'type': 'LoggingInterval-r10'}],
                                                           'type': 'SEQUENCE'},
                                  'VarLogMeasConfig-r12': {'members': [{'name': 'areaConfiguration-r10',
                                                                        'optional': True,
                                                                        'type': 'AreaConfiguration-r10'},
                                                                       {'name': 'areaConfiguration-v1130',
                                                                        'optional': True,
                                                                        'type': 'AreaConfiguration-v1130'},
                                                                       {'name': 'loggingDuration-r10',
                                                                        'type': 'LoggingDuration-r10'},
                                                                       {'name': 'loggingInterval-r10',
                                                                        'type': 'LoggingInterval-r10'},
                                                                       {'name': 'targetMBSFN-AreaList-r12',
                                                                        'optional': True,
                                                                        'type': 'TargetMBSFN-AreaList-r12'}],
                                                           'type': 'SEQUENCE'},
                                  'VarLogMeasReport-r10': {'members': [{'name': 'traceReference-r10',
                                                                        'type': 'TraceReference-r10'},
                                                                       {'name': 'traceRecordingSessionRef-r10',
                                                                        'size': [2],
                                                                        'type': 'OCTET '
                                                                                'STRING'},
                                                                       {'name': 'tce-Id-r10',
                                                                        'size': [1],
                                                                        'type': 'OCTET '
                                                                                'STRING'},
                                                                       {'name': 'plmn-Identity-r10',
                                                                        'type': 'PLMN-Identity'},
                                                                       {'name': 'absoluteTimeInfo-r10',
                                                                        'type': 'AbsoluteTimeInfo-r10'},
                                                                       {'name': 'logMeasInfoList-r10',
                                                                        'type': 'LogMeasInfoList2-r10'}],
                                                           'type': 'SEQUENCE'},
                                  'VarLogMeasReport-r11': {'members': [{'name': 'traceReference-r10',
                                                                        'type': 'TraceReference-r10'},
                                                                       {'name': 'traceRecordingSessionRef-r10',
                                                                        'size': [2],
                                                                        'type': 'OCTET '
                                                                                'STRING'},
                                                                       {'name': 'tce-Id-r10',
                                                                        'size': [1],
                                                                        'type': 'OCTET '
                                                                                'STRING'},
                                                                       {'name': 'plmn-IdentityList-r11',
                                                                        'type': 'PLMN-IdentityList3-r11'},
                                                                       {'name': 'absoluteTimeInfo-r10',
                                                                        'type': 'AbsoluteTimeInfo-r10'},
                                                                       {'name': 'logMeasInfoList-r10',
                                                                        'type': 'LogMeasInfoList2-r10'}],
                                                           'type': 'SEQUENCE'},
                                  'VarMeasConfig': {'members': [{'name': 'measIdList',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModList'},
                                                                {'name': 'measIdListExt-r12',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModListExt-r12'},
                                                                {'name': 'measIdList-v1310',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModList-v1310'},
                                                                {'name': 'measIdListExt-v1310',
                                                                 'optional': True,
                                                                 'type': 'MeasIdToAddModListExt-v1310'},
                                                                {'name': 'measObjectList',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToAddModList'},
                                                                {'name': 'measObjectListExt-r13',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToAddModListExt-r13'},
                                                                {'name': 'measObjectList-v9i0',
                                                                 'optional': True,
                                                                 'type': 'MeasObjectToAddModList-v9e0'},
                                                                {'name': 'reportConfigList',
                                                                 'optional': True,
                                                                 'type': 'ReportConfigToAddModList'},
                                                                {'name': 'quantityConfig',
                                                                 'optional': True,
                                                                 'type': 'QuantityConfig'},
                                                                {'name': 'measScaleFactor-r12',
                                                                 'optional': True,
                                                                 'type': 'MeasScaleFactor-r12'},
                                                                {'name': 's-Measure',
                                                                 'optional': True,
                                                                 'restricted-to': [(-140,
                                                                                    -44)],
                                                                 'type': 'INTEGER'},
                                                                {'members': [{'name': 'release',
                                                                              'type': 'NULL'},
                                                                             {'members': [{'name': 'mobilityStateParameters',
                                                                                           'type': 'MobilityStateParameters'},
                                                                                          {'name': 'timeToTrigger-SF',
                                                                                           'type': 'SpeedStateScaleFactors'}],
                                                                              'name': 'setup',
                                                                              'type': 'SEQUENCE'}],
                                                                 'name': 'speedStatePars',
                                                                 'optional': True,
                                                                 'type': 'CHOICE'},
                                                                {'name': 'allowInterruptions-r11',
                                                                 'optional': True,
                                                                 'type': 'BOOLEAN'}],
                                                    'type': 'SEQUENCE'},
                                  'VarMeasReport': {'members': [{'name': 'measId',
                                                                 'type': 'MeasId'},
                                                                {'name': 'measId-v1250',
                                                                 'optional': True,
                                                                 'type': 'MeasId-v1250'},
                                                                {'name': 'cellsTriggeredList',
                                                                 'optional': True,
                                                                 'type': 'CellsTriggeredList'},
                                                                {'name': 'csi-RS-TriggeredList-r12',
                                                                 'optional': True,
                                                                 'type': 'CSI-RS-TriggeredList-r12'},
                                                                {'name': 'poolsTriggeredList-r14',
                                                                 'optional': True,
                                                                 'type': 'Tx-ResourcePoolMeasList-r14'},
                                                                {'name': 'numberOfReportsSent',
                                                                 'type': 'INTEGER'}],
                                                    'type': 'SEQUENCE'},
                                  'VarMeasReportList': {'element': {'type': 'VarMeasReport'},
                                                        'size': [(1,
                                                                  'maxMeasId')],
                                                        'type': 'SEQUENCE OF'},
                                  'VarMeasReportList-r12': {'element': {'type': 'VarMeasReport'},
                                                            'size': [(1,
                                                                      'maxMeasId-r12')],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                  'VarMobilityHistoryReport-r12': {'type': 'VisitedCellInfoList-r12'},
                                  'VarRLF-Report-r10': {'members': [{'name': 'rlf-Report-r10',
                                                                     'type': 'RLF-Report-r9'},
                                                                    {'name': 'plmn-Identity-r10',
                                                                     'type': 'PLMN-Identity'}],
                                                        'type': 'SEQUENCE'},
                                  'VarRLF-Report-r11': {'members': [{'name': 'rlf-Report-r10',
                                                                     'type': 'RLF-Report-r9'},
                                                                    {'name': 'plmn-IdentityList-r11',
                                                                     'type': 'PLMN-IdentityList3-r11'}],
                                                        'type': 'SEQUENCE'},
                                  'VarShortMAC-Input': {'members': [{'name': 'cellIdentity',
                                                                     'type': 'CellIdentity'},
                                                                    {'name': 'physCellId',
                                                                     'type': 'PhysCellId'},
                                                                    {'name': 'c-RNTI',
                                                                     'type': 'C-RNTI'}],
                                                        'type': 'SEQUENCE'},
                                  'VarShortResumeMAC-Input-r13': {'members': [{'name': 'cellIdentity-r13',
                                                                               'type': 'CellIdentity'},
                                                                              {'name': 'physCellId-r13',
                                                                               'type': 'PhysCellId'},
                                                                              {'name': 'c-RNTI-r13',
                                                                               'type': 'C-RNTI'},
                                                                              {'name': 'resumeDiscriminator-r13',
                                                                               'size': [1],
                                                                               'type': 'BIT '
                                                                                       'STRING'}],
                                                                  'type': 'SEQUENCE'},
                                  'VarWLAN-MobilityConfig': {'members': [{'name': 'wlan-MobilitySet-r13',
                                                                          'optional': True,
                                                                          'type': 'WLAN-Id-List-r13'},
                                                                         {'name': 'successReportRequested',
                                                                          'optional': True,
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'true'}},
                                                                         {'name': 'wlan-SuspendConfig-r14',
                                                                          'optional': True,
                                                                          'type': 'WLAN-SuspendConfig-r14'}],
                                                             'type': 'SEQUENCE'},
                                  'VarWLAN-Status-r13': {'members': [{'name': 'status-r13',
                                                                      'type': 'WLAN-Status-r13'},
                                                                     {'name': 'status-r14',
                                                                      'optional': True,
                                                                      'type': 'WLAN-Status-v1430'}],
                                                         'type': 'SEQUENCE'}},
                        'values': {'maxLogMeas-r10': {'type': 'INTEGER',
                                                      'value': 4060}}},
 'NBIOT-InterNodeDefinitions': {'extensibility-implied': False,
                                'imports': {'EUTRA-InterNodeDefinitions': ['AdditionalReestabInfoList'],
                                            'EUTRA-RRC-Definitions': ['C-RNTI',
                                                                      'PhysCellId',
                                                                      'SecurityAlgorithmConfig',
                                                                      'ShortMAC-I'],
                                            'NBIOT-RRC-Definitions': ['CarrierFreq-NB-r13',
                                                                      'RadioResourceConfigDedicated-NB-r13',
                                                                      'UE-Capability-NB-r13',
                                                                      'UE-RadioPagingInfo-NB-r13']},
                                'object-classes': {},
                                'object-sets': {},
                                'tags': 'AUTOMATIC',
                                'types': {'AS-Config-NB': {'members': [{'name': 'sourceRadioResourceConfig-r13',
                                                                        'type': 'RadioResourceConfigDedicated-NB-r13'},
                                                                       {'name': 'sourceSecurityAlgorithmConfig-r13',
                                                                        'type': 'SecurityAlgorithmConfig'},
                                                                       {'name': 'sourceUE-Identity-r13',
                                                                        'type': 'C-RNTI'},
                                                                       {'name': 'sourceDl-CarrierFreq-r13',
                                                                        'type': 'CarrierFreq-NB-r13'},
                                                                       '...'],
                                                           'type': 'SEQUENCE'},
                                          'AS-Context-NB': {'members': [{'name': 'reestablishmentInfo-r13',
                                                                         'optional': True,
                                                                         'type': 'ReestablishmentInfo-NB'},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-NB': {'members': [{'members': [{'members': [{'name': 'handoverPreparationInformation-r13',
                                                                                                                       'type': 'HandoverPreparationInformation-NB-IEs'},
                                                                                                                      {'name': 'spare3',
                                                                                                                       'type': 'NULL'},
                                                                                                                      {'name': 'spare2',
                                                                                                                       'type': 'NULL'},
                                                                                                                      {'name': 'spare1',
                                                                                                                       'type': 'NULL'}],
                                                                                                          'name': 'c1',
                                                                                                          'type': 'CHOICE'},
                                                                                                         {'members': [],
                                                                                                          'name': 'criticalExtensionsFuture',
                                                                                                          'type': 'SEQUENCE'}],
                                                                                             'name': 'criticalExtensions',
                                                                                             'type': 'CHOICE'}],
                                                                                'type': 'SEQUENCE'},
                                          'HandoverPreparationInformation-NB-IEs': {'members': [{'name': 'ue-RadioAccessCapabilityInfo-r13',
                                                                                                 'type': 'UE-Capability-NB-r13'},
                                                                                                {'name': 'as-Config-r13',
                                                                                                 'type': 'AS-Config-NB'},
                                                                                                {'name': 'rrm-Config-r13',
                                                                                                 'optional': True,
                                                                                                 'type': 'RRM-Config-NB'},
                                                                                                {'name': 'as-Context-r13',
                                                                                                 'optional': True,
                                                                                                 'type': 'AS-Context-NB'},
                                                                                                {'members': [],
                                                                                                 'name': 'nonCriticalExtension',
                                                                                                 'optional': True,
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'type': 'SEQUENCE'},
                                          'RRM-Config-NB': {'members': [{'name': 'ue-InactiveTime',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 's1',
                                                                                    1: 's2',
                                                                                    2: 's3',
                                                                                    3: 's5',
                                                                                    4: 's7',
                                                                                    5: 's10',
                                                                                    6: 's15',
                                                                                    7: 's20',
                                                                                    8: 's25',
                                                                                    9: 's30',
                                                                                    10: 's40',
                                                                                    11: 's50',
                                                                                    12: 'min1',
                                                                                    13: 'min1s20',
                                                                                    14: 'min1s40',
                                                                                    15: 'min2',
                                                                                    16: 'min2s30',
                                                                                    17: 'min3',
                                                                                    18: 'min3s30',
                                                                                    19: 'min4',
                                                                                    20: 'min5',
                                                                                    21: 'min6',
                                                                                    22: 'min7',
                                                                                    23: 'min8',
                                                                                    24: 'min9',
                                                                                    25: 'min10',
                                                                                    26: 'min12',
                                                                                    27: 'min14',
                                                                                    28: 'min17',
                                                                                    29: 'min20',
                                                                                    30: 'min24',
                                                                                    31: 'min28',
                                                                                    32: 'min33',
                                                                                    33: 'min38',
                                                                                    34: 'min44',
                                                                                    35: 'min50',
                                                                                    36: 'hr1',
                                                                                    37: 'hr1min30',
                                                                                    38: 'hr2',
                                                                                    39: 'hr2min30',
                                                                                    40: 'hr3',
                                                                                    41: 'hr3min30',
                                                                                    42: 'hr4',
                                                                                    43: 'hr5',
                                                                                    44: 'hr6',
                                                                                    45: 'hr8',
                                                                                    46: 'hr10',
                                                                                    47: 'hr13',
                                                                                    48: 'hr16',
                                                                                    49: 'hr20',
                                                                                    50: 'day1',
                                                                                    51: 'day1hr12',
                                                                                    52: 'day2',
                                                                                    53: 'day2hr12',
                                                                                    54: 'day3',
                                                                                    55: 'day4',
                                                                                    56: 'day5',
                                                                                    57: 'day7',
                                                                                    58: 'day10',
                                                                                    59: 'day14',
                                                                                    60: 'day19',
                                                                                    61: 'day24',
                                                                                    62: 'day30',
                                                                                    63: 'dayMoreThan30'}},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                          'ReestablishmentInfo-NB': {'members': [{'name': 'sourcePhysCellId-r13',
                                                                                  'type': 'PhysCellId'},
                                                                                 {'name': 'targetCellShortMAC-I-r13',
                                                                                  'type': 'ShortMAC-I'},
                                                                                 {'name': 'additionalReestabInfoList-r13',
                                                                                  'optional': True,
                                                                                  'type': 'AdditionalReestabInfoList'},
                                                                                 '...'],
                                                                     'type': 'SEQUENCE'},
                                          'UEPagingCoverageInformation-NB': {'members': [{'members': [{'members': [{'name': 'uePagingCoverageInformation-r13',
                                                                                                                    'type': 'UEPagingCoverageInformation-NB-IEs'},
                                                                                                                   {'name': 'spare3',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare2',
                                                                                                                    'type': 'NULL'},
                                                                                                                   {'name': 'spare1',
                                                                                                                    'type': 'NULL'}],
                                                                                                       'name': 'c1',
                                                                                                       'type': 'CHOICE'},
                                                                                                      {'members': [],
                                                                                                       'name': 'criticalExtensionsFuture',
                                                                                                       'type': 'SEQUENCE'}],
                                                                                          'name': 'criticalExtensions',
                                                                                          'type': 'CHOICE'}],
                                                                             'type': 'SEQUENCE'},
                                          'UEPagingCoverageInformation-NB-IEs': {'members': [{'name': 'npdcch-NumRepetitionPaging-r13',
                                                                                              'optional': True,
                                                                                              'restricted-to': [(1,
                                                                                                                 2048)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'members': [],
                                                                                              'name': 'nonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'type': 'SEQUENCE'},
                                          'UERadioAccessCapabilityInformation-NB': {'members': [{'members': [{'members': [{'name': 'ueRadioAccessCapabilityInformation-r13',
                                                                                                                           'type': 'UERadioAccessCapabilityInformation-NB-IEs'},
                                                                                                                          {'name': 'spare3',
                                                                                                                           'type': 'NULL'},
                                                                                                                          {'name': 'spare2',
                                                                                                                           'type': 'NULL'},
                                                                                                                          {'name': 'spare1',
                                                                                                                           'type': 'NULL'}],
                                                                                                              'name': 'c1',
                                                                                                              'type': 'CHOICE'},
                                                                                                             {'members': [],
                                                                                                              'name': 'criticalExtensionsFuture',
                                                                                                              'type': 'SEQUENCE'}],
                                                                                                 'name': 'criticalExtensions',
                                                                                                 'type': 'CHOICE'}],
                                                                                    'type': 'SEQUENCE'},
                                          'UERadioAccessCapabilityInformation-NB-IEs': {'members': [{'name': 'ue-RadioAccessCapabilityInfo-r13',
                                                                                                     'type': 'OCTET '
                                                                                                             'STRING'},
                                                                                                    {'members': [],
                                                                                                     'name': 'nonCriticalExtension',
                                                                                                     'optional': True,
                                                                                                     'type': 'SEQUENCE'}],
                                                                                        'type': 'SEQUENCE'},
                                          'UERadioPagingInformation-NB': {'members': [{'members': [{'members': [{'name': 'ueRadioPagingInformation-r13',
                                                                                                                 'type': 'UERadioPagingInformation-NB-IEs'},
                                                                                                                {'name': 'spare3',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare2',
                                                                                                                 'type': 'NULL'},
                                                                                                                {'name': 'spare1',
                                                                                                                 'type': 'NULL'}],
                                                                                                    'name': 'c1',
                                                                                                    'type': 'CHOICE'},
                                                                                                   {'members': [],
                                                                                                    'name': 'criticalExtensionsFuture',
                                                                                                    'type': 'SEQUENCE'}],
                                                                                       'name': 'criticalExtensions',
                                                                                       'type': 'CHOICE'}],
                                                                          'type': 'SEQUENCE'},
                                          'UERadioPagingInformation-NB-IEs': {'members': [{'name': 'ue-RadioPagingInfo-r13',
                                                                                           'type': 'OCTET '
                                                                                                   'STRING'},
                                                                                          {'members': [],
                                                                                           'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'}},
                                'values': {}},
 'NBIOT-RRC-Definitions': {'extensibility-implied': False,
                           'imports': {'EUTRA-RRC-Definitions': ['RRCConnectionReestablishmentReject',
                                                                 'SecurityModeCommand',
                                                                 'SecurityModeComplete',
                                                                 'SecurityModeFailure',
                                                                 'AdditionalSpectrumEmission',
                                                                 'ARFCN-ValueEUTRA-r9',
                                                                 'CellIdentity',
                                                                 'DedicatedInfoNAS',
                                                                 'DRB-Identity',
                                                                 'InitialUE-Identity',
                                                                 'IntraFreqBlackCellList',
                                                                 'IntraFreqNeighCellList',
                                                                 'maxBands',
                                                                 'maxCellBlack',
                                                                 'maxCellInter',
                                                                 'maxFBI2',
                                                                 'maxFreq',
                                                                 'maxMultiBands',
                                                                 'maxPageRec',
                                                                 'maxPLMN-r11',
                                                                 'maxSAI-MBMS-r11',
                                                                 'maxSIB',
                                                                 'maxSIB-1',
                                                                 'MBMS-SAI-r11',
                                                                 'MBMS-SAI-List-r11',
                                                                 'MBMSSessionInfo-r13',
                                                                 'NextHopChainingCount',
                                                                 'PagingUE-Identity',
                                                                 'PLMN-Identity',
                                                                 'P-Max',
                                                                 'PowerRampingParameters',
                                                                 'PreambleTransMax',
                                                                 'PhysCellId',
                                                                 'Q-OffsetRange',
                                                                 'Q-QualMin-r9',
                                                                 'Q-RxLevMin',
                                                                 'ReestabUE-Identity',
                                                                 'RegisteredMME',
                                                                 'ReselectionThreshold',
                                                                 'ResumeIdentity-r13',
                                                                 'RRC-TransactionIdentifier',
                                                                 'RSRP-Range',
                                                                 'ShortMAC-I',
                                                                 'S-TMSI',
                                                                 'SystemInformationBlockType16-r11',
                                                                 'SystemInfoValueTagSI-r13',
                                                                 'T-Reordering',
                                                                 'TimeAlignmentTimer',
                                                                 'TMGI-r9',
                                                                 'TrackingAreaCode',
                                                                 'DataInactivityTimer-r14']},
                           'object-classes': {},
                           'object-sets': {},
                           'tags': 'AUTOMATIC',
                           'types': {'AB-Config-NB-r13': {'members': [{'name': 'ab-Category-r13',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'a',
                                                                                  1: 'b',
                                                                                  2: 'c'}},
                                                                      {'name': 'ab-BarringBitmap-r13',
                                                                       'size': [10],
                                                                       'type': 'BIT '
                                                                               'STRING'},
                                                                      {'name': 'ab-BarringForExceptionData-r13',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'true'}},
                                                                      {'name': 'ab-BarringForSpecialAC-r13',
                                                                       'size': [5],
                                                                       'type': 'BIT '
                                                                               'STRING'}],
                                                          'type': 'SEQUENCE'},
                                     'AB-ConfigPLMN-NB-r13': {'members': [{'name': 'ab-Config-r13',
                                                                           'optional': True,
                                                                           'type': 'AB-Config-NB-r13'}],
                                                              'type': 'SEQUENCE'},
                                     'ACK-NACK-NumRepetitions-NB-r13': {'type': 'ENUMERATED',
                                                                        'values': {0: 'r1',
                                                                                   1: 'r2',
                                                                                   2: 'r4',
                                                                                   3: 'r8',
                                                                                   4: 'r16',
                                                                                   5: 'r32',
                                                                                   6: 'r64',
                                                                                   7: 'r128'}},
                                     'AccessStratumRelease-NB-r13': {'type': 'ENUMERATED',
                                                                     'values': {0: 'rel13',
                                                                                1: 'rel14',
                                                                                2: 'spare6',
                                                                                3: 'spare5',
                                                                                4: 'spare4',
                                                                                5: 'spare3',
                                                                                6: 'spare2',
                                                                                7: 'spare1',
                                                                                8: '...'}},
                                     'AdditionalBandInfoList-NB-r14': {'element': {'type': 'FreqBandIndicator-NB-r13'},
                                                                       'size': [(1,
                                                                                 'maxMultiBands')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'BCCH-BCH-Message-NB': {'members': [{'name': 'message',
                                                                          'type': 'BCCH-BCH-MessageType-NB'}],
                                                             'type': 'SEQUENCE'},
                                     'BCCH-BCH-MessageType-NB': {'type': 'MasterInformationBlock-NB'},
                                     'BCCH-Config-NB-r13': {'members': [{'name': 'modificationPeriodCoeff-r13',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'n16',
                                                                                    1: 'n32',
                                                                                    2: 'n64',
                                                                                    3: 'n128'}}],
                                                            'type': 'SEQUENCE'},
                                     'BCCH-DL-SCH-Message-NB': {'members': [{'name': 'message',
                                                                             'type': 'BCCH-DL-SCH-MessageType-NB'}],
                                                                'type': 'SEQUENCE'},
                                     'BCCH-DL-SCH-MessageType-NB': {'members': [{'members': [{'name': 'systemInformation-r13',
                                                                                              'type': 'SystemInformation-NB'},
                                                                                             {'name': 'systemInformationBlockType1-r13',
                                                                                              'type': 'SystemInformationBlockType1-NB'}],
                                                                                 'name': 'c1',
                                                                                 'type': 'CHOICE'},
                                                                                {'members': [],
                                                                                 'name': 'messageClassExtension',
                                                                                 'type': 'SEQUENCE'}],
                                                                    'type': 'CHOICE'},
                                     'CarrierConfigDedicated-NB-r13': {'members': [{'name': 'dl-CarrierConfig-r13',
                                                                                    'type': 'DL-CarrierConfigDedicated-NB-r13'},
                                                                                   {'name': 'ul-CarrierConfig-r13',
                                                                                    'type': 'UL-CarrierConfigDedicated-NB-r13'}],
                                                                       'type': 'SEQUENCE'},
                                     'CarrierFreq-NB-r13': {'members': [{'name': 'carrierFreq-r13',
                                                                         'type': 'ARFCN-ValueEUTRA-r9'},
                                                                        {'name': 'carrierFreqOffset-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'v-10',
                                                                                    1: 'v-9',
                                                                                    2: 'v-8',
                                                                                    3: 'v-7',
                                                                                    4: 'v-6',
                                                                                    5: 'v-5',
                                                                                    6: 'v-4',
                                                                                    7: 'v-3',
                                                                                    8: 'v-2',
                                                                                    9: 'v-1',
                                                                                    10: 'v-0dot5',
                                                                                    11: 'v0',
                                                                                    12: 'v1',
                                                                                    13: 'v2',
                                                                                    14: 'v3',
                                                                                    15: 'v4',
                                                                                    16: 'v5',
                                                                                    17: 'v6',
                                                                                    18: 'v7',
                                                                                    19: 'v8',
                                                                                    20: 'v9'}}],
                                                            'type': 'SEQUENCE'},
                                     'CellSelectionInfo-NB-v1350': {'members': [{'name': 'delta-RxLevMin-v1350',
                                                                                 'restricted-to': [(-8,
                                                                                                    -1)],
                                                                                 'type': 'INTEGER'}],
                                                                    'type': 'SEQUENCE'},
                                     'CellSelectionInfo-NB-v1430': {'members': [{'name': 'powerClass14dBm-Offset-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'dB-6',
                                                                                            1: 'dB-3',
                                                                                            2: 'dB3',
                                                                                            3: 'dB6',
                                                                                            4: 'dB9',
                                                                                            5: 'dB12'}},
                                                                                {'name': 'ce-authorisationOffset-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'dB5',
                                                                                            1: 'dB10',
                                                                                            2: 'dB15',
                                                                                            3: 'dB20',
                                                                                            4: 'dB25',
                                                                                            5: 'dB30',
                                                                                            6: 'dB35'}}],
                                                                    'type': 'SEQUENCE'},
                                     'ChannelRasterOffset-NB-r13': {'type': 'ENUMERATED',
                                                                    'values': {0: 'khz-7dot5',
                                                                               1: 'khz-2dot5',
                                                                               2: 'khz2dot5',
                                                                               3: 'khz7dot5'}},
                                     'DL-AM-RLC-NB-r13': {'members': [{'name': 'enableStatusReportSN-Gap-r13',
                                                                       'optional': True,
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'true'}}],
                                                          'type': 'SEQUENCE'},
                                     'DL-Bitmap-NB-r13': {'members': [{'name': 'subframePattern10-r13',
                                                                       'size': [10],
                                                                       'type': 'BIT '
                                                                               'STRING'},
                                                                      {'name': 'subframePattern40-r13',
                                                                       'size': [40],
                                                                       'type': 'BIT '
                                                                               'STRING'}],
                                                          'type': 'CHOICE'},
                                     'DL-CCCH-Message-NB': {'members': [{'name': 'message',
                                                                         'type': 'DL-CCCH-MessageType-NB'}],
                                                            'type': 'SEQUENCE'},
                                     'DL-CCCH-MessageType-NB': {'members': [{'members': [{'name': 'rrcConnectionReestablishment-r13',
                                                                                          'type': 'RRCConnectionReestablishment-NB'},
                                                                                         {'name': 'rrcConnectionReestablishmentReject-r13',
                                                                                          'type': 'RRCConnectionReestablishmentReject'},
                                                                                         {'name': 'rrcConnectionReject-r13',
                                                                                          'type': 'RRCConnectionReject-NB'},
                                                                                         {'name': 'rrcConnectionSetup-r13',
                                                                                          'type': 'RRCConnectionSetup-NB'},
                                                                                         {'name': 'spare4',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare3',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare2',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare1',
                                                                                          'type': 'NULL'}],
                                                                             'name': 'c1',
                                                                             'type': 'CHOICE'},
                                                                            {'members': [],
                                                                             'name': 'messageClassExtension',
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'CHOICE'},
                                     'DL-CarrierConfigCommon-NB-r14': {'members': [{'name': 'dl-CarrierFreq-r14',
                                                                                    'type': 'CarrierFreq-NB-r13'},
                                                                                   {'members': [{'name': 'useNoBitmap-r14',
                                                                                                 'type': 'NULL'},
                                                                                                {'name': 'useAnchorBitmap-r14',
                                                                                                 'type': 'NULL'},
                                                                                                {'name': 'explicitBitmapConfiguration-r14',
                                                                                                 'type': 'DL-Bitmap-NB-r13'}],
                                                                                    'name': 'downlinkBitmapNonAnchor-r14',
                                                                                    'type': 'CHOICE'},
                                                                                   {'members': [{'name': 'useNoGap-r14',
                                                                                                 'type': 'NULL'},
                                                                                                {'name': 'useAnchorGapConfig-r14',
                                                                                                 'type': 'NULL'},
                                                                                                {'name': 'explicitGapConfiguration-r14',
                                                                                                 'type': 'DL-GapConfig-NB-r13'}],
                                                                                    'name': 'dl-GapNonAnchor-r14',
                                                                                    'type': 'CHOICE'},
                                                                                   {'members': [{'members': [{'members': [{'name': 'indexToMidPRB-r14',
                                                                                                                           'restricted-to': [(-55,
                                                                                                                                              54)],
                                                                                                                           'type': 'INTEGER'}],
                                                                                                              'name': 'samePCI-r14',
                                                                                                              'type': 'SEQUENCE'},
                                                                                                             {'members': [{'name': 'eutra-NumCRS-Ports-r14',
                                                                                                                           'type': 'ENUMERATED',
                                                                                                                           'values': {0: 'same',
                                                                                                                                      1: 'four'}}],
                                                                                                              'name': 'differentPCI-r14',
                                                                                                              'type': 'SEQUENCE'}],
                                                                                                 'name': 'samePCI-Indicator-r14',
                                                                                                 'optional': True,
                                                                                                 'type': 'CHOICE'},
                                                                                                {'name': 'eutraControlRegionSize-r14',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'n1',
                                                                                                            1: 'n2',
                                                                                                            2: 'n3'}}],
                                                                                    'name': 'inbandCarrierInfo-r14',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'},
                                                                                   {'default': 'dB0',
                                                                                    'name': 'nrs-PowerOffsetNonAnchor-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'dB-12',
                                                                                               1: 'dB-10',
                                                                                               2: 'dB-8',
                                                                                               3: 'dB-6',
                                                                                               4: 'dB-4',
                                                                                               5: 'dB-2',
                                                                                               6: 'dB0',
                                                                                               7: 'dB3'}},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                     'DL-CarrierConfigDedicated-NB-r13': {'members': [{'name': 'dl-CarrierFreq-r13',
                                                                                       'type': 'CarrierFreq-NB-r13'},
                                                                                      {'members': [{'name': 'useNoBitmap-r13',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'useAnchorBitmap-r13',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'explicitBitmapConfiguration-r13',
                                                                                                    'type': 'DL-Bitmap-NB-r13'},
                                                                                                   {'name': 'spare',
                                                                                                    'type': 'NULL'}],
                                                                                       'name': 'downlinkBitmapNonAnchor-r13',
                                                                                       'optional': True,
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [{'name': 'useNoGap-r13',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'useAnchorGapConfig-r13',
                                                                                                    'type': 'NULL'},
                                                                                                   {'name': 'explicitGapConfiguration-r13',
                                                                                                    'type': 'DL-GapConfig-NB-r13'},
                                                                                                   {'name': 'spare',
                                                                                                    'type': 'NULL'}],
                                                                                       'name': 'dl-GapNonAnchor-r13',
                                                                                       'optional': True,
                                                                                       'type': 'CHOICE'},
                                                                                      {'members': [{'members': [{'members': [{'name': 'indexToMidPRB-r13',
                                                                                                                              'restricted-to': [(-55,
                                                                                                                                                 54)],
                                                                                                                              'type': 'INTEGER'}],
                                                                                                                 'name': 'samePCI-r13',
                                                                                                                 'type': 'SEQUENCE'},
                                                                                                                {'members': [{'name': 'eutra-NumCRS-Ports-r13',
                                                                                                                              'type': 'ENUMERATED',
                                                                                                                              'values': {0: 'same',
                                                                                                                                         1: 'four'}}],
                                                                                                                 'name': 'differentPCI-r13',
                                                                                                                 'type': 'SEQUENCE'}],
                                                                                                    'name': 'samePCI-Indicator-r13',
                                                                                                    'optional': True,
                                                                                                    'type': 'CHOICE'},
                                                                                                   {'name': 'eutraControlRegionSize-r13',
                                                                                                    'type': 'ENUMERATED',
                                                                                                    'values': {0: 'n1',
                                                                                                               1: 'n2',
                                                                                                               2: 'n3'}}],
                                                                                       'name': 'inbandCarrierInfo-r13',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'},
                                                                                      '...',
                                                                                      {'name': 'nrs-PowerOffsetNonAnchor-v1330',
                                                                                       'optional': True,
                                                                                       'type': 'ENUMERATED',
                                                                                       'values': {0: 'dB-12',
                                                                                                  1: 'dB-10',
                                                                                                  2: 'dB-8',
                                                                                                  3: 'dB-6',
                                                                                                  4: 'dB-4',
                                                                                                  5: 'dB-2',
                                                                                                  6: 'dB0',
                                                                                                  7: 'dB3'}}],
                                                                          'type': 'SEQUENCE'},
                                     'DL-ConfigCommon-NB-r14': {'members': [{'name': 'dl-CarrierConfig-r14',
                                                                             'type': 'DL-CarrierConfigCommon-NB-r14'},
                                                                            {'name': 'pcch-Config-r14',
                                                                             'optional': True,
                                                                             'type': 'PCCH-Config-NB-r14'},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'DL-ConfigCommonList-NB-r14': {'element': {'type': 'DL-ConfigCommon-NB-r14'},
                                                                    'size': [(1,
                                                                              'maxNonAnchorCarriers-NB-r14')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'DL-DCCH-Message-NB': {'members': [{'name': 'message',
                                                                         'type': 'DL-DCCH-MessageType-NB'}],
                                                            'type': 'SEQUENCE'},
                                     'DL-DCCH-MessageType-NB': {'members': [{'members': [{'name': 'dlInformationTransfer-r13',
                                                                                          'type': 'DLInformationTransfer-NB'},
                                                                                         {'name': 'rrcConnectionReconfiguration-r13',
                                                                                          'type': 'RRCConnectionReconfiguration-NB'},
                                                                                         {'name': 'rrcConnectionRelease-r13',
                                                                                          'type': 'RRCConnectionRelease-NB'},
                                                                                         {'name': 'securityModeCommand-r13',
                                                                                          'type': 'SecurityModeCommand'},
                                                                                         {'name': 'ueCapabilityEnquiry-r13',
                                                                                          'type': 'UECapabilityEnquiry-NB'},
                                                                                         {'name': 'rrcConnectionResume-r13',
                                                                                          'type': 'RRCConnectionResume-NB'},
                                                                                         {'name': 'spare2',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare1',
                                                                                          'type': 'NULL'}],
                                                                             'name': 'c1',
                                                                             'type': 'CHOICE'},
                                                                            {'members': [],
                                                                             'name': 'messageClassExtension',
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'CHOICE'},
                                     'DL-GapConfig-NB-r13': {'members': [{'name': 'dl-GapThreshold-r13',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'n32',
                                                                                     1: 'n64',
                                                                                     2: 'n128',
                                                                                     3: 'n256'}},
                                                                         {'name': 'dl-GapPeriodicity-r13',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'sf64',
                                                                                     1: 'sf128',
                                                                                     2: 'sf256',
                                                                                     3: 'sf512'}},
                                                                         {'name': 'dl-GapDurationCoeff-r13',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'oneEighth',
                                                                                     1: 'oneFourth',
                                                                                     2: 'threeEighth',
                                                                                     3: 'oneHalf'}}],
                                                             'type': 'SEQUENCE'},
                                     'DLInformationTransfer-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                               'type': 'RRC-TransactionIdentifier'},
                                                                              {'members': [{'members': [{'name': 'dlInformationTransfer-r13',
                                                                                                         'type': 'DLInformationTransfer-NB-r13-IEs'},
                                                                                                        {'name': 'spare1',
                                                                                                         'type': 'NULL'}],
                                                                                            'name': 'c1',
                                                                                            'type': 'CHOICE'},
                                                                                           {'members': [],
                                                                                            'name': 'criticalExtensionsFuture',
                                                                                            'type': 'SEQUENCE'}],
                                                                               'name': 'criticalExtensions',
                                                                               'type': 'CHOICE'}],
                                                                  'type': 'SEQUENCE'},
                                     'DLInformationTransfer-NB-r13-IEs': {'members': [{'name': 'dedicatedInfoNAS-r13',
                                                                                       'type': 'DedicatedInfoNAS'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      {'members': [],
                                                                                       'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'SEQUENCE'},
                                     'DRB-ToAddMod-NB-r13': {'members': [{'name': 'eps-BearerIdentity-r13',
                                                                          'optional': True,
                                                                          'restricted-to': [(0,
                                                                                             15)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'drb-Identity-r13',
                                                                          'type': 'DRB-Identity'},
                                                                         {'name': 'pdcp-Config-r13',
                                                                          'optional': True,
                                                                          'type': 'PDCP-Config-NB-r13'},
                                                                         {'name': 'rlc-Config-r13',
                                                                          'optional': True,
                                                                          'type': 'RLC-Config-NB-r13'},
                                                                         {'name': 'logicalChannelIdentity-r13',
                                                                          'optional': True,
                                                                          'restricted-to': [(3,
                                                                                             10)],
                                                                          'type': 'INTEGER'},
                                                                         {'name': 'logicalChannelConfig-r13',
                                                                          'optional': True,
                                                                          'type': 'LogicalChannelConfig-NB-r13'},
                                                                         '...',
                                                                         {'name': 'rlc-Config-v1430',
                                                                          'optional': True,
                                                                          'type': 'RLC-Config-NB-v1430'}],
                                                             'type': 'SEQUENCE'},
                                     'DRB-ToAddModList-NB-r13': {'element': {'type': 'DRB-ToAddMod-NB-r13'},
                                                                 'size': [(1,
                                                                           'maxDRB-NB-r13')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'DRB-ToReleaseList-NB-r13': {'element': {'type': 'DRB-Identity'},
                                                                  'size': [(1,
                                                                            'maxDRB-NB-r13')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'DRX-Config-NB-r13': {'members': [{'name': 'release',
                                                                        'type': 'NULL'},
                                                                       {'members': [{'name': 'onDurationTimer-r13',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'pp1',
                                                                                                1: 'pp2',
                                                                                                2: 'pp3',
                                                                                                3: 'pp4',
                                                                                                4: 'pp8',
                                                                                                5: 'pp16',
                                                                                                6: 'pp32',
                                                                                                7: 'spare'}},
                                                                                    {'name': 'drx-InactivityTimer-r13',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'pp0',
                                                                                                1: 'pp1',
                                                                                                2: 'pp2',
                                                                                                3: 'pp3',
                                                                                                4: 'pp4',
                                                                                                5: 'pp8',
                                                                                                6: 'pp16',
                                                                                                7: 'pp32'}},
                                                                                    {'name': 'drx-RetransmissionTimer-r13',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'pp0',
                                                                                                1: 'pp1',
                                                                                                2: 'pp2',
                                                                                                3: 'pp4',
                                                                                                4: 'pp6',
                                                                                                5: 'pp8',
                                                                                                6: 'pp16',
                                                                                                7: 'pp24',
                                                                                                8: 'pp33',
                                                                                                9: 'spare7',
                                                                                                10: 'spare6',
                                                                                                11: 'spare5',
                                                                                                12: 'spare4',
                                                                                                13: 'spare3',
                                                                                                14: 'spare2',
                                                                                                15: 'spare1'}},
                                                                                    {'name': 'drx-Cycle-r13',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'sf256',
                                                                                                1: 'sf512',
                                                                                                2: 'sf1024',
                                                                                                3: 'sf1536',
                                                                                                4: 'sf2048',
                                                                                                5: 'sf3072',
                                                                                                6: 'sf4096',
                                                                                                7: 'sf4608',
                                                                                                8: 'sf6144',
                                                                                                9: 'sf7680',
                                                                                                10: 'sf8192',
                                                                                                11: 'sf9216',
                                                                                                12: 'spare4',
                                                                                                13: 'spare3',
                                                                                                14: 'spare2',
                                                                                                15: 'spare1'}},
                                                                                    {'name': 'drx-StartOffset-r13',
                                                                                     'restricted-to': [(0,
                                                                                                        255)],
                                                                                     'type': 'INTEGER'},
                                                                                    {'name': 'drx-ULRetransmissionTimer-r13',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'pp0',
                                                                                                1: 'pp1',
                                                                                                2: 'pp2',
                                                                                                3: 'pp4',
                                                                                                4: 'pp6',
                                                                                                5: 'pp8',
                                                                                                6: 'pp16',
                                                                                                7: 'pp24',
                                                                                                8: 'pp33',
                                                                                                9: 'pp40',
                                                                                                10: 'pp64',
                                                                                                11: 'pp80',
                                                                                                12: 'pp96',
                                                                                                13: 'pp112',
                                                                                                14: 'pp128',
                                                                                                15: 'pp160',
                                                                                                16: 'pp320'}}],
                                                                        'name': 'setup',
                                                                        'type': 'SEQUENCE'}],
                                                           'type': 'CHOICE'},
                                     'EstablishmentCause-NB-r13': {'type': 'ENUMERATED',
                                                                   'values': {0: 'mt-Access',
                                                                              1: 'mo-Signalling',
                                                                              2: 'mo-Data',
                                                                              3: 'mo-ExceptionData',
                                                                              4: 'delayTolerantAccess-v1330',
                                                                              5: 'spare3',
                                                                              6: 'spare2',
                                                                              7: 'spare1'}},
                                     'FreqBandIndicator-NB-r13': {'restricted-to': [(1,
                                                                                     'maxFBI2')],
                                                                  'type': 'INTEGER'},
                                     'Guardband-NB-r13': {'members': [{'name': 'rasterOffset-r13',
                                                                       'type': 'ChannelRasterOffset-NB-r13'},
                                                                      {'name': 'spare',
                                                                       'size': [3],
                                                                       'type': 'BIT '
                                                                               'STRING'}],
                                                          'type': 'SEQUENCE'},
                                     'Inband-DifferentPCI-NB-r13': {'members': [{'name': 'eutra-NumCRS-Ports-r13',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'same',
                                                                                            1: 'four'}},
                                                                                {'name': 'rasterOffset-r13',
                                                                                 'type': 'ChannelRasterOffset-NB-r13'},
                                                                                {'name': 'spare',
                                                                                 'size': [2],
                                                                                 'type': 'BIT '
                                                                                         'STRING'}],
                                                                    'type': 'SEQUENCE'},
                                     'Inband-SamePCI-NB-r13': {'members': [{'name': 'eutra-CRS-SequenceInfo-r13',
                                                                            'restricted-to': [(0,
                                                                                               31)],
                                                                            'type': 'INTEGER'}],
                                                               'type': 'SEQUENCE'},
                                     'InterFreqBlackCellList-NB-r13': {'element': {'type': 'PhysCellId'},
                                                                       'size': [(1,
                                                                                 'maxCellBlack')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'InterFreqCarrierFreqInfo-NB-r13': {'members': [{'name': 'dl-CarrierFreq-r13',
                                                                                      'type': 'CarrierFreq-NB-r13'},
                                                                                     {'name': 'q-RxLevMin-r13',
                                                                                      'type': 'Q-RxLevMin'},
                                                                                     {'name': 'q-QualMin-r13',
                                                                                      'optional': True,
                                                                                      'type': 'Q-QualMin-r9'},
                                                                                     {'name': 'p-Max-r13',
                                                                                      'optional': True,
                                                                                      'type': 'P-Max'},
                                                                                     {'default': 'dB0',
                                                                                      'name': 'q-OffsetFreq-r13',
                                                                                      'type': 'Q-OffsetRange'},
                                                                                     {'name': 'interFreqNeighCellList-r13',
                                                                                      'optional': True,
                                                                                      'type': 'InterFreqNeighCellList-NB-r13'},
                                                                                     {'name': 'interFreqBlackCellList-r13',
                                                                                      'optional': True,
                                                                                      'type': 'InterFreqBlackCellList-NB-r13'},
                                                                                     {'name': 'multiBandInfoList-r13',
                                                                                      'optional': True,
                                                                                      'type': 'MultiBandInfoList-NB-r13'},
                                                                                     '...',
                                                                                     {'name': 'delta-RxLevMin-v1350',
                                                                                      'optional': True,
                                                                                      'restricted-to': [(-8,
                                                                                                         -1)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'powerClass14dBm-Offset-r14',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'dB-6',
                                                                                                 1: 'dB-3',
                                                                                                 2: 'dB3',
                                                                                                 3: 'dB6',
                                                                                                 4: 'dB9',
                                                                                                 5: 'dB12'}},
                                                                                     {'name': 'ce-AuthorisationOffset-r14',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'dB5',
                                                                                                 1: 'dB10',
                                                                                                 2: 'dB15',
                                                                                                 3: 'dB20',
                                                                                                 4: 'dB25',
                                                                                                 5: 'dB30',
                                                                                                 6: 'dB35'}}],
                                                                         'type': 'SEQUENCE'},
                                     'InterFreqCarrierFreqList-NB-r13': {'element': {'type': 'InterFreqCarrierFreqInfo-NB-r13'},
                                                                         'size': [(1,
                                                                                   'maxFreq')],
                                                                         'type': 'SEQUENCE '
                                                                                 'OF'},
                                     'InterFreqNeighCellList-NB-r13': {'element': {'type': 'PhysCellId'},
                                                                       'size': [(1,
                                                                                 'maxCellInter')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'IntraFreqCellReselectionInfo-NB-v1350': {'members': [{'name': 'delta-RxLevMin-v1350',
                                                                                            'restricted-to': [(-8,
                                                                                                               -1)],
                                                                                            'type': 'INTEGER'}],
                                                                               'type': 'SEQUENCE'},
                                     'IntraFreqCellReselectionInfo-NB-v1360': {'members': [{'name': 's-IntraSearchP-v1360',
                                                                                            'type': 'ReselectionThreshold-NB-v1360'}],
                                                                               'type': 'SEQUENCE'},
                                     'IntraFreqCellReselectionInfo-NB-v1430': {'members': [{'name': 'powerClass14dBm-Offset-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'dB-6',
                                                                                                       1: 'dB-3',
                                                                                                       2: 'dB3',
                                                                                                       3: 'dB6',
                                                                                                       4: 'dB9',
                                                                                                       5: 'dB12'}},
                                                                                           {'name': 'ce-AuthorisationOffset-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'dB5',
                                                                                                       1: 'dB10',
                                                                                                       2: 'dB15',
                                                                                                       3: 'dB20',
                                                                                                       4: 'dB25',
                                                                                                       5: 'dB30',
                                                                                                       6: 'dB35'}}],
                                                                               'type': 'SEQUENCE'},
                                     'LogicalChannelConfig-NB-r13': {'members': [{'name': 'priority-r13',
                                                                                  'optional': True,
                                                                                  'restricted-to': [(1,
                                                                                                     16)],
                                                                                  'type': 'INTEGER'},
                                                                                 {'name': 'logicalChannelSR-Prohibit-r13',
                                                                                  'optional': True,
                                                                                  'type': 'BOOLEAN'},
                                                                                 '...'],
                                                                     'type': 'SEQUENCE'},
                                     'MAC-MainConfig-NB-r13': {'members': [{'members': [{'name': 'periodicBSR-Timer-r13',
                                                                                         'optional': True,
                                                                                         'type': 'PeriodicBSR-Timer-NB-r13'},
                                                                                        {'name': 'retxBSR-Timer-r13',
                                                                                         'type': 'RetxBSR-Timer-NB-r13'}],
                                                                            'name': 'ul-SCH-Config-r13',
                                                                            'optional': True,
                                                                            'type': 'SEQUENCE'},
                                                                           {'name': 'drx-Config-r13',
                                                                            'optional': True,
                                                                            'type': 'DRX-Config-NB-r13'},
                                                                           {'name': 'timeAlignmentTimerDedicated-r13',
                                                                            'type': 'TimeAlignmentTimer'},
                                                                           {'members': [{'name': 'release',
                                                                                         'type': 'NULL'},
                                                                                        {'members': [{'name': 'logicalChannelSR-ProhibitTimer-r13',
                                                                                                      'type': 'ENUMERATED',
                                                                                                      'values': {0: 'pp2',
                                                                                                                 1: 'pp8',
                                                                                                                 2: 'pp32',
                                                                                                                 3: 'pp128',
                                                                                                                 4: 'pp512',
                                                                                                                 5: 'pp1024',
                                                                                                                 6: 'pp2048',
                                                                                                                 7: 'spare'}}],
                                                                                         'name': 'setup',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'name': 'logicalChannelSR-Config-r13',
                                                                            'optional': True,
                                                                            'type': 'CHOICE'},
                                                                           '...',
                                                                           {'name': 'rai-Activation-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'true'}},
                                                                           {'members': [{'name': 'release',
                                                                                         'type': 'NULL'},
                                                                                        {'members': [{'name': 'dataInactivityTimer-r14',
                                                                                                      'type': 'DataInactivityTimer-r14'}],
                                                                                         'name': 'setup',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'name': 'dataInactivityTimerConfig-r14',
                                                                            'optional': True,
                                                                            'type': 'CHOICE'},
                                                                           {'name': 'drx-Cycle-v1430',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'sf1280',
                                                                                       1: 'sf2560',
                                                                                       2: 'sf5120',
                                                                                       3: 'sf10240'}},
                                                                           {'name': 'ra-CFRA-Config-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'true'}}],
                                                               'type': 'SEQUENCE'},
                                     'MAC-Parameters-NB-r14': {'members': [{'name': 'dataInactMon-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}},
                                                                           {'name': 'rai-Support-r14',
                                                                            'optional': True,
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'supported'}}],
                                                               'type': 'SEQUENCE'},
                                     'MBMS-SAI-InterFreq-NB-r14': {'members': [{'name': 'dl-CarrierFreq-r14',
                                                                                'type': 'CarrierFreq-NB-r13'},
                                                                               {'name': 'mbms-SAI-List-r14',
                                                                                'type': 'MBMS-SAI-List-r11'},
                                                                               {'name': 'multiBandInfoList-r14',
                                                                                'optional': True,
                                                                                'type': 'AdditionalBandInfoList-NB-r14'}],
                                                                   'type': 'SEQUENCE'},
                                     'MBMS-SAI-InterFreqList-NB-r14': {'element': {'type': 'MBMS-SAI-InterFreq-NB-r14'},
                                                                       'size': [(1,
                                                                                 'maxFreq')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'MasterInformationBlock-NB': {'members': [{'name': 'systemFrameNumber-MSB-r13',
                                                                                'size': [4],
                                                                                'type': 'BIT '
                                                                                        'STRING'},
                                                                               {'name': 'hyperSFN-LSB-r13',
                                                                                'size': [2],
                                                                                'type': 'BIT '
                                                                                        'STRING'},
                                                                               {'name': 'schedulingInfoSIB1-r13',
                                                                                'restricted-to': [(0,
                                                                                                   15)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'systemInfoValueTag-r13',
                                                                                'restricted-to': [(0,
                                                                                                   31)],
                                                                                'type': 'INTEGER'},
                                                                               {'name': 'ab-Enabled-r13',
                                                                                'type': 'BOOLEAN'},
                                                                               {'members': [{'name': 'inband-SamePCI-r13',
                                                                                             'type': 'Inband-SamePCI-NB-r13'},
                                                                                            {'name': 'inband-DifferentPCI-r13',
                                                                                             'type': 'Inband-DifferentPCI-NB-r13'},
                                                                                            {'name': 'guardband-r13',
                                                                                             'type': 'Guardband-NB-r13'},
                                                                                            {'name': 'standalone-r13',
                                                                                             'type': 'Standalone-NB-r13'}],
                                                                                'name': 'operationModeInfo-r13',
                                                                                'type': 'CHOICE'},
                                                                               {'name': 'spare',
                                                                                'size': [11],
                                                                                'type': 'BIT '
                                                                                        'STRING'}],
                                                                   'type': 'SEQUENCE'},
                                     'MultiBandInfo-NB-r13': {'members': [{'name': 'freqBandIndicator-r13',
                                                                           'optional': True,
                                                                           'type': 'FreqBandIndicator-NB-r13'},
                                                                          {'name': 'freqBandInfo-r13',
                                                                           'optional': True,
                                                                           'type': 'NS-PmaxList-NB-r13'}],
                                                              'type': 'SEQUENCE'},
                                     'MultiBandInfoList-NB-r13': {'element': {'type': 'MultiBandInfo-NB-r13'},
                                                                  'size': [(1,
                                                                            'maxMultiBands')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'NPDCCH-ConfigDedicated-NB-r13': {'members': [{'name': 'npdcch-NumRepetitions-r13',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'r1',
                                                                                               1: 'r2',
                                                                                               2: 'r4',
                                                                                               3: 'r8',
                                                                                               4: 'r16',
                                                                                               5: 'r32',
                                                                                               6: 'r64',
                                                                                               7: 'r128',
                                                                                               8: 'r256',
                                                                                               9: 'r512',
                                                                                               10: 'r1024',
                                                                                               11: 'r2048',
                                                                                               12: 'spare4',
                                                                                               13: 'spare3',
                                                                                               14: 'spare2',
                                                                                               15: 'spare1'}},
                                                                                   {'name': 'npdcch-StartSF-USS-r13',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'v1dot5',
                                                                                               1: 'v2',
                                                                                               2: 'v4',
                                                                                               3: 'v8',
                                                                                               4: 'v16',
                                                                                               5: 'v32',
                                                                                               6: 'v48',
                                                                                               7: 'v64'}},
                                                                                   {'name': 'npdcch-Offset-USS-r13',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'zero',
                                                                                               1: 'oneEighth',
                                                                                               2: 'oneFourth',
                                                                                               3: 'threeEighth'}}],
                                                                       'type': 'SEQUENCE'},
                                     'NPDCCH-SC-MCCH-Config-NB-r14': {'members': [{'name': 'npdcch-NumRepetitions-SC-MCCH-r14',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'r1',
                                                                                              1: 'r2',
                                                                                              2: 'r4',
                                                                                              3: 'r8',
                                                                                              4: 'r16',
                                                                                              5: 'r32',
                                                                                              6: 'r64',
                                                                                              7: 'r128',
                                                                                              8: 'r256',
                                                                                              9: 'r512',
                                                                                              10: 'r1024',
                                                                                              11: 'r2048'}},
                                                                                  {'name': 'npdcch-StartSF-SC-MCCH-r14',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'v1dot5',
                                                                                              1: 'v2',
                                                                                              2: 'v4',
                                                                                              3: 'v8',
                                                                                              4: 'v16',
                                                                                              5: 'v32',
                                                                                              6: 'v48',
                                                                                              7: 'v64'}},
                                                                                  {'name': 'npdcch-Offset-SC-MCCH-r14',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'zero',
                                                                                              1: 'oneEighth',
                                                                                              2: 'oneQuarter',
                                                                                              3: 'threeEighth',
                                                                                              4: 'oneHalf',
                                                                                              5: 'fiveEighth',
                                                                                              6: 'threeQuarter',
                                                                                              7: 'sevenEighth'}}],
                                                                      'type': 'SEQUENCE'},
                                     'NPDSCH-ConfigCommon-NB-r13': {'members': [{'name': 'nrs-Power-r13',
                                                                                 'restricted-to': [(-60,
                                                                                                    50)],
                                                                                 'type': 'INTEGER'}],
                                                                    'type': 'SEQUENCE'},
                                     'NPRACH-ConfigSIB-NB-r13': {'members': [{'name': 'nprach-CP-Length-r13',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'us66dot7',
                                                                                         1: 'us266dot7'}},
                                                                             {'name': 'rsrp-ThresholdsPrachInfoList-r13',
                                                                              'optional': True,
                                                                              'type': 'RSRP-ThresholdsNPRACH-InfoList-NB-r13'},
                                                                             {'name': 'nprach-ParametersList-r13',
                                                                              'type': 'NPRACH-ParametersList-NB-r13'}],
                                                                 'type': 'SEQUENCE'},
                                     'NPRACH-ConfigSIB-NB-v1330': {'members': [{'name': 'nprach-ParametersList-v1330',
                                                                                'type': 'NPRACH-ParametersList-NB-v1330'}],
                                                                   'type': 'SEQUENCE'},
                                     'NPRACH-Parameters-NB-r13': {'members': [{'name': 'nprach-Periodicity-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'ms40',
                                                                                          1: 'ms80',
                                                                                          2: 'ms160',
                                                                                          3: 'ms240',
                                                                                          4: 'ms320',
                                                                                          5: 'ms640',
                                                                                          6: 'ms1280',
                                                                                          7: 'ms2560'}},
                                                                              {'name': 'nprach-StartTime-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'ms8',
                                                                                          1: 'ms16',
                                                                                          2: 'ms32',
                                                                                          3: 'ms64',
                                                                                          4: 'ms128',
                                                                                          5: 'ms256',
                                                                                          6: 'ms512',
                                                                                          7: 'ms1024'}},
                                                                              {'name': 'nprach-SubcarrierOffset-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n0',
                                                                                          1: 'n12',
                                                                                          2: 'n24',
                                                                                          3: 'n36',
                                                                                          4: 'n2',
                                                                                          5: 'n18',
                                                                                          6: 'n34',
                                                                                          7: 'spare1'}},
                                                                              {'name': 'nprach-NumSubcarriers-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n12',
                                                                                          1: 'n24',
                                                                                          2: 'n36',
                                                                                          3: 'n48'}},
                                                                              {'name': 'nprach-SubcarrierMSG3-RangeStart-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'zero',
                                                                                          1: 'oneThird',
                                                                                          2: 'twoThird',
                                                                                          3: 'one'}},
                                                                              {'name': 'maxNumPreambleAttemptCE-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n3',
                                                                                          1: 'n4',
                                                                                          2: 'n5',
                                                                                          3: 'n6',
                                                                                          4: 'n7',
                                                                                          5: 'n8',
                                                                                          6: 'n10',
                                                                                          7: 'spare1'}},
                                                                              {'name': 'numRepetitionsPerPreambleAttempt-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'n1',
                                                                                          1: 'n2',
                                                                                          2: 'n4',
                                                                                          3: 'n8',
                                                                                          4: 'n16',
                                                                                          5: 'n32',
                                                                                          6: 'n64',
                                                                                          7: 'n128'}},
                                                                              {'name': 'npdcch-NumRepetitions-RA-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'r1',
                                                                                          1: 'r2',
                                                                                          2: 'r4',
                                                                                          3: 'r8',
                                                                                          4: 'r16',
                                                                                          5: 'r32',
                                                                                          6: 'r64',
                                                                                          7: 'r128',
                                                                                          8: 'r256',
                                                                                          9: 'r512',
                                                                                          10: 'r1024',
                                                                                          11: 'r2048',
                                                                                          12: 'spare4',
                                                                                          13: 'spare3',
                                                                                          14: 'spare2',
                                                                                          15: 'spare1'}},
                                                                              {'name': 'npdcch-StartSF-CSS-RA-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'v1dot5',
                                                                                          1: 'v2',
                                                                                          2: 'v4',
                                                                                          3: 'v8',
                                                                                          4: 'v16',
                                                                                          5: 'v32',
                                                                                          6: 'v48',
                                                                                          7: 'v64'}},
                                                                              {'name': 'npdcch-Offset-RA-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'zero',
                                                                                          1: 'oneEighth',
                                                                                          2: 'oneFourth',
                                                                                          3: 'threeEighth'}}],
                                                                  'type': 'SEQUENCE'},
                                     'NPRACH-Parameters-NB-r14': {'members': [{'members': [{'name': 'nprach-Periodicity-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'ms40',
                                                                                                       1: 'ms80',
                                                                                                       2: 'ms160',
                                                                                                       3: 'ms240',
                                                                                                       4: 'ms320',
                                                                                                       5: 'ms640',
                                                                                                       6: 'ms1280',
                                                                                                       7: 'ms2560'}},
                                                                                           {'name': 'nprach-StartTime-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'ms8',
                                                                                                       1: 'ms16',
                                                                                                       2: 'ms32',
                                                                                                       3: 'ms64',
                                                                                                       4: 'ms128',
                                                                                                       5: 'ms256',
                                                                                                       6: 'ms512',
                                                                                                       7: 'ms1024'}},
                                                                                           {'name': 'nprach-SubcarrierOffset-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'n0',
                                                                                                       1: 'n12',
                                                                                                       2: 'n24',
                                                                                                       3: 'n36',
                                                                                                       4: 'n2',
                                                                                                       5: 'n18',
                                                                                                       6: 'n34',
                                                                                                       7: 'spare1'}},
                                                                                           {'name': 'nprach-NumSubcarriers-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'n12',
                                                                                                       1: 'n24',
                                                                                                       2: 'n36',
                                                                                                       3: 'n48'}},
                                                                                           {'name': 'nprach-SubcarrierMSG3-RangeStart-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'zero',
                                                                                                       1: 'oneThird',
                                                                                                       2: 'twoThird',
                                                                                                       3: 'one'}},
                                                                                           {'name': 'npdcch-NumRepetitions-RA-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'r1',
                                                                                                       1: 'r2',
                                                                                                       2: 'r4',
                                                                                                       3: 'r8',
                                                                                                       4: 'r16',
                                                                                                       5: 'r32',
                                                                                                       6: 'r64',
                                                                                                       7: 'r128',
                                                                                                       8: 'r256',
                                                                                                       9: 'r512',
                                                                                                       10: 'r1024',
                                                                                                       11: 'r2048',
                                                                                                       12: 'spare4',
                                                                                                       13: 'spare3',
                                                                                                       14: 'spare2',
                                                                                                       15: 'spare1'}},
                                                                                           {'name': 'npdcch-StartSF-CSS-RA-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'v1dot5',
                                                                                                       1: 'v2',
                                                                                                       2: 'v4',
                                                                                                       3: 'v8',
                                                                                                       4: 'v16',
                                                                                                       5: 'v32',
                                                                                                       6: 'v48',
                                                                                                       7: 'v64'}},
                                                                                           {'name': 'npdcch-Offset-RA-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'zero',
                                                                                                       1: 'oneEighth',
                                                                                                       2: 'oneFourth',
                                                                                                       3: 'threeEighth'}},
                                                                                           {'name': 'nprach-NumCBRA-StartSubcarriers-r14',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'n8',
                                                                                                       1: 'n10',
                                                                                                       2: 'n11',
                                                                                                       3: 'n12',
                                                                                                       4: 'n20',
                                                                                                       5: 'n22',
                                                                                                       6: 'n23',
                                                                                                       7: 'n24',
                                                                                                       8: 'n32',
                                                                                                       9: 'n34',
                                                                                                       10: 'n35',
                                                                                                       11: 'n36',
                                                                                                       12: 'n40',
                                                                                                       13: 'n44',
                                                                                                       14: 'n46',
                                                                                                       15: 'n48'}},
                                                                                           {'name': 'npdcch-CarrierIndex-r14',
                                                                                            'optional': True,
                                                                                            'restricted-to': [(1,
                                                                                                               'maxNonAnchorCarriers-NB-r14')],
                                                                                            'type': 'INTEGER'},
                                                                                           '...'],
                                                                               'name': 'nprach-Parameters-r14',
                                                                               'optional': True,
                                                                               'type': 'SEQUENCE'}],
                                                                  'type': 'SEQUENCE'},
                                     'NPRACH-Parameters-NB-v1330': {'members': [{'name': 'nprach-NumCBRA-StartSubcarriers-r13',
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'n8',
                                                                                            1: 'n10',
                                                                                            2: 'n11',
                                                                                            3: 'n12',
                                                                                            4: 'n20',
                                                                                            5: 'n22',
                                                                                            6: 'n23',
                                                                                            7: 'n24',
                                                                                            8: 'n32',
                                                                                            9: 'n34',
                                                                                            10: 'n35',
                                                                                            11: 'n36',
                                                                                            12: 'n40',
                                                                                            13: 'n44',
                                                                                            14: 'n46',
                                                                                            15: 'n48'}}],
                                                                    'type': 'SEQUENCE'},
                                     'NPRACH-ParametersList-NB-r13': {'element': {'type': 'NPRACH-Parameters-NB-r13'},
                                                                      'size': [(1,
                                                                                'maxNPRACH-Resources-NB-r13')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'NPRACH-ParametersList-NB-r14': {'element': {'type': 'NPRACH-Parameters-NB-r14'},
                                                                      'size': [(1,
                                                                                'maxNPRACH-Resources-NB-r13')],
                                                                      'type': 'SEQUENCE '
                                                                              'OF'},
                                     'NPRACH-ParametersList-NB-v1330': {'element': {'type': 'NPRACH-Parameters-NB-v1330'},
                                                                        'size': [(1,
                                                                                  'maxNPRACH-Resources-NB-r13')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'NPRACH-ProbabilityAnchor-NB-r14': {'members': [{'name': 'nprach-ProbabilityAnchor-r14',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'zero',
                                                                                                 1: 'oneSixteenth',
                                                                                                 2: 'oneFifteenth',
                                                                                                 3: 'oneFourteenth',
                                                                                                 4: 'oneThirteenth',
                                                                                                 5: 'oneTwelfth',
                                                                                                 6: 'oneEleventh',
                                                                                                 7: 'oneTenth',
                                                                                                 8: 'oneNinth',
                                                                                                 9: 'oneEighth',
                                                                                                 10: 'oneSeventh',
                                                                                                 11: 'oneSixth',
                                                                                                 12: 'oneFifth',
                                                                                                 13: 'oneFourth',
                                                                                                 14: 'oneThird',
                                                                                                 15: 'oneHalf'}}],
                                                                         'type': 'SEQUENCE'},
                                     'NPRACH-ProbabilityAnchorList-NB-r14': {'element': {'type': 'NPRACH-ProbabilityAnchor-NB-r14'},
                                                                             'size': [(1,
                                                                                       'maxNPRACH-Resources-NB-r13')],
                                                                             'type': 'SEQUENCE '
                                                                                     'OF'},
                                     'NPUSCH-ConfigCommon-NB-r13': {'members': [{'element': {'type': 'ACK-NACK-NumRepetitions-NB-r13'},
                                                                                 'name': 'ack-NACK-NumRepetitions-Msg4-r13',
                                                                                 'size': [(1,
                                                                                           'maxNPRACH-Resources-NB-r13')],
                                                                                 'type': 'SEQUENCE '
                                                                                         'OF'},
                                                                                {'name': 'srs-SubframeConfig-r13',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'sc0',
                                                                                            1: 'sc1',
                                                                                            2: 'sc2',
                                                                                            3: 'sc3',
                                                                                            4: 'sc4',
                                                                                            5: 'sc5',
                                                                                            6: 'sc6',
                                                                                            7: 'sc7',
                                                                                            8: 'sc8',
                                                                                            9: 'sc9',
                                                                                            10: 'sc10',
                                                                                            11: 'sc11',
                                                                                            12: 'sc12',
                                                                                            13: 'sc13',
                                                                                            14: 'sc14',
                                                                                            15: 'sc15'}},
                                                                                {'members': [{'name': 'threeTone-BaseSequence-r13',
                                                                                              'optional': True,
                                                                                              'restricted-to': [(0,
                                                                                                                 12)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'threeTone-CyclicShift-r13',
                                                                                              'restricted-to': [(0,
                                                                                                                 2)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sixTone-BaseSequence-r13',
                                                                                              'optional': True,
                                                                                              'restricted-to': [(0,
                                                                                                                 14)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'sixTone-CyclicShift-r13',
                                                                                              'restricted-to': [(0,
                                                                                                                 3)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'name': 'twelveTone-BaseSequence-r13',
                                                                                              'optional': True,
                                                                                              'restricted-to': [(0,
                                                                                                                 30)],
                                                                                              'type': 'INTEGER'}],
                                                                                 'name': 'dmrs-Config-r13',
                                                                                 'optional': True,
                                                                                 'type': 'SEQUENCE'},
                                                                                {'name': 'ul-ReferenceSignalsNPUSCH-r13',
                                                                                 'type': 'UL-ReferenceSignalsNPUSCH-NB-r13'}],
                                                                    'type': 'SEQUENCE'},
                                     'NPUSCH-ConfigDedicated-NB-r13': {'members': [{'name': 'ack-NACK-NumRepetitions-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ACK-NACK-NumRepetitions-NB-r13'},
                                                                                   {'name': 'npusch-AllSymbols-r13',
                                                                                    'optional': True,
                                                                                    'type': 'BOOLEAN'},
                                                                                   {'name': 'groupHoppingDisabled-r13',
                                                                                    'optional': True,
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'true'}}],
                                                                       'type': 'SEQUENCE'},
                                     'NS-PmaxList-NB-r13': {'element': {'type': 'NS-PmaxValue-NB-r13'},
                                                            'size': [(1,
                                                                      'maxNS-Pmax-NB-r13')],
                                                            'type': 'SEQUENCE '
                                                                    'OF'},
                                     'NS-PmaxValue-NB-r13': {'members': [{'name': 'additionalPmax-r13',
                                                                          'optional': True,
                                                                          'type': 'P-Max'},
                                                                         {'name': 'additionalSpectrumEmission-r13',
                                                                          'type': 'AdditionalSpectrumEmission'}],
                                                             'type': 'SEQUENCE'},
                                     'PCCH-Config-NB-r13': {'members': [{'name': 'defaultPagingCycle-r13',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'rf128',
                                                                                    1: 'rf256',
                                                                                    2: 'rf512',
                                                                                    3: 'rf1024'}},
                                                                        {'name': 'nB-r13',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'fourT',
                                                                                    1: 'twoT',
                                                                                    2: 'oneT',
                                                                                    3: 'halfT',
                                                                                    4: 'quarterT',
                                                                                    5: 'one8thT',
                                                                                    6: 'one16thT',
                                                                                    7: 'one32ndT',
                                                                                    8: 'one64thT',
                                                                                    9: 'one128thT',
                                                                                    10: 'one256thT',
                                                                                    11: 'one512thT',
                                                                                    12: 'one1024thT',
                                                                                    13: 'spare3',
                                                                                    14: 'spare2',
                                                                                    15: 'spare1'}},
                                                                        {'name': 'npdcch-NumRepetitionPaging-r13',
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'r1',
                                                                                    1: 'r2',
                                                                                    2: 'r4',
                                                                                    3: 'r8',
                                                                                    4: 'r16',
                                                                                    5: 'r32',
                                                                                    6: 'r64',
                                                                                    7: 'r128',
                                                                                    8: 'r256',
                                                                                    9: 'r512',
                                                                                    10: 'r1024',
                                                                                    11: 'r2048',
                                                                                    12: 'spare4',
                                                                                    13: 'spare3',
                                                                                    14: 'spare2',
                                                                                    15: 'spare1'}}],
                                                            'type': 'SEQUENCE'},
                                     'PCCH-Config-NB-r14': {'members': [{'name': 'npdcch-NumRepetitionPaging-r14',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'r1',
                                                                                    1: 'r2',
                                                                                    2: 'r4',
                                                                                    3: 'r8',
                                                                                    4: 'r16',
                                                                                    5: 'r32',
                                                                                    6: 'r64',
                                                                                    7: 'r128',
                                                                                    8: 'r256',
                                                                                    9: 'r512',
                                                                                    10: 'r1024',
                                                                                    11: 'r2048',
                                                                                    12: 'spare4',
                                                                                    13: 'spare3',
                                                                                    14: 'spare2',
                                                                                    15: 'spare1'}},
                                                                        {'default': 'w1',
                                                                         'name': 'pagingWeight-r14',
                                                                         'type': 'PagingWeight-NB-r14'},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                     'PCCH-Message-NB': {'members': [{'name': 'message',
                                                                      'type': 'PCCH-MessageType-NB'}],
                                                         'type': 'SEQUENCE'},
                                     'PCCH-MessageType-NB': {'members': [{'members': [{'name': 'paging-r13',
                                                                                       'type': 'Paging-NB'}],
                                                                          'name': 'c1',
                                                                          'type': 'CHOICE'},
                                                                         {'members': [],
                                                                          'name': 'messageClassExtension',
                                                                          'type': 'SEQUENCE'}],
                                                             'type': 'CHOICE'},
                                     'PCI-ARFCN-NB-r14': {'members': [{'name': 'physCellId-r14',
                                                                       'type': 'PhysCellId'},
                                                                      {'name': 'carrierFreq-r14',
                                                                       'optional': True,
                                                                       'type': 'CarrierFreq-NB-r13'}],
                                                          'type': 'SEQUENCE'},
                                     'PDCP-Config-NB-r13': {'members': [{'name': 'discardTimer-r13',
                                                                         'optional': True,
                                                                         'type': 'ENUMERATED',
                                                                         'values': {0: 'ms5120',
                                                                                    1: 'ms10240',
                                                                                    2: 'ms20480',
                                                                                    3: 'ms40960',
                                                                                    4: 'ms81920',
                                                                                    5: 'infinity',
                                                                                    6: 'spare2',
                                                                                    7: 'spare1'}},
                                                                        {'members': [{'name': 'notUsed',
                                                                                      'type': 'NULL'},
                                                                                     {'members': [{'default': 15,
                                                                                                   'name': 'maxCID-r13',
                                                                                                   'restricted-to': [(1,
                                                                                                                      16383)],
                                                                                                   'type': 'INTEGER'},
                                                                                                  {'members': [{'name': 'profile0x0002',
                                                                                                                'type': 'BOOLEAN'},
                                                                                                               {'name': 'profile0x0003',
                                                                                                                'type': 'BOOLEAN'},
                                                                                                               {'name': 'profile0x0004',
                                                                                                                'type': 'BOOLEAN'},
                                                                                                               {'name': 'profile0x0006',
                                                                                                                'type': 'BOOLEAN'},
                                                                                                               {'name': 'profile0x0102',
                                                                                                                'type': 'BOOLEAN'},
                                                                                                               {'name': 'profile0x0103',
                                                                                                                'type': 'BOOLEAN'},
                                                                                                               {'name': 'profile0x0104',
                                                                                                                'type': 'BOOLEAN'}],
                                                                                                   'name': 'profiles-r13',
                                                                                                   'type': 'SEQUENCE'},
                                                                                                  '...'],
                                                                                      'name': 'rohc',
                                                                                      'type': 'SEQUENCE'}],
                                                                         'name': 'headerCompression-r13',
                                                                         'type': 'CHOICE'},
                                                                        '...'],
                                                            'type': 'SEQUENCE'},
                                     'PDCP-Parameters-NB-r13': {'members': [{'members': [{'name': 'profile0x0002',
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'profile0x0003',
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'profile0x0004',
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'profile0x0006',
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'profile0x0102',
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'profile0x0103',
                                                                                          'type': 'BOOLEAN'},
                                                                                         {'name': 'profile0x0104',
                                                                                          'type': 'BOOLEAN'}],
                                                                             'name': 'supportedROHC-Profiles-r13',
                                                                             'type': 'SEQUENCE'},
                                                                            {'default': 'cs2',
                                                                             'name': 'maxNumberROHC-ContextSessions-r13',
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'cs2',
                                                                                        1: 'cs4',
                                                                                        2: 'cs8',
                                                                                        3: 'cs12'}},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'PLMN-IdentityInfo-NB-r13': {'members': [{'name': 'plmn-Identity-r13',
                                                                               'type': 'PLMN-Identity'},
                                                                              {'name': 'cellReservedForOperatorUse-r13',
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'reserved',
                                                                                          1: 'notReserved'}},
                                                                              {'name': 'attachWithoutPDN-Connectivity-r13',
                                                                               'optional': True,
                                                                               'type': 'ENUMERATED',
                                                                               'values': {0: 'true'}}],
                                                                  'type': 'SEQUENCE'},
                                     'PLMN-IdentityList-NB-r13': {'element': {'type': 'PLMN-IdentityInfo-NB-r13'},
                                                                  'size': [(1,
                                                                            'maxPLMN-r11')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'Paging-NB': {'members': [{'name': 'pagingRecordList-r13',
                                                                'optional': True,
                                                                'type': 'PagingRecordList-NB-r13'},
                                                               {'name': 'systemInfoModification-r13',
                                                                'optional': True,
                                                                'type': 'ENUMERATED',
                                                                'values': {0: 'true'}},
                                                               {'name': 'systemInfoModification-eDRX-r13',
                                                                'optional': True,
                                                                'type': 'ENUMERATED',
                                                                'values': {0: 'true'}},
                                                               {'members': [],
                                                                'name': 'nonCriticalExtension',
                                                                'optional': True,
                                                                'type': 'SEQUENCE'}],
                                                   'type': 'SEQUENCE'},
                                     'PagingRecord-NB-r13': {'members': [{'name': 'ue-Identity-r13',
                                                                          'type': 'PagingUE-Identity'},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'PagingRecordList-NB-r13': {'element': {'type': 'PagingRecord-NB-r13'},
                                                                 'size': [(1,
                                                                           'maxPageRec')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'PagingWeight-NB-r14': {'type': 'ENUMERATED',
                                                             'values': {0: 'w1',
                                                                        1: 'w2',
                                                                        2: 'w3',
                                                                        3: 'w4',
                                                                        4: 'w5',
                                                                        5: 'w6',
                                                                        6: 'w7',
                                                                        7: 'w8',
                                                                        8: 'w9',
                                                                        9: 'w10',
                                                                        10: 'w11',
                                                                        11: 'w12',
                                                                        12: 'w13',
                                                                        13: 'w14',
                                                                        14: 'w15',
                                                                        15: 'w16'}},
                                     'PeriodicBSR-Timer-NB-r13': {'type': 'ENUMERATED',
                                                                  'values': {0: 'pp2',
                                                                             1: 'pp4',
                                                                             2: 'pp8',
                                                                             3: 'pp16',
                                                                             4: 'pp64',
                                                                             5: 'pp128',
                                                                             6: 'infinity',
                                                                             7: 'spare'}},
                                     'PhyLayerParameters-NB-r13': {'members': [{'name': 'multiTone-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'supported'}},
                                                                               {'name': 'multiCarrier-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'supported'}}],
                                                                   'type': 'SEQUENCE'},
                                     'PhyLayerParameters-NB-v1430': {'members': [{'name': 'multiCarrier-NPRACH-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'supported'}},
                                                                                 {'name': 'twoHARQ-Processes-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'supported'}}],
                                                                     'type': 'SEQUENCE'},
                                     'PhyLayerParameters-NB-v1440': {'members': [{'name': 'interferenceRandomisation-r14',
                                                                                  'optional': True,
                                                                                  'type': 'ENUMERATED',
                                                                                  'values': {0: 'supported'}}],
                                                                     'type': 'SEQUENCE'},
                                     'PhysicalConfigDedicated-NB-r13': {'members': [{'name': 'carrierConfigDedicated-r13',
                                                                                     'optional': True,
                                                                                     'type': 'CarrierConfigDedicated-NB-r13'},
                                                                                    {'name': 'npdcch-ConfigDedicated-r13',
                                                                                     'optional': True,
                                                                                     'type': 'NPDCCH-ConfigDedicated-NB-r13'},
                                                                                    {'name': 'npusch-ConfigDedicated-r13',
                                                                                     'optional': True,
                                                                                     'type': 'NPUSCH-ConfigDedicated-NB-r13'},
                                                                                    {'name': 'uplinkPowerControlDedicated-r13',
                                                                                     'optional': True,
                                                                                     'type': 'UplinkPowerControlDedicated-NB-r13'},
                                                                                    '...',
                                                                                    {'name': 'twoHARQ-ProcessesConfig-r14',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'interferenceRandomisationConfig-r14',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}}],
                                                                        'type': 'SEQUENCE'},
                                     'RACH-ConfigCommon-NB-r13': {'members': [{'name': 'preambleTransMax-CE-r13',
                                                                               'type': 'PreambleTransMax'},
                                                                              {'name': 'powerRampingParameters-r13',
                                                                               'type': 'PowerRampingParameters'},
                                                                              {'name': 'rach-InfoList-r13',
                                                                               'type': 'RACH-InfoList-NB-r13'},
                                                                              {'name': 'connEstFailOffset-r13',
                                                                               'optional': True,
                                                                               'restricted-to': [(0,
                                                                                                  15)],
                                                                               'type': 'INTEGER'},
                                                                              '...'],
                                                                  'type': 'SEQUENCE'},
                                     'RACH-Info-NB-r13': {'members': [{'name': 'ra-ResponseWindowSize-r13',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'pp2',
                                                                                  1: 'pp3',
                                                                                  2: 'pp4',
                                                                                  3: 'pp5',
                                                                                  4: 'pp6',
                                                                                  5: 'pp7',
                                                                                  6: 'pp8',
                                                                                  7: 'pp10'}},
                                                                      {'name': 'mac-ContentionResolutionTimer-r13',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 'pp1',
                                                                                  1: 'pp2',
                                                                                  2: 'pp3',
                                                                                  3: 'pp4',
                                                                                  4: 'pp8',
                                                                                  5: 'pp16',
                                                                                  6: 'pp32',
                                                                                  7: 'pp64'}}],
                                                          'type': 'SEQUENCE'},
                                     'RACH-InfoList-NB-r13': {'element': {'type': 'RACH-Info-NB-r13'},
                                                              'size': [(1,
                                                                        'maxNPRACH-Resources-NB-r13')],
                                                              'type': 'SEQUENCE '
                                                                      'OF'},
                                     'RF-Parameters-NB-r13': {'members': [{'name': 'supportedBandList-r13',
                                                                           'type': 'SupportedBandList-NB-r13'},
                                                                          {'name': 'multiNS-Pmax-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'RF-Parameters-NB-v1430': {'members': [{'name': 'powerClassNB-14dBm-r14',
                                                                             'optional': True,
                                                                             'type': 'ENUMERATED',
                                                                             'values': {0: 'supported'}}],
                                                                'type': 'SEQUENCE'},
                                     'RLC-Config-NB-r13': {'members': [{'members': [{'name': 'ul-AM-RLC-r13',
                                                                                     'type': 'UL-AM-RLC-NB-r13'},
                                                                                    {'name': 'dl-AM-RLC-r13',
                                                                                     'type': 'DL-AM-RLC-NB-r13'}],
                                                                        'name': 'am',
                                                                        'type': 'SEQUENCE'},
                                                                       '...'],
                                                           'type': 'CHOICE'},
                                     'RLC-Config-NB-v1430': {'members': [{'name': 't-Reordering-r14',
                                                                          'optional': True,
                                                                          'type': 'T-Reordering'}],
                                                             'type': 'SEQUENCE'},
                                     'RLF-TimersAndConstants-NB-r13': {'members': [{'name': 'release',
                                                                                    'type': 'NULL'},
                                                                                   {'members': [{'name': 't301-r13',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'ms2500',
                                                                                                            1: 'ms4000',
                                                                                                            2: 'ms6000',
                                                                                                            3: 'ms10000',
                                                                                                            4: 'ms15000',
                                                                                                            5: 'ms25000',
                                                                                                            6: 'ms40000',
                                                                                                            7: 'ms60000'}},
                                                                                                {'name': 't310-r13',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'ms0',
                                                                                                            1: 'ms200',
                                                                                                            2: 'ms500',
                                                                                                            3: 'ms1000',
                                                                                                            4: 'ms2000',
                                                                                                            5: 'ms4000',
                                                                                                            6: 'ms8000'}},
                                                                                                {'name': 'n310-r13',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'n1',
                                                                                                            1: 'n2',
                                                                                                            2: 'n3',
                                                                                                            3: 'n4',
                                                                                                            4: 'n6',
                                                                                                            5: 'n8',
                                                                                                            6: 'n10',
                                                                                                            7: 'n20'}},
                                                                                                {'name': 't311-r13',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'ms1000',
                                                                                                            1: 'ms3000',
                                                                                                            2: 'ms5000',
                                                                                                            3: 'ms10000',
                                                                                                            4: 'ms15000',
                                                                                                            5: 'ms20000',
                                                                                                            6: 'ms30000'}},
                                                                                                {'name': 'n311-r13',
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'n1',
                                                                                                            1: 'n2',
                                                                                                            2: 'n3',
                                                                                                            3: 'n4',
                                                                                                            4: 'n5',
                                                                                                            5: 'n6',
                                                                                                            6: 'n8',
                                                                                                            7: 'n10'}},
                                                                                                '...',
                                                                                                {'name': 't311-v1350',
                                                                                                 'optional': True,
                                                                                                 'type': 'ENUMERATED',
                                                                                                 'values': {0: 'ms40000',
                                                                                                            1: 'ms60000',
                                                                                                            2: 'ms90000',
                                                                                                            3: 'ms120000'}}],
                                                                                    'name': 'setup',
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'CHOICE'},
                                     'RRCConnectionReconfiguration-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                      'type': 'RRC-TransactionIdentifier'},
                                                                                     {'members': [{'members': [{'name': 'rrcConnectionReconfiguration-r13',
                                                                                                                'type': 'RRCConnectionReconfiguration-NB-r13-IEs'},
                                                                                                               {'name': 'spare1',
                                                                                                                'type': 'NULL'}],
                                                                                                   'name': 'c1',
                                                                                                   'type': 'CHOICE'},
                                                                                                  {'members': [],
                                                                                                   'name': 'criticalExtensionsFuture',
                                                                                                   'type': 'SEQUENCE'}],
                                                                                      'name': 'criticalExtensions',
                                                                                      'type': 'CHOICE'}],
                                                                         'type': 'SEQUENCE'},
                                     'RRCConnectionReconfiguration-NB-r13-IEs': {'members': [{'element': {'type': 'DedicatedInfoNAS'},
                                                                                              'name': 'dedicatedInfoNASList-r13',
                                                                                              'optional': True,
                                                                                              'size': [(1,
                                                                                                        'maxDRB-NB-r13')],
                                                                                              'type': 'SEQUENCE '
                                                                                                      'OF'},
                                                                                             {'name': 'radioResourceConfigDedicated-r13',
                                                                                              'optional': True,
                                                                                              'type': 'RadioResourceConfigDedicated-NB-r13'},
                                                                                             {'name': 'fullConfig-r13',
                                                                                              'optional': True,
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'true'}},
                                                                                             {'name': 'lateNonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'OCTET '
                                                                                                      'STRING'},
                                                                                             {'members': [],
                                                                                              'name': 'nonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                              'type': 'RRC-TransactionIdentifier'},
                                                                                             {'members': [{'name': 'rrcConnectionReconfigurationComplete-r13',
                                                                                                           'type': 'RRCConnectionReconfigurationComplete-NB-r13-IEs'},
                                                                                                          {'members': [],
                                                                                                           'name': 'criticalExtensionsFuture',
                                                                                                           'type': 'SEQUENCE'}],
                                                                                              'name': 'criticalExtensions',
                                                                                              'type': 'CHOICE'}],
                                                                                 'type': 'SEQUENCE'},
                                     'RRCConnectionReconfigurationComplete-NB-r13-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                      'optional': True,
                                                                                                      'type': 'OCTET '
                                                                                                              'STRING'},
                                                                                                     {'members': [],
                                                                                                      'name': 'nonCriticalExtension',
                                                                                                      'optional': True,
                                                                                                      'type': 'SEQUENCE'}],
                                                                                         'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishment-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                      'type': 'RRC-TransactionIdentifier'},
                                                                                     {'members': [{'members': [{'name': 'rrcConnectionReestablishment-r13',
                                                                                                                'type': 'RRCConnectionReestablishment-NB-r13-IEs'},
                                                                                                               {'name': 'spare1',
                                                                                                                'type': 'NULL'}],
                                                                                                   'name': 'c1',
                                                                                                   'type': 'CHOICE'},
                                                                                                  {'members': [],
                                                                                                   'name': 'criticalExtensionsFuture',
                                                                                                   'type': 'SEQUENCE'}],
                                                                                      'name': 'criticalExtensions',
                                                                                      'type': 'CHOICE'}],
                                                                         'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishment-NB-r13-IEs': {'members': [{'name': 'radioResourceConfigDedicated-r13',
                                                                                              'type': 'RadioResourceConfigDedicated-NB-r13'},
                                                                                             {'name': 'nextHopChainingCount-r13',
                                                                                              'type': 'NextHopChainingCount'},
                                                                                             {'name': 'lateNonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'OCTET '
                                                                                                      'STRING'},
                                                                                             {'name': 'nonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'RRCConnectionReestablishment-NB-v1430-IEs'}],
                                                                                 'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishment-NB-v1430-IEs': {'members': [{'name': 'dl-NAS-MAC',
                                                                                                'size': [16],
                                                                                                'type': 'BIT '
                                                                                                        'STRING'},
                                                                                               {'members': [],
                                                                                                'name': 'nonCriticalExtension',
                                                                                                'optional': True,
                                                                                                'type': 'SEQUENCE'}],
                                                                                   'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                              'type': 'RRC-TransactionIdentifier'},
                                                                                             {'members': [{'name': 'rrcConnectionReestablishmentComplete-r13',
                                                                                                           'type': 'RRCConnectionReestablishmentComplete-NB-r13-IEs'},
                                                                                                          {'members': [],
                                                                                                           'name': 'criticalExtensionsFuture',
                                                                                                           'type': 'SEQUENCE'}],
                                                                                              'name': 'criticalExtensions',
                                                                                              'type': 'CHOICE'}],
                                                                                 'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentComplete-NB-r13-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                                      'optional': True,
                                                                                                      'type': 'OCTET '
                                                                                                              'STRING'},
                                                                                                     {'members': [],
                                                                                                      'name': 'nonCriticalExtension',
                                                                                                      'optional': True,
                                                                                                      'type': 'SEQUENCE'}],
                                                                                         'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentRequest-NB': {'members': [{'members': [{'name': 'rrcConnectionReestablishmentRequest-r13',
                                                                                                          'type': 'RRCConnectionReestablishmentRequest-NB-r13-IEs'},
                                                                                                         {'members': [{'name': 'rrcConnectionReestablishmentRequest-r14',
                                                                                                                       'type': 'RRCConnectionReestablishmentRequest-NB-r14-IEs'},
                                                                                                                      {'members': [],
                                                                                                                       'name': 'criticalExtensionsFuture',
                                                                                                                       'type': 'SEQUENCE'}],
                                                                                                          'name': 'later',
                                                                                                          'type': 'CHOICE'}],
                                                                                             'name': 'criticalExtensions',
                                                                                             'type': 'CHOICE'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentRequest-NB-r13-IEs': {'members': [{'name': 'ue-Identity-r13',
                                                                                                     'type': 'ReestabUE-Identity'},
                                                                                                    {'name': 'reestablishmentCause-r13',
                                                                                                     'type': 'ReestablishmentCause-NB-r13'},
                                                                                                    {'name': 'spare',
                                                                                                     'size': [25],
                                                                                                     'type': 'BIT '
                                                                                                             'STRING'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReestablishmentRequest-NB-r14-IEs': {'members': [{'name': 'ue-Identity-r14',
                                                                                                     'type': 'ReestabUE-Identity-CP-NB-r14'},
                                                                                                    {'name': 'reestablishmentCause-r14',
                                                                                                     'type': 'ReestablishmentCause-NB-r13'},
                                                                                                    {'name': 'spare',
                                                                                                     'size': [4],
                                                                                                     'type': 'BIT '
                                                                                                             'STRING'}],
                                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionReject-NB': {'members': [{'members': [{'members': [{'name': 'rrcConnectionReject-r13',
                                                                                                       'type': 'RRCConnectionReject-NB-r13-IEs'},
                                                                                                      {'name': 'spare1',
                                                                                                       'type': 'NULL'}],
                                                                                          'name': 'c1',
                                                                                          'type': 'CHOICE'},
                                                                                         {'members': [],
                                                                                          'name': 'criticalExtensionsFuture',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'name': 'criticalExtensions',
                                                                             'type': 'CHOICE'}],
                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionReject-NB-r13-IEs': {'members': [{'name': 'extendedWaitTime-r13',
                                                                                     'restricted-to': [(1,
                                                                                                        1800)],
                                                                                     'type': 'INTEGER'},
                                                                                    {'name': 'rrc-SuspendIndication-r13',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                              'type': 'RRC-TransactionIdentifier'},
                                                                             {'members': [{'members': [{'name': 'rrcConnectionRelease-r13',
                                                                                                        'type': 'RRCConnectionRelease-NB-r13-IEs'},
                                                                                                       {'name': 'spare1',
                                                                                                        'type': 'NULL'}],
                                                                                           'name': 'c1',
                                                                                           'type': 'CHOICE'},
                                                                                          {'members': [],
                                                                                           'name': 'criticalExtensionsFuture',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'criticalExtensions',
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-NB-r13-IEs': {'members': [{'name': 'releaseCause-r13',
                                                                                      'type': 'ReleaseCause-NB-r13'},
                                                                                     {'name': 'resumeIdentity-r13',
                                                                                      'optional': True,
                                                                                      'type': 'ResumeIdentity-r13'},
                                                                                     {'name': 'extendedWaitTime-r13',
                                                                                      'optional': True,
                                                                                      'restricted-to': [(1,
                                                                                                         1800)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'redirectedCarrierInfo-r13',
                                                                                      'optional': True,
                                                                                      'type': 'RedirectedCarrierInfo-NB-r13'},
                                                                                     {'name': 'lateNonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'OCTET '
                                                                                              'STRING'},
                                                                                     {'name': 'nonCriticalExtension',
                                                                                      'optional': True,
                                                                                      'type': 'RRCConnectionRelease-NB-v1430-IEs'}],
                                                                         'type': 'SEQUENCE'},
                                     'RRCConnectionRelease-NB-v1430-IEs': {'members': [{'name': 'redirectedCarrierInfo-v1430',
                                                                                        'optional': True,
                                                                                        'type': 'RedirectedCarrierInfo-NB-v1430'},
                                                                                       {'name': 'extendedWaitTime-CPdata-r14',
                                                                                        'optional': True,
                                                                                        'restricted-to': [(1,
                                                                                                           1800)],
                                                                                        'type': 'INTEGER'},
                                                                                       {'members': [],
                                                                                        'name': 'nonCriticalExtension',
                                                                                        'optional': True,
                                                                                        'type': 'SEQUENCE'}],
                                                                           'type': 'SEQUENCE'},
                                     'RRCConnectionRequest-NB': {'members': [{'members': [{'name': 'rrcConnectionRequest-r13',
                                                                                           'type': 'RRCConnectionRequest-NB-r13-IEs'},
                                                                                          {'members': [],
                                                                                           'name': 'criticalExtensionsFuture',
                                                                                           'type': 'SEQUENCE'}],
                                                                              'name': 'criticalExtensions',
                                                                              'type': 'CHOICE'}],
                                                                 'type': 'SEQUENCE'},
                                     'RRCConnectionRequest-NB-r13-IEs': {'members': [{'name': 'ue-Identity-r13',
                                                                                      'type': 'InitialUE-Identity'},
                                                                                     {'name': 'establishmentCause-r13',
                                                                                      'type': 'EstablishmentCause-NB-r13'},
                                                                                     {'name': 'multiToneSupport-r13',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'true'}},
                                                                                     {'name': 'multiCarrierSupport-r13',
                                                                                      'optional': True,
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'true'}},
                                                                                     {'name': 'spare',
                                                                                      'size': [22],
                                                                                      'type': 'BIT '
                                                                                              'STRING'}],
                                                                         'type': 'SEQUENCE'},
                                     'RRCConnectionResume-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                             'type': 'RRC-TransactionIdentifier'},
                                                                            {'members': [{'members': [{'name': 'rrcConnectionResume-r13',
                                                                                                       'type': 'RRCConnectionResume-NB-r13-IEs'},
                                                                                                      {'name': 'spare1',
                                                                                                       'type': 'NULL'}],
                                                                                          'name': 'c1',
                                                                                          'type': 'CHOICE'},
                                                                                         {'members': [],
                                                                                          'name': 'criticalExtensionsFuture',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'name': 'criticalExtensions',
                                                                             'type': 'CHOICE'}],
                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionResume-NB-r13-IEs': {'members': [{'name': 'radioResourceConfigDedicated-r13',
                                                                                     'optional': True,
                                                                                     'type': 'RadioResourceConfigDedicated-NB-r13'},
                                                                                    {'name': 'nextHopChainingCount-r13',
                                                                                     'type': 'NextHopChainingCount'},
                                                                                    {'name': 'drb-ContinueROHC-r13',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'true'}},
                                                                                    {'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionResumeComplete-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                     'type': 'RRC-TransactionIdentifier'},
                                                                                    {'members': [{'name': 'rrcConnectionResumeComplete-r13',
                                                                                                  'type': 'RRCConnectionResumeComplete-NB-r13-IEs'},
                                                                                                 {'members': [],
                                                                                                  'name': 'criticalExtensionsFuture',
                                                                                                  'type': 'SEQUENCE'}],
                                                                                     'name': 'criticalExtensions',
                                                                                     'type': 'CHOICE'}],
                                                                        'type': 'SEQUENCE'},
                                     'RRCConnectionResumeComplete-NB-r13-IEs': {'members': [{'name': 'selectedPLMN-Identity-r13',
                                                                                             'optional': True,
                                                                                             'restricted-to': [(1,
                                                                                                                'maxPLMN-r11')],
                                                                                             'type': 'INTEGER'},
                                                                                            {'name': 'dedicatedInfoNAS-r13',
                                                                                             'optional': True,
                                                                                             'type': 'DedicatedInfoNAS'},
                                                                                            {'name': 'lateNonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'OCTET '
                                                                                                     'STRING'},
                                                                                            {'members': [],
                                                                                             'name': 'nonCriticalExtension',
                                                                                             'optional': True,
                                                                                             'type': 'SEQUENCE'}],
                                                                                'type': 'SEQUENCE'},
                                     'RRCConnectionResumeRequest-NB': {'members': [{'members': [{'name': 'rrcConnectionResumeRequest-r13',
                                                                                                 'type': 'RRCConnectionResumeRequest-NB-r13-IEs'},
                                                                                                {'members': [],
                                                                                                 'name': 'criticalExtensionsFuture',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'criticalExtensions',
                                                                                    'type': 'CHOICE'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionResumeRequest-NB-r13-IEs': {'members': [{'name': 'resumeID-r13',
                                                                                            'type': 'ResumeIdentity-r13'},
                                                                                           {'name': 'shortResumeMAC-I-r13',
                                                                                            'type': 'ShortMAC-I'},
                                                                                           {'name': 'resumeCause-r13',
                                                                                            'type': 'EstablishmentCause-NB-r13'},
                                                                                           {'name': 'spare',
                                                                                            'size': [9],
                                                                                            'type': 'BIT '
                                                                                                    'STRING'}],
                                                                               'type': 'SEQUENCE'},
                                     'RRCConnectionSetup-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                            'type': 'RRC-TransactionIdentifier'},
                                                                           {'members': [{'members': [{'name': 'rrcConnectionSetup-r13',
                                                                                                      'type': 'RRCConnectionSetup-NB-r13-IEs'},
                                                                                                     {'name': 'spare1',
                                                                                                      'type': 'NULL'}],
                                                                                         'name': 'c1',
                                                                                         'type': 'CHOICE'},
                                                                                        {'members': [],
                                                                                         'name': 'criticalExtensionsFuture',
                                                                                         'type': 'SEQUENCE'}],
                                                                            'name': 'criticalExtensions',
                                                                            'type': 'CHOICE'}],
                                                               'type': 'SEQUENCE'},
                                     'RRCConnectionSetup-NB-r13-IEs': {'members': [{'name': 'radioResourceConfigDedicated-r13',
                                                                                    'type': 'RadioResourceConfigDedicated-NB-r13'},
                                                                                   {'name': 'lateNonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'OCTET '
                                                                                            'STRING'},
                                                                                   {'members': [],
                                                                                    'name': 'nonCriticalExtension',
                                                                                    'optional': True,
                                                                                    'type': 'SEQUENCE'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                    'type': 'RRC-TransactionIdentifier'},
                                                                                   {'members': [{'name': 'rrcConnectionSetupComplete-r13',
                                                                                                 'type': 'RRCConnectionSetupComplete-NB-r13-IEs'},
                                                                                                {'members': [],
                                                                                                 'name': 'criticalExtensionsFuture',
                                                                                                 'type': 'SEQUENCE'}],
                                                                                    'name': 'criticalExtensions',
                                                                                    'type': 'CHOICE'}],
                                                                       'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-NB-r13-IEs': {'members': [{'name': 'selectedPLMN-Identity-r13',
                                                                                            'restricted-to': [(1,
                                                                                                               'maxPLMN-r11')],
                                                                                            'type': 'INTEGER'},
                                                                                           {'name': 's-TMSI-r13',
                                                                                            'optional': True,
                                                                                            'type': 'S-TMSI'},
                                                                                           {'name': 'registeredMME-r13',
                                                                                            'optional': True,
                                                                                            'type': 'RegisteredMME'},
                                                                                           {'name': 'dedicatedInfoNAS-r13',
                                                                                            'type': 'DedicatedInfoNAS'},
                                                                                           {'name': 'attachWithoutPDN-Connectivity-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'true'}},
                                                                                           {'name': 'up-CIoT-EPS-Optimisation-r13',
                                                                                            'optional': True,
                                                                                            'type': 'ENUMERATED',
                                                                                            'values': {0: 'true'}},
                                                                                           {'name': 'lateNonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'OCTET '
                                                                                                    'STRING'},
                                                                                           {'name': 'nonCriticalExtension',
                                                                                            'optional': True,
                                                                                            'type': 'RRCConnectionSetupComplete-NB-v1430-IEs'}],
                                                                               'type': 'SEQUENCE'},
                                     'RRCConnectionSetupComplete-NB-v1430-IEs': {'members': [{'name': 'gummei-Type-r14',
                                                                                              'optional': True,
                                                                                              'type': 'ENUMERATED',
                                                                                              'values': {0: 'mapped'}},
                                                                                             {'name': 'dcn-ID-r14',
                                                                                              'optional': True,
                                                                                              'restricted-to': [(0,
                                                                                                                 65535)],
                                                                                              'type': 'INTEGER'},
                                                                                             {'members': [],
                                                                                              'name': 'nonCriticalExtension',
                                                                                              'optional': True,
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'type': 'SEQUENCE'},
                                     'RSRP-ThresholdsNPRACH-InfoList-NB-r13': {'element': {'type': 'RSRP-Range'},
                                                                               'size': [(1,
                                                                                         2)],
                                                                               'type': 'SEQUENCE '
                                                                                       'OF'},
                                     'RadioResourceConfigCommonSIB-NB-r13': {'members': [{'name': 'rach-ConfigCommon-r13',
                                                                                          'type': 'RACH-ConfigCommon-NB-r13'},
                                                                                         {'name': 'bcch-Config-r13',
                                                                                          'type': 'BCCH-Config-NB-r13'},
                                                                                         {'name': 'pcch-Config-r13',
                                                                                          'type': 'PCCH-Config-NB-r13'},
                                                                                         {'name': 'nprach-Config-r13',
                                                                                          'type': 'NPRACH-ConfigSIB-NB-r13'},
                                                                                         {'name': 'npdsch-ConfigCommon-r13',
                                                                                          'type': 'NPDSCH-ConfigCommon-NB-r13'},
                                                                                         {'name': 'npusch-ConfigCommon-r13',
                                                                                          'type': 'NPUSCH-ConfigCommon-NB-r13'},
                                                                                         {'name': 'dl-Gap-r13',
                                                                                          'optional': True,
                                                                                          'type': 'DL-GapConfig-NB-r13'},
                                                                                         {'name': 'uplinkPowerControlCommon-r13',
                                                                                          'type': 'UplinkPowerControlCommon-NB-r13'},
                                                                                         '...',
                                                                                         {'name': 'nprach-Config-v1330',
                                                                                          'optional': True,
                                                                                          'type': 'NPRACH-ConfigSIB-NB-v1330'}],
                                                                             'type': 'SEQUENCE'},
                                     'RadioResourceConfigDedicated-NB-r13': {'members': [{'name': 'srb-ToAddModList-r13',
                                                                                          'optional': True,
                                                                                          'type': 'SRB-ToAddModList-NB-r13'},
                                                                                         {'name': 'drb-ToAddModList-r13',
                                                                                          'optional': True,
                                                                                          'type': 'DRB-ToAddModList-NB-r13'},
                                                                                         {'name': 'drb-ToReleaseList-r13',
                                                                                          'optional': True,
                                                                                          'type': 'DRB-ToReleaseList-NB-r13'},
                                                                                         {'members': [{'name': 'explicitValue-r13',
                                                                                                       'type': 'MAC-MainConfig-NB-r13'},
                                                                                                      {'name': 'defaultValue-r13',
                                                                                                       'type': 'NULL'}],
                                                                                          'name': 'mac-MainConfig-r13',
                                                                                          'optional': True,
                                                                                          'type': 'CHOICE'},
                                                                                         {'name': 'physicalConfigDedicated-r13',
                                                                                          'optional': True,
                                                                                          'type': 'PhysicalConfigDedicated-NB-r13'},
                                                                                         {'name': 'rlf-TimersAndConstants-r13',
                                                                                          'optional': True,
                                                                                          'type': 'RLF-TimersAndConstants-NB-r13'},
                                                                                         '...'],
                                                                             'type': 'SEQUENCE'},
                                     'RedirectedCarrierInfo-NB-r13': {'type': 'CarrierFreq-NB-r13'},
                                     'RedirectedCarrierInfo-NB-v1430': {'members': [{'name': 'redirectedCarrierOffsetDedicated-r14',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'dB1',
                                                                                                1: 'dB2',
                                                                                                2: 'dB3',
                                                                                                3: 'dB4',
                                                                                                4: 'dB5',
                                                                                                5: 'dB6',
                                                                                                6: 'dB8',
                                                                                                7: 'dB10',
                                                                                                8: 'dB12',
                                                                                                9: 'dB14',
                                                                                                10: 'dB16',
                                                                                                11: 'dB18',
                                                                                                12: 'dB20',
                                                                                                13: 'dB22',
                                                                                                14: 'dB24',
                                                                                                15: 'dB26'}},
                                                                                    {'name': 't322-r14',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'min5',
                                                                                                1: 'min10',
                                                                                                2: 'min20',
                                                                                                3: 'min30',
                                                                                                4: 'min60',
                                                                                                5: 'min120',
                                                                                                6: 'min180',
                                                                                                7: 'spare1'}}],
                                                                        'type': 'SEQUENCE'},
                                     'ReestabUE-Identity-CP-NB-r14': {'members': [{'name': 's-TMSI-r14',
                                                                                   'type': 'S-TMSI'},
                                                                                  {'name': 'ul-NAS-MAC-r14',
                                                                                   'size': [16],
                                                                                   'type': 'BIT '
                                                                                           'STRING'},
                                                                                  {'name': 'ul-NAS-Count-r14',
                                                                                   'size': [5],
                                                                                   'type': 'BIT '
                                                                                           'STRING'}],
                                                                      'type': 'SEQUENCE'},
                                     'ReestablishmentCause-NB-r13': {'type': 'ENUMERATED',
                                                                     'values': {0: 'reconfigurationFailure',
                                                                                1: 'otherFailure',
                                                                                2: 'spare2',
                                                                                3: 'spare1'}},
                                     'ReleaseCause-NB-r13': {'type': 'ENUMERATED',
                                                             'values': {0: 'loadBalancingTAUrequired',
                                                                        1: 'other',
                                                                        2: 'rrc-Suspend',
                                                                        3: 'spare1'}},
                                     'ReselectionThreshold-NB-v1360': {'restricted-to': [(32,
                                                                                          63)],
                                                                       'type': 'INTEGER'},
                                     'RetxBSR-Timer-NB-r13': {'type': 'ENUMERATED',
                                                              'values': {0: 'pp4',
                                                                         1: 'pp16',
                                                                         2: 'pp64',
                                                                         3: 'pp128',
                                                                         4: 'pp256',
                                                                         5: 'pp512',
                                                                         6: 'infinity',
                                                                         7: 'spare'}},
                                     'SC-MCCH-Message-NB': {'members': [{'name': 'message',
                                                                         'type': 'SC-MCCH-MessageType-NB'}],
                                                            'type': 'SEQUENCE'},
                                     'SC-MCCH-MessageType-NB': {'members': [{'members': [{'name': 'scptmConfiguration-r14',
                                                                                          'type': 'SCPTMConfiguration-NB-r14'}],
                                                                             'name': 'c1',
                                                                             'type': 'CHOICE'},
                                                                            {'members': [],
                                                                             'name': 'messageClassExtension',
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'CHOICE'},
                                     'SC-MCCH-SchedulingInfo-NB-r14': {'members': [{'name': 'onDurationTimerSCPTM-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'pp1',
                                                                                               1: 'pp2',
                                                                                               2: 'pp3',
                                                                                               3: 'pp4',
                                                                                               4: 'pp8',
                                                                                               5: 'pp16',
                                                                                               6: 'pp32',
                                                                                               7: 'spare'}},
                                                                                   {'name': 'drx-InactivityTimerSCPTM-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'pp0',
                                                                                               1: 'pp1',
                                                                                               2: 'pp2',
                                                                                               3: 'pp3',
                                                                                               4: 'pp4',
                                                                                               5: 'pp8',
                                                                                               6: 'pp16',
                                                                                               7: 'pp32'}},
                                                                                   {'members': [{'name': 'sf10',
                                                                                                 'restricted-to': [(0,
                                                                                                                    9)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf20',
                                                                                                 'restricted-to': [(0,
                                                                                                                    19)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf32',
                                                                                                 'restricted-to': [(0,
                                                                                                                    31)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf40',
                                                                                                 'restricted-to': [(0,
                                                                                                                    39)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf64',
                                                                                                 'restricted-to': [(0,
                                                                                                                    63)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf80',
                                                                                                 'restricted-to': [(0,
                                                                                                                    79)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf128',
                                                                                                 'restricted-to': [(0,
                                                                                                                    127)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf160',
                                                                                                 'restricted-to': [(0,
                                                                                                                    159)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf256',
                                                                                                 'restricted-to': [(0,
                                                                                                                    255)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf320',
                                                                                                 'restricted-to': [(0,
                                                                                                                    319)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf512',
                                                                                                 'restricted-to': [(0,
                                                                                                                    511)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf640',
                                                                                                 'restricted-to': [(0,
                                                                                                                    639)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf1024',
                                                                                                 'restricted-to': [(0,
                                                                                                                    1023)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf2048',
                                                                                                 'restricted-to': [(0,
                                                                                                                    2047)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf4096',
                                                                                                 'restricted-to': [(0,
                                                                                                                    4095)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf8192',
                                                                                                 'restricted-to': [(0,
                                                                                                                    8191)],
                                                                                                 'type': 'INTEGER'}],
                                                                                    'name': 'schedulingPeriodStartOffsetSCPTM-r14',
                                                                                    'type': 'CHOICE'},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                     'SC-MTCH-Info-NB-r14': {'members': [{'members': [{'name': 'dl-CarrierConfig-r14',
                                                                                       'type': 'DL-CarrierConfigCommon-NB-r14'},
                                                                                      {'name': 'dl-CarrierIndex-r14',
                                                                                       'restricted-to': [(0,
                                                                                                          'maxNonAnchorCarriers-NB-r14')],
                                                                                       'type': 'INTEGER'}],
                                                                          'name': 'sc-mtch-CarrierConfig-r14',
                                                                          'type': 'CHOICE'},
                                                                         {'name': 'mbmsSessionInfo-r14',
                                                                          'type': 'MBMSSessionInfo-r13'},
                                                                         {'name': 'g-RNTI-r14',
                                                                          'size': [16],
                                                                          'type': 'BIT '
                                                                                  'STRING'},
                                                                         {'name': 'sc-mtch-SchedulingInfo-r14',
                                                                          'optional': True,
                                                                          'type': 'SC-MTCH-SchedulingInfo-NB-r14'},
                                                                         {'name': 'sc-mtch-NeighbourCell-r14',
                                                                          'optional': True,
                                                                          'size': ['maxNeighCell-SCPTM-NB-r14'],
                                                                          'type': 'BIT '
                                                                                  'STRING'},
                                                                         {'name': 'npdcch-NPDSCH-MaxTBS-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'n680',
                                                                                     1: 'n2536'}},
                                                                         {'name': 'npdcch-NumRepetitions-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'r1',
                                                                                     1: 'r2',
                                                                                     2: 'r4',
                                                                                     3: 'r8',
                                                                                     4: 'r16',
                                                                                     5: 'r32',
                                                                                     6: 'r64',
                                                                                     7: 'r128',
                                                                                     8: 'r256',
                                                                                     9: 'r512',
                                                                                     10: 'r1024',
                                                                                     11: 'r2048',
                                                                                     12: 'spare4',
                                                                                     13: 'spare3',
                                                                                     14: 'spare2',
                                                                                     15: 'spare1'}},
                                                                         {'name': 'npdcch-StartSF-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'v1dot5',
                                                                                     1: 'v2',
                                                                                     2: 'v4',
                                                                                     3: 'v8',
                                                                                     4: 'v16',
                                                                                     5: 'v32',
                                                                                     6: 'v48',
                                                                                     7: 'v64'}},
                                                                         {'name': 'npdcch-Offset-SC-MTCH-r14',
                                                                          'type': 'ENUMERATED',
                                                                          'values': {0: 'zero',
                                                                                     1: 'oneEighth',
                                                                                     2: 'oneQuarter',
                                                                                     3: 'threeEighth',
                                                                                     4: 'oneHalf',
                                                                                     5: 'fiveEighth',
                                                                                     6: 'threeQuarter',
                                                                                     7: 'sevenEighth'}},
                                                                         '...'],
                                                             'type': 'SEQUENCE'},
                                     'SC-MTCH-InfoList-NB-r14': {'element': {'type': 'SC-MTCH-Info-NB-r14'},
                                                                 'size': [(0,
                                                                           'maxSC-MTCH-NB-r14')],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'SC-MTCH-SchedulingInfo-NB-r14': {'members': [{'name': 'onDurationTimerSCPTM-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'pp1',
                                                                                               1: 'pp2',
                                                                                               2: 'pp3',
                                                                                               3: 'pp4',
                                                                                               4: 'pp8',
                                                                                               5: 'pp16',
                                                                                               6: 'pp32',
                                                                                               7: 'spare'}},
                                                                                   {'name': 'drx-InactivityTimerSCPTM-r14',
                                                                                    'type': 'ENUMERATED',
                                                                                    'values': {0: 'pp0',
                                                                                               1: 'pp1',
                                                                                               2: 'pp2',
                                                                                               3: 'pp3',
                                                                                               4: 'pp4',
                                                                                               5: 'pp8',
                                                                                               6: 'pp16',
                                                                                               7: 'pp32'}},
                                                                                   {'members': [{'name': 'sf10',
                                                                                                 'restricted-to': [(0,
                                                                                                                    9)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf20',
                                                                                                 'restricted-to': [(0,
                                                                                                                    19)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf32',
                                                                                                 'restricted-to': [(0,
                                                                                                                    31)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf40',
                                                                                                 'restricted-to': [(0,
                                                                                                                    39)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf64',
                                                                                                 'restricted-to': [(0,
                                                                                                                    63)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf80',
                                                                                                 'restricted-to': [(0,
                                                                                                                    79)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf128',
                                                                                                 'restricted-to': [(0,
                                                                                                                    127)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf160',
                                                                                                 'restricted-to': [(0,
                                                                                                                    159)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf256',
                                                                                                 'restricted-to': [(0,
                                                                                                                    255)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf320',
                                                                                                 'restricted-to': [(0,
                                                                                                                    319)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf512',
                                                                                                 'restricted-to': [(0,
                                                                                                                    511)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf640',
                                                                                                 'restricted-to': [(0,
                                                                                                                    639)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf1024',
                                                                                                 'restricted-to': [(0,
                                                                                                                    1023)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf2048',
                                                                                                 'restricted-to': [(0,
                                                                                                                    2047)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf4096',
                                                                                                 'restricted-to': [(0,
                                                                                                                    4095)],
                                                                                                 'type': 'INTEGER'},
                                                                                                {'name': 'sf8192',
                                                                                                 'restricted-to': [(0,
                                                                                                                    8191)],
                                                                                                 'type': 'INTEGER'}],
                                                                                    'name': 'schedulingPeriodStartOffsetSCPTM-r14',
                                                                                    'type': 'CHOICE'},
                                                                                   '...'],
                                                                       'type': 'SEQUENCE'},
                                     'SCPTM-NeighbourCellList-NB-r14': {'element': {'type': 'PCI-ARFCN-NB-r14'},
                                                                        'size': [(1,
                                                                                  'maxNeighCell-SCPTM-NB-r14')],
                                                                        'type': 'SEQUENCE '
                                                                                'OF'},
                                     'SCPTMConfiguration-NB-r14': {'members': [{'name': 'sc-mtch-InfoList-r14',
                                                                                'type': 'SC-MTCH-InfoList-NB-r14'},
                                                                               {'name': 'scptm-NeighbourCellList-r14',
                                                                                'optional': True,
                                                                                'type': 'SCPTM-NeighbourCellList-NB-r14'},
                                                                               {'name': 'lateNonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'OCTET '
                                                                                        'STRING'},
                                                                               {'members': [],
                                                                                'name': 'nonCriticalExtension',
                                                                                'optional': True,
                                                                                'type': 'SEQUENCE'}],
                                                                   'type': 'SEQUENCE'},
                                     'SIB-MappingInfo-NB-r13': {'element': {'type': 'SIB-Type-NB-r13'},
                                                                'size': [(0,
                                                                          'maxSIB-1')],
                                                                'type': 'SEQUENCE '
                                                                        'OF'},
                                     'SIB-Type-NB-r13': {'type': 'ENUMERATED',
                                                         'values': {0: 'sibType3-NB-r13',
                                                                    1: 'sibType4-NB-r13',
                                                                    2: 'sibType5-NB-r13',
                                                                    3: 'sibType14-NB-r13',
                                                                    4: 'sibType16-NB-r13',
                                                                    5: 'sibType15-NB-r14',
                                                                    6: 'sibType20-NB-r14',
                                                                    7: 'sibType22-NB-r14'}},
                                     'SRB-ToAddMod-NB-r13': {'members': [{'members': [{'name': 'explicitValue',
                                                                                       'type': 'RLC-Config-NB-r13'},
                                                                                      {'name': 'defaultValue',
                                                                                       'type': 'NULL'}],
                                                                          'name': 'rlc-Config-r13',
                                                                          'optional': True,
                                                                          'type': 'CHOICE'},
                                                                         {'members': [{'name': 'explicitValue',
                                                                                       'type': 'LogicalChannelConfig-NB-r13'},
                                                                                      {'name': 'defaultValue',
                                                                                       'type': 'NULL'}],
                                                                          'name': 'logicalChannelConfig-r13',
                                                                          'optional': True,
                                                                          'type': 'CHOICE'},
                                                                         '...',
                                                                         {'name': 'rlc-Config-v1430',
                                                                          'optional': True,
                                                                          'type': 'RLC-Config-NB-v1430'}],
                                                             'type': 'SEQUENCE'},
                                     'SRB-ToAddModList-NB-r13': {'element': {'type': 'SRB-ToAddMod-NB-r13'},
                                                                 'size': [1],
                                                                 'type': 'SEQUENCE '
                                                                         'OF'},
                                     'SchedulingInfo-NB-r13': {'members': [{'name': 'si-Periodicity-r13',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'rf64',
                                                                                       1: 'rf128',
                                                                                       2: 'rf256',
                                                                                       3: 'rf512',
                                                                                       4: 'rf1024',
                                                                                       5: 'rf2048',
                                                                                       6: 'rf4096',
                                                                                       7: 'spare'}},
                                                                           {'name': 'si-RepetitionPattern-r13',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'every2ndRF',
                                                                                       1: 'every4thRF',
                                                                                       2: 'every8thRF',
                                                                                       3: 'every16thRF'}},
                                                                           {'name': 'sib-MappingInfo-r13',
                                                                            'type': 'SIB-MappingInfo-NB-r13'},
                                                                           {'name': 'si-TB-r13',
                                                                            'type': 'ENUMERATED',
                                                                            'values': {0: 'b56',
                                                                                       1: 'b120',
                                                                                       2: 'b208',
                                                                                       3: 'b256',
                                                                                       4: 'b328',
                                                                                       5: 'b440',
                                                                                       6: 'b552',
                                                                                       7: 'b680'}}],
                                                               'type': 'SEQUENCE'},
                                     'SchedulingInfoList-NB-r13': {'element': {'type': 'SchedulingInfo-NB-r13'},
                                                                   'size': [(1,
                                                                             'maxSI-Message-NB-r13')],
                                                                   'type': 'SEQUENCE '
                                                                           'OF'},
                                     'Standalone-NB-r13': {'members': [{'name': 'spare',
                                                                        'size': [5],
                                                                        'type': 'BIT '
                                                                                'STRING'}],
                                                           'type': 'SEQUENCE'},
                                     'SupportedBand-NB-r13': {'members': [{'name': 'band-r13',
                                                                           'type': 'FreqBandIndicator-NB-r13'},
                                                                          {'name': 'powerClassNB-20dBm-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}}],
                                                              'type': 'SEQUENCE'},
                                     'SupportedBandList-NB-r13': {'element': {'type': 'SupportedBand-NB-r13'},
                                                                  'size': [(1,
                                                                            'maxBands')],
                                                                  'type': 'SEQUENCE '
                                                                          'OF'},
                                     'SystemInfoValueTagList-NB-r13': {'element': {'type': 'SystemInfoValueTagSI-r13'},
                                                                       'size': [(1,
                                                                                 'maxSI-Message-NB-r13')],
                                                                       'type': 'SEQUENCE '
                                                                               'OF'},
                                     'SystemInformation-NB': {'members': [{'members': [{'name': 'systemInformation-r13',
                                                                                        'type': 'SystemInformation-NB-r13-IEs'},
                                                                                       {'members': [],
                                                                                        'name': 'criticalExtensionsFuture',
                                                                                        'type': 'SEQUENCE'}],
                                                                           'name': 'criticalExtensions',
                                                                           'type': 'CHOICE'}],
                                                              'type': 'SEQUENCE'},
                                     'SystemInformation-NB-r13-IEs': {'members': [{'element': {'members': [{'name': 'sib2-r13',
                                                                                                            'type': 'SystemInformationBlockType2-NB-r13'},
                                                                                                           {'name': 'sib3-r13',
                                                                                                            'type': 'SystemInformationBlockType3-NB-r13'},
                                                                                                           {'name': 'sib4-r13',
                                                                                                            'type': 'SystemInformationBlockType4-NB-r13'},
                                                                                                           {'name': 'sib5-r13',
                                                                                                            'type': 'SystemInformationBlockType5-NB-r13'},
                                                                                                           {'name': 'sib14-r13',
                                                                                                            'type': 'SystemInformationBlockType14-NB-r13'},
                                                                                                           {'name': 'sib16-r13',
                                                                                                            'type': 'SystemInformationBlockType16-NB-r13'},
                                                                                                           '...',
                                                                                                           {'name': 'sib15-v1430',
                                                                                                            'type': 'SystemInformationBlockType15-NB-r14'},
                                                                                                           {'name': 'sib20-v1430',
                                                                                                            'type': 'SystemInformationBlockType20-NB-r14'},
                                                                                                           {'name': 'sib22-v1430',
                                                                                                            'type': 'SystemInformationBlockType22-NB-r14'}],
                                                                                               'type': 'CHOICE'},
                                                                                   'name': 'sib-TypeAndInfo-r13',
                                                                                   'size': [(1,
                                                                                             'maxSIB')],
                                                                                   'type': 'SEQUENCE '
                                                                                           'OF'},
                                                                                  {'name': 'lateNonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'OCTET '
                                                                                           'STRING'},
                                                                                  {'members': [],
                                                                                   'name': 'nonCriticalExtension',
                                                                                   'optional': True,
                                                                                   'type': 'SEQUENCE'}],
                                                                      'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-NB': {'members': [{'name': 'hyperSFN-MSB-r13',
                                                                                     'size': [8],
                                                                                     'type': 'BIT '
                                                                                             'STRING'},
                                                                                    {'members': [{'name': 'plmn-IdentityList-r13',
                                                                                                  'type': 'PLMN-IdentityList-NB-r13'},
                                                                                                 {'name': 'trackingAreaCode-r13',
                                                                                                  'type': 'TrackingAreaCode'},
                                                                                                 {'name': 'cellIdentity-r13',
                                                                                                  'type': 'CellIdentity'},
                                                                                                 {'name': 'cellBarred-r13',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'barred',
                                                                                                             1: 'notBarred'}},
                                                                                                 {'name': 'intraFreqReselection-r13',
                                                                                                  'type': 'ENUMERATED',
                                                                                                  'values': {0: 'allowed',
                                                                                                             1: 'notAllowed'}}],
                                                                                     'name': 'cellAccessRelatedInfo-r13',
                                                                                     'type': 'SEQUENCE'},
                                                                                    {'members': [{'name': 'q-RxLevMin-r13',
                                                                                                  'type': 'Q-RxLevMin'},
                                                                                                 {'name': 'q-QualMin-r13',
                                                                                                  'type': 'Q-QualMin-r9'}],
                                                                                     'name': 'cellSelectionInfo-r13',
                                                                                     'type': 'SEQUENCE'},
                                                                                    {'name': 'p-Max-r13',
                                                                                     'optional': True,
                                                                                     'type': 'P-Max'},
                                                                                    {'name': 'freqBandIndicator-r13',
                                                                                     'type': 'FreqBandIndicator-NB-r13'},
                                                                                    {'name': 'freqBandInfo-r13',
                                                                                     'optional': True,
                                                                                     'type': 'NS-PmaxList-NB-r13'},
                                                                                    {'name': 'multiBandInfoList-r13',
                                                                                     'optional': True,
                                                                                     'type': 'MultiBandInfoList-NB-r13'},
                                                                                    {'name': 'downlinkBitmap-r13',
                                                                                     'optional': True,
                                                                                     'type': 'DL-Bitmap-NB-r13'},
                                                                                    {'name': 'eutraControlRegionSize-r13',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'n1',
                                                                                                1: 'n2',
                                                                                                2: 'n3'}},
                                                                                    {'name': 'nrs-CRS-PowerOffset-r13',
                                                                                     'optional': True,
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'dB-6',
                                                                                                1: 'dB-4dot77',
                                                                                                2: 'dB-3',
                                                                                                3: 'dB-1dot77',
                                                                                                4: 'dB0',
                                                                                                5: 'dB1',
                                                                                                6: 'dB1dot23',
                                                                                                7: 'dB2',
                                                                                                8: 'dB3',
                                                                                                9: 'dB4',
                                                                                                10: 'dB4dot23',
                                                                                                11: 'dB5',
                                                                                                12: 'dB6',
                                                                                                13: 'dB7',
                                                                                                14: 'dB8',
                                                                                                15: 'dB9'}},
                                                                                    {'name': 'schedulingInfoList-r13',
                                                                                     'type': 'SchedulingInfoList-NB-r13'},
                                                                                    {'name': 'si-WindowLength-r13',
                                                                                     'type': 'ENUMERATED',
                                                                                     'values': {0: 'ms160',
                                                                                                1: 'ms320',
                                                                                                2: 'ms480',
                                                                                                3: 'ms640',
                                                                                                4: 'ms960',
                                                                                                5: 'ms1280',
                                                                                                6: 'ms1600',
                                                                                                7: 'spare1'}},
                                                                                    {'name': 'si-RadioFrameOffset-r13',
                                                                                     'optional': True,
                                                                                     'restricted-to': [(1,
                                                                                                        15)],
                                                                                     'type': 'INTEGER'},
                                                                                    {'name': 'systemInfoValueTagList-r13',
                                                                                     'optional': True,
                                                                                     'type': 'SystemInfoValueTagList-NB-r13'},
                                                                                    {'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SystemInformationBlockType1-NB-v1350'}],
                                                                        'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-NB-v1350': {'members': [{'name': 'cellSelectionInfo-v1350',
                                                                                           'optional': True,
                                                                                           'type': 'CellSelectionInfo-NB-v1350'},
                                                                                          {'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SystemInformationBlockType1-NB-v1430'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType1-NB-v1430': {'members': [{'name': 'cellSelectionInfo-v1430',
                                                                                           'optional': True,
                                                                                           'type': 'CellSelectionInfo-NB-v1430'},
                                                                                          {'members': [],
                                                                                           'name': 'nonCriticalExtension',
                                                                                           'optional': True,
                                                                                           'type': 'SEQUENCE'}],
                                                                              'type': 'SEQUENCE'},
                                     'SystemInformationBlockType14-NB-r13': {'members': [{'members': [{'name': 'ab-Common-r13',
                                                                                                       'type': 'AB-Config-NB-r13'},
                                                                                                      {'element': {'type': 'AB-ConfigPLMN-NB-r13'},
                                                                                                       'name': 'ab-PerPLMN-List-r13',
                                                                                                       'size': [(1,
                                                                                                                 'maxPLMN-r11')],
                                                                                                       'type': 'SEQUENCE '
                                                                                                               'OF'}],
                                                                                          'name': 'ab-Param-r13',
                                                                                          'optional': True,
                                                                                          'type': 'CHOICE'},
                                                                                         {'name': 'lateNonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'OCTET '
                                                                                                  'STRING'},
                                                                                         '...'],
                                                                             'type': 'SEQUENCE'},
                                     'SystemInformationBlockType15-NB-r14': {'members': [{'name': 'mbms-SAI-IntraFreq-r14',
                                                                                          'optional': True,
                                                                                          'type': 'MBMS-SAI-List-r11'},
                                                                                         {'name': 'mbms-SAI-InterFreqList-r14',
                                                                                          'optional': True,
                                                                                          'type': 'MBMS-SAI-InterFreqList-NB-r14'},
                                                                                         {'name': 'lateNonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'OCTET '
                                                                                                  'STRING'},
                                                                                         '...'],
                                                                             'type': 'SEQUENCE'},
                                     'SystemInformationBlockType16-NB-r13': {'type': 'SystemInformationBlockType16-r11'},
                                     'SystemInformationBlockType2-NB-r13': {'members': [{'name': 'radioResourceConfigCommon-r13',
                                                                                         'type': 'RadioResourceConfigCommonSIB-NB-r13'},
                                                                                        {'name': 'ue-TimersAndConstants-r13',
                                                                                         'type': 'UE-TimersAndConstants-NB-r13'},
                                                                                        {'members': [{'name': 'ul-CarrierFreq-r13',
                                                                                                      'optional': True,
                                                                                                      'type': 'CarrierFreq-NB-r13'},
                                                                                                     {'name': 'additionalSpectrumEmission-r13',
                                                                                                      'type': 'AdditionalSpectrumEmission'}],
                                                                                         'name': 'freqInfo-r13',
                                                                                         'type': 'SEQUENCE'},
                                                                                        {'name': 'timeAlignmentTimerCommon-r13',
                                                                                         'type': 'TimeAlignmentTimer'},
                                                                                        {'element': {'type': 'AdditionalSpectrumEmission'},
                                                                                         'name': 'multiBandInfoList-r13',
                                                                                         'optional': True,
                                                                                         'size': [(1,
                                                                                                   'maxMultiBands')],
                                                                                         'type': 'SEQUENCE '
                                                                                                 'OF'},
                                                                                        {'name': 'lateNonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'OCTET '
                                                                                                 'STRING'},
                                                                                        '...',
                                                                                        {'name': 'cp-Reestablishment-r14',
                                                                                         'optional': True,
                                                                                         'type': 'ENUMERATED',
                                                                                         'values': {0: 'true'}}],
                                                                            'type': 'SEQUENCE'},
                                     'SystemInformationBlockType20-NB-r14': {'members': [{'name': 'npdcch-SC-MCCH-Config-r14',
                                                                                          'type': 'NPDCCH-SC-MCCH-Config-NB-r14'},
                                                                                         {'members': [{'name': 'dl-CarrierConfig-r14',
                                                                                                       'type': 'DL-CarrierConfigCommon-NB-r14'},
                                                                                                      {'name': 'dl-CarrierIndex-r14',
                                                                                                       'restricted-to': [(0,
                                                                                                                          'maxNonAnchorCarriers-NB-r14')],
                                                                                                       'type': 'INTEGER'}],
                                                                                          'name': 'sc-mcch-CarrierConfig-r14',
                                                                                          'type': 'CHOICE'},
                                                                                         {'name': 'sc-mcch-RepetitionPeriod-r14',
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'rf32',
                                                                                                     1: 'rf128',
                                                                                                     2: 'rf512',
                                                                                                     3: 'rf1024',
                                                                                                     4: 'rf2048',
                                                                                                     5: 'rf4096',
                                                                                                     6: 'rf8192',
                                                                                                     7: 'rf16384'}},
                                                                                         {'name': 'sc-mcch-Offset-r14',
                                                                                          'restricted-to': [(0,
                                                                                                             10)],
                                                                                          'type': 'INTEGER'},
                                                                                         {'name': 'sc-mcch-ModificationPeriod-r14',
                                                                                          'type': 'ENUMERATED',
                                                                                          'values': {0: 'rf32',
                                                                                                     1: 'rf128',
                                                                                                     2: 'rf256',
                                                                                                     3: 'rf512',
                                                                                                     4: 'rf1024',
                                                                                                     5: 'rf2048',
                                                                                                     6: 'rf4096',
                                                                                                     7: 'rf8192',
                                                                                                     8: 'rf16384',
                                                                                                     9: 'rf32768',
                                                                                                     10: 'rf65536',
                                                                                                     11: 'rf131072',
                                                                                                     12: 'rf262144',
                                                                                                     13: 'rf524288',
                                                                                                     14: 'rf1048576',
                                                                                                     15: 'spare1'}},
                                                                                         {'name': 'sc-mcch-SchedulingInfo-r14',
                                                                                          'optional': True,
                                                                                          'type': 'SC-MCCH-SchedulingInfo-NB-r14'},
                                                                                         {'name': 'lateNonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'OCTET '
                                                                                                  'STRING'},
                                                                                         '...'],
                                                                             'type': 'SEQUENCE'},
                                     'SystemInformationBlockType22-NB-r14': {'members': [{'name': 'dl-ConfigList-r14',
                                                                                          'optional': True,
                                                                                          'type': 'DL-ConfigCommonList-NB-r14'},
                                                                                         {'name': 'ul-ConfigList-r14',
                                                                                          'optional': True,
                                                                                          'type': 'UL-ConfigCommonList-NB-r14'},
                                                                                         {'name': 'pagingWeightAnchor-r14',
                                                                                          'optional': True,
                                                                                          'type': 'PagingWeight-NB-r14'},
                                                                                         {'name': 'nprach-ProbabilityAnchorList-r14',
                                                                                          'optional': True,
                                                                                          'type': 'NPRACH-ProbabilityAnchorList-NB-r14'},
                                                                                         {'name': 'lateNonCriticalExtension',
                                                                                          'optional': True,
                                                                                          'type': 'OCTET '
                                                                                                  'STRING'},
                                                                                         '...'],
                                                                             'type': 'SEQUENCE'},
                                     'SystemInformationBlockType3-NB-r13': {'members': [{'members': [{'name': 'q-Hyst-r13',
                                                                                                      'type': 'ENUMERATED',
                                                                                                      'values': {0: 'dB0',
                                                                                                                 1: 'dB1',
                                                                                                                 2: 'dB2',
                                                                                                                 3: 'dB3',
                                                                                                                 4: 'dB4',
                                                                                                                 5: 'dB5',
                                                                                                                 6: 'dB6',
                                                                                                                 7: 'dB8',
                                                                                                                 8: 'dB10',
                                                                                                                 9: 'dB12',
                                                                                                                 10: 'dB14',
                                                                                                                 11: 'dB16',
                                                                                                                 12: 'dB18',
                                                                                                                 13: 'dB20',
                                                                                                                 14: 'dB22',
                                                                                                                 15: 'dB24'}}],
                                                                                         'name': 'cellReselectionInfoCommon-r13',
                                                                                         'type': 'SEQUENCE'},
                                                                                        {'members': [{'name': 's-NonIntraSearch-r13',
                                                                                                      'type': 'ReselectionThreshold'}],
                                                                                         'name': 'cellReselectionServingFreqInfo-r13',
                                                                                         'type': 'SEQUENCE'},
                                                                                        {'members': [{'name': 'q-RxLevMin-r13',
                                                                                                      'type': 'Q-RxLevMin'},
                                                                                                     {'name': 'q-QualMin-r13',
                                                                                                      'optional': True,
                                                                                                      'type': 'Q-QualMin-r9'},
                                                                                                     {'name': 'p-Max-r13',
                                                                                                      'optional': True,
                                                                                                      'type': 'P-Max'},
                                                                                                     {'name': 's-IntraSearchP-r13',
                                                                                                      'type': 'ReselectionThreshold'},
                                                                                                     {'name': 't-Reselection-r13',
                                                                                                      'type': 'T-Reselection-NB-r13'}],
                                                                                         'name': 'intraFreqCellReselectionInfo-r13',
                                                                                         'type': 'SEQUENCE'},
                                                                                        {'name': 'freqBandInfo-r13',
                                                                                         'optional': True,
                                                                                         'type': 'NS-PmaxList-NB-r13'},
                                                                                        {'element': {'type': 'NS-PmaxList-NB-r13'},
                                                                                         'name': 'multiBandInfoList-r13',
                                                                                         'optional': True,
                                                                                         'size': [(1,
                                                                                                   'maxMultiBands')],
                                                                                         'type': 'SEQUENCE '
                                                                                                 'OF'},
                                                                                        {'name': 'lateNonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'OCTET '
                                                                                                 'STRING'},
                                                                                        '...',
                                                                                        {'name': 'intraFreqCellReselectionInfo-v1350',
                                                                                         'optional': True,
                                                                                         'type': 'IntraFreqCellReselectionInfo-NB-v1350'},
                                                                                        {'name': 'intraFreqCellReselectionInfo-v1360',
                                                                                         'optional': True,
                                                                                         'type': 'IntraFreqCellReselectionInfo-NB-v1360'},
                                                                                        {'name': 'intraFreqCellReselectionInfo-v1430',
                                                                                         'optional': True,
                                                                                         'type': 'IntraFreqCellReselectionInfo-NB-v1430'}],
                                                                            'type': 'SEQUENCE'},
                                     'SystemInformationBlockType4-NB-r13': {'members': [{'name': 'intraFreqNeighCellList-r13',
                                                                                         'optional': True,
                                                                                         'type': 'IntraFreqNeighCellList'},
                                                                                        {'name': 'intraFreqBlackCellList-r13',
                                                                                         'optional': True,
                                                                                         'type': 'IntraFreqBlackCellList'},
                                                                                        {'name': 'lateNonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'OCTET '
                                                                                                 'STRING'},
                                                                                        '...'],
                                                                            'type': 'SEQUENCE'},
                                     'SystemInformationBlockType5-NB-r13': {'members': [{'name': 'interFreqCarrierFreqList-r13',
                                                                                         'type': 'InterFreqCarrierFreqList-NB-r13'},
                                                                                        {'name': 't-Reselection-r13',
                                                                                         'type': 'T-Reselection-NB-r13'},
                                                                                        {'name': 'lateNonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'OCTET '
                                                                                                 'STRING'},
                                                                                        '...',
                                                                                        {'name': 'scptm-FreqOffset-r14',
                                                                                         'optional': True,
                                                                                         'restricted-to': [(1,
                                                                                                            8)],
                                                                                         'type': 'INTEGER'}],
                                                                            'type': 'SEQUENCE'},
                                     'T-PollRetransmit-NB-r13': {'type': 'ENUMERATED',
                                                                 'values': {0: 'ms250',
                                                                            1: 'ms500',
                                                                            2: 'ms1000',
                                                                            3: 'ms2000',
                                                                            4: 'ms3000',
                                                                            5: 'ms4000',
                                                                            6: 'ms6000',
                                                                            7: 'ms10000',
                                                                            8: 'ms15000',
                                                                            9: 'ms25000',
                                                                            10: 'ms40000',
                                                                            11: 'ms60000',
                                                                            12: 'ms90000',
                                                                            13: 'ms120000',
                                                                            14: 'ms180000',
                                                                            15: 'spare1'}},
                                     'T-Reselection-NB-r13': {'type': 'ENUMERATED',
                                                              'values': {0: 's0',
                                                                         1: 's3',
                                                                         2: 's6',
                                                                         3: 's9',
                                                                         4: 's12',
                                                                         5: 's15',
                                                                         6: 's18',
                                                                         7: 's21'}},
                                     'UE-Capability-NB-r13': {'members': [{'name': 'accessStratumRelease-r13',
                                                                           'type': 'AccessStratumRelease-NB-r13'},
                                                                          {'name': 'ue-Category-NB-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'nb1'}},
                                                                          {'name': 'multipleDRB-r13',
                                                                           'optional': True,
                                                                           'type': 'ENUMERATED',
                                                                           'values': {0: 'supported'}},
                                                                          {'name': 'pdcp-Parameters-r13',
                                                                           'optional': True,
                                                                           'type': 'PDCP-Parameters-NB-r13'},
                                                                          {'name': 'phyLayerParameters-r13',
                                                                           'type': 'PhyLayerParameters-NB-r13'},
                                                                          {'name': 'rf-Parameters-r13',
                                                                           'type': 'RF-Parameters-NB-r13'},
                                                                          {'name': 'nonCriticalExtension',
                                                                           'optional': True,
                                                                           'type': 'UE-Capability-NB-v1430-IEs'}],
                                                              'type': 'SEQUENCE'},
                                     'UE-Capability-NB-v1430-IEs': {'members': [{'name': 'ue-Category-NB-r14',
                                                                                 'optional': True,
                                                                                 'type': 'ENUMERATED',
                                                                                 'values': {0: 'nb2'}},
                                                                                {'name': 'mac-Parameters-r14',
                                                                                 'optional': True,
                                                                                 'type': 'MAC-Parameters-NB-r14'},
                                                                                {'name': 'phyLayerParameters-v1430',
                                                                                 'optional': True,
                                                                                 'type': 'PhyLayerParameters-NB-v1430'},
                                                                                {'name': 'rf-Parameters-v1430',
                                                                                 'type': 'RF-Parameters-NB-v1430'},
                                                                                {'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'UE-Capability-NB-v1440-IEs'}],
                                                                    'type': 'SEQUENCE'},
                                     'UE-Capability-NB-v1440-IEs': {'members': [{'name': 'phyLayerParameters-v1440',
                                                                                 'optional': True,
                                                                                 'type': 'PhyLayerParameters-NB-v1440'},
                                                                                {'members': [],
                                                                                 'name': 'nonCriticalExtension',
                                                                                 'optional': True,
                                                                                 'type': 'SEQUENCE'}],
                                                                    'type': 'SEQUENCE'},
                                     'UE-RadioPagingInfo-NB-r13': {'members': [{'name': 'ue-Category-NB-r13',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'nb1'}},
                                                                               '...',
                                                                               {'name': 'multiCarrierPaging-r14',
                                                                                'optional': True,
                                                                                'type': 'ENUMERATED',
                                                                                'values': {0: 'true'}}],
                                                                   'type': 'SEQUENCE'},
                                     'UE-TimersAndConstants-NB-r13': {'members': [{'name': 't300-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'ms2500',
                                                                                              1: 'ms4000',
                                                                                              2: 'ms6000',
                                                                                              3: 'ms10000',
                                                                                              4: 'ms15000',
                                                                                              5: 'ms25000',
                                                                                              6: 'ms40000',
                                                                                              7: 'ms60000'}},
                                                                                  {'name': 't301-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'ms2500',
                                                                                              1: 'ms4000',
                                                                                              2: 'ms6000',
                                                                                              3: 'ms10000',
                                                                                              4: 'ms15000',
                                                                                              5: 'ms25000',
                                                                                              6: 'ms40000',
                                                                                              7: 'ms60000'}},
                                                                                  {'name': 't310-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'ms0',
                                                                                              1: 'ms200',
                                                                                              2: 'ms500',
                                                                                              3: 'ms1000',
                                                                                              4: 'ms2000',
                                                                                              5: 'ms4000',
                                                                                              6: 'ms8000'}},
                                                                                  {'name': 'n310-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'n1',
                                                                                              1: 'n2',
                                                                                              2: 'n3',
                                                                                              3: 'n4',
                                                                                              4: 'n6',
                                                                                              5: 'n8',
                                                                                              6: 'n10',
                                                                                              7: 'n20'}},
                                                                                  {'name': 't311-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'ms1000',
                                                                                              1: 'ms3000',
                                                                                              2: 'ms5000',
                                                                                              3: 'ms10000',
                                                                                              4: 'ms15000',
                                                                                              5: 'ms20000',
                                                                                              6: 'ms30000'}},
                                                                                  {'name': 'n311-r13',
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'n1',
                                                                                              1: 'n2',
                                                                                              2: 'n3',
                                                                                              3: 'n4',
                                                                                              4: 'n5',
                                                                                              5: 'n6',
                                                                                              6: 'n8',
                                                                                              7: 'n10'}},
                                                                                  '...',
                                                                                  {'name': 't311-v1350',
                                                                                   'optional': True,
                                                                                   'type': 'ENUMERATED',
                                                                                   'values': {0: 'ms40000',
                                                                                              1: 'ms60000',
                                                                                              2: 'ms90000',
                                                                                              3: 'ms120000'}}],
                                                                      'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                             'type': 'RRC-TransactionIdentifier'},
                                                                            {'members': [{'members': [{'name': 'ueCapabilityEnquiry-r13',
                                                                                                       'type': 'UECapabilityEnquiry-NB-r13-IEs'},
                                                                                                      {'name': 'spare1',
                                                                                                       'type': 'NULL'}],
                                                                                          'name': 'c1',
                                                                                          'type': 'CHOICE'},
                                                                                         {'members': [],
                                                                                          'name': 'criticalExtensionsFuture',
                                                                                          'type': 'SEQUENCE'}],
                                                                             'name': 'criticalExtensions',
                                                                             'type': 'CHOICE'}],
                                                                'type': 'SEQUENCE'},
                                     'UECapabilityEnquiry-NB-r13-IEs': {'members': [{'name': 'lateNonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'OCTET '
                                                                                             'STRING'},
                                                                                    {'members': [],
                                                                                     'name': 'nonCriticalExtension',
                                                                                     'optional': True,
                                                                                     'type': 'SEQUENCE'}],
                                                                        'type': 'SEQUENCE'},
                                     'UECapabilityInformation-NB': {'members': [{'name': 'rrc-TransactionIdentifier',
                                                                                 'type': 'RRC-TransactionIdentifier'},
                                                                                {'members': [{'name': 'ueCapabilityInformation-r13',
                                                                                              'type': 'UECapabilityInformation-NB-r13-IEs'},
                                                                                             {'members': [],
                                                                                              'name': 'criticalExtensionsFuture',
                                                                                              'type': 'SEQUENCE'}],
                                                                                 'name': 'criticalExtensions',
                                                                                 'type': 'CHOICE'}],
                                                                    'type': 'SEQUENCE'},
                                     'UECapabilityInformation-NB-r13-IEs': {'members': [{'name': 'ue-Capability-Container-r13',
                                                                                         'type': 'UE-Capability-NB-r13'},
                                                                                        {'name': 'ue-RadioPagingInfo-r13',
                                                                                         'type': 'UE-RadioPagingInfo-NB-r13'},
                                                                                        {'name': 'lateNonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'OCTET '
                                                                                                 'STRING'},
                                                                                        {'members': [],
                                                                                         'name': 'nonCriticalExtension',
                                                                                         'optional': True,
                                                                                         'type': 'SEQUENCE'}],
                                                                            'type': 'SEQUENCE'},
                                     'UL-AM-RLC-NB-r13': {'members': [{'name': 't-PollRetransmit-r13',
                                                                       'type': 'T-PollRetransmit-NB-r13'},
                                                                      {'name': 'maxRetxThreshold-r13',
                                                                       'type': 'ENUMERATED',
                                                                       'values': {0: 't1',
                                                                                  1: 't2',
                                                                                  2: 't3',
                                                                                  3: 't4',
                                                                                  4: 't6',
                                                                                  5: 't8',
                                                                                  6: 't16',
                                                                                  7: 't32'}}],
                                                          'type': 'SEQUENCE'},
                                     'UL-CCCH-Message-NB': {'members': [{'name': 'message',
                                                                         'type': 'UL-CCCH-MessageType-NB'}],
                                                            'type': 'SEQUENCE'},
                                     'UL-CCCH-MessageType-NB': {'members': [{'members': [{'name': 'rrcConnectionReestablishmentRequest-r13',
                                                                                          'type': 'RRCConnectionReestablishmentRequest-NB'},
                                                                                         {'name': 'rrcConnectionRequest-r13',
                                                                                          'type': 'RRCConnectionRequest-NB'},
                                                                                         {'name': 'rrcConnectionResumeRequest-r13',
                                                                                          'type': 'RRCConnectionResumeRequest-NB'},
                                                                                         {'name': 'spare1',
                                                                                          'type': 'NULL'}],
                                                                             'name': 'c1',
                                                                             'type': 'CHOICE'},
                                                                            {'members': [],
                                                                             'name': 'messageClassExtension',
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'CHOICE'},
                                     'UL-CarrierConfigDedicated-NB-r13': {'members': [{'name': 'ul-CarrierFreq-r13',
                                                                                       'optional': True,
                                                                                       'type': 'CarrierFreq-NB-r13'},
                                                                                      '...'],
                                                                          'type': 'SEQUENCE'},
                                     'UL-ConfigCommon-NB-r14': {'members': [{'name': 'ul-CarrierFreq-r14',
                                                                             'type': 'CarrierFreq-NB-r13'},
                                                                            {'name': 'nprach-ParametersList-r14',
                                                                             'optional': True,
                                                                             'type': 'NPRACH-ParametersList-NB-r14'},
                                                                            '...'],
                                                                'type': 'SEQUENCE'},
                                     'UL-ConfigCommonList-NB-r14': {'element': {'type': 'UL-ConfigCommon-NB-r14'},
                                                                    'size': [(1,
                                                                              'maxNonAnchorCarriers-NB-r14')],
                                                                    'type': 'SEQUENCE '
                                                                            'OF'},
                                     'UL-DCCH-Message-NB': {'members': [{'name': 'message',
                                                                         'type': 'UL-DCCH-MessageType-NB'}],
                                                            'type': 'SEQUENCE'},
                                     'UL-DCCH-MessageType-NB': {'members': [{'members': [{'name': 'rrcConnectionReconfigurationComplete-r13',
                                                                                          'type': 'RRCConnectionReconfigurationComplete-NB'},
                                                                                         {'name': 'rrcConnectionReestablishmentComplete-r13',
                                                                                          'type': 'RRCConnectionReestablishmentComplete-NB'},
                                                                                         {'name': 'rrcConnectionSetupComplete-r13',
                                                                                          'type': 'RRCConnectionSetupComplete-NB'},
                                                                                         {'name': 'securityModeComplete-r13',
                                                                                          'type': 'SecurityModeComplete'},
                                                                                         {'name': 'securityModeFailure-r13',
                                                                                          'type': 'SecurityModeFailure'},
                                                                                         {'name': 'ueCapabilityInformation-r13',
                                                                                          'type': 'UECapabilityInformation-NB'},
                                                                                         {'name': 'ulInformationTransfer-r13',
                                                                                          'type': 'ULInformationTransfer-NB'},
                                                                                         {'name': 'rrcConnectionResumeComplete-r13',
                                                                                          'type': 'RRCConnectionResumeComplete-NB'},
                                                                                         {'name': 'spare8',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare7',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare6',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare5',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare4',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare3',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare2',
                                                                                          'type': 'NULL'},
                                                                                         {'name': 'spare1',
                                                                                          'type': 'NULL'}],
                                                                             'name': 'c1',
                                                                             'type': 'CHOICE'},
                                                                            {'members': [],
                                                                             'name': 'messageClassExtension',
                                                                             'type': 'SEQUENCE'}],
                                                                'type': 'CHOICE'},
                                     'UL-ReferenceSignalsNPUSCH-NB-r13': {'members': [{'name': 'groupHoppingEnabled-r13',
                                                                                       'type': 'BOOLEAN'},
                                                                                      {'name': 'groupAssignmentNPUSCH-r13',
                                                                                       'restricted-to': [(0,
                                                                                                          29)],
                                                                                       'type': 'INTEGER'}],
                                                                          'type': 'SEQUENCE'},
                                     'ULInformationTransfer-NB': {'members': [{'members': [{'name': 'ulInformationTransfer-r13',
                                                                                            'type': 'ULInformationTransfer-NB-r13-IEs'},
                                                                                           {'members': [],
                                                                                            'name': 'criticalExtensionsFuture',
                                                                                            'type': 'SEQUENCE'}],
                                                                               'name': 'criticalExtensions',
                                                                               'type': 'CHOICE'}],
                                                                  'type': 'SEQUENCE'},
                                     'ULInformationTransfer-NB-r13-IEs': {'members': [{'name': 'dedicatedInfoNAS-r13',
                                                                                       'type': 'DedicatedInfoNAS'},
                                                                                      {'name': 'lateNonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'OCTET '
                                                                                               'STRING'},
                                                                                      {'members': [],
                                                                                       'name': 'nonCriticalExtension',
                                                                                       'optional': True,
                                                                                       'type': 'SEQUENCE'}],
                                                                          'type': 'SEQUENCE'},
                                     'UplinkPowerControlCommon-NB-r13': {'members': [{'name': 'p0-NominalNPUSCH-r13',
                                                                                      'restricted-to': [(-126,
                                                                                                         24)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'alpha-r13',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'al0',
                                                                                                 1: 'al04',
                                                                                                 2: 'al05',
                                                                                                 3: 'al06',
                                                                                                 4: 'al07',
                                                                                                 5: 'al08',
                                                                                                 6: 'al09',
                                                                                                 7: 'al1'}},
                                                                                     {'name': 'deltaPreambleMsg3-r13',
                                                                                      'restricted-to': [(-1,
                                                                                                         6)],
                                                                                      'type': 'INTEGER'}],
                                                                         'type': 'SEQUENCE'},
                                     'UplinkPowerControlDedicated-NB-r13': {'members': [{'name': 'p0-UE-NPUSCH-r13',
                                                                                         'restricted-to': [(-8,
                                                                                                            7)],
                                                                                         'type': 'INTEGER'}],
                                                                            'type': 'SEQUENCE'}},
                           'values': {'maxDRB-NB-r13': {'type': 'INTEGER',
                                                        'value': 2},
                                      'maxNPRACH-Resources-NB-r13': {'type': 'INTEGER',
                                                                     'value': 3},
                                      'maxNS-Pmax-NB-r13': {'type': 'INTEGER',
                                                            'value': 4},
                                      'maxNeighCell-SCPTM-NB-r14': {'type': 'INTEGER',
                                                                    'value': 8},
                                      'maxNonAnchorCarriers-NB-r14': {'type': 'INTEGER',
                                                                      'value': 15},
                                      'maxSC-MTCH-NB-r14': {'type': 'INTEGER',
                                                            'value': 64},
                                      'maxSI-Message-NB-r13': {'type': 'INTEGER',
                                                               'value': 8}}},
 'NBIOT-UE-Variables': {'extensibility-implied': False,
                        'imports': {'EUTRA-UE-Variables': ['VarShortMAC-Input',
                                                           'VarShortResumeMAC-Input-r13']},
                        'object-classes': {},
                        'object-sets': {},
                        'tags': 'AUTOMATIC',
                        'types': {'VarShortMAC-Input-NB-r13': {'type': 'VarShortMAC-Input'},
                                  'VarShortResumeMAC-Input-NB-r13': {'type': 'VarShortResumeMAC-Input-r13'}},
                        'values': {}},
 'PC5-RRC-Definitions': {'extensibility-implied': False,
                         'imports': {'EUTRA-RRC-Definitions': ['TDD-ConfigSL-r12']},
                         'object-classes': {},
                         'object-sets': {},
                         'tags': 'AUTOMATIC',
                         'types': {'MasterInformationBlock-SL': {'members': [{'name': 'sl-Bandwidth-r12',
                                                                              'type': 'ENUMERATED',
                                                                              'values': {0: 'n6',
                                                                                         1: 'n15',
                                                                                         2: 'n25',
                                                                                         3: 'n50',
                                                                                         4: 'n75',
                                                                                         5: 'n100'}},
                                                                             {'name': 'tdd-ConfigSL-r12',
                                                                              'type': 'TDD-ConfigSL-r12'},
                                                                             {'name': 'directFrameNumber-r12',
                                                                              'size': [10],
                                                                              'type': 'BIT '
                                                                                      'STRING'},
                                                                             {'name': 'directSubframeNumber-r12',
                                                                              'restricted-to': [(0,
                                                                                                 9)],
                                                                              'type': 'INTEGER'},
                                                                             {'name': 'inCoverage-r12',
                                                                              'type': 'BOOLEAN'},
                                                                             {'name': 'reserved-r12',
                                                                              'size': [19],
                                                                              'type': 'BIT '
                                                                                      'STRING'}],
                                                                 'type': 'SEQUENCE'},
                                   'MasterInformationBlock-SL-V2X-r14': {'members': [{'name': 'sl-Bandwidth-r14',
                                                                                      'type': 'ENUMERATED',
                                                                                      'values': {0: 'n6',
                                                                                                 1: 'n15',
                                                                                                 2: 'n25',
                                                                                                 3: 'n50',
                                                                                                 4: 'n75',
                                                                                                 5: 'n100'}},
                                                                                     {'name': 'tdd-ConfigSL-r14',
                                                                                      'type': 'TDD-ConfigSL-r12'},
                                                                                     {'name': 'directFrameNumber-r14',
                                                                                      'size': [10],
                                                                                      'type': 'BIT '
                                                                                              'STRING'},
                                                                                     {'name': 'directSubframeNumber-r14',
                                                                                      'restricted-to': [(0,
                                                                                                         9)],
                                                                                      'type': 'INTEGER'},
                                                                                     {'name': 'inCoverage-r14',
                                                                                      'type': 'BOOLEAN'},
                                                                                     {'name': 'reserved-r14',
                                                                                      'size': [27],
                                                                                      'type': 'BIT '
                                                                                              'STRING'}],
                                                                         'type': 'SEQUENCE'},
                                   'SBCCH-SL-BCH-Message': {'members': [{'name': 'message',
                                                                         'type': 'SBCCH-SL-BCH-MessageType'}],
                                                            'type': 'SEQUENCE'},
                                   'SBCCH-SL-BCH-Message-V2X-r14': {'members': [{'name': 'message',
                                                                                 'type': 'SBCCH-SL-BCH-MessageType-V2X-r14'}],
                                                                    'type': 'SEQUENCE'},
                                   'SBCCH-SL-BCH-MessageType': {'type': 'MasterInformationBlock-SL'},
                                   'SBCCH-SL-BCH-MessageType-V2X-r14': {'type': 'MasterInformationBlock-SL-V2X-r14'}},
                         'values': {}}}